/*===========================================================================*/
/*   (BackEnd/c.scm)                                                         */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_sawcz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_sawcz00_bglt;

	typedef struct BgL_cgenz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}              *BgL_cgenz00_bglt;


	static obj_t BGl_z62zc3anonymousza32320ze3ze1zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32322ze3ze1zzbackend_cz00(obj_t);
	extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(char *);
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n2223zb0zzbackend_cz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32307ze3ze1zzbackend_cz00(obj_t);
	extern obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_z62backendzd2compilezd2cvm2219z62zzbackend_cz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2subtypezf3zd2cvm2227z91zzbackend_cz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	static obj_t BGl_z62zc3anonymousza32327ze3ze1zzbackend_cz00(obj_t);
	extern obj_t BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2linkzd2cvm2221z62zzbackend_cz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_zc3anonymousza32285ze3z83zzbackend_cz00(obj_t);
	static bool_t BGl_z62zc3anonymousza32360ze3ze1zzbackend_cz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cz00();
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	extern obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32258ze3ze1zzbackend_cz00(obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t);
	extern obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32387ze3ze1zzbackend_cz00(obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_sawcz00zzbackend_cvmz00;
	BGL_EXPORTED_DECL obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00();
	extern obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	extern obj_t BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
	extern obj_t BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
	extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	BGL_EXPORTED_DECL obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cz00 = BUNSPEC;
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	extern obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	BGL_IMPORT obj_t string_to_bstring(char *);
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_za2czd2userzd2footza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_cz00();
	extern obj_t BGl_za2bigloozd2tmpza2zd2zzengine_paramz00;
	extern obj_t BGl_cgenz00zzbackend_cvmz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62backendzd2linkzd2objects2225z62zzbackend_cz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62zc3anonymousza32266ze3ze1zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32269ze3ze1zzbackend_cz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_initz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	BGL_IMPORT obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	extern obj_t BGl_getzd2modulezd2initz00zzbackend_initz00();
	extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	extern obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	extern obj_t BGl_ccz00zzcc_ccz00(obj_t, obj_t, bool_t);
	extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cvmz00zzbackend_cvmz00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[19];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72609za7,
		BGl_z62zc3anonymousza32320ze3ze1zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72610za7,
		BGl_z62zc3anonymousza32322ze3ze1zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72611za7,
		BGl_z62zc3anonymousza32327ze3ze1zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2563z00zzbackend_cz00,
		BgL_bgl_string2563za700za7za7b2612za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2564z00zzbackend_cz00,
		BgL_bgl_string2564za700za7za7b2613za7, "heap", 4);
	      DEFINE_STRING(BGl_string2565z00zzbackend_cz00,
		BgL_bgl_string2565za700za7za7b2614za7, "C generation (saw)", 18);
	      DEFINE_STRING(BGl_string2566z00zzbackend_cz00,
		BgL_bgl_string2566za700za7za7b2615za7, "C generation (cgen)", 19);
	      DEFINE_STRING(BGl_string2567z00zzbackend_cz00,
		BgL_bgl_string2567za700za7za7b2616za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2569z00zzbackend_cz00,
		BgL_bgl_string2569za700za7za7b2617za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2570z00zzbackend_cz00,
		BgL_bgl_string2570za700za7za7b2618za7, "/* User header */", 17);
	      DEFINE_STRING(BGl_string2571z00zzbackend_cz00,
		BgL_bgl_string2571za700za7za7b2619za7, "#ifdef __cplusplus", 18);
	      DEFINE_STRING(BGl_string2572z00zzbackend_cz00,
		BgL_bgl_string2572za700za7za7b2620za7, "extern \"C\" {", 12);
	      DEFINE_STRING(BGl_string2573z00zzbackend_cz00,
		BgL_bgl_string2573za700za7za7b2621za7, "#endif", 6);
	      DEFINE_STRING(BGl_string2576z00zzbackend_cz00,
		BgL_bgl_string2576za700za7za7b2622za7, "}", 1);
	      DEFINE_STRING(BGl_string2577z00zzbackend_cz00,
		BgL_bgl_string2577za700za7za7b2623za7, ".c", 2);
	      DEFINE_STRING(BGl_string2579z00zzbackend_cz00,
		BgL_bgl_string2579za700za7za7b2624za7, "USER", 4);
	      DEFINE_STRING(BGl_string2580z00zzbackend_cz00,
		BgL_bgl_string2580za700za7za7b2625za7, "", 0);
	      DEFINE_STRING(BGl_string2581z00zzbackend_cz00,
		BgL_bgl_string2581za700za7za7b2626za7, ".", 1);
	      DEFINE_STRING(BGl_string2582z00zzbackend_cz00,
		BgL_bgl_string2582za700za7za7b2627za7, "@", 1);
	      DEFINE_STRING(BGl_string2583z00zzbackend_cz00,
		BgL_bgl_string2583za700za7za7b2628za7, "main-tmp", 8);
	      DEFINE_STRING(BGl_string2585z00zzbackend_cz00,
		BgL_bgl_string2585za700za7za7b2629za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2587z00zzbackend_cz00,
		BgL_bgl_string2587za700za7za7b2630za7, "backend-link", 12);
	      DEFINE_STRING(BGl_string2589z00zzbackend_cz00,
		BgL_bgl_string2589za700za7za7b2631za7, "backend-cnst-table-name", 23);
	      DEFINE_STRING(BGl_string2591z00zzbackend_cz00,
		BgL_bgl_string2591za700za7za7b2632za7, "backend-link-objects", 20);
	      DEFINE_STRING(BGl_string2593z00zzbackend_cz00,
		BgL_bgl_string2593za700za7za7b2633za7, "backend-subtype?", 16);
	      DEFINE_STRING(BGl_string2594z00zzbackend_cz00,
		BgL_bgl_string2594za700za7za7b2634za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2595z00zzbackend_cz00,
		BgL_bgl_string2595za700za7za7b2635za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2596z00zzbackend_cz00,
		BgL_bgl_string2596za700za7za7b2636za7, "link", 4);
	      DEFINE_STRING(BGl_string2597z00zzbackend_cz00,
		BgL_bgl_string2597za700za7za7b2637za7, "\"", 1);
	      DEFINE_STRING(BGl_string2598z00zzbackend_cz00,
		BgL_bgl_string2598za700za7za7b2638za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2599z00zzbackend_cz00,
		BgL_bgl_string2599za700za7za7b2639za7, "*__cnst", 7);
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cczd2compilerzd2envz00zzbackend_cz00,
		BgL_bgl_za762ccza7d2compiler2640z00, BGl_z62cczd2compilerzb0zzbackend_cz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2600z00zzbackend_cz00,
		BgL_bgl_string2600za700za7za7b2641za7, "__cnst[ ", 8);
	      DEFINE_STRING(BGl_string2601z00zzbackend_cz00,
		BgL_bgl_string2601za700za7za7b2642za7, " ] ", 3);
	      DEFINE_STRING(BGl_string2605z00zzbackend_cz00,
		BgL_bgl_string2605za700za7za7b2643za7, "backend_c", 9);
	      DEFINE_STRING(BGl_string2606z00zzbackend_cz00,
		BgL_bgl_string2606za700za7za7b2644za7,
		"cindent distrib cgen module eval library done cc have-dlopen imported (ld distrib) pass-started ((lambda () (start-emission! \".c\"))) native (c bdb module) (foreign extern) bigloo-c c-saw c ",
		189);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72645za7,
		BGl_z62zc3anonymousza32258ze3ze1zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72646za7,
		BGl_z62zc3anonymousza32266ze3ze1zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72647za7,
		BGl_z62zc3anonymousza32269ze3ze1zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zzbackend_cz00,
		BgL_bgl_za762za7c3anonymousza72648za7,
		BGl_z62zc3anonymousza32307ze3ze1zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2com2649z00,
		BGl_z62backendzd2compilezd2cvm2219z62zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2650z00,
		BGl_z62backendzd2linkzd2cvm2221z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2cns2651z00,
		BGl_z62backendzd2cnstzd2tablezd2n2223zb0zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2652z00,
		BGl_z62backendzd2linkzd2objects2225z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2sub2653z00,
		BGl_z62backendzd2subtypezf3zd2cvm2227z91zzbackend_cz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2cgenza72654za7,
		BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2sawcza72655za7,
		BGl_z62buildzd2sawczd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long
		BgL_checksumz00_3689, char *BgL_fromz00_3690)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
					BGl_cnstzd2initzd2zzbackend_cz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cz00();
					BGl_methodzd2initzd2zzbackend_cz00();
					BGl_toplevelzd2initzd2zzbackend_cz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "backend_c");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			{	/* BackEnd/c.scm 15 */
				obj_t BgL_cportz00_3681;

				BgL_cportz00_3681 =
					bgl_open_input_string(BGl_string2606z00zzbackend_cz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3682;

					BgL_iz00_3682 = ((long) 18);
				BgL_loopz00_3683:
					if ((BgL_iz00_3682 == ((long) -1)))
						{	/* BackEnd/c.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c.scm 15 */
							{	/* BackEnd/c.scm 15 */
								obj_t BgL_arg2608z00_3685;

								{	/* BackEnd/c.scm 15 */

									{	/* BackEnd/c.scm 15 */
										obj_t BgL_locationz00_3687;

										BgL_locationz00_3687 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c.scm 15 */

											BgL_arg2608z00_3685 =
												BGl_readz00zz__readerz00(BgL_cportz00_3681,
												BgL_locationz00_3687);
										}
									}
								}
								{	/* BackEnd/c.scm 15 */
									int BgL_auxz00_3721;

									BgL_auxz00_3721 = (int) (BgL_iz00_3682);
									CNST_TABLE_SET(BgL_auxz00_3721, BgL_arg2608z00_3685);
							}}
							{	/* BackEnd/c.scm 15 */
								int BgL_auxz00_3688;

								BgL_auxz00_3688 = (int) ((BgL_iz00_3682 - ((long) 1)));
								{
									long BgL_iz00_3726;

									BgL_iz00_3726 = (long) (BgL_auxz00_3688);
									BgL_iz00_3682 = BgL_iz00_3726;
									goto BgL_loopz00_3683;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00);
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						1)), BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1894;

				BgL_headz00_1894 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1895;
					obj_t BgL_tailz00_1896;

					BgL_prevz00_1895 = BgL_headz00_1894;
					BgL_tailz00_1896 = BgL_l1z00_1;
				BgL_loopz00_1897:
					if (PAIRP(BgL_tailz00_1896))
						{
							obj_t BgL_newzd2prevzd2_1899;

							BgL_newzd2prevzd2_1899 =
								MAKE_PAIR(CAR(BgL_tailz00_1896), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1895, BgL_newzd2prevzd2_1899);
							{
								obj_t BgL_tailz00_3739;
								obj_t BgL_prevz00_3738;

								BgL_prevz00_3738 = BgL_newzd2prevzd2_1899;
								BgL_tailz00_3739 = CDR(BgL_tailz00_1896);
								BgL_tailz00_1896 = BgL_tailz00_3739;
								BgL_prevz00_1895 = BgL_prevz00_3738;
								goto BgL_loopz00_1897;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1894);
				}
			}
		}
	}



/* build-sawc-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 74 */
			{	/* BackEnd/c.scm 75 */
				BgL_sawcz00_bglt BgL_new1120z00_1909;

				{	/* BackEnd/c.scm 75 */
					BgL_sawcz00_bglt BgL_new1119z00_1911;

					BgL_new1119z00_1911 =
						((BgL_sawcz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sawcz00_bgl))));
					{	/* BackEnd/c.scm 75 */
						long BgL_arg2240z00_1912;

						{	/* BackEnd/c.scm 75 */
							long BgL_res2493z00_3357;

							BgL_res2493z00_3357 =
								BGL_CLASS_INDEX(BGl_sawcz00zzbackend_cvmz00);
							BgL_arg2240z00_1912 = BgL_res2493z00_3357;
						}
						{	/* BackEnd/c.scm 75 */
							BgL_objectz00_bglt BgL_objz00_3358;

							BgL_objz00_3358 = ((BgL_objectz00_bglt) BgL_new1119z00_1911);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3358, BgL_arg2240z00_1912);
					}}
					{	/* BackEnd/c.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_3746;

						BgL_auxz00_3746 = ((BgL_objectz00_bglt) BgL_new1119z00_1911);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3746, BFALSE);
					}
					BgL_new1120z00_1909 = BgL_new1119z00_1911;
				}
				((((BgL_backendz00_bglt) CREF(
								((BgL_backendz00_bglt) BgL_new1120z00_1909)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_namez00) =
					((obj_t) BGl_string2563z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2564z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_debugzd2supportzd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1120z00_1909)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 75 */
					obj_t BgL_fun2239z00_1910;

					BgL_fun2239z00_1910 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_sawcz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun2239z00_1910) (BgL_fun2239z00_1910,
						((obj_t) BgL_new1120z00_1909), BEOA);
				}
				return ((obj_t) BgL_new1120z00_1909);
			}
		}
	}



/* &build-sawc-backend */
	obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t BgL_envz00_3619)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 74 */
			return BGl_buildzd2sawczd2backendz00zzbackend_cz00();
		}
	}



/* build-cgen-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 85 */
			{	/* BackEnd/c.scm 86 */
				BgL_cgenz00_bglt BgL_new1122z00_1913;

				{	/* BackEnd/c.scm 86 */
					BgL_cgenz00_bglt BgL_new1121z00_1915;

					BgL_new1121z00_1915 =
						((BgL_cgenz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_cgenz00_bgl))));
					{	/* BackEnd/c.scm 86 */
						long BgL_arg2242z00_1916;

						{	/* BackEnd/c.scm 86 */
							long BgL_res2494z00_3361;

							BgL_res2494z00_3361 =
								BGL_CLASS_INDEX(BGl_cgenz00zzbackend_cvmz00);
							BgL_arg2242z00_1916 = BgL_res2494z00_3361;
						}
						{	/* BackEnd/c.scm 86 */
							BgL_objectz00_bglt BgL_objz00_3362;

							BgL_objz00_3362 = ((BgL_objectz00_bglt) BgL_new1121z00_1915);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3362, BgL_arg2242z00_1916);
					}}
					{	/* BackEnd/c.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_3824;

						BgL_auxz00_3824 = ((BgL_objectz00_bglt) BgL_new1121z00_1915);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3824, BFALSE);
					}
					BgL_new1122z00_1913 = BgL_new1121z00_1915;
				}
				((((BgL_backendz00_bglt) CREF(
								((BgL_backendz00_bglt) BgL_new1122z00_1913)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_namez00) =
					((obj_t) BGl_string2563z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2564z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_debugzd2supportzd2) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
									BgL_new1122z00_1913)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 86 */
					obj_t BgL_fun2241z00_1914;

					BgL_fun2241z00_1914 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_cgenz00zzbackend_cvmz00);
					PROCEDURE_ENTRY(BgL_fun2241z00_1914) (BgL_fun2241z00_1914,
						((obj_t) BgL_new1122z00_1913), BEOA);
				}
				return ((obj_t) BgL_new1122z00_1913);
			}
		}
	}



/* &build-cgen-backend */
	obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t BgL_envz00_3618)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 85 */
			return BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
		}
	}



/* c-walk */
	obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt BgL_mez00_28)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 112 */
			{	/* BackEnd/c.scm 113 */
				obj_t BgL_arg2243z00_1917;

				{	/* BackEnd/c.scm 113 */
					bool_t BgL_testz00_3898;

					{	/* BackEnd/c.scm 113 */
						bool_t BgL_res2495z00_3365;

						{	/* BackEnd/c.scm 113 */
							obj_t BgL_objz00_3364;

							BgL_objz00_3364 = ((obj_t) BgL_mez00_28);
							BgL_res2495z00_3365 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_3364,
								BGl_sawcz00zzbackend_cvmz00);
						}
						BgL_testz00_3898 = BgL_res2495z00_3365;
					}
					if (BgL_testz00_3898)
						{	/* BackEnd/c.scm 113 */
							BgL_arg2243z00_1917 = BGl_string2565z00zzbackend_cz00;
						}
					else
						{	/* BackEnd/c.scm 113 */
							BgL_arg2243z00_1917 = BGl_string2566z00zzbackend_cz00;
						}
				}
				{	/* BackEnd/c.scm 113 */
					obj_t BgL_list2244z00_1918;

					{	/* BackEnd/c.scm 113 */
						obj_t BgL_arg2245z00_1919;

						{	/* BackEnd/c.scm 113 */
							obj_t BgL_arg2246z00_1920;

							BgL_arg2246z00_1920 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2245z00_1919 =
								MAKE_PAIR(BgL_arg2243z00_1917, BgL_arg2246z00_1920);
						}
						BgL_list2244z00_1918 =
							MAKE_PAIR(BGl_string2567z00zzbackend_cz00, BgL_arg2245z00_1919);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
						BgL_list2244z00_1918);
			}}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			{	/* BackEnd/c.scm 113 */
				bool_t BgL_testz00_3908;

				{	/* BackEnd/c.scm 113 */
					bool_t BgL_res2496z00_3367;

					{	/* BackEnd/c.scm 113 */
						obj_t BgL_objz00_3366;

						BgL_objz00_3366 = ((obj_t) BgL_mez00_28);
						BgL_res2496z00_3367 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_3366,
							BGl_sawcz00zzbackend_cvmz00);
					}
					BgL_testz00_3908 = BgL_res2496z00_3367;
				}
				if (BgL_testz00_3908)
					{	/* BackEnd/c.scm 113 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2565z00zzbackend_cz00;
					}
				else
					{	/* BackEnd/c.scm 113 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2566z00zzbackend_cz00;
					}
			}
			{	/* BackEnd/c.scm 113 */
				obj_t BgL_g1123z00_1923;
				obj_t BgL_g1124z00_1924;

				{	/* BackEnd/c.scm 113 */
					obj_t BgL_list2257z00_1939;

					BgL_list2257z00_1939 = MAKE_PAIR(BGl_proc2568z00zzbackend_cz00, BNIL);
					BgL_g1123z00_1923 = BgL_list2257z00_1939;
				}
				BgL_g1124z00_1924 = CNST_TABLE_REF(((long) 6));
				{
					obj_t BgL_hooksz00_1926;
					obj_t BgL_hnamesz00_1927;

					BgL_hooksz00_1926 = BgL_g1123z00_1923;
					BgL_hnamesz00_1927 = BgL_g1124z00_1924;
				BgL_zc3anonymousza32248ze3z83_1928:
					if (NULLP(BgL_hooksz00_1926))
						{	/* BackEnd/c.scm 113 */
							CNST_TABLE_REF(((long) 7));
						}
					else
						{	/* BackEnd/c.scm 113 */
							bool_t BgL_testz00_3916;

							{	/* BackEnd/c.scm 113 */
								obj_t BgL_fun2255z00_1936;

								BgL_fun2255z00_1936 = CAR(BgL_hooksz00_1926);
								BgL_testz00_3916 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2255z00_1936)
									(BgL_fun2255z00_1936, BEOA));
							}
							if (BgL_testz00_3916)
								{
									obj_t BgL_hnamesz00_3924;
									obj_t BgL_hooksz00_3922;

									BgL_hooksz00_3922 = CDR(BgL_hooksz00_1926);
									BgL_hnamesz00_3924 = CDR(BgL_hnamesz00_1927);
									BgL_hnamesz00_1927 = BgL_hnamesz00_3924;
									BgL_hooksz00_1926 = BgL_hooksz00_3922;
									goto BgL_zc3anonymousza32248ze3z83_1928;
								}
							else
								{	/* BackEnd/c.scm 113 */
									obj_t BgL_arg2253z00_1933;
									obj_t BgL_arg2254z00_1934;

									{	/* BackEnd/c.scm 113 */
										bool_t BgL_testz00_3926;

										{	/* BackEnd/c.scm 113 */
											bool_t BgL_res2499z00_3376;

											{	/* BackEnd/c.scm 113 */
												obj_t BgL_objz00_3375;

												BgL_objz00_3375 = ((obj_t) BgL_mez00_28);
												BgL_res2499z00_3376 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_3375,
													BGl_sawcz00zzbackend_cvmz00);
											}
											BgL_testz00_3926 = BgL_res2499z00_3376;
										}
										if (BgL_testz00_3926)
											{	/* BackEnd/c.scm 113 */
												BgL_arg2253z00_1933 = BGl_string2565z00zzbackend_cz00;
											}
										else
											{	/* BackEnd/c.scm 113 */
												BgL_arg2253z00_1933 = BGl_string2566z00zzbackend_cz00;
											}
									}
									BgL_arg2254z00_1934 = CAR(BgL_hnamesz00_1927);
									BGl_internalzd2errorzd2zztools_errorz00(BgL_arg2253z00_1933,
										BGl_string2569z00zzbackend_cz00, BgL_arg2254z00_1934);
								}
						}
				}
			}
			BGl_emitzd2headerzd2zzbackend_c_emitz00();
			BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
			{	/* BackEnd/c.scm 123 */
				bool_t BgL_testz00_3933;

				if (
					((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
						((long) 0)))
					{	/* BackEnd/c.scm 123 */
						BgL_testz00_3933 = ((bool_t) 1);
					}
				else
					{	/* BackEnd/c.scm 123 */
						BgL_testz00_3933 = CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
					}
				if (BgL_testz00_3933)
					{	/* BackEnd/c.scm 123 */
						BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
					}
				else
					{	/* BackEnd/c.scm 123 */
						BFALSE;
					}
			}
			BGl_emitzd2includezd2zzbackend_c_emitz00();
			if (PAIRP(BGl_za2czd2userzd2headerza2z00zzengine_paramz00))
				{	/* BackEnd/c.scm 130 */
					{	/* BackEnd/c.scm 131 */
						obj_t BgL_port2182z00_1945;

						BgL_port2182z00_1945 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						bgl_display_string(BGl_string2570z00zzbackend_cz00,
							BgL_port2182z00_1945);
						bgl_display_char(((unsigned char) '\n'), BgL_port2182z00_1945);
					}
					{
						obj_t BgL_l2184z00_1947;

						BgL_l2184z00_1947 = BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
					BgL_zc3anonymousza32262ze3z83_1948:
						if (PAIRP(BgL_l2184z00_1947))
							{	/* BackEnd/c.scm 132 */
								{	/* BackEnd/c.scm 132 */
									obj_t BgL_hz00_1950;

									BgL_hz00_1950 = CAR(BgL_l2184z00_1947);
									{	/* BackEnd/c.scm 132 */
										obj_t BgL_port2183z00_1951;

										BgL_port2183z00_1951 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										bgl_display_obj(BgL_hz00_1950, BgL_port2183z00_1951);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port2183z00_1951);
								}}
								{
									obj_t BgL_l2184z00_3949;

									BgL_l2184z00_3949 = CDR(BgL_l2184z00_1947);
									BgL_l2184z00_1947 = BgL_l2184z00_3949;
									goto BgL_zc3anonymousza32262ze3z83_1948;
								}
							}
						else
							{	/* BackEnd/c.scm 132 */
								((bool_t) 1);
							}
					}
				}
			else
				{	/* BackEnd/c.scm 130 */
					((bool_t) 0);
				}
			{	/* BackEnd/c.scm 135 */
				obj_t BgL_port2186z00_1954;

				BgL_port2186z00_1954 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2571z00zzbackend_cz00,
					BgL_port2186z00_1954);
				bgl_display_char(((unsigned char) '\n'), BgL_port2186z00_1954);
			}
			{	/* BackEnd/c.scm 136 */
				obj_t BgL_port2187z00_1955;

				BgL_port2187z00_1955 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2572z00zzbackend_cz00,
					BgL_port2187z00_1955);
				bgl_display_char(((unsigned char) '\n'), BgL_port2187z00_1955);
			}
			{	/* BackEnd/c.scm 137 */
				obj_t BgL_port2188z00_1956;

				BgL_port2188z00_1956 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2573z00zzbackend_cz00,
					BgL_port2188z00_1956);
				bgl_display_char(((unsigned char) '\n'), BgL_port2188z00_1956);
			}
			BGl_forzd2eachzd2typez12z12zztype_envz00(BGl_proc2574z00zzbackend_cz00);
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2575z00zzbackend_cz00,
				BNIL);
			{	/* BackEnd/c.scm 159 */
				obj_t BgL_classesz00_1986;

				BgL_classesz00_1986 =
					BGl_zc3anonymousza32285ze3z83zzbackend_cz00
					(BGl_getzd2classzd2listz00zzobject_classz00());
				BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(BgL_classesz00_1986,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
			BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
			{	/* BackEnd/c.scm 170 */
				obj_t BgL_globalsz00_2000;

				BgL_globalsz00_2000 =
					(((BgL_backendz00_bglt) CREF(
							((BgL_backendz00_bglt) BgL_mez00_28)))->BgL_functionsz00);
				if (
					((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > ((long) 0)))
					{	/* BackEnd/c.scm 174 */
						BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2000,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 174 */
						BFALSE;
					}
				if (
					((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) >
						((long) 0)))
					{	/* BackEnd/c.scm 178 */
						BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_2000,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 178 */
						BFALSE;
					}
				{	/* BackEnd/c.scm 182 */
					bool_t BgL_testz00_3974;

					{	/* BackEnd/c.scm 182 */
						bool_t BgL_testz00_3975;

						if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
							{	/* BackEnd/c.scm 182 */
								BgL_testz00_3975 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c.scm 182 */
								BgL_testz00_3975 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										CNST_TABLE_REF(((long) 8))));
							}
						if (BgL_testz00_3975)
							{	/* BackEnd/c.scm 182 */
								if (
									(BGl_za2mainza2z00zzmodule_modulez00 ==
										CNST_TABLE_REF(((long) 9))))
									{	/* BackEnd/c.scm 183 */
										BgL_testz00_3974 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c.scm 183 */
										BgL_testz00_3974 = ((bool_t) 1);
									}
							}
						else
							{	/* BackEnd/c.scm 182 */
								BgL_testz00_3974 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3974)
						{	/* BackEnd/c.scm 182 */
							BGl_emitzd2mainzd2zzbackend_c_emitz00();
						}
					else
						{	/* BackEnd/c.scm 182 */
							BFALSE;
						}
				}
				{	/* BackEnd/c.scm 187 */
					obj_t BgL_modzd2initzd2_2006;

					BgL_modzd2initzd2_2006 =
						BGl_getzd2modulezd2initz00zzbackend_initz00();
					{	/* BackEnd/c.scm 188 */
						bool_t BgL_testz00_3986;

						if (CBOOL(BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
											(long) 10)))))
							{	/* BackEnd/c.scm 188 */
								BgL_testz00_3986 =
									BGl_isazf3zf3zz__objectz00(BgL_modzd2initzd2_2006,
									BGl_globalz00zzast_varz00);
							}
						else
							{	/* BackEnd/c.scm 188 */
								BgL_testz00_3986 = ((bool_t) 0);
							}
						if (BgL_testz00_3986)
							{	/* BackEnd/c.scm 188 */
								if (SYMBOLP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
									{	/* BackEnd/c.scm 192 */
										obj_t BgL_arg2298z00_2009;

										{	/* BackEnd/c.scm 192 */
											obj_t BgL_res2523z00_3466;

											{	/* BackEnd/c.scm 192 */
												obj_t BgL_symbolz00_3464;

												BgL_symbolz00_3464 =
													BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
												{	/* BackEnd/c.scm 192 */
													obj_t BgL_arg1308z00_3465;

													BgL_arg1308z00_3465 =
														SYMBOL_TO_STRING(BgL_symbolz00_3464);
													BgL_res2523z00_3466 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1308z00_3465);
												}
											}
											BgL_arg2298z00_2009 = BgL_res2523z00_3466;
										}
										BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
											((BgL_globalz00_bglt) BgL_modzd2initzd2_2006),
											BgL_arg2298z00_2009);
									}
								else
									{	/* BackEnd/c.scm 191 */
										if (STRINGP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
											{	/* BackEnd/c.scm 193 */
												BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
													((BgL_globalz00_bglt) BgL_modzd2initzd2_2006),
													BGl_za2dlopenzd2initza2zd2zzengine_paramz00);
											}
										else
											{	/* BackEnd/c.scm 193 */
												if (CBOOL(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
													{	/* BackEnd/c.scm 195 */
														BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
															((BgL_globalz00_bglt) BgL_modzd2initzd2_2006),
															string_to_bstring(BGL_DYNAMIC_LOAD_INIT));
													}
												else
													{	/* BackEnd/c.scm 195 */
														BUNSPEC;
													}
											}
									}
							}
						else
							{	/* BackEnd/c.scm 188 */
								BFALSE;
							}
					}
				}
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_mez00_28));
				{	/* BackEnd/c.scm 203 */
					obj_t BgL_port2198z00_2012;

					BgL_port2198z00_2012 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2571z00zzbackend_cz00,
						BgL_port2198z00_2012);
					bgl_display_char(((unsigned char) '\n'), BgL_port2198z00_2012);
				}
				{	/* BackEnd/c.scm 204 */
					obj_t BgL_port2199z00_2013;

					BgL_port2199z00_2013 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2576z00zzbackend_cz00,
						BgL_port2199z00_2013);
					bgl_display_char(((unsigned char) '\n'), BgL_port2199z00_2013);
				}
				{	/* BackEnd/c.scm 205 */
					obj_t BgL_port2200z00_2014;

					BgL_port2200z00_2014 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2573z00zzbackend_cz00,
						BgL_port2200z00_2014);
					bgl_display_char(((unsigned char) '\n'), BgL_port2200z00_2014);
				}
				{
					obj_t BgL_l2202z00_2016;

					BgL_l2202z00_2016 = BGl_za2czd2userzd2footza2z00zzengine_paramz00;
				BgL_zc3anonymousza32301ze3z83_2017:
					if (PAIRP(BgL_l2202z00_2016))
						{	/* BackEnd/c.scm 208 */
							{	/* BackEnd/c.scm 208 */
								obj_t BgL_hz00_2019;

								BgL_hz00_2019 = CAR(BgL_l2202z00_2016);
								{	/* BackEnd/c.scm 208 */
									obj_t BgL_port2201z00_2020;

									BgL_port2201z00_2020 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_obj(BgL_hz00_2019, BgL_port2201z00_2020);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port2201z00_2020);
							}}
							{
								obj_t BgL_l2202z00_4020;

								BgL_l2202z00_4020 = CDR(BgL_l2202z00_2016);
								BgL_l2202z00_2016 = BgL_l2202z00_4020;
								goto BgL_zc3anonymousza32301ze3z83_2017;
							}
						}
					else
						{	/* BackEnd/c.scm 208 */
							((bool_t) 1);
						}
				}
				return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
			}
		}
	}



/* <anonymous:2285> */
	obj_t BGl_zc3anonymousza32285ze3z83zzbackend_cz00(obj_t BgL_lis2193z00_1989)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 161 */
		BGl_zc3anonymousza32285ze3z83zzbackend_cz00:
			if (NULLP(BgL_lis2193z00_1989))
				{	/* BackEnd/c.scm 161 */
					return BgL_lis2193z00_1989;
				}
			else
				{	/* BackEnd/c.scm 161 */
					obj_t BgL_head2194z00_1992;
					obj_t BgL_tail2195z00_1993;

					BgL_head2194z00_1992 = CAR(BgL_lis2193z00_1989);
					BgL_tail2195z00_1993 = CDR(BgL_lis2193z00_1989);
					if (
						((long) (
								(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_head2194z00_1992)))->
									BgL_occurrencez00)) > ((long) 0)))
						{	/* BackEnd/c.scm 161 */
							obj_t BgL_newzd2tail2196zd2_1995;

							BgL_newzd2tail2196zd2_1995 =
								BGl_zc3anonymousza32285ze3z83zzbackend_cz00
								(BgL_tail2195z00_1993);
							if ((BgL_tail2195z00_1993 == BgL_newzd2tail2196zd2_1995))
								{	/* BackEnd/c.scm 161 */
									return BgL_lis2193z00_1989;
								}
							else
								{	/* BackEnd/c.scm 161 */
									obj_t BgL_res2518z00_3451;

									BgL_res2518z00_3451 =
										MAKE_PAIR(BgL_head2194z00_1992, BgL_newzd2tail2196zd2_1995);
									return BgL_res2518z00_3451;
								}
						}
					else
						{
							obj_t BgL_lis2193z00_4036;

							BgL_lis2193z00_4036 = BgL_tail2195z00_1993;
							BgL_lis2193z00_1989 = BgL_lis2193z00_4036;
							goto BGl_zc3anonymousza32285ze3z83zzbackend_cz00;
						}
				}
		}
	}



/* &<anonymous:2269> */
	obj_t BGl_z62zc3anonymousza32269ze3ze1zzbackend_cz00(obj_t BgL_envz00_3623,
		obj_t BgL_globalz00_3624)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 143 */
			{
				obj_t BgL_globalz00_1963;

				BgL_globalz00_1963 = BgL_globalz00_3624;
				{	/* BackEnd/c.scm 145 */
					bool_t BgL_testz00_4037;

					{	/* BackEnd/c.scm 145 */
						bool_t BgL_testz00_4038;

						{	/* BackEnd/c.scm 145 */
							obj_t BgL_arg2284z00_1984;

							BgL_arg2284z00_1984 =
								(((BgL_globalz00_bglt) CREF(
										((BgL_globalz00_bglt) BgL_globalz00_1963)))->BgL_modulez00);
							BgL_testz00_4038 =
								(BgL_arg2284z00_1984 == BGl_za2moduleza2z00zzmodule_modulez00);
						}
						if (BgL_testz00_4038)
							{	/* BackEnd/c.scm 145 */
								BgL_testz00_4037 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_1963))))->
										BgL_occurrencez00) > ((long) 0));
							}
						else
							{	/* BackEnd/c.scm 145 */
								BgL_testz00_4037 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4037)
						{	/* BackEnd/c.scm 145 */
							return
								BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
								((BgL_globalz00_bglt) BgL_globalz00_1963));
						}
					else
						{	/* BackEnd/c.scm 145 */
							if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
									((BgL_globalz00_bglt) BgL_globalz00_1963)))
								{	/* BackEnd/c.scm 148 */
									BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
										((BgL_globalz00_bglt) BgL_globalz00_1963));
									{	/* BackEnd/c.scm 150 */
										BgL_typez00_bglt BgL_arg2272z00_1967;

										BgL_arg2272z00_1967 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1963))))->
											BgL_typez00);
										BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
											(BgL_arg2272z00_1967);
									}
									{	/* BackEnd/c.scm 151 */
										bool_t BgL_testz00_4057;

										{	/* BackEnd/c.scm 151 */
											BgL_valuez00_bglt BgL_arg2281z00_1981;

											BgL_arg2281z00_1981 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_1963))))->
												BgL_valuez00);
											{	/* BackEnd/c.scm 151 */
												bool_t BgL_res2508z00_3419;

												{	/* BackEnd/c.scm 151 */
													obj_t BgL_objz00_3418;

													BgL_objz00_3418 = ((obj_t) BgL_arg2281z00_1981);
													BgL_res2508z00_3419 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3418,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_4057 = BgL_res2508z00_3419;
											}
										}
										if (BgL_testz00_4057)
											{	/* BackEnd/c.scm 152 */
												obj_t BgL_g2191z00_1969;

												BgL_g2191z00_1969 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_1963))))->
																	BgL_valuez00))))->BgL_argsz00);
												{
													obj_t BgL_l2189z00_1971;

													{	/* BackEnd/c.scm 158 */
														bool_t BgL_auxz00_4068;

														BgL_l2189z00_1971 = BgL_g2191z00_1969;
													BgL_zc3anonymousza32274ze3z83_1972:
														if (PAIRP(BgL_l2189z00_1971))
															{	/* BackEnd/c.scm 158 */
																{	/* BackEnd/c.scm 154 */
																	obj_t BgL_az00_1974;

																	BgL_az00_1974 = CAR(BgL_l2189z00_1971);
																	if (BGl_isazf3zf3zz__objectz00(BgL_az00_1974,
																			BGl_typez00zztype_typez00))
																		{	/* BackEnd/c.scm 154 */
																			BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																				(((BgL_typez00_bglt) BgL_az00_1974));
																		}
																	else
																		{	/* BackEnd/c.scm 154 */
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_az00_1974,
																					BGl_localz00zzast_varz00))
																				{	/* BackEnd/c.scm 157 */
																					BgL_typez00_bglt BgL_arg2278z00_1977;

																					BgL_arg2278z00_1977 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_az00_1974))))->
																						BgL_typez00);
																					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																						(BgL_arg2278z00_1977);
																				}
																			else
																				{	/* BackEnd/c.scm 156 */
																					BFALSE;
																				}
																		}
																}
																{
																	obj_t BgL_l2189z00_4082;

																	BgL_l2189z00_4082 = CDR(BgL_l2189z00_1971);
																	BgL_l2189z00_1971 = BgL_l2189z00_4082;
																	goto BgL_zc3anonymousza32274ze3z83_1972;
																}
															}
														else
															{	/* BackEnd/c.scm 158 */
																BgL_auxz00_4068 = ((bool_t) 1);
															}
														return BBOOL(BgL_auxz00_4068);
													}
												}
											}
										else
											{	/* BackEnd/c.scm 151 */
												return BFALSE;
											}
									}
								}
							else
								{	/* BackEnd/c.scm 148 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &<anonymous:2266> */
	obj_t BGl_z62zc3anonymousza32266ze3ze1zzbackend_cz00(obj_t BgL_envz00_3625,
		obj_t BgL_tz00_3626)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 141 */
			{
				obj_t BgL_tz00_1958;

				BgL_tz00_1958 = BgL_tz00_3626;
				{	/* BackEnd/c.scm 141 */
					BgL_typez00_bglt BgL_oz00_3400;
					int BgL_vz00_3401;

					BgL_oz00_3400 = ((BgL_typez00_bglt) BgL_tz00_1958);
					BgL_vz00_3401 = (int) (((long) 0));
					return
						((((BgL_typez00_bglt) CREF(BgL_oz00_3400))->BgL_occurrencez00) =
						((int) BgL_vz00_3401), BUNSPEC);
		}}}
	}



/* &<anonymous:2258> */
	obj_t BGl_z62zc3anonymousza32258ze3ze1zzbackend_cz00(obj_t BgL_envz00_3627)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 114 */
			{

				return
					BGl_startzd2emissionz12zc0zzbackend_c_emitz00
					(BGl_string2577z00zzbackend_cz00);
			}
		}
	}



/* cc-compiler */
	BGL_EXPORTED_DEF obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t
		BgL_czd2prefixzd2_29, obj_t BgL_ozd2prefixzd2_30)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 215 */
			BGl_setzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long) 0)));
			{	/* BackEnd/c.scm 219 */
				bool_t BgL_arg2304z00_2023;

				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 11))))
					{	/* BackEnd/c.scm 219 */
						BgL_arg2304z00_2023 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/c.scm 219 */
						BgL_arg2304z00_2023 = ((bool_t) 1);
					}
				BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_29, BgL_ozd2prefixzd2_30,
					BgL_arg2304z00_2023);
			}
			BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 11)),
				BGl_proc2578z00zzbackend_cz00);
			{	/* BackEnd/c.scm 222 */
				obj_t BgL_arg2308z00_2028;

				if (STRINGP(BgL_ozd2prefixzd2_30))
					{	/* BackEnd/c.scm 222 */
						BgL_arg2308z00_2028 = BgL_ozd2prefixzd2_30;
					}
				else
					{	/* BackEnd/c.scm 222 */
						BgL_arg2308z00_2028 = BgL_czd2prefixzd2_29;
					}
				return BGl_ldz00zzcc_ldz00(BgL_arg2308z00_2028, ((bool_t) 0));
			}
		}
	}



/* &cc-compiler */
	obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t BgL_envz00_3629,
		obj_t BgL_czd2prefixzd2_3630, obj_t BgL_ozd2prefixzd2_3631)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 215 */
			return
				BGl_cczd2compilerzd2zzbackend_cz00(BgL_czd2prefixzd2_3630,
				BgL_ozd2prefixzd2_3631);
		}
	}



/* &<anonymous:2307> */
	obj_t BGl_z62zc3anonymousza32307ze3ze1zzbackend_cz00(obj_t BgL_envz00_3632)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 220 */
			{

				return CNST_TABLE_REF(((long) 12));
		}}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 235 */
			{	/* BackEnd/c.scm 239 */
				obj_t BgL_arg2310z00_2030;

				{	/* BackEnd/c.scm 239 */
					obj_t BgL_arg2311z00_2031;
					obj_t BgL_arg2312z00_2032;

					{	/* BackEnd/c.scm 239 */
						obj_t BgL_userz00_2038;

						BgL_userz00_2038 =
							BGl_getenvz00zz__osz00(BSTRING_TO_STRING
							(BGl_string2579z00zzbackend_cz00));
						if (STRINGP(BgL_userz00_2038))
							{	/* BackEnd/c.scm 240 */
								BgL_arg2311z00_2031 = BgL_userz00_2038;
							}
						else
							{	/* BackEnd/c.scm 240 */
								BgL_arg2311z00_2031 = BGl_string2580z00zzbackend_cz00;
							}
					}
					BgL_arg2312z00_2032 = CAR(BGl_za2srczd2suffixza2zd2zzengine_paramz00);
					{	/* BackEnd/c.scm 237 */
						obj_t BgL_list2313z00_2033;

						{	/* BackEnd/c.scm 237 */
							obj_t BgL_arg2314z00_2034;

							{	/* BackEnd/c.scm 237 */
								obj_t BgL_arg2315z00_2035;

								{	/* BackEnd/c.scm 237 */
									obj_t BgL_arg2316z00_2036;

									{	/* BackEnd/c.scm 237 */
										obj_t BgL_arg2317z00_2037;

										BgL_arg2317z00_2037 = MAKE_PAIR(BgL_arg2312z00_2032, BNIL);
										BgL_arg2316z00_2036 =
											MAKE_PAIR(BGl_string2581z00zzbackend_cz00,
											BgL_arg2317z00_2037);
									}
									BgL_arg2315z00_2035 =
										MAKE_PAIR(BgL_arg2311z00_2031, BgL_arg2316z00_2036);
								}
								BgL_arg2314z00_2034 =
									MAKE_PAIR(BGl_string2582z00zzbackend_cz00,
									BgL_arg2315z00_2035);
							}
							BgL_list2313z00_2033 =
								MAKE_PAIR(BGl_string2583z00zzbackend_cz00, BgL_arg2314z00_2034);
						}
						BgL_arg2310z00_2030 =
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2313z00_2033);
					}
				}
				return
					BGl_makezd2filezd2namez00zz__osz00
					(BGl_za2bigloozd2tmpza2zd2zzengine_paramz00, BgL_arg2310z00_2030);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2584z00zzbackend_cz00,
				BGl_string2585z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2586z00zzbackend_cz00,
				BGl_string2587z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2588z00zzbackend_cz00,
				BGl_string2589z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2590z00zzbackend_cz00,
				BGl_string2591z00zzbackend_cz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2592z00zzbackend_cz00,
				BGl_string2593z00zzbackend_cz00);
		}
	}



/* &backend-subtype?-cvm2227 */
	obj_t BGl_z62backendzd2subtypezf3zd2cvm2227z91zzbackend_cz00(obj_t
		BgL_envz00_3643, obj_t BgL_bz00_3644, obj_t BgL_t1z00_3645,
		obj_t BgL_t2z00_3646)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 341 */
			{
				BgL_cvmz00_bglt BgL_bz00_2229;
				obj_t BgL_t1z00_2230;
				obj_t BgL_t2z00_2231;

				BgL_bz00_2229 = ((BgL_cvmz00_bglt) BgL_bz00_3644);
				BgL_t1z00_2230 = BgL_t1z00_3645;
				BgL_t2z00_2231 = BgL_t2z00_3646;
				{	/* BackEnd/c.scm 343 */
					bool_t BgL__ortest_1133z00_2234;

					BgL__ortest_1133z00_2234 = (BgL_t1z00_2230 == BgL_t2z00_2231);
					if (BgL__ortest_1133z00_2234)
						{	/* BackEnd/c.scm 343 */
							return BBOOL(BgL__ortest_1133z00_2234);
						}
					else
						{	/* BackEnd/c.scm 344 */
							bool_t BgL__ortest_1134z00_2235;

							BgL__ortest_1134z00_2235 =
								(
								(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_t1z00_2230)))->BgL_idz00) ==
								(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_t2z00_2231)))->BgL_idz00));
							if (BgL__ortest_1134z00_2235)
								{	/* BackEnd/c.scm 344 */
									return BBOOL(BgL__ortest_1134z00_2235);
								}
							else
								{	/* BackEnd/c.scm 345 */
									obj_t BgL_string1z00_3604;
									obj_t BgL_string2z00_3605;

									BgL_string1z00_3604 =
										(((BgL_typez00_bglt) CREF(
												((BgL_typez00_bglt) BgL_t1z00_2230)))->BgL_namez00);
									BgL_string2z00_3605 =
										(((BgL_typez00_bglt) CREF(
												((BgL_typez00_bglt) BgL_t2z00_2231)))->BgL_namez00);
									return
										BBOOL(bigloo_strcmp(BgL_string1z00_3604,
											BgL_string2z00_3605));
								}
						}
				}
			}
		}
	}



/* &backend-link-objects2225 */
	obj_t BGl_z62backendzd2linkzd2objects2225z62zzbackend_cz00(obj_t
		BgL_envz00_3647, obj_t BgL_mez00_3648, obj_t BgL_sourcesz00_3649)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 249 */
			{
				BgL_cvmz00_bglt BgL_mez00_2072;
				obj_t BgL_sourcesz00_2073;

				BgL_mez00_2072 = ((BgL_cvmz00_bglt) BgL_mez00_3648);
				BgL_sourcesz00_2073 = BgL_sourcesz00_3649;
				if (
					((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > ((long) 0)))
					{	/* BackEnd/c.scm 250 */
						BGl_bdbzd2settingz12zc0zzbdb_settingz00();
					}
				else
					{	/* BackEnd/c.scm 250 */
						BFALSE;
					}
				if (NULLP(BgL_sourcesz00_2073))
					{	/* BackEnd/c.scm 252 */
						obj_t BgL_firstz00_2078;

						BgL_firstz00_2078 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/c.scm 253 */
							obj_t BgL_list2333z00_2079;

							{	/* BackEnd/c.scm 253 */
								obj_t BgL_arg2334z00_2080;

								{	/* BackEnd/c.scm 253 */
									obj_t BgL_arg2335z00_2081;

									{	/* BackEnd/c.scm 253 */
										obj_t BgL_arg2336z00_2082;

										BgL_arg2336z00_2082 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2335z00_2081 =
											MAKE_PAIR(BGl_string2594z00zzbackend_cz00,
											BgL_arg2336z00_2082);
									}
									BgL_arg2334z00_2080 =
										MAKE_PAIR(BGl_string2595z00zzbackend_cz00,
										BgL_arg2335z00_2081);
								}
								BgL_list2333z00_2079 =
									MAKE_PAIR(BGl_string2596z00zzbackend_cz00,
									BgL_arg2334z00_2080);
							}
							BGl_warningz00zz__errorz00(BgL_list2333z00_2079);
						}
						BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
						BGl_za2ozd2filesza2zd2zzengine_paramz00 =
							CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
						return BGl_ldz00zzcc_ldz00(BgL_firstz00_2078, ((bool_t) 0));
					}
				else
					{
						obj_t BgL_sourcesz00_2087;
						obj_t BgL_clausesz00_2088;
						obj_t BgL_mainz00_2089;
						obj_t BgL_fmainz00_2090;
						obj_t BgL_librariesz00_2091;

						BgL_sourcesz00_2087 = BgL_sourcesz00_2073;
						BgL_clausesz00_2088 = BNIL;
						BgL_mainz00_2089 = BFALSE;
						BgL_fmainz00_2090 = BGl_string2580z00zzbackend_cz00;
						BgL_librariesz00_2091 = BNIL;
					BgL_zc3anonymousza32338ze3z83_2092:
						if (NULLP(BgL_sourcesz00_2087))
							{	/* BackEnd/c.scm 263 */
								bool_t BgL_testz00_4154;

								if (CBOOL(BgL_mainz00_2089))
									{	/* BackEnd/c.scm 263 */
										BgL_testz00_4154 = ((bool_t) 1);
									}
								else
									{	/* BackEnd/c.scm 263 */
										if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
											{	/* BackEnd/c.scm 263 */
												BgL_testz00_4154 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/c.scm 263 */
												BgL_testz00_4154 = ((bool_t) 1);
											}
									}
								if (BgL_testz00_4154)
									{	/* BackEnd/c.scm 264 */
										obj_t BgL_firstz00_2095;

										BgL_firstz00_2095 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2213z00_2097;

											BgL_l2213z00_2097 = BgL_librariesz00_2091;
										BgL_zc3anonymousza32341ze3z83_2098:
											if (PAIRP(BgL_l2213z00_2097))
												{	/* BackEnd/c.scm 267 */
													{	/* BackEnd/c.scm 268 */
														obj_t BgL_libz00_2100;

														BgL_libz00_2100 = CAR(BgL_l2213z00_2097);
														{
															obj_t BgL_clausesz00_2103;
															obj_t BgL_libsz00_2101;

															if (PAIRP(BgL_libz00_2100))
																{	/* BackEnd/c.scm 268 */
																	if (
																		(CAR(BgL_libz00_2100) ==
																			CNST_TABLE_REF(((long) 13))))
																		{	/* BackEnd/c.scm 268 */
																			BgL_libsz00_2101 = CDR(BgL_libz00_2100);
																			{
																				obj_t BgL_l2204z00_2114;

																				BgL_l2204z00_2114 = BgL_libsz00_2101;
																			BgL_zc3anonymousza32351ze3z83_2115:
																				if (PAIRP(BgL_l2204z00_2114))
																					{	/* BackEnd/c.scm 270 */
																						BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																							(CAR(BgL_l2204z00_2114));
																						{
																							obj_t BgL_l2204z00_4174;

																							BgL_l2204z00_4174 =
																								CDR(BgL_l2204z00_2114);
																							BgL_l2204z00_2114 =
																								BgL_l2204z00_4174;
																							goto
																								BgL_zc3anonymousza32351ze3z83_2115;
																						}
																					}
																				else
																					{	/* BackEnd/c.scm 270 */
																						((bool_t) 1);
																					}
																			}
																		}
																	else
																		{	/* BackEnd/c.scm 268 */
																			if (
																				(CAR(BgL_libz00_2100) ==
																					CNST_TABLE_REF(((long) 14))))
																				{	/* BackEnd/c.scm 268 */
																					BgL_clausesz00_2103 =
																						CDR(BgL_libz00_2100);
																					{	/* BackEnd/c.scm 272 */
																						obj_t BgL_fun2212z00_2120;

																						{	/* BackEnd/c.scm 272 */
																							obj_t
																								BgL_zc3anonymousza32360ze3z83_3635;
																							{
																								int BgL_auxz00_4181;

																								BgL_auxz00_4181 =
																									(int) (((long) 0));
																								BgL_zc3anonymousza32360ze3z83_3635
																									=
																									MAKE_EL_PROCEDURE
																									(BgL_auxz00_4181);
																							}
																							BgL_fun2212z00_2120 =
																								BgL_zc3anonymousza32360ze3z83_3635;
																						}
																						{
																							obj_t BgL_l2210z00_2122;

																							BgL_l2210z00_2122 =
																								BgL_clausesz00_2103;
																						BgL_zc3anonymousza32356ze3z83_2123:
																							if (PAIRP(BgL_l2210z00_2122))
																								{	/* BackEnd/c.scm 272 */
																									{	/* BackEnd/c.scm 272 */
																										obj_t BgL_arg2358z00_2125;

																										BgL_arg2358z00_2125 =
																											CAR(BgL_l2210z00_2122);
																										BGl_z62zc3anonymousza32360ze3ze1zzbackend_cz00
																											(BgL_fun2212z00_2120,
																											BgL_arg2358z00_2125);
																									}
																									{
																										obj_t BgL_l2210z00_4191;

																										BgL_l2210z00_4191 =
																											CDR(BgL_l2210z00_2122);
																										BgL_l2210z00_2122 =
																											BgL_l2210z00_4191;
																										goto
																											BgL_zc3anonymousza32356ze3z83_2123;
																									}
																								}
																							else
																								{	/* BackEnd/c.scm 272 */
																									((bool_t) 1);
																								}
																						}
																					}
																				}
																			else
																				{	/* BackEnd/c.scm 268 */
																					((bool_t) 0);
																				}
																		}
																}
															else
																{	/* BackEnd/c.scm 268 */
																	((bool_t) 0);
																}
														}
													}
													{
														obj_t BgL_l2213z00_4194;

														BgL_l2213z00_4194 = CDR(BgL_l2213z00_2097);
														BgL_l2213z00_2097 = BgL_l2213z00_4194;
														goto BgL_zc3anonymousza32341ze3z83_2098;
													}
												}
											else
												{	/* BackEnd/c.scm 267 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
										{	/* BackEnd/c.scm 280 */
											obj_t BgL_list2374z00_2152;

											BgL_list2374z00_2152 = MAKE_PAIR(BgL_fmainz00_2090, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2374z00_2152;
										}
										BGl_za2ozd2filesza2zd2zzengine_paramz00 =
											CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
										return BGl_ldz00zzcc_ldz00(BgL_firstz00_2095, ((bool_t) 0));
									}
								else
									{	/* BackEnd/c.scm 284 */
										obj_t BgL_tmpz00_2154;

										BgL_tmpz00_2154 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_2154,
											CBOOL(BgL_mainz00_2089),
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														15))), BgL_clausesz00_2088, BgL_librariesz00_2091);
										{	/* BackEnd/c.scm 286 */
											obj_t BgL_list2377z00_2156;

											BgL_list2377z00_2156 = MAKE_PAIR(BgL_tmpz00_2154, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2377z00_2156;
										}
										{
											obj_t BgL_raz00_2159;
											obj_t BgL_resz00_2160;

											BgL_raz00_2159 =
												BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_2160 = BNIL;
										BgL_zc3anonymousza32378ze3z83_2161:
											if (NULLP(BgL_raz00_2159))
												{	/* BackEnd/c.scm 292 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_2160);
												}
											else
												{	/* BackEnd/c.scm 294 */
													bool_t BgL_testz00_4209;

													{	/* BackEnd/c.scm 294 */
														obj_t BgL_arg2385z00_2168;

														BgL_arg2385z00_2168 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_2159));
														BgL_testz00_4209 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2385z00_2168,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_4209)
														{
															obj_t BgL_raz00_4214;

															BgL_raz00_4214 = CDR(BgL_raz00_2159);
															BgL_raz00_2159 = BgL_raz00_4214;
															goto BgL_zc3anonymousza32378ze3z83_2161;
														}
													else
														{	/* BackEnd/c.scm 297 */
															obj_t BgL_arg2382z00_2165;
															obj_t BgL_arg2383z00_2166;

															BgL_arg2382z00_2165 = CDR(BgL_raz00_2159);
															BgL_arg2383z00_2166 =
																MAKE_PAIR(CAR(BgL_raz00_2159), BgL_resz00_2160);
															{
																obj_t BgL_resz00_4220;
																obj_t BgL_raz00_4219;

																BgL_raz00_4219 = BgL_arg2382z00_2165;
																BgL_resz00_4220 = BgL_arg2383z00_2166;
																BgL_resz00_2160 = BgL_resz00_4220;
																BgL_raz00_2159 = BgL_raz00_4219;
																goto BgL_zc3anonymousza32378ze3z83_2161;
															}
														}
												}
										}
										{	/* BackEnd/c.scm 298 */
											obj_t BgL_exitd1129z00_2171;

											BgL_exitd1129z00_2171 = BGL_EXITD_TOP_AS_OBJ();
											{	/* BackEnd/c.scm 302 */
												obj_t BgL_zc3anonymousza32387ze3z83_3634;

												BgL_zc3anonymousza32387ze3z83_3634 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32387ze3ze1zzbackend_cz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32387ze3z83_3634,
													(int) (((long) 0)), BgL_tmpz00_2154);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1129z00_2171,
													BgL_zc3anonymousza32387ze3z83_3634);
												{	/* BackEnd/c.scm 299 */
													obj_t BgL_tmp1131z00_2173;

													BgL_tmp1131z00_2173 =
														BGl_compilerz00zzengine_compilerz00();
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1129z00_2171);
													BGl_z62zc3anonymousza32387ze3ze1zzbackend_cz00
														(BgL_zc3anonymousza32387ze3z83_3634);
													BgL_tmp1131z00_2173;
										}}}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/c.scm 314 */
								obj_t BgL_portz00_2191;

								{	/* BackEnd/c.scm 314 */
									obj_t BgL_arg2418z00_2223;

									{	/* BackEnd/c.scm 314 */
										obj_t BgL_pairz00_3557;

										BgL_pairz00_3557 = BgL_sourcesz00_2087;
										BgL_arg2418z00_2223 = CAR(CAR(BgL_pairz00_3557));
									}
									{	/* BackEnd/c.scm 314 */

										BgL_portz00_2191 =
											BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
											(BgL_arg2418z00_2223, BTRUE, BINT(((long) 5000000)));
								}}
								if (INPUT_PORTP(BgL_portz00_2191))
									{	/* BackEnd/c.scm 317 */
										obj_t BgL_expz00_2193;

										{	/* BackEnd/c.scm 317 */
											obj_t BgL_arg2414z00_2220;

											{	/* BackEnd/c.scm 317 */
												obj_t BgL_list2415z00_2221;

												BgL_list2415z00_2221 =
													MAKE_PAIR(BgL_portz00_2191, BNIL);
												BgL_arg2414z00_2220 =
													BGl_compilerzd2readzd2zzread_readerz00
													(BgL_list2415z00_2221);
											}
											BgL_expz00_2193 =
												BGl_expandz00zz__expandz00(BgL_arg2414z00_2220);
										}
										bgl_close_input_port(BgL_portz00_2191);
										{
											obj_t BgL_namez00_2194;

											if (PAIRP(BgL_expz00_2193))
												{	/* BackEnd/c.scm 319 */
													obj_t BgL_cdrzd2422zd2_2199;

													BgL_cdrzd2422zd2_2199 = CDR(BgL_expz00_2193);
													if (
														(CAR(BgL_expz00_2193) ==
															CNST_TABLE_REF(((long) 15))))
														{	/* BackEnd/c.scm 319 */
															if (PAIRP(BgL_cdrzd2422zd2_2199))
																{	/* BackEnd/c.scm 319 */
																	BgL_namez00_2194 = CAR(BgL_cdrzd2422zd2_2199);
																	{	/* BackEnd/c.scm 321 */
																		obj_t BgL_libsz00_2204;
																		obj_t BgL_nmainz00_2205;

																		{	/* BackEnd/c.scm 321 */
																			obj_t BgL_arg2411z00_2217;

																			{	/* BackEnd/c.scm 321 */
																				obj_t BgL_pairz00_3563;

																				BgL_pairz00_3563 = BgL_expz00_2193;
																				BgL_arg2411z00_2217 =
																					CDR(CDR(BgL_pairz00_3563));
																			}
																			BgL_libsz00_2204 =
																				BGl_findzd2librarieszd2zzengine_linkz00
																				(BgL_arg2411z00_2217);
																		}
																		{	/* BackEnd/c.scm 322 */
																			obj_t BgL_arg2412z00_2218;

																			{	/* BackEnd/c.scm 322 */
																				obj_t BgL_pairz00_3567;

																				BgL_pairz00_3567 = BgL_expz00_2193;
																				BgL_arg2412z00_2218 =
																					CDR(CDR(BgL_pairz00_3567));
																			}
																			BgL_nmainz00_2205 =
																				BGl_findzd2mainzd2zzengine_linkz00
																				(BgL_arg2412z00_2218);
																		}
																		{	/* BackEnd/c.scm 323 */
																			obj_t BgL_arg2401z00_2206;
																			obj_t BgL_arg2402z00_2207;
																			obj_t BgL_arg2403z00_2208;
																			obj_t BgL_arg2404z00_2209;
																			obj_t BgL_arg2405z00_2210;

																			BgL_arg2401z00_2206 =
																				CDR(BgL_sourcesz00_2087);
																			{	/* BackEnd/c.scm 326 */
																				obj_t BgL_arg2406z00_2211;

																				{	/* BackEnd/c.scm 326 */
																					obj_t BgL_arg2407z00_2212;

																					{	/* BackEnd/c.scm 326 */
																						obj_t BgL_arg2410z00_2215;

																						{	/* BackEnd/c.scm 326 */
																							obj_t BgL_pairz00_3572;

																							BgL_pairz00_3572 =
																								BgL_sourcesz00_2087;
																							BgL_arg2410z00_2215 =
																								CAR(CAR(BgL_pairz00_3572));
																						}
																						BgL_arg2407z00_2212 =
																							string_append_3
																							(BGl_string2597z00zzbackend_cz00,
																							BgL_arg2410z00_2215,
																							BGl_string2597z00zzbackend_cz00);
																					}
																					{	/* BackEnd/c.scm 324 */
																						obj_t BgL_list2408z00_2213;

																						{	/* BackEnd/c.scm 324 */
																							obj_t BgL_arg2409z00_2214;

																							BgL_arg2409z00_2214 =
																								MAKE_PAIR(BgL_arg2407z00_2212,
																								BNIL);
																							BgL_list2408z00_2213 =
																								MAKE_PAIR(BgL_namez00_2194,
																								BgL_arg2409z00_2214);
																						}
																						BgL_arg2406z00_2211 =
																							BgL_list2408z00_2213;
																					}
																				}
																				BgL_arg2402z00_2207 =
																					MAKE_PAIR(BgL_arg2406z00_2211,
																					BgL_clausesz00_2088);
																			}
																			if (CBOOL(BgL_nmainz00_2205))
																				{	/* BackEnd/c.scm 328 */
																					BgL_arg2403z00_2208 =
																						BgL_nmainz00_2205;
																				}
																			else
																				{	/* BackEnd/c.scm 328 */
																					BgL_arg2403z00_2208 =
																						BgL_mainz00_2089;
																				}
																			if (CBOOL(BgL_nmainz00_2205))
																				{	/* BackEnd/c.scm 329 */
																					obj_t BgL_pairz00_3578;

																					BgL_pairz00_3578 =
																						BgL_sourcesz00_2087;
																					BgL_arg2404z00_2209 =
																						CAR(CAR(BgL_pairz00_3578));
																				}
																			else
																				{	/* BackEnd/c.scm 329 */
																					BgL_arg2404z00_2209 =
																						BgL_fmainz00_2090;
																				}
																			BgL_arg2405z00_2210 =
																				BGl_appendzd221011zd2zzbackend_cz00
																				(BgL_libsz00_2204,
																				BgL_librariesz00_2091);
																			{
																				obj_t BgL_librariesz00_4275;
																				obj_t BgL_fmainz00_4274;
																				obj_t BgL_mainz00_4273;
																				obj_t BgL_clausesz00_4272;
																				obj_t BgL_sourcesz00_4271;

																				BgL_sourcesz00_4271 =
																					BgL_arg2401z00_2206;
																				BgL_clausesz00_4272 =
																					BgL_arg2402z00_2207;
																				BgL_mainz00_4273 = BgL_arg2403z00_2208;
																				BgL_fmainz00_4274 = BgL_arg2404z00_2209;
																				BgL_librariesz00_4275 =
																					BgL_arg2405z00_2210;
																				BgL_librariesz00_2091 =
																					BgL_librariesz00_4275;
																				BgL_fmainz00_2090 = BgL_fmainz00_4274;
																				BgL_mainz00_2089 = BgL_mainz00_4273;
																				BgL_clausesz00_2088 =
																					BgL_clausesz00_4272;
																				BgL_sourcesz00_2087 =
																					BgL_sourcesz00_4271;
																				goto BgL_zc3anonymousza32338ze3z83_2092;
																			}
																		}
																	}
																}
															else
																{	/* BackEnd/c.scm 319 */
																BgL_tagzd2417zd2_2196:
																	{
																		obj_t BgL_sourcesz00_4277;

																		BgL_sourcesz00_4277 =
																			CDR(BgL_sourcesz00_2087);
																		BgL_sourcesz00_2087 = BgL_sourcesz00_4277;
																		goto BgL_zc3anonymousza32338ze3z83_2092;
																	}
																}
														}
													else
														{	/* BackEnd/c.scm 319 */
															goto BgL_tagzd2417zd2_2196;
														}
												}
											else
												{	/* BackEnd/c.scm 319 */
													goto BgL_tagzd2417zd2_2196;
												}
										}
									}
								else
									{	/* BackEnd/c.scm 316 */
										obj_t BgL_arg2417z00_2222;

										{	/* BackEnd/c.scm 316 */
											obj_t BgL_pairz00_3590;

											BgL_pairz00_3590 = BgL_sourcesz00_2087;
											BgL_arg2417z00_2222 = CAR(CAR(BgL_pairz00_3590));
										}
										return
											BGl_errorz00zz__errorz00(BGl_string2580z00zzbackend_cz00,
											BGl_string2598z00zzbackend_cz00, BgL_arg2417z00_2222);
									}
							}
					}
			}
		}
	}



/* &<anonymous:2360> */
	bool_t BGl_z62zc3anonymousza32360ze3ze1zzbackend_cz00(obj_t BgL_envz00_3650,
		obj_t BgL_ezd2410zd2_3651)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 272 */
			{
				obj_t BgL_ezd2410zd2_2130;

				BgL_ezd2410zd2_2130 = BgL_ezd2410zd2_3651;
				{
					obj_t BgL_libsz00_2128;

					if (PAIRP(BgL_ezd2410zd2_2130))
						{	/* BackEnd/c.scm 272 */
							if ((CAR(BgL_ezd2410zd2_2130) == CNST_TABLE_REF(((long) 13))))
								{	/* BackEnd/c.scm 272 */
									BgL_libsz00_2128 = CDR(BgL_ezd2410zd2_2130);
									{
										obj_t BgL_l2206z00_2137;

										BgL_l2206z00_2137 = BgL_libsz00_2128;
									BgL_zc3anonymousza32365ze3z83_2138:
										if (PAIRP(BgL_l2206z00_2137))
											{	/* BackEnd/c.scm 274 */
												BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
													(BgL_l2206z00_2137));
												{
													obj_t BgL_l2206z00_4293;

													BgL_l2206z00_4293 = CDR(BgL_l2206z00_2137);
													BgL_l2206z00_2137 = BgL_l2206z00_4293;
													goto BgL_zc3anonymousza32365ze3z83_2138;
												}
											}
										else
											{	/* BackEnd/c.scm 274 */
												((bool_t) 1);
											}
									}
									{
										obj_t BgL_l2208z00_2144;

										BgL_l2208z00_2144 = BgL_libsz00_2128;
									BgL_zc3anonymousza32369ze3z83_2145:
										if (PAIRP(BgL_l2208z00_2144))
											{	/* BackEnd/c.scm 275 */
												BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
													(BgL_l2208z00_2144));
												{
													obj_t BgL_l2208z00_4299;

													BgL_l2208z00_4299 = CDR(BgL_l2208z00_2144);
													BgL_l2208z00_2144 = BgL_l2208z00_4299;
													goto BgL_zc3anonymousza32369ze3z83_2145;
												}
											}
										else
											{	/* BackEnd/c.scm 275 */
												return ((bool_t) 1);
											}
									}
								}
							else
								{	/* BackEnd/c.scm 272 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* BackEnd/c.scm 272 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* &<anonymous:2387> */
	obj_t BGl_z62zc3anonymousza32387ze3ze1zzbackend_cz00(obj_t BgL_envz00_3652)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 298 */
			{	/* BackEnd/c.scm 302 */
				obj_t BgL_tmpz00_3653;

				BgL_tmpz00_3653 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3652, (int) (((long) 0))));
				{

					{	/* BackEnd/c.scm 302 */
						bool_t BgL_auxz00_4305;

						BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
						{	/* BackEnd/c.scm 303 */
							obj_t BgL_prez00_2175;

							BgL_prez00_2175 = BGl_prefixz00zz__osz00(BgL_tmpz00_3653);
							{	/* BackEnd/c.scm 303 */
								obj_t BgL_czd2filezd2_2176;

								BgL_czd2filezd2_2176 =
									string_append(BgL_prez00_2175,
									BGl_string2577z00zzbackend_cz00);
								{	/* BackEnd/c.scm 304 */
									obj_t BgL_ozd2filezd2_2177;

									BgL_ozd2filezd2_2177 =
										string_append_3(BgL_prez00_2175,
										BGl_string2581z00zzbackend_cz00,
										BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00);
									{	/* BackEnd/c.scm 305 */

										{	/* BackEnd/c.scm 309 */
											obj_t BgL_g2217z00_2178;

											{	/* BackEnd/c.scm 312 */
												obj_t BgL_list2392z00_2187;

												{	/* BackEnd/c.scm 312 */
													obj_t BgL_arg2393z00_2188;

													{	/* BackEnd/c.scm 312 */
														obj_t BgL_arg2394z00_2189;

														BgL_arg2394z00_2189 =
															MAKE_PAIR(BgL_ozd2filezd2_2177, BNIL);
														BgL_arg2393z00_2188 =
															MAKE_PAIR(BgL_czd2filezd2_2176,
															BgL_arg2394z00_2189);
													}
													BgL_list2392z00_2187 =
														MAKE_PAIR(BgL_tmpz00_3653, BgL_arg2393z00_2188);
												}
												BgL_g2217z00_2178 = BgL_list2392z00_2187;
											}
											{
												obj_t BgL_l2215z00_2180;

												BgL_l2215z00_2180 = BgL_g2217z00_2178;
											BgL_zc3anonymousza32388ze3z83_2181:
												if (PAIRP(BgL_l2215z00_2180))
													{	/* BackEnd/c.scm 312 */
														{	/* BackEnd/c.scm 310 */
															obj_t BgL_fz00_2183;

															BgL_fz00_2183 = CAR(BgL_l2215z00_2180);
															if (fexists(BSTRING_TO_STRING(BgL_fz00_2183)))
																{	/* BackEnd/c.scm 311 */
																	char *BgL_stringz00_3554;

																	BgL_stringz00_3554 =
																		BSTRING_TO_STRING(BgL_fz00_2183);
																	if (unlink(BgL_stringz00_3554))
																		{	/* BackEnd/c.scm 311 */
																			((bool_t) 0);
																		}
																	else
																		{	/* BackEnd/c.scm 311 */
																			((bool_t) 1);
																		}
																}
															else
																{	/* BackEnd/c.scm 310 */
																	((bool_t) 0);
																}
														}
														{
															obj_t BgL_l2215z00_4322;

															BgL_l2215z00_4322 = CDR(BgL_l2215z00_2180);
															BgL_l2215z00_2180 = BgL_l2215z00_4322;
															goto BgL_zc3anonymousza32388ze3z83_2181;
														}
													}
												else
													{	/* BackEnd/c.scm 312 */
														BgL_auxz00_4305 = ((bool_t) 1);
													}
											}
										}
									}
								}
							}
						}
						return BBOOL(BgL_auxz00_4305);
					}
				}
			}
		}
	}



/* &backend-cnst-table-n2223 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n2223zb0zzbackend_cz00(obj_t
		BgL_envz00_3654, obj_t BgL_mez00_3655, obj_t BgL_offsetz00_3656)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 227 */
			{
				BgL_cvmz00_bglt BgL_mez00_2063;
				obj_t BgL_offsetz00_2064;

				BgL_mez00_2063 = ((BgL_cvmz00_bglt) BgL_mez00_3655);
				BgL_offsetz00_2064 = BgL_offsetz00_3656;
				if (((long) CINT(BgL_offsetz00_2064) == ((long) 0)))
					{	/* BackEnd/c.scm 228 */
						return BGl_string2599z00zzbackend_cz00;
					}
				else
					{	/* BackEnd/c.scm 230 */
						obj_t BgL_arg2330z00_2068;

						{	/* BackEnd/c.scm 230 */

							BgL_arg2330z00_2068 =
								BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
								(BgL_offsetz00_2064, BINT(((long) 10)));
						}
						return
							string_append_3(BGl_string2600z00zzbackend_cz00,
							BgL_arg2330z00_2068, BGl_string2601z00zzbackend_cz00);
					}
			}
		}
	}



/* &backend-link-cvm2221 */
	obj_t BGl_z62backendzd2linkzd2cvm2221z62zzbackend_cz00(obj_t BgL_envz00_3657,
		obj_t BgL_mez00_3658, obj_t BgL_resultz00_3659)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 105 */
			{
				BgL_cvmz00_bglt BgL_mez00_2057;
				obj_t BgL_resultz00_2058;

				BgL_mez00_2057 = ((BgL_cvmz00_bglt) BgL_mez00_3658);
				BgL_resultz00_2058 = BgL_resultz00_3659;
				if (STRINGP(BgL_resultz00_2058))
					{	/* BackEnd/c.scm 106 */
						return
							BGl_cczd2compilerzd2zzbackend_cz00(BgL_resultz00_2058, BFALSE);
					}
				else
					{	/* BackEnd/c.scm 106 */
						return BFALSE;
					}
			}
		}
	}



/* &backend-compile-cvm2219 */
	obj_t BGl_z62backendzd2compilezd2cvm2219z62zzbackend_cz00(obj_t
		BgL_envz00_3660, obj_t BgL_mez00_3661)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 93 */
			{
				BgL_cvmz00_bglt BgL_mez00_2040;

				BgL_mez00_2040 = ((BgL_cvmz00_bglt) BgL_mez00_3661);
				{	/* BackEnd/c.scm 94 */
					obj_t BgL_czd2prefixzd2_2043;

					BgL_czd2prefixzd2_2043 =
						BGl_czd2walkzd2zzbackend_cz00(BgL_mez00_2040);
					BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 16)),
						BGl_proc2602z00zzbackend_cz00);
					BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long) 17)),
						BGl_proc2603z00zzbackend_cz00);
					if (STRINGP(BgL_czd2prefixzd2_2043))
						{	/* BackEnd/c.scm 97 */
							{	/* BackEnd/c.scm 98 */
								bool_t BgL_testz00_4343;

								if (
									(BGl_za2passza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 18))))
									{	/* BackEnd/c.scm 98 */
										BgL_testz00_4343 = ((bool_t) 1);
									}
								else
									{	/* BackEnd/c.scm 98 */
										BgL_testz00_4343 =
											CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
									}
								if (BgL_testz00_4343)
									{	/* BackEnd/c.scm 98 */
										BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_2043);
									}
								else
									{	/* BackEnd/c.scm 98 */
										BFALSE;
									}
							}
							BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
										18)), BGl_proc2604z00zzbackend_cz00);
						}
					else
						{	/* BackEnd/c.scm 97 */
							BFALSE;
						}
					return BgL_czd2prefixzd2_2043;
				}
			}
		}
	}



/* &<anonymous:2327> */
	obj_t BGl_z62zc3anonymousza32327ze3ze1zzbackend_cz00(obj_t BgL_envz00_3662)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 99 */
			{

				return CNST_TABLE_REF(((long) 12));
		}}
	}



/* &<anonymous:2322> */
	obj_t BGl_z62zc3anonymousza32322ze3ze1zzbackend_cz00(obj_t BgL_envz00_3663)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 96 */
			{

				return CNST_TABLE_REF(((long) 12));
		}}
	}



/* &<anonymous:2320> */
	obj_t BGl_z62zc3anonymousza32320ze3ze1zzbackend_cz00(obj_t BgL_envz00_3664)
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 95 */
			{

				return CNST_TABLE_REF(((long) 12));
		}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 412406770),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 117219619),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 316727058),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_emitz00(((long) 182920176),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long) 444161932),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzprof_emitz00(((long) 522750846),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_initz00(((long) 517592975),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_cvmz00(((long) 18449009),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long) 349614452),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 65542503),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_indentz00(((long) 287974509),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ccz00(((long) 527776065),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ldz00(((long) 335315213),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(((long) 176519367),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcgen_compilez00(((long) 281305322),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
			return BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(((long)
					361755791), BSTRING_TO_STRING(BGl_string2605z00zzbackend_cz00));
		}
	}

#ifdef __cplusplus
}
#endif
