/*===========================================================================*/
/*   (Cfa/pair.scm)                                                          */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/pair.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_conszd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_approxesz00;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                    *BgL_conszd2appzd2_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_conszd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                             *BgL_conszd2setz12zd2appz12_bglt;


	extern obj_t
		BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
	static obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_pairz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_pairz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
	extern obj_t BGl_conszd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	BGL_EXPORTED_DECL bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00();
	BGL_EXPORTED_DECL obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62zc3anonymousza33062ze3ze1zzcfa_pairz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2967za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2969za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62loosezd2allocz12zd2conszd2ap2979za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2971za2zzcfa_pairz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2app2973z70zzcfa_pairz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_pairz00();
	static obj_t BGl_genericzd2initzd2zzcfa_pairz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app2977zb0zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33080ze3ze1zzcfa_pairz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_pairz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2refzd2app2975za2zzcfa_pairz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pairzd2optimzf3zd2envzf3zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73337za7,
		BGl_z62pairzd2optimzf3z43zzcfa_pairz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762patchza7d2pairza73338za7,
		BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3324z00zzcfa_pairz00,
		BgL_bgl_string3324za700za7za7c3339za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3328z00zzcfa_pairz00,
		BgL_bgl_string3328za700za7za7c3340za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3332z00zzcfa_pairz00,
		BgL_bgl_string3332za700za7za7c3341za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string3333z00zzcfa_pairz00,
		BgL_bgl_string3333za700za7za7c3342za7, "cfa_pair", 8);
	      DEFINE_STRING(BGl_string3334z00zzcfa_pairz00,
		BgL_bgl_string3334za700za7za7c3343za7,
		"all pair? $pair? ((@ cons __r4_pairs_and_lists_6_3) (@ set-car! __r4_pairs_and_lists_6_3) (@ set-cdr! __r4_pairs_and_lists_6_3) (@ $cons foreign) (@ $set-car! foreign) (@ $set-cdr! foreign)) ",
		191);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73344za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2967za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73345za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2969za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73346za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2971za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3347za7,
		BGl_z62cfaz12zd2conszd2app2973z70zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3348za7,
		BGl_z62cfaz12zd2conszd2refzd2app2975za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3349za7,
		BGl_z62cfaz12zd2conszd2setz12zd2app2977zb0zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzcfa_pairz00,
		BgL_bgl_za762looseza7d2alloc3350z00,
		BGl_z62loosezd2allocz12zd2conszd2ap2979za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762unpatchza7d2pai3351z00,
		BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pairzd2optimzd2quotezd2maxlenzd2envz00zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73352za7,
		BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long
		BgL_checksumz00_5415, char *BgL_fromz00_5416)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_pairz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
					BGl_cnstzd2initzd2zzcfa_pairz00();
					BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
					BGl_methodzd2initzd2zzcfa_pairz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_pair");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			{	/* Cfa/pair.scm 17 */
				obj_t BgL_cportz00_5407;

				BgL_cportz00_5407 =
					bgl_open_input_string(BGl_string3334z00zzcfa_pairz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5408;

					BgL_iz00_5408 = ((long) 3);
				BgL_loopz00_5409:
					if ((BgL_iz00_5408 == ((long) -1)))
						{	/* Cfa/pair.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/pair.scm 17 */
							{	/* Cfa/pair.scm 17 */
								obj_t BgL_arg3336z00_5411;

								{	/* Cfa/pair.scm 17 */

									{	/* Cfa/pair.scm 17 */
										obj_t BgL_locationz00_5413;

										BgL_locationz00_5413 = BBOOL(((bool_t) 0));
										{	/* Cfa/pair.scm 17 */

											BgL_arg3336z00_5411 =
												BGl_readz00zz__readerz00(BgL_cportz00_5407,
												BgL_locationz00_5413);
										}
									}
								}
								{	/* Cfa/pair.scm 17 */
									int BgL_auxz00_5435;

									BgL_auxz00_5435 = (int) (BgL_iz00_5408);
									CNST_TABLE_SET(BgL_auxz00_5435, BgL_arg3336z00_5411);
							}}
							{	/* Cfa/pair.scm 17 */
								int BgL_auxz00_5414;

								BgL_auxz00_5414 = (int) ((BgL_iz00_5408 - ((long) 1)));
								{
									long BgL_iz00_5440;

									BgL_iz00_5440 = (long) (BgL_auxz00_5414);
									BgL_iz00_5408 = BgL_iz00_5440;
									goto BgL_loopz00_5409;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* pair-optim? */
	BGL_EXPORTED_DEF bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/pair.scm 45 */
					return CBOOL(BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00);
				}
			else
				{	/* Cfa/pair.scm 45 */
					return ((bool_t) 0);
				}
		}
	}



/* &pair-optim? */
	obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t BgL_envz00_5367)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			return BBOOL(BGl_pairzd2optimzf3z21zzcfa_pairz00());
		}
	}



/* pair-optim-quote-maxlen */
	BGL_EXPORTED_DEF obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* &pair-optim-quote-maxlen */
	obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t
		BgL_envz00_5368)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* patch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 62 */
					{	/* Cfa/pair.scm 63 */
						obj_t BgL_g2962z00_2980;

						BgL_g2962z00_2980 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2960z00_2982;

							BgL_l2960z00_2982 = BgL_g2962z00_2980;
						BgL_zc3anonymousza32984ze3z83_2983:
							if (PAIRP(BgL_l2960z00_2982))
								{	/* Cfa/pair.scm 74 */
									{	/* Cfa/pair.scm 64 */
										obj_t BgL_idz00_2985;

										BgL_idz00_2985 = CAR(BgL_l2960z00_2982);
										{	/* Cfa/pair.scm 64 */
											obj_t BgL_gz00_2986;

											{	/* Cfa/pair.scm 64 */
												obj_t BgL_arg2996z00_2999;
												obj_t BgL_arg2997z00_3000;

												{	/* Cfa/pair.scm 64 */
													obj_t BgL_pairz00_5140;

													BgL_pairz00_5140 = BgL_idz00_2985;
													BgL_arg2996z00_2999 = CAR(CDR(BgL_pairz00_5140));
												}
												{	/* Cfa/pair.scm 64 */
													obj_t BgL_pairz00_5144;

													BgL_pairz00_5144 = BgL_idz00_2985;
													BgL_arg2997z00_3000 = CAR(CDR(CDR(BgL_pairz00_5144)));
												}
												BgL_gz00_2986 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2996z00_2999, BgL_arg2997z00_3000);
											}
											{	/* Cfa/pair.scm 64 */
												BgL_valuez00_bglt BgL_funz00_2987;

												BgL_funz00_2987 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_2986))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 65 */

													{	/* Cfa/pair.scm 66 */
														BgL_funz00_bglt BgL_oz00_5156;

														BgL_oz00_5156 = ((BgL_funz00_bglt) BgL_funz00_2987);
														((((BgL_funz00_bglt) CREF(BgL_oz00_5156))->
																BgL_topzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{	/* Cfa/pair.scm 67 */
														bool_t BgL_testz00_5465;

														{	/* Cfa/pair.scm 67 */
															bool_t BgL_res3288z00_5160;

															{	/* Cfa/pair.scm 67 */
																obj_t BgL_objz00_5159;

																BgL_objz00_5159 = ((obj_t) BgL_funz00_2987);
																BgL_res3288z00_5160 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_5159,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5465 = BgL_res3288z00_5160;
														}
														if (BgL_testz00_5465)
															{	/* Cfa/pair.scm 68 */
																obj_t BgL_argsz00_2990;

																BgL_argsz00_2990 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_2987)))->
																	BgL_argszd2typezd2);
																{	/* Cfa/pair.scm 69 */
																	BgL_typez00_bglt BgL_arg2988z00_2991;

																	BgL_arg2988z00_2991 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 69 */
																		obj_t BgL_pairz00_5163;
																		obj_t BgL_objz00_5164;

																		BgL_pairz00_5163 = BgL_argsz00_2990;
																		BgL_objz00_5164 =
																			((obj_t) BgL_arg2988z00_2991);
																		SET_CAR(BgL_pairz00_5163, BgL_objz00_5164);
																	}
																}
																{	/* Cfa/pair.scm 70 */
																	obj_t BgL_arg2989z00_2992;
																	BgL_typez00_bglt BgL_arg2990z00_2993;

																	BgL_arg2989z00_2992 = CDR(BgL_argsz00_2990);
																	BgL_arg2990z00_2993 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 70 */
																		obj_t BgL_pairz00_5166;
																		obj_t BgL_objz00_5167;

																		BgL_pairz00_5166 = BgL_arg2989z00_2992;
																		BgL_objz00_5167 =
																			((obj_t) BgL_arg2990z00_2993);
																		SET_CAR(BgL_pairz00_5166, BgL_objz00_5167);
																	}
																}
															}
														else
															{	/* Cfa/pair.scm 71 */
																obj_t BgL_argsz00_2994;

																BgL_argsz00_2994 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_2987)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 72 */
																	obj_t BgL_arg2991z00_2995;
																	BgL_typez00_bglt BgL_arg2992z00_2996;

																	BgL_arg2991z00_2995 = CAR(BgL_argsz00_2994);
																	BgL_arg2992z00_2996 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 72 */
																		BgL_localz00_bglt BgL_oz00_5171;

																		BgL_oz00_5171 =
																			((BgL_localz00_bglt) BgL_arg2991z00_2995);
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_oz00_5171)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg2992z00_2996),
																			BUNSPEC);
																	}
																}
																{	/* Cfa/pair.scm 73 */
																	obj_t BgL_arg2993z00_2997;
																	BgL_typez00_bglt BgL_arg2994z00_2998;

																	{	/* Cfa/pair.scm 73 */
																		obj_t BgL_pairz00_5174;

																		BgL_pairz00_5174 = BgL_argsz00_2994;
																		BgL_arg2993z00_2997 =
																			CAR(CDR(BgL_pairz00_5174));
																	}
																	BgL_arg2994z00_2998 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 73 */
																		BgL_localz00_bglt BgL_oz00_5178;

																		BgL_oz00_5178 =
																			((BgL_localz00_bglt) BgL_arg2993z00_2997);
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_oz00_5178)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg2994z00_2998),
																			BUNSPEC);
																	}
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2960z00_5490;

										BgL_l2960z00_5490 = CDR(BgL_l2960z00_2982);
										BgL_l2960z00_2982 = BgL_l2960z00_5490;
										goto BgL_zc3anonymousza32984ze3z83_2983;
									}
								}
							else
								{	/* Cfa/pair.scm 74 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 80 */
						obj_t BgL_gz00_3003;

						BgL_gz00_3003 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3003,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 82 */
								BgL_valuez00_bglt BgL_fz00_3005;

								BgL_fz00_3005 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3003))))->BgL_valuez00);
								{	/* Cfa/pair.scm 83 */
									obj_t BgL_arg3000z00_3006;
									BgL_typez00_bglt BgL_arg3001z00_3007;

									BgL_arg3000z00_3006 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_3005)))->
										BgL_argszd2typezd2);
									BgL_arg3001z00_3007 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									{	/* Cfa/pair.scm 83 */
										obj_t BgL_pairz00_5189;
										obj_t BgL_objz00_5190;

										BgL_pairz00_5189 = BgL_arg3000z00_3006;
										BgL_objz00_5190 = ((obj_t) BgL_arg3001z00_3007);
										return SET_CAR(BgL_pairz00_5189, BgL_objz00_5190);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 81 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 62 */
					return BFALSE;
				}
		}
	}



/* &patch-pair-set! */
	obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5369)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			return BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* unpatch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 89 */
					{	/* Cfa/pair.scm 90 */
						obj_t BgL_g2965z00_3010;

						BgL_g2965z00_3010 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2963z00_3012;

							BgL_l2963z00_3012 = BgL_g2965z00_3010;
						BgL_zc3anonymousza33004ze3z83_3013:
							if (PAIRP(BgL_l2963z00_3012))
								{	/* Cfa/pair.scm 100 */
									{	/* Cfa/pair.scm 91 */
										obj_t BgL_idz00_3015;

										BgL_idz00_3015 = CAR(BgL_l2963z00_3012);
										{	/* Cfa/pair.scm 91 */
											obj_t BgL_gz00_3016;

											{	/* Cfa/pair.scm 91 */
												obj_t BgL_arg3010z00_3024;
												obj_t BgL_arg3011z00_3025;

												{	/* Cfa/pair.scm 91 */
													obj_t BgL_pairz00_5194;

													BgL_pairz00_5194 = BgL_idz00_3015;
													BgL_arg3010z00_3024 = CAR(CDR(BgL_pairz00_5194));
												}
												{	/* Cfa/pair.scm 91 */
													obj_t BgL_pairz00_5198;

													BgL_pairz00_5198 = BgL_idz00_3015;
													BgL_arg3011z00_3025 = CAR(CDR(CDR(BgL_pairz00_5198)));
												}
												BgL_gz00_3016 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg3010z00_3024, BgL_arg3011z00_3025);
											}
											{	/* Cfa/pair.scm 91 */
												BgL_valuez00_bglt BgL_funz00_3017;

												BgL_funz00_3017 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_3016))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 92 */

													{	/* Cfa/pair.scm 93 */
														bool_t BgL_testz00_5520;

														{	/* Cfa/pair.scm 93 */
															bool_t BgL_res3293z00_5208;

															{	/* Cfa/pair.scm 93 */
																obj_t BgL_objz00_5207;

																BgL_objz00_5207 = ((obj_t) BgL_funz00_3017);
																BgL_res3293z00_5208 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_5207,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5520 = BgL_res3293z00_5208;
														}
														if (BgL_testz00_5520)
															{	/* Cfa/pair.scm 94 */
																obj_t BgL_argsz00_3019;

																BgL_argsz00_3019 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_3017)))->
																	BgL_argszd2typezd2);
																SET_CAR(BgL_argsz00_3019,
																	BGl_za2objza2z00zztype_cachez00);
																{	/* Cfa/pair.scm 96 */
																	obj_t BgL_arg3007z00_3020;

																	BgL_arg3007z00_3020 = CDR(BgL_argsz00_3019);
																	SET_CAR(BgL_arg3007z00_3020,
																		BGl_za2objza2z00zztype_cachez00);
																}
															}
														else
															{	/* Cfa/pair.scm 97 */
																obj_t BgL_argsz00_3021;

																BgL_argsz00_3021 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_3017)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 98 */
																	obj_t BgL_arg3008z00_3022;

																	BgL_arg3008z00_3022 = CAR(BgL_argsz00_3021);
																	{	/* Cfa/pair.scm 98 */
																		BgL_localz00_bglt BgL_oz00_5219;
																		BgL_typez00_bglt BgL_vz00_5220;

																		BgL_oz00_5219 =
																			((BgL_localz00_bglt) BgL_arg3008z00_3022);
																		BgL_vz00_5220 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt)
																							BgL_oz00_5219)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5220),
																			BUNSPEC);
																	}
																}
																{	/* Cfa/pair.scm 99 */
																	obj_t BgL_arg3009z00_3023;

																	{	/* Cfa/pair.scm 99 */
																		obj_t BgL_pairz00_5222;

																		BgL_pairz00_5222 = BgL_argsz00_3021;
																		BgL_arg3009z00_3023 =
																			CAR(CDR(BgL_pairz00_5222));
																	}
																	{	/* Cfa/pair.scm 99 */
																		BgL_localz00_bglt BgL_oz00_5226;
																		BgL_typez00_bglt BgL_vz00_5227;

																		BgL_oz00_5226 =
																			((BgL_localz00_bglt) BgL_arg3009z00_3023);
																		BgL_vz00_5227 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt)
																							BgL_oz00_5226)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5227),
																			BUNSPEC);
																	}
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2963z00_5541;

										BgL_l2963z00_5541 = CDR(BgL_l2963z00_3012);
										BgL_l2963z00_3012 = BgL_l2963z00_5541;
										goto BgL_zc3anonymousza33004ze3z83_3013;
									}
								}
							else
								{	/* Cfa/pair.scm 100 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 106 */
						obj_t BgL_gz00_3028;

						BgL_gz00_3028 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3028,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 108 */
								BgL_valuez00_bglt BgL_fz00_3030;

								BgL_fz00_3030 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3028))))->BgL_valuez00);
								{	/* Cfa/pair.scm 109 */
									obj_t BgL_arg3014z00_3031;

									BgL_arg3014z00_3031 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_3030)))->
										BgL_argszd2typezd2);
									SET_CAR(BgL_arg3014z00_3031, BGl_za2objza2z00zztype_cachez00);
								}
							}
						else
							{	/* Cfa/pair.scm 107 */
								BFALSE;
							}
					}
					{	/* Cfa/pair.scm 110 */
						obj_t BgL_gz00_3033;

						BgL_gz00_3033 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3033,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 112 */
								BgL_valuez00_bglt BgL_fz00_3035;

								BgL_fz00_3035 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3033))))->BgL_valuez00);
								{	/* Cfa/pair.scm 113 */
									obj_t BgL_arg3017z00_3036;

									{	/* Cfa/pair.scm 113 */
										obj_t BgL_pairz00_5246;

										BgL_pairz00_5246 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_3035)))->BgL_argsz00);
										BgL_arg3017z00_3036 = CAR(BgL_pairz00_5246);
									}
									{	/* Cfa/pair.scm 113 */
										BgL_localz00_bglt BgL_oz00_5247;
										BgL_typez00_bglt BgL_vz00_5248;

										BgL_oz00_5247 = ((BgL_localz00_bglt) BgL_arg3017z00_3036);
										BgL_vz00_5248 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_5247)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_5248), BUNSPEC);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 111 */
								BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 89 */
					BFALSE;
				}
			return BUNSPEC;
		}
	}



/* &unpatch-pair-set! */
	obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5370)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			return BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2appz00zzcfa_info2z00, BGl_proc3323z00zzcfa_pairz00,
				BGl_string3324z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00,
				BGl_proc3325z00zzcfa_pairz00, BGl_string3324z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc3326z00zzcfa_pairz00, BGl_string3324z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2appzd2zzcfa_info2z00,
				BGl_proc3327z00zzcfa_pairz00, BGl_string3328z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2refzd2appz00zzcfa_info2z00,
				BGl_proc3329z00zzcfa_pairz00, BGl_string3328z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conszd2setz12zd2appz12zzcfa_info2z00, BGl_proc3330z00zzcfa_pairz00,
				BGl_string3328z00zzcfa_pairz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_conszd2appzd2zzcfa_info2z00, BGl_proc3331z00zzcfa_pairz00,
				BGl_string3332z00zzcfa_pairz00);
		}
	}



/* &loose-alloc!-cons-ap2979 */
	obj_t BGl_z62loosezd2allocz12zd2conszd2ap2979za2zzcfa_pairz00(obj_t
		BgL_envz00_5382, obj_t BgL_allocz00_5383)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 245 */
			{
				BgL_appz00_bglt BgL_allocz00_3170;

				BgL_allocz00_3170 = ((BgL_appz00_bglt) BgL_allocz00_5383);
				{	/* Cfa/pair.scm 247 */
					bool_t BgL_testz00_5575;

					{	/* Cfa/pair.scm 247 */
						long BgL_n2z00_5350;

						BgL_n2z00_5350 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/pair.scm 247 */
							long BgL_auxz00_5577;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5578;

								{
									obj_t BgL_auxz00_5579;

									{	/* Cfa/pair.scm 247 */
										BgL_objectz00_bglt BgL_auxz00_5580;

										BgL_auxz00_5580 = ((BgL_objectz00_bglt) BgL_allocz00_3170);
										BgL_auxz00_5579 = BGL_OBJECT_WIDENING(BgL_auxz00_5580);
									}
									BgL_auxz00_5578 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5579);
								}
								BgL_auxz00_5577 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5578))->
									BgL_lostzd2stampzd2);
							}
							BgL_testz00_5575 = (BgL_auxz00_5577 == BgL_n2z00_5350);
					}}
					if (BgL_testz00_5575)
						{	/* Cfa/pair.scm 247 */
							return BFALSE;
						}
					else
						{	/* Cfa/pair.scm 247 */
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5586;

								{
									obj_t BgL_auxz00_5587;

									{	/* Cfa/pair.scm 250 */
										BgL_objectz00_bglt BgL_auxz00_5588;

										BgL_auxz00_5588 = ((BgL_objectz00_bglt) BgL_allocz00_3170);
										BgL_auxz00_5587 = BGL_OBJECT_WIDENING(BgL_auxz00_5588);
									}
									BgL_auxz00_5586 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5587);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5586))->
										BgL_lostzd2stampzd2) =
									((long) (long)
										CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 251 */
								obj_t BgL_arg3091z00_3175;

								{	/* Cfa/pair.scm 251 */
									obj_t BgL_auxz00_5594;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5595;

										{
											obj_t BgL_auxz00_5596;

											{	/* Cfa/pair.scm 251 */
												BgL_objectz00_bglt BgL_auxz00_5597;

												BgL_auxz00_5597 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5596 = BGL_OBJECT_WIDENING(BgL_auxz00_5597);
											}
											BgL_auxz00_5595 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5596);
										}
										BgL_auxz00_5594 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5595))->
											BgL_approxesz00);
									}
									BgL_arg3091z00_3175 = CAR(BgL_auxz00_5594);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3091z00_3175));
							}
							{	/* Cfa/pair.scm 252 */
								obj_t BgL_arg3093z00_3177;

								{	/* Cfa/pair.scm 252 */
									obj_t BgL_auxz00_5605;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5606;

										{
											obj_t BgL_auxz00_5607;

											{	/* Cfa/pair.scm 252 */
												BgL_objectz00_bglt BgL_auxz00_5608;

												BgL_auxz00_5608 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5607 = BGL_OBJECT_WIDENING(BgL_auxz00_5608);
											}
											BgL_auxz00_5606 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5607);
										}
										BgL_auxz00_5605 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5606))->
											BgL_approxesz00);
									}
									BgL_arg3093z00_3177 = CDR(BgL_auxz00_5605);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3093z00_3177));
							}
							{	/* Cfa/pair.scm 253 */
								obj_t BgL_arg3095z00_3179;

								{	/* Cfa/pair.scm 253 */
									obj_t BgL_auxz00_5616;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5617;

										{
											obj_t BgL_auxz00_5618;

											{	/* Cfa/pair.scm 253 */
												BgL_objectz00_bglt BgL_auxz00_5619;

												BgL_auxz00_5619 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5618 = BGL_OBJECT_WIDENING(BgL_auxz00_5619);
											}
											BgL_auxz00_5617 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5618);
										}
										BgL_auxz00_5616 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5617))->
											BgL_approxesz00);
									}
									BgL_arg3095z00_3179 = CAR(BgL_auxz00_5616);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3095z00_3179),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 254 */
								obj_t BgL_arg3097z00_3181;

								{	/* Cfa/pair.scm 254 */
									obj_t BgL_auxz00_5628;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5629;

										{
											obj_t BgL_auxz00_5630;

											{	/* Cfa/pair.scm 254 */
												BgL_objectz00_bglt BgL_auxz00_5631;

												BgL_auxz00_5631 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5630 = BGL_OBJECT_WIDENING(BgL_auxz00_5631);
											}
											BgL_auxz00_5629 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5630);
										}
										BgL_auxz00_5628 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5629))->
											BgL_approxesz00);
									}
									BgL_arg3097z00_3181 = CDR(BgL_auxz00_5628);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3097z00_3181),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 255 */
								obj_t BgL_arg3099z00_3183;

								{	/* Cfa/pair.scm 255 */
									obj_t BgL_auxz00_5640;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5641;

										{
											obj_t BgL_auxz00_5642;

											{	/* Cfa/pair.scm 255 */
												BgL_objectz00_bglt BgL_auxz00_5643;

												BgL_auxz00_5643 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5642 = BGL_OBJECT_WIDENING(BgL_auxz00_5643);
											}
											BgL_auxz00_5641 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5642);
										}
										BgL_auxz00_5640 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5641))->
											BgL_approxesz00);
									}
									BgL_arg3099z00_3183 = CAR(BgL_auxz00_5640);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3099z00_3183));
							}
							{	/* Cfa/pair.scm 256 */
								obj_t BgL_arg3101z00_3185;

								{	/* Cfa/pair.scm 256 */
									obj_t BgL_auxz00_5651;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5652;

										{
											obj_t BgL_auxz00_5653;

											{	/* Cfa/pair.scm 256 */
												BgL_objectz00_bglt BgL_auxz00_5654;

												BgL_auxz00_5654 =
													((BgL_objectz00_bglt) BgL_allocz00_3170);
												BgL_auxz00_5653 = BGL_OBJECT_WIDENING(BgL_auxz00_5654);
											}
											BgL_auxz00_5652 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5653);
										}
										BgL_auxz00_5651 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5652))->
											BgL_approxesz00);
									}
									BgL_arg3101z00_3185 = CDR(BgL_auxz00_5651);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3101z00_3185));
							}
						}
				}
			}
		}
	}



/* &cfa!-cons-set!-app2977 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app2977zb0zzcfa_pairz00(obj_t
		BgL_envz00_5384, obj_t BgL_nodez00_5385)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 212 */
			{
				BgL_appz00_bglt BgL_nodez00_3147;

				BgL_nodez00_3147 = ((BgL_appz00_bglt) BgL_nodez00_5385);
				{	/* Cfa/pair.scm 214 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3151;
					BgL_approxz00_bglt BgL_valzd2approxzd2_3152;

					{	/* Cfa/pair.scm 214 */
						obj_t BgL_arg3086z00_3165;

						{	/* Cfa/pair.scm 214 */
							obj_t BgL_pairz00_5336;

							BgL_pairz00_5336 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3147)))->BgL_argsz00);
							BgL_arg3086z00_3165 = CAR(BgL_pairz00_5336);
						}
						BgL_conszd2approxzd2_3151 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3086z00_3165));
					}
					{	/* Cfa/pair.scm 215 */
						obj_t BgL_arg3088z00_3167;

						{	/* Cfa/pair.scm 215 */
							obj_t BgL_pairz00_5337;

							BgL_pairz00_5337 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3147)))->BgL_argsz00);
							BgL_arg3088z00_3167 = CAR(CDR(BgL_pairz00_5337));
						}
						BgL_valzd2approxzd2_3152 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3088z00_3167));
					}
					{	/* Cfa/pair.scm 220 */
						bool_t BgL_testz00_5674;

						{	/* Cfa/pair.scm 220 */
							BgL_typez00_bglt BgL_arg3077z00_3154;

							BgL_arg3077z00_3154 =
								(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3151))->
								BgL_typez00);
							BgL_testz00_5674 =
								(((obj_t) BgL_arg3077z00_3154) ==
								BGl_za2pairza2z00zztype_cachez00);
						}
						if (BgL_testz00_5674)
							{	/* Cfa/pair.scm 220 */
								BFALSE;
							}
						else
							{	/* Cfa/pair.scm 220 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_valzd2approxzd2_3152,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3151))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 223 */
							((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3152,
									CNST_TABLE_REF(((long) 3))));
						}
					else
						{	/* Cfa/pair.scm 229 */
							obj_t BgL_zc3anonymousza33080ze3z83_5374;

							BgL_zc3anonymousza33080ze3z83_5374 =
								MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33080ze3ze1zzcfa_pairz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33080ze3z83_5374,
								(int) (((long) 0)), ((obj_t) BgL_nodez00_3147));
							PROCEDURE_SET(BgL_zc3anonymousza33080ze3z83_5374,
								(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3152));
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BgL_zc3anonymousza33080ze3z83_5374, BgL_conszd2approxzd2_3151);
				}}
				{
					BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5695;

					{
						obj_t BgL_auxz00_5696;

						{	/* Cfa/pair.scm 236 */
							BgL_objectz00_bglt BgL_auxz00_5697;

							BgL_auxz00_5697 = ((BgL_objectz00_bglt) BgL_nodez00_3147);
							BgL_auxz00_5696 = BGL_OBJECT_WIDENING(BgL_auxz00_5697);
						}
						BgL_auxz00_5695 =
							((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5696);
					}
					return
						(((BgL_conszd2setz12zd2appz12_bglt) CREF(BgL_auxz00_5695))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3080> */
	obj_t BGl_z62zc3anonymousza33080ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5386,
		obj_t BgL_appz00_5389)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 228 */
			{	/* Cfa/pair.scm 229 */
				BgL_appz00_bglt BgL_i1186z00_5387;
				BgL_approxz00_bglt BgL_valzd2approxzd2_5388;

				BgL_i1186z00_5387 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5386, (int) (((long) 0))));
				BgL_valzd2approxzd2_5388 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_5386, (int) (((long) 1))));
				{
					obj_t BgL_appz00_3157;

					BgL_appz00_3157 = BgL_appz00_5389;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3157,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 230 */
							BgL_appz00_bglt BgL_i1187z00_3160;

							BgL_i1187z00_3160 = ((BgL_appz00_bglt) BgL_appz00_3157);
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5712;

								{
									obj_t BgL_auxz00_5713;

									{	/* Cfa/pair.scm 231 */
										BgL_objectz00_bglt BgL_auxz00_5714;

										BgL_auxz00_5714 = ((BgL_objectz00_bglt) BgL_i1187z00_3160);
										BgL_auxz00_5713 = BGL_OBJECT_WIDENING(BgL_auxz00_5714);
									}
									BgL_auxz00_5712 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5713);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5712))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 232 */
								obj_t BgL_arg3083z00_3161;

								{	/* Cfa/pair.scm 232 */
									obj_t BgL_fun3085z00_3162;

									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5719;

										{
											obj_t BgL_auxz00_5720;

											{	/* Cfa/pair.scm 232 */
												BgL_objectz00_bglt BgL_auxz00_5721;

												BgL_auxz00_5721 =
													((BgL_objectz00_bglt) BgL_i1186z00_5387);
												BgL_auxz00_5720 = BGL_OBJECT_WIDENING(BgL_auxz00_5721);
											}
											BgL_auxz00_5719 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5720);
										}
										BgL_fun3085z00_3162 =
											(((BgL_conszd2setz12zd2appz12_bglt)
												CREF(BgL_auxz00_5719))->BgL_getz00);
									}
									{	/* Cfa/pair.scm 232 */
										obj_t BgL_arg3084z00_3163;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5726;

											{
												obj_t BgL_auxz00_5727;

												{	/* Cfa/pair.scm 232 */
													BgL_objectz00_bglt BgL_auxz00_5728;

													BgL_auxz00_5728 =
														((BgL_objectz00_bglt) BgL_i1187z00_3160);
													BgL_auxz00_5727 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5728);
												}
												BgL_auxz00_5726 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5727);
											}
											BgL_arg3084z00_3163 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5726))->
												BgL_approxesz00);
										}
										BgL_arg3083z00_3161 =
											PROCEDURE_ENTRY(BgL_fun3085z00_3162) (BgL_fun3085z00_3162,
											BgL_arg3084z00_3163, BEOA);
									}
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(
										((BgL_approxz00_bglt) BgL_arg3083z00_3161),
										BgL_valzd2approxzd2_5388));
							}
						}
					else
						{	/* Cfa/pair.scm 229 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-ref-app2975 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2refzd2app2975za2zzcfa_pairz00(obj_t
		BgL_envz00_5390, obj_t BgL_nodez00_5391)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 183 */
			{
				BgL_appz00_bglt BgL_nodez00_3121;

				BgL_nodez00_3121 = ((BgL_appz00_bglt) BgL_nodez00_5391);
				{	/* Cfa/pair.scm 185 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3125;

					{	/* Cfa/pair.scm 185 */
						obj_t BgL_arg3074z00_3144;

						{	/* Cfa/pair.scm 185 */
							obj_t BgL_pairz00_5327;

							BgL_pairz00_5327 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3121)))->BgL_argsz00);
							BgL_arg3074z00_3144 = CAR(BgL_pairz00_5327);
						}
						BgL_conszd2approxzd2_3125 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3074z00_3144));
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3125))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 191 */
							{	/* Cfa/pair.scm 192 */
								BgL_approxz00_bglt BgL_arg3059z00_3127;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5747;

									{
										obj_t BgL_auxz00_5748;

										{	/* Cfa/pair.scm 192 */
											BgL_objectz00_bglt BgL_auxz00_5749;

											BgL_auxz00_5749 = ((BgL_objectz00_bglt) BgL_nodez00_3121);
											BgL_auxz00_5748 = BGL_OBJECT_WIDENING(BgL_auxz00_5749);
										}
										BgL_auxz00_5747 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5748);
									}
									BgL_arg3059z00_3127 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5747))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg3059z00_3127,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 193 */
								BgL_approxz00_bglt BgL_arg3060z00_3128;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5756;

									{
										obj_t BgL_auxz00_5757;

										{	/* Cfa/pair.scm 193 */
											BgL_objectz00_bglt BgL_auxz00_5758;

											BgL_auxz00_5758 = ((BgL_objectz00_bglt) BgL_nodez00_3121);
											BgL_auxz00_5757 = BGL_OBJECT_WIDENING(BgL_auxz00_5758);
										}
										BgL_auxz00_5756 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5757);
									}
									BgL_arg3060z00_3128 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5756))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg3060z00_3128);
							}
						}
					else
						{	/* Cfa/pair.scm 191 */
							BFALSE;
						}
					{	/* Cfa/pair.scm 197 */
						obj_t BgL_zc3anonymousza33062ze3z83_5376;

						BgL_zc3anonymousza33062ze3z83_5376 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33062ze3ze1zzcfa_pairz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33062ze3z83_5376,
							(int) (((long) 0)), ((obj_t) BgL_nodez00_3121));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3anonymousza33062ze3z83_5376, BgL_conszd2approxzd2_3125);
				}}
				{
					BgL_conszd2refzd2appz00_bglt BgL_auxz00_5771;

					{
						obj_t BgL_auxz00_5772;

						{	/* Cfa/pair.scm 207 */
							BgL_objectz00_bglt BgL_auxz00_5773;

							BgL_auxz00_5773 = ((BgL_objectz00_bglt) BgL_nodez00_3121);
							BgL_auxz00_5772 = BGL_OBJECT_WIDENING(BgL_auxz00_5773);
						}
						BgL_auxz00_5771 = ((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5772);
					}
					return
						(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5771))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3062> */
	obj_t BGl_z62zc3anonymousza33062ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5392,
		obj_t BgL_appz00_5394)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 196 */
			{	/* Cfa/pair.scm 197 */
				BgL_appz00_bglt BgL_i1184z00_5393;

				BgL_i1184z00_5393 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5392, (int) (((long) 0))));
				{
					obj_t BgL_appz00_3130;

					BgL_appz00_3130 = BgL_appz00_5394;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3130,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 198 */
							BgL_appz00_bglt BgL_i1185z00_3133;

							BgL_i1185z00_3133 = ((BgL_appz00_bglt) BgL_appz00_3130);
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5785;

								{
									obj_t BgL_auxz00_5786;

									{	/* Cfa/pair.scm 199 */
										BgL_objectz00_bglt BgL_auxz00_5787;

										BgL_auxz00_5787 = ((BgL_objectz00_bglt) BgL_i1185z00_3133);
										BgL_auxz00_5786 = BGL_OBJECT_WIDENING(BgL_auxz00_5787);
									}
									BgL_auxz00_5785 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5786);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5785))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 202 */
								BgL_approxz00_bglt BgL_arg3064z00_3134;
								obj_t BgL_arg3065z00_3135;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5792;

									{
										obj_t BgL_auxz00_5793;

										{	/* Cfa/pair.scm 202 */
											BgL_objectz00_bglt BgL_auxz00_5794;

											BgL_auxz00_5794 =
												((BgL_objectz00_bglt) BgL_i1184z00_5393);
											BgL_auxz00_5793 = BGL_OBJECT_WIDENING(BgL_auxz00_5794);
										}
										BgL_auxz00_5792 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5793);
									}
									BgL_arg3064z00_3134 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5792))->
										BgL_approxz00);
								}
								{	/* Cfa/pair.scm 202 */
									obj_t BgL_fun3067z00_3136;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5799;

										{
											obj_t BgL_auxz00_5800;

											{	/* Cfa/pair.scm 202 */
												BgL_objectz00_bglt BgL_auxz00_5801;

												BgL_auxz00_5801 =
													((BgL_objectz00_bglt) BgL_i1184z00_5393);
												BgL_auxz00_5800 = BGL_OBJECT_WIDENING(BgL_auxz00_5801);
											}
											BgL_auxz00_5799 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5800);
										}
										BgL_fun3067z00_3136 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5799))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 202 */
										obj_t BgL_arg3066z00_3137;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5806;

											{
												obj_t BgL_auxz00_5807;

												{	/* Cfa/pair.scm 202 */
													BgL_objectz00_bglt BgL_auxz00_5808;

													BgL_auxz00_5808 =
														((BgL_objectz00_bglt) BgL_i1185z00_3133);
													BgL_auxz00_5807 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5808);
												}
												BgL_auxz00_5806 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5807);
											}
											BgL_arg3066z00_3137 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5806))->
												BgL_approxesz00);
										}
										BgL_arg3065z00_3135 =
											PROCEDURE_ENTRY(BgL_fun3067z00_3136) (BgL_fun3067z00_3136,
											BgL_arg3066z00_3137, BEOA);
									}
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg3064z00_3134,
									((BgL_approxz00_bglt) BgL_arg3065z00_3135));
							}
							{	/* Cfa/pair.scm 203 */
								obj_t BgL_arg3068z00_3138;
								BgL_typez00_bglt BgL_arg3069z00_3139;

								{	/* Cfa/pair.scm 203 */
									obj_t BgL_fun3072z00_3140;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5819;

										{
											obj_t BgL_auxz00_5820;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5821;

												BgL_auxz00_5821 =
													((BgL_objectz00_bglt) BgL_i1184z00_5393);
												BgL_auxz00_5820 = BGL_OBJECT_WIDENING(BgL_auxz00_5821);
											}
											BgL_auxz00_5819 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5820);
										}
										BgL_fun3072z00_3140 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5819))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 203 */
										obj_t BgL_arg3071z00_3141;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5826;

											{
												obj_t BgL_auxz00_5827;

												{	/* Cfa/pair.scm 203 */
													BgL_objectz00_bglt BgL_auxz00_5828;

													BgL_auxz00_5828 =
														((BgL_objectz00_bglt) BgL_i1185z00_3133);
													BgL_auxz00_5827 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5828);
												}
												BgL_auxz00_5826 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5827);
											}
											BgL_arg3071z00_3141 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5826))->
												BgL_approxesz00);
										}
										BgL_arg3068z00_3138 =
											PROCEDURE_ENTRY(BgL_fun3072z00_3140) (BgL_fun3072z00_3140,
											BgL_arg3071z00_3141, BEOA);
									}
								}
								{
									BgL_approxz00_bglt BgL_auxz00_5837;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5838;

										{
											obj_t BgL_auxz00_5839;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5840;

												BgL_auxz00_5840 =
													((BgL_objectz00_bglt) BgL_i1184z00_5393);
												BgL_auxz00_5839 = BGL_OBJECT_WIDENING(BgL_auxz00_5840);
											}
											BgL_auxz00_5838 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5839);
										}
										BgL_auxz00_5837 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5838))->
											BgL_approxz00);
									}
									BgL_arg3069z00_3139 =
										(((BgL_approxz00_bglt) CREF(BgL_auxz00_5837))->BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3068z00_3138),
									BgL_arg3069z00_3139);
							}
						}
					else
						{	/* Cfa/pair.scm 197 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-app2973 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2app2973z70zzcfa_pairz00(obj_t
		BgL_envz00_5395, obj_t BgL_nodez00_5396)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 159 */
			{
				BgL_appz00_bglt BgL_nodez00_3094;

				BgL_nodez00_3094 = ((BgL_appz00_bglt) BgL_nodez00_5396);
				{	/* Cfa/pair.scm 162 */
					BgL_approxz00_bglt BgL_caraz00_3098;
					BgL_approxz00_bglt BgL_cdraz00_3099;

					{	/* Cfa/pair.scm 162 */
						obj_t BgL_arg3054z00_3116;

						{	/* Cfa/pair.scm 162 */
							obj_t BgL_pairz00_5310;

							BgL_pairz00_5310 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3094)))->BgL_argsz00);
							BgL_arg3054z00_3116 = CAR(BgL_pairz00_5310);
						}
						BgL_caraz00_3098 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3054z00_3116));
					}
					{	/* Cfa/pair.scm 163 */
						obj_t BgL_arg3056z00_3118;

						{	/* Cfa/pair.scm 163 */
							obj_t BgL_pairz00_5311;

							BgL_pairz00_5311 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3094)))->BgL_argsz00);
							BgL_arg3056z00_3118 = CAR(CDR(BgL_pairz00_5311));
						}
						BgL_cdraz00_3099 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3056z00_3118));
					}
					{	/* Cfa/pair.scm 164 */
						obj_t BgL_arg3038z00_3100;

						{	/* Cfa/pair.scm 164 */
							obj_t BgL_auxz00_5859;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5860;

								{
									obj_t BgL_auxz00_5861;

									{	/* Cfa/pair.scm 164 */
										BgL_objectz00_bglt BgL_auxz00_5862;

										BgL_auxz00_5862 = ((BgL_objectz00_bglt) BgL_nodez00_3094);
										BgL_auxz00_5861 = BGL_OBJECT_WIDENING(BgL_auxz00_5862);
									}
									BgL_auxz00_5860 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5861);
								}
								BgL_auxz00_5859 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5860))->
									BgL_approxesz00);
							}
							BgL_arg3038z00_3100 = CAR(BgL_auxz00_5859);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3038z00_3100), BgL_caraz00_3098);
					}
					{	/* Cfa/pair.scm 165 */
						obj_t BgL_arg3040z00_3102;

						{	/* Cfa/pair.scm 165 */
							obj_t BgL_auxz00_5870;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5871;

								{
									obj_t BgL_auxz00_5872;

									{	/* Cfa/pair.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_5873;

										BgL_auxz00_5873 = ((BgL_objectz00_bglt) BgL_nodez00_3094);
										BgL_auxz00_5872 = BGL_OBJECT_WIDENING(BgL_auxz00_5873);
									}
									BgL_auxz00_5871 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5872);
								}
								BgL_auxz00_5870 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5871))->
									BgL_approxesz00);
							}
							BgL_arg3040z00_3102 = CDR(BgL_auxz00_5870);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3040z00_3102), BgL_cdraz00_3099);
					}
					{	/* Cfa/pair.scm 172 */
						obj_t BgL_arg3042z00_3104;
						BgL_typez00_bglt BgL_arg3043z00_3105;

						{	/* Cfa/pair.scm 172 */
							obj_t BgL_auxz00_5881;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5882;

								{
									obj_t BgL_auxz00_5883;

									{	/* Cfa/pair.scm 172 */
										BgL_objectz00_bglt BgL_auxz00_5884;

										BgL_auxz00_5884 = ((BgL_objectz00_bglt) BgL_nodez00_3094);
										BgL_auxz00_5883 = BGL_OBJECT_WIDENING(BgL_auxz00_5884);
									}
									BgL_auxz00_5882 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5883);
								}
								BgL_auxz00_5881 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5882))->
									BgL_approxesz00);
							}
							BgL_arg3042z00_3104 = CAR(BgL_auxz00_5881);
						}
						{	/* Cfa/pair.scm 173 */
							BgL_typez00_bglt BgL_arg3045z00_3107;

							{
								BgL_approxz00_bglt BgL_auxz00_5890;

								{
									obj_t BgL_auxz00_5891;

									{	/* Cfa/pair.scm 173 */
										obj_t BgL_auxz00_5892;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5893;

											{
												obj_t BgL_auxz00_5894;

												{	/* Cfa/pair.scm 173 */
													BgL_objectz00_bglt BgL_auxz00_5895;

													BgL_auxz00_5895 =
														((BgL_objectz00_bglt) BgL_nodez00_3094);
													BgL_auxz00_5894 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5895);
												}
												BgL_auxz00_5893 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5894);
											}
											BgL_auxz00_5892 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5893))->
												BgL_approxesz00);
										}
										BgL_auxz00_5891 = CAR(BgL_auxz00_5892);
									}
									BgL_auxz00_5890 = ((BgL_approxz00_bglt) BgL_auxz00_5891);
								}
								BgL_arg3045z00_3107 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_5890))->BgL_typez00);
							}
							BgL_arg3043z00_3105 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg3045z00_3107);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3042z00_3104), BgL_arg3043z00_3105);
					}
					{	/* Cfa/pair.scm 174 */
						obj_t BgL_arg3048z00_3110;
						BgL_typez00_bglt BgL_arg3049z00_3111;

						{	/* Cfa/pair.scm 174 */
							obj_t BgL_auxz00_5906;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5907;

								{
									obj_t BgL_auxz00_5908;

									{	/* Cfa/pair.scm 174 */
										BgL_objectz00_bglt BgL_auxz00_5909;

										BgL_auxz00_5909 = ((BgL_objectz00_bglt) BgL_nodez00_3094);
										BgL_auxz00_5908 = BGL_OBJECT_WIDENING(BgL_auxz00_5909);
									}
									BgL_auxz00_5907 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5908);
								}
								BgL_auxz00_5906 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5907))->
									BgL_approxesz00);
							}
							BgL_arg3048z00_3110 = CDR(BgL_auxz00_5906);
						}
						{	/* Cfa/pair.scm 175 */
							BgL_typez00_bglt BgL_arg3051z00_3113;

							{
								BgL_approxz00_bglt BgL_auxz00_5915;

								{
									obj_t BgL_auxz00_5916;

									{	/* Cfa/pair.scm 175 */
										obj_t BgL_auxz00_5917;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5918;

											{
												obj_t BgL_auxz00_5919;

												{	/* Cfa/pair.scm 175 */
													BgL_objectz00_bglt BgL_auxz00_5920;

													BgL_auxz00_5920 =
														((BgL_objectz00_bglt) BgL_nodez00_3094);
													BgL_auxz00_5919 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5920);
												}
												BgL_auxz00_5918 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5919);
											}
											BgL_auxz00_5917 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5918))->
												BgL_approxesz00);
										}
										BgL_auxz00_5916 = CDR(BgL_auxz00_5917);
									}
									BgL_auxz00_5915 = ((BgL_approxz00_bglt) BgL_auxz00_5916);
								}
								BgL_arg3051z00_3113 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_5915))->BgL_typez00);
							}
							BgL_arg3049z00_3111 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg3051z00_3113);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3048z00_3110), BgL_arg3049z00_3111);
					}
					{
						BgL_conszd2appzd2_bglt BgL_auxz00_5931;

						{
							obj_t BgL_auxz00_5932;

							{	/* Cfa/pair.scm 178 */
								BgL_objectz00_bglt BgL_auxz00_5933;

								BgL_auxz00_5933 = ((BgL_objectz00_bglt) BgL_nodez00_3094);
								BgL_auxz00_5932 = BGL_OBJECT_WIDENING(BgL_auxz00_5933);
							}
							BgL_auxz00_5931 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5932);
						}
						return
							(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5931))->BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2971 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2971za2zzcfa_pairz00(obj_t
		BgL_envz00_5397, obj_t BgL_nodez00_5398)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 147 */
			{
				BgL_appz00_bglt BgL_nodez00_3077;

				BgL_nodez00_3077 = ((BgL_appz00_bglt) BgL_nodez00_5398);
				{	/* Cfa/pair.scm 149 */
					obj_t BgL_arg3033z00_3081;

					BgL_arg3033z00_3081 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3077)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3033z00_3081);
				}
				{	/* Cfa/pair.scm 150 */
					obj_t BgL_cgetz00_3082;

					{
						BgL_prezd2conszd2setz12zd2appzc0_bglt BgL_auxz00_5942;

						{
							obj_t BgL_auxz00_5943;

							{	/* Cfa/pair.scm 150 */
								BgL_objectz00_bglt BgL_auxz00_5944;

								BgL_auxz00_5944 = ((BgL_objectz00_bglt) BgL_nodez00_3077);
								BgL_auxz00_5943 = BGL_OBJECT_WIDENING(BgL_auxz00_5944);
							}
							BgL_auxz00_5942 =
								((BgL_prezd2conszd2setz12zd2appzc0_bglt) BgL_auxz00_5943);
						}
						BgL_cgetz00_3082 =
							(((BgL_prezd2conszd2setz12zd2appzc0_bglt) CREF(BgL_auxz00_5942))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 150 */
						BgL_appz00_bglt BgL_nodez00_3083;

						{	/* Cfa/pair.scm 151 */
							long BgL_arg3035z00_3090;

							{	/* Cfa/pair.scm 151 */
								obj_t BgL_arg3036z00_3091;

								{	/* Cfa/pair.scm 151 */
									obj_t BgL_arg3037z00_3092;

									{	/* Cfa/pair.scm 151 */
										BgL_objectz00_bglt BgL_objectz00_5292;

										BgL_objectz00_5292 =
											((BgL_objectz00_bglt) BgL_nodez00_3077);
										{	/* Cfa/pair.scm 151 */
											long BgL_arg1806z00_5293;

											{	/* Cfa/pair.scm 151 */
												long BgL_arg1808z00_5294;

												{	/* Cfa/pair.scm 151 */
													long BgL_res3307z00_5296;

													BgL_res3307z00_5296 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5292);
													BgL_arg1808z00_5294 = BgL_res3307z00_5296;
												}
												BgL_arg1806z00_5293 =
													(BgL_arg1808z00_5294 - OBJECT_TYPE);
											}
											BgL_arg3037z00_3092 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1806z00_5293));
									}}
									BgL_arg3036z00_3091 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3037z00_3092);
								}
								{	/* Cfa/pair.scm 151 */
									long BgL_res3309z00_5303;

									BgL_res3309z00_5303 = BGL_CLASS_INDEX(BgL_arg3036z00_3091);
									BgL_arg3035z00_3090 = BgL_res3309z00_5303;
							}}
							{	/* Cfa/pair.scm 151 */
								BgL_objectz00_bglt BgL_objz00_5304;

								BgL_objz00_5304 = ((BgL_objectz00_bglt) BgL_nodez00_3077);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5304, BgL_arg3035z00_3090);
						}}
						{	/* Cfa/pair.scm 151 */
							BgL_objectz00_bglt BgL_auxz00_5958;

							BgL_auxz00_5958 = ((BgL_objectz00_bglt) BgL_nodez00_3077);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5958, BFALSE);
						}
						BgL_nodez00_3083 = BgL_nodez00_3077;
						{	/* Cfa/pair.scm 151 */

							{	/* Cfa/pair.scm 152 */
								BgL_appz00_bglt BgL_tmp1178z00_3084;

								BgL_tmp1178z00_3084 = ((BgL_appz00_bglt) BgL_nodez00_3083);
								{	/* Cfa/pair.scm 152 */
									BgL_appz00_bglt BgL_tmp1179z00_3085;
									BgL_conszd2setz12zd2appz12_bglt BgL_wide1180z00_3086;

									BgL_tmp1179z00_3085 = ((BgL_appz00_bglt) BgL_tmp1178z00_3084);
									BgL_wide1180z00_3086 =
										((BgL_conszd2setz12zd2appz12_bglt)
										BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2setz12zd2appz12_bgl))));
									{	/* Cfa/pair.scm 152 */
										obj_t BgL_auxz00_5966;
										BgL_objectz00_bglt BgL_auxz00_5964;

										BgL_auxz00_5966 = ((obj_t) BgL_wide1180z00_3086);
										BgL_auxz00_5964 =
											((BgL_objectz00_bglt) BgL_tmp1179z00_3085);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5964, BgL_auxz00_5966);
									}
									{	/* Cfa/pair.scm 152 */
										long BgL_arg3034z00_3087;

										{	/* Cfa/pair.scm 152 */
											long BgL_res3310z00_5307;

											BgL_res3310z00_5307 =
												BGL_CLASS_INDEX
												(BGl_conszd2setz12zd2appz12zzcfa_info2z00);
											BgL_arg3034z00_3087 = BgL_res3310z00_5307;
										}
										{	/* Cfa/pair.scm 152 */
											BgL_objectz00_bglt BgL_objz00_5308;

											BgL_objz00_5308 =
												((BgL_objectz00_bglt) BgL_tmp1179z00_3085);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5308,
													BgL_arg3034z00_3087));
									}} BgL_tmp1179z00_3085;
								}
								{	/* Cfa/pair.scm 152 */
									BgL_appz00_bglt BgL_new1182z00_3088;

									BgL_new1182z00_3088 = ((BgL_appz00_bglt) BgL_tmp1178z00_3084);
									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5974;

										{
											obj_t BgL_auxz00_5975;

											{	/* Cfa/pair.scm 152 */
												BgL_objectz00_bglt BgL_auxz00_5976;

												BgL_auxz00_5976 =
													((BgL_objectz00_bglt) BgL_new1182z00_3088);
												BgL_auxz00_5975 = BGL_OBJECT_WIDENING(BgL_auxz00_5976);
											}
											BgL_auxz00_5974 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5975);
										}
										((((BgL_conszd2setz12zd2appz12_bglt)
													CREF(BgL_auxz00_5974))->BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2typezd2approxz00zzcfa_approxz00((
														(BgL_typez00_bglt)
														BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
									}
									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5983;

										{
											obj_t BgL_auxz00_5984;

											{	/* Cfa/pair.scm 152 */
												BgL_objectz00_bglt BgL_auxz00_5985;

												BgL_auxz00_5985 =
													((BgL_objectz00_bglt) BgL_new1182z00_3088);
												BgL_auxz00_5984 = BGL_OBJECT_WIDENING(BgL_auxz00_5985);
											}
											BgL_auxz00_5983 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5984);
										}
										((((BgL_conszd2setz12zd2appz12_bglt)
													CREF(BgL_auxz00_5983))->BgL_getz00) =
											((obj_t) BgL_cgetz00_3082), BUNSPEC);
									}
									return ((obj_t) BgL_new1182z00_3088);
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2969 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2969za2zzcfa_pairz00(obj_t
		BgL_envz00_5399, obj_t BgL_nodez00_5400)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 134 */
			{
				BgL_appz00_bglt BgL_nodez00_3060;

				BgL_nodez00_3060 = ((BgL_appz00_bglt) BgL_nodez00_5400);
				{	/* Cfa/pair.scm 137 */
					obj_t BgL_arg3028z00_3064;

					BgL_arg3028z00_3064 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3060)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3028z00_3064);
				}
				{	/* Cfa/pair.scm 138 */
					obj_t BgL_cgetz00_3065;

					{
						BgL_prezd2conszd2refzd2appzd2_bglt BgL_auxz00_5995;

						{
							obj_t BgL_auxz00_5996;

							{	/* Cfa/pair.scm 138 */
								BgL_objectz00_bglt BgL_auxz00_5997;

								BgL_auxz00_5997 = ((BgL_objectz00_bglt) BgL_nodez00_3060);
								BgL_auxz00_5996 = BGL_OBJECT_WIDENING(BgL_auxz00_5997);
							}
							BgL_auxz00_5995 =
								((BgL_prezd2conszd2refzd2appzd2_bglt) BgL_auxz00_5996);
						}
						BgL_cgetz00_3065 =
							(((BgL_prezd2conszd2refzd2appzd2_bglt) CREF(BgL_auxz00_5995))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 138 */
						BgL_appz00_bglt BgL_nodez00_3066;

						{	/* Cfa/pair.scm 139 */
							long BgL_arg3030z00_3073;

							{	/* Cfa/pair.scm 139 */
								obj_t BgL_arg3031z00_3074;

								{	/* Cfa/pair.scm 139 */
									obj_t BgL_arg3032z00_3075;

									{	/* Cfa/pair.scm 139 */
										BgL_objectz00_bglt BgL_objectz00_5274;

										BgL_objectz00_5274 =
											((BgL_objectz00_bglt) BgL_nodez00_3060);
										{	/* Cfa/pair.scm 139 */
											long BgL_arg1806z00_5275;

											{	/* Cfa/pair.scm 139 */
												long BgL_arg1808z00_5276;

												{	/* Cfa/pair.scm 139 */
													long BgL_res3303z00_5278;

													BgL_res3303z00_5278 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5274);
													BgL_arg1808z00_5276 = BgL_res3303z00_5278;
												}
												BgL_arg1806z00_5275 =
													(BgL_arg1808z00_5276 - OBJECT_TYPE);
											}
											BgL_arg3032z00_3075 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1806z00_5275));
									}}
									BgL_arg3031z00_3074 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3032z00_3075);
								}
								{	/* Cfa/pair.scm 139 */
									long BgL_res3305z00_5285;

									BgL_res3305z00_5285 = BGL_CLASS_INDEX(BgL_arg3031z00_3074);
									BgL_arg3030z00_3073 = BgL_res3305z00_5285;
							}}
							{	/* Cfa/pair.scm 139 */
								BgL_objectz00_bglt BgL_objz00_5286;

								BgL_objz00_5286 = ((BgL_objectz00_bglt) BgL_nodez00_3060);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5286, BgL_arg3030z00_3073);
						}}
						{	/* Cfa/pair.scm 139 */
							BgL_objectz00_bglt BgL_auxz00_6011;

							BgL_auxz00_6011 = ((BgL_objectz00_bglt) BgL_nodez00_3060);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6011, BFALSE);
						}
						BgL_nodez00_3066 = BgL_nodez00_3060;
						{	/* Cfa/pair.scm 139 */

							{	/* Cfa/pair.scm 140 */
								BgL_appz00_bglt BgL_tmp1171z00_3067;

								BgL_tmp1171z00_3067 = ((BgL_appz00_bglt) BgL_nodez00_3066);
								{	/* Cfa/pair.scm 140 */
									BgL_appz00_bglt BgL_tmp1172z00_3068;
									BgL_conszd2refzd2appz00_bglt BgL_wide1173z00_3069;

									BgL_tmp1172z00_3068 = ((BgL_appz00_bglt) BgL_tmp1171z00_3067);
									BgL_wide1173z00_3069 =
										((BgL_conszd2refzd2appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2refzd2appz00_bgl))));
									{	/* Cfa/pair.scm 140 */
										obj_t BgL_auxz00_6019;
										BgL_objectz00_bglt BgL_auxz00_6017;

										BgL_auxz00_6019 = ((obj_t) BgL_wide1173z00_3069);
										BgL_auxz00_6017 =
											((BgL_objectz00_bglt) BgL_tmp1172z00_3068);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6017, BgL_auxz00_6019);
									}
									{	/* Cfa/pair.scm 140 */
										long BgL_arg3029z00_3070;

										{	/* Cfa/pair.scm 140 */
											long BgL_res3306z00_5289;

											BgL_res3306z00_5289 =
												BGL_CLASS_INDEX(BGl_conszd2refzd2appz00zzcfa_info2z00);
											BgL_arg3029z00_3070 = BgL_res3306z00_5289;
										}
										{	/* Cfa/pair.scm 140 */
											BgL_objectz00_bglt BgL_objz00_5290;

											BgL_objz00_5290 =
												((BgL_objectz00_bglt) BgL_tmp1172z00_3068);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5290,
													BgL_arg3029z00_3070));
									}} BgL_tmp1172z00_3068;
								}
								{	/* Cfa/pair.scm 140 */
									BgL_appz00_bglt BgL_new1175z00_3071;

									BgL_new1175z00_3071 = ((BgL_appz00_bglt) BgL_tmp1171z00_3067);
									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_6027;

										{
											obj_t BgL_auxz00_6028;

											{	/* Cfa/pair.scm 140 */
												BgL_objectz00_bglt BgL_auxz00_6029;

												BgL_auxz00_6029 =
													((BgL_objectz00_bglt) BgL_new1175z00_3071);
												BgL_auxz00_6028 = BGL_OBJECT_WIDENING(BgL_auxz00_6029);
											}
											BgL_auxz00_6027 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6028);
										}
										((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6027))->
												BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
											BUNSPEC);
									}
									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_6035;

										{
											obj_t BgL_auxz00_6036;

											{	/* Cfa/pair.scm 140 */
												BgL_objectz00_bglt BgL_auxz00_6037;

												BgL_auxz00_6037 =
													((BgL_objectz00_bglt) BgL_new1175z00_3071);
												BgL_auxz00_6036 = BGL_OBJECT_WIDENING(BgL_auxz00_6037);
											}
											BgL_auxz00_6035 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6036);
										}
										((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6035))->
												BgL_getz00) = ((obj_t) BgL_cgetz00_3065), BUNSPEC);
									}
									return ((obj_t) BgL_new1175z00_3071);
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2967 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2967za2zzcfa_pairz00(obj_t
		BgL_envz00_5401, obj_t BgL_nodez00_5402)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 119 */
			{
				BgL_appz00_bglt BgL_nodez00_3039;

				BgL_nodez00_3039 = ((BgL_appz00_bglt) BgL_nodez00_5402);
				{	/* Cfa/pair.scm 121 */
					obj_t BgL_arg3020z00_3043;

					BgL_arg3020z00_3043 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3039)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3020z00_3043);
				}
				{	/* Cfa/pair.scm 122 */
					BgL_variablez00_bglt BgL_ownerz00_3044;

					{
						BgL_prezd2conszd2appz00_bglt BgL_auxz00_6047;

						{
							obj_t BgL_auxz00_6048;

							{	/* Cfa/pair.scm 122 */
								BgL_objectz00_bglt BgL_auxz00_6049;

								BgL_auxz00_6049 = ((BgL_objectz00_bglt) BgL_nodez00_3039);
								BgL_auxz00_6048 = BGL_OBJECT_WIDENING(BgL_auxz00_6049);
							}
							BgL_auxz00_6047 =
								((BgL_prezd2conszd2appz00_bglt) BgL_auxz00_6048);
						}
						BgL_ownerz00_3044 =
							(((BgL_prezd2conszd2appz00_bglt) CREF(BgL_auxz00_6047))->
							BgL_ownerz00);
					}
					{	/* Cfa/pair.scm 122 */
						BgL_appz00_bglt BgL_nodez00_3045;

						{	/* Cfa/pair.scm 123 */
							long BgL_arg3025z00_3056;

							{	/* Cfa/pair.scm 123 */
								obj_t BgL_arg3026z00_3057;

								{	/* Cfa/pair.scm 123 */
									obj_t BgL_arg3027z00_3058;

									{	/* Cfa/pair.scm 123 */
										BgL_objectz00_bglt BgL_objectz00_5253;

										BgL_objectz00_5253 =
											((BgL_objectz00_bglt) BgL_nodez00_3039);
										{	/* Cfa/pair.scm 123 */
											long BgL_arg1806z00_5254;

											{	/* Cfa/pair.scm 123 */
												long BgL_arg1808z00_5255;

												{	/* Cfa/pair.scm 123 */
													long BgL_res3299z00_5257;

													BgL_res3299z00_5257 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5253);
													BgL_arg1808z00_5255 = BgL_res3299z00_5257;
												}
												BgL_arg1806z00_5254 =
													(BgL_arg1808z00_5255 - OBJECT_TYPE);
											}
											BgL_arg3027z00_3058 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1806z00_5254));
									}}
									BgL_arg3026z00_3057 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3027z00_3058);
								}
								{	/* Cfa/pair.scm 123 */
									long BgL_res3301z00_5264;

									BgL_res3301z00_5264 = BGL_CLASS_INDEX(BgL_arg3026z00_3057);
									BgL_arg3025z00_3056 = BgL_res3301z00_5264;
							}}
							{	/* Cfa/pair.scm 123 */
								BgL_objectz00_bglt BgL_objz00_5265;

								BgL_objz00_5265 = ((BgL_objectz00_bglt) BgL_nodez00_3039);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5265, BgL_arg3025z00_3056);
						}}
						{	/* Cfa/pair.scm 123 */
							BgL_objectz00_bglt BgL_auxz00_6063;

							BgL_auxz00_6063 = ((BgL_objectz00_bglt) BgL_nodez00_3039);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6063, BFALSE);
						}
						BgL_nodez00_3045 = BgL_nodez00_3039;
						{	/* Cfa/pair.scm 123 */
							BgL_appz00_bglt BgL_wnodez00_3046;

							{	/* Cfa/pair.scm 124 */
								BgL_appz00_bglt BgL_tmp1165z00_3048;

								BgL_tmp1165z00_3048 = ((BgL_appz00_bglt) BgL_nodez00_3045);
								{	/* Cfa/pair.scm 124 */
									BgL_appz00_bglt BgL_tmp1166z00_3049;
									BgL_conszd2appzd2_bglt BgL_wide1167z00_3050;

									BgL_tmp1166z00_3049 = ((BgL_appz00_bglt) BgL_tmp1165z00_3048);
									BgL_wide1167z00_3050 =
										((BgL_conszd2appzd2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2appzd2_bgl))));
									{	/* Cfa/pair.scm 124 */
										obj_t BgL_auxz00_6071;
										BgL_objectz00_bglt BgL_auxz00_6069;

										BgL_auxz00_6071 = ((obj_t) BgL_wide1167z00_3050);
										BgL_auxz00_6069 =
											((BgL_objectz00_bglt) BgL_tmp1166z00_3049);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6069, BgL_auxz00_6071);
									}
									{	/* Cfa/pair.scm 124 */
										long BgL_arg3022z00_3051;

										{	/* Cfa/pair.scm 124 */
											long BgL_res3302z00_5268;

											BgL_res3302z00_5268 =
												BGL_CLASS_INDEX(BGl_conszd2appzd2zzcfa_info2z00);
											BgL_arg3022z00_3051 = BgL_res3302z00_5268;
										}
										{	/* Cfa/pair.scm 124 */
											BgL_objectz00_bglt BgL_objz00_5269;

											BgL_objz00_5269 =
												((BgL_objectz00_bglt) BgL_tmp1166z00_3049);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5269,
													BgL_arg3022z00_3051));
									}} BgL_tmp1166z00_3049;
								}
								{	/* Cfa/pair.scm 124 */
									BgL_appz00_bglt BgL_new1168z00_3052;

									BgL_new1168z00_3052 = ((BgL_appz00_bglt) BgL_tmp1165z00_3048);
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6079;

										{
											obj_t BgL_auxz00_6080;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6081;

												BgL_auxz00_6081 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6080 = BGL_OBJECT_WIDENING(BgL_auxz00_6081);
											}
											BgL_auxz00_6079 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6080);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6079))->
												BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
											BUNSPEC);
									}
									{
										obj_t BgL_auxz00_6093;
										BgL_conszd2appzd2_bglt BgL_auxz00_6087;

										{	/* Cfa/pair.scm 126 */
											BgL_approxz00_bglt BgL_arg3023z00_3053;
											BgL_approxz00_bglt BgL_arg3024z00_3054;

											BgL_arg3023z00_3053 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
											BgL_arg3024z00_3054 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
											BgL_auxz00_6093 =
												MAKE_PAIR(
												((obj_t) BgL_arg3023z00_3053),
												((obj_t) BgL_arg3024z00_3054));
										}
										{
											obj_t BgL_auxz00_6088;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6089;

												BgL_auxz00_6089 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6088 = BGL_OBJECT_WIDENING(BgL_auxz00_6089);
											}
											BgL_auxz00_6087 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6088);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6087))->
												BgL_approxesz00) = ((obj_t) BgL_auxz00_6093), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6100;

										{
											obj_t BgL_auxz00_6101;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6102;

												BgL_auxz00_6102 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6101 = BGL_OBJECT_WIDENING(BgL_auxz00_6102);
											}
											BgL_auxz00_6100 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6101);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6100))->
												BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6107;

										{
											obj_t BgL_auxz00_6108;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6109;

												BgL_auxz00_6109 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6108 = BGL_OBJECT_WIDENING(BgL_auxz00_6109);
											}
											BgL_auxz00_6107 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6108);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6107))->
												BgL_ownerz00) =
											((BgL_variablez00_bglt) BgL_ownerz00_3044), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6114;

										{
											obj_t BgL_auxz00_6115;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6116;

												BgL_auxz00_6116 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6115 = BGL_OBJECT_WIDENING(BgL_auxz00_6116);
											}
											BgL_auxz00_6114 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6115);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6114))->
												BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6121;

										{
											obj_t BgL_auxz00_6122;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6123;

												BgL_auxz00_6123 =
													((BgL_objectz00_bglt) BgL_new1168z00_3052);
												BgL_auxz00_6122 = BGL_OBJECT_WIDENING(BgL_auxz00_6123);
											}
											BgL_auxz00_6121 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6122);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6121))->
												BgL_seenzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									BgL_wnodez00_3046 = BgL_new1168z00_3052;
							}}
							{	/* Cfa/pair.scm 124 */

								{	/* Cfa/pair.scm 129 */
									BgL_approxz00_bglt BgL_arg3021z00_3047;

									BgL_arg3021z00_3047 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00),
										((BgL_nodez00_bglt) BgL_nodez00_3045));
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6131;

										{
											obj_t BgL_auxz00_6132;

											{	/* Cfa/pair.scm 129 */
												BgL_objectz00_bglt BgL_auxz00_6133;

												BgL_auxz00_6133 =
													((BgL_objectz00_bglt) BgL_wnodez00_3046);
												BgL_auxz00_6132 = BGL_OBJECT_WIDENING(BgL_auxz00_6133);
											}
											BgL_auxz00_6131 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6132);
										}
										return
											((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6131))->
												BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_arg3021z00_3047), BUNSPEC);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3333z00zzcfa_pairz00));
		}
	}

#ifdef __cplusplus
}
#endif
