/*===========================================================================*/
/*   (Cfa/struct.scm)                                                        */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/struct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzcfa_structz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_structz00();
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app2705za2zzcfa_structz00(obj_t, obj_t);
	extern obj_t BGl_structzd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app2709zb0zzcfa_structz00(obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make2699za2zzcfa_structz00(obj_t,
		obj_t);
	extern obj_t BGl_structzd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62loosezd2allocz12zd2makezd2st2711za2zzcfa_structz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app2707za2zzcfa_structz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_z62zc3anonymousza32743ze3ze1zzcfa_structz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_structz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_structz00();
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_structz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_cnstzd2initzd2zzcfa_structz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
	static obj_t BGl_z62zc3anonymousza32756ze3ze1zzcfa_structz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru2701za2zzcfa_structz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2stru2703za2zzcfa_structz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2948z00zzcfa_structz00,
		BgL_bgl_string2948za700za7za7c2961za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2952z00zzcfa_structz00,
		BgL_bgl_string2952za700za7za7c2962za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2956z00zzcfa_structz00,
		BgL_bgl_string2956za700za7za7c2963za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string2957z00zzcfa_structz00,
		BgL_bgl_string2957za700za7za7c2964za7, "cfa_struct", 10);
	      DEFINE_STRING(BGl_string2958z00zzcfa_structz00,
		BgL_bgl_string2958za700za7za7c2965za7, "all ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2947z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza72966za7,
		BGl_z62nodezd2setupz12zd2prezd2make2699za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2949z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza72967za7,
		BGl_z62nodezd2setupz12zd2prezd2stru2701za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2950z00zzcfa_structz00,
		BgL_bgl_za762nodeza7d2setupza72968za7,
		BGl_z62nodezd2setupz12zd2prezd2stru2703za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2951z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2make2969za7,
		BGl_z62cfaz12zd2makezd2structzd2app2705za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2953z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru2970za7,
		BGl_z62cfaz12zd2structzd2refzd2app2707za2zzcfa_structz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2954z00zzcfa_structz00,
		BgL_bgl_za762cfaza712za7d2stru2971za7,
		BGl_z62cfaz12zd2structzd2setz12zd2app2709zb0zzcfa_structz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2955z00zzcfa_structz00,
		BgL_bgl_za762looseza7d2alloc2972z00,
		BGl_z62loosezd2allocz12zd2makezd2st2711za2zzcfa_structz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long
		BgL_checksumz00_4493, char *BgL_fromz00_4494)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_structz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_structz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
					BGl_cnstzd2initzd2zzcfa_structz00();
					BGl_importedzd2moduleszd2initz00zzcfa_structz00();
					BGl_methodzd2initzd2zzcfa_structz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_struct");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_struct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			{	/* Cfa/struct.scm 17 */
				obj_t BgL_cportz00_4485;

				BgL_cportz00_4485 =
					bgl_open_input_string(BGl_string2958z00zzcfa_structz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4486;

					BgL_iz00_4486 = ((long) 0);
				BgL_loopz00_4487:
					if ((BgL_iz00_4486 == ((long) -1)))
						{	/* Cfa/struct.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/struct.scm 17 */
							{	/* Cfa/struct.scm 17 */
								obj_t BgL_arg2960z00_4489;

								{	/* Cfa/struct.scm 17 */

									{	/* Cfa/struct.scm 17 */
										obj_t BgL_locationz00_4491;

										BgL_locationz00_4491 = BBOOL(((bool_t) 0));
										{	/* Cfa/struct.scm 17 */

											BgL_arg2960z00_4489 =
												BGl_readz00zz__readerz00(BgL_cportz00_4485,
												BgL_locationz00_4491);
										}
									}
								}
								{	/* Cfa/struct.scm 17 */
									int BgL_auxz00_4513;

									BgL_auxz00_4513 = (int) (BgL_iz00_4486);
									CNST_TABLE_SET(BgL_auxz00_4513, BgL_arg2960z00_4489);
							}}
							{	/* Cfa/struct.scm 17 */
								int BgL_auxz00_4492;

								BgL_auxz00_4492 = (int) ((BgL_iz00_4486 - ((long) 1)));
								{
									long BgL_iz00_4518;

									BgL_iz00_4518 = (long) (BgL_auxz00_4492);
									BgL_iz00_4486 = BgL_iz00_4518;
									goto BgL_loopz00_4487;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00,
				BGl_proc2947z00zzcfa_structz00, BGl_string2948z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00,
				BGl_proc2949z00zzcfa_structz00, BGl_string2948z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc2950z00zzcfa_structz00, BGl_string2948z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc2951z00zzcfa_structz00, BGl_string2952z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2refzd2appz00zzcfa_info2z00, BGl_proc2953z00zzcfa_structz00,
				BGl_string2952z00zzcfa_structz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_structzd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2954z00zzcfa_structz00, BGl_string2952z00zzcfa_structz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2structzd2appz00zzcfa_info2z00,
				BGl_proc2955z00zzcfa_structz00, BGl_string2956z00zzcfa_structz00);
		}
	}



/* &loose-alloc!-make-st2711 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2st2711za2zzcfa_structz00(obj_t
		BgL_envz00_4461, obj_t BgL_allocz00_4462)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 136 */
			{
				BgL_appz00_bglt BgL_allocz00_2668;

				BgL_allocz00_2668 = ((BgL_appz00_bglt) BgL_allocz00_4462);
				{	/* Cfa/struct.scm 138 */
					bool_t BgL_testz00_4527;

					{	/* Cfa/struct.scm 138 */
						long BgL_n2z00_4444;

						BgL_n2z00_4444 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/struct.scm 138 */
							long BgL_auxz00_4529;

							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4530;

								{
									obj_t BgL_auxz00_4531;

									{	/* Cfa/struct.scm 138 */
										BgL_objectz00_bglt BgL_auxz00_4532;

										BgL_auxz00_4532 = ((BgL_objectz00_bglt) BgL_allocz00_2668);
										BgL_auxz00_4531 = BGL_OBJECT_WIDENING(BgL_auxz00_4532);
									}
									BgL_auxz00_4530 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4531);
								}
								BgL_auxz00_4529 =
									(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4530))->
									BgL_lostzd2stampzd2);
							}
							BgL_testz00_4527 = (BgL_auxz00_4529 == BgL_n2z00_4444);
					}}
					if (BgL_testz00_4527)
						{	/* Cfa/struct.scm 138 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/struct.scm 138 */
							{
								BgL_makezd2structzd2appz00_bglt BgL_auxz00_4538;

								{
									obj_t BgL_auxz00_4539;

									{	/* Cfa/struct.scm 142 */
										BgL_objectz00_bglt BgL_auxz00_4540;

										BgL_auxz00_4540 = ((BgL_objectz00_bglt) BgL_allocz00_2668);
										BgL_auxz00_4539 = BGL_OBJECT_WIDENING(BgL_auxz00_4540);
									}
									BgL_auxz00_4538 =
										((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4539);
								}
								((((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4538))->
										BgL_lostzd2stampzd2) =
									((long) (long)
										CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)), BUNSPEC);
							}
							{	/* Cfa/struct.scm 143 */
								BgL_approxz00_bglt BgL_arg2764z00_2673;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4546;

									{
										obj_t BgL_auxz00_4547;

										{	/* Cfa/struct.scm 143 */
											BgL_objectz00_bglt BgL_auxz00_4548;

											BgL_auxz00_4548 =
												((BgL_objectz00_bglt) BgL_allocz00_2668);
											BgL_auxz00_4547 = BGL_OBJECT_WIDENING(BgL_auxz00_4548);
										}
										BgL_auxz00_4546 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4547);
									}
									BgL_arg2764z00_2673 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4546))->
										BgL_valuezd2approxzd2);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									BgL_arg2764z00_2673);
							}
							{	/* Cfa/struct.scm 144 */
								BgL_approxz00_bglt BgL_arg2765z00_2674;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4554;

									{
										obj_t BgL_auxz00_4555;

										{	/* Cfa/struct.scm 144 */
											BgL_objectz00_bglt BgL_auxz00_4556;

											BgL_auxz00_4556 =
												((BgL_objectz00_bglt) BgL_allocz00_2668);
											BgL_auxz00_4555 = BGL_OBJECT_WIDENING(BgL_auxz00_4556);
										}
										BgL_auxz00_4554 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4555);
									}
									BgL_arg2765z00_2674 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4554))->
										BgL_valuezd2approxzd2);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg2765z00_2674,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/struct.scm 145 */
								BgL_approxz00_bglt BgL_arg2766z00_2675;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4563;

									{
										obj_t BgL_auxz00_4564;

										{	/* Cfa/struct.scm 145 */
											BgL_objectz00_bglt BgL_auxz00_4565;

											BgL_auxz00_4565 =
												((BgL_objectz00_bglt) BgL_allocz00_2668);
											BgL_auxz00_4564 = BGL_OBJECT_WIDENING(BgL_auxz00_4565);
										}
										BgL_auxz00_4563 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4564);
									}
									BgL_arg2766z00_2675 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4563))->
										BgL_valuezd2approxzd2);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg2766z00_2675);
							}
						}
				}
			}
		}
	}



/* &cfa!-struct-set!-app2709 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2setz12zd2app2709zb0zzcfa_structz00(obj_t
		BgL_envz00_4463, obj_t BgL_nodez00_4464)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 109 */
			{
				BgL_appz00_bglt BgL_nodez00_2647;

				BgL_nodez00_2647 = ((BgL_appz00_bglt) BgL_nodez00_4464);
				{	/* Cfa/struct.scm 113 */
					obj_t BgL_arg2752z00_2651;

					{	/* Cfa/struct.scm 113 */
						obj_t BgL_pairz00_4427;

						BgL_pairz00_4427 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_2647)))->BgL_argsz00);
						BgL_arg2752z00_2651 = CAR(CDR(BgL_pairz00_4427));
					}
					BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg2752z00_2651));
				}
				{	/* Cfa/struct.scm 114 */
					BgL_approxz00_bglt BgL_structzd2approxzd2_2653;
					BgL_approxz00_bglt BgL_valzd2approxzd2_2654;

					{	/* Cfa/struct.scm 114 */
						obj_t BgL_arg2759z00_2663;

						{	/* Cfa/struct.scm 114 */
							obj_t BgL_pairz00_4431;

							BgL_pairz00_4431 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2647)))->BgL_argsz00);
							BgL_arg2759z00_2663 = CAR(BgL_pairz00_4431);
						}
						BgL_structzd2approxzd2_2653 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2759z00_2663));
					}
					{	/* Cfa/struct.scm 115 */
						obj_t BgL_arg2761z00_2665;

						{	/* Cfa/struct.scm 115 */
							obj_t BgL_pairz00_4432;

							BgL_pairz00_4432 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2647)))->BgL_argsz00);
							BgL_arg2761z00_2665 = CAR(CDR(CDR(BgL_pairz00_4432)));
						}
						BgL_valzd2approxzd2_2654 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2761z00_2665));
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_structzd2approxzd2_2653))->
							BgL_topzf3zf3))
						{	/* Cfa/struct.scm 118 */
							((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_2654,
									CNST_TABLE_REF(((long) 0))));
						}
					else
						{	/* Cfa/struct.scm 123 */
							obj_t BgL_zc3anonymousza32756ze3z83_4453;

							BgL_zc3anonymousza32756ze3z83_4453 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32756ze3ze1zzcfa_structz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_4453,
								(int) (((long) 0)), ((obj_t) BgL_valzd2approxzd2_2654));
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BgL_zc3anonymousza32756ze3z83_4453,
								BgL_structzd2approxzd2_2653);
				}}
				{
					BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_4602;

					{
						obj_t BgL_auxz00_4603;

						{	/* Cfa/struct.scm 127 */
							BgL_objectz00_bglt BgL_auxz00_4604;

							BgL_auxz00_4604 = ((BgL_objectz00_bglt) BgL_nodez00_2647);
							BgL_auxz00_4603 = BGL_OBJECT_WIDENING(BgL_auxz00_4604);
						}
						BgL_auxz00_4602 =
							((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_4603);
					}
					return
						(((BgL_structzd2setz12zd2appz12_bglt) CREF(BgL_auxz00_4602))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:2756> */
	obj_t BGl_z62zc3anonymousza32756ze3ze1zzcfa_structz00(obj_t BgL_envz00_4465,
		obj_t BgL_appz00_4467)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 122 */
			{	/* Cfa/struct.scm 123 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4466;

				BgL_valzd2approxzd2_4466 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_4465, (int) (((long) 0))));
				{
					obj_t BgL_appz00_2657;

					BgL_appz00_2657 = BgL_appz00_4467;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_2657,
							BGl_makezd2structzd2appz00zzcfa_info2z00))
						{	/* Cfa/struct.scm 124 */
							BgL_appz00_bglt BgL_i1172z00_2660;

							BgL_i1172z00_2660 = ((BgL_appz00_bglt) BgL_appz00_2657);
							{	/* Cfa/struct.scm 125 */
								BgL_approxz00_bglt BgL_arg2758z00_2661;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4616;

									{
										obj_t BgL_auxz00_4617;

										{	/* Cfa/struct.scm 125 */
											BgL_objectz00_bglt BgL_auxz00_4618;

											BgL_auxz00_4618 =
												((BgL_objectz00_bglt) BgL_i1172z00_2660);
											BgL_auxz00_4617 = BGL_OBJECT_WIDENING(BgL_auxz00_4618);
										}
										BgL_auxz00_4616 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4617);
									}
									BgL_arg2758z00_2661 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4616))->
										BgL_valuezd2approxzd2);
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2758z00_2661,
										BgL_valzd2approxzd2_4466));
							}
						}
					else
						{	/* Cfa/struct.scm 123 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-struct-ref-app2707 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2structzd2refzd2app2707za2zzcfa_structz00(obj_t
		BgL_envz00_4468, obj_t BgL_nodez00_4469)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 87 */
			{
				BgL_appz00_bglt BgL_nodez00_2624;

				BgL_nodez00_2624 = ((BgL_appz00_bglt) BgL_nodez00_4469);
				{	/* Cfa/struct.scm 91 */
					obj_t BgL_arg2738z00_2628;

					{	/* Cfa/struct.scm 91 */
						obj_t BgL_pairz00_4414;

						BgL_pairz00_4414 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_2624)))->BgL_argsz00);
						BgL_arg2738z00_2628 = CAR(CDR(BgL_pairz00_4414));
					}
					BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg2738z00_2628));
				}
				{	/* Cfa/struct.scm 92 */
					BgL_approxz00_bglt BgL_structzd2approxzd2_2630;

					{	/* Cfa/struct.scm 92 */
						obj_t BgL_arg2750z00_2644;

						{	/* Cfa/struct.scm 92 */
							obj_t BgL_pairz00_4418;

							BgL_pairz00_4418 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2624)))->BgL_argsz00);
							BgL_arg2750z00_2644 = CAR(BgL_pairz00_4418);
						}
						BgL_structzd2approxzd2_2630 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2750z00_2644));
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_structzd2approxzd2_2630))->
							BgL_topzf3zf3))
						{	/* Cfa/struct.scm 96 */
							BgL_approxz00_bglt BgL_arg2741z00_2632;

							{
								BgL_structzd2refzd2appz00_bglt BgL_auxz00_4638;

								{
									obj_t BgL_auxz00_4639;

									{	/* Cfa/struct.scm 96 */
										BgL_objectz00_bglt BgL_auxz00_4640;

										BgL_auxz00_4640 = ((BgL_objectz00_bglt) BgL_nodez00_2624);
										BgL_auxz00_4639 = BGL_OBJECT_WIDENING(BgL_auxz00_4640);
									}
									BgL_auxz00_4638 =
										((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4639);
								}
								BgL_arg2741z00_2632 =
									(((BgL_structzd2refzd2appz00_bglt) CREF(BgL_auxz00_4638))->
									BgL_approxz00);
							}
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2741z00_2632);
						}
					else
						{	/* Cfa/struct.scm 95 */
							BFALSE;
						}
					{	/* Cfa/struct.scm 99 */
						obj_t BgL_zc3anonymousza32743ze3z83_4455;

						BgL_zc3anonymousza32743ze3z83_4455 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32743ze3ze1zzcfa_structz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32743ze3z83_4455,
							(int) (((long) 0)), ((obj_t) BgL_nodez00_2624));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3anonymousza32743ze3z83_4455, BgL_structzd2approxzd2_2630);
				}}
				{
					BgL_structzd2refzd2appz00_bglt BgL_auxz00_4653;

					{
						obj_t BgL_auxz00_4654;

						{	/* Cfa/struct.scm 104 */
							BgL_objectz00_bglt BgL_auxz00_4655;

							BgL_auxz00_4655 = ((BgL_objectz00_bglt) BgL_nodez00_2624);
							BgL_auxz00_4654 = BGL_OBJECT_WIDENING(BgL_auxz00_4655);
						}
						BgL_auxz00_4653 =
							((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4654);
					}
					return
						(((BgL_structzd2refzd2appz00_bglt) CREF(BgL_auxz00_4653))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:2743> */
	obj_t BGl_z62zc3anonymousza32743ze3ze1zzcfa_structz00(obj_t BgL_envz00_4470,
		obj_t BgL_appz00_4472)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 98 */
			{	/* Cfa/struct.scm 99 */
				BgL_appz00_bglt BgL_i1169z00_4471;

				BgL_i1169z00_4471 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_4470, (int) (((long) 0))));
				{
					obj_t BgL_appz00_2634;

					BgL_appz00_2634 = BgL_appz00_4472;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_2634,
							BGl_makezd2structzd2appz00zzcfa_info2z00))
						{	/* Cfa/struct.scm 100 */
							BgL_appz00_bglt BgL_i1170z00_2637;

							BgL_i1170z00_2637 = ((BgL_appz00_bglt) BgL_appz00_2634);
							{	/* Cfa/struct.scm 101 */
								BgL_approxz00_bglt BgL_arg2745z00_2638;
								BgL_approxz00_bglt BgL_arg2746z00_2639;

								{
									BgL_structzd2refzd2appz00_bglt BgL_auxz00_4667;

									{
										obj_t BgL_auxz00_4668;

										{	/* Cfa/struct.scm 101 */
											BgL_objectz00_bglt BgL_auxz00_4669;

											BgL_auxz00_4669 =
												((BgL_objectz00_bglt) BgL_i1169z00_4471);
											BgL_auxz00_4668 = BGL_OBJECT_WIDENING(BgL_auxz00_4669);
										}
										BgL_auxz00_4667 =
											((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4668);
									}
									BgL_arg2745z00_2638 =
										(((BgL_structzd2refzd2appz00_bglt) CREF(BgL_auxz00_4667))->
										BgL_approxz00);
								}
								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4674;

									{
										obj_t BgL_auxz00_4675;

										{	/* Cfa/struct.scm 101 */
											BgL_objectz00_bglt BgL_auxz00_4676;

											BgL_auxz00_4676 =
												((BgL_objectz00_bglt) BgL_i1170z00_2637);
											BgL_auxz00_4675 = BGL_OBJECT_WIDENING(BgL_auxz00_4676);
										}
										BgL_auxz00_4674 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4675);
									}
									BgL_arg2746z00_2639 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4674))->
										BgL_valuezd2approxzd2);
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2745z00_2638,
									BgL_arg2746z00_2639);
							}
							{	/* Cfa/struct.scm 102 */
								BgL_approxz00_bglt BgL_arg2747z00_2640;
								BgL_typez00_bglt BgL_arg2748z00_2641;

								{
									BgL_makezd2structzd2appz00_bglt BgL_auxz00_4682;

									{
										obj_t BgL_auxz00_4683;

										{	/* Cfa/struct.scm 102 */
											BgL_objectz00_bglt BgL_auxz00_4684;

											BgL_auxz00_4684 =
												((BgL_objectz00_bglt) BgL_i1170z00_2637);
											BgL_auxz00_4683 = BGL_OBJECT_WIDENING(BgL_auxz00_4684);
										}
										BgL_auxz00_4682 =
											((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4683);
									}
									BgL_arg2747z00_2640 =
										(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4682))->
										BgL_valuezd2approxzd2);
								}
								{
									BgL_approxz00_bglt BgL_auxz00_4689;

									{
										BgL_structzd2refzd2appz00_bglt BgL_auxz00_4690;

										{
											obj_t BgL_auxz00_4691;

											{	/* Cfa/struct.scm 102 */
												BgL_objectz00_bglt BgL_auxz00_4692;

												BgL_auxz00_4692 =
													((BgL_objectz00_bglt) BgL_i1169z00_4471);
												BgL_auxz00_4691 = BGL_OBJECT_WIDENING(BgL_auxz00_4692);
											}
											BgL_auxz00_4690 =
												((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4691);
										}
										BgL_auxz00_4689 =
											(((BgL_structzd2refzd2appz00_bglt)
												CREF(BgL_auxz00_4690))->BgL_approxz00);
									}
									BgL_arg2748z00_2641 =
										(((BgL_approxz00_bglt) CREF(BgL_auxz00_4689))->BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg2747z00_2640, BgL_arg2748z00_2641);
							}
						}
					else
						{	/* Cfa/struct.scm 99 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-make-struct-app2705 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2structzd2app2705za2zzcfa_structz00(obj_t
		BgL_envz00_4473, obj_t BgL_nodez00_4474)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 71 */
			{
				BgL_appz00_bglt BgL_nodez00_2613;

				BgL_nodez00_2613 = ((BgL_appz00_bglt) BgL_nodez00_4474);
				{	/* Cfa/struct.scm 74 */
					obj_t BgL_arg2733z00_2617;

					{	/* Cfa/struct.scm 74 */
						obj_t BgL_pairz00_4409;

						BgL_pairz00_4409 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_2613)))->BgL_argsz00);
						BgL_arg2733z00_2617 = CAR(BgL_pairz00_4409);
					}
					BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg2733z00_2617));
				}
				{	/* Cfa/struct.scm 75 */
					BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_2619;

					{	/* Cfa/struct.scm 75 */
						obj_t BgL_arg2736z00_2621;

						{	/* Cfa/struct.scm 75 */
							obj_t BgL_pairz00_4410;

							BgL_pairz00_4410 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2613)))->BgL_argsz00);
							BgL_arg2736z00_2621 = CAR(CDR(BgL_pairz00_4410));
						}
						BgL_initzd2valuezd2approxz00_2619 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2736z00_2621));
					}
					{	/* Cfa/struct.scm 76 */
						BgL_approxz00_bglt BgL_arg2735z00_2620;

						{
							BgL_makezd2structzd2appz00_bglt BgL_auxz00_4710;

							{
								obj_t BgL_auxz00_4711;

								{	/* Cfa/struct.scm 76 */
									BgL_objectz00_bglt BgL_auxz00_4712;

									BgL_auxz00_4712 = ((BgL_objectz00_bglt) BgL_nodez00_2613);
									BgL_auxz00_4711 = BGL_OBJECT_WIDENING(BgL_auxz00_4712);
								}
								BgL_auxz00_4710 =
									((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4711);
							}
							BgL_arg2735z00_2620 =
								(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4710))->
								BgL_valuezd2approxzd2);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2735z00_2620,
							BgL_initzd2valuezd2approxz00_2619);
					}
					{
						BgL_makezd2structzd2appz00_bglt BgL_auxz00_4718;

						{
							obj_t BgL_auxz00_4719;

							{	/* Cfa/struct.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_4720;

								BgL_auxz00_4720 = ((BgL_objectz00_bglt) BgL_nodez00_2613);
								BgL_auxz00_4719 = BGL_OBJECT_WIDENING(BgL_auxz00_4720);
							}
							BgL_auxz00_4718 =
								((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4719);
						}
						return
							(((BgL_makezd2structzd2appz00_bglt) CREF(BgL_auxz00_4718))->
							BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-stru2703 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru2703za2zzcfa_structz00(obj_t
		BgL_envz00_4475, obj_t BgL_nodez00_4476)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 62 */
			{
				BgL_appz00_bglt BgL_nodez00_2597;

				BgL_nodez00_2597 = ((BgL_appz00_bglt) BgL_nodez00_4476);
				{	/* Cfa/struct.scm 64 */
					obj_t BgL_arg2728z00_2601;

					BgL_arg2728z00_2601 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2597)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2728z00_2601);
				}
				{	/* Cfa/struct.scm 65 */
					BgL_appz00_bglt BgL_nodez00_2602;

					{	/* Cfa/struct.scm 65 */
						long BgL_arg2730z00_2609;

						{	/* Cfa/struct.scm 65 */
							obj_t BgL_arg2731z00_2610;

							{	/* Cfa/struct.scm 65 */
								obj_t BgL_arg2732z00_2611;

								{	/* Cfa/struct.scm 65 */
									BgL_objectz00_bglt BgL_objectz00_4391;

									BgL_objectz00_4391 = ((BgL_objectz00_bglt) BgL_nodez00_2597);
									{	/* Cfa/struct.scm 65 */
										long BgL_arg1806z00_4392;

										{	/* Cfa/struct.scm 65 */
											long BgL_arg1808z00_4393;

											{	/* Cfa/struct.scm 65 */
												long BgL_res2934z00_4395;

												BgL_res2934z00_4395 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_4391);
												BgL_arg1808z00_4393 = BgL_res2934z00_4395;
											}
											BgL_arg1806z00_4392 = (BgL_arg1808z00_4393 - OBJECT_TYPE);
										}
										BgL_arg2732z00_2611 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1806z00_4392));
								}}
								BgL_arg2731z00_2610 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg2732z00_2611);
							}
							{	/* Cfa/struct.scm 65 */
								long BgL_res2936z00_4402;

								BgL_res2936z00_4402 = BGL_CLASS_INDEX(BgL_arg2731z00_2610);
								BgL_arg2730z00_2609 = BgL_res2936z00_4402;
						}}
						{	/* Cfa/struct.scm 65 */
							BgL_objectz00_bglt BgL_objz00_4403;

							BgL_objz00_4403 = ((BgL_objectz00_bglt) BgL_nodez00_2597);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4403, BgL_arg2730z00_2609);
					}}
					{	/* Cfa/struct.scm 65 */
						BgL_objectz00_bglt BgL_auxz00_4738;

						BgL_auxz00_4738 = ((BgL_objectz00_bglt) BgL_nodez00_2597);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4738, BFALSE);
					}
					BgL_nodez00_2602 = BgL_nodez00_2597;
					{	/* Cfa/struct.scm 66 */
						BgL_appz00_bglt BgL_tmp1164z00_2603;

						BgL_tmp1164z00_2603 = ((BgL_appz00_bglt) BgL_nodez00_2602);
						{	/* Cfa/struct.scm 66 */
							BgL_appz00_bglt BgL_tmp1165z00_2604;
							BgL_structzd2setz12zd2appz12_bglt BgL_wide1166z00_2605;

							BgL_tmp1165z00_2604 = ((BgL_appz00_bglt) BgL_tmp1164z00_2603);
							BgL_wide1166z00_2605 =
								((BgL_structzd2setz12zd2appz12_bglt)
								BREF(GC_MALLOC(sizeof(struct
											BgL_structzd2setz12zd2appz12_bgl))));
							{	/* Cfa/struct.scm 66 */
								obj_t BgL_auxz00_4746;
								BgL_objectz00_bglt BgL_auxz00_4744;

								BgL_auxz00_4746 = ((obj_t) BgL_wide1166z00_2605);
								BgL_auxz00_4744 = ((BgL_objectz00_bglt) BgL_tmp1165z00_2604);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4744, BgL_auxz00_4746);
							}
							{	/* Cfa/struct.scm 66 */
								long BgL_arg2729z00_2606;

								{	/* Cfa/struct.scm 66 */
									long BgL_res2937z00_4406;

									BgL_res2937z00_4406 =
										BGL_CLASS_INDEX(BGl_structzd2setz12zd2appz12zzcfa_info2z00);
									BgL_arg2729z00_2606 = BgL_res2937z00_4406;
								}
								{	/* Cfa/struct.scm 66 */
									BgL_objectz00_bglt BgL_objz00_4407;

									BgL_objz00_4407 = ((BgL_objectz00_bglt) BgL_tmp1165z00_2604);
									((BgL_appz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4407,
											BgL_arg2729z00_2606));
							}} BgL_tmp1165z00_2604;
						}
						{	/* Cfa/struct.scm 66 */
							BgL_appz00_bglt BgL_new1167z00_2607;

							BgL_new1167z00_2607 = ((BgL_appz00_bglt) BgL_tmp1164z00_2603);
							{
								BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_4754;

								{
									obj_t BgL_auxz00_4755;

									{	/* Cfa/struct.scm 66 */
										BgL_objectz00_bglt BgL_auxz00_4756;

										BgL_auxz00_4756 =
											((BgL_objectz00_bglt) BgL_new1167z00_2607);
										BgL_auxz00_4755 = BGL_OBJECT_WIDENING(BgL_auxz00_4756);
									}
									BgL_auxz00_4754 =
										((BgL_structzd2setz12zd2appz12_bglt) BgL_auxz00_4755);
								}
								((((BgL_structzd2setz12zd2appz12_bglt) CREF(BgL_auxz00_4754))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00((
												(BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
							}
							return ((obj_t) BgL_new1167z00_2607);
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-stru2701 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2stru2701za2zzcfa_structz00(obj_t
		BgL_envz00_4477, obj_t BgL_nodez00_4478)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 53 */
			{
				BgL_appz00_bglt BgL_nodez00_2581;

				BgL_nodez00_2581 = ((BgL_appz00_bglt) BgL_nodez00_4478);
				{	/* Cfa/struct.scm 55 */
					obj_t BgL_arg2722z00_2585;

					BgL_arg2722z00_2585 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2581)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2722z00_2585);
				}
				{	/* Cfa/struct.scm 56 */
					BgL_appz00_bglt BgL_nodez00_2586;

					{	/* Cfa/struct.scm 56 */
						long BgL_arg2725z00_2593;

						{	/* Cfa/struct.scm 56 */
							obj_t BgL_arg2726z00_2594;

							{	/* Cfa/struct.scm 56 */
								obj_t BgL_arg2727z00_2595;

								{	/* Cfa/struct.scm 56 */
									BgL_objectz00_bglt BgL_objectz00_4373;

									BgL_objectz00_4373 = ((BgL_objectz00_bglt) BgL_nodez00_2581);
									{	/* Cfa/struct.scm 56 */
										long BgL_arg1806z00_4374;

										{	/* Cfa/struct.scm 56 */
											long BgL_arg1808z00_4375;

											{	/* Cfa/struct.scm 56 */
												long BgL_res2930z00_4377;

												BgL_res2930z00_4377 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_4373);
												BgL_arg1808z00_4375 = BgL_res2930z00_4377;
											}
											BgL_arg1806z00_4374 = (BgL_arg1808z00_4375 - OBJECT_TYPE);
										}
										BgL_arg2727z00_2595 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1806z00_4374));
								}}
								BgL_arg2726z00_2594 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg2727z00_2595);
							}
							{	/* Cfa/struct.scm 56 */
								long BgL_res2932z00_4384;

								BgL_res2932z00_4384 = BGL_CLASS_INDEX(BgL_arg2726z00_2594);
								BgL_arg2725z00_2593 = BgL_res2932z00_4384;
						}}
						{	/* Cfa/struct.scm 56 */
							BgL_objectz00_bglt BgL_objz00_4385;

							BgL_objz00_4385 = ((BgL_objectz00_bglt) BgL_nodez00_2581);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4385, BgL_arg2725z00_2593);
					}}
					{	/* Cfa/struct.scm 56 */
						BgL_objectz00_bglt BgL_auxz00_4777;

						BgL_auxz00_4777 = ((BgL_objectz00_bglt) BgL_nodez00_2581);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4777, BFALSE);
					}
					BgL_nodez00_2586 = BgL_nodez00_2581;
					{	/* Cfa/struct.scm 57 */
						BgL_appz00_bglt BgL_tmp1158z00_2587;

						BgL_tmp1158z00_2587 = ((BgL_appz00_bglt) BgL_nodez00_2586);
						{	/* Cfa/struct.scm 57 */
							BgL_appz00_bglt BgL_tmp1159z00_2588;
							BgL_structzd2refzd2appz00_bglt BgL_wide1160z00_2589;

							BgL_tmp1159z00_2588 = ((BgL_appz00_bglt) BgL_tmp1158z00_2587);
							BgL_wide1160z00_2589 =
								((BgL_structzd2refzd2appz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_structzd2refzd2appz00_bgl))));
							{	/* Cfa/struct.scm 57 */
								obj_t BgL_auxz00_4785;
								BgL_objectz00_bglt BgL_auxz00_4783;

								BgL_auxz00_4785 = ((obj_t) BgL_wide1160z00_2589);
								BgL_auxz00_4783 = ((BgL_objectz00_bglt) BgL_tmp1159z00_2588);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4783, BgL_auxz00_4785);
							}
							{	/* Cfa/struct.scm 57 */
								long BgL_arg2724z00_2590;

								{	/* Cfa/struct.scm 57 */
									long BgL_res2933z00_4388;

									BgL_res2933z00_4388 =
										BGL_CLASS_INDEX(BGl_structzd2refzd2appz00zzcfa_info2z00);
									BgL_arg2724z00_2590 = BgL_res2933z00_4388;
								}
								{	/* Cfa/struct.scm 57 */
									BgL_objectz00_bglt BgL_objz00_4389;

									BgL_objz00_4389 = ((BgL_objectz00_bglt) BgL_tmp1159z00_2588);
									((BgL_appz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4389,
											BgL_arg2724z00_2590));
							}} BgL_tmp1159z00_2588;
						}
						{	/* Cfa/struct.scm 57 */
							BgL_appz00_bglt BgL_new1161z00_2591;

							BgL_new1161z00_2591 = ((BgL_appz00_bglt) BgL_tmp1158z00_2587);
							{
								BgL_structzd2refzd2appz00_bglt BgL_auxz00_4793;

								{
									obj_t BgL_auxz00_4794;

									{	/* Cfa/struct.scm 57 */
										BgL_objectz00_bglt BgL_auxz00_4795;

										BgL_auxz00_4795 =
											((BgL_objectz00_bglt) BgL_new1161z00_2591);
										BgL_auxz00_4794 = BGL_OBJECT_WIDENING(BgL_auxz00_4795);
									}
									BgL_auxz00_4793 =
										((BgL_structzd2refzd2appz00_bglt) BgL_auxz00_4794);
								}
								((((BgL_structzd2refzd2appz00_bglt) CREF(BgL_auxz00_4793))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00((
												(BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
							}
							return ((obj_t) BgL_new1161z00_2591);
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-make2699 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make2699za2zzcfa_structz00(obj_t
		BgL_envz00_4479, obj_t BgL_nodez00_4480)
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 36 */
			{
				BgL_appz00_bglt BgL_nodez00_2562;

				BgL_nodez00_2562 = ((BgL_appz00_bglt) BgL_nodez00_4480);
				{	/* Cfa/struct.scm 38 */
					obj_t BgL_arg2716z00_2566;

					BgL_arg2716z00_2566 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2562)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2716z00_2566);
				}
				{	/* Cfa/struct.scm 39 */
					BgL_variablez00_bglt BgL_ownerz00_2567;

					{
						BgL_prezd2makezd2structzd2appzd2_bglt BgL_auxz00_4807;

						{
							obj_t BgL_auxz00_4808;

							{	/* Cfa/struct.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_4809;

								BgL_auxz00_4809 = ((BgL_objectz00_bglt) BgL_nodez00_2562);
								BgL_auxz00_4808 = BGL_OBJECT_WIDENING(BgL_auxz00_4809);
							}
							BgL_auxz00_4807 =
								((BgL_prezd2makezd2structzd2appzd2_bglt) BgL_auxz00_4808);
						}
						BgL_ownerz00_2567 =
							(((BgL_prezd2makezd2structzd2appzd2_bglt) CREF(BgL_auxz00_4807))->
							BgL_ownerz00);
					}
					{	/* Cfa/struct.scm 39 */
						BgL_appz00_bglt BgL_nodez00_2568;

						{	/* Cfa/struct.scm 40 */
							long BgL_arg2719z00_2577;

							{	/* Cfa/struct.scm 40 */
								obj_t BgL_arg2720z00_2578;

								{	/* Cfa/struct.scm 40 */
									obj_t BgL_arg2721z00_2579;

									{	/* Cfa/struct.scm 40 */
										BgL_objectz00_bglt BgL_objectz00_4352;

										BgL_objectz00_4352 =
											((BgL_objectz00_bglt) BgL_nodez00_2562);
										{	/* Cfa/struct.scm 40 */
											long BgL_arg1806z00_4353;

											{	/* Cfa/struct.scm 40 */
												long BgL_arg1808z00_4354;

												{	/* Cfa/struct.scm 40 */
													long BgL_res2926z00_4356;

													BgL_res2926z00_4356 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_4352);
													BgL_arg1808z00_4354 = BgL_res2926z00_4356;
												}
												BgL_arg1806z00_4353 =
													(BgL_arg1808z00_4354 - OBJECT_TYPE);
											}
											BgL_arg2721z00_2579 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1806z00_4353));
									}}
									BgL_arg2720z00_2578 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg2721z00_2579);
								}
								{	/* Cfa/struct.scm 40 */
									long BgL_res2928z00_4363;

									BgL_res2928z00_4363 = BGL_CLASS_INDEX(BgL_arg2720z00_2578);
									BgL_arg2719z00_2577 = BgL_res2928z00_4363;
							}}
							{	/* Cfa/struct.scm 40 */
								BgL_objectz00_bglt BgL_objz00_4364;

								BgL_objz00_4364 = ((BgL_objectz00_bglt) BgL_nodez00_2562);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4364, BgL_arg2719z00_2577);
						}}
						{	/* Cfa/struct.scm 40 */
							BgL_objectz00_bglt BgL_auxz00_4823;

							BgL_auxz00_4823 = ((BgL_objectz00_bglt) BgL_nodez00_2562);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4823, BFALSE);
						}
						BgL_nodez00_2568 = BgL_nodez00_2562;
						{	/* Cfa/struct.scm 40 */

							{	/* Cfa/struct.scm 41 */
								BgL_appz00_bglt BgL_wnodez00_2569;

								{	/* Cfa/struct.scm 41 */
									BgL_appz00_bglt BgL_tmp1152z00_2571;

									BgL_tmp1152z00_2571 = ((BgL_appz00_bglt) BgL_nodez00_2568);
									{	/* Cfa/struct.scm 41 */
										BgL_appz00_bglt BgL_tmp1153z00_2572;
										BgL_makezd2structzd2appz00_bglt BgL_wide1154z00_2573;

										BgL_tmp1153z00_2572 =
											((BgL_appz00_bglt) BgL_tmp1152z00_2571);
										BgL_wide1154z00_2573 =
											((BgL_makezd2structzd2appz00_bglt)
											BREF(GC_MALLOC(sizeof(struct
														BgL_makezd2structzd2appz00_bgl))));
										{	/* Cfa/struct.scm 41 */
											obj_t BgL_auxz00_4831;
											BgL_objectz00_bglt BgL_auxz00_4829;

											BgL_auxz00_4831 = ((obj_t) BgL_wide1154z00_2573);
											BgL_auxz00_4829 =
												((BgL_objectz00_bglt) BgL_tmp1153z00_2572);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_4829, BgL_auxz00_4831);
										}
										{	/* Cfa/struct.scm 41 */
											long BgL_arg2718z00_2574;

											{	/* Cfa/struct.scm 41 */
												long BgL_res2929z00_4367;

												BgL_res2929z00_4367 =
													BGL_CLASS_INDEX
													(BGl_makezd2structzd2appz00zzcfa_info2z00);
												BgL_arg2718z00_2574 = BgL_res2929z00_4367;
											}
											{	/* Cfa/struct.scm 41 */
												BgL_objectz00_bglt BgL_objz00_4368;

												BgL_objz00_4368 =
													((BgL_objectz00_bglt) BgL_tmp1153z00_2572);
												((BgL_appz00_bglt)
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4368,
														BgL_arg2718z00_2574));
										}} BgL_tmp1153z00_2572;
									}
									{	/* Cfa/struct.scm 41 */
										BgL_appz00_bglt BgL_new1155z00_2575;

										BgL_new1155z00_2575 =
											((BgL_appz00_bglt) BgL_tmp1152z00_2571);
										{
											BgL_makezd2structzd2appz00_bglt BgL_auxz00_4839;

											{
												obj_t BgL_auxz00_4840;

												{	/* Cfa/struct.scm 41 */
													BgL_objectz00_bglt BgL_auxz00_4841;

													BgL_auxz00_4841 =
														((BgL_objectz00_bglt) BgL_new1155z00_2575);
													BgL_auxz00_4840 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4841);
												}
												BgL_auxz00_4839 =
													((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4840);
											}
											((((BgL_makezd2structzd2appz00_bglt)
														CREF(BgL_auxz00_4839))->BgL_approxz00) =
												((BgL_approxz00_bglt)
													BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
												BUNSPEC);
										}
										{
											BgL_makezd2structzd2appz00_bglt BgL_auxz00_4847;

											{
												obj_t BgL_auxz00_4848;

												{	/* Cfa/struct.scm 41 */
													BgL_objectz00_bglt BgL_auxz00_4849;

													BgL_auxz00_4849 =
														((BgL_objectz00_bglt) BgL_new1155z00_2575);
													BgL_auxz00_4848 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4849);
												}
												BgL_auxz00_4847 =
													((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4848);
											}
											((((BgL_makezd2structzd2appz00_bglt)
														CREF(BgL_auxz00_4847))->BgL_valuezd2approxzd2) =
												((BgL_approxz00_bglt)
													BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
												BUNSPEC);
										}
										{
											BgL_makezd2structzd2appz00_bglt BgL_auxz00_4855;

											{
												obj_t BgL_auxz00_4856;

												{	/* Cfa/struct.scm 41 */
													BgL_objectz00_bglt BgL_auxz00_4857;

													BgL_auxz00_4857 =
														((BgL_objectz00_bglt) BgL_new1155z00_2575);
													BgL_auxz00_4856 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4857);
												}
												BgL_auxz00_4855 =
													((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4856);
											}
											((((BgL_makezd2structzd2appz00_bglt)
														CREF(BgL_auxz00_4855))->BgL_lostzd2stampzd2) =
												((long) ((long) -1)), BUNSPEC);
										}
										{
											BgL_makezd2structzd2appz00_bglt BgL_auxz00_4862;

											{
												obj_t BgL_auxz00_4863;

												{	/* Cfa/struct.scm 41 */
													BgL_objectz00_bglt BgL_auxz00_4864;

													BgL_auxz00_4864 =
														((BgL_objectz00_bglt) BgL_new1155z00_2575);
													BgL_auxz00_4863 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4864);
												}
												BgL_auxz00_4862 =
													((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4863);
											}
											((((BgL_makezd2structzd2appz00_bglt)
														CREF(BgL_auxz00_4862))->BgL_ownerz00) =
												((BgL_variablez00_bglt) BgL_ownerz00_2567), BUNSPEC);
										}
										{
											BgL_makezd2structzd2appz00_bglt BgL_auxz00_4869;

											{
												obj_t BgL_auxz00_4870;

												{	/* Cfa/struct.scm 41 */
													BgL_objectz00_bglt BgL_auxz00_4871;

													BgL_auxz00_4871 =
														((BgL_objectz00_bglt) BgL_new1155z00_2575);
													BgL_auxz00_4870 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4871);
												}
												BgL_auxz00_4869 =
													((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4870);
											}
											((((BgL_makezd2structzd2appz00_bglt)
														CREF(BgL_auxz00_4869))->BgL_stackzd2stampzd2) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_wnodez00_2569 = BgL_new1155z00_2575;
								}}
								{	/* Cfa/struct.scm 47 */
									BgL_approxz00_bglt BgL_arg2717z00_2570;

									BgL_arg2717z00_2570 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2structza2z00zztype_cachez00),
										((BgL_nodez00_bglt) BgL_nodez00_2568));
									{
										BgL_makezd2structzd2appz00_bglt BgL_auxz00_4879;

										{
											obj_t BgL_auxz00_4880;

											{	/* Cfa/struct.scm 46 */
												BgL_objectz00_bglt BgL_auxz00_4881;

												BgL_auxz00_4881 =
													((BgL_objectz00_bglt) BgL_wnodez00_2569);
												BgL_auxz00_4880 = BGL_OBJECT_WIDENING(BgL_auxz00_4881);
											}
											BgL_auxz00_4879 =
												((BgL_makezd2structzd2appz00_bglt) BgL_auxz00_4880);
										}
										return
											((((BgL_makezd2structzd2appz00_bglt)
													CREF(BgL_auxz00_4879))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_arg2717z00_2570), BUNSPEC);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00()
	{
		AN_OBJECT;
		{	/* Cfa/struct.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2957z00zzcfa_structz00));
		}
	}

#ifdef __cplusplus
}
#endif
