/*===========================================================================*/
/*   (Expand/exit.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_exitz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzexpand_exitz00();
	static obj_t BGl_genericzd2initzd2zzexpand_exitz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2setzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzexpand_exitz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_exitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t, obj_t);
	static obj_t BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_exitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
	BGL_IMPORT int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t __cnst[41];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2handlerzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2with1912z00,
		BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2setzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2setza71913za7,
		BGl_z62expandzd2setzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2unwindzd2protectzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2unwi1914z00,
		BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1903z00zzexpand_exitz00,
		BgL_bgl_string1903za700za7za7e1915za7, "Illegal 'jump-exit' form", 24);
	      DEFINE_STRING(BGl_string1904z00zzexpand_exitz00,
		BgL_bgl_string1904za700za7za7e1916za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string1905z00zzexpand_exitz00,
		BgL_bgl_string1905za700za7za7e1917za7, "Illegal `bind-exit' form", 24);
	      DEFINE_STRING(BGl_string1906z00zzexpand_exitz00,
		BgL_bgl_string1906za700za7za7e1918za7, "Illegal `unwind-protect' form", 29);
	      DEFINE_STRING(BGl_string1907z00zzexpand_exitz00,
		BgL_bgl_string1907za700za7za7e1919za7, "Illegal `with-handler' form", 27);
	      DEFINE_STRING(BGl_string1908z00zzexpand_exitz00,
		BgL_bgl_string1908za700za7za7e1920za7, "expand_exit", 11);
	      DEFINE_STRING(BGl_string1909z00zzexpand_exitz00,
		BgL_bgl_string1909za700za7za7e1921za7,
		"$pop-trace $push-trace quote with-handler loc name at location if bind-exit unwind-protect $set-error-handler! cons set! e $get-error-handler handler escape err ohs exitd-pop-protect! exitd-push-protect! lambda tmp protect exitd labels let pop-exit! begin @ unwind-until! __bexit $get-exitd-top push-exit! res val an_exitd an_exit set-exit jump-exit ",
		350);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2bindzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2bind1922z00,
		BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2jumpzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2jump1923z00,
		BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long
		BgL_checksumz00_753, char *BgL_fromz00_754)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_exitz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
					BGl_cnstzd2initzd2zzexpand_exitz00();
					BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
					BGl_toplevelzd2initzd2zzexpand_exitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "expand_exit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			{	/* Expand/exit.scm 15 */
				obj_t BgL_cportz00_745;

				BgL_cportz00_745 =
					bgl_open_input_string(BGl_string1909z00zzexpand_exitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_746;

					BgL_iz00_746 = ((long) 40);
				BgL_loopz00_747:
					if ((BgL_iz00_746 == ((long) -1)))
						{	/* Expand/exit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/exit.scm 15 */
							{	/* Expand/exit.scm 15 */
								obj_t BgL_arg1911z00_749;

								{	/* Expand/exit.scm 15 */

									{	/* Expand/exit.scm 15 */
										obj_t BgL_locationz00_751;

										BgL_locationz00_751 = BBOOL(((bool_t) 0));
										{	/* Expand/exit.scm 15 */

											BgL_arg1911z00_749 =
												BGl_readz00zz__readerz00(BgL_cportz00_745,
												BgL_locationz00_751);
										}
									}
								}
								{	/* Expand/exit.scm 15 */
									int BgL_auxz00_777;

									BgL_auxz00_777 = (int) (BgL_iz00_746);
									CNST_TABLE_SET(BgL_auxz00_777, BgL_arg1911z00_749);
							}}
							{	/* Expand/exit.scm 15 */
								int BgL_auxz00_752;

								BgL_auxz00_752 = (int) ((BgL_iz00_746 - ((long) 1)));
								{
									long BgL_iz00_782;

									BgL_iz00_782 = (long) (BgL_auxz00_752);
									BgL_iz00_746 = BgL_iz00_782;
									goto BgL_loopz00_747;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* expand-jump-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_27, obj_t BgL_ez00_28)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			{
				obj_t BgL_exitz00_206;
				obj_t BgL_valuez00_207;

				if (PAIRP(BgL_xz00_27))
					{	/* Expand/exit.scm 40 */
						obj_t BgL_cdrzd2367zd2_212;

						BgL_cdrzd2367zd2_212 = CDR(BgL_xz00_27);
						if (PAIRP(BgL_cdrzd2367zd2_212))
							{	/* Expand/exit.scm 40 */
								BgL_exitz00_206 = CAR(BgL_cdrzd2367zd2_212);
								BgL_valuez00_207 = CDR(BgL_cdrzd2367zd2_212);
								{	/* Expand/exit.scm 42 */
									obj_t BgL_newz00_216;

									{	/* Expand/exit.scm 42 */
										obj_t BgL_arg1187z00_217;

										{	/* Expand/exit.scm 42 */
											obj_t BgL_arg1188z00_218;
											obj_t BgL_arg1191z00_219;

											BgL_arg1188z00_218 =
												PROCEDURE_ENTRY(BgL_ez00_28) (BgL_ez00_28,
												BgL_exitz00_206, BgL_ez00_28, BEOA);
											{	/* Expand/exit.scm 42 */
												obj_t BgL_arg1192z00_220;

												{	/* Expand/exit.scm 42 */
													obj_t BgL_arg1193z00_221;

													BgL_arg1193z00_221 =
														BGl_expandzd2prognzd2zz__prognz00(BgL_valuez00_207);
													BgL_arg1192z00_220 =
														PROCEDURE_ENTRY(BgL_ez00_28) (BgL_ez00_28,
														BgL_arg1193z00_221, BgL_ez00_28, BEOA);
												}
												BgL_arg1191z00_219 =
													MAKE_PAIR(BgL_arg1192z00_220, BNIL);
											}
											BgL_arg1187z00_217 =
												MAKE_PAIR(BgL_arg1188z00_218, BgL_arg1191z00_219);
										}
										BgL_newz00_216 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1187z00_217);
									}
									return
										BGl_replacez12z12zztools_miscz00(BgL_xz00_27,
										BgL_newz00_216);
								}
							}
						else
							{	/* Expand/exit.scm 40 */
							BgL_tagzd2360zd2_209:
								return
									BGl_errorz00zz__errorz00(BFALSE,
									BGl_string1903z00zzexpand_exitz00, BgL_xz00_27);
							}
					}
				else
					{	/* Expand/exit.scm 40 */
						goto BgL_tagzd2360zd2_209;
					}
			}
		}
	}



/* &expand-jump-exit */
	obj_t BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_728,
		obj_t BgL_xz00_729, obj_t BgL_ez00_730)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			return
				BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(BgL_xz00_729, BgL_ez00_730);
		}
	}



/* expand-set-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_29, obj_t BgL_ez00_30)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			{
				obj_t BgL_exitz00_222;
				obj_t BgL_bodyz00_223;

				if (PAIRP(BgL_xz00_29))
					{	/* Expand/exit.scm 51 */
						obj_t BgL_cdrzd2382zd2_228;

						BgL_cdrzd2382zd2_228 = CDR(BgL_xz00_29);
						if (PAIRP(BgL_cdrzd2382zd2_228))
							{	/* Expand/exit.scm 51 */
								obj_t BgL_carzd2385zd2_230;

								BgL_carzd2385zd2_230 = CAR(BgL_cdrzd2382zd2_228);
								if (PAIRP(BgL_carzd2385zd2_230))
									{	/* Expand/exit.scm 51 */
										if (NULLP(CDR(BgL_carzd2385zd2_230)))
											{	/* Expand/exit.scm 51 */
												BgL_exitz00_222 = CAR(BgL_carzd2385zd2_230);
												BgL_bodyz00_223 = CDR(BgL_cdrzd2382zd2_228);
												{	/* Expand/exit.scm 53 */
													obj_t BgL_newz00_236;

													{	/* Expand/exit.scm 53 */
														obj_t BgL_arg1207z00_237;

														{	/* Expand/exit.scm 53 */
															obj_t BgL_arg1208z00_238;
															obj_t BgL_arg1214z00_239;

															BgL_arg1208z00_238 =
																MAKE_PAIR(BgL_exitz00_222, BNIL);
															{	/* Expand/exit.scm 53 */
																obj_t BgL_arg1218z00_240;

																{	/* Expand/exit.scm 53 */
																	obj_t BgL_arg1221z00_241;

																	BgL_arg1221z00_241 =
																		BGl_expandzd2prognzd2zz__prognz00
																		(BgL_bodyz00_223);
																	BgL_arg1218z00_240 =
																		PROCEDURE_ENTRY(BgL_ez00_30) (BgL_ez00_30,
																		BgL_arg1221z00_241, BgL_ez00_30, BEOA);
																}
																BgL_arg1214z00_239 =
																	MAKE_PAIR(BgL_arg1218z00_240, BNIL);
															}
															BgL_arg1207z00_237 =
																MAKE_PAIR(BgL_arg1208z00_238,
																BgL_arg1214z00_239);
														}
														BgL_newz00_236 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
															BgL_arg1207z00_237);
													}
													return
														BGl_replacez12z12zztools_miscz00(BgL_xz00_29,
														BgL_newz00_236);
												}
											}
										else
											{	/* Expand/exit.scm 51 */
											BgL_tagzd2375zd2_225:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1904z00zzexpand_exitz00, BgL_xz00_29);
											}
									}
								else
									{	/* Expand/exit.scm 51 */
										goto BgL_tagzd2375zd2_225;
									}
							}
						else
							{	/* Expand/exit.scm 51 */
								goto BgL_tagzd2375zd2_225;
							}
					}
				else
					{	/* Expand/exit.scm 51 */
						goto BgL_tagzd2375zd2_225;
					}
			}
		}
	}



/* &expand-set-exit */
	obj_t BGl_z62expandzd2setzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_731,
		obj_t BgL_xz00_732, obj_t BgL_ez00_733)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			return
				BGl_expandzd2setzd2exitz00zzexpand_exitz00(BgL_xz00_732, BgL_ez00_733);
		}
	}



/* expand-bind-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_31, obj_t BgL_ez00_32)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			{
				obj_t BgL_exitz00_242;
				obj_t BgL_bodyz00_243;

				if (PAIRP(BgL_xz00_31))
					{	/* Expand/exit.scm 62 */
						obj_t BgL_cdrzd2400zd2_248;

						BgL_cdrzd2400zd2_248 = CDR(BgL_xz00_31);
						if (PAIRP(BgL_cdrzd2400zd2_248))
							{	/* Expand/exit.scm 62 */
								obj_t BgL_carzd2403zd2_250;

								BgL_carzd2403zd2_250 = CAR(BgL_cdrzd2400zd2_248);
								if (PAIRP(BgL_carzd2403zd2_250))
									{	/* Expand/exit.scm 62 */
										if (NULLP(CDR(BgL_carzd2403zd2_250)))
											{	/* Expand/exit.scm 62 */
												BgL_exitz00_242 = CAR(BgL_carzd2403zd2_250);
												BgL_bodyz00_243 = CDR(BgL_cdrzd2400zd2_248);
												{	/* Expand/exit.scm 64 */
													obj_t BgL_anzd2exitzd2_256;
													obj_t BgL_anzd2exitdzd2_257;
													obj_t BgL_valz00_258;
													obj_t BgL_resz00_259;

													BgL_anzd2exitzd2_256 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 2))));
													BgL_anzd2exitdzd2_257 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 3))));
													BgL_valz00_258 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 4))));
													BgL_resz00_259 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 5))));
													{	/* Expand/exit.scm 68 */
														obj_t BgL_newz00_260;

														{	/* Expand/exit.scm 68 */
															obj_t BgL_arg1233z00_261;

															{	/* Expand/exit.scm 68 */
																obj_t BgL_arg1234z00_262;

																{	/* Expand/exit.scm 68 */
																	obj_t BgL_arg1235z00_263;
																	obj_t BgL_arg1236z00_264;

																	BgL_arg1235z00_263 =
																		MAKE_PAIR(BgL_anzd2exitzd2_256, BNIL);
																	{	/* Expand/exit.scm 70 */
																		obj_t BgL_arg1239z00_265;

																		{	/* Expand/exit.scm 70 */
																			obj_t BgL_arg1242z00_266;

																			{	/* Expand/exit.scm 70 */
																				obj_t BgL_arg1243z00_267;

																				{	/* Expand/exit.scm 70 */
																					obj_t BgL_arg1244z00_268;
																					obj_t BgL_arg1245z00_269;

																					{	/* Expand/exit.scm 70 */
																						obj_t BgL_arg1248z00_270;

																						{	/* Expand/exit.scm 70 */
																							obj_t BgL_arg1249z00_271;

																							BgL_arg1249z00_271 =
																								MAKE_PAIR(BINT(((long) 1)),
																								BNIL);
																							BgL_arg1248z00_270 =
																								MAKE_PAIR(BgL_anzd2exitzd2_256,
																								BgL_arg1249z00_271);
																						}
																						BgL_arg1244z00_268 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									6)), BgL_arg1248z00_270);
																					}
																					{	/* Expand/exit.scm 71 */
																						obj_t BgL_arg1250z00_272;

																						{	/* Expand/exit.scm 71 */
																							obj_t BgL_arg1251z00_273;

																							{	/* Expand/exit.scm 71 */
																								obj_t BgL_arg1254z00_274;
																								obj_t BgL_arg1256z00_275;

																								{	/* Expand/exit.scm 71 */
																									obj_t BgL_arg1258z00_276;

																									{	/* Expand/exit.scm 71 */
																										obj_t BgL_arg1259z00_277;

																										{	/* Expand/exit.scm 71 */
																											obj_t BgL_arg1260z00_278;

																											BgL_arg1260z00_278 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 7)), BNIL);
																											BgL_arg1259z00_277 =
																												MAKE_PAIR
																												(BgL_arg1260z00_278,
																												BNIL);
																										}
																										BgL_arg1258z00_276 =
																											MAKE_PAIR
																											(BgL_anzd2exitdzd2_257,
																											BgL_arg1259z00_277);
																									}
																									BgL_arg1254z00_274 =
																										MAKE_PAIR
																										(BgL_arg1258z00_276, BNIL);
																								}
																								{	/* Expand/exit.scm 72 */
																									obj_t BgL_arg1263z00_279;

																									{	/* Expand/exit.scm 72 */
																										obj_t BgL_arg1264z00_280;

																										{	/* Expand/exit.scm 72 */
																											obj_t BgL_arg1265z00_281;
																											obj_t BgL_arg1266z00_282;

																											{	/* Expand/exit.scm 72 */
																												obj_t
																													BgL_arg1273z00_283;
																												{	/* Expand/exit.scm 72 */
																													obj_t
																														BgL_arg1274z00_284;
																													{	/* Expand/exit.scm 72 */
																														obj_t
																															BgL_arg1277z00_285;
																														obj_t
																															BgL_arg1279z00_286;
																														BgL_arg1277z00_285 =
																															MAKE_PAIR
																															(BgL_valz00_258,
																															BNIL);
																														{	/* Expand/exit.scm 73 */
																															obj_t
																																BgL_arg1280z00_287;
																															{	/* Expand/exit.scm 73 */
																																obj_t
																																	BgL_arg1284z00_288;
																																obj_t
																																	BgL_arg1287z00_289;
																																{	/* Expand/exit.scm 73 */
																																	obj_t
																																		BgL_arg1289z00_290;
																																	{	/* Expand/exit.scm 73 */
																																		obj_t
																																			BgL_arg1299z00_291;
																																		BgL_arg1299z00_291
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					8)),
																																			BNIL);
																																		BgL_arg1289z00_290
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg1299z00_291);
																																	}
																																	BgL_arg1284z00_288
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				10)),
																																		BgL_arg1289z00_290);
																																}
																																{	/* Expand/exit.scm 73 */
																																	obj_t
																																		BgL_arg1301z00_292;
																																	BgL_arg1301z00_292
																																		=
																																		MAKE_PAIR
																																		(BgL_valz00_258,
																																		BNIL);
																																	BgL_arg1287z00_289
																																		=
																																		MAKE_PAIR
																																		(BgL_anzd2exitdzd2_257,
																																		BgL_arg1301z00_292);
																																}
																																BgL_arg1280z00_287
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1284z00_288,
																																	BgL_arg1287z00_289);
																															}
																															BgL_arg1279z00_286
																																=
																																MAKE_PAIR
																																(BgL_arg1280z00_287,
																																BNIL);
																														}
																														BgL_arg1274z00_284 =
																															MAKE_PAIR
																															(BgL_arg1277z00_285,
																															BgL_arg1279z00_286);
																													}
																													BgL_arg1273z00_283 =
																														MAKE_PAIR
																														(BgL_exitz00_242,
																														BgL_arg1274z00_284);
																												}
																												BgL_arg1265z00_281 =
																													MAKE_PAIR
																													(BgL_arg1273z00_283,
																													BNIL);
																											}
																											{	/* Expand/exit.scm 76 */
																												obj_t
																													BgL_arg1303z00_293;
																												{	/* Expand/exit.scm 76 */
																													obj_t
																														BgL_arg1304z00_294;
																													{	/* Expand/exit.scm 76 */
																														obj_t
																															BgL_arg1310z00_295;
																														obj_t
																															BgL_arg1311z00_296;
																														{	/* Expand/exit.scm 76 */
																															obj_t
																																BgL_arg1312z00_297;
																															{	/* Expand/exit.scm 76 */
																																obj_t
																																	BgL_arg1313z00_298;
																																{	/* Expand/exit.scm 76 */
																																	obj_t
																																		BgL_arg1314z00_299;
																																	{	/* Expand/exit.scm 76 */
																																		obj_t
																																			BgL_arg1335z00_300;
																																		BgL_arg1335z00_300
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_bodyz00_243,
																																			BNIL);
																																		BgL_arg1314z00_299
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					11)),
																																			BgL_arg1335z00_300);
																																	}
																																	BgL_arg1313z00_298
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1314z00_299,
																																		BNIL);
																																}
																																BgL_arg1312z00_297
																																	=
																																	MAKE_PAIR
																																	(BgL_resz00_259,
																																	BgL_arg1313z00_298);
																															}
																															BgL_arg1310z00_295
																																=
																																MAKE_PAIR
																																(BgL_arg1312z00_297,
																																BNIL);
																														}
																														{	/* Expand/exit.scm 77 */
																															obj_t
																																BgL_arg1337z00_301;
																															obj_t
																																BgL_arg1370z00_302;
																															BgL_arg1337z00_301
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 12)),
																																BNIL);
																															BgL_arg1370z00_302
																																=
																																MAKE_PAIR
																																(BgL_resz00_259,
																																BNIL);
																															BgL_arg1311z00_296
																																=
																																MAKE_PAIR
																																(BgL_arg1337z00_301,
																																BgL_arg1370z00_302);
																														}
																														BgL_arg1304z00_294 =
																															MAKE_PAIR
																															(BgL_arg1310z00_295,
																															BgL_arg1311z00_296);
																													}
																													BgL_arg1303z00_293 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 13)),
																														BgL_arg1304z00_294);
																												}
																												BgL_arg1266z00_282 =
																													MAKE_PAIR
																													(BgL_arg1303z00_293,
																													BNIL);
																											}
																											BgL_arg1264z00_280 =
																												MAKE_PAIR
																												(BgL_arg1265z00_281,
																												BgL_arg1266z00_282);
																										}
																										BgL_arg1263z00_279 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 14)),
																											BgL_arg1264z00_280);
																									}
																									BgL_arg1256z00_275 =
																										MAKE_PAIR
																										(BgL_arg1263z00_279, BNIL);
																								}
																								BgL_arg1251z00_273 =
																									MAKE_PAIR(BgL_arg1254z00_274,
																									BgL_arg1256z00_275);
																							}
																							BgL_arg1250z00_272 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										13)), BgL_arg1251z00_273);
																						}
																						BgL_arg1245z00_269 =
																							MAKE_PAIR(BgL_arg1250z00_272,
																							BNIL);
																					}
																					BgL_arg1243z00_267 =
																						MAKE_PAIR(BgL_arg1244z00_268,
																						BgL_arg1245z00_269);
																				}
																				BgL_arg1242z00_266 =
																					MAKE_PAIR(BNIL, BgL_arg1243z00_267);
																			}
																			BgL_arg1239z00_265 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BgL_arg1242z00_266);
																		}
																		BgL_arg1236z00_264 =
																			MAKE_PAIR(BgL_arg1239z00_265, BNIL);
																	}
																	BgL_arg1234z00_262 =
																		MAKE_PAIR(BgL_arg1235z00_263,
																		BgL_arg1236z00_264);
																}
																BgL_arg1233z00_261 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
																	BgL_arg1234z00_262);
															}
															BgL_newz00_260 =
																PROCEDURE_ENTRY(BgL_ez00_32) (BgL_ez00_32,
																BgL_arg1233z00_261, BgL_ez00_32, BEOA);
														}
														return
															BGl_replacez12z12zztools_miscz00(BgL_xz00_31,
															BgL_newz00_260);
													}
												}
											}
										else
											{	/* Expand/exit.scm 62 */
											BgL_tagzd2393zd2_245:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1905z00zzexpand_exitz00, BgL_xz00_31);
											}
									}
								else
									{	/* Expand/exit.scm 62 */
										goto BgL_tagzd2393zd2_245;
									}
							}
						else
							{	/* Expand/exit.scm 62 */
								goto BgL_tagzd2393zd2_245;
							}
					}
				else
					{	/* Expand/exit.scm 62 */
						goto BgL_tagzd2393zd2_245;
					}
			}
		}
	}



/* &expand-bind-exit */
	obj_t BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_734,
		obj_t BgL_xz00_735, obj_t BgL_ez00_736)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			return
				BGl_expandzd2bindzd2exitz00zzexpand_exitz00(BgL_xz00_735, BgL_ez00_736);
		}
	}



/* expand-unwind-protect */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t
		BgL_xz00_33, obj_t BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			{
				obj_t BgL_expz00_320;
				obj_t BgL_cleanupz00_321;

				{

					if (PAIRP(BgL_xz00_33))
						{	/* Expand/exit.scm 123 */
							obj_t BgL_cdrzd2418zd2_315;

							BgL_cdrzd2418zd2_315 = CDR(BgL_xz00_33);
							if (PAIRP(BgL_cdrzd2418zd2_315))
								{	/* Expand/exit.scm 123 */
									obj_t BgL_cdrzd2422zd2_317;

									BgL_cdrzd2422zd2_317 = CDR(BgL_cdrzd2418zd2_315);
									if (PAIRP(BgL_cdrzd2422zd2_317))
										{	/* Expand/exit.scm 123 */
											BgL_expz00_320 = CAR(BgL_cdrzd2418zd2_315);
											BgL_cleanupz00_321 = BgL_cdrzd2422zd2_317;
											{	/* Expand/exit.scm 90 */
												obj_t BgL_exitdz00_323;
												obj_t BgL_protectz00_324;
												obj_t BgL_tmpz00_325;

												BgL_exitdz00_323 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 15))));
												BgL_protectz00_324 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 16))));
												BgL_tmpz00_325 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 17))));
												{	/* Expand/exit.scm 93 */
													obj_t BgL_newz00_326;

													{	/* Expand/exit.scm 93 */
														obj_t BgL_arg1400z00_328;

														{	/* Expand/exit.scm 93 */
															obj_t BgL_arg1403z00_329;
															obj_t BgL_arg1410z00_330;

															{	/* Expand/exit.scm 93 */
																obj_t BgL_arg1413z00_331;
																obj_t BgL_arg1419z00_332;

																{	/* Expand/exit.scm 93 */
																	obj_t BgL_arg1422z00_333;

																	{	/* Expand/exit.scm 93 */
																		obj_t BgL_arg1428z00_334;

																		BgL_arg1428z00_334 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
																			BNIL);
																		BgL_arg1422z00_333 =
																			MAKE_PAIR(BgL_arg1428z00_334, BNIL);
																	}
																	BgL_arg1413z00_331 =
																		MAKE_PAIR(BgL_exitdz00_323,
																		BgL_arg1422z00_333);
																}
																{	/* Expand/exit.scm 94 */
																	obj_t BgL_arg1436z00_335;

																	{	/* Expand/exit.scm 94 */
																		obj_t BgL_arg1450z00_336;

																		{	/* Expand/exit.scm 94 */
																			obj_t BgL_arg1456z00_337;

																			{	/* Expand/exit.scm 94 */
																				obj_t BgL_arg1459z00_338;

																				BgL_arg1459z00_338 =
																					MAKE_PAIR(BNIL,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_cleanupz00_321, BNIL));
																				BgL_arg1456z00_337 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																					BgL_arg1459z00_338);
																			}
																			BgL_arg1450z00_336 =
																				MAKE_PAIR(BgL_arg1456z00_337, BNIL);
																		}
																		BgL_arg1436z00_335 =
																			MAKE_PAIR(BgL_protectz00_324,
																			BgL_arg1450z00_336);
																	}
																	BgL_arg1419z00_332 =
																		MAKE_PAIR(BgL_arg1436z00_335, BNIL);
																}
																BgL_arg1403z00_329 =
																	MAKE_PAIR(BgL_arg1413z00_331,
																	BgL_arg1419z00_332);
															}
															{	/* Expand/exit.scm 95 */
																obj_t BgL_arg1462z00_340;
																obj_t BgL_arg1464z00_341;

																{	/* Expand/exit.scm 95 */
																	obj_t BgL_arg1466z00_342;
																	obj_t BgL_arg1468z00_343;

																	{	/* Expand/exit.scm 95 */
																		obj_t BgL_arg1470z00_344;

																		{	/* Expand/exit.scm 95 */
																			obj_t BgL_arg1471z00_345;

																			BgL_arg1471z00_345 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																				BNIL);
																			BgL_arg1470z00_344 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																				BgL_arg1471z00_345);
																		}
																		BgL_arg1466z00_342 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																			BgL_arg1470z00_344);
																	}
																	{	/* Expand/exit.scm 95 */
																		obj_t BgL_arg1473z00_346;

																		BgL_arg1473z00_346 =
																			MAKE_PAIR(BgL_protectz00_324, BNIL);
																		BgL_arg1468z00_343 =
																			MAKE_PAIR(BgL_exitdz00_323,
																			BgL_arg1473z00_346);
																	}
																	BgL_arg1462z00_340 =
																		MAKE_PAIR(BgL_arg1466z00_342,
																		BgL_arg1468z00_343);
																}
																{	/* Expand/exit.scm 96 */
																	obj_t BgL_arg1474z00_347;

																	{	/* Expand/exit.scm 96 */
																		obj_t BgL_arg1475z00_348;

																		{	/* Expand/exit.scm 96 */
																			obj_t BgL_arg1482z00_349;
																			obj_t BgL_arg1484z00_350;

																			{	/* Expand/exit.scm 96 */
																				obj_t BgL_arg1486z00_351;

																				{	/* Expand/exit.scm 96 */
																					obj_t BgL_arg1497z00_352;

																					BgL_arg1497z00_352 =
																						MAKE_PAIR(BgL_expz00_320, BNIL);
																					BgL_arg1486z00_351 =
																						MAKE_PAIR(BgL_tmpz00_325,
																						BgL_arg1497z00_352);
																				}
																				BgL_arg1482z00_349 =
																					MAKE_PAIR(BgL_arg1486z00_351, BNIL);
																			}
																			{	/* Expand/exit.scm 97 */
																				obj_t BgL_arg1503z00_353;
																				obj_t BgL_arg1506z00_354;

																				{	/* Expand/exit.scm 97 */
																					obj_t BgL_arg1508z00_355;
																					obj_t BgL_arg1513z00_356;

																					{	/* Expand/exit.scm 97 */
																						obj_t BgL_arg1516z00_357;

																						{	/* Expand/exit.scm 97 */
																							obj_t BgL_arg1522z00_358;

																							BgL_arg1522z00_358 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										8)), BNIL);
																							BgL_arg1516z00_357 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										20)), BgL_arg1522z00_358);
																						}
																						BgL_arg1508z00_355 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									10)), BgL_arg1516z00_357);
																					}
																					BgL_arg1513z00_356 =
																						MAKE_PAIR(BgL_exitdz00_323, BNIL);
																					BgL_arg1503z00_353 =
																						MAKE_PAIR(BgL_arg1508z00_355,
																						BgL_arg1513z00_356);
																				}
																				{	/* Expand/exit.scm 98 */
																					obj_t BgL_arg1524z00_359;
																					obj_t BgL_arg1527z00_360;

																					BgL_arg1524z00_359 =
																						MAKE_PAIR(BgL_protectz00_324, BNIL);
																					BgL_arg1527z00_360 =
																						MAKE_PAIR(BgL_tmpz00_325, BNIL);
																					BgL_arg1506z00_354 =
																						MAKE_PAIR(BgL_arg1524z00_359,
																						BgL_arg1527z00_360);
																				}
																				BgL_arg1484z00_350 =
																					MAKE_PAIR(BgL_arg1503z00_353,
																					BgL_arg1506z00_354);
																			}
																			BgL_arg1475z00_348 =
																				MAKE_PAIR(BgL_arg1482z00_349,
																				BgL_arg1484z00_350);
																		}
																		BgL_arg1474z00_347 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																			BgL_arg1475z00_348);
																	}
																	BgL_arg1464z00_341 =
																		MAKE_PAIR(BgL_arg1474z00_347, BNIL);
																}
																BgL_arg1410z00_330 =
																	MAKE_PAIR(BgL_arg1462z00_340,
																	BgL_arg1464z00_341);
															}
															BgL_arg1400z00_328 =
																MAKE_PAIR(BgL_arg1403z00_329,
																BgL_arg1410z00_330);
														}
														BgL_newz00_326 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg1400z00_328);
													}
													{	/* Expand/exit.scm 100 */
														obj_t BgL_arg1398z00_327;

														BgL_arg1398z00_327 =
															PROCEDURE_ENTRY(BgL_ez00_34) (BgL_ez00_34,
															BgL_newz00_326, BgL_ez00_34, BEOA);
														return BGl_replacez12z12zztools_miscz00(BgL_xz00_33,
															BgL_arg1398z00_327);
													}
												}
											}
										}
									else
										{	/* Expand/exit.scm 123 */
										BgL_tagzd2411zd2_312:
											return
												BGl_errorz00zz__errorz00(BFALSE,
												BGl_string1906z00zzexpand_exitz00, BgL_xz00_33);
										}
								}
							else
								{	/* Expand/exit.scm 123 */
									goto BgL_tagzd2411zd2_312;
								}
						}
					else
						{	/* Expand/exit.scm 123 */
							goto BgL_tagzd2411zd2_312;
						}
				}
			}
		}
	}



/* &expand-unwind-protect */
	obj_t BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00(obj_t
		BgL_envz00_737, obj_t BgL_xz00_738, obj_t BgL_ez00_739)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			return
				BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(BgL_xz00_738,
				BgL_ez00_739);
		}
	}



/* expand-with-handler */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t
		BgL_xz00_35, obj_t BgL_ez00_36)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 132 */
			{
				obj_t BgL_bodyz00_502;
				obj_t BgL_handlerz00_439;
				obj_t BgL_bodyz00_440;

				{

					if (PAIRP(BgL_xz00_35))
						{	/* Expand/exit.scm 176 */
							obj_t BgL_cdrzd2435zd2_433;

							BgL_cdrzd2435zd2_433 = CDR(BgL_xz00_35);
							if (PAIRP(BgL_cdrzd2435zd2_433))
								{	/* Expand/exit.scm 176 */
									obj_t BgL_arg1722z00_435;
									obj_t BgL_arg1723z00_436;

									BgL_arg1722z00_435 = CAR(BgL_cdrzd2435zd2_433);
									BgL_arg1723z00_436 = CDR(BgL_cdrzd2435zd2_433);
									{	/* Expand/exit.scm 178 */
										obj_t BgL_auxz00_1001;

										BgL_handlerz00_439 = BgL_arg1722z00_435;
										BgL_bodyz00_440 = BgL_arg1723z00_436;
										{	/* Expand/exit.scm 135 */
											obj_t BgL_ohsz00_442;
											obj_t BgL_errz00_443;
											obj_t BgL_resz00_444;
											obj_t BgL_escapez00_445;
											obj_t BgL_hdlz00_446;

											BgL_ohsz00_442 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 21)));
											BgL_errz00_443 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 22)));
											BgL_resz00_444 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 5)));
											BgL_escapez00_445 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 23)));
											BgL_hdlz00_446 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 24)));
											{	/* Expand/exit.scm 140 */
												obj_t BgL_arg1728z00_447;

												{	/* Expand/exit.scm 140 */
													obj_t BgL_arg1731z00_448;

													{	/* Expand/exit.scm 140 */
														obj_t BgL_arg1732z00_449;
														obj_t BgL_arg1733z00_450;

														{	/* Expand/exit.scm 140 */
															obj_t BgL_arg1736z00_451;
															obj_t BgL_arg1743z00_452;

															{	/* Expand/exit.scm 140 */
																obj_t BgL_arg1744z00_453;

																BgL_arg1744z00_453 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg1736z00_451 =
																	MAKE_PAIR(BgL_resz00_444, BgL_arg1744z00_453);
															}
															{	/* Expand/exit.scm 141 */
																obj_t BgL_arg1745z00_454;

																{	/* Expand/exit.scm 141 */
																	obj_t BgL_arg1746z00_455;

																	BgL_arg1746z00_455 =
																		MAKE_PAIR(BgL_handlerz00_439, BNIL);
																	BgL_arg1745z00_454 =
																		MAKE_PAIR(BgL_hdlz00_446,
																		BgL_arg1746z00_455);
																}
																BgL_arg1743z00_452 =
																	MAKE_PAIR(BgL_arg1745z00_454, BNIL);
															}
															BgL_arg1732z00_449 =
																MAKE_PAIR(BgL_arg1736z00_451,
																BgL_arg1743z00_452);
														}
														{	/* Expand/exit.scm 142 */
															obj_t BgL_arg1748z00_456;

															{	/* Expand/exit.scm 142 */
																obj_t BgL_arg1749z00_457;

																{	/* Expand/exit.scm 142 */
																	obj_t BgL_arg1750z00_458;
																	obj_t BgL_arg1753z00_459;

																	{	/* Expand/exit.scm 142 */
																		obj_t BgL_arg1755z00_460;

																		{	/* Expand/exit.scm 142 */
																			obj_t BgL_arg1756z00_461;
																			obj_t BgL_arg1757z00_462;

																			BgL_arg1756z00_461 =
																				MAKE_PAIR(BgL_escapez00_445, BNIL);
																			{	/* Expand/exit.scm 143 */
																				obj_t BgL_arg1758z00_463;

																				{	/* Expand/exit.scm 143 */
																					obj_t BgL_arg1759z00_464;

																					{	/* Expand/exit.scm 143 */
																						obj_t BgL_arg1761z00_465;
																						obj_t BgL_arg1762z00_466;

																						{	/* Expand/exit.scm 143 */
																							obj_t BgL_arg1767z00_467;

																							{	/* Expand/exit.scm 143 */
																								obj_t BgL_arg1770z00_468;

																								{	/* Expand/exit.scm 143 */
																									obj_t BgL_arg1776z00_469;

																									BgL_arg1776z00_469 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 25)), BNIL);
																									BgL_arg1770z00_468 =
																										MAKE_PAIR
																										(BgL_arg1776z00_469, BNIL);
																								}
																								BgL_arg1767z00_467 =
																									MAKE_PAIR(BgL_ohsz00_442,
																									BgL_arg1770z00_468);
																							}
																							BgL_arg1761z00_465 =
																								MAKE_PAIR(BgL_arg1767z00_467,
																								BNIL);
																						}
																						{	/* Expand/exit.scm 147 */
																							obj_t BgL_arg1778z00_470;

																							{	/* Expand/exit.scm 147 */
																								obj_t BgL_arg1781z00_471;

																								{	/* Expand/exit.scm 147 */
																									obj_t BgL_arg1786z00_472;
																									obj_t BgL_arg1788z00_473;

																									{	/* Expand/exit.scm 147 */
																										obj_t BgL_arg1789z00_474;

																										{	/* Expand/exit.scm 147 */
																											obj_t BgL_arg1790z00_475;
																											obj_t BgL_arg1802z00_476;

																											{	/* Expand/exit.scm 147 */
																												obj_t
																													BgL_arg1807z00_477;
																												{	/* Expand/exit.scm 147 */
																													obj_t
																														BgL_arg1809z00_478;
																													{	/* Expand/exit.scm 147 */
																														obj_t
																															BgL_arg1810z00_479;
																														{	/* Expand/exit.scm 147 */
																															obj_t
																																BgL_arg1811z00_480;
																															obj_t
																																BgL_arg1812z00_481;
																															{	/* Expand/exit.scm 147 */
																																obj_t
																																	BgL_arg1814z00_482;
																																{	/* Expand/exit.scm 147 */
																																	obj_t
																																		BgL_arg1815z00_483;
																																	obj_t
																																		BgL_arg1816z00_484;
																																	BgL_arg1815z00_483
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				26)),
																																		BNIL);
																																	{	/* Expand/exit.scm 148 */
																																		obj_t
																																			BgL_arg1818z00_485;
																																		obj_t
																																			BgL_arg1819z00_486;
																																		{	/* Expand/exit.scm 148 */
																																			obj_t
																																				BgL_arg1820z00_487;
																																			{	/* Expand/exit.scm 148 */
																																				obj_t
																																					BgL_arg1822z00_488;
																																				BgL_arg1822z00_488
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 26)), BNIL);
																																				BgL_arg1820z00_487
																																					=
																																					MAKE_PAIR
																																					(BgL_resz00_444,
																																					BgL_arg1822z00_488);
																																			}
																																			BgL_arg1818z00_485
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						27)),
																																				BgL_arg1820z00_487);
																																		}
																																		{	/* Expand/exit.scm 149 */
																																			obj_t
																																				BgL_arg1823z00_489;
																																			{	/* Expand/exit.scm 149 */
																																				obj_t
																																					BgL_arg1824z00_490;
																																				BgL_arg1824z00_490
																																					=
																																					MAKE_PAIR
																																					(BTRUE,
																																					BNIL);
																																				BgL_arg1823z00_489
																																					=
																																					MAKE_PAIR
																																					(BgL_escapez00_445,
																																					BgL_arg1824z00_490);
																																			}
																																			BgL_arg1819z00_486
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1823z00_489,
																																				BNIL);
																																		}
																																		BgL_arg1816z00_484
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1818z00_485,
																																			BgL_arg1819z00_486);
																																	}
																																	BgL_arg1814z00_482
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1815z00_483,
																																		BgL_arg1816z00_484);
																																}
																																BgL_arg1811z00_480
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 18)),
																																	BgL_arg1814z00_482);
																															}
																															BgL_arg1812z00_481
																																=
																																MAKE_PAIR
																																(BgL_ohsz00_442,
																																BNIL);
																															BgL_arg1810z00_479
																																=
																																MAKE_PAIR
																																(BgL_arg1811z00_480,
																																BgL_arg1812z00_481);
																														}
																														BgL_arg1809z00_478 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 28)),
																															BgL_arg1810z00_479);
																													}
																													BgL_arg1807z00_477 =
																														MAKE_PAIR
																														(BgL_arg1809z00_478,
																														BNIL);
																												}
																												BgL_arg1790z00_475 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 29)),
																													BgL_arg1807z00_477);
																											}
																											{	/* Expand/exit.scm 151 */
																												obj_t
																													BgL_arg1825z00_491;
																												obj_t
																													BgL_arg1826z00_492;
																												{	/* Expand/exit.scm 151 */
																													obj_t
																														BgL_arg1827z00_493;
																													{	/* Expand/exit.scm 151 */
																														obj_t
																															BgL_arg1828z00_494;
																														{	/* Expand/exit.scm 151 */
																															obj_t
																																BgL_arg1829z00_495;
																															{	/* Expand/exit.scm 151 */
																																obj_t
																																	BgL_arg1830z00_496;
																																BgL_arg1830z00_496
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_bodyz00_440,
																																	BNIL);
																																BgL_arg1829z00_495
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 11)),
																																	BgL_arg1830z00_496);
																															}
																															BgL_arg1828z00_494
																																=
																																MAKE_PAIR
																																(BgL_arg1829z00_495,
																																BNIL);
																														}
																														BgL_arg1827z00_493 =
																															MAKE_PAIR
																															(BgL_resz00_444,
																															BgL_arg1828z00_494);
																													}
																													BgL_arg1825z00_491 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 27)),
																														BgL_arg1827z00_493);
																												}
																												BgL_arg1826z00_492 =
																													MAKE_PAIR(BFALSE,
																													BNIL);
																												BgL_arg1802z00_476 =
																													MAKE_PAIR
																													(BgL_arg1825z00_491,
																													BgL_arg1826z00_492);
																											}
																											BgL_arg1789z00_474 =
																												MAKE_PAIR
																												(BgL_arg1790z00_475,
																												BgL_arg1802z00_476);
																										}
																										BgL_arg1786z00_472 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 11)),
																											BgL_arg1789z00_474);
																									}
																									{	/* Expand/exit.scm 153 */
																										obj_t BgL_arg1831z00_497;

																										{	/* Expand/exit.scm 153 */
																											obj_t BgL_arg1832z00_498;

																											BgL_arg1832z00_498 =
																												MAKE_PAIR
																												(BgL_ohsz00_442, BNIL);
																											BgL_arg1831z00_497 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 29)),
																												BgL_arg1832z00_498);
																										}
																										BgL_arg1788z00_473 =
																											MAKE_PAIR
																											(BgL_arg1831z00_497,
																											BNIL);
																									}
																									BgL_arg1781z00_471 =
																										MAKE_PAIR
																										(BgL_arg1786z00_472,
																										BgL_arg1788z00_473);
																								}
																								BgL_arg1778z00_470 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 30)),
																									BgL_arg1781z00_471);
																							}
																							BgL_arg1762z00_466 =
																								MAKE_PAIR(BgL_arg1778z00_470,
																								BNIL);
																						}
																						BgL_arg1759z00_464 =
																							MAKE_PAIR(BgL_arg1761z00_465,
																							BgL_arg1762z00_466);
																					}
																					BgL_arg1758z00_463 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								13)), BgL_arg1759z00_464);
																				}
																				BgL_arg1757z00_462 =
																					MAKE_PAIR(BgL_arg1758z00_463, BNIL);
																			}
																			BgL_arg1755z00_460 =
																				MAKE_PAIR(BgL_arg1756z00_461,
																				BgL_arg1757z00_462);
																		}
																		BgL_arg1750z00_458 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 31)),
																			BgL_arg1755z00_460);
																	}
																	{	/* Expand/exit.scm 154 */
																		obj_t BgL_arg1833z00_499;
																		obj_t BgL_arg1834z00_500;

																		{	/* Expand/exit.scm 154 */
																			obj_t BgL_arg1835z00_501;

																			BgL_arg1835z00_501 =
																				MAKE_PAIR(BgL_resz00_444, BNIL);
																			BgL_arg1833z00_499 =
																				MAKE_PAIR(BgL_hdlz00_446,
																				BgL_arg1835z00_501);
																		}
																		BgL_arg1834z00_500 =
																			MAKE_PAIR(BgL_resz00_444, BNIL);
																		BgL_arg1753z00_459 =
																			MAKE_PAIR(BgL_arg1833z00_499,
																			BgL_arg1834z00_500);
																	}
																	BgL_arg1749z00_457 =
																		MAKE_PAIR(BgL_arg1750z00_458,
																		BgL_arg1753z00_459);
																}
																BgL_arg1748z00_456 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																	BgL_arg1749z00_457);
															}
															BgL_arg1733z00_450 =
																MAKE_PAIR(BgL_arg1748z00_456, BNIL);
														}
														BgL_arg1731z00_448 =
															MAKE_PAIR(BgL_arg1732z00_449, BgL_arg1733z00_450);
													}
													BgL_arg1728z00_447 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
														BgL_arg1731z00_448);
												}
												BgL_bodyz00_502 =
													PROCEDURE_ENTRY(BgL_ez00_36) (BgL_ez00_36,
													BgL_arg1728z00_447, BgL_ez00_36, BEOA);
										}}
										{	/* Expand/exit.scm 159 */
											obj_t BgL_locz00_504;

											BgL_locz00_504 =
												BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_35);
											{	/* Expand/exit.scm 160 */
												bool_t BgL_testz00_1003;

												{	/* Expand/exit.scm 160 */
													bool_t BgL_testz00_1004;

													if (STRUCTP(BgL_locz00_504))
														{	/* Expand/exit.scm 160 */
															BgL_testz00_1004 =
																(STRUCT_KEY(BgL_locz00_504) ==
																CNST_TABLE_REF(((long) 33)));
														}
													else
														{	/* Expand/exit.scm 160 */
															BgL_testz00_1004 = ((bool_t) 0);
														}
													if (BgL_testz00_1004)
														{	/* Expand/exit.scm 161 */
															bool_t BgL_testz00_1010;

															{	/* Expand/exit.scm 161 */
																int BgL_arg1877z00_547;

																BgL_arg1877z00_547 =
																	BGl_bigloozd2compilerzd2debugz00zz__paramz00
																	();
																BgL_testz00_1010 =
																	((long) (BgL_arg1877z00_547) > ((long) 0));
															}
															if (BgL_testz00_1010)
																{	/* Expand/exit.scm 162 */
																	obj_t BgL_arg1876z00_546;

																	BgL_arg1876z00_546 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	BgL_testz00_1003 =
																		(((BgL_backendz00_bglt) CREF(
																				((BgL_backendz00_bglt)
																					BgL_arg1876z00_546)))->
																		BgL_tracezd2supportzd2);
																}
															else
																{	/* Expand/exit.scm 161 */
																	BgL_testz00_1003 = ((bool_t) 0);
																}
														}
													else
														{	/* Expand/exit.scm 160 */
															BgL_testz00_1003 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1003)
													{	/* Expand/exit.scm 163 */
														obj_t BgL_locz00_506;
														obj_t BgL_vidz00_507;
														obj_t BgL_tmp1z00_508;
														obj_t BgL_tmp2z00_509;

														{	/* Expand/exit.scm 163 */
															obj_t BgL_arg1868z00_537;

															{	/* Expand/exit.scm 163 */
																obj_t BgL_arg1869z00_538;
																obj_t BgL_arg1870z00_539;

																BgL_arg1869z00_538 =
																	BGl_locationzd2fullzd2fnamez00zztools_locationz00
																	(BgL_locz00_504);
																BgL_arg1870z00_539 =
																	MAKE_PAIR(STRUCT_REF(BgL_locz00_504,
																		(int) (((long) 1))), BNIL);
																BgL_arg1868z00_537 =
																	MAKE_PAIR(BgL_arg1869z00_538,
																	BgL_arg1870z00_539);
															}
															BgL_locz00_506 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 34)),
																BgL_arg1868z00_537);
														}
														{	/* Expand/exit.scm 164 */

															{	/* Expand/exit.scm 164 */

																BgL_vidz00_507 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
														}}
														BgL_tmp1z00_508 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF
																(((long) 35))));
														BgL_tmp2z00_509 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF
																(((long) 36))));
														{	/* Expand/exit.scm 167 */
															obj_t BgL_arg1838z00_510;

															{	/* Expand/exit.scm 167 */
																obj_t BgL_arg1840z00_511;
																obj_t BgL_arg1842z00_512;

																{	/* Expand/exit.scm 167 */
																	obj_t BgL_arg1843z00_513;
																	obj_t BgL_arg1844z00_514;

																	{	/* Expand/exit.scm 167 */
																		obj_t BgL_arg1845z00_515;

																		{	/* Expand/exit.scm 167 */
																			obj_t BgL_arg1846z00_516;

																			{	/* Expand/exit.scm 167 */
																				obj_t BgL_arg1847z00_517;

																				BgL_arg1847z00_517 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 37)),
																					BNIL);
																				BgL_arg1846z00_516 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
																					BgL_arg1847z00_517);
																			}
																			BgL_arg1845z00_515 =
																				MAKE_PAIR(BgL_arg1846z00_516, BNIL);
																		}
																		BgL_arg1843z00_513 =
																			MAKE_PAIR(BgL_tmp1z00_508,
																			BgL_arg1845z00_515);
																	}
																	{	/* Expand/exit.scm 168 */
																		obj_t BgL_arg1848z00_518;

																		{	/* Expand/exit.scm 168 */
																			obj_t BgL_arg1849z00_519;

																			{	/* Expand/exit.scm 168 */
																				obj_t BgL_arg1850z00_520;

																				{	/* Expand/exit.scm 168 */
																					obj_t BgL_arg1851z00_521;

																					BgL_arg1851z00_521 =
																						MAKE_PAIR(BgL_locz00_506, BNIL);
																					BgL_arg1850z00_520 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								38)), BgL_arg1851z00_521);
																				}
																				BgL_arg1849z00_519 =
																					MAKE_PAIR(BgL_arg1850z00_520, BNIL);
																			}
																			BgL_arg1848z00_518 =
																				MAKE_PAIR(BgL_tmp2z00_509,
																				BgL_arg1849z00_519);
																		}
																		BgL_arg1844z00_514 =
																			MAKE_PAIR(BgL_arg1848z00_518, BNIL);
																	}
																	BgL_arg1840z00_511 =
																		MAKE_PAIR(BgL_arg1843z00_513,
																		BgL_arg1844z00_514);
																}
																{	/* Expand/exit.scm 170 */
																	obj_t BgL_arg1852z00_522;

																	{	/* Expand/exit.scm 170 */
																		obj_t BgL_arg1853z00_523;

																		{	/* Expand/exit.scm 170 */
																			obj_t BgL_arg1854z00_524;

																			{	/* Expand/exit.scm 170 */
																				obj_t BgL_arg1855z00_525;
																				obj_t BgL_arg1856z00_526;

																				{	/* Expand/exit.scm 170 */
																					obj_t BgL_arg1857z00_527;

																					{	/* Expand/exit.scm 170 */
																						obj_t BgL_arg1858z00_528;

																						BgL_arg1858z00_528 =
																							MAKE_PAIR(BgL_tmp2z00_509, BNIL);
																						BgL_arg1857z00_527 =
																							MAKE_PAIR(BgL_tmp1z00_508,
																							BgL_arg1858z00_528);
																					}
																					BgL_arg1855z00_525 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								39)), BgL_arg1857z00_527);
																				}
																				{	/* Expand/exit.scm 171 */
																					obj_t BgL_arg1859z00_529;

																					{	/* Expand/exit.scm 171 */
																						obj_t BgL_arg1860z00_530;

																						{	/* Expand/exit.scm 171 */
																							obj_t BgL_arg1861z00_531;
																							obj_t BgL_arg1862z00_532;

																							{	/* Expand/exit.scm 171 */
																								obj_t BgL_arg1863z00_533;

																								{	/* Expand/exit.scm 171 */
																									obj_t BgL_arg1864z00_534;

																									BgL_arg1864z00_534 =
																										MAKE_PAIR(BgL_bodyz00_502,
																										BNIL);
																									BgL_arg1863z00_533 =
																										MAKE_PAIR(BgL_vidz00_507,
																										BgL_arg1864z00_534);
																								}
																								BgL_arg1861z00_531 =
																									MAKE_PAIR(BgL_arg1863z00_533,
																									BNIL);
																							}
																							{	/* Expand/exit.scm 172 */
																								obj_t BgL_arg1866z00_535;
																								obj_t BgL_arg1867z00_536;

																								{	/* Expand/exit.scm 172 */
																									obj_t BgL_res1900z00_713;

																									{	/* Expand/exit.scm 172 */
																										obj_t BgL_obj1z00_710;

																										BgL_obj1z00_710 =
																											CNST_TABLE_REF(((long)
																												40));
																										BgL_res1900z00_713 =
																											MAKE_EXTENDED_PAIR
																											(BgL_obj1z00_710, BNIL,
																											BgL_locz00_506);
																									}
																									BgL_arg1866z00_535 =
																										BgL_res1900z00_713;
																								}
																								BgL_arg1867z00_536 =
																									MAKE_PAIR(BgL_vidz00_507,
																									BNIL);
																								BgL_arg1862z00_532 =
																									MAKE_PAIR(BgL_arg1866z00_535,
																									BgL_arg1867z00_536);
																							}
																							BgL_arg1860z00_530 =
																								MAKE_PAIR(BgL_arg1861z00_531,
																								BgL_arg1862z00_532);
																						}
																						BgL_arg1859z00_529 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									13)), BgL_arg1860z00_530);
																					}
																					BgL_arg1856z00_526 =
																						MAKE_PAIR(BgL_arg1859z00_529, BNIL);
																				}
																				BgL_arg1854z00_524 =
																					MAKE_PAIR(BgL_arg1855z00_525,
																					BgL_arg1856z00_526);
																			}
																			BgL_arg1853z00_523 =
																				MAKE_PAIR(BNIL, BgL_arg1854z00_524);
																		}
																		BgL_arg1852z00_522 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																			BgL_arg1853z00_523);
																	}
																	BgL_arg1842z00_512 =
																		MAKE_PAIR(BgL_arg1852z00_522, BNIL);
																}
																BgL_arg1838z00_510 =
																	MAKE_PAIR(BgL_arg1840z00_511,
																	BgL_arg1842z00_512);
															}
															BgL_auxz00_1001 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																BgL_arg1838z00_510);
													}}
												else
													{	/* Expand/exit.scm 160 */
														BgL_auxz00_1001 = BgL_bodyz00_502;
													}
											}
										}
										return
											BGl_replacez12z12zztools_miscz00(BgL_xz00_35,
											BgL_auxz00_1001);
									}
								}
							else
								{	/* Expand/exit.scm 176 */
								BgL_tagzd2428zd2_430:
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1907z00zzexpand_exitz00, BgL_xz00_35);
								}
						}
					else
						{	/* Expand/exit.scm 176 */
							goto BgL_tagzd2428zd2_430;
						}
				}
			}
		}
	}



/* &expand-with-handler */
	obj_t BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00(obj_t BgL_envz00_740,
		obj_t BgL_xz00_741, obj_t BgL_ez00_742)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 132 */
			return
				BGl_expandzd2withzd2handlerz00zzexpand_exitz00(BgL_xz00_741,
				BgL_ez00_742);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_expanderz00(((long) 393376),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 223654864),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1908z00zzexpand_exitz00));
		}
	}

#ifdef __cplusplus
}
#endif
