/*===========================================================================*/
/*   (Globalize/new_body.scm)                                                */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/new_body.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static obj_t BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2jumpzd2exzd2it2032za2zzglobaliza7e_newzd2bodyz75(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2sequence2004za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_newzd2bodyz75();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2fun2026z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2select2024za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2appzd2ly2010z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2cast2016za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2extern2014za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2setq2018za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2var2001za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(obj_t, obj_t);
	static obj_t BGl_z62remz121993z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2var2028z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2setz122039z62zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2makezd2box2034z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2kwote1998za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75
		(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static long BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2conditional2020za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2sync2006za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2fail2022za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
	static BgL_nodez00_bglt
		BGl_z62remz12zd2funcall2012za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2setzd2exzd2it2030za2zzglobaliza7e_newzd2bodyz75(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2ref2036z70zzglobaliza7e_newzd2bodyz75(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2app2008za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2atom1996za2zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2304z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string2304za700za7za7g2332za7, "rem!1993", 8);
	      DEFINE_STRING(BGl_string2305z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string2305za700za7za7g2333za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2307z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string2307za700za7za7g2334za7, "rem!", 4);
	      DEFINE_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string2328za700za7za7g2335za7, "globalize_new-body", 18);
	      DEFINE_STRING(BGl_string2329z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string2329za700za7za7g2336za7, "rem!1993 done ", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza7121993za7702337za7,
		BGl_z62remz121993z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2atom2338za7,
		BGl_z62remz12zd2atom1996za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2kwot2339za7,
		BGl_z62remz12zd2kwote1998za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2var22340za7,
		BGl_z62remz12zd2var2001za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2sequ2341za7,
		BGl_z62remz12zd2sequence2004za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2sync2342za7,
		BGl_z62remz12zd2sync2006za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2app22343za7,
		BGl_z62remz12zd2app2008za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2appza72344z00,
		BGl_z62remz12zd2appzd2ly2010z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2func2345za7,
		BGl_z62remz12zd2funcall2012za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2exte2346za7,
		BGl_z62remz12zd2extern2014za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2cast2347za7,
		BGl_z62remz12zd2cast2016za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2setq2348za7,
		BGl_z62remz12zd2setq2018za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2cond2349za7,
		BGl_z62remz12zd2conditional2020za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2fail2350za7,
		BGl_z62remz12zd2fail2022za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2sele2351za7,
		BGl_z62remz12zd2select2024za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2letza72352z00,
		BGl_z62remz12zd2letzd2fun2026z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2letza72353z00,
		BGl_z62remz12zd2letzd2var2028z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2setza72354z00,
		BGl_z62remz12zd2setzd2exzd2it2030za2zzglobaliza7e_newzd2bodyz75, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2jump2355za7,
		BGl_z62remz12zd2jumpzd2exzd2it2032za2zzglobaliza7e_newzd2bodyz75, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2make2356za7,
		BGl_z62remz12zd2makezd2box2034z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2boxza72357z00,
		BGl_z62remz12zd2boxzd2ref2036z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2boxza72358z00,
		BGl_z62remz12zd2boxzd2setz122039z62zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za770za7za7gl2359za7,
		BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2globaliza7edzd2newzd2bodiesz12zd2envzb5zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762setza7d2globali2360z00,
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long
		BgL_checksumz00_3237, char *BgL_fromz00_3238)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
					BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
					BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_new-body");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			{	/* Globalize/new_body.scm 15 */
				obj_t BgL_cportz00_3220;

				BgL_cportz00_3220 =
					bgl_open_input_string(BGl_string2329z00zzglobaliza7e_newzd2bodyz75,
					(int) (((long) 0)));
				{
					long BgL_iz00_3221;

					BgL_iz00_3221 = ((long) 1);
				BgL_loopz00_3222:
					if ((BgL_iz00_3221 == ((long) -1)))
						{	/* Globalize/new_body.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/new_body.scm 15 */
							{	/* Globalize/new_body.scm 15 */
								obj_t BgL_arg2331z00_3224;

								{	/* Globalize/new_body.scm 15 */

									{	/* Globalize/new_body.scm 15 */
										obj_t BgL_locationz00_3226;

										BgL_locationz00_3226 = BBOOL(((bool_t) 0));
										{	/* Globalize/new_body.scm 15 */

											BgL_arg2331z00_3224 =
												BGl_readz00zz__readerz00(BgL_cportz00_3220,
												BgL_locationz00_3226);
										}
									}
								}
								{	/* Globalize/new_body.scm 15 */
									int BgL_auxz00_3261;

									BgL_auxz00_3261 = (int) (BgL_iz00_3221);
									CNST_TABLE_SET(BgL_auxz00_3261, BgL_arg2331z00_3224);
							}}
							{	/* Globalize/new_body.scm 15 */
								int BgL_auxz00_3227;

								BgL_auxz00_3227 = (int) ((BgL_iz00_3221 - ((long) 1)));
								{
									long BgL_iz00_3266;

									BgL_iz00_3266 = (long) (BgL_auxz00_3227);
									BgL_iz00_3221 = BgL_iz00_3266;
									goto BgL_loopz00_3222;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 = ((long) 0);
			return BUNSPEC;
		}
	}



/* set-globalized-new-bodies! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt BgL_globalz00_3, obj_t BgL_localsz00_4)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 31 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 =
				(BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 + ((long) 1));
			{	/* Globalize/new_body.scm 34 */
				BgL_valuez00_bglt BgL_funz00_1591;

				BgL_funz00_1591 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				{	/* Globalize/new_body.scm 35 */
					BgL_nodez00_bglt BgL_arg2043z00_1592;

					{	/* Globalize/new_body.scm 35 */
						obj_t BgL_arg2044z00_1593;

						BgL_arg2044z00_1593 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1591)))->BgL_bodyz00);
						BgL_arg2043z00_1592 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
							((BgL_nodez00_bglt) BgL_arg2044z00_1593),
							((obj_t) BgL_globalz00_3), ((obj_t) BgL_globalz00_3));
					}
					{	/* Globalize/new_body.scm 35 */
						BgL_sfunz00_bglt BgL_oz00_2845;
						obj_t BgL_vz00_2846;

						BgL_oz00_2845 = ((BgL_sfunz00_bglt) BgL_funz00_1591);
						BgL_vz00_2846 = ((obj_t) BgL_arg2043z00_1592);
						((((BgL_sfunz00_bglt) CREF(BgL_oz00_2845))->BgL_bodyz00) =
							((obj_t) BgL_vz00_2846), BUNSPEC);
			}}}
			{
				obj_t BgL_l1977z00_1595;

				{	/* Globalize/new_body.scm 37 */
					bool_t BgL_auxz00_3280;

					BgL_l1977z00_1595 = BgL_localsz00_4;
				BgL_zc3anonymousza32045ze3z83_1596:
					if (PAIRP(BgL_l1977z00_1595))
						{	/* Globalize/new_body.scm 37 */
							BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75
								(CAR(BgL_l1977z00_1595));
							{
								obj_t BgL_l1977z00_3285;

								BgL_l1977z00_3285 = CDR(BgL_l1977z00_1595);
								BgL_l1977z00_1595 = BgL_l1977z00_3285;
								goto BgL_zc3anonymousza32045ze3z83_1596;
							}
						}
					else
						{	/* Globalize/new_body.scm 37 */
							BgL_auxz00_3280 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_3280);
				}
			}
		}
	}



/* &set-globalized-new-bodies! */
	obj_t
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75
		(obj_t BgL_envz00_3102, obj_t BgL_globalz00_3103, obj_t BgL_localsz00_3104)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 31 */
			return
				BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75(
				((BgL_globalz00_bglt) BgL_globalz00_3103), BgL_localsz00_3104);
		}
	}



/* set-globalized-new-body! */
	obj_t
		BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_localz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 42 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 =
				(BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 + ((long) 1));
			{	/* Globalize/new_body.scm 50 */
				BgL_valuez00_bglt BgL_funz00_1601;

				BgL_funz00_1601 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_5))))->BgL_valuez00);
				{	/* Globalize/new_body.scm 51 */
					obj_t BgL_oldzd2bodyzd2_1603;

					BgL_oldzd2bodyzd2_1603 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1601)))->BgL_bodyz00);
					{	/* Globalize/new_body.scm 52 */
						obj_t BgL_obindingsz00_1604;

						{	/* Globalize/new_body.scm 53 */
							obj_t BgL_g1984z00_1664;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3296;

								{
									obj_t BgL_auxz00_3297;

									{	/* Globalize/new_body.scm 56 */
										BgL_objectz00_bglt BgL_auxz00_3298;

										BgL_auxz00_3298 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_1601));
										BgL_auxz00_3297 = BGL_OBJECT_WIDENING(BgL_auxz00_3298);
									}
									BgL_auxz00_3296 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3297);
								}
								BgL_g1984z00_1664 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3296))->
									BgL_integratedz00);
							}
							BgL_obindingsz00_1604 =
								BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75
								(BgL_localz00_5, BgL_g1984z00_1664);
						}
						{	/* Globalize/new_body.scm 53 */
							BgL_nodez00_bglt BgL_newzd2bodyzd2_1605;

							BgL_newzd2bodyzd2_1605 =
								BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
								((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1603), BgL_localz00_5,
								BgL_localz00_5);
							{	/* Globalize/new_body.scm 57 */

								{
									obj_t BgL_l1985z00_1607;

									BgL_l1985z00_1607 = BgL_obindingsz00_1604;
								BgL_zc3anonymousza32050ze3z83_1608:
									if (PAIRP(BgL_l1985z00_1607))
										{	/* Globalize/new_body.scm 61 */
											{	/* Globalize/new_body.scm 62 */
												obj_t BgL_fz00_1610;

												BgL_fz00_1610 = CAR(BgL_l1985z00_1607);
												{	/* Globalize/new_body.scm 63 */
													bool_t BgL_testz00_3310;

													{	/* Globalize/new_body.scm 63 */
														long BgL_n2z00_2890;

														BgL_n2z00_2890 =
															BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
														{	/* Globalize/new_body.scm 63 */
															long BgL_auxz00_3311;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3312;

																{
																	obj_t BgL_auxz00_3313;

																	{	/* Globalize/new_body.scm 63 */
																		BgL_objectz00_bglt BgL_auxz00_3314;

																		BgL_auxz00_3314 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1610))))->
																					BgL_valuez00)));
																		BgL_auxz00_3313 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3314);
																	}
																	BgL_auxz00_3312 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_3313);
																}
																BgL_auxz00_3311 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_3312))->BgL_bmarkz00);
															}
															BgL_testz00_3310 =
																(BgL_auxz00_3311 == BgL_n2z00_2890);
													}}
													if (BgL_testz00_3310)
														{	/* Globalize/new_body.scm 63 */
															BFALSE;
														}
													else
														{	/* Globalize/new_body.scm 64 */
															BgL_valuez00_bglt BgL_funz00_1612;

															BgL_funz00_1612 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_fz00_1610))))->
																BgL_valuez00);
															{	/* Globalize/new_body.scm 64 */
																obj_t BgL_bodyz00_1613;

																BgL_bodyz00_1613 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_1612)))->
																	BgL_bodyz00);
																{	/* Globalize/new_body.scm 65 */

																	{	/* Globalize/new_body.scm 66 */
																		BgL_nodez00_bglt BgL_arg2053z00_1614;

																		BgL_arg2053z00_1614 =
																			BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
																			((BgL_nodez00_bglt) BgL_bodyz00_1613),
																			BgL_localz00_5, BgL_fz00_1610);
																		{	/* Globalize/new_body.scm 66 */
																			BgL_sfunz00_bglt BgL_oz00_2897;
																			obj_t BgL_vz00_2898;

																			BgL_oz00_2897 =
																				((BgL_sfunz00_bglt) BgL_funz00_1612);
																			BgL_vz00_2898 =
																				((obj_t) BgL_arg2053z00_1614);
																			((((BgL_sfunz00_bglt)
																						CREF(BgL_oz00_2897))->BgL_bodyz00) =
																				((obj_t) BgL_vz00_2898), BUNSPEC);
																		}
																	}
																}
															}
														}
												}
											}
											{
												obj_t BgL_l1985z00_3334;

												BgL_l1985z00_3334 = CDR(BgL_l1985z00_1607);
												BgL_l1985z00_1607 = BgL_l1985z00_3334;
												goto BgL_zc3anonymousza32050ze3z83_1608;
											}
										}
									else
										{	/* Globalize/new_body.scm 61 */
											((bool_t) 1);
										}
								}
								{	/* Globalize/new_body.scm 69 */
									obj_t BgL_nbindingsz00_1619;

									{
										obj_t BgL_nbdingsz00_1651;
										obj_t BgL_obdingsz00_1652;

										BgL_nbdingsz00_1651 = BNIL;
										BgL_obdingsz00_1652 = BgL_obindingsz00_1604;
									BgL_zc3anonymousza32073ze3z83_1653:
										if (NULLP(BgL_obdingsz00_1652))
											{	/* Globalize/new_body.scm 72 */
												BgL_nbindingsz00_1619 = BgL_nbdingsz00_1651;
											}
										else
											{	/* Globalize/new_body.scm 74 */
												bool_t BgL_testz00_3338;

												{	/* Globalize/new_body.scm 74 */
													long BgL_n2z00_2911;

													BgL_n2z00_2911 =
														BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
													{	/* Globalize/new_body.scm 74 */
														long BgL_auxz00_3339;

														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3340;

															{
																obj_t BgL_auxz00_3341;

																{	/* Globalize/new_body.scm 74 */
																	BgL_objectz00_bglt BgL_auxz00_3342;

																	{
																		BgL_sfunz00_bglt BgL_auxz00_3343;

																		{
																			BgL_valuez00_bglt BgL_auxz00_3344;

																			{
																				BgL_variablez00_bglt BgL_auxz00_3345;

																				{
																					BgL_localz00_bglt BgL_auxz00_3346;

																					{	/* Globalize/new_body.scm 75 */
																						obj_t BgL_pairz00_2903;

																						BgL_pairz00_2903 =
																							BgL_obdingsz00_1652;
																						BgL_auxz00_3346 =
																							((BgL_localz00_bglt)
																							CAR(BgL_pairz00_2903));
																					}
																					BgL_auxz00_3345 =
																						((BgL_variablez00_bglt)
																						BgL_auxz00_3346);
																				}
																				BgL_auxz00_3344 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_auxz00_3345))->
																					BgL_valuez00);
																			}
																			BgL_auxz00_3343 =
																				((BgL_sfunz00_bglt) BgL_auxz00_3344);
																		}
																		BgL_auxz00_3342 =
																			((BgL_objectz00_bglt) BgL_auxz00_3343);
																	}
																	BgL_auxz00_3341 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3342);
																}
																BgL_auxz00_3340 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3341);
															}
															BgL_auxz00_3339 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_3340))->BgL_bmarkz00);
														}
														BgL_testz00_3338 =
															(BgL_auxz00_3339 == BgL_n2z00_2911);
												}}
												if (BgL_testz00_3338)
													{
														obj_t BgL_obdingsz00_3357;

														BgL_obdingsz00_3357 = CDR(BgL_obdingsz00_1652);
														BgL_obdingsz00_1652 = BgL_obdingsz00_3357;
														goto BgL_zc3anonymousza32073ze3z83_1653;
													}
												else
													{	/* Globalize/new_body.scm 80 */
														obj_t BgL_arg2077z00_1657;
														obj_t BgL_arg2078z00_1658;

														BgL_arg2077z00_1657 =
															MAKE_PAIR(CAR(BgL_obdingsz00_1652),
															BgL_nbdingsz00_1651);
														BgL_arg2078z00_1658 = CDR(BgL_obdingsz00_1652);
														{
															obj_t BgL_obdingsz00_3363;
															obj_t BgL_nbdingsz00_3362;

															BgL_nbdingsz00_3362 = BgL_arg2077z00_1657;
															BgL_obdingsz00_3363 = BgL_arg2078z00_1658;
															BgL_obdingsz00_1652 = BgL_obdingsz00_3363;
															BgL_nbdingsz00_1651 = BgL_nbdingsz00_3362;
															goto BgL_zc3anonymousza32073ze3z83_1653;
														}
													}
											}
									}
									{	/* Globalize/new_body.scm 82 */
										BgL_nodez00_bglt BgL_new2zd2bodyzd2_1620;

										if (NULLP(BgL_nbindingsz00_1619))
											{	/* Globalize/new_body.scm 82 */
												BgL_new2zd2bodyzd2_1620 = BgL_newzd2bodyzd2_1605;
											}
										else
											{	/* Globalize/new_body.scm 84 */
												BgL_letzd2funzd2_bglt BgL_new1107z00_1646;

												{	/* Globalize/new_body.scm 84 */
													BgL_letzd2funzd2_bglt BgL_new1106z00_1647;

													BgL_new1106z00_1647 =
														((BgL_letzd2funzd2_bglt)
														BREF(GC_MALLOC(sizeof(struct
																	BgL_letzd2funzd2_bgl))));
													{	/* Globalize/new_body.scm 84 */
														long BgL_arg2072z00_1648;

														{	/* Globalize/new_body.scm 84 */
															long BgL_res2276z00_2919;

															BgL_res2276z00_2919 =
																BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
															BgL_arg2072z00_1648 = BgL_res2276z00_2919;
														}
														{	/* Globalize/new_body.scm 84 */
															BgL_objectz00_bglt BgL_objz00_2920;

															BgL_objz00_2920 =
																((BgL_objectz00_bglt) BgL_new1106z00_1647);
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2920,
																BgL_arg2072z00_1648);
													}}
													{	/* Globalize/new_body.scm 84 */
														BgL_objectz00_bglt BgL_auxz00_3370;

														BgL_auxz00_3370 =
															((BgL_objectz00_bglt) BgL_new1106z00_1647);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3370, BFALSE);
													}
													BgL_new1107z00_1646 = BgL_new1106z00_1647;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1107z00_1646)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_oldzd2bodyzd2_1603)))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_new1107z00_1646)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																CREF(((BgL_nodez00_bglt)
																		BgL_oldzd2bodyzd2_1603)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															CREF(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1107z00_1646)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															CREF(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1107z00_1646)))->BgL_keyz00) =
													((obj_t) BINT(((long) -1))), BUNSPEC);
												((((BgL_letzd2funzd2_bglt) CREF(BgL_new1107z00_1646))->
														BgL_localsz00) =
													((obj_t) BgL_nbindingsz00_1619), BUNSPEC);
												((((BgL_letzd2funzd2_bglt) CREF(BgL_new1107z00_1646))->
														BgL_bodyz00) =
													((BgL_nodez00_bglt) BgL_newzd2bodyzd2_1605), BUNSPEC);
												BgL_new2zd2bodyzd2_1620 =
													((BgL_nodez00_bglt) BgL_new1107z00_1646);
											}
										{	/* Globalize/new_body.scm 92 */
											obj_t BgL_g1109z00_1621;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3389;

												{
													obj_t BgL_auxz00_3390;

													{	/* Globalize/new_body.scm 92 */
														BgL_objectz00_bglt BgL_auxz00_3391;

														BgL_auxz00_3391 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_1601));
														BgL_auxz00_3390 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3391);
													}
													BgL_auxz00_3389 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3390);
												}
												BgL_g1109z00_1621 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3389))->
													BgL_ctoz00);
											}
											{
												obj_t BgL_nctoz00_1623;
												obj_t BgL_nbindingsz00_1624;

												BgL_nctoz00_1623 = BgL_g1109z00_1621;
												BgL_nbindingsz00_1624 = BgL_nbindingsz00_1619;
											BgL_zc3anonymousza32057ze3z83_1625:
												if (NULLP(BgL_nbindingsz00_1624))
													{	/* Globalize/new_body.scm 95 */
														BgL_sfunz00_bglt BgL_oz00_2931;

														BgL_oz00_2931 =
															((BgL_sfunz00_bglt) BgL_funz00_1601);
														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3400;

															{
																obj_t BgL_auxz00_3401;

																{	/* Globalize/new_body.scm 95 */
																	BgL_objectz00_bglt BgL_auxz00_3402;

																	BgL_auxz00_3402 =
																		((BgL_objectz00_bglt) BgL_oz00_2931);
																	BgL_auxz00_3401 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3402);
																}
																BgL_auxz00_3400 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3401);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_3400))->BgL_ctoz00) =
																((obj_t) BgL_nctoz00_1623), BUNSPEC);
														}
													}
												else
													{	/* Globalize/new_body.scm 96 */
														obj_t BgL_g1110z00_1627;

														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3407;

															{
																obj_t BgL_auxz00_3408;

																{	/* Globalize/new_body.scm 97 */
																	BgL_objectz00_bglt BgL_auxz00_3409;

																	{
																		BgL_sfunz00_bglt BgL_auxz00_3410;

																		{
																			BgL_valuez00_bglt BgL_auxz00_3411;

																			{
																				BgL_variablez00_bglt BgL_auxz00_3412;

																				{
																					BgL_localz00_bglt BgL_auxz00_3413;

																					{	/* Globalize/new_body.scm 98 */
																						obj_t BgL_pairz00_2934;

																						BgL_pairz00_2934 =
																							BgL_nbindingsz00_1624;
																						BgL_auxz00_3413 =
																							((BgL_localz00_bglt)
																							CAR(BgL_pairz00_2934));
																					}
																					BgL_auxz00_3412 =
																						((BgL_variablez00_bglt)
																						BgL_auxz00_3413);
																				}
																				BgL_auxz00_3411 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_auxz00_3412))->
																					BgL_valuez00);
																			}
																			BgL_auxz00_3410 =
																				((BgL_sfunz00_bglt) BgL_auxz00_3411);
																		}
																		BgL_auxz00_3409 =
																			((BgL_objectz00_bglt) BgL_auxz00_3410);
																	}
																	BgL_auxz00_3408 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3409);
																}
																BgL_auxz00_3407 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3408);
															}
															BgL_g1110z00_1627 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_3407))->BgL_ctoz00);
														}
														{
															obj_t BgL_nctoz00_1629;
															obj_t BgL_lctoz00_1630;

															BgL_nctoz00_1629 = BgL_nctoz00_1623;
															BgL_lctoz00_1630 = BgL_g1110z00_1627;
														BgL_zc3anonymousza32059ze3z83_1631:
															if (NULLP(BgL_lctoz00_1630))
																{
																	obj_t BgL_nbindingsz00_3426;
																	obj_t BgL_nctoz00_3425;

																	BgL_nctoz00_3425 = BgL_nctoz00_1629;
																	BgL_nbindingsz00_3426 =
																		CDR(BgL_nbindingsz00_1624);
																	BgL_nbindingsz00_1624 = BgL_nbindingsz00_3426;
																	BgL_nctoz00_1623 = BgL_nctoz00_3425;
																	goto BgL_zc3anonymousza32057ze3z83_1625;
																}
															else
																{	/* Globalize/new_body.scm 100 */
																	if (CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(BgL_lctoz00_1630),
																				BgL_nctoz00_1629)))
																		{
																			obj_t BgL_lctoz00_3432;

																			BgL_lctoz00_3432 = CDR(BgL_lctoz00_1630);
																			BgL_lctoz00_1630 = BgL_lctoz00_3432;
																			goto BgL_zc3anonymousza32059ze3z83_1631;
																		}
																	else
																		{	/* Globalize/new_body.scm 105 */
																			obj_t BgL_arg2064z00_1636;
																			obj_t BgL_arg2065z00_1637;

																			BgL_arg2064z00_1636 =
																				MAKE_PAIR(CAR(BgL_lctoz00_1630),
																				BgL_nctoz00_1629);
																			BgL_arg2065z00_1637 =
																				CDR(BgL_lctoz00_1630);
																			{
																				obj_t BgL_lctoz00_3438;
																				obj_t BgL_nctoz00_3437;

																				BgL_nctoz00_3437 = BgL_arg2064z00_1636;
																				BgL_lctoz00_3438 = BgL_arg2065z00_1637;
																				BgL_lctoz00_1630 = BgL_lctoz00_3438;
																				BgL_nctoz00_1629 = BgL_nctoz00_3437;
																				goto BgL_zc3anonymousza32059ze3z83_1631;
																			}
																		}
																}
														}
													}
											}
										}
										{	/* Globalize/new_body.scm 116 */
											BgL_nodez00_bglt BgL_arg2070z00_1644;

											BgL_arg2070z00_1644 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75
												(BgL_new2zd2bodyzd2_1620, BgL_localz00_5,
												BgL_localz00_5);
											{	/* Globalize/new_body.scm 116 */
												BgL_sfunz00_bglt BgL_oz00_2947;
												obj_t BgL_vz00_2948;

												BgL_oz00_2947 = ((BgL_sfunz00_bglt) BgL_funz00_1601);
												BgL_vz00_2948 = ((obj_t) BgL_arg2070z00_1644);
												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3442;

													{
														obj_t BgL_auxz00_3443;

														{	/* Globalize/new_body.scm 116 */
															BgL_objectz00_bglt BgL_auxz00_3444;

															BgL_auxz00_3444 =
																((BgL_objectz00_bglt) BgL_oz00_2947);
															BgL_auxz00_3443 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3444);
														}
														BgL_auxz00_3442 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3443);
													}
													return
														((((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3442))->BgL_newzd2bodyzd2) =
														((obj_t) BgL_vz00_2948), BUNSPEC);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2083> */
	obj_t BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_localz00_3219, obj_t BgL_lis1980z00_1666)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 56 */
		BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75:
			if (NULLP(BgL_lis1980z00_1666))
				{	/* Globalize/new_body.scm 56 */
					return BgL_lis1980z00_1666;
				}
			else
				{	/* Globalize/new_body.scm 56 */
					obj_t BgL_head1981z00_1669;
					obj_t BgL_tail1982z00_1670;

					BgL_head1981z00_1669 = CAR(BgL_lis1980z00_1666);
					BgL_tail1982z00_1670 = CDR(BgL_lis1980z00_1666);
					{	/* Globalize/new_body.scm 56 */
						bool_t BgL_testz00_3453;

						{	/* Globalize/new_body.scm 54 */
							bool_t BgL_testz00_3454;

							{	/* Globalize/new_body.scm 54 */
								obj_t BgL_auxz00_3455;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3456;

									{
										obj_t BgL_auxz00_3457;

										{	/* Globalize/new_body.scm 54 */
											BgL_objectz00_bglt BgL_auxz00_3458;

											BgL_auxz00_3458 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		BgL_head1981z00_1669))))->BgL_valuez00)));
											BgL_auxz00_3457 = BGL_OBJECT_WIDENING(BgL_auxz00_3458);
										}
										BgL_auxz00_3456 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3457);
									}
									BgL_auxz00_3455 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3456))->
										BgL_ownerz00);
								}
								BgL_testz00_3454 = (BgL_auxz00_3455 == BgL_localz00_3219);
							}
							if (BgL_testz00_3454)
								{	/* Globalize/new_body.scm 54 */
									BgL_testz00_3453 = ((bool_t) 0);
								}
							else
								{	/* Globalize/new_body.scm 54 */
									BgL_testz00_3453 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_3453)
							{	/* Globalize/new_body.scm 56 */
								obj_t BgL_newzd2tail1983zd2_1672;

								BgL_newzd2tail1983zd2_1672 =
									BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75
									(BgL_localz00_3219, BgL_tail1982z00_1670);
								if ((BgL_tail1982z00_1670 == BgL_newzd2tail1983zd2_1672))
									{	/* Globalize/new_body.scm 56 */
										return BgL_lis1980z00_1666;
									}
								else
									{	/* Globalize/new_body.scm 56 */
										obj_t BgL_res2265z00_2879;

										BgL_res2265z00_2879 =
											MAKE_PAIR(BgL_head1981z00_1669,
											BgL_newzd2tail1983zd2_1672);
										return BgL_res2265z00_2879;
									}
							}
						else
							{
								obj_t BgL_lis1980z00_3472;

								BgL_lis1980z00_3472 = BgL_tail1982z00_1670;
								BgL_lis1980z00_1666 = BgL_lis1980z00_3472;
								goto BGl_zc3anonymousza32083ze3z83zzglobaliza7e_newzd2bodyz75;
							}
					}
				}
		}
	}



/* is-in? */
	bool_t BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(obj_t BgL_f1z00_6,
		obj_t BgL_f2z00_7)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 123 */
			{	/* Globalize/new_body.scm 124 */
				BgL_valuez00_bglt BgL_infoz00_1679;

				BgL_infoz00_1679 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_f1z00_6))))->BgL_valuez00);
				{	/* Globalize/new_body.scm 126 */
					bool_t BgL_testz00_3476;

					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3477;

						{
							obj_t BgL_auxz00_3478;

							{	/* Globalize/new_body.scm 126 */
								BgL_objectz00_bglt BgL_auxz00_3479;

								BgL_auxz00_3479 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1679));
								BgL_auxz00_3478 = BGL_OBJECT_WIDENING(BgL_auxz00_3479);
							}
							BgL_auxz00_3477 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3478);
						}
						BgL_testz00_3476 =
							(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3477))->BgL_gzf3zf3);
					}
					if (BgL_testz00_3476)
						{	/* Globalize/new_body.scm 126 */
							return ((bool_t) 0);
						}
					else
						{	/* Globalize/new_body.scm 128 */
							bool_t BgL_testz00_3485;

							{	/* Globalize/new_body.scm 128 */
								obj_t BgL_arg2097z00_1686;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3486;

									{
										obj_t BgL_auxz00_3487;

										{	/* Globalize/new_body.scm 128 */
											BgL_objectz00_bglt BgL_auxz00_3488;

											BgL_auxz00_3488 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1679));
											BgL_auxz00_3487 = BGL_OBJECT_WIDENING(BgL_auxz00_3488);
										}
										BgL_auxz00_3486 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3487);
									}
									BgL_arg2097z00_1686 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3486))->
										BgL_integratorz00);
								}
								BgL_testz00_3485 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2097z00_1686,
									BGl_localz00zzast_varz00);
							}
							if (BgL_testz00_3485)
								{	/* Globalize/new_body.scm 130 */
									bool_t BgL_testz00_3495;

									{	/* Globalize/new_body.scm 130 */
										obj_t BgL_auxz00_3496;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3497;

											{
												obj_t BgL_auxz00_3498;

												{	/* Globalize/new_body.scm 130 */
													BgL_objectz00_bglt BgL_auxz00_3499;

													BgL_auxz00_3499 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1679));
													BgL_auxz00_3498 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3499);
												}
												BgL_auxz00_3497 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3498);
											}
											BgL_auxz00_3496 =
												(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3497))->
												BgL_integratorz00);
										}
										BgL_testz00_3495 = (BgL_auxz00_3496 == BgL_f2z00_7);
									}
									if (BgL_testz00_3495)
										{	/* Globalize/new_body.scm 130 */
											return ((bool_t) 1);
										}
									else
										{	/* Globalize/new_body.scm 132 */
											bool_t BgL_testz00_3506;

											{	/* Globalize/new_body.scm 132 */
												obj_t BgL_arg2095z00_1684;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3507;

													{
														obj_t BgL_auxz00_3508;

														{	/* Globalize/new_body.scm 132 */
															BgL_objectz00_bglt BgL_auxz00_3509;

															BgL_auxz00_3509 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_infoz00_1679));
															BgL_auxz00_3508 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3509);
														}
														BgL_auxz00_3507 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3508);
													}
													BgL_arg2095z00_1684 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_3507))->BgL_integratorz00);
												}
												BgL_testz00_3506 =
													BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75
													(BgL_arg2095z00_1684, BgL_f2z00_7);
											}
											if (BgL_testz00_3506)
												{	/* Globalize/new_body.scm 132 */
													return ((bool_t) 1);
												}
											else
												{	/* Globalize/new_body.scm 132 */
													return ((bool_t) 0);
												}
										}
								}
							else
								{	/* Globalize/new_body.scm 128 */
									return ((bool_t) 1);
								}
						}
				}
			}
		}
	}



/* rem*! */
	obj_t BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(obj_t BgL_nodeza2za2_74,
		obj_t BgL_ownerz00_75, obj_t BgL_currentz00_76)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 374 */
			{
				obj_t BgL_nodeza2za2_1688;

				BgL_nodeza2za2_1688 = BgL_nodeza2za2_74;
			BgL_zc3anonymousza32098ze3z83_1689:
				if (NULLP(BgL_nodeza2za2_1688))
					{	/* Globalize/new_body.scm 376 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/new_body.scm 376 */
						{	/* Globalize/new_body.scm 379 */
							BgL_nodez00_bglt BgL_arg2100z00_1691;

							{	/* Globalize/new_body.scm 379 */
								obj_t BgL_arg2101z00_1692;

								BgL_arg2101z00_1692 = CAR(BgL_nodeza2za2_1688);
								BgL_arg2100z00_1691 =
									BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
									((BgL_nodez00_bglt) BgL_arg2101z00_1692), BgL_ownerz00_75,
									BgL_currentz00_76);
							}
							{	/* Globalize/new_body.scm 379 */
								obj_t BgL_pairz00_2967;
								obj_t BgL_objz00_2968;

								BgL_pairz00_2967 = BgL_nodeza2za2_1688;
								BgL_objz00_2968 = ((obj_t) BgL_arg2100z00_1691);
								SET_CAR(BgL_pairz00_2967, BgL_objz00_2968);
							}
						}
						{
							obj_t BgL_nodeza2za2_3524;

							BgL_nodeza2za2_3524 = CDR(BgL_nodeza2za2_1688);
							BgL_nodeza2za2_1688 = BgL_nodeza2za2_3524;
							goto BgL_zc3anonymousza32098ze3z83_1689;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_proc2303z00zzglobaliza7e_newzd2bodyz75, BGl_nodez00zzast_nodez00,
				BGl_string2304z00zzglobaliza7e_newzd2bodyz75);
		}
	}



/* &rem!1993 */
	obj_t BGl_z62remz121993z70zzglobaliza7e_newzd2bodyz75(obj_t BgL_envz00_3106,
		obj_t BgL_nodez00_3107, obj_t BgL_ownerz00_3108, obj_t BgL_currentz00_3109)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			{
				BgL_nodez00_bglt BgL_nodez00_1696;
				obj_t BgL_ownerz00_1697;
				obj_t BgL_currentz00_1698;

				BgL_nodez00_1696 = ((BgL_nodez00_bglt) BgL_nodez00_3107);
				BgL_ownerz00_1697 = BgL_ownerz00_3108;
				BgL_currentz00_1698 = BgL_currentz00_3109;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2305z00zzglobaliza7e_newzd2bodyz75,
					((obj_t) BgL_nodez00_1696));
		}}
	}



/* rem! */
	BgL_nodez00_bglt BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_nodez00_bglt
		BgL_nodez00_8, obj_t BgL_ownerz00_9, obj_t BgL_currentz00_10)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			{	/* Globalize/new_body.scm 145 */
				obj_t BgL_method1994z00_1701;

				{	/* Globalize/new_body.scm 145 */
					obj_t BgL_res2291z00_2998;

					{	/* Globalize/new_body.scm 145 */
						BgL_objectz00_bglt BgL_objz00_2970;

						BgL_objz00_2970 = ((BgL_objectz00_bglt) BgL_nodez00_8);
						{	/* Globalize/new_body.scm 145 */
							long BgL_objzd2classzd2numz00_2971;

							{	/* Globalize/new_body.scm 145 */
								long BgL_res2285z00_2974;

								BgL_res2285z00_2974 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2970);
								BgL_objzd2classzd2numz00_2971 = BgL_res2285z00_2974;
							}
							{	/* Globalize/new_body.scm 145 */
								obj_t BgL_arg1803z00_2972;

								BgL_arg1803z00_2972 =
									PROCEDURE_REF(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
									(int) (((long) 1)));
								{	/* Globalize/new_body.scm 145 */
									obj_t BgL_arrayz00_2975;
									int BgL_offsetz00_2976;

									BgL_arrayz00_2975 = BgL_arg1803z00_2972;
									BgL_offsetz00_2976 = (int) (BgL_objzd2classzd2numz00_2971);
									{	/* Globalize/new_body.scm 145 */
										long BgL_offsetz00_2977;

										BgL_offsetz00_2977 =
											((long) (BgL_offsetz00_2976) - OBJECT_TYPE);
										{	/* Globalize/new_body.scm 145 */
											long BgL_modz00_2978;

											{	/* Globalize/new_body.scm 145 */
												int BgL_arg1805z00_2979;

												BgL_arg1805z00_2979 = (int) (((long) 16));
												{	/* Globalize/new_body.scm 145 */
													long BgL_res2288z00_2989;

													{	/* Globalize/new_body.scm 145 */
														long BgL_auxz00_3539;

														BgL_auxz00_3539 = (long) (BgL_arg1805z00_2979);
														BgL_res2288z00_2989 =
															(BgL_offsetz00_2977 / BgL_auxz00_3539);
													}
													BgL_modz00_2978 = BgL_res2288z00_2989;
											}}
											{	/* Globalize/new_body.scm 145 */
												long BgL_restz00_2980;

												{	/* Globalize/new_body.scm 145 */
													int BgL_arg1804z00_2981;

													BgL_arg1804z00_2981 = (int) (((long) 16));
													{	/* Globalize/new_body.scm 145 */
														long BgL_res2290z00_2993;

														{	/* Globalize/new_body.scm 145 */
															long BgL_auxz00_3543;

															BgL_auxz00_3543 = (long) (BgL_arg1804z00_2981);
															BgL_res2290z00_2993 =
																(BgL_offsetz00_2977 % BgL_auxz00_3543);
														}
														BgL_restz00_2980 = BgL_res2290z00_2993;
												}}
												{	/* Globalize/new_body.scm 145 */

													BgL_res2291z00_2998 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2975,
															(int) (BgL_modz00_2978)),
														(int) (BgL_restz00_2980));
					}}}}}}}}
					BgL_method1994z00_1701 = BgL_res2291z00_2998;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1994z00_1701) (BgL_method1994z00_1701,
						((obj_t) BgL_nodez00_8), BgL_ownerz00_9, BgL_currentz00_10, BEOA));
			}
		}
	}



/* &rem! */
	BgL_nodez00_bglt BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3110, obj_t BgL_nodez00_3111, obj_t BgL_ownerz00_3112,
		obj_t BgL_currentz00_3113)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			return
				BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
				((BgL_nodez00_bglt) BgL_nodez00_3111), BgL_ownerz00_3112,
				BgL_currentz00_3113);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_atomz00zzast_nodez00, BGl_proc2306z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_kwotez00zzast_nodez00, BGl_proc2308z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_varz00zzast_nodez00, BGl_proc2309z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_sequencez00zzast_nodez00,
				BGl_proc2310z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_syncz00zzast_nodez00, BGl_proc2311z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_appz00zzast_nodez00, BGl_proc2312z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2313z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_funcallz00zzast_nodez00, BGl_proc2314z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_externz00zzast_nodez00, BGl_proc2315z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_castz00zzast_nodez00, BGl_proc2316z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_setqz00zzast_nodez00, BGl_proc2317z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc2318z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_failz00zzast_nodez00, BGl_proc2319z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_selectz00zzast_nodez00, BGl_proc2320z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2321z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2322z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2323z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2324z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2325z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2326z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc2327z00zzglobaliza7e_newzd2bodyz75,
				BGl_string2307z00zzglobaliza7e_newzd2bodyz75);
		}
	}



/* &rem!-box-set!2039 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2setz122039z62zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3135, obj_t BgL_nodez00_3136, obj_t BgL_ownerz00_3137,
		obj_t BgL_currentz00_3138)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 365 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1925;
				obj_t BgL_ownerz00_1926;
				obj_t BgL_currentz00_1927;

				BgL_nodez00_1925 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3136);
				BgL_ownerz00_1926 = BgL_ownerz00_3137;
				BgL_currentz00_1927 = BgL_currentz00_3138;
				{
					BgL_varz00_bglt BgL_auxz00_3581;

					{	/* Globalize/new_body.scm 367 */
						BgL_varz00_bglt BgL_arg2185z00_1931;

						BgL_arg2185z00_1931 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1925))->BgL_varz00);
						BgL_auxz00_3581 =
							((BgL_varz00_bglt)
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
								((BgL_nodez00_bglt) BgL_arg2185z00_1931), BgL_ownerz00_1926,
								BgL_currentz00_1927));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1925))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3581), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3587;

					{	/* Globalize/new_body.scm 368 */
						BgL_nodez00_bglt BgL_arg2186z00_1932;

						BgL_arg2186z00_1932 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1925))->
							BgL_valuez00);
						BgL_auxz00_3587 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2186z00_1932,
							BgL_ownerz00_1926, BgL_currentz00_1927);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1925))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3587), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1925);
			}
		}
	}



/* &rem!-box-ref2036 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2ref2036z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3139, obj_t BgL_nodez00_3140, obj_t BgL_ownerz00_3141,
		obj_t BgL_currentz00_3142)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 357 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1917;
				obj_t BgL_ownerz00_1918;
				obj_t BgL_currentz00_1919;

				BgL_nodez00_1917 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3140);
				BgL_ownerz00_1918 = BgL_ownerz00_3141;
				BgL_currentz00_1919 = BgL_currentz00_3142;
				{
					BgL_varz00_bglt BgL_auxz00_3593;

					{	/* Globalize/new_body.scm 359 */
						BgL_varz00_bglt BgL_arg2184z00_3083;

						BgL_arg2184z00_3083 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1917))->BgL_varz00);
						BgL_auxz00_3593 =
							((BgL_varz00_bglt)
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
								((BgL_nodez00_bglt) BgL_arg2184z00_3083), BgL_ownerz00_1918,
								BgL_currentz00_1919));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1917))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3593), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1917);
			}
		}
	}



/* &rem!-make-box2034 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2makezd2box2034z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3143, obj_t BgL_nodez00_3144, obj_t BgL_ownerz00_3145,
		obj_t BgL_currentz00_3146)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 349 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1909;
				obj_t BgL_ownerz00_1910;
				obj_t BgL_currentz00_1911;

				BgL_nodez00_1909 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3144);
				BgL_ownerz00_1910 = BgL_ownerz00_3145;
				BgL_currentz00_1911 = BgL_currentz00_3146;
				{
					BgL_nodez00_bglt BgL_auxz00_3601;

					{	/* Globalize/new_body.scm 351 */
						BgL_nodez00_bglt BgL_arg2182z00_3081;

						BgL_arg2182z00_3081 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1909))->BgL_valuez00);
						BgL_auxz00_3601 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2182z00_3081,
							BgL_ownerz00_1910, BgL_currentz00_1911);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1909))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3601), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1909);
			}
		}
	}



/* &rem!-jump-ex-it2032 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2jumpzd2exzd2it2032za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3147, obj_t BgL_nodez00_3148, obj_t BgL_ownerz00_3149,
		obj_t BgL_currentz00_3150)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 340 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1900;
				obj_t BgL_ownerz00_1901;
				obj_t BgL_currentz00_1902;

				BgL_nodez00_1900 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3148);
				BgL_ownerz00_1901 = BgL_ownerz00_3149;
				BgL_currentz00_1902 = BgL_currentz00_3150;
				{
					BgL_nodez00_bglt BgL_auxz00_3607;

					{	/* Globalize/new_body.scm 342 */
						BgL_nodez00_bglt BgL_arg2180z00_1906;

						BgL_arg2180z00_1906 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1900))->
							BgL_exitz00);
						BgL_auxz00_3607 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2180z00_1906,
							BgL_ownerz00_1901, BgL_currentz00_1902);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1900))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3607), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3611;

					{	/* Globalize/new_body.scm 343 */
						BgL_nodez00_bglt BgL_arg2181z00_1907;

						BgL_arg2181z00_1907 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1900))->
							BgL_valuez00);
						BgL_auxz00_3611 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2181z00_1907,
							BgL_ownerz00_1901, BgL_currentz00_1902);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1900))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3611), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1900);
			}
		}
	}



/* &rem!-set-ex-it2030 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2setzd2exzd2it2030za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3151, obj_t BgL_nodez00_3152, obj_t BgL_ownerz00_3153,
		obj_t BgL_currentz00_3154)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 332 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1892;
				obj_t BgL_ownerz00_1893;
				obj_t BgL_currentz00_1894;

				BgL_nodez00_1892 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3152);
				BgL_ownerz00_1893 = BgL_ownerz00_3153;
				BgL_currentz00_1894 = BgL_currentz00_3154;
				{
					BgL_nodez00_bglt BgL_auxz00_3617;

					{	/* Globalize/new_body.scm 334 */
						BgL_nodez00_bglt BgL_arg2179z00_3079;

						BgL_arg2179z00_3079 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1892))->
							BgL_bodyz00);
						BgL_auxz00_3617 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2179z00_3079,
							BgL_ownerz00_1893, BgL_currentz00_1894);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1892))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3617), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1892);
			}
		}
	}



/* &rem!-let-var2028 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2var2028z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3155, obj_t BgL_nodez00_3156, obj_t BgL_ownerz00_3157,
		obj_t BgL_currentz00_3158)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 321 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1874;
				obj_t BgL_ownerz00_1875;
				obj_t BgL_currentz00_1876;

				BgL_nodez00_1874 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3156);
				BgL_ownerz00_1875 = BgL_ownerz00_3157;
				BgL_currentz00_1876 = BgL_currentz00_3158;
				{
					BgL_nodez00_bglt BgL_auxz00_3623;

					{	/* Globalize/new_body.scm 323 */
						BgL_nodez00_bglt BgL_arg2173z00_1880;

						BgL_arg2173z00_1880 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1874))->BgL_bodyz00);
						BgL_auxz00_3623 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2173z00_1880,
							BgL_ownerz00_1875, BgL_currentz00_1876);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1874))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3623), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 324 */
					obj_t BgL_g1992z00_1881;

					BgL_g1992z00_1881 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1874))->BgL_bindingsz00);
					{
						obj_t BgL_l1990z00_1883;

						BgL_l1990z00_1883 = BgL_g1992z00_1881;
					BgL_zc3anonymousza32174ze3z83_1884:
						if (PAIRP(BgL_l1990z00_1883))
							{	/* Globalize/new_body.scm 324 */
								{	/* Globalize/new_body.scm 325 */
									obj_t BgL_bindingz00_1886;

									BgL_bindingz00_1886 = CAR(BgL_l1990z00_1883);
									{	/* Globalize/new_body.scm 325 */
										BgL_nodez00_bglt BgL_arg2176z00_1887;

										{	/* Globalize/new_body.scm 325 */
											obj_t BgL_arg2177z00_1888;

											BgL_arg2177z00_1888 = CDR(BgL_bindingz00_1886);
											BgL_arg2176z00_1887 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
												((BgL_nodez00_bglt) BgL_arg2177z00_1888),
												BgL_ownerz00_1875, BgL_currentz00_1876);
										}
										{	/* Globalize/new_body.scm 325 */
											obj_t BgL_pairz00_3075;
											obj_t BgL_objz00_3076;

											BgL_pairz00_3075 = BgL_bindingz00_1886;
											BgL_objz00_3076 = ((obj_t) BgL_arg2176z00_1887);
											SET_CDR(BgL_pairz00_3075, BgL_objz00_3076);
										}
									}
								}
								{
									obj_t BgL_l1990z00_3636;

									BgL_l1990z00_3636 = CDR(BgL_l1990z00_1883);
									BgL_l1990z00_1883 = BgL_l1990z00_3636;
									goto BgL_zc3anonymousza32174ze3z83_1884;
								}
							}
						else
							{	/* Globalize/new_body.scm 324 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1874);
			}
		}
	}



/* &rem!-let-fun2026 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2fun2026z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3159, obj_t BgL_nodez00_3160, obj_t BgL_ownerz00_3161,
		obj_t BgL_currentz00_3162)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 267 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1826;
				obj_t BgL_ownerz00_1827;
				obj_t BgL_currentz00_1828;

				BgL_nodez00_1826 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3160);
				BgL_ownerz00_1827 = BgL_ownerz00_3161;
				BgL_currentz00_1828 = BgL_currentz00_3162;
				{
					BgL_nodez00_bglt BgL_auxz00_3640;

					{	/* Globalize/new_body.scm 269 */
						BgL_nodez00_bglt BgL_arg2134z00_1832;

						BgL_arg2134z00_1832 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1826))->BgL_bodyz00);
						BgL_auxz00_3640 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2134z00_1832,
							BgL_ownerz00_1827, BgL_currentz00_1828);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1826))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3640), BUNSPEC);
				}
				{
					obj_t BgL_obindingsz00_1836;
					obj_t BgL_nbindingsz00_1837;

					{	/* Globalize/new_body.scm 270 */
						obj_t BgL_arg2135z00_1835;

						BgL_arg2135z00_1835 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1826))->BgL_localsz00);
						{
							BgL_letzd2funzd2_bglt BgL_auxz00_3645;

							BgL_obindingsz00_1836 = BgL_arg2135z00_1835;
							BgL_nbindingsz00_1837 = BNIL;
						BgL_zc3anonymousza32136ze3z83_1838:
							if (NULLP(BgL_obindingsz00_1836))
								{	/* Globalize/new_body.scm 273 */
									((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1826))->
											BgL_localsz00) =
										((obj_t) BgL_nbindingsz00_1837), BUNSPEC);
									BgL_auxz00_3645 = BgL_nodez00_1826;
								}
							else
								{	/* Globalize/new_body.scm 276 */
									bool_t BgL_testz00_3649;

									{	/* Globalize/new_body.scm 276 */
										long BgL_n2z00_3026;

										BgL_n2z00_3026 =
											BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
										{	/* Globalize/new_body.scm 276 */
											long BgL_auxz00_3650;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3651;

												{
													obj_t BgL_auxz00_3652;

													{	/* Globalize/new_body.scm 276 */
														BgL_objectz00_bglt BgL_auxz00_3653;

														{
															BgL_sfunz00_bglt BgL_auxz00_3654;

															{
																BgL_valuez00_bglt BgL_auxz00_3655;

																{
																	BgL_variablez00_bglt BgL_auxz00_3656;

																	{
																		BgL_localz00_bglt BgL_auxz00_3657;

																		{	/* Globalize/new_body.scm 276 */
																			obj_t BgL_pairz00_3018;

																			BgL_pairz00_3018 = BgL_obindingsz00_1836;
																			BgL_auxz00_3657 =
																				((BgL_localz00_bglt)
																				CAR(BgL_pairz00_3018));
																		}
																		BgL_auxz00_3656 =
																			((BgL_variablez00_bglt) BgL_auxz00_3657);
																	}
																	BgL_auxz00_3655 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_3656))->BgL_valuez00);
																}
																BgL_auxz00_3654 =
																	((BgL_sfunz00_bglt) BgL_auxz00_3655);
															}
															BgL_auxz00_3653 =
																((BgL_objectz00_bglt) BgL_auxz00_3654);
														}
														BgL_auxz00_3652 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3653);
													}
													BgL_auxz00_3651 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3652);
												}
												BgL_auxz00_3650 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3651))->
													BgL_bmarkz00);
											}
											BgL_testz00_3649 = (BgL_auxz00_3650 == BgL_n2z00_3026);
									}}
									if (BgL_testz00_3649)
										{	/* Globalize/new_body.scm 276 */
											{	/* Globalize/new_body.scm 283 */
												bool_t BgL_testz00_3668;

												{	/* Globalize/new_body.scm 283 */
													obj_t BgL_auxz00_3669;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3670;

														{
															obj_t BgL_auxz00_3671;

															{	/* Globalize/new_body.scm 284 */
																BgL_objectz00_bglt BgL_auxz00_3672;

																{
																	BgL_sfunz00_bglt BgL_auxz00_3673;

																	{
																		BgL_valuez00_bglt BgL_auxz00_3674;

																		{
																			BgL_variablez00_bglt BgL_auxz00_3675;

																			{
																				BgL_localz00_bglt BgL_auxz00_3676;

																				{	/* Globalize/new_body.scm 284 */
																					obj_t BgL_pairz00_3028;

																					BgL_pairz00_3028 =
																						BgL_obindingsz00_1836;
																					BgL_auxz00_3676 =
																						((BgL_localz00_bglt)
																						CAR(BgL_pairz00_3028));
																				}
																				BgL_auxz00_3675 =
																					((BgL_variablez00_bglt)
																					BgL_auxz00_3676);
																			}
																			BgL_auxz00_3674 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_3675))->BgL_valuez00);
																		}
																		BgL_auxz00_3673 =
																			((BgL_sfunz00_bglt) BgL_auxz00_3674);
																	}
																	BgL_auxz00_3672 =
																		((BgL_objectz00_bglt) BgL_auxz00_3673);
																}
																BgL_auxz00_3671 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3672);
															}
															BgL_auxz00_3670 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3671);
														}
														BgL_auxz00_3669 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3670))->BgL_pluggedzd2inzd2);
													}
													BgL_testz00_3668 =
														(BgL_currentz00_1828 == BgL_auxz00_3669);
												}
												if (BgL_testz00_3668)
													{	/* Globalize/new_body.scm 286 */
														obj_t BgL_arg2140z00_1842;
														obj_t BgL_arg2142z00_1843;

														BgL_arg2140z00_1842 = CDR(BgL_obindingsz00_1836);
														BgL_arg2142z00_1843 =
															MAKE_PAIR(CAR(BgL_obindingsz00_1836),
															BgL_nbindingsz00_1837);
														{
															obj_t BgL_nbindingsz00_3691;
															obj_t BgL_obindingsz00_3690;

															BgL_obindingsz00_3690 = BgL_arg2140z00_1842;
															BgL_nbindingsz00_3691 = BgL_arg2142z00_1843;
															BgL_nbindingsz00_1837 = BgL_nbindingsz00_3691;
															BgL_obindingsz00_1836 = BgL_obindingsz00_3690;
															goto BgL_zc3anonymousza32136ze3z83_1838;
														}
													}
												else
													{
														obj_t BgL_obindingsz00_3692;

														BgL_obindingsz00_3692 = CDR(BgL_obindingsz00_1836);
														BgL_obindingsz00_1836 = BgL_obindingsz00_3692;
														goto BgL_zc3anonymousza32136ze3z83_1838;
													}
											}
										}
									else
										{	/* Globalize/new_body.scm 276 */
											if (BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(CAR
													(BgL_obindingsz00_1836), BgL_ownerz00_1827))
												{	/* Globalize/new_body.scm 290 */
													{	/* Globalize/new_body.scm 296 */
														BgL_valuez00_bglt BgL_arg2150z00_1850;

														{
															BgL_variablez00_bglt BgL_auxz00_3697;

															{
																BgL_localz00_bglt BgL_auxz00_3698;

																{	/* Globalize/new_body.scm 296 */
																	obj_t BgL_pairz00_3038;

																	BgL_pairz00_3038 = BgL_obindingsz00_1836;
																	BgL_auxz00_3698 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3038));
																}
																BgL_auxz00_3697 =
																	((BgL_variablez00_bglt) BgL_auxz00_3698);
															}
															BgL_arg2150z00_1850 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_3697))->BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 296 */
															BgL_sfunz00_bglt BgL_oz00_3042;
															long BgL_vz00_3043;

															BgL_oz00_3042 =
																((BgL_sfunz00_bglt) BgL_arg2150z00_1850);
															BgL_vz00_3043 =
																BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3704;

																{
																	obj_t BgL_auxz00_3705;

																	{	/* Globalize/new_body.scm 296 */
																		BgL_objectz00_bglt BgL_auxz00_3706;

																		BgL_auxz00_3706 =
																			((BgL_objectz00_bglt) BgL_oz00_3042);
																		BgL_auxz00_3705 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3706);
																	}
																	BgL_auxz00_3704 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_3705);
																}
																((((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_3704))->BgL_bmarkz00) =
																	((long) BgL_vz00_3043), BUNSPEC);
													}}}
													{	/* Globalize/new_body.scm 298 */
														BgL_valuez00_bglt BgL_arg2152z00_1852;

														{
															BgL_variablez00_bglt BgL_auxz00_3711;

															{
																BgL_localz00_bglt BgL_auxz00_3712;

																{	/* Globalize/new_body.scm 298 */
																	obj_t BgL_pairz00_3045;

																	BgL_pairz00_3045 = BgL_obindingsz00_1836;
																	BgL_auxz00_3712 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3045));
																}
																BgL_auxz00_3711 =
																	((BgL_variablez00_bglt) BgL_auxz00_3712);
															}
															BgL_arg2152z00_1852 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_3711))->BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 298 */
															BgL_sfunz00_bglt BgL_oz00_3049;

															BgL_oz00_3049 =
																((BgL_sfunz00_bglt) BgL_arg2152z00_1852);
															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3718;

																{
																	obj_t BgL_auxz00_3719;

																	{	/* Globalize/new_body.scm 298 */
																		BgL_objectz00_bglt BgL_auxz00_3720;

																		BgL_auxz00_3720 =
																			((BgL_objectz00_bglt) BgL_oz00_3049);
																		BgL_auxz00_3719 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3720);
																	}
																	BgL_auxz00_3718 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_3719);
																}
																((((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_3718))->
																		BgL_pluggedzd2inzd2) =
																	((obj_t) BgL_currentz00_1828), BUNSPEC);
													}}}
													{	/* Globalize/new_body.scm 300 */
														BgL_valuez00_bglt BgL_funz00_1854;

														{
															BgL_variablez00_bglt BgL_auxz00_3725;

															{
																BgL_localz00_bglt BgL_auxz00_3726;

																{	/* Globalize/new_body.scm 300 */
																	obj_t BgL_pairz00_3052;

																	BgL_pairz00_3052 = BgL_obindingsz00_1836;
																	BgL_auxz00_3726 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3052));
																}
																BgL_auxz00_3725 =
																	((BgL_variablez00_bglt) BgL_auxz00_3726);
															}
															BgL_funz00_1854 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_3725))->BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 300 */
															obj_t BgL_bodz00_1855;

															BgL_bodz00_1855 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt) BgL_funz00_1854)))->
																BgL_bodyz00);
															{	/* Globalize/new_body.scm 301 */

																{	/* Globalize/new_body.scm 302 */
																	BgL_nodez00_bglt BgL_arg2154z00_1856;

																	{	/* Globalize/new_body.scm 302 */
																		obj_t BgL_arg2155z00_1857;

																		BgL_arg2155z00_1857 =
																			CAR(BgL_obindingsz00_1836);
																		BgL_arg2154z00_1856 =
																			BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
																			((BgL_nodez00_bglt) BgL_bodz00_1855),
																			BgL_ownerz00_1827, BgL_arg2155z00_1857);
																	}
																	{	/* Globalize/new_body.scm 302 */
																		BgL_sfunz00_bglt BgL_oz00_3059;
																		obj_t BgL_vz00_3060;

																		BgL_oz00_3059 =
																			((BgL_sfunz00_bglt) BgL_funz00_1854);
																		BgL_vz00_3060 =
																			((obj_t) BgL_arg2154z00_1856);
																		((((BgL_sfunz00_bglt) CREF(BgL_oz00_3059))->
																				BgL_bodyz00) =
																			((obj_t) BgL_vz00_3060), BUNSPEC);
																}}
																{	/* Globalize/new_body.scm 303 */
																	obj_t BgL_arg2156z00_1858;
																	obj_t BgL_arg2157z00_1859;

																	BgL_arg2156z00_1858 =
																		CDR(BgL_obindingsz00_1836);
																	BgL_arg2157z00_1859 =
																		MAKE_PAIR(CAR(BgL_obindingsz00_1836),
																		BgL_nbindingsz00_1837);
																	{
																		obj_t BgL_nbindingsz00_3743;
																		obj_t BgL_obindingsz00_3742;

																		BgL_obindingsz00_3742 = BgL_arg2156z00_1858;
																		BgL_nbindingsz00_3743 = BgL_arg2157z00_1859;
																		BgL_nbindingsz00_1837 =
																			BgL_nbindingsz00_3743;
																		BgL_obindingsz00_1836 =
																			BgL_obindingsz00_3742;
																		goto BgL_zc3anonymousza32136ze3z83_1838;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Globalize/new_body.scm 305 */
													bool_t BgL_testz00_3744;

													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_3745;

														{
															obj_t BgL_auxz00_3746;

															{	/* Globalize/new_body.scm 305 */
																BgL_objectz00_bglt BgL_auxz00_3747;

																{
																	BgL_localz00_bglt BgL_auxz00_3748;

																	{	/* Globalize/new_body.scm 305 */
																		obj_t BgL_pairz00_3064;

																		BgL_pairz00_3064 = BgL_obindingsz00_1836;
																		BgL_auxz00_3748 =
																			((BgL_localz00_bglt)
																			CAR(BgL_pairz00_3064));
																	}
																	BgL_auxz00_3747 =
																		((BgL_objectz00_bglt) BgL_auxz00_3748);
																}
																BgL_auxz00_3746 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3747);
															}
															BgL_auxz00_3745 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3746);
														}
														BgL_testz00_3744 =
															(((BgL_localzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3745))->BgL_escapezf3zf3);
													}
													if (BgL_testz00_3744)
														{	/* Globalize/new_body.scm 305 */
															{	/* Globalize/new_body.scm 309 */
																obj_t BgL_arg2161z00_1863;
																obj_t BgL_arg2163z00_1864;

																BgL_arg2161z00_1863 =
																	CDR(BgL_obindingsz00_1836);
																BgL_arg2163z00_1864 =
																	MAKE_PAIR(CAR(BgL_obindingsz00_1836),
																	BgL_nbindingsz00_1837);
																{
																	obj_t BgL_nbindingsz00_3759;
																	obj_t BgL_obindingsz00_3758;

																	BgL_obindingsz00_3758 = BgL_arg2161z00_1863;
																	BgL_nbindingsz00_3759 = BgL_arg2163z00_1864;
																	BgL_nbindingsz00_1837 = BgL_nbindingsz00_3759;
																	BgL_obindingsz00_1836 = BgL_obindingsz00_3758;
																	goto BgL_zc3anonymousza32136ze3z83_1838;
																}
															}
														}
													else
														{	/* Globalize/new_body.scm 305 */
															{
																obj_t BgL_obindingsz00_3760;

																BgL_obindingsz00_3760 =
																	CDR(BgL_obindingsz00_1836);
																BgL_obindingsz00_1836 = BgL_obindingsz00_3760;
																goto BgL_zc3anonymousza32136ze3z83_1838;
															}
														}
												}
										}
								}
							return ((BgL_nodez00_bglt) BgL_auxz00_3645);
						}
					}
				}
			}
		}
	}



/* &rem!-select2024 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2select2024za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3163, obj_t BgL_nodez00_3164, obj_t BgL_ownerz00_3165,
		obj_t BgL_currentz00_3166)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 256 */
			{
				BgL_selectz00_bglt BgL_nodez00_1808;
				obj_t BgL_ownerz00_1809;
				obj_t BgL_currentz00_1810;

				BgL_nodez00_1808 = ((BgL_selectz00_bglt) BgL_nodez00_3164);
				BgL_ownerz00_1809 = BgL_ownerz00_3165;
				BgL_currentz00_1810 = BgL_currentz00_3166;
				{
					BgL_nodez00_bglt BgL_auxz00_3764;

					{	/* Globalize/new_body.scm 258 */
						BgL_nodez00_bglt BgL_arg2128z00_1814;

						BgL_arg2128z00_1814 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1808))->BgL_testz00);
						BgL_auxz00_3764 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2128z00_1814,
							BgL_ownerz00_1809, BgL_currentz00_1810);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1808))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3764), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 259 */
					obj_t BgL_g1989z00_1815;

					BgL_g1989z00_1815 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1808))->BgL_clausesz00);
					{
						obj_t BgL_l1987z00_1817;

						BgL_l1987z00_1817 = BgL_g1989z00_1815;
					BgL_zc3anonymousza32129ze3z83_1818:
						if (PAIRP(BgL_l1987z00_1817))
							{	/* Globalize/new_body.scm 259 */
								{	/* Globalize/new_body.scm 260 */
									obj_t BgL_clausez00_1820;

									BgL_clausez00_1820 = CAR(BgL_l1987z00_1817);
									{	/* Globalize/new_body.scm 260 */
										BgL_nodez00_bglt BgL_arg2131z00_1821;

										{	/* Globalize/new_body.scm 260 */
											obj_t BgL_arg2132z00_1822;

											BgL_arg2132z00_1822 = CDR(BgL_clausez00_1820);
											BgL_arg2131z00_1821 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
												((BgL_nodez00_bglt) BgL_arg2132z00_1822),
												BgL_ownerz00_1809, BgL_currentz00_1810);
										}
										{	/* Globalize/new_body.scm 260 */
											obj_t BgL_pairz00_3013;
											obj_t BgL_objz00_3014;

											BgL_pairz00_3013 = BgL_clausez00_1820;
											BgL_objz00_3014 = ((obj_t) BgL_arg2131z00_1821);
											SET_CDR(BgL_pairz00_3013, BgL_objz00_3014);
										}
									}
								}
								{
									obj_t BgL_l1987z00_3777;

									BgL_l1987z00_3777 = CDR(BgL_l1987z00_1817);
									BgL_l1987z00_1817 = BgL_l1987z00_3777;
									goto BgL_zc3anonymousza32129ze3z83_1818;
								}
							}
						else
							{	/* Globalize/new_body.scm 259 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1808);
			}
		}
	}



/* &rem!-fail2022 */
	BgL_nodez00_bglt BGl_z62remz12zd2fail2022za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3167, obj_t BgL_nodez00_3168, obj_t BgL_ownerz00_3169,
		obj_t BgL_currentz00_3170)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 246 */
			{
				BgL_failz00_bglt BgL_nodez00_1798;
				obj_t BgL_ownerz00_1799;
				obj_t BgL_currentz00_1800;

				BgL_nodez00_1798 = ((BgL_failz00_bglt) BgL_nodez00_3168);
				BgL_ownerz00_1799 = BgL_ownerz00_3169;
				BgL_currentz00_1800 = BgL_currentz00_3170;
				{
					BgL_nodez00_bglt BgL_auxz00_3781;

					{	/* Globalize/new_body.scm 248 */
						BgL_nodez00_bglt BgL_arg2125z00_1804;

						BgL_arg2125z00_1804 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_procz00);
						BgL_auxz00_3781 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2125z00_1804,
							BgL_ownerz00_1799, BgL_currentz00_1800);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3781), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3785;

					{	/* Globalize/new_body.scm 249 */
						BgL_nodez00_bglt BgL_arg2126z00_1805;

						BgL_arg2126z00_1805 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_msgz00);
						BgL_auxz00_3785 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2126z00_1805,
							BgL_ownerz00_1799, BgL_currentz00_1800);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3785), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3789;

					{	/* Globalize/new_body.scm 250 */
						BgL_nodez00_bglt BgL_arg2127z00_1806;

						BgL_arg2127z00_1806 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_objz00);
						BgL_auxz00_3789 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2127z00_1806,
							BgL_ownerz00_1799, BgL_currentz00_1800);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1798))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3789), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1798);
			}
		}
	}



/* &rem!-conditional2020 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2conditional2020za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3171, obj_t BgL_nodez00_3172, obj_t BgL_ownerz00_3173,
		obj_t BgL_currentz00_3174)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 236 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1788;
				obj_t BgL_ownerz00_1789;
				obj_t BgL_currentz00_1790;

				BgL_nodez00_1788 = ((BgL_conditionalz00_bglt) BgL_nodez00_3172);
				BgL_ownerz00_1789 = BgL_ownerz00_3173;
				BgL_currentz00_1790 = BgL_currentz00_3174;
				{
					BgL_nodez00_bglt BgL_auxz00_3795;

					{	/* Globalize/new_body.scm 238 */
						BgL_nodez00_bglt BgL_arg2122z00_1794;

						BgL_arg2122z00_1794 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->BgL_testz00);
						BgL_auxz00_3795 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2122z00_1794,
							BgL_ownerz00_1789, BgL_currentz00_1790);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3795), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3799;

					{	/* Globalize/new_body.scm 239 */
						BgL_nodez00_bglt BgL_arg2123z00_1795;

						BgL_arg2123z00_1795 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->BgL_truez00);
						BgL_auxz00_3799 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2123z00_1795,
							BgL_ownerz00_1789, BgL_currentz00_1790);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3799), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3803;

					{	/* Globalize/new_body.scm 240 */
						BgL_nodez00_bglt BgL_arg2124z00_1796;

						BgL_arg2124z00_1796 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->
							BgL_falsez00);
						BgL_auxz00_3803 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2124z00_1796,
							BgL_ownerz00_1789, BgL_currentz00_1790);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1788))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3803), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1788);
			}
		}
	}



/* &rem!-setq2018 */
	BgL_nodez00_bglt BGl_z62remz12zd2setq2018za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3175, obj_t BgL_nodez00_3176, obj_t BgL_ownerz00_3177,
		obj_t BgL_currentz00_3178)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 228 */
			{
				BgL_setqz00_bglt BgL_nodez00_1780;
				obj_t BgL_ownerz00_1781;
				obj_t BgL_currentz00_1782;

				BgL_nodez00_1780 = ((BgL_setqz00_bglt) BgL_nodez00_3176);
				BgL_ownerz00_1781 = BgL_ownerz00_3177;
				BgL_currentz00_1782 = BgL_currentz00_3178;
				{
					BgL_nodez00_bglt BgL_auxz00_3809;

					{	/* Globalize/new_body.scm 230 */
						BgL_nodez00_bglt BgL_arg2119z00_3008;

						BgL_arg2119z00_3008 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1780))->BgL_valuez00);
						BgL_auxz00_3809 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2119z00_3008,
							BgL_ownerz00_1781, BgL_currentz00_1782);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1780))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3809), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1780);
			}
		}
	}



/* &rem!-cast2016 */
	BgL_nodez00_bglt BGl_z62remz12zd2cast2016za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3179, obj_t BgL_nodez00_3180, obj_t BgL_ownerz00_3181,
		obj_t BgL_currentz00_3182)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 220 */
			{
				BgL_castz00_bglt BgL_nodez00_1772;
				obj_t BgL_ownerz00_1773;
				obj_t BgL_currentz00_1774;

				BgL_nodez00_1772 = ((BgL_castz00_bglt) BgL_nodez00_3180);
				BgL_ownerz00_1773 = BgL_ownerz00_3181;
				BgL_currentz00_1774 = BgL_currentz00_3182;
				BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1772))->BgL_argz00),
					BgL_ownerz00_1773, BgL_currentz00_1774);
				return ((BgL_nodez00_bglt) BgL_nodez00_1772);
			}
		}
	}



/* &rem!-extern2014 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2extern2014za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3183, obj_t BgL_nodez00_3184, obj_t BgL_ownerz00_3185,
		obj_t BgL_currentz00_3186)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 212 */
			{
				BgL_externz00_bglt BgL_nodez00_1764;
				obj_t BgL_ownerz00_1765;
				obj_t BgL_currentz00_1766;

				BgL_nodez00_1764 = ((BgL_externz00_bglt) BgL_nodez00_3184);
				BgL_ownerz00_1765 = BgL_ownerz00_3185;
				BgL_currentz00_1766 = BgL_currentz00_3186;
				BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1764))->BgL_exprza2za2),
					BgL_ownerz00_1765, BgL_currentz00_1766);
				return ((BgL_nodez00_bglt) BgL_nodez00_1764);
			}
		}
	}



/* &rem!-funcall2012 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2funcall2012za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3187, obj_t BgL_nodez00_3188, obj_t BgL_ownerz00_3189,
		obj_t BgL_currentz00_3190)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 203 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1755;
				obj_t BgL_ownerz00_1756;
				obj_t BgL_currentz00_1757;

				BgL_nodez00_1755 = ((BgL_funcallz00_bglt) BgL_nodez00_3188);
				BgL_ownerz00_1756 = BgL_ownerz00_3189;
				BgL_currentz00_1757 = BgL_currentz00_3190;
				{
					BgL_nodez00_bglt BgL_auxz00_3823;

					{	/* Globalize/new_body.scm 205 */
						BgL_nodez00_bglt BgL_arg2112z00_1761;

						BgL_arg2112z00_1761 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1755))->BgL_funz00);
						BgL_auxz00_3823 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2112z00_1761,
							BgL_ownerz00_1756, BgL_currentz00_1757);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1755))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3823), BUNSPEC);
				}
				BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1755))->BgL_argsz00),
					BgL_ownerz00_1756, BgL_currentz00_1757);
				return ((BgL_nodez00_bglt) BgL_nodez00_1755);
			}
		}
	}



/* &rem!-app-ly2010 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2appzd2ly2010z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3191, obj_t BgL_nodez00_3192, obj_t BgL_ownerz00_3193,
		obj_t BgL_currentz00_3194)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 194 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1746;
				obj_t BgL_ownerz00_1747;
				obj_t BgL_currentz00_1748;

				BgL_nodez00_1746 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3192);
				BgL_ownerz00_1747 = BgL_ownerz00_3193;
				BgL_currentz00_1748 = BgL_currentz00_3194;
				{
					BgL_nodez00_bglt BgL_auxz00_3831;

					{	/* Globalize/new_body.scm 196 */
						BgL_nodez00_bglt BgL_arg2110z00_1752;

						BgL_arg2110z00_1752 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1746))->BgL_funz00);
						BgL_auxz00_3831 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2110z00_1752,
							BgL_ownerz00_1747, BgL_currentz00_1748);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1746))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3831), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3835;

					{	/* Globalize/new_body.scm 197 */
						BgL_nodez00_bglt BgL_arg2111z00_1753;

						BgL_arg2111z00_1753 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1746))->BgL_argz00);
						BgL_auxz00_3835 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2111z00_1753,
							BgL_ownerz00_1747, BgL_currentz00_1748);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1746))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3835), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1746);
			}
		}
	}



/* &rem!-app2008 */
	BgL_nodez00_bglt BGl_z62remz12zd2app2008za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3195, obj_t BgL_nodez00_3196, obj_t BgL_ownerz00_3197,
		obj_t BgL_currentz00_3198)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 186 */
			{
				BgL_appz00_bglt BgL_nodez00_1738;
				obj_t BgL_ownerz00_1739;
				obj_t BgL_currentz00_1740;

				BgL_nodez00_1738 = ((BgL_appz00_bglt) BgL_nodez00_3196);
				BgL_ownerz00_1739 = BgL_ownerz00_3197;
				BgL_currentz00_1740 = BgL_currentz00_3198;
				BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1738))->BgL_argsz00),
					BgL_ownerz00_1739, BgL_currentz00_1740);
				return ((BgL_nodez00_bglt) BgL_nodez00_1738);
			}
		}
	}



/* &rem!-sync2006 */
	BgL_nodez00_bglt BGl_z62remz12zd2sync2006za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3199, obj_t BgL_nodez00_3200, obj_t BgL_ownerz00_3201,
		obj_t BgL_currentz00_3202)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 176 */
			{
				BgL_syncz00_bglt BgL_nodez00_1728;
				obj_t BgL_ownerz00_1729;
				obj_t BgL_currentz00_1730;

				BgL_nodez00_1728 = ((BgL_syncz00_bglt) BgL_nodez00_3200);
				BgL_ownerz00_1729 = BgL_ownerz00_3201;
				BgL_currentz00_1730 = BgL_currentz00_3202;
				{
					BgL_nodez00_bglt BgL_auxz00_3845;

					{	/* Globalize/new_body.scm 178 */
						BgL_nodez00_bglt BgL_arg2106z00_1734;

						BgL_arg2106z00_1734 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1728))->BgL_mutexz00);
						BgL_auxz00_3845 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2106z00_1734,
							BgL_ownerz00_1729, BgL_currentz00_1730);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1728))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3845), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3849;

					{	/* Globalize/new_body.scm 179 */
						BgL_nodez00_bglt BgL_arg2107z00_1735;

						BgL_arg2107z00_1735 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1728))->BgL_prelockz00);
						BgL_auxz00_3849 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg2107z00_1735,
							BgL_ownerz00_1729, BgL_currentz00_1730);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1728))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3849), BUNSPEC);
				}
				BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1728))->BgL_nodesz00),
					BgL_ownerz00_1729, BgL_currentz00_1730);
				return ((BgL_nodez00_bglt) BgL_nodez00_1728);
			}
		}
	}



/* &rem!-sequence2004 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2sequence2004za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3203, obj_t BgL_nodez00_3204, obj_t BgL_ownerz00_3205,
		obj_t BgL_currentz00_3206)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 168 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1720;
				obj_t BgL_ownerz00_1721;
				obj_t BgL_currentz00_1722;

				BgL_nodez00_1720 = ((BgL_sequencez00_bglt) BgL_nodez00_3204);
				BgL_ownerz00_1721 = BgL_ownerz00_3205;
				BgL_currentz00_1722 = BgL_currentz00_3206;
				BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1720))->BgL_nodesz00),
					BgL_ownerz00_1721, BgL_currentz00_1722);
				return ((BgL_nodez00_bglt) BgL_nodez00_1720);
			}
		}
	}



/* &rem!-var2001 */
	BgL_nodez00_bglt BGl_z62remz12zd2var2001za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3207, obj_t BgL_nodez00_3208, obj_t BgL_ownerz00_3209,
		obj_t BgL_currentz00_3210)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 162 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3208));
		}
	}



/* &rem!-kwote1998 */
	BgL_nodez00_bglt BGl_z62remz12zd2kwote1998za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3211, obj_t BgL_nodez00_3212, obj_t BgL_ownerz00_3213,
		obj_t BgL_currentz00_3214)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 156 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3212));
		}
	}



/* &rem!-atom1996 */
	BgL_nodez00_bglt BGl_z62remz12zd2atom1996za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_3215, obj_t BgL_nodez00_3216, obj_t BgL_ownerz00_3217,
		obj_t BgL_currentz00_3218)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 150 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3216));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string2328z00zzglobaliza7e_newzd2bodyz75));
		}
	}

#ifdef __cplusplus
}
#endif
