/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/loop.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1982z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1999za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1952z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1950z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i2004z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1986z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it2001z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf31923z91zzinline_loopz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1989z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1938z43zzinline_loopz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1975z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1993z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static obj_t BGl_z62findzd2letzd2funzf3zd2select1947z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1932z91zzinline_loopz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1940z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1928z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1954z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1934z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1945z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box2006za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref2008za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz122010zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1973z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00();
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1936z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1971z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1942z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1930z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1977z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1961z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1958z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1991z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1956z91zzinline_loopz00(obj_t, obj_t);
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1967z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1997za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1963z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1979za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2select1995z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1926z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1984z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nestzd2loopz121964za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1969z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2235z00zzinline_loopz00,
		BgL_bgl_string2235za700za7za7i2284za7, "find-let-fun?1923", 17);
	      DEFINE_STRING(BGl_string2237z00zzinline_loopz00,
		BgL_bgl_string2237za700za7za7i2285za7, "nest-loop!1964", 14);
	      DEFINE_STRING(BGl_string2238z00zzinline_loopz00,
		BgL_bgl_string2238za700za7za7i2286za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2240z00zzinline_loopz00,
		BgL_bgl_string2240za700za7za7i2287za7, "find-let-fun?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22288za7,
		BGl_z62findzd2letzd2funzf31923z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712289za7,
		BGl_z62nestzd2loopz121964za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22290za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1926z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22291za7,
		BGl_z62findzd2letzd2funzf3zd2sync1928z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22292za7,
		BGl_z62findzd2letzd2funzf3zd2app1930z43zzinline_loopz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22293za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22294za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1932z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22295za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1934z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22296za7,
		BGl_z62findzd2letzd2funzf3zd2extern1936z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22297za7,
		BGl_z62findzd2letzd2funzf3zd2cast1938z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22298za7,
		BGl_z62findzd2letzd2funzf3zd2setq1940z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22299za7,
		BGl_z62findzd2letzd2funzf3zd2condit1942z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22300za7,
		BGl_z62findzd2letzd2funzf3zd2fail1945z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2259z00zzinline_loopz00,
		BgL_bgl_string2259za700za7za7i2301za7, "nest-loop!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22302za7,
		BGl_z62findzd2letzd2funzf3zd2select1947z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22303za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1950z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22304za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1952z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22305za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1954z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22306za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1956z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22307za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1958z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22308za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1961z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d22309za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1963z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712310za7,
		BGl_z62nestzd2loopz12zd2atom1967z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712311za7,
		BGl_z62nestzd2loopz12zd2kwote1969z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712312za7,
		BGl_z62nestzd2loopz12zd2var1971z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712313za7,
		BGl_z62nestzd2loopz12zd2sequence1973z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712314za7,
		BGl_z62nestzd2loopz12zd2sync1975z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712315za7,
		BGl_z62nestzd2loopz12zd2app1977z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712316za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1979za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712317za7,
		BGl_z62nestzd2loopz12zd2funcall1982z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712318za7,
		BGl_z62nestzd2loopz12zd2extern1984z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712319za7,
		BGl_z62nestzd2loopz12zd2cast1986z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712320za7,
		BGl_z62nestzd2loopz12zd2setq1989z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712321za7,
		BGl_z62nestzd2loopz12zd2condition1991z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712322za7,
		BGl_z62nestzd2loopz12zd2fail1993z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712323za7,
		BGl_z62nestzd2loopz12zd2select1995z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712324za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1997za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2280z00zzinline_loopz00,
		BgL_bgl_string2280za700za7za7i2325za7, "inline_loop", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712326za7,
		BGl_z62nestzd2loopz12zd2letzd2var1999za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2281z00zzinline_loopz00,
		BgL_bgl_string2281za700za7za7i2327za7, "nest-loop!1964 done ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712328za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it2001z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712329za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i2004z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712330za7,
		BGl_z62nestzd2loopz12zd2makezd2box2006za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712331za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref2008za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712332za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz122010zb0zzinline_loopz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza72333za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za72334z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712335za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2967, char *BgL_fromz00_2968)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_loop");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2948;

				BgL_cportz00_2948 =
					bgl_open_input_string(BGl_string2281z00zzinline_loopz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2949;

					BgL_iz00_2949 = ((long) 1);
				BgL_loopz00_2950:
					if ((BgL_iz00_2949 == ((long) -1)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg2283z00_2952;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2954;

										BgL_locationz00_2954 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg2283z00_2952 =
												BGl_readz00zz__readerz00(BgL_cportz00_2948,
												BgL_locationz00_2954);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_auxz00_2989;

									BgL_auxz00_2989 = (int) (BgL_iz00_2949);
									CNST_TABLE_SET(BgL_auxz00_2989, BgL_arg2283z00_2952);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2955;

								BgL_auxz00_2955 = (int) ((BgL_iz00_2949 - ((long) 1)));
								{
									long BgL_iz00_2994;

									BgL_iz00_2994 = (long) (BgL_auxz00_2955);
									BgL_iz00_2949 = BgL_iz00_2994;
									goto BgL_loopz00_2950;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_auxz00_2998;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_auxz00_2999;

						{
							BgL_isfunz00_bglt BgL_auxz00_3000;

							{
								obj_t BgL_auxz00_3001;

								{	/* Inline/loop.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3002;

									BgL_auxz00_3002 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
												BgL_valuez00)));
									BgL_auxz00_3001 = BGL_OBJECT_WIDENING(BgL_auxz00_3002);
								}
								BgL_auxz00_3000 = ((BgL_isfunz00_bglt) BgL_auxz00_3001);
							}
							BgL_auxz00_2999 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3000))->
								BgL_recursivezd2callszd2);
						}
						BgL_auxz00_2998 = bgl_list_length(BgL_auxz00_2999);
					}
					return (BgL_auxz00_2998 == ((long) 1));
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}
	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2771,
		obj_t BgL_variablez00_2772)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2772)));
		}
	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg2019z00_2567;

				BgL_arg2019z00_2567 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg2019z00_2567)));
			}
		}
	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2773,
		obj_t BgL_variablez00_2774)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2774)));
		}
	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 197 */
			{
				obj_t BgL_nodeza2za2_1408;

				BgL_nodeza2za2_1408 = BgL_nodeza2za2_24;
			BgL_zc3anonymousza32021ze3z83_1409:
				if (NULLP(BgL_nodeza2za2_1408))
					{	/* Inline/loop.scm 200 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 202 */
						bool_t BgL_testz00_3025;

						{	/* Inline/loop.scm 202 */
							obj_t BgL_arg2026z00_1413;

							BgL_arg2026z00_1413 = CAR(BgL_nodeza2za2_1408);
							BgL_testz00_3025 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg2026z00_1413)));
						}
						if (BgL_testz00_3025)
							{	/* Inline/loop.scm 202 */
								return ((bool_t) 1);
							}
						else
							{
								obj_t BgL_nodeza2za2_3030;

								BgL_nodeza2za2_3030 = CDR(BgL_nodeza2za2_1408);
								BgL_nodeza2za2_1408 = BgL_nodeza2za2_3030;
								goto BgL_zc3anonymousza32021ze3z83_1409;
							}
					}
			}
		}
	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 399 */
			{
				obj_t BgL_nodeza2za2_1416;

				BgL_nodeza2za2_1416 = BgL_nodeza2za2_91;
			BgL_zc3anonymousza32027ze3z83_1417:
				if (NULLP(BgL_nodeza2za2_1416))
					{	/* Inline/loop.scm 401 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Inline/loop.scm 401 */
						{	/* Inline/loop.scm 404 */
							BgL_nodez00_bglt BgL_arg2029z00_1419;

							{	/* Inline/loop.scm 404 */
								obj_t BgL_arg2030z00_1420;

								BgL_arg2030z00_1420 = CAR(BgL_nodeza2za2_1416);
								BgL_arg2029z00_1419 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg2030z00_1420),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 404 */
								obj_t BgL_pairz00_2581;
								obj_t BgL_objz00_2582;

								BgL_pairz00_2581 = BgL_nodeza2za2_1416;
								BgL_objz00_2582 = ((obj_t) BgL_arg2029z00_1419);
								SET_CAR(BgL_pairz00_2581, BgL_objz00_2582);
							}
						}
						{
							obj_t BgL_nodeza2za2_3041;

							BgL_nodeza2za2_3041 = CDR(BgL_nodeza2za2_1416);
							BgL_nodeza2za2_1416 = BgL_nodeza2za2_3041;
							goto BgL_zc3anonymousza32027ze3z83_1417;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc2234z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string2235z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc2236z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string2237z00zzinline_loopz00);
		}
	}



/* &nest-loop!1964 */
	obj_t BGl_z62nestzd2loopz121964za2zzinline_loopz00(obj_t BgL_envz00_2777,
		obj_t BgL_nodez00_2778, obj_t BgL_localz00_2779, obj_t BgL_nesterz00_2780)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			{
				BgL_nodez00_bglt BgL_nodez00_1428;
				BgL_localz00_bglt BgL_localz00_1429;
				obj_t BgL_nesterz00_1430;

				BgL_nodez00_1428 = ((BgL_nodez00_bglt) BgL_nodez00_2778);
				BgL_localz00_1429 = ((BgL_localz00_bglt) BgL_localz00_2779);
				BgL_nesterz00_1430 = BgL_nesterz00_2780;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2238z00zzinline_loopz00, ((obj_t) BgL_nodez00_1428));
		}}
	}



/* &find-let-fun?1923 */
	obj_t BGl_z62findzd2letzd2funzf31923z91zzinline_loopz00(obj_t BgL_envz00_2781,
		obj_t BgL_nodez00_2782)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}
	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1924z00_1433;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res2204z00_2612;

					{	/* Inline/loop.scm 55 */
						BgL_objectz00_bglt BgL_objz00_2584;

						BgL_objz00_2584 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Inline/loop.scm 55 */
							long BgL_objzd2classzd2numz00_2585;

							{	/* Inline/loop.scm 55 */
								long BgL_res2198z00_2588;

								BgL_res2198z00_2588 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2584);
								BgL_objzd2classzd2numz00_2585 = BgL_res2198z00_2588;
							}
							{	/* Inline/loop.scm 55 */
								obj_t BgL_arg1803z00_2586;

								BgL_arg1803z00_2586 =
									PROCEDURE_REF
									(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
									(int) (((long) 1)));
								{	/* Inline/loop.scm 55 */
									obj_t BgL_arrayz00_2589;
									int BgL_offsetz00_2590;

									BgL_arrayz00_2589 = BgL_arg1803z00_2586;
									BgL_offsetz00_2590 = (int) (BgL_objzd2classzd2numz00_2585);
									{	/* Inline/loop.scm 55 */
										long BgL_offsetz00_2591;

										BgL_offsetz00_2591 =
											((long) (BgL_offsetz00_2590) - OBJECT_TYPE);
										{	/* Inline/loop.scm 55 */
											long BgL_modz00_2592;

											{	/* Inline/loop.scm 55 */
												int BgL_arg1805z00_2593;

												BgL_arg1805z00_2593 = (int) (((long) 16));
												{	/* Inline/loop.scm 55 */
													long BgL_res2201z00_2603;

													{	/* Inline/loop.scm 55 */
														long BgL_auxz00_3059;

														BgL_auxz00_3059 = (long) (BgL_arg1805z00_2593);
														BgL_res2201z00_2603 =
															(BgL_offsetz00_2591 / BgL_auxz00_3059);
													}
													BgL_modz00_2592 = BgL_res2201z00_2603;
											}}
											{	/* Inline/loop.scm 55 */
												long BgL_restz00_2594;

												{	/* Inline/loop.scm 55 */
													int BgL_arg1804z00_2595;

													BgL_arg1804z00_2595 = (int) (((long) 16));
													{	/* Inline/loop.scm 55 */
														long BgL_res2203z00_2607;

														{	/* Inline/loop.scm 55 */
															long BgL_auxz00_3063;

															BgL_auxz00_3063 = (long) (BgL_arg1804z00_2595);
															BgL_res2203z00_2607 =
																(BgL_offsetz00_2591 % BgL_auxz00_3063);
														}
														BgL_restz00_2594 = BgL_res2203z00_2607;
												}}
												{	/* Inline/loop.scm 55 */

													BgL_res2204z00_2612 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2589,
															(int) (BgL_modz00_2592)),
														(int) (BgL_restz00_2594));
					}}}}}}}}
					BgL_method1924z00_1433 = BgL_res2204z00_2612;
				}
				return
					PROCEDURE_ENTRY(BgL_method1924z00_1433) (BgL_method1924z00_1433,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2783,
		obj_t BgL_nodez00_2784)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2784));
		}
	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			{	/* Inline/loop.scm 210 */
				obj_t BgL_method1965z00_1434;

				{	/* Inline/loop.scm 210 */
					obj_t BgL_res2211z00_2641;

					{	/* Inline/loop.scm 210 */
						BgL_objectz00_bglt BgL_objz00_2613;

						BgL_objz00_2613 = ((BgL_objectz00_bglt) BgL_nodez00_25);
						{	/* Inline/loop.scm 210 */
							long BgL_objzd2classzd2numz00_2614;

							{	/* Inline/loop.scm 210 */
								long BgL_res2205z00_2617;

								BgL_res2205z00_2617 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2613);
								BgL_objzd2classzd2numz00_2614 = BgL_res2205z00_2617;
							}
							{	/* Inline/loop.scm 210 */
								obj_t BgL_arg1803z00_2615;

								BgL_arg1803z00_2615 =
									PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
									(int) (((long) 1)));
								{	/* Inline/loop.scm 210 */
									obj_t BgL_arrayz00_2618;
									int BgL_offsetz00_2619;

									BgL_arrayz00_2618 = BgL_arg1803z00_2615;
									BgL_offsetz00_2619 = (int) (BgL_objzd2classzd2numz00_2614);
									{	/* Inline/loop.scm 210 */
										long BgL_offsetz00_2620;

										BgL_offsetz00_2620 =
											((long) (BgL_offsetz00_2619) - OBJECT_TYPE);
										{	/* Inline/loop.scm 210 */
											long BgL_modz00_2621;

											{	/* Inline/loop.scm 210 */
												int BgL_arg1805z00_2622;

												BgL_arg1805z00_2622 = (int) (((long) 16));
												{	/* Inline/loop.scm 210 */
													long BgL_res2208z00_2632;

													{	/* Inline/loop.scm 210 */
														long BgL_auxz00_3085;

														BgL_auxz00_3085 = (long) (BgL_arg1805z00_2622);
														BgL_res2208z00_2632 =
															(BgL_offsetz00_2620 / BgL_auxz00_3085);
													}
													BgL_modz00_2621 = BgL_res2208z00_2632;
											}}
											{	/* Inline/loop.scm 210 */
												long BgL_restz00_2623;

												{	/* Inline/loop.scm 210 */
													int BgL_arg1804z00_2624;

													BgL_arg1804z00_2624 = (int) (((long) 16));
													{	/* Inline/loop.scm 210 */
														long BgL_res2210z00_2636;

														{	/* Inline/loop.scm 210 */
															long BgL_auxz00_3089;

															BgL_auxz00_3089 = (long) (BgL_arg1804z00_2624);
															BgL_res2210z00_2636 =
																(BgL_offsetz00_2620 % BgL_auxz00_3089);
														}
														BgL_restz00_2623 = BgL_res2210z00_2636;
												}}
												{	/* Inline/loop.scm 210 */

													BgL_res2211z00_2641 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2618,
															(int) (BgL_modz00_2621)),
														(int) (BgL_restz00_2623));
					}}}}}}}}
					BgL_method1965z00_1434 = BgL_res2211z00_2641;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1965z00_1434) (BgL_method1965z00_1434,
						((obj_t) BgL_nodez00_25),
						((obj_t) BgL_localz00_26), BgL_nesterz00_27, BEOA));
			}
		}
	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2785, obj_t BgL_nodez00_2786, obj_t BgL_localz00_2787,
		obj_t BgL_nesterz00_2788)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2786),
				((BgL_localz00_bglt) BgL_localz00_2787), BgL_nesterz00_2788);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2239z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc2241z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc2242z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2243z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2244z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc2245z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc2246z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc2247z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2248z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc2249z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_selectz00zzast_nodez00, BGl_proc2250z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2251z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2252z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2253z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2254z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2255z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2256z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2257z00zzinline_loopz00,
				BGl_string2240z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc2258z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2260z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc2261z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2262z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc2263z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc2264z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2265z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2266z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc2267z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc2268z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc2269z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2270z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc2271z00zzinline_loopz00, BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_selectz00zzast_nodez00, BGl_proc2272z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2273z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2274z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2275z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2276z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2277z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2278z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2279z00zzinline_loopz00,
				BGl_string2259z00zzinline_loopz00);
		}
	}



/* &nest-loop!-box-set!2010 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz122010zb0zzinline_loopz00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_vz00_2830,
		obj_t BgL_nesterz00_2831)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 390 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1767;
				obj_t BgL_vz00_1768;
				obj_t BgL_nesterz00_1769;

				BgL_nodez00_1767 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2829);
				BgL_vz00_1768 = BgL_vz00_2830;
				BgL_nesterz00_1769 = BgL_nesterz00_2831;
				{
					BgL_varz00_bglt BgL_auxz00_3147;

					{	/* Inline/loop.scm 392 */
						BgL_varz00_bglt BgL_arg2129z00_1773;

						BgL_arg2129z00_1773 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1767))->BgL_varz00);
						BgL_auxz00_3147 =
							((BgL_varz00_bglt)
							BGl_nestzd2loopz12zc0zzinline_loopz00(
								((BgL_nodez00_bglt) BgL_arg2129z00_1773),
								((BgL_localz00_bglt) BgL_vz00_1768), BgL_nesterz00_1769));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1767))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3147), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3154;

					{	/* Inline/loop.scm 393 */
						BgL_nodez00_bglt BgL_arg2130z00_1774;

						BgL_arg2130z00_1774 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1767))->
							BgL_valuez00);
						BgL_auxz00_3154 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2130z00_1774,
							((BgL_localz00_bglt) BgL_vz00_1768), BgL_nesterz00_1769);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1767))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3154), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1767);
			}
		}
	}



/* &nest-loop!-box-ref2008 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref2008za2zzinline_loopz00(obj_t
		BgL_envz00_2832, obj_t BgL_nodez00_2833, obj_t BgL_vz00_2834,
		obj_t BgL_nesterz00_2835)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 382 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1759;
				obj_t BgL_vz00_1760;
				obj_t BgL_nesterz00_1761;

				BgL_nodez00_1759 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2833);
				BgL_vz00_1760 = BgL_vz00_2834;
				BgL_nesterz00_1761 = BgL_nesterz00_2835;
				{
					BgL_varz00_bglt BgL_auxz00_3161;

					{	/* Inline/loop.scm 384 */
						BgL_varz00_bglt BgL_arg2128z00_2750;

						BgL_arg2128z00_2750 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1759))->BgL_varz00);
						BgL_auxz00_3161 =
							((BgL_varz00_bglt)
							BGl_nestzd2loopz12zc0zzinline_loopz00(
								((BgL_nodez00_bglt) BgL_arg2128z00_2750),
								((BgL_localz00_bglt) BgL_vz00_1760), BgL_nesterz00_1761));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1759))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3161), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1759);
			}
		}
	}



/* &nest-loop!-make-box2006 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box2006za2zzinline_loopz00(obj_t
		BgL_envz00_2836, obj_t BgL_nodez00_2837, obj_t BgL_varz00_2838,
		obj_t BgL_nesterz00_2839)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 374 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1751;
				obj_t BgL_varz00_1752;
				obj_t BgL_nesterz00_1753;

				BgL_nodez00_1751 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2837);
				BgL_varz00_1752 = BgL_varz00_2838;
				BgL_nesterz00_1753 = BgL_nesterz00_2839;
				{
					BgL_nodez00_bglt BgL_auxz00_3170;

					{	/* Inline/loop.scm 376 */
						BgL_nodez00_bglt BgL_arg2127z00_2748;

						BgL_arg2127z00_2748 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1751))->BgL_valuez00);
						BgL_auxz00_3170 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2127z00_2748,
							((BgL_localz00_bglt) BgL_varz00_1752), BgL_nesterz00_1753);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1751))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3170), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1751);
			}
		}
	}



/* &nest-loop!-jump-ex-i2004 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i2004z70zzinline_loopz00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_vz00_2842,
		obj_t BgL_nesterz00_2843)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 365 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1742;
				obj_t BgL_vz00_1743;
				obj_t BgL_nesterz00_1744;

				BgL_nodez00_1742 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2841);
				BgL_vz00_1743 = BgL_vz00_2842;
				BgL_nesterz00_1744 = BgL_nesterz00_2843;
				{
					BgL_nodez00_bglt BgL_auxz00_3177;

					{	/* Inline/loop.scm 367 */
						BgL_nodez00_bglt BgL_arg2125z00_1748;

						BgL_arg2125z00_1748 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1742))->
							BgL_exitz00);
						BgL_auxz00_3177 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2125z00_1748,
							((BgL_localz00_bglt) BgL_vz00_1743), BgL_nesterz00_1744);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1742))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3177), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3182;

					{	/* Inline/loop.scm 368 */
						BgL_nodez00_bglt BgL_arg2126z00_1749;

						BgL_arg2126z00_1749 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1742))->
							BgL_valuez00);
						BgL_auxz00_3182 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2126z00_1749,
							((BgL_localz00_bglt) BgL_vz00_1743), BgL_nesterz00_1744);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1742))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3182), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1742);
			}
		}
	}



/* &nest-loop!-set-ex-it2001 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it2001z70zzinline_loopz00(obj_t
		BgL_envz00_2844, obj_t BgL_nodez00_2845, obj_t BgL_varz00_2846,
		obj_t BgL_nesterz00_2847)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 357 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1734;
				obj_t BgL_varz00_1735;
				obj_t BgL_nesterz00_1736;

				BgL_nodez00_1734 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2845);
				BgL_varz00_1735 = BgL_varz00_2846;
				BgL_nesterz00_1736 = BgL_nesterz00_2847;
				{
					BgL_nodez00_bglt BgL_auxz00_3189;

					{	/* Inline/loop.scm 359 */
						BgL_nodez00_bglt BgL_arg2124z00_2746;

						BgL_arg2124z00_2746 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1734))->
							BgL_bodyz00);
						BgL_auxz00_3189 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2124z00_2746,
							((BgL_localz00_bglt) BgL_varz00_1735), BgL_nesterz00_1736);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1734))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3189), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1734);
			}
		}
	}



/* &nest-loop!-let-var1999 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1999za2zzinline_loopz00(obj_t
		BgL_envz00_2848, obj_t BgL_nodez00_2849, obj_t BgL_varz00_2850,
		obj_t BgL_nesterz00_2851)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 346 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1716;
				obj_t BgL_varz00_1717;
				obj_t BgL_nesterz00_1718;

				BgL_nodez00_1716 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2849);
				BgL_varz00_1717 = BgL_varz00_2850;
				BgL_nesterz00_1718 = BgL_nesterz00_2851;
				{
					BgL_nodez00_bglt BgL_auxz00_3196;

					{	/* Inline/loop.scm 348 */
						BgL_nodez00_bglt BgL_arg2115z00_1722;

						BgL_arg2115z00_1722 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1716))->BgL_bodyz00);
						BgL_auxz00_3196 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2115z00_1722,
							((BgL_localz00_bglt) BgL_varz00_1717), BgL_nesterz00_1718);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1716))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3196), BUNSPEC);
				}
				{	/* Inline/loop.scm 349 */
					obj_t BgL_g1922z00_1723;

					BgL_g1922z00_1723 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1716))->BgL_bindingsz00);
					{
						obj_t BgL_l1920z00_1725;

						BgL_l1920z00_1725 = BgL_g1922z00_1723;
					BgL_zc3anonymousza32116ze3z83_1726:
						if (PAIRP(BgL_l1920z00_1725))
							{	/* Inline/loop.scm 349 */
								{	/* Inline/loop.scm 350 */
									obj_t BgL_bindingz00_1728;

									BgL_bindingz00_1728 = CAR(BgL_l1920z00_1725);
									{	/* Inline/loop.scm 350 */
										BgL_nodez00_bglt BgL_arg2119z00_1729;

										{	/* Inline/loop.scm 350 */
											obj_t BgL_arg2122z00_1730;

											BgL_arg2122z00_1730 = CDR(BgL_bindingz00_1728);
											BgL_arg2119z00_1729 =
												BGl_nestzd2loopz12zc0zzinline_loopz00(
												((BgL_nodez00_bglt) BgL_arg2122z00_1730),
												((BgL_localz00_bglt) BgL_varz00_1717),
												BgL_nesterz00_1718);
										}
										{	/* Inline/loop.scm 350 */
											obj_t BgL_pairz00_2742;
											obj_t BgL_objz00_2743;

											BgL_pairz00_2742 = BgL_bindingz00_1728;
											BgL_objz00_2743 = ((obj_t) BgL_arg2119z00_1729);
											SET_CDR(BgL_pairz00_2742, BgL_objz00_2743);
										}
									}
								}
								{
									obj_t BgL_l1920z00_3211;

									BgL_l1920z00_3211 = CDR(BgL_l1920z00_1725);
									BgL_l1920z00_1725 = BgL_l1920z00_3211;
									goto BgL_zc3anonymousza32116ze3z83_1726;
								}
							}
						else
							{	/* Inline/loop.scm 349 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1716);
			}
		}
	}



/* &nest-loop!-let-fun1997 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1997za2zzinline_loopz00(obj_t
		BgL_envz00_2852, obj_t BgL_nodez00_2853, obj_t BgL_varz00_2854,
		obj_t BgL_nesterz00_2855)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 331 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1697;
				obj_t BgL_varz00_1698;
				obj_t BgL_nesterz00_1699;

				BgL_nodez00_1697 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2853);
				BgL_varz00_1698 = BgL_varz00_2854;
				BgL_nesterz00_1699 = BgL_nesterz00_2855;
				{
					BgL_nodez00_bglt BgL_auxz00_3215;

					{	/* Inline/loop.scm 333 */
						BgL_nodez00_bglt BgL_arg2108z00_1703;

						BgL_arg2108z00_1703 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1697))->BgL_bodyz00);
						BgL_auxz00_3215 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2108z00_1703,
							((BgL_localz00_bglt) BgL_varz00_1698), BgL_nesterz00_1699);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1697))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3215), BUNSPEC);
				}
				{	/* Inline/loop.scm 334 */
					obj_t BgL_g1919z00_1704;

					BgL_g1919z00_1704 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1697))->BgL_localsz00);
					{
						obj_t BgL_l1917z00_1706;

						BgL_l1917z00_1706 = BgL_g1919z00_1704;
					BgL_zc3anonymousza32109ze3z83_1707:
						if (PAIRP(BgL_l1917z00_1706))
							{	/* Inline/loop.scm 334 */
								{	/* Inline/loop.scm 335 */
									obj_t BgL_localz00_1709;

									BgL_localz00_1709 = CAR(BgL_l1917z00_1706);
									{	/* Inline/loop.scm 335 */
										BgL_valuez00_bglt BgL_sfunz00_1710;

										BgL_sfunz00_1710 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1709))))->
											BgL_valuez00);
										{	/* Inline/loop.scm 337 */
											BgL_nodez00_bglt BgL_arg2111z00_1711;

											{	/* Inline/loop.scm 337 */
												obj_t BgL_arg2112z00_1712;

												BgL_arg2112z00_1712 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_sfunz00_1710)))->
													BgL_bodyz00);
												BgL_arg2111z00_1711 =
													BGl_nestzd2loopz12zc0zzinline_loopz00((
														(BgL_nodez00_bglt) BgL_arg2112z00_1712),
													((BgL_localz00_bglt) BgL_varz00_1698),
													BgL_nesterz00_1699);
											}
											{	/* Inline/loop.scm 336 */
												BgL_sfunz00_bglt BgL_oz00_2734;
												obj_t BgL_vz00_2735;

												BgL_oz00_2734 = ((BgL_sfunz00_bglt) BgL_sfunz00_1710);
												BgL_vz00_2735 = ((obj_t) BgL_arg2111z00_1711);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2734))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2735), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1917z00_3235;

									BgL_l1917z00_3235 = CDR(BgL_l1917z00_1706);
									BgL_l1917z00_1706 = BgL_l1917z00_3235;
									goto BgL_zc3anonymousza32109ze3z83_1707;
								}
							}
						else
							{	/* Inline/loop.scm 334 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &nest-loop!-select1995 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2select1995z70zzinline_loopz00(obj_t
		BgL_envz00_2856, obj_t BgL_nodez00_2857, obj_t BgL_varz00_2858,
		obj_t BgL_nesterz00_2859)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 320 */
			{
				BgL_selectz00_bglt BgL_nodez00_1679;
				obj_t BgL_varz00_1680;
				obj_t BgL_nesterz00_1681;

				BgL_nodez00_1679 = ((BgL_selectz00_bglt) BgL_nodez00_2857);
				BgL_varz00_1680 = BgL_varz00_2858;
				BgL_nesterz00_1681 = BgL_nesterz00_2859;
				{
					BgL_nodez00_bglt BgL_auxz00_3239;

					{	/* Inline/loop.scm 322 */
						BgL_nodez00_bglt BgL_arg2101z00_1685;

						BgL_arg2101z00_1685 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1679))->BgL_testz00);
						BgL_auxz00_3239 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2101z00_1685,
							((BgL_localz00_bglt) BgL_varz00_1680), BgL_nesterz00_1681);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1679))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3239), BUNSPEC);
				}
				{	/* Inline/loop.scm 323 */
					obj_t BgL_g1916z00_1686;

					BgL_g1916z00_1686 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1679))->BgL_clausesz00);
					{
						obj_t BgL_l1870z00_1688;

						BgL_l1870z00_1688 = BgL_g1916z00_1686;
					BgL_zc3anonymousza32102ze3z83_1689:
						if (PAIRP(BgL_l1870z00_1688))
							{	/* Inline/loop.scm 323 */
								{	/* Inline/loop.scm 324 */
									obj_t BgL_clausez00_1691;

									BgL_clausez00_1691 = CAR(BgL_l1870z00_1688);
									{	/* Inline/loop.scm 324 */
										BgL_nodez00_bglt BgL_arg2104z00_1692;

										{	/* Inline/loop.scm 324 */
											obj_t BgL_arg2106z00_1693;

											BgL_arg2106z00_1693 = CDR(BgL_clausez00_1691);
											BgL_arg2104z00_1692 =
												BGl_nestzd2loopz12zc0zzinline_loopz00(
												((BgL_nodez00_bglt) BgL_arg2106z00_1693),
												((BgL_localz00_bglt) BgL_varz00_1680),
												BgL_nesterz00_1681);
										}
										{	/* Inline/loop.scm 324 */
											obj_t BgL_pairz00_2723;
											obj_t BgL_objz00_2724;

											BgL_pairz00_2723 = BgL_clausez00_1691;
											BgL_objz00_2724 = ((obj_t) BgL_arg2104z00_1692);
											SET_CDR(BgL_pairz00_2723, BgL_objz00_2724);
										}
									}
								}
								{
									obj_t BgL_l1870z00_3254;

									BgL_l1870z00_3254 = CDR(BgL_l1870z00_1688);
									BgL_l1870z00_1688 = BgL_l1870z00_3254;
									goto BgL_zc3anonymousza32102ze3z83_1689;
								}
							}
						else
							{	/* Inline/loop.scm 323 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1679);
			}
		}
	}



/* &nest-loop!-fail1993 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1993z70zzinline_loopz00(obj_t
		BgL_envz00_2860, obj_t BgL_nodez00_2861, obj_t BgL_varz00_2862,
		obj_t BgL_nesterz00_2863)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 310 */
			{
				BgL_failz00_bglt BgL_nodez00_1669;
				obj_t BgL_varz00_1670;
				obj_t BgL_nesterz00_1671;

				BgL_nodez00_1669 = ((BgL_failz00_bglt) BgL_nodez00_2861);
				BgL_varz00_1670 = BgL_varz00_2862;
				BgL_nesterz00_1671 = BgL_nesterz00_2863;
				{
					BgL_nodez00_bglt BgL_auxz00_3258;

					{	/* Inline/loop.scm 312 */
						BgL_nodez00_bglt BgL_arg2098z00_1675;

						BgL_arg2098z00_1675 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_procz00);
						BgL_auxz00_3258 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2098z00_1675,
							((BgL_localz00_bglt) BgL_varz00_1670), BgL_nesterz00_1671);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3258), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3263;

					{	/* Inline/loop.scm 313 */
						BgL_nodez00_bglt BgL_arg2099z00_1676;

						BgL_arg2099z00_1676 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_msgz00);
						BgL_auxz00_3263 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2099z00_1676,
							((BgL_localz00_bglt) BgL_varz00_1670), BgL_nesterz00_1671);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3263), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3268;

					{	/* Inline/loop.scm 314 */
						BgL_nodez00_bglt BgL_arg2100z00_1677;

						BgL_arg2100z00_1677 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_objz00);
						BgL_auxz00_3268 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2100z00_1677,
							((BgL_localz00_bglt) BgL_varz00_1670), BgL_nesterz00_1671);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1669))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3268), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1669);
			}
		}
	}



/* &nest-loop!-condition1991 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1991z70zzinline_loopz00(obj_t
		BgL_envz00_2864, obj_t BgL_nodez00_2865, obj_t BgL_varz00_2866,
		obj_t BgL_nesterz00_2867)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 300 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1659;
				obj_t BgL_varz00_1660;
				obj_t BgL_nesterz00_1661;

				BgL_nodez00_1659 = ((BgL_conditionalz00_bglt) BgL_nodez00_2865);
				BgL_varz00_1660 = BgL_varz00_2866;
				BgL_nesterz00_1661 = BgL_nesterz00_2867;
				{
					BgL_nodez00_bglt BgL_auxz00_3275;

					{	/* Inline/loop.scm 302 */
						BgL_nodez00_bglt BgL_arg2095z00_1665;

						BgL_arg2095z00_1665 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->BgL_testz00);
						BgL_auxz00_3275 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2095z00_1665,
							((BgL_localz00_bglt) BgL_varz00_1660), BgL_nesterz00_1661);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3275), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3280;

					{	/* Inline/loop.scm 303 */
						BgL_nodez00_bglt BgL_arg2096z00_1666;

						BgL_arg2096z00_1666 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->BgL_truez00);
						BgL_auxz00_3280 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2096z00_1666,
							((BgL_localz00_bglt) BgL_varz00_1660), BgL_nesterz00_1661);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3280), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3285;

					{	/* Inline/loop.scm 304 */
						BgL_nodez00_bglt BgL_arg2097z00_1667;

						BgL_arg2097z00_1667 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->
							BgL_falsez00);
						BgL_auxz00_3285 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2097z00_1667,
							((BgL_localz00_bglt) BgL_varz00_1660), BgL_nesterz00_1661);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1659))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3285), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1659);
			}
		}
	}



/* &nest-loop!-setq1989 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1989z70zzinline_loopz00(obj_t
		BgL_envz00_2868, obj_t BgL_nodez00_2869, obj_t BgL_varz00_2870,
		obj_t BgL_nesterz00_2871)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 293 */
			{
				BgL_setqz00_bglt BgL_nodez00_1652;
				obj_t BgL_varz00_1653;
				obj_t BgL_nesterz00_1654;

				BgL_nodez00_1652 = ((BgL_setqz00_bglt) BgL_nodez00_2869);
				BgL_varz00_1653 = BgL_varz00_2870;
				BgL_nesterz00_1654 = BgL_nesterz00_2871;
				{	/* Inline/loop.scm 294 */
					BgL_nodez00_bglt BgL_arg2093z00_2715;

					BgL_arg2093z00_2715 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1652))->BgL_valuez00);
					BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2093z00_2715,
						((BgL_localz00_bglt) BgL_varz00_1653), BgL_nesterz00_1654);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1652);
			}
		}
	}



/* &nest-loop!-cast1986 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1986z70zzinline_loopz00(obj_t
		BgL_envz00_2872, obj_t BgL_nodez00_2873, obj_t BgL_varz00_2874,
		obj_t BgL_nesterz00_2875)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 286 */
			{
				BgL_castz00_bglt BgL_nodez00_1645;
				obj_t BgL_varz00_1646;
				obj_t BgL_nesterz00_1647;

				BgL_nodez00_1645 = ((BgL_castz00_bglt) BgL_nodez00_2873);
				BgL_varz00_1646 = BgL_varz00_2874;
				BgL_nesterz00_1647 = BgL_nesterz00_2875;
				{	/* Inline/loop.scm 287 */
					BgL_nodez00_bglt BgL_arg2092z00_2711;

					BgL_arg2092z00_2711 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1645))->BgL_argz00);
					BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2092z00_2711,
						((BgL_localz00_bglt) BgL_varz00_1646), BgL_nesterz00_1647);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1645);
			}
		}
	}



/* &nest-loop!-extern1984 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1984z70zzinline_loopz00(obj_t
		BgL_envz00_2876, obj_t BgL_nodez00_2877, obj_t BgL_varz00_2878,
		obj_t BgL_nesterz00_2879)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 279 */
			{
				BgL_externz00_bglt BgL_nodez00_1638;
				obj_t BgL_varz00_1639;
				obj_t BgL_nesterz00_1640;

				BgL_nodez00_1638 = ((BgL_externz00_bglt) BgL_nodez00_2877);
				BgL_varz00_1639 = BgL_varz00_2878;
				BgL_nesterz00_1640 = BgL_nesterz00_2879;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1638))->BgL_exprza2za2),
					BgL_varz00_1639, BgL_nesterz00_1640);
				return ((BgL_nodez00_bglt) BgL_nodez00_1638);
			}
		}
	}



/* &nest-loop!-funcall1982 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1982z70zzinline_loopz00(obj_t
		BgL_envz00_2880, obj_t BgL_nodez00_2881, obj_t BgL_varz00_2882,
		obj_t BgL_nesterz00_2883)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 270 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1629;
				obj_t BgL_varz00_1630;
				obj_t BgL_nesterz00_1631;

				BgL_nodez00_1629 = ((BgL_funcallz00_bglt) BgL_nodez00_2881);
				BgL_varz00_1630 = BgL_varz00_2882;
				BgL_nesterz00_1631 = BgL_nesterz00_2883;
				{
					BgL_nodez00_bglt BgL_auxz00_3306;

					{	/* Inline/loop.scm 272 */
						BgL_nodez00_bglt BgL_arg2089z00_1635;

						BgL_arg2089z00_1635 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1629))->BgL_funz00);
						BgL_auxz00_3306 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2089z00_1635,
							((BgL_localz00_bglt) BgL_varz00_1630), BgL_nesterz00_1631);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1629))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3306), BUNSPEC);
				}
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1629))->BgL_argsz00),
					BgL_varz00_1630, BgL_nesterz00_1631);
				return ((BgL_nodez00_bglt) BgL_nodez00_1629);
			}
		}
	}



/* &nest-loop!-app-ly1979 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1979za2zzinline_loopz00(obj_t
		BgL_envz00_2884, obj_t BgL_nodez00_2885, obj_t BgL_varz00_2886,
		obj_t BgL_nesterz00_2887)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 261 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1620;
				obj_t BgL_varz00_1621;
				obj_t BgL_nesterz00_1622;

				BgL_nodez00_1620 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2885);
				BgL_varz00_1621 = BgL_varz00_2886;
				BgL_nesterz00_1622 = BgL_nesterz00_2887;
				{
					BgL_nodez00_bglt BgL_auxz00_3315;

					{	/* Inline/loop.scm 263 */
						BgL_nodez00_bglt BgL_arg2086z00_1626;

						BgL_arg2086z00_1626 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_funz00);
						BgL_auxz00_3315 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2086z00_1626,
							((BgL_localz00_bglt) BgL_varz00_1621), BgL_nesterz00_1622);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3315), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3320;

					{	/* Inline/loop.scm 264 */
						BgL_nodez00_bglt BgL_arg2087z00_1627;

						BgL_arg2087z00_1627 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_argz00);
						BgL_auxz00_3320 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2087z00_1627,
							((BgL_localz00_bglt) BgL_varz00_1621), BgL_nesterz00_1622);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3320), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1620);
			}
		}
	}



/* &nest-loop!-app1977 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1977z70zzinline_loopz00(obj_t
		BgL_envz00_2888, obj_t BgL_nodez00_2889, obj_t BgL_varz00_2890,
		obj_t BgL_nesterz00_2891)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 251 */
			{
				BgL_appz00_bglt BgL_nodez00_1607;
				obj_t BgL_varz00_1608;
				obj_t BgL_nesterz00_1609;

				BgL_nodez00_1607 = ((BgL_appz00_bglt) BgL_nodez00_2889);
				BgL_varz00_1608 = BgL_varz00_2890;
				BgL_nesterz00_1609 = BgL_nesterz00_2891;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1607))->BgL_argsz00),
					BgL_varz00_1608, BgL_nesterz00_1609);
				{	/* Inline/loop.scm 254 */
					bool_t BgL_testz00_3329;

					{	/* Inline/loop.scm 254 */
						bool_t BgL_testz00_3330;

						{	/* Inline/loop.scm 254 */
							BgL_varz00_bglt BgL_arg2085z00_1618;

							BgL_arg2085z00_1618 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1607))->BgL_funz00);
							{	/* Inline/loop.scm 254 */
								bool_t BgL_res2225z00_2703;

								{	/* Inline/loop.scm 254 */
									obj_t BgL_objz00_2702;

									BgL_objz00_2702 = ((obj_t) BgL_arg2085z00_1618);
									BgL_res2225z00_2703 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2702,
										BGl_varz00zzast_nodez00);
								}
								BgL_testz00_3330 = BgL_res2225z00_2703;
							}
						}
						if (BgL_testz00_3330)
							{	/* Inline/loop.scm 254 */
								BgL_testz00_3329 =
									(
									((obj_t)
										(((BgL_varz00_bglt) CREF(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1607))->
														BgL_funz00)))->BgL_variablez00)) ==
									BgL_varz00_1608);
							}
						else
							{	/* Inline/loop.scm 254 */
								BgL_testz00_3329 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3329)
						{	/* Inline/loop.scm 254 */
							return
								((BgL_nodez00_bglt)
								PROCEDURE_ENTRY(BgL_nesterz00_1609) (BgL_nesterz00_1609,
									((obj_t) BgL_nodez00_1607), BEOA));
						}
					else
						{	/* Inline/loop.scm 254 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1607);
						}
				}
			}
		}
	}



/* &nest-loop!-sync1975 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1975z70zzinline_loopz00(obj_t
		BgL_envz00_2892, obj_t BgL_nodez00_2893, obj_t BgL_varz00_2894,
		obj_t BgL_nesterz00_2895)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 241 */
			{
				BgL_syncz00_bglt BgL_nodez00_1597;
				obj_t BgL_varz00_1598;
				obj_t BgL_nesterz00_1599;

				BgL_nodez00_1597 = ((BgL_syncz00_bglt) BgL_nodez00_2893);
				BgL_varz00_1598 = BgL_varz00_2894;
				BgL_nesterz00_1599 = BgL_nesterz00_2895;
				{
					BgL_nodez00_bglt BgL_auxz00_3346;

					{	/* Inline/loop.scm 243 */
						BgL_nodez00_bglt BgL_arg2077z00_1603;

						BgL_arg2077z00_1603 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1597))->BgL_mutexz00);
						BgL_auxz00_3346 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2077z00_1603,
							((BgL_localz00_bglt) BgL_varz00_1598), BgL_nesterz00_1599);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1597))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3346), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3351;

					{	/* Inline/loop.scm 244 */
						BgL_nodez00_bglt BgL_arg2078z00_1604;

						BgL_arg2078z00_1604 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1597))->BgL_prelockz00);
						BgL_auxz00_3351 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg2078z00_1604,
							((BgL_localz00_bglt) BgL_varz00_1598), BgL_nesterz00_1599);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1597))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3351), BUNSPEC);
				}
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1597))->BgL_nodesz00),
					BgL_varz00_1598, BgL_nesterz00_1599);
				return ((BgL_nodez00_bglt) BgL_nodez00_1597);
			}
		}
	}



/* &nest-loop!-sequence1973 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1973z70zzinline_loopz00(obj_t
		BgL_envz00_2896, obj_t BgL_nodez00_2897, obj_t BgL_varz00_2898,
		obj_t BgL_nesterz00_2899)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 233 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1589;
				obj_t BgL_varz00_1590;
				obj_t BgL_nesterz00_1591;

				BgL_nodez00_1589 = ((BgL_sequencez00_bglt) BgL_nodez00_2897);
				BgL_varz00_1590 = BgL_varz00_2898;
				BgL_nesterz00_1591 = BgL_nesterz00_2899;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1589))->BgL_nodesz00),
					BgL_varz00_1590, BgL_nesterz00_1591);
				return ((BgL_nodez00_bglt) BgL_nodez00_1589);
			}
		}
	}



/* &nest-loop!-var1971 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1971z70zzinline_loopz00(obj_t
		BgL_envz00_2900, obj_t BgL_nodez00_2901, obj_t BgL_varz00_2902,
		obj_t BgL_nesterz00_2903)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 227 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2901));
		}
	}



/* &nest-loop!-kwote1969 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1969z70zzinline_loopz00(obj_t
		BgL_envz00_2904, obj_t BgL_nodez00_2905, obj_t BgL_varz00_2906,
		obj_t BgL_nesterz00_2907)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 221 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2905));
		}
	}



/* &nest-loop!-atom1967 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1967z70zzinline_loopz00(obj_t
		BgL_envz00_2908, obj_t BgL_nodez00_2909, obj_t BgL_varz00_2910,
		obj_t BgL_nesterz00_2911)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 215 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2909));
		}
	}



/* &find-let-fun?-box-se1963 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1963z91zzinline_loopz00(obj_t
		BgL_envz00_2912, obj_t BgL_nodez00_2913)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 190 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1563;

				BgL_nodez00_1563 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2913);
				{	/* Inline/loop.scm 192 */
					obj_t BgL__ortest_1122z00_1567;

					{	/* Inline/loop.scm 192 */
						BgL_varz00_bglt BgL_arg2075z00_1569;

						BgL_arg2075z00_1569 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1563))->BgL_varz00);
						BgL__ortest_1122z00_1567 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg2075z00_1569));
					}
					if (CBOOL(BgL__ortest_1122z00_1567))
						{	/* Inline/loop.scm 192 */
							return BgL__ortest_1122z00_1567;
						}
					else
						{	/* Inline/loop.scm 192 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1563))->
									BgL_valuez00));
						}
				}
			}
		}
	}



/* &find-let-fun?-box-re1961 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1961z91zzinline_loopz00(obj_t
		BgL_envz00_2914, obj_t BgL_nodez00_2915)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 184 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1558;

				BgL_nodez00_1558 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2915);
				{	/* Inline/loop.scm 185 */
					BgL_varz00_bglt BgL_arg2073z00_2696;

					BgL_arg2073z00_2696 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1558))->BgL_varz00);
					return
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg2073z00_2696));
				}
			}
		}
	}



/* &find-let-fun?-make-b1958 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1958z91zzinline_loopz00(obj_t
		BgL_envz00_2916, obj_t BgL_nodez00_2917)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 178 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1553;

				BgL_nodez00_1553 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2917);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1553))->BgL_valuez00));
			}
		}
	}



/* &find-let-fun?-jump-e1956 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1956z91zzinline_loopz00(obj_t
		BgL_envz00_2918, obj_t BgL_nodez00_2919)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 171 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1545;

				BgL_nodez00_1545 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2919);
				{	/* Inline/loop.scm 173 */
					obj_t BgL__ortest_1120z00_1549;

					BgL__ortest_1120z00_1549 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1545))->
							BgL_exitz00));
					if (CBOOL(BgL__ortest_1120z00_1549))
						{	/* Inline/loop.scm 173 */
							return BgL__ortest_1120z00_1549;
						}
					else
						{	/* Inline/loop.scm 173 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1545))->
									BgL_valuez00));
						}
				}
			}
		}
	}



/* &find-let-fun?-set-ex1954 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1954z91zzinline_loopz00(obj_t
		BgL_envz00_2920, obj_t BgL_nodez00_2921)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 165 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1540;

				BgL_nodez00_1540 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2921);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1540))->BgL_bodyz00));
			}
		}
	}



/* &find-let-fun?-let-va1952 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1952z91zzinline_loopz00(obj_t
		BgL_envz00_2922, obj_t BgL_nodez00_2923)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 152 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1525;

				BgL_nodez00_1525 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2923);
				{	/* Inline/loop.scm 153 */
					obj_t BgL_g1118z00_1528;

					BgL_g1118z00_1528 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1525))->BgL_bindingsz00);
					{
						obj_t BgL_bindingsz00_1530;

						BgL_bindingsz00_1530 = BgL_g1118z00_1528;
					BgL_zc3anonymousza32062ze3z83_1531:
						if (NULLP(BgL_bindingsz00_1530))
							{	/* Inline/loop.scm 155 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1525))->
										BgL_bodyz00));
							}
						else
							{	/* Inline/loop.scm 157 */
								bool_t BgL_testz00_3400;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_arg2067z00_1536;

									BgL_arg2067z00_1536 = CDR(CAR(BgL_bindingsz00_1530));
									BgL_testz00_3400 =
										CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg2067z00_1536)));
								}
								if (BgL_testz00_3400)
									{	/* Inline/loop.scm 157 */
										return BTRUE;
									}
								else
									{
										obj_t BgL_bindingsz00_3406;

										BgL_bindingsz00_3406 = CDR(BgL_bindingsz00_1530);
										BgL_bindingsz00_1530 = BgL_bindingsz00_3406;
										goto BgL_zc3anonymousza32062ze3z83_1531;
									}
							}
					}
				}
			}
		}
	}



/* &find-let-fun?-let-fu1950 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1950z91zzinline_loopz00(obj_t
		BgL_envz00_2924, obj_t BgL_nodez00_2925)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &find-let-fun?-select1947 */
	obj_t BGl_z62findzd2letzd2funzf3zd2select1947z43zzinline_loopz00(obj_t
		BgL_envz00_2926, obj_t BgL_nodez00_2927)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 133 */
			{
				BgL_selectz00_bglt BgL_nodez00_1506;

				BgL_nodez00_1506 = ((BgL_selectz00_bglt) BgL_nodez00_2927);
				{	/* Inline/loop.scm 134 */
					obj_t BgL_g1117z00_1509;

					BgL_g1117z00_1509 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1506))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1511;

						BgL_clausesz00_1511 = BgL_g1117z00_1509;
					BgL_zc3anonymousza32055ze3z83_1512:
						if (NULLP(BgL_clausesz00_1511))
							{	/* Inline/loop.scm 136 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1506))->BgL_testz00));
							}
						else
							{	/* Inline/loop.scm 138 */
								bool_t BgL_testz00_3415;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_arg2060z00_1517;

									BgL_arg2060z00_1517 = CDR(CAR(BgL_clausesz00_1511));
									BgL_testz00_3415 =
										CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg2060z00_1517)));
								}
								if (BgL_testz00_3415)
									{	/* Inline/loop.scm 138 */
										return BTRUE;
									}
								else
									{
										obj_t BgL_clausesz00_3421;

										BgL_clausesz00_3421 = CDR(BgL_clausesz00_1511);
										BgL_clausesz00_1511 = BgL_clausesz00_3421;
										goto BgL_zc3anonymousza32055ze3z83_1512;
									}
							}
					}
				}
			}
		}
	}



/* &find-let-fun?-fail1945 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1945z43zzinline_loopz00(obj_t
		BgL_envz00_2928, obj_t BgL_nodez00_2929)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 124 */
			{
				BgL_failz00_bglt BgL_nodez00_1496;

				BgL_nodez00_1496 = ((BgL_failz00_bglt) BgL_nodez00_2929);
				{	/* Inline/loop.scm 126 */
					obj_t BgL__ortest_1115z00_1500;

					BgL__ortest_1115z00_1500 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1496))->BgL_procz00));
					if (CBOOL(BgL__ortest_1115z00_1500))
						{	/* Inline/loop.scm 126 */
							return BgL__ortest_1115z00_1500;
						}
					else
						{	/* Inline/loop.scm 127 */
							obj_t BgL__ortest_1116z00_1501;

							BgL__ortest_1116z00_1501 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1496))->BgL_msgz00));
							if (CBOOL(BgL__ortest_1116z00_1501))
								{	/* Inline/loop.scm 127 */
									return BgL__ortest_1116z00_1501;
								}
							else
								{	/* Inline/loop.scm 127 */
									return
										BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										(((BgL_failz00_bglt) CREF(BgL_nodez00_1496))->BgL_objz00));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-condit1942 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1942z43zzinline_loopz00(obj_t
		BgL_envz00_2930, obj_t BgL_nodez00_2931)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 115 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1486;

				BgL_nodez00_1486 = ((BgL_conditionalz00_bglt) BgL_nodez00_2931);
				{	/* Inline/loop.scm 117 */
					obj_t BgL__ortest_1112z00_1490;

					BgL__ortest_1112z00_1490 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1486))->BgL_testz00));
					if (CBOOL(BgL__ortest_1112z00_1490))
						{	/* Inline/loop.scm 117 */
							return BgL__ortest_1112z00_1490;
						}
					else
						{	/* Inline/loop.scm 118 */
							obj_t BgL__ortest_1113z00_1491;

							BgL__ortest_1113z00_1491 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1486))->
									BgL_truez00));
							if (CBOOL(BgL__ortest_1113z00_1491))
								{	/* Inline/loop.scm 118 */
									return BgL__ortest_1113z00_1491;
								}
							else
								{	/* Inline/loop.scm 118 */
									return
										BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1486))->
											BgL_falsez00));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-setq1940 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1940z43zzinline_loopz00(obj_t
		BgL_envz00_2932, obj_t BgL_nodez00_2933)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 109 */
			{
				BgL_setqz00_bglt BgL_nodez00_1481;

				BgL_nodez00_1481 = ((BgL_setqz00_bglt) BgL_nodez00_2933);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1481))->BgL_valuez00));
			}
		}
	}



/* &find-let-fun?-cast1938 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1938z43zzinline_loopz00(obj_t
		BgL_envz00_2934, obj_t BgL_nodez00_2935)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 103 */
			{
				BgL_castz00_bglt BgL_nodez00_1476;

				BgL_nodez00_1476 = ((BgL_castz00_bglt) BgL_nodez00_2935);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1476))->BgL_argz00));
			}
		}
	}



/* &find-let-fun?-extern1936 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1936z43zzinline_loopz00(obj_t
		BgL_envz00_2936, obj_t BgL_nodez00_2937)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 97 */
			{
				BgL_externz00_bglt BgL_nodez00_1471;

				{	/* Inline/loop.scm 98 */
					bool_t BgL_auxz00_3452;

					BgL_nodez00_1471 = ((BgL_externz00_bglt) BgL_nodez00_2937);
					BgL_auxz00_3452 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1471))->BgL_exprza2za2));
					return BBOOL(BgL_auxz00_3452);
				}
			}
		}
	}



/* &find-let-fun?-funcal1934 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1934z43zzinline_loopz00(obj_t
		BgL_envz00_2938, obj_t BgL_nodez00_2939)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 89 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1463;

				BgL_nodez00_1463 = ((BgL_funcallz00_bglt) BgL_nodez00_2939);
				{	/* Inline/loop.scm 91 */
					obj_t BgL__ortest_1110z00_1467;

					BgL__ortest_1110z00_1467 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1463))->BgL_funz00));
					if (CBOOL(BgL__ortest_1110z00_1467))
						{	/* Inline/loop.scm 91 */
							return BgL__ortest_1110z00_1467;
						}
					else
						{	/* Inline/loop.scm 92 */
							obj_t BgL_arg2042z00_1468;

							BgL_arg2042z00_1468 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1463))->BgL_argsz00);
							return
								BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
								(BgL_arg2042z00_1468));
						}
				}
			}
		}
	}



/* &find-let-fun?-app-ly1932 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1932z91zzinline_loopz00(obj_t
		BgL_envz00_2940, obj_t BgL_nodez00_2941)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 82 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1455;

				BgL_nodez00_1455 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2941);
				{	/* Inline/loop.scm 84 */
					obj_t BgL__ortest_1108z00_1459;

					BgL__ortest_1108z00_1459 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1455))->BgL_funz00));
					if (CBOOL(BgL__ortest_1108z00_1459))
						{	/* Inline/loop.scm 84 */
							return BgL__ortest_1108z00_1459;
						}
					else
						{	/* Inline/loop.scm 84 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1455))->BgL_argz00));
						}
				}
			}
		}
	}



/* &find-let-fun?-app1930 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1930z43zzinline_loopz00(obj_t
		BgL_envz00_2942, obj_t BgL_nodez00_2943)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 75 */
			{
				BgL_appz00_bglt BgL_nodez00_1449;

				{	/* Inline/loop.scm 76 */
					bool_t BgL_auxz00_3472;

					BgL_nodez00_1449 = ((BgL_appz00_bglt) BgL_nodez00_2943);
					BgL_auxz00_3472 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1449))->BgL_argsz00));
					return BBOOL(BgL_auxz00_3472);
				}
			}
		}
	}



/* &find-let-fun?-sync1928 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1928z43zzinline_loopz00(obj_t
		BgL_envz00_2944, obj_t BgL_nodez00_2945)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 67 */
			{
				BgL_syncz00_bglt BgL_nodez00_1440;

				BgL_nodez00_1440 = ((BgL_syncz00_bglt) BgL_nodez00_2945);
				{	/* Inline/loop.scm 68 */
					obj_t BgL__ortest_1104z00_1443;

					BgL__ortest_1104z00_1443 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1440))->BgL_mutexz00));
					if (CBOOL(BgL__ortest_1104z00_1443))
						{	/* Inline/loop.scm 68 */
							return BgL__ortest_1104z00_1443;
						}
					else
						{	/* Inline/loop.scm 69 */
							obj_t BgL__ortest_1105z00_1444;

							BgL__ortest_1105z00_1444 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1440))->BgL_prelockz00));
							if (CBOOL(BgL__ortest_1105z00_1444))
								{	/* Inline/loop.scm 69 */
									return BgL__ortest_1105z00_1444;
								}
							else
								{	/* Inline/loop.scm 70 */
									obj_t BgL_arg2036z00_1445;

									BgL_arg2036z00_1445 =
										(((BgL_syncz00_bglt) CREF(BgL_nodez00_1440))->BgL_nodesz00);
									return
										BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
										(BgL_arg2036z00_1445));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-sequen1926 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1926z43zzinline_loopz00(obj_t
		BgL_envz00_2946, obj_t BgL_nodez00_2947)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 61 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1435;

				{	/* Inline/loop.scm 62 */
					bool_t BgL_auxz00_3489;

					BgL_nodez00_1435 = ((BgL_sequencez00_bglt) BgL_nodez00_2947);
					BgL_auxz00_3489 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1435))->BgL_nodesz00));
					return BBOOL(BgL_auxz00_3489);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long) 101873001),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2280z00zzinline_loopz00));
		}
	}

#ifdef __cplusplus
}
#endif
