/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/same.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf31823z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2getfield1846z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_samez00();
	static obj_t BGl_z62samezd2nodezf3zd2atom1826z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2pragma1844z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2var1830z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2kwote1828z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2setfield1848z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_samez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_samez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2app1840z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_samez00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2condition1854z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2valloc1850z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2funcall1838z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2sequence1832z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62samezd2nodezf3zd2letzd2var1858z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2cast1852z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2appzd2ly1836z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2sync1834z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_samez00();
	static obj_t BGl_z62samezd2nodezf3zd2fail1856z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00();
	BGL_EXPORTED_DECL bool_t
		BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2extern1842z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2175z00zzreduce_samez00,
		BgL_bgl_string2175za700za7za7r2199za7, "same-node?1823", 14);
	      DEFINE_STRING(BGl_string2177z00zzreduce_samez00,
		BgL_bgl_string2177za700za7za7r2200za7, "same-node?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2201za7,
		BGl_z62samezd2nodezf31823z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2202za7,
		BGl_z62samezd2nodezf3zd2atom1826z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2203za7,
		BGl_z62samezd2nodezf3zd2kwote1828z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2204za7,
		BGl_z62samezd2nodezf3zd2var1830z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2205za7,
		BGl_z62samezd2nodezf3zd2sequence1832z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2206za7,
		BGl_z62samezd2nodezf3zd2sync1834z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2207za7,
		BGl_z62samezd2nodezf3zd2appzd2ly1836z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2208za7,
		BGl_z62samezd2nodezf3zd2funcall1838z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2209za7,
		BGl_z62samezd2nodezf3zd2app1840z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2210za7,
		BGl_z62samezd2nodezf3zd2extern1842z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2211za7,
		BGl_z62samezd2nodezf3zd2pragma1844z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2212za7,
		BGl_z62samezd2nodezf3zd2getfield1846z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2194z00zzreduce_samez00,
		BgL_bgl_string2194za700za7za7r2213za7, "reduce_same", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2214za7,
		BGl_z62samezd2nodezf3zd2setfield1848z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2195z00zzreduce_samez00,
		BgL_bgl_string2195za700za7za7r2215za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2216za7,
		BGl_z62samezd2nodezf3zd2valloc1850z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2217za7,
		BGl_z62samezd2nodezf3zd2cast1852z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2218za7,
		BGl_z62samezd2nodezf3zd2condition1854z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2219za7,
		BGl_z62samezd2nodezf3zd2fail1856z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2220za7,
		BGl_z62samezd2nodezf3zd2letzd2var1858z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2221za7,
		BGl_z62samezd2nodezf3z43zzreduce_samez00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long
		BgL_checksumz00_2804, char *BgL_fromz00_2805)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_samez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
					BGl_cnstzd2initzd2zzreduce_samez00();
					BGl_importedzd2moduleszd2initz00zzreduce_samez00();
					BGl_genericzd2initzd2zzreduce_samez00();
					BGl_methodzd2initzd2zzreduce_samez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_same");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			{	/* Reduce/same.scm 15 */
				obj_t BgL_cportz00_2787;

				BgL_cportz00_2787 =
					bgl_open_input_string(BGl_string2195z00zzreduce_samez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2788;

					BgL_iz00_2788 = ((long) 0);
				BgL_loopz00_2789:
					if ((BgL_iz00_2788 == ((long) -1)))
						{	/* Reduce/same.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/same.scm 15 */
							{	/* Reduce/same.scm 15 */
								obj_t BgL_arg2197z00_2791;

								{	/* Reduce/same.scm 15 */

									{	/* Reduce/same.scm 15 */
										obj_t BgL_locationz00_2793;

										BgL_locationz00_2793 = BBOOL(((bool_t) 0));
										{	/* Reduce/same.scm 15 */

											BgL_arg2197z00_2791 =
												BGl_readz00zz__readerz00(BgL_cportz00_2787,
												BgL_locationz00_2793);
										}
									}
								}
								{	/* Reduce/same.scm 15 */
									int BgL_auxz00_2827;

									BgL_auxz00_2827 = (int) (BgL_iz00_2788);
									CNST_TABLE_SET(BgL_auxz00_2827, BgL_arg2197z00_2791);
							}}
							{	/* Reduce/same.scm 15 */
								int BgL_auxz00_2794;

								BgL_auxz00_2794 = (int) ((BgL_iz00_2788 - ((long) 1)));
								{
									long BgL_iz00_2832;

									BgL_iz00_2832 = (long) (BgL_auxz00_2794);
									BgL_iz00_2788 = BgL_iz00_2832;
									goto BgL_loopz00_2789;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}
	}



/* same-node*? */
	bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_57,
		obj_t BgL_node2z00_58, obj_t BgL_aliasz00_59)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 222 */
		BGl_samezd2nodeza2zf3z83zzreduce_samez00:
			if (NULLP(BgL_node1z00_57))
				{	/* Reduce/same.scm 224 */
					return NULLP(BgL_node2z00_58);
				}
			else
				{	/* Reduce/same.scm 224 */
					if (NULLP(BgL_node2z00_58))
						{	/* Reduce/same.scm 226 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/same.scm 228 */
							bool_t BgL_testz00_2839;

							{	/* Reduce/same.scm 228 */
								obj_t BgL_arg1868z00_1259;
								obj_t BgL_arg1869z00_1260;

								BgL_arg1868z00_1259 = CAR(BgL_node1z00_57);
								BgL_arg1869z00_1260 = CAR(BgL_node2z00_58);
								BgL_testz00_2839 =
									BGl_samezd2nodezf3z21zzreduce_samez00(
									((BgL_nodez00_bglt) BgL_arg1868z00_1259),
									((BgL_nodez00_bglt) BgL_arg1869z00_1260), BgL_aliasz00_59);
							}
							if (BgL_testz00_2839)
								{
									obj_t BgL_node2z00_2847;
									obj_t BgL_node1z00_2845;

									BgL_node1z00_2845 = CDR(BgL_node1z00_57);
									BgL_node2z00_2847 = CDR(BgL_node2z00_58);
									BgL_node2z00_58 = BgL_node2z00_2847;
									BgL_node1z00_57 = BgL_node1z00_2845;
									goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;
								}
							else
								{	/* Reduce/same.scm 228 */
									return ((bool_t) 0);
								}
						}
				}
		}
	}



/* aliased? */
	bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt BgL_var1z00_60,
		BgL_variablez00_bglt BgL_var2z00_61, obj_t BgL_aliasz00_62)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 236 */
			{
				obj_t BgL_aliasz00_1262;

				BgL_aliasz00_1262 = BgL_aliasz00_62;
			BgL_zc3anonymousza31870ze3z83_1263:
				if (NULLP(BgL_aliasz00_1262))
					{	/* Reduce/same.scm 239 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/same.scm 239 */
						if ((CAR(CAR(BgL_aliasz00_1262)) == ((obj_t) BgL_var1z00_60)))
							{	/* Reduce/same.scm 241 */
								if ((CDR(CAR(BgL_aliasz00_1262)) == ((obj_t) BgL_var2z00_61)))
									{	/* Reduce/same.scm 242 */
										return ((bool_t) 1);
									}
								else
									{
										obj_t BgL_aliasz00_2861;

										BgL_aliasz00_2861 = CDR(BgL_aliasz00_1262);
										BgL_aliasz00_1262 = BgL_aliasz00_2861;
										goto BgL_zc3anonymousza31870ze3z83_1263;
									}
							}
						else
							{	/* Reduce/same.scm 241 */
								if ((CAR(CAR(BgL_aliasz00_1262)) == ((obj_t) BgL_var2z00_61)))
									{	/* Reduce/same.scm 245 */
										if (
											(CDR(CAR(BgL_aliasz00_1262)) == ((obj_t) BgL_var1z00_60)))
											{	/* Reduce/same.scm 246 */
												return ((bool_t) 1);
											}
										else
											{
												obj_t BgL_aliasz00_2873;

												BgL_aliasz00_2873 = CDR(BgL_aliasz00_1262);
												BgL_aliasz00_1262 = BgL_aliasz00_2873;
												goto BgL_zc3anonymousza31870ze3z83_1263;
											}
									}
								else
									{
										obj_t BgL_aliasz00_2875;

										BgL_aliasz00_2875 = CDR(BgL_aliasz00_1262);
										BgL_aliasz00_1262 = BgL_aliasz00_2875;
										goto BgL_zc3anonymousza31870ze3z83_1263;
									}
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_proc2174z00zzreduce_samez00, BGl_nodez00zzast_nodez00,
				BGl_string2175z00zzreduce_samez00);
		}
	}



/* &same-node?1823 */
	obj_t BGl_z62samezd2nodezf31823z43zzreduce_samez00(obj_t BgL_envz00_2694,
		obj_t BgL_node1z00_2695, obj_t BgL_node2z00_2696, obj_t BgL_aliasz00_2697)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return BBOOL(((bool_t) 0));
		}
	}



/* same-node? */
	BGL_EXPORTED_DEF bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt
		BgL_node1z00_3, BgL_nodez00_bglt BgL_node2z00_4, obj_t BgL_aliasz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			{	/* Reduce/same.scm 26 */
				obj_t BgL_method1824z00_1287;

				{	/* Reduce/same.scm 26 */
					obj_t BgL_res2076z00_2333;

					{	/* Reduce/same.scm 26 */
						BgL_objectz00_bglt BgL_objz00_2305;

						BgL_objz00_2305 = ((BgL_objectz00_bglt) BgL_node1z00_3);
						{	/* Reduce/same.scm 26 */
							long BgL_objzd2classzd2numz00_2306;

							{	/* Reduce/same.scm 26 */
								long BgL_res2070z00_2309;

								BgL_res2070z00_2309 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2305);
								BgL_objzd2classzd2numz00_2306 = BgL_res2070z00_2309;
							}
							{	/* Reduce/same.scm 26 */
								obj_t BgL_arg1803z00_2307;

								BgL_arg1803z00_2307 =
									PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
									(int) (((long) 1)));
								{	/* Reduce/same.scm 26 */
									obj_t BgL_arrayz00_2310;
									int BgL_offsetz00_2311;

									BgL_arrayz00_2310 = BgL_arg1803z00_2307;
									BgL_offsetz00_2311 = (int) (BgL_objzd2classzd2numz00_2306);
									{	/* Reduce/same.scm 26 */
										long BgL_offsetz00_2312;

										BgL_offsetz00_2312 =
											((long) (BgL_offsetz00_2311) - OBJECT_TYPE);
										{	/* Reduce/same.scm 26 */
											long BgL_modz00_2313;

											{	/* Reduce/same.scm 26 */
												int BgL_arg1805z00_2314;

												BgL_arg1805z00_2314 = (int) (((long) 16));
												{	/* Reduce/same.scm 26 */
													long BgL_res2073z00_2324;

													{	/* Reduce/same.scm 26 */
														long BgL_auxz00_2887;

														BgL_auxz00_2887 = (long) (BgL_arg1805z00_2314);
														BgL_res2073z00_2324 =
															(BgL_offsetz00_2312 / BgL_auxz00_2887);
													}
													BgL_modz00_2313 = BgL_res2073z00_2324;
											}}
											{	/* Reduce/same.scm 26 */
												long BgL_restz00_2315;

												{	/* Reduce/same.scm 26 */
													int BgL_arg1804z00_2316;

													BgL_arg1804z00_2316 = (int) (((long) 16));
													{	/* Reduce/same.scm 26 */
														long BgL_res2075z00_2328;

														{	/* Reduce/same.scm 26 */
															long BgL_auxz00_2891;

															BgL_auxz00_2891 = (long) (BgL_arg1804z00_2316);
															BgL_res2075z00_2328 =
																(BgL_offsetz00_2312 % BgL_auxz00_2891);
														}
														BgL_restz00_2315 = BgL_res2075z00_2328;
												}}
												{	/* Reduce/same.scm 26 */

													BgL_res2076z00_2333 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2310,
															(int) (BgL_modz00_2313)),
														(int) (BgL_restz00_2315));
					}}}}}}}}
					BgL_method1824z00_1287 = BgL_res2076z00_2333;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1824z00_1287) (BgL_method1824z00_1287,
						((obj_t) BgL_node1z00_3),
						((obj_t) BgL_node2z00_4), BgL_aliasz00_5, BEOA));
			}
		}
	}



/* &same-node? */
	obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t BgL_envz00_2698,
		obj_t BgL_node1z00_2699, obj_t BgL_node2z00_2700, obj_t BgL_aliasz00_2701)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return
				BBOOL(BGl_samezd2nodezf3z21zzreduce_samez00(
					((BgL_nodez00_bglt) BgL_node1z00_2699),
					((BgL_nodez00_bglt) BgL_node2z00_2700), BgL_aliasz00_2701));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00,
				BGl_proc2176z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2178z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00,
				BGl_proc2179z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2180z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_syncz00zzast_nodez00,
				BGl_proc2181z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2182z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2183z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00,
				BGl_proc2184z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_externz00zzast_nodez00, BGl_proc2185z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2186z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2187z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2188z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_vallocz00zzast_nodez00, BGl_proc2189z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00,
				BGl_proc2190z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2191z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00,
				BGl_proc2192z00zzreduce_samez00, BGl_string2177z00zzreduce_samez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2193z00zzreduce_samez00,
				BGl_string2177z00zzreduce_samez00);
		}
	}



/* &same-node?-let-var1858 */
	obj_t BGl_z62samezd2nodezf3zd2letzd2var1858z43zzreduce_samez00(obj_t
		BgL_envz00_2719, obj_t BgL_nodez00_2720, obj_t BgL_node2z00_2721,
		obj_t BgL_aliasz00_2722)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 188 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1506;
				BgL_nodez00_bglt BgL_node2z00_1507;
				obj_t BgL_aliasz00_1508;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2928;

					BgL_nodez00_1506 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2720);
					BgL_node2z00_1507 = ((BgL_nodez00_bglt) BgL_node2z00_2721);
					BgL_aliasz00_1508 = BgL_aliasz00_2722;
					{	/* Reduce/same.scm 193 */
						bool_t BgL_testz00_2929;

						{	/* Reduce/same.scm 193 */
							bool_t BgL_res2164z00_2603;

							{	/* Reduce/same.scm 193 */
								obj_t BgL_objz00_2602;

								BgL_objz00_2602 = ((obj_t) BgL_node2z00_1507);
								BgL_res2164z00_2603 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2602,
									BGl_letzd2varzd2zzast_nodez00);
							}
							BgL_testz00_2929 = BgL_res2164z00_2603;
						}
						if (BgL_testz00_2929)
							{	/* Reduce/same.scm 193 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1506)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1507))->
												BgL_typez00))))
									{	/* Reduce/same.scm 194 */
										if (
											(bgl_list_length(
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1506))->
														BgL_bindingsz00)) ==
												bgl_list_length((((BgL_letzd2varzd2_bglt)
															CREF(((BgL_letzd2varzd2_bglt)
																	BgL_node2z00_1507)))->BgL_bindingsz00))))
											{	/* Reduce/same.scm 197 */
												obj_t BgL_newzd2aliaszd2_1514;

												{	/* Reduce/same.scm 197 */
													obj_t BgL_arg1995z00_1541;

													{	/* Reduce/same.scm 197 */
														obj_t BgL_ll1817z00_1542;
														obj_t BgL_ll1818z00_1543;

														BgL_ll1817z00_1542 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_1506))->BgL_bindingsz00);
														BgL_ll1818z00_1543 =
															(((BgL_letzd2varzd2_bglt)
																CREF(((BgL_letzd2varzd2_bglt)
																		BgL_node2z00_1507)))->BgL_bindingsz00);
														if (NULLP(BgL_ll1817z00_1542))
															{	/* Reduce/same.scm 197 */
																BgL_arg1995z00_1541 = BNIL;
															}
														else
															{	/* Reduce/same.scm 197 */
																obj_t BgL_head1819z00_1545;

																{	/* Reduce/same.scm 197 */
																	obj_t BgL_res2168z00_2622;

																	BgL_res2168z00_2622 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head1819z00_1545 = BgL_res2168z00_2622;
																}
																{
																	obj_t BgL_ll1817z00_1547;
																	obj_t BgL_ll1818z00_1548;
																	obj_t BgL_tail1820z00_1549;

																	BgL_ll1817z00_1547 = BgL_ll1817z00_1542;
																	BgL_ll1818z00_1548 = BgL_ll1818z00_1543;
																	BgL_tail1820z00_1549 = BgL_head1819z00_1545;
																BgL_zc3anonymousza31997ze3z83_1550:
																	if (NULLP(BgL_ll1817z00_1547))
																		{	/* Reduce/same.scm 197 */
																			BgL_arg1995z00_1541 =
																				CDR(BgL_head1819z00_1545);
																		}
																	else
																		{	/* Reduce/same.scm 197 */
																			obj_t BgL_newtail1821z00_1552;

																			{	/* Reduce/same.scm 197 */
																				obj_t BgL_arg2001z00_1555;

																				{	/* Reduce/same.scm 197 */
																					obj_t BgL_b1z00_1556;
																					obj_t BgL_b2z00_1557;

																					BgL_b1z00_1556 =
																						CAR(BgL_ll1817z00_1547);
																					BgL_b2z00_1557 =
																						CAR(BgL_ll1818z00_1548);
																					BgL_arg2001z00_1555 =
																						MAKE_PAIR(CAR(BgL_b1z00_1556),
																						CAR(BgL_b2z00_1557));
																				}
																				{	/* Reduce/same.scm 197 */
																					obj_t BgL_res2170z00_2632;

																					BgL_res2170z00_2632 =
																						MAKE_PAIR(BgL_arg2001z00_1555,
																						BNIL);
																					BgL_newtail1821z00_1552 =
																						BgL_res2170z00_2632;
																				}
																			}
																			SET_CDR(BgL_tail1820z00_1549,
																				BgL_newtail1821z00_1552);
																			{
																				obj_t BgL_tail1820z00_2966;
																				obj_t BgL_ll1818z00_2964;
																				obj_t BgL_ll1817z00_2962;

																				BgL_ll1817z00_2962 =
																					CDR(BgL_ll1817z00_1547);
																				BgL_ll1818z00_2964 =
																					CDR(BgL_ll1818z00_1548);
																				BgL_tail1820z00_2966 =
																					BgL_newtail1821z00_1552;
																				BgL_tail1820z00_1549 =
																					BgL_tail1820z00_2966;
																				BgL_ll1818z00_1548 = BgL_ll1818z00_2964;
																				BgL_ll1817z00_1547 = BgL_ll1817z00_2962;
																				goto BgL_zc3anonymousza31997ze3z83_1550;
																			}
																		}
																}
															}
													}
													BgL_newzd2aliaszd2_1514 =
														BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1995z00_1541, BgL_aliasz00_1508);
												}
												{	/* Reduce/same.scm 202 */
													bool_t BgL_testz00_2968;

													{	/* Reduce/same.scm 202 */
														BgL_nodez00_bglt BgL_arg1992z00_1539;
														BgL_nodez00_bglt BgL_arg1993z00_1540;

														BgL_arg1992z00_1539 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_1506))->BgL_bodyz00);
														BgL_arg1993z00_1540 =
															(((BgL_letzd2varzd2_bglt)
																CREF(((BgL_letzd2varzd2_bglt)
																		BgL_node2z00_1507)))->BgL_bodyz00);
														BgL_testz00_2968 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg1992z00_1539, BgL_arg1993z00_1540,
															BgL_newzd2aliaszd2_1514);
													}
													if (BgL_testz00_2968)
														{	/* Reduce/same.scm 203 */
															obj_t BgL_g1148z00_1516;
															obj_t BgL_g1149z00_1517;

															BgL_g1148z00_1516 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_1506))->BgL_bindingsz00);
															BgL_g1149z00_1517 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(((BgL_letzd2varzd2_bglt)
																			BgL_node2z00_1507)))->BgL_bindingsz00);
															{
																obj_t BgL_bindings1z00_1519;
																obj_t BgL_bindings2z00_1520;

																BgL_bindings1z00_1519 = BgL_g1148z00_1516;
																BgL_bindings2z00_1520 = BgL_g1149z00_1517;
															BgL_zc3anonymousza31973ze3z83_1521:
																if (NULLP(BgL_bindings1z00_1519))
																	{	/* Reduce/same.scm 206 */
																		BgL_auxz00_2928 = ((bool_t) 1);
																	}
																else
																	{	/* Reduce/same.scm 208 */
																		bool_t BgL_testz00_2978;

																		{	/* Reduce/same.scm 209 */
																			bool_t BgL_testz00_2979;

																			{	/* Reduce/same.scm 209 */
																				obj_t BgL_auxz00_2980;

																				{
																					BgL_variablez00_bglt BgL_auxz00_2981;

																					{
																						BgL_localz00_bglt BgL_auxz00_2982;

																						{	/* Reduce/same.scm 209 */
																							obj_t BgL_pairz00_2650;

																							{	/* Reduce/same.scm 209 */
																								obj_t BgL_pairz00_2649;

																								BgL_pairz00_2649 =
																									BgL_bindings1z00_1519;
																								BgL_pairz00_2650 =
																									CAR(BgL_pairz00_2649);
																							}
																							BgL_auxz00_2982 =
																								((BgL_localz00_bglt)
																								CAR(BgL_pairz00_2650));
																						}
																						BgL_auxz00_2981 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_2982);
																					}
																					BgL_auxz00_2980 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_auxz00_2981))->
																						BgL_accessz00);
																				}
																				BgL_testz00_2979 =
																					(BgL_auxz00_2980 ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																			if (BgL_testz00_2979)
																				{	/* Reduce/same.scm 210 */
																					obj_t BgL_auxz00_2990;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_2991;
																						{
																							BgL_localz00_bglt BgL_auxz00_2992;

																							{	/* Reduce/same.scm 210 */
																								obj_t BgL_pairz00_2654;

																								{	/* Reduce/same.scm 210 */
																									obj_t BgL_pairz00_2653;

																									BgL_pairz00_2653 =
																										BgL_bindings2z00_1520;
																									BgL_pairz00_2654 =
																										CAR(BgL_pairz00_2653);
																								}
																								BgL_auxz00_2992 =
																									((BgL_localz00_bglt)
																									CAR(BgL_pairz00_2654));
																							}
																							BgL_auxz00_2991 =
																								((BgL_variablez00_bglt)
																								BgL_auxz00_2992);
																						}
																						BgL_auxz00_2990 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_2991))->
																							BgL_accessz00);
																					}
																					BgL_testz00_2978 =
																						(BgL_auxz00_2990 ==
																						CNST_TABLE_REF(((long) 0)));
																				}
																			else
																				{	/* Reduce/same.scm 209 */
																					BgL_testz00_2978 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2978)
																			{	/* Reduce/same.scm 212 */
																				bool_t BgL_testz00_3000;

																				{	/* Reduce/same.scm 212 */
																					obj_t BgL_arg1979z00_1527;
																					obj_t BgL_arg1980z00_1528;

																					BgL_arg1979z00_1527 =
																						CDR(CAR(BgL_bindings1z00_1519));
																					BgL_arg1980z00_1528 =
																						CDR(CAR(BgL_bindings2z00_1520));
																					BgL_testz00_3000 =
																						BGl_samezd2nodezf3z21zzreduce_samez00
																						(((BgL_nodez00_bglt)
																							BgL_arg1979z00_1527),
																						((BgL_nodez00_bglt)
																							BgL_arg1980z00_1528),
																						BgL_aliasz00_1508);
																				}
																				if (BgL_testz00_3000)
																					{
																						obj_t BgL_bindings2z00_3010;
																						obj_t BgL_bindings1z00_3008;

																						BgL_bindings1z00_3008 =
																							CDR(BgL_bindings1z00_1519);
																						BgL_bindings2z00_3010 =
																							CDR(BgL_bindings2z00_1520);
																						BgL_bindings2z00_1520 =
																							BgL_bindings2z00_3010;
																						BgL_bindings1z00_1519 =
																							BgL_bindings1z00_3008;
																						goto
																							BgL_zc3anonymousza31973ze3z83_1521;
																					}
																				else
																					{	/* Reduce/same.scm 212 */
																						BgL_auxz00_2928 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Reduce/same.scm 208 */
																				BgL_auxz00_2928 = ((bool_t) 0);
																			}
																	}
															}
														}
													else
														{	/* Reduce/same.scm 202 */
															BgL_auxz00_2928 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* Reduce/same.scm 195 */
												BgL_auxz00_2928 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 194 */
										BgL_auxz00_2928 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 193 */
								BgL_auxz00_2928 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2928);
				}
			}
		}
	}



/* &same-node?-fail1856 */
	obj_t BGl_z62samezd2nodezf3zd2fail1856z91zzreduce_samez00(obj_t
		BgL_envz00_2723, obj_t BgL_nodez00_2724, obj_t BgL_node2z00_2725,
		obj_t BgL_aliasz00_2726)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 175 */
			{
				BgL_failz00_bglt BgL_nodez00_1488;
				BgL_nodez00_bglt BgL_node2z00_1489;
				obj_t BgL_aliasz00_1490;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3015;

					BgL_nodez00_1488 = ((BgL_failz00_bglt) BgL_nodez00_2724);
					BgL_node2z00_1489 = ((BgL_nodez00_bglt) BgL_node2z00_2725);
					BgL_aliasz00_1490 = BgL_aliasz00_2726;
					{	/* Reduce/same.scm 179 */
						bool_t BgL_testz00_3016;

						{	/* Reduce/same.scm 179 */
							bool_t BgL_res2155z00_2577;

							{	/* Reduce/same.scm 179 */
								obj_t BgL_objz00_2576;

								BgL_objz00_2576 = ((obj_t) BgL_node2z00_1489);
								BgL_res2155z00_2577 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2576,
									BGl_failz00zzast_nodez00);
							}
							BgL_testz00_3016 = BgL_res2155z00_2577;
						}
						if (BgL_testz00_3016)
							{	/* Reduce/same.scm 179 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1488)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1489))->
												BgL_typez00))))
									{	/* Reduce/same.scm 181 */
										bool_t BgL_testz00_3026;

										{	/* Reduce/same.scm 181 */
											BgL_nodez00_bglt BgL_arg1969z00_1501;
											BgL_nodez00_bglt BgL_arg1970z00_1502;

											BgL_arg1969z00_1501 =
												(((BgL_failz00_bglt) CREF(BgL_nodez00_1488))->
												BgL_msgz00);
											BgL_arg1970z00_1502 =
												(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
															BgL_node2z00_1489)))->BgL_msgz00);
											BgL_testz00_3026 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1969z00_1501, BgL_arg1970z00_1502,
												BgL_aliasz00_1490);
										}
										if (BgL_testz00_3026)
											{	/* Reduce/same.scm 182 */
												bool_t BgL_testz00_3031;

												{	/* Reduce/same.scm 182 */
													BgL_nodez00_bglt BgL_arg1967z00_1499;
													BgL_nodez00_bglt BgL_arg1968z00_1500;

													BgL_arg1967z00_1499 =
														(((BgL_failz00_bglt) CREF(BgL_nodez00_1488))->
														BgL_procz00);
													BgL_arg1968z00_1500 =
														(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
																	BgL_node2z00_1489)))->BgL_procz00);
													BgL_testz00_3031 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1967z00_1499, BgL_arg1968z00_1500,
														BgL_aliasz00_1490);
												}
												if (BgL_testz00_3031)
													{	/* Reduce/same.scm 183 */
														BgL_nodez00_bglt BgL_arg1965z00_1497;
														BgL_nodez00_bglt BgL_arg1966z00_1498;

														BgL_arg1965z00_1497 =
															(((BgL_failz00_bglt) CREF(BgL_nodez00_1488))->
															BgL_objz00);
														BgL_arg1966z00_1498 =
															(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
																		BgL_node2z00_1489)))->BgL_objz00);
														BgL_auxz00_3015 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg1965z00_1497, BgL_arg1966z00_1498,
															BgL_aliasz00_1490);
													}
												else
													{	/* Reduce/same.scm 182 */
														BgL_auxz00_3015 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 181 */
												BgL_auxz00_3015 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 180 */
										BgL_auxz00_3015 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 179 */
								BgL_auxz00_3015 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3015);
				}
			}
		}
	}



/* &same-node?-condition1854 */
	obj_t BGl_z62samezd2nodezf3zd2condition1854z91zzreduce_samez00(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_node2z00_2729,
		obj_t BgL_aliasz00_2730)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 162 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1470;
				BgL_nodez00_bglt BgL_node2z00_1471;
				obj_t BgL_aliasz00_1472;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3043;

					BgL_nodez00_1470 = ((BgL_conditionalz00_bglt) BgL_nodez00_2728);
					BgL_node2z00_1471 = ((BgL_nodez00_bglt) BgL_node2z00_2729);
					BgL_aliasz00_1472 = BgL_aliasz00_2730;
					{	/* Reduce/same.scm 166 */
						bool_t BgL_testz00_3044;

						{	/* Reduce/same.scm 166 */
							bool_t BgL_res2146z00_2551;

							{	/* Reduce/same.scm 166 */
								obj_t BgL_objz00_2550;

								BgL_objz00_2550 = ((obj_t) BgL_node2z00_1471);
								BgL_res2146z00_2551 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2550,
									BGl_conditionalz00zzast_nodez00);
							}
							BgL_testz00_3044 = BgL_res2146z00_2551;
						}
						if (BgL_testz00_3044)
							{	/* Reduce/same.scm 166 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1470)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1471))->
												BgL_typez00))))
									{	/* Reduce/same.scm 168 */
										bool_t BgL_testz00_3054;

										{	/* Reduce/same.scm 168 */
											BgL_nodez00_bglt BgL_arg1961z00_1483;
											BgL_nodez00_bglt BgL_arg1962z00_1484;

											BgL_arg1961z00_1483 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1470))->
												BgL_falsez00);
											BgL_arg1962z00_1484 =
												(((BgL_conditionalz00_bglt)
													CREF(((BgL_conditionalz00_bglt) BgL_node2z00_1471)))->
												BgL_falsez00);
											BgL_testz00_3054 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1961z00_1483, BgL_arg1962z00_1484,
												BgL_aliasz00_1472);
										}
										if (BgL_testz00_3054)
											{	/* Reduce/same.scm 169 */
												bool_t BgL_testz00_3059;

												{	/* Reduce/same.scm 169 */
													BgL_nodez00_bglt BgL_arg1958z00_1481;
													BgL_nodez00_bglt BgL_arg1959z00_1482;

													BgL_arg1958z00_1481 =
														(((BgL_conditionalz00_bglt)
															CREF(BgL_nodez00_1470))->BgL_truez00);
													BgL_arg1959z00_1482 =
														(((BgL_conditionalz00_bglt)
															CREF(((BgL_conditionalz00_bglt)
																	BgL_node2z00_1471)))->BgL_truez00);
													BgL_testz00_3059 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1958z00_1481, BgL_arg1959z00_1482,
														BgL_aliasz00_1472);
												}
												if (BgL_testz00_3059)
													{	/* Reduce/same.scm 170 */
														BgL_nodez00_bglt BgL_arg1956z00_1479;
														BgL_nodez00_bglt BgL_arg1957z00_1480;

														BgL_arg1956z00_1479 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_nodez00_1470))->BgL_testz00);
														BgL_arg1957z00_1480 =
															(((BgL_conditionalz00_bglt)
																CREF(((BgL_conditionalz00_bglt)
																		BgL_node2z00_1471)))->BgL_testz00);
														BgL_auxz00_3043 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg1956z00_1479, BgL_arg1957z00_1480,
															BgL_aliasz00_1472);
													}
												else
													{	/* Reduce/same.scm 169 */
														BgL_auxz00_3043 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 168 */
												BgL_auxz00_3043 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 167 */
										BgL_auxz00_3043 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 166 */
								BgL_auxz00_3043 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3043);
				}
			}
		}
	}



/* &same-node?-cast1852 */
	obj_t BGl_z62samezd2nodezf3zd2cast1852z91zzreduce_samez00(obj_t
		BgL_envz00_2731, obj_t BgL_nodez00_2732, obj_t BgL_node2z00_2733,
		obj_t BgL_aliasz00_2734)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 154 */
			{
				BgL_castz00_bglt BgL_nodez00_1458;
				BgL_nodez00_bglt BgL_node2z00_1459;
				obj_t BgL_aliasz00_1460;

				{	/* Reduce/same.scm 155 */
					bool_t BgL_auxz00_3071;

					BgL_nodez00_1458 = ((BgL_castz00_bglt) BgL_nodez00_2732);
					BgL_node2z00_1459 = ((BgL_nodez00_bglt) BgL_node2z00_2733);
					BgL_aliasz00_1460 = BgL_aliasz00_2734;
					{	/* Reduce/same.scm 155 */
						bool_t BgL_testz00_3072;

						{	/* Reduce/same.scm 155 */
							bool_t BgL_res2141z00_2537;

							{	/* Reduce/same.scm 155 */
								obj_t BgL_objz00_2536;

								BgL_objz00_2536 = ((obj_t) BgL_node2z00_1459);
								BgL_res2141z00_2537 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2536,
									BGl_castz00zzast_nodez00);
							}
							BgL_testz00_3072 = BgL_res2141z00_2537;
						}
						if (BgL_testz00_3072)
							{	/* Reduce/same.scm 155 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1458)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1459))->
												BgL_typez00))))
									{	/* Reduce/same.scm 157 */
										BgL_nodez00_bglt BgL_arg1952z00_1465;
										BgL_nodez00_bglt BgL_arg1953z00_1466;

										BgL_arg1952z00_1465 =
											(((BgL_castz00_bglt) CREF(BgL_nodez00_1458))->BgL_argz00);
										BgL_arg1953z00_1466 =
											(((BgL_castz00_bglt) CREF(
													((BgL_castz00_bglt) BgL_node2z00_1459)))->BgL_argz00);
										BgL_auxz00_3071 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1952z00_1465,
											BgL_arg1953z00_1466, BgL_aliasz00_1460);
									}
								else
									{	/* Reduce/same.scm 156 */
										BgL_auxz00_3071 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 155 */
								BgL_auxz00_3071 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3071);
				}
			}
		}
	}



/* &same-node?-valloc1850 */
	obj_t BGl_z62samezd2nodezf3zd2valloc1850z91zzreduce_samez00(obj_t
		BgL_envz00_2735, obj_t BgL_nodez00_2736, obj_t BgL_node2z00_2737,
		obj_t BgL_aliasz00_2738)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 148 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &same-node?-setfield1848 */
	obj_t BGl_z62samezd2nodezf3zd2setfield1848z91zzreduce_samez00(obj_t
		BgL_envz00_2739, obj_t BgL_nodez00_2740, obj_t BgL_node2z00_2741,
		obj_t BgL_aliasz00_2742)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 140 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1442;
				BgL_nodez00_bglt BgL_node2z00_1443;
				obj_t BgL_aliasz00_1444;

				BgL_nodez00_1442 = ((BgL_setfieldz00_bglt) BgL_nodez00_2740);
				BgL_node2z00_1443 = ((BgL_nodez00_bglt) BgL_node2z00_2741);
				BgL_aliasz00_1444 = BgL_aliasz00_2742;
				{

					{	/* Reduce/same.scm 141 */
						bool_t BgL_testz00_3090;

						{	/* Reduce/same.scm 141 */
							bool_t BgL_res2137z00_2526;

							{	/* Reduce/same.scm 141 */
								obj_t BgL_objz00_2525;

								BgL_objz00_2525 = ((obj_t) BgL_node2z00_1443);
								BgL_res2137z00_2526 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2525,
									BGl_setfieldz00zzast_nodez00);
							}
							BgL_testz00_3090 = BgL_res2137z00_2526;
						}
						if (BgL_testz00_3090)
							{	/* Reduce/same.scm 141 */
								if (bigloo_strcmp(
										(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1442))->
											BgL_fnamez00),
										(((BgL_setfieldz00_bglt) CREF(((BgL_setfieldz00_bglt)
														BgL_node2z00_1443)))->BgL_fnamez00)))
									{	/* Reduce/same.scm 142 */
										{	/* Reduce/same.scm 140 */
											obj_t BgL_nextzd2method1847zd2_1451;

											BgL_nextzd2method1847zd2_1451 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1442),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_setfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method1847zd2_1451)
												(BgL_nextzd2method1847zd2_1451,
												((obj_t) BgL_nodez00_1442), ((obj_t) BgL_node2z00_1443),
												BgL_aliasz00_1444, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 142 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 141 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-getfield1846 */
	obj_t BGl_z62samezd2nodezf3zd2getfield1846z91zzreduce_samez00(obj_t
		BgL_envz00_2743, obj_t BgL_nodez00_2744, obj_t BgL_node2z00_2745,
		obj_t BgL_aliasz00_2746)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 132 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1432;
				BgL_nodez00_bglt BgL_node2z00_1433;
				obj_t BgL_aliasz00_1434;

				BgL_nodez00_1432 = ((BgL_getfieldz00_bglt) BgL_nodez00_2744);
				BgL_node2z00_1433 = ((BgL_nodez00_bglt) BgL_node2z00_2745);
				BgL_aliasz00_1434 = BgL_aliasz00_2746;
				{

					{	/* Reduce/same.scm 133 */
						bool_t BgL_testz00_3110;

						{	/* Reduce/same.scm 133 */
							bool_t BgL_res2133z00_2515;

							{	/* Reduce/same.scm 133 */
								obj_t BgL_objz00_2514;

								BgL_objz00_2514 = ((obj_t) BgL_node2z00_1433);
								BgL_res2133z00_2515 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2514,
									BGl_getfieldz00zzast_nodez00);
							}
							BgL_testz00_3110 = BgL_res2133z00_2515;
						}
						if (BgL_testz00_3110)
							{	/* Reduce/same.scm 133 */
								if (bigloo_strcmp(
										(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1432))->
											BgL_fnamez00),
										(((BgL_getfieldz00_bglt) CREF(((BgL_getfieldz00_bglt)
														BgL_node2z00_1433)))->BgL_fnamez00)))
									{	/* Reduce/same.scm 134 */
										{	/* Reduce/same.scm 132 */
											obj_t BgL_nextzd2method1845zd2_1441;

											BgL_nextzd2method1845zd2_1441 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1432),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_getfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method1845zd2_1441)
												(BgL_nextzd2method1845zd2_1441,
												((obj_t) BgL_nodez00_1432), ((obj_t) BgL_node2z00_1433),
												BgL_aliasz00_1434, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 134 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-pragma1844 */
	obj_t BGl_z62samezd2nodezf3zd2pragma1844z91zzreduce_samez00(obj_t
		BgL_envz00_2747, obj_t BgL_nodez00_2748, obj_t BgL_node2z00_2749,
		obj_t BgL_aliasz00_2750)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 123 */
			{
				BgL_pragmaz00_bglt BgL_nodez00_1417;
				BgL_nodez00_bglt BgL_node2z00_1418;
				obj_t BgL_aliasz00_1419;

				{	/* Reduce/same.scm 124 */
					bool_t BgL_auxz00_3130;

					BgL_nodez00_1417 = ((BgL_pragmaz00_bglt) BgL_nodez00_2748);
					BgL_node2z00_1418 = ((BgL_nodez00_bglt) BgL_node2z00_2749);
					BgL_aliasz00_1419 = BgL_aliasz00_2750;
					{	/* Reduce/same.scm 124 */
						bool_t BgL_testz00_3131;

						{	/* Reduce/same.scm 124 */
							bool_t BgL_res2125z00_2492;

							{	/* Reduce/same.scm 124 */
								obj_t BgL_objz00_2491;

								BgL_objz00_2491 = ((obj_t) BgL_node2z00_1418);
								BgL_res2125z00_2492 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2491,
									BGl_pragmaz00zzast_nodez00);
							}
							BgL_testz00_3131 = BgL_res2125z00_2492;
						}
						if (BgL_testz00_3131)
							{	/* Reduce/same.scm 124 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1417)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1418))->
												BgL_typez00))))
									{	/* Reduce/same.scm 125 */
										if (bigloo_strcmp(
												(((BgL_pragmaz00_bglt) CREF(BgL_nodez00_1417))->
													BgL_formatz00),
												(((BgL_pragmaz00_bglt) CREF(((BgL_pragmaz00_bglt)
																BgL_node2z00_1418)))->BgL_formatz00)))
											{	/* Reduce/same.scm 127 */
												obj_t BgL_arg1942z00_1425;
												obj_t BgL_arg1943z00_1426;

												BgL_arg1942z00_1425 =
													(((BgL_externz00_bglt) CREF(
															((BgL_externz00_bglt) BgL_nodez00_1417)))->
													BgL_exprza2za2);
												BgL_arg1943z00_1426 =
													(((BgL_externz00_bglt)
														CREF(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
																	BgL_node2z00_1418))))->BgL_exprza2za2);
												BgL_auxz00_3130 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1942z00_1425, BgL_arg1943z00_1426,
													BgL_aliasz00_1419);
											}
										else
											{	/* Reduce/same.scm 126 */
												BgL_auxz00_3130 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 125 */
										BgL_auxz00_3130 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 124 */
								BgL_auxz00_3130 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3130);
				}
			}
		}
	}



/* &same-node?-extern1842 */
	obj_t BGl_z62samezd2nodezf3zd2extern1842z91zzreduce_samez00(obj_t
		BgL_envz00_2751, obj_t BgL_nodez00_2752, obj_t BgL_node2z00_2753,
		obj_t BgL_aliasz00_2754)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 112 */
			{
				BgL_externz00_bglt BgL_nodez00_1405;
				BgL_nodez00_bglt BgL_node2z00_1406;
				obj_t BgL_aliasz00_1407;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3155;

					BgL_nodez00_1405 = ((BgL_externz00_bglt) BgL_nodez00_2752);
					BgL_node2z00_1406 = ((BgL_nodez00_bglt) BgL_node2z00_2753);
					BgL_aliasz00_1407 = BgL_aliasz00_2754;
					{	/* Reduce/same.scm 116 */
						bool_t BgL_testz00_3156;

						{	/* Reduce/same.scm 116 */
							bool_t BgL_res2120z00_2478;

							{	/* Reduce/same.scm 116 */
								obj_t BgL_objz00_2477;

								BgL_objz00_2477 = ((obj_t) BgL_node2z00_1406);
								BgL_res2120z00_2478 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2477,
									BGl_externz00zzast_nodez00);
							}
							BgL_testz00_3156 = BgL_res2120z00_2478;
						}
						if (BgL_testz00_3156)
							{	/* Reduce/same.scm 116 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1405)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1406))->
												BgL_typez00))))
									{	/* Reduce/same.scm 118 */
										obj_t BgL_arg1938z00_1412;
										obj_t BgL_arg1939z00_1413;

										BgL_arg1938z00_1412 =
											(((BgL_externz00_bglt) CREF(BgL_nodez00_1405))->
											BgL_exprza2za2);
										BgL_arg1939z00_1413 =
											(((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
														BgL_node2z00_1406)))->BgL_exprza2za2);
										BgL_auxz00_3155 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg1938z00_1412, BgL_arg1939z00_1413,
											BgL_aliasz00_1407);
									}
								else
									{	/* Reduce/same.scm 117 */
										BgL_auxz00_3155 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 116 */
								BgL_auxz00_3155 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3155);
				}
			}
		}
	}



/* &same-node?-app1840 */
	obj_t BGl_z62samezd2nodezf3zd2app1840z91zzreduce_samez00(obj_t
		BgL_envz00_2755, obj_t BgL_nodez00_2756, obj_t BgL_node2z00_2757,
		obj_t BgL_aliasz00_2758)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 103 */
			{
				BgL_appz00_bglt BgL_nodez00_1390;
				BgL_nodez00_bglt BgL_node2z00_1391;
				obj_t BgL_aliasz00_1392;

				{	/* Reduce/same.scm 104 */
					bool_t BgL_auxz00_3173;

					BgL_nodez00_1390 = ((BgL_appz00_bglt) BgL_nodez00_2756);
					BgL_node2z00_1391 = ((BgL_nodez00_bglt) BgL_node2z00_2757);
					BgL_aliasz00_1392 = BgL_aliasz00_2758;
					{	/* Reduce/same.scm 104 */
						bool_t BgL_testz00_3174;

						{	/* Reduce/same.scm 104 */
							bool_t BgL_res2115z00_2460;

							{	/* Reduce/same.scm 104 */
								obj_t BgL_objz00_2459;

								BgL_objz00_2459 = ((obj_t) BgL_node2z00_1391);
								BgL_res2115z00_2460 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2459,
									BGl_appz00zzast_nodez00);
							}
							BgL_testz00_3174 = BgL_res2115z00_2460;
						}
						if (BgL_testz00_3174)
							{	/* Reduce/same.scm 104 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1390)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1391))->
												BgL_typez00))))
									{	/* Reduce/same.scm 106 */
										bool_t BgL_testz00_3184;

										{	/* Reduce/same.scm 106 */
											BgL_varz00_bglt BgL_arg1933z00_1400;
											BgL_varz00_bglt BgL_arg1934z00_1401;

											BgL_arg1933z00_1400 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1390))->
												BgL_funz00);
											BgL_arg1934z00_1401 =
												(((BgL_appz00_bglt) CREF(((BgL_appz00_bglt)
															BgL_node2z00_1391)))->BgL_funz00);
											BgL_testz00_3184 =
												BGl_samezd2nodezf3z21zzreduce_samez00((
													(BgL_nodez00_bglt) BgL_arg1933z00_1400),
												((BgL_nodez00_bglt) BgL_arg1934z00_1401),
												BgL_aliasz00_1392);
										}
										if (BgL_testz00_3184)
											{	/* Reduce/same.scm 107 */
												obj_t BgL_arg1931z00_1398;
												obj_t BgL_arg1932z00_1399;

												BgL_arg1931z00_1398 =
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1390))->
													BgL_argsz00);
												BgL_arg1932z00_1399 =
													(((BgL_appz00_bglt) CREF(((BgL_appz00_bglt)
																BgL_node2z00_1391)))->BgL_argsz00);
												BgL_auxz00_3173 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1931z00_1398, BgL_arg1932z00_1399,
													BgL_aliasz00_1392);
											}
										else
											{	/* Reduce/same.scm 106 */
												BgL_auxz00_3173 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 105 */
										BgL_auxz00_3173 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 104 */
								BgL_auxz00_3173 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3173);
				}
			}
		}
	}



/* &same-node?-funcall1838 */
	obj_t BGl_z62samezd2nodezf3zd2funcall1838z91zzreduce_samez00(obj_t
		BgL_envz00_2759, obj_t BgL_nodez00_2760, obj_t BgL_node2z00_2761,
		obj_t BgL_aliasz00_2762)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 94 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1375;
				BgL_nodez00_bglt BgL_node2z00_1376;
				obj_t BgL_aliasz00_1377;

				{	/* Reduce/same.scm 95 */
					bool_t BgL_auxz00_3198;

					BgL_nodez00_1375 = ((BgL_funcallz00_bglt) BgL_nodez00_2760);
					BgL_node2z00_1376 = ((BgL_nodez00_bglt) BgL_node2z00_2761);
					BgL_aliasz00_1377 = BgL_aliasz00_2762;
					{	/* Reduce/same.scm 95 */
						bool_t BgL_testz00_3199;

						{	/* Reduce/same.scm 95 */
							bool_t BgL_res2110z00_2442;

							{	/* Reduce/same.scm 95 */
								obj_t BgL_objz00_2441;

								BgL_objz00_2441 = ((obj_t) BgL_node2z00_1376);
								BgL_res2110z00_2442 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2441,
									BGl_funcallz00zzast_nodez00);
							}
							BgL_testz00_3199 = BgL_res2110z00_2442;
						}
						if (BgL_testz00_3199)
							{	/* Reduce/same.scm 95 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1375)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1376))->
												BgL_typez00))))
									{	/* Reduce/same.scm 97 */
										bool_t BgL_testz00_3209;

										{	/* Reduce/same.scm 97 */
											BgL_nodez00_bglt BgL_arg1927z00_1385;
											BgL_nodez00_bglt BgL_arg1928z00_1386;

											BgL_arg1927z00_1385 =
												(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1375))->
												BgL_funz00);
											BgL_arg1928z00_1386 =
												(((BgL_funcallz00_bglt) CREF(((BgL_funcallz00_bglt)
															BgL_node2z00_1376)))->BgL_funz00);
											BgL_testz00_3209 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1927z00_1385, BgL_arg1928z00_1386,
												BgL_aliasz00_1377);
										}
										if (BgL_testz00_3209)
											{	/* Reduce/same.scm 98 */
												obj_t BgL_arg1925z00_1383;
												obj_t BgL_arg1926z00_1384;

												BgL_arg1925z00_1383 =
													(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1375))->
													BgL_argsz00);
												BgL_arg1926z00_1384 =
													(((BgL_funcallz00_bglt) CREF(((BgL_funcallz00_bglt)
																BgL_node2z00_1376)))->BgL_argsz00);
												BgL_auxz00_3198 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1925z00_1383, BgL_arg1926z00_1384,
													BgL_aliasz00_1377);
											}
										else
											{	/* Reduce/same.scm 97 */
												BgL_auxz00_3198 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 96 */
										BgL_auxz00_3198 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 95 */
								BgL_auxz00_3198 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3198);
				}
			}
		}
	}



/* &same-node?-app-ly1836 */
	obj_t BGl_z62samezd2nodezf3zd2appzd2ly1836z43zzreduce_samez00(obj_t
		BgL_envz00_2763, obj_t BgL_nodez00_2764, obj_t BgL_node2z00_2765,
		obj_t BgL_aliasz00_2766)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 85 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1360;
				BgL_nodez00_bglt BgL_node2z00_1361;
				obj_t BgL_aliasz00_1362;

				{	/* Reduce/same.scm 86 */
					bool_t BgL_auxz00_3221;

					BgL_nodez00_1360 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2764);
					BgL_node2z00_1361 = ((BgL_nodez00_bglt) BgL_node2z00_2765);
					BgL_aliasz00_1362 = BgL_aliasz00_2766;
					{	/* Reduce/same.scm 86 */
						bool_t BgL_testz00_3222;

						{	/* Reduce/same.scm 86 */
							bool_t BgL_res2103z00_2422;

							{	/* Reduce/same.scm 86 */
								obj_t BgL_objz00_2421;

								BgL_objz00_2421 = ((obj_t) BgL_node2z00_1361);
								BgL_res2103z00_2422 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2421,
									BGl_appzd2lyzd2zzast_nodez00);
							}
							BgL_testz00_3222 = BgL_res2103z00_2422;
						}
						if (BgL_testz00_3222)
							{	/* Reduce/same.scm 86 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1360)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1361))->
												BgL_typez00))))
									{	/* Reduce/same.scm 88 */
										bool_t BgL_testz00_3232;

										{	/* Reduce/same.scm 88 */
											BgL_nodez00_bglt BgL_arg1921z00_1370;
											BgL_nodez00_bglt BgL_arg1922z00_1371;

											BgL_arg1921z00_1370 =
												(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1360))->
												BgL_funz00);
											BgL_arg1922z00_1371 =
												(((BgL_appzd2lyzd2_bglt) CREF(((BgL_appzd2lyzd2_bglt)
															BgL_node2z00_1361)))->BgL_funz00);
											BgL_testz00_3232 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1921z00_1370, BgL_arg1922z00_1371,
												BgL_aliasz00_1362);
										}
										if (BgL_testz00_3232)
											{	/* Reduce/same.scm 89 */
												BgL_nodez00_bglt BgL_arg1919z00_1368;
												BgL_nodez00_bglt BgL_arg1920z00_1369;

												BgL_arg1919z00_1368 =
													(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1360))->
													BgL_argz00);
												BgL_arg1920z00_1369 =
													(((BgL_appzd2lyzd2_bglt) CREF(((BgL_appzd2lyzd2_bglt)
																BgL_node2z00_1361)))->BgL_argz00);
												BgL_auxz00_3221 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1919z00_1368, BgL_arg1920z00_1369,
													BgL_aliasz00_1362);
											}
										else
											{	/* Reduce/same.scm 88 */
												BgL_auxz00_3221 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 87 */
										BgL_auxz00_3221 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 86 */
								BgL_auxz00_3221 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3221);
				}
			}
		}
	}



/* &same-node?-sync1834 */
	obj_t BGl_z62samezd2nodezf3zd2sync1834z91zzreduce_samez00(obj_t
		BgL_envz00_2767, obj_t BgL_nodez00_2768, obj_t BgL_node2z00_2769,
		obj_t BgL_aliasz00_2770)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 75 */
			{
				BgL_syncz00_bglt BgL_nodez00_1342;
				BgL_nodez00_bglt BgL_node2z00_1343;
				obj_t BgL_aliasz00_1344;

				{	/* Reduce/same.scm 76 */
					bool_t BgL_auxz00_3244;

					BgL_nodez00_1342 = ((BgL_syncz00_bglt) BgL_nodez00_2768);
					BgL_node2z00_1343 = ((BgL_nodez00_bglt) BgL_node2z00_2769);
					BgL_aliasz00_1344 = BgL_aliasz00_2770;
					{	/* Reduce/same.scm 76 */
						bool_t BgL_testz00_3245;

						{	/* Reduce/same.scm 76 */
							bool_t BgL_res2094z00_2396;

							{	/* Reduce/same.scm 76 */
								obj_t BgL_objz00_2395;

								BgL_objz00_2395 = ((obj_t) BgL_node2z00_1343);
								BgL_res2094z00_2396 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2395,
									BGl_syncz00zzast_nodez00);
							}
							BgL_testz00_3245 = BgL_res2094z00_2396;
						}
						if (BgL_testz00_3245)
							{	/* Reduce/same.scm 76 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1342)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1343))->
												BgL_typez00))))
									{	/* Reduce/same.scm 78 */
										bool_t BgL_testz00_3255;

										{	/* Reduce/same.scm 78 */
											BgL_nodez00_bglt BgL_arg1914z00_1355;
											BgL_nodez00_bglt BgL_arg1915z00_1356;

											BgL_arg1914z00_1355 =
												(((BgL_syncz00_bglt) CREF(BgL_nodez00_1342))->
												BgL_mutexz00);
											BgL_arg1915z00_1356 =
												(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
															BgL_node2z00_1343)))->BgL_mutexz00);
											BgL_testz00_3255 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1914z00_1355, BgL_arg1915z00_1356,
												BgL_aliasz00_1344);
										}
										if (BgL_testz00_3255)
											{	/* Reduce/same.scm 79 */
												bool_t BgL_testz00_3260;

												{	/* Reduce/same.scm 79 */
													BgL_nodez00_bglt BgL_arg1912z00_1353;
													BgL_nodez00_bglt BgL_arg1913z00_1354;

													BgL_arg1912z00_1353 =
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1342))->
														BgL_prelockz00);
													BgL_arg1913z00_1354 =
														(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
																	BgL_node2z00_1343)))->BgL_prelockz00);
													BgL_testz00_3260 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1912z00_1353, BgL_arg1913z00_1354,
														BgL_aliasz00_1344);
												}
												if (BgL_testz00_3260)
													{	/* Reduce/same.scm 80 */
														obj_t BgL_arg1910z00_1351;
														obj_t BgL_arg1911z00_1352;

														BgL_arg1910z00_1351 =
															(((BgL_syncz00_bglt) CREF(BgL_nodez00_1342))->
															BgL_nodesz00);
														BgL_arg1911z00_1352 =
															(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
																		BgL_node2z00_1343)))->BgL_nodesz00);
														BgL_auxz00_3244 =
															BGl_samezd2nodeza2zf3z83zzreduce_samez00
															(BgL_arg1910z00_1351, BgL_arg1911z00_1352,
															BgL_aliasz00_1344);
													}
												else
													{	/* Reduce/same.scm 79 */
														BgL_auxz00_3244 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 78 */
												BgL_auxz00_3244 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 77 */
										BgL_auxz00_3244 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 76 */
								BgL_auxz00_3244 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3244);
				}
			}
		}
	}



/* &same-node?-sequence1832 */
	obj_t BGl_z62samezd2nodezf3zd2sequence1832z91zzreduce_samez00(obj_t
		BgL_envz00_2771, obj_t BgL_nodez00_2772, obj_t BgL_node2z00_2773,
		obj_t BgL_aliasz00_2774)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 67 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1330;
				BgL_nodez00_bglt BgL_node2z00_1331;
				obj_t BgL_aliasz00_1332;

				{	/* Reduce/same.scm 68 */
					bool_t BgL_auxz00_3272;

					BgL_nodez00_1330 = ((BgL_sequencez00_bglt) BgL_nodez00_2772);
					BgL_node2z00_1331 = ((BgL_nodez00_bglt) BgL_node2z00_2773);
					BgL_aliasz00_1332 = BgL_aliasz00_2774;
					{	/* Reduce/same.scm 68 */
						bool_t BgL_testz00_3273;

						{	/* Reduce/same.scm 68 */
							bool_t BgL_res2091z00_2384;

							{	/* Reduce/same.scm 68 */
								obj_t BgL_objz00_2383;

								BgL_objz00_2383 = ((obj_t) BgL_node2z00_1331);
								BgL_res2091z00_2384 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2383,
									BGl_sequencez00zzast_nodez00);
							}
							BgL_testz00_3273 = BgL_res2091z00_2384;
						}
						if (BgL_testz00_3273)
							{	/* Reduce/same.scm 68 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1330)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1331))->
												BgL_typez00))))
									{	/* Reduce/same.scm 70 */
										obj_t BgL_arg1905z00_1337;
										obj_t BgL_arg1906z00_1338;

										BgL_arg1905z00_1337 =
											(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1330))->
											BgL_nodesz00);
										BgL_arg1906z00_1338 =
											(((BgL_sequencez00_bglt) CREF(((BgL_sequencez00_bglt)
														BgL_node2z00_1331)))->BgL_nodesz00);
										BgL_auxz00_3272 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg1905z00_1337, BgL_arg1906z00_1338,
											BgL_aliasz00_1332);
									}
								else
									{	/* Reduce/same.scm 69 */
										BgL_auxz00_3272 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 68 */
								BgL_auxz00_3272 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3272);
				}
			}
		}
	}



/* &same-node?-var1830 */
	obj_t BGl_z62samezd2nodezf3zd2var1830z91zzreduce_samez00(obj_t
		BgL_envz00_2775, obj_t BgL_nodez00_2776, obj_t BgL_node2z00_2777,
		obj_t BgL_aliasz00_2778)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 54 */
			{
				BgL_varz00_bglt BgL_nodez00_1312;
				BgL_nodez00_bglt BgL_node2z00_1313;
				obj_t BgL_aliasz00_1314;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3290;

					BgL_nodez00_1312 = ((BgL_varz00_bglt) BgL_nodez00_2776);
					BgL_node2z00_1313 = ((BgL_nodez00_bglt) BgL_node2z00_2777);
					BgL_aliasz00_1314 = BgL_aliasz00_2778;
					{	/* Reduce/same.scm 58 */
						bool_t BgL_testz00_3291;

						{	/* Reduce/same.scm 58 */
							bool_t BgL_res2083z00_2359;

							{	/* Reduce/same.scm 58 */
								obj_t BgL_objz00_2358;

								BgL_objz00_2358 = ((obj_t) BgL_node2z00_1313);
								BgL_res2083z00_2359 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2358,
									BGl_varz00zzast_nodez00);
							}
							BgL_testz00_3291 = BgL_res2083z00_2359;
						}
						if (BgL_testz00_3291)
							{	/* Reduce/same.scm 58 */
								if (
									((((BgL_variablez00_bglt) CREF(
													(((BgL_varz00_bglt) CREF(BgL_nodez00_1312))->
														BgL_variablez00)))->BgL_accessz00) ==
										CNST_TABLE_REF(((long) 0))))
									{	/* Reduce/same.scm 59 */
										if (
											(((obj_t)
													(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1312)))->
														BgL_typez00)) ==
												((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1313))->
														BgL_typez00))))
											{	/* Reduce/same.scm 61 */
												bool_t BgL__ortest_1109z00_1320;

												BgL__ortest_1109z00_1320 =
													(
													((obj_t)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1312))->
															BgL_variablez00)) ==
													((obj_t) (((BgL_varz00_bglt) CREF(((BgL_varz00_bglt)
																		BgL_node2z00_1313)))->BgL_variablez00)));
												if (BgL__ortest_1109z00_1320)
													{	/* Reduce/same.scm 61 */
														BgL_auxz00_3290 = BgL__ortest_1109z00_1320;
													}
												else
													{	/* Reduce/same.scm 61 */
														BgL_auxz00_3290 =
															BGl_aliasedzf3zf3zzreduce_samez00(
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1312))->
																BgL_variablez00),
															(((BgL_varz00_bglt) CREF(((BgL_varz00_bglt)
																			BgL_node2z00_1313)))->BgL_variablez00),
															BgL_aliasz00_1314);
													}
											}
										else
											{	/* Reduce/same.scm 60 */
												BgL_auxz00_3290 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 59 */
										BgL_auxz00_3290 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 58 */
								BgL_auxz00_3290 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3290);
				}
			}
		}
	}



/* &same-node?-kwote1828 */
	obj_t BGl_z62samezd2nodezf3zd2kwote1828z91zzreduce_samez00(obj_t
		BgL_envz00_2779, obj_t BgL_nodez00_2780, obj_t BgL_node2z00_2781,
		obj_t BgL_aliasz00_2782)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 43 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1300;
				BgL_nodez00_bglt BgL_node2z00_1301;
				obj_t BgL_aliasz00_1302;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3320;

					BgL_nodez00_1300 = ((BgL_kwotez00_bglt) BgL_nodez00_2780);
					BgL_node2z00_1301 = ((BgL_nodez00_bglt) BgL_node2z00_2781);
					BgL_aliasz00_1302 = BgL_aliasz00_2782;
					{	/* Reduce/same.scm 47 */
						bool_t BgL_testz00_3321;

						{	/* Reduce/same.scm 47 */
							bool_t BgL_res2080z00_2347;

							{	/* Reduce/same.scm 47 */
								obj_t BgL_objz00_2346;

								BgL_objz00_2346 = ((obj_t) BgL_node2z00_1301);
								BgL_res2080z00_2347 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2346,
									BGl_kwotez00zzast_nodez00);
							}
							BgL_testz00_3321 = BgL_res2080z00_2347;
						}
						if (BgL_testz00_3321)
							{	/* Reduce/same.scm 47 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1300)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1301))->
												BgL_typez00))))
									{	/* Reduce/same.scm 48 */
										BgL_auxz00_3320 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_kwotez00_bglt) CREF(BgL_nodez00_1300))->
												BgL_valuez00),
											(((BgL_kwotez00_bglt) CREF(((BgL_kwotez00_bglt)
															BgL_node2z00_1301)))->BgL_valuez00));
									}
								else
									{	/* Reduce/same.scm 48 */
										BgL_auxz00_3320 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 47 */
								BgL_auxz00_3320 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3320);
				}
			}
		}
	}



/* &same-node?-atom1826 */
	obj_t BGl_z62samezd2nodezf3zd2atom1826z91zzreduce_samez00(obj_t
		BgL_envz00_2783, obj_t BgL_nodez00_2784, obj_t BgL_node2z00_2785,
		obj_t BgL_aliasz00_2786)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 32 */
			{
				BgL_atomz00_bglt BgL_nodez00_1288;
				BgL_nodez00_bglt BgL_node2z00_1289;
				obj_t BgL_aliasz00_1290;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3338;

					BgL_nodez00_1288 = ((BgL_atomz00_bglt) BgL_nodez00_2784);
					BgL_node2z00_1289 = ((BgL_nodez00_bglt) BgL_node2z00_2785);
					BgL_aliasz00_1290 = BgL_aliasz00_2786;
					{	/* Reduce/same.scm 36 */
						bool_t BgL_testz00_3339;

						{	/* Reduce/same.scm 36 */
							bool_t BgL_res2077z00_2335;

							{	/* Reduce/same.scm 36 */
								obj_t BgL_objz00_2334;

								BgL_objz00_2334 = ((obj_t) BgL_node2z00_1289);
								BgL_res2077z00_2335 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2334,
									BGl_atomz00zzast_nodez00);
							}
							BgL_testz00_3339 = BgL_res2077z00_2335;
						}
						if (BgL_testz00_3339)
							{	/* Reduce/same.scm 36 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1288)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1289))->
												BgL_typez00))))
									{	/* Reduce/same.scm 37 */
										BgL_auxz00_3338 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_atomz00_bglt) CREF(BgL_nodez00_1288))->
												BgL_valuez00),
											(((BgL_atomz00_bglt) CREF(((BgL_atomz00_bglt)
															BgL_node2z00_1289)))->BgL_valuez00));
									}
								else
									{	/* Reduce/same.scm 37 */
										BgL_auxz00_3338 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 36 */
								BgL_auxz00_3338 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3338);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2194z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2194z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2194z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2194z00zzreduce_samez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2194z00zzreduce_samez00));
		}
	}

#ifdef __cplusplus
}
#endif
