/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00();
	static BgL_blockz00_bglt
		BGl_z62zc3anonymousza32167ze3ze1zzsaw_collapsez00(obj_t, obj_t);
	static bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t, obj_t);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2162z62zzsaw_collapsez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2165z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	static BgL_blockz00_bglt BGl_z62lambda2168z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2178z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2179z62zzsaw_collapsez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string2305z00zzsaw_collapsez00,
		BgL_bgl_string2305za700za7za7s2309za7, "saw_collapse", 12);
	      DEFINE_STRING(BGl_string2306z00zzsaw_collapsez00,
		BgL_bgl_string2306za700za7za7s2310za7, "saw_collapse collapsed obj last ",
		32);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl_za762collapseza762za7za72311z00,
		BGl_z62collapsez62zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzsaw_collapsez00,
		BgL_bgl_za762lambda2179za7622312z00, BGl_z62lambda2179z62zzsaw_collapsez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzsaw_collapsez00,
		BgL_bgl_za762lambda2178za7622313z00, BGl_z62lambda2178z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzsaw_collapsez00,
		BgL_bgl_za762lambda2168za7622314z00, BGl_z62lambda2168z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzsaw_collapsez00,
		BgL_bgl_za762za7c3anonymousza72315za7,
		BGl_z62zc3anonymousza32167ze3ze1zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzsaw_collapsez00,
		BgL_bgl_za762lambda2165za7622316z00, BGl_z62lambda2165z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzsaw_collapsez00,
		BgL_bgl_za762lambda2162za7622317z00, BGl_z62lambda2162z62zzsaw_collapsez00,
		0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_2876, char *BgL_fromz00_2877)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_2868;

				BgL_cportz00_2868 =
					bgl_open_input_string(BGl_string2306z00zzsaw_collapsez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2869;

					BgL_iz00_2869 = ((long) 3);
				BgL_loopz00_2870:
					if ((BgL_iz00_2869 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg2308z00_2872;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_2874;

										BgL_locationz00_2874 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg2308z00_2872 =
												BGl_readz00zz__readerz00(BgL_cportz00_2868,
												BgL_locationz00_2874);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_auxz00_2896;

									BgL_auxz00_2896 = (int) (BgL_iz00_2869);
									CNST_TABLE_SET(BgL_auxz00_2896, BgL_arg2308z00_2872);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_2875;

								BgL_auxz00_2875 = (int) ((BgL_iz00_2869 - ((long) 1)));
								{
									long BgL_iz00_2901;

									BgL_iz00_2901 = (long) (BgL_auxz00_2875);
									BgL_iz00_2869 = BgL_iz00_2901;
									goto BgL_loopz00_2870;
								}
							}
						}
				}
			}
		}
	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_24)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 14 */
			BGl_dfsz00zzsaw_collapsez00(BgL_bz00_24);
			return BUNSPEC;
		}
	}



/* dfs */
	bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1647)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 15 */
			{	/* SawMill/collapse.scm 17 */
				BgL_blockz00_bglt BgL_tmp1166z00_1651;
				BgL_collapsedz00_bglt BgL_wide1167z00_1652;

				BgL_tmp1166z00_1651 = ((BgL_blockz00_bglt) BgL_bz00_1647);
				BgL_wide1167z00_1652 =
					((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 17 */
					obj_t BgL_auxz00_2908;
					BgL_objectz00_bglt BgL_auxz00_2906;

					BgL_auxz00_2908 = ((obj_t) BgL_wide1167z00_1652);
					BgL_auxz00_2906 = ((BgL_objectz00_bglt) BgL_tmp1166z00_1651);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2906, BgL_auxz00_2908);
				}
				{	/* SawMill/collapse.scm 17 */
					long BgL_arg2132z00_1653;

					{	/* SawMill/collapse.scm 17 */
						long BgL_res2285z00_2773;

						BgL_res2285z00_2773 =
							BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
						BgL_arg2132z00_1653 = BgL_res2285z00_2773;
					}
					{	/* SawMill/collapse.scm 17 */
						BgL_objectz00_bglt BgL_objz00_2774;

						BgL_objz00_2774 = ((BgL_objectz00_bglt) BgL_tmp1166z00_1651);
						((BgL_blockz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2774, BgL_arg2132z00_1653));
				}} BgL_tmp1166z00_1651;
			}
			{	/* SawMill/collapse.scm 17 */
				BgL_blockz00_bglt BgL_new1168z00_1654;

				BgL_new1168z00_1654 = ((BgL_blockz00_bglt) BgL_bz00_1647);
				{
					BgL_collapsedz00_bglt BgL_auxz00_2916;

					{
						obj_t BgL_auxz00_2917;

						{	/* SawMill/collapse.scm 17 */
							BgL_objectz00_bglt BgL_auxz00_2918;

							BgL_auxz00_2918 = ((BgL_objectz00_bglt) BgL_new1168z00_1654);
							BgL_auxz00_2917 = BGL_OBJECT_WIDENING(BgL_auxz00_2918);
						}
						BgL_auxz00_2916 = ((BgL_collapsedz00_bglt) BgL_auxz00_2917);
					}
					((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2916))->BgL_lastz00) =
						((obj_t)
							BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(((
										(BgL_blockz00_bglt) CREF(BgL_bz00_1647))->BgL_firstz00))),
						BUNSPEC);
				} BgL_new1168z00_1654;
			}
			{	/* SawMill/collapse.scm 18 */
				bool_t BgL_testz00_2925;

				if (NULLP((((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->BgL_predsz00)))
					{	/* SawMill/collapse.scm 18 */
						BgL_testz00_2925 = ((bool_t) 0);
					}
				else
					{	/* SawMill/collapse.scm 18 */
						BgL_testz00_2925 =
							NULLP(CDR(
								(((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->BgL_predsz00)));
					}
				if (BgL_testz00_2925)
					{	/* SawMill/collapse.scm 19 */
						obj_t BgL_pz00_1657;

						BgL_pz00_1657 =
							CAR((((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->BgL_predsz00));
						{	/* SawMill/collapse.scm 19 */
							obj_t BgL_psz00_1658;

							BgL_psz00_1658 =
								(((BgL_blockz00_bglt) CREF(
										((BgL_blockz00_bglt) BgL_pz00_1657)))->BgL_succsz00);
							{	/* SawMill/collapse.scm 19 */

								if (NULLP(CDR(BgL_psz00_1658)))
									{	/* SawMill/collapse.scm 21 */
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_arg2136z00_1660;
											obj_t BgL_arg2137z00_1661;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2939;

												{
													obj_t BgL_auxz00_2940;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_auxz00_2941;

														BgL_auxz00_2941 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1657));
														BgL_auxz00_2940 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2941);
													}
													BgL_auxz00_2939 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2940);
												}
												BgL_arg2136z00_1660 =
													(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2939))->
													BgL_lastz00);
											}
											BgL_arg2137z00_1661 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->
												BgL_firstz00);
											SET_CDR(BgL_arg2136z00_1660, BgL_arg2137z00_1661);
										}
										{	/* SawMill/collapse.scm 25 */
											obj_t BgL_arg2138z00_1662;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2949;

												{
													obj_t BgL_auxz00_2950;

													{	/* SawMill/collapse.scm 25 */
														BgL_objectz00_bglt BgL_auxz00_2951;

														BgL_auxz00_2951 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_1647));
														BgL_auxz00_2950 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2951);
													}
													BgL_auxz00_2949 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2950);
												}
												BgL_arg2138z00_1662 =
													(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2949))->
													BgL_lastz00);
											}
											{	/* SawMill/collapse.scm 25 */
												BgL_blockz00_bglt BgL_oz00_2794;

												BgL_oz00_2794 = ((BgL_blockz00_bglt) BgL_pz00_1657);
												{
													BgL_collapsedz00_bglt BgL_auxz00_2958;

													{
														obj_t BgL_auxz00_2959;

														{	/* SawMill/collapse.scm 25 */
															BgL_objectz00_bglt BgL_auxz00_2960;

															BgL_auxz00_2960 =
																((BgL_objectz00_bglt) BgL_oz00_2794);
															BgL_auxz00_2959 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2960);
														}
														BgL_auxz00_2958 =
															((BgL_collapsedz00_bglt) BgL_auxz00_2959);
													}
													((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2958))->
															BgL_lastz00) =
														((obj_t) BgL_arg2138z00_1662), BUNSPEC);
												}
											}
										}
										{	/* SawMill/collapse.scm 26 */
											obj_t BgL_arg2139z00_1663;

											BgL_arg2139z00_1663 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->
												BgL_succsz00);
											{	/* SawMill/collapse.scm 26 */
												BgL_blockz00_bglt BgL_oz00_2797;

												BgL_oz00_2797 = ((BgL_blockz00_bglt) BgL_pz00_1657);
												((((BgL_blockz00_bglt) CREF(BgL_oz00_2797))->
														BgL_succsz00) =
													((obj_t) BgL_arg2139z00_1663), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 27 */
											obj_t BgL_g2120z00_1664;

											BgL_g2120z00_1664 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->
												BgL_succsz00);
											{
												obj_t BgL_l2118z00_1666;

												BgL_l2118z00_1666 = BgL_g2120z00_1664;
											BgL_zc3anonymousza32140ze3z83_1667:
												if (PAIRP(BgL_l2118z00_1666))
													{	/* SawMill/collapse.scm 27 */
														{	/* SawMill/collapse.scm 28 */
															obj_t BgL_sz00_1669;

															BgL_sz00_1669 = CAR(BgL_l2118z00_1666);
															{	/* SawMill/collapse.scm 28 */
																BgL_blockz00_bglt BgL_i1169z00_1670;

																BgL_i1169z00_1670 =
																	((BgL_blockz00_bglt) BgL_sz00_1669);
																{
																	obj_t BgL_auxz00_2973;

																	{	/* SawMill/collapse.scm 29 */
																		obj_t BgL_arg2142z00_1671;

																		BgL_arg2142z00_1671 =
																			(((BgL_blockz00_bglt)
																				CREF(BgL_i1169z00_1670))->BgL_predsz00);
																		BgL_auxz00_2973 =
																			BGl_substz00zzsaw_libz00
																			(BgL_arg2142z00_1671,
																			((obj_t) BgL_bz00_1647), BgL_pz00_1657);
																	}
																	((((BgL_blockz00_bglt)
																				CREF(BgL_i1169z00_1670))->
																			BgL_predsz00) =
																		((obj_t) BgL_auxz00_2973), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_l2118z00_2978;

															BgL_l2118z00_2978 = CDR(BgL_l2118z00_1666);
															BgL_l2118z00_1666 = BgL_l2118z00_2978;
															goto BgL_zc3anonymousza32140ze3z83_1667;
														}
													}
												else
													{	/* SawMill/collapse.scm 27 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 21 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 18 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 31 */
				obj_t BgL_g2123z00_1680;

				BgL_g2123z00_1680 =
					(((BgL_blockz00_bglt) CREF(BgL_bz00_1647))->BgL_succsz00);
				{
					obj_t BgL_l2121z00_1682;

					BgL_l2121z00_1682 = BgL_g2123z00_1680;
				BgL_zc3anonymousza32152ze3z83_1683:
					if (PAIRP(BgL_l2121z00_1682))
						{	/* SawMill/collapse.scm 31 */
							{	/* SawMill/collapse.scm 32 */
								BgL_blockz00_bglt BgL_succz00_1685;

								BgL_succz00_1685 = ((BgL_blockz00_bglt) CAR(BgL_l2121z00_1682));
								{	/* SawMill/collapse.scm 32 */
									bool_t BgL_testz00_2985;

									{	/* SawMill/collapse.scm 32 */
										bool_t BgL_res2292z00_2808;

										{	/* SawMill/collapse.scm 32 */
											obj_t BgL_objz00_2807;

											BgL_objz00_2807 = ((obj_t) BgL_succz00_1685);
											BgL_res2292z00_2808 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2807,
												BGl_collapsedz00zzsaw_collapsez00);
										}
										BgL_testz00_2985 = BgL_res2292z00_2808;
									}
									if (BgL_testz00_2985)
										{	/* SawMill/collapse.scm 32 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 32 */
											BGl_dfsz00zzsaw_collapsez00(BgL_succz00_1685);
										}
								}
							}
							{
								obj_t BgL_l2121z00_2989;

								BgL_l2121z00_2989 = CDR(BgL_l2121z00_1682);
								BgL_l2121z00_1682 = BgL_l2121z00_2989;
								goto BgL_zc3anonymousza32152ze3z83_1683;
							}
						}
					else
						{	/* SawMill/collapse.scm 31 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* &collapse */
	obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t BgL_envz00_2843,
		obj_t BgL_bz00_2844)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 14 */
			return
				BGl_collapsez00zzsaw_collapsez00(((BgL_blockz00_bglt) BgL_bz00_2844));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 8 */
				obj_t BgL_arg2160z00_1694;
				obj_t BgL_arg2161z00_1695;

				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v2124z00_1721;

					BgL_v2124z00_1721 = create_vector((int) (((long) 1)));
					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg2175z00_1722;

						BgL_arg2175z00_1722 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2300z00zzsaw_collapsez00,
							BGl_proc2299z00zzsaw_collapsez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v2124z00_1721, (int) (((long) 0)),
							BgL_arg2175z00_1722);
					}
					BgL_arg2160z00_1694 = BgL_v2124z00_1721;
				}
				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v2125z00_1734;

					BgL_v2125z00_1734 = create_vector((int) (((long) 0)));
					BgL_arg2161z00_1695 = BgL_v2125z00_1734;
				}
				return (BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00,
						((long) 33907), BGl_proc2304z00zzsaw_collapsez00,
						BGl_proc2303z00zzsaw_collapsez00, BFALSE,
						BGl_proc2302z00zzsaw_collapsez00, BGl_proc2301z00zzsaw_collapsez00,
						BgL_arg2160z00_1694, BgL_arg2161z00_1695), BUNSPEC);
		}}
	}



/* &lambda2168 */
	BgL_blockz00_bglt BGl_z62lambda2168z62zzsaw_collapsez00(obj_t BgL_envz00_2851,
		obj_t BgL_o1149z00_2852)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_o1149z00_1715;

				BgL_o1149z00_1715 = ((BgL_blockz00_bglt) BgL_o1149z00_2852);
				{	/* SawMill/collapse.scm 8 */
					long BgL_arg2171z00_1718;

					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg2172z00_1719;

						{	/* SawMill/collapse.scm 8 */
							obj_t BgL_arg2173z00_1720;

							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_objectz00_2827;

								BgL_objectz00_2827 = ((BgL_objectz00_bglt) BgL_o1149z00_1715);
								{	/* SawMill/collapse.scm 8 */
									long BgL_arg1806z00_2828;

									{	/* SawMill/collapse.scm 8 */
										long BgL_arg1808z00_2829;

										{	/* SawMill/collapse.scm 8 */
											long BgL_res2296z00_2831;

											BgL_res2296z00_2831 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2827);
											BgL_arg1808z00_2829 = BgL_res2296z00_2831;
										}
										BgL_arg1806z00_2828 = (BgL_arg1808z00_2829 - OBJECT_TYPE);
									}
									BgL_arg2173z00_1720 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_2828));
							}}
							BgL_arg2172z00_1719 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2173z00_1720);
						}
						{	/* SawMill/collapse.scm 8 */
							long BgL_res2298z00_2838;

							BgL_res2298z00_2838 = BGL_CLASS_INDEX(BgL_arg2172z00_1719);
							BgL_arg2171z00_1718 = BgL_res2298z00_2838;
					}}
					{	/* SawMill/collapse.scm 8 */
						BgL_objectz00_bglt BgL_objz00_2839;

						BgL_objz00_2839 = ((BgL_objectz00_bglt) BgL_o1149z00_1715);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2839, BgL_arg2171z00_1718);
				}}
				{	/* SawMill/collapse.scm 8 */
					BgL_objectz00_bglt BgL_auxz00_3014;

					BgL_auxz00_3014 = ((BgL_objectz00_bglt) BgL_o1149z00_1715);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3014, BFALSE);
				}
				return ((BgL_blockz00_bglt) BgL_o1149z00_1715);
			}
		}
	}



/* &<anonymous:2167> */
	BgL_blockz00_bglt BGl_z62zc3anonymousza32167ze3ze1zzsaw_collapsez00(obj_t
		BgL_envz00_2853, obj_t BgL_new1148z00_2854)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_new1148z00_1713;

				BgL_new1148z00_1713 = ((BgL_blockz00_bglt) BgL_new1148z00_2854);
				((((BgL_blockz00_bglt) CREF(
								((BgL_blockz00_bglt) BgL_new1148z00_1713)))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
									BgL_new1148z00_1713)))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
									BgL_new1148z00_1713)))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
									BgL_new1148z00_1713)))->BgL_firstz00) =
					((obj_t) MAKE_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_collapsedz00_bglt BgL_auxz00_3029;

					{
						obj_t BgL_auxz00_3030;

						{	/* SawMill/collapse.scm 8 */
							BgL_objectz00_bglt BgL_auxz00_3031;

							BgL_auxz00_3031 = ((BgL_objectz00_bglt) BgL_new1148z00_1713);
							BgL_auxz00_3030 = BGL_OBJECT_WIDENING(BgL_auxz00_3031);
						}
						BgL_auxz00_3029 = ((BgL_collapsedz00_bglt) BgL_auxz00_3030);
					}
					((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_3029))->BgL_lastz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1148z00_1713;
			}
		}
	}



/* &lambda2165 */
	BgL_blockz00_bglt BGl_z62lambda2165z62zzsaw_collapsez00(obj_t BgL_envz00_2855,
		obj_t BgL_o1145z00_2856)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_o1145z00_1708;

				BgL_o1145z00_1708 = ((BgL_blockz00_bglt) BgL_o1145z00_2856);
				{	/* SawMill/collapse.scm 8 */
					BgL_blockz00_bglt BgL_tmp1146z00_1710;
					BgL_collapsedz00_bglt BgL_wide1147z00_1711;

					BgL_tmp1146z00_1710 = ((BgL_blockz00_bglt) BgL_o1145z00_1708);
					BgL_wide1147z00_1711 =
						((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_collapsedz00_bgl))));
					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_auxz00_3041;
						BgL_objectz00_bglt BgL_auxz00_3039;

						BgL_auxz00_3041 = ((obj_t) BgL_wide1147z00_1711);
						BgL_auxz00_3039 = ((BgL_objectz00_bglt) BgL_tmp1146z00_1710);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3039, BgL_auxz00_3041);
					}
					{	/* SawMill/collapse.scm 8 */
						long BgL_arg2166z00_1712;

						{	/* SawMill/collapse.scm 8 */
							long BgL_res2295z00_2824;

							BgL_res2295z00_2824 =
								BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
							BgL_arg2166z00_1712 = BgL_res2295z00_2824;
						}
						{	/* SawMill/collapse.scm 8 */
							BgL_objectz00_bglt BgL_objz00_2825;

							BgL_objz00_2825 = ((BgL_objectz00_bglt) BgL_tmp1146z00_1710);
							((BgL_blockz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2825, BgL_arg2166z00_1712));
					}}
					return ((BgL_blockz00_bglt) BgL_tmp1146z00_1710);
				}
			}
		}
	}



/* &lambda2162 */
	BgL_blockz00_bglt BGl_z62lambda2162z62zzsaw_collapsez00(obj_t BgL_envz00_2857,
		obj_t BgL_label1140z00_2858, obj_t BgL_preds1141z00_2859,
		obj_t BgL_succs1142z00_2860, obj_t BgL_first1143z00_2861,
		obj_t BgL_last1144z00_2862)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				int BgL_label1140z00_1696;
				obj_t BgL_preds1141z00_1697;
				obj_t BgL_succs1142z00_1698;
				obj_t BgL_first1143z00_1699;
				obj_t BgL_last1144z00_1700;

				BgL_label1140z00_1696 = CINT(BgL_label1140z00_2858);
				BgL_preds1141z00_1697 = BgL_preds1141z00_2859;
				BgL_succs1142z00_1698 = BgL_succs1142z00_2860;
				BgL_first1143z00_1699 = BgL_first1143z00_2861;
				BgL_last1144z00_1700 = BgL_last1144z00_2862;
				{	/* SawMill/collapse.scm 8 */
					BgL_blockz00_bglt BgL_new1173z00_1702;

					{	/* SawMill/collapse.scm 8 */
						BgL_blockz00_bglt BgL_tmp1171z00_1703;
						BgL_collapsedz00_bglt BgL_wide1172z00_1704;

						{
							BgL_blockz00_bglt BgL_auxz00_3050;

							{	/* SawMill/collapse.scm 8 */
								BgL_blockz00_bglt BgL_new1170z00_1706;

								BgL_new1170z00_1706 =
									((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/collapse.scm 8 */
									long BgL_arg2164z00_1707;

									{	/* SawMill/collapse.scm 8 */
										long BgL_res2293z00_2816;

										BgL_res2293z00_2816 =
											BGL_CLASS_INDEX(BGl_blockz00zzsaw_defsz00);
										BgL_arg2164z00_1707 = BgL_res2293z00_2816;
									}
									{	/* SawMill/collapse.scm 8 */
										BgL_objectz00_bglt BgL_objz00_2817;

										BgL_objz00_2817 =
											((BgL_objectz00_bglt) BgL_new1170z00_1706);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2817,
											BgL_arg2164z00_1707);
								}}
								{	/* SawMill/collapse.scm 8 */
									BgL_objectz00_bglt BgL_auxz00_3055;

									BgL_auxz00_3055 = ((BgL_objectz00_bglt) BgL_new1170z00_1706);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3055, BFALSE);
								}
								BgL_auxz00_3050 = BgL_new1170z00_1706;
							}
							BgL_tmp1171z00_1703 = ((BgL_blockz00_bglt) BgL_auxz00_3050);
						}
						BgL_wide1172z00_1704 =
							((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_collapsedz00_bgl))));
						{	/* SawMill/collapse.scm 8 */
							obj_t BgL_auxz00_3062;
							BgL_objectz00_bglt BgL_auxz00_3060;

							BgL_auxz00_3062 = ((obj_t) BgL_wide1172z00_1704);
							BgL_auxz00_3060 = ((BgL_objectz00_bglt) BgL_tmp1171z00_1703);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3060, BgL_auxz00_3062);
						}
						{	/* SawMill/collapse.scm 8 */
							long BgL_arg2163z00_1705;

							{	/* SawMill/collapse.scm 8 */
								long BgL_res2294z00_2820;

								BgL_res2294z00_2820 =
									BGL_CLASS_INDEX(BGl_collapsedz00zzsaw_collapsez00);
								BgL_arg2163z00_1705 = BgL_res2294z00_2820;
							}
							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_objz00_2821;

								BgL_objz00_2821 = ((BgL_objectz00_bglt) BgL_tmp1171z00_1703);
								((BgL_blockz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2821,
										BgL_arg2163z00_1705));
						}}
						BgL_new1173z00_1702 = ((BgL_blockz00_bglt) BgL_tmp1171z00_1703);
					}
					((((BgL_blockz00_bglt) CREF(
									((BgL_blockz00_bglt) BgL_new1173z00_1702)))->BgL_labelz00) =
						((int) BgL_label1140z00_1696), BUNSPEC);
					((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
										BgL_new1173z00_1702)))->BgL_predsz00) =
						((obj_t) BgL_preds1141z00_1697), BUNSPEC);
					((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
										BgL_new1173z00_1702)))->BgL_succsz00) =
						((obj_t) BgL_succs1142z00_1698), BUNSPEC);
					((((BgL_blockz00_bglt) CREF(((BgL_blockz00_bglt)
										BgL_new1173z00_1702)))->BgL_firstz00) =
						((obj_t) BgL_first1143z00_1699), BUNSPEC);
					{
						BgL_collapsedz00_bglt BgL_auxz00_3078;

						{
							obj_t BgL_auxz00_3079;

							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_auxz00_3080;

								BgL_auxz00_3080 = ((BgL_objectz00_bglt) BgL_new1173z00_1702);
								BgL_auxz00_3079 = BGL_OBJECT_WIDENING(BgL_auxz00_3080);
							}
							BgL_auxz00_3078 = ((BgL_collapsedz00_bglt) BgL_auxz00_3079);
						}
						((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_3078))->BgL_lastz00) =
							((obj_t) BgL_last1144z00_1700), BUNSPEC);
					}
					return BgL_new1173z00_1702;
				}
			}
		}
	}



/* &lambda2179 */
	obj_t BGl_z62lambda2179z62zzsaw_collapsez00(obj_t BgL_envz00_2863,
		obj_t BgL_oz00_2864, obj_t BgL_vz00_2865)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_oz00_1728;
				obj_t BgL_vz00_1729;

				BgL_oz00_1728 = ((BgL_blockz00_bglt) BgL_oz00_2864);
				BgL_vz00_1729 = BgL_vz00_2865;
				{
					BgL_collapsedz00_bglt BgL_auxz00_3086;

					{
						obj_t BgL_auxz00_3087;

						{	/* SawMill/collapse.scm 8 */
							BgL_objectz00_bglt BgL_auxz00_3088;

							BgL_auxz00_3088 = ((BgL_objectz00_bglt) BgL_oz00_1728);
							BgL_auxz00_3087 = BGL_OBJECT_WIDENING(BgL_auxz00_3088);
						}
						BgL_auxz00_3086 = ((BgL_collapsedz00_bglt) BgL_auxz00_3087);
					}
					return
						((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_3086))->BgL_lastz00) =
						((obj_t) BgL_vz00_1729), BUNSPEC);
				}
			}
		}
	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzsaw_collapsez00(obj_t BgL_envz00_2866,
		obj_t BgL_oz00_2867)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_oz00_1725;

				BgL_oz00_1725 = ((BgL_blockz00_bglt) BgL_oz00_2867);
				{
					BgL_collapsedz00_bglt BgL_auxz00_3094;

					{
						obj_t BgL_auxz00_3095;

						{	/* SawMill/collapse.scm 8 */
							BgL_objectz00_bglt BgL_auxz00_3096;

							BgL_auxz00_3096 = ((BgL_objectz00_bglt) BgL_oz00_1725);
							BgL_auxz00_3095 = BGL_OBJECT_WIDENING(BgL_auxz00_3096);
						}
						BgL_auxz00_3094 = ((BgL_collapsedz00_bglt) BgL_auxz00_3095);
					}
					return (((BgL_collapsedz00_bglt) CREF(BgL_auxz00_3094))->BgL_lastz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2305z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2305z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2305z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2305z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 58109075),
				BSTRING_TO_STRING(BGl_string2305z00zzsaw_collapsez00));
		}
	}

#ifdef __cplusplus
}
#endif
