/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62avar1191z62zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62avarzd2ev_labels1225zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_z62avarzd2ev_hook1207zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_symbol1799z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_goto1227zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_synchroniza7e1217z17zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_global1197zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_letrec1223zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_withzd2handler1215z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	static obj_t BGl_z62avarzd2ev_let1219zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_unwindzd2prote1213z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_app1229zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_var1195zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_list1203zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_letza21221z12zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_bindzd2exit1211z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_abs1231zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_prog21205zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_setlocal1209zb0zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_symbol1801z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol1811z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_z62avarzd2ev_litt1199zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_if1201zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev1835z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var1836z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1800z00zz__evaluate_avarz00,
		BgL_bgl_string1800za700za7za7_1837za7, "never", 5);
	      DEFINE_STRING(BGl_string1802z00zz__evaluate_avarz00,
		BgL_bgl_string1802za700za7za7_1838za7, "fake", 4);
	      DEFINE_STRING(BGl_string1803z00zz__evaluate_avarz00,
		BgL_bgl_string1803za700za7za7_1839za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string1804z00zz__evaluate_avarz00,
		BgL_bgl_string1804za700za7za7_1840za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string1805z00zz__evaluate_avarz00,
		BgL_bgl_string1805za700za7za7_1841za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1806z00zz__evaluate_avarz00,
		BgL_bgl_string1806za700za7za7_1842za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string1807z00zz__evaluate_avarz00,
		BgL_bgl_string1807za700za7za7_1843za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string1808z00zz__evaluate_avarz00,
		BgL_bgl_string1808za700za7za7_1844za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string1810z00zz__evaluate_avarz00,
		BgL_bgl_string1810za700za7za7_1845za7, "avar1191", 8);
	      DEFINE_STRING(BGl_string1812z00zz__evaluate_avarz00,
		BgL_bgl_string1812za700za7za7_1846za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1813z00zz__evaluate_avarz00,
		BgL_bgl_string1813za700za7za7_1847za7, "&avar", 5);
	      DEFINE_STRING(BGl_string1815z00zz__evaluate_avarz00,
		BgL_bgl_string1815za700za7za7_1848za7, "avar", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zz__evaluate_avarz00,
		BgL_bgl_za762avar1191za762za7za71849z00,
		BGl_z62avar1191z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var1850z00,
		BGl_z62avarzd2ev_var1195zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo1851z00,
		BGl_z62avarzd2ev_global1197zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit1852z00,
		BGl_z62avarzd2ev_litt1199zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if11853z00,
		BGl_z62avarzd2ev_if1201zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis1854z00,
		BGl_z62avarzd2ev_list1203zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro1855z00,
		BGl_z62avarzd2ev_prog21205zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo1856z00,
		BGl_z62avarzd2ev_hook1207zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set1857z00,
		BGl_z62avarzd2ev_setlocal1209zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin1858z00,
		BGl_z62avarzd2ev_bindzd2exit1211z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw1859z00,
		BGl_z62avarzd2ev_unwindzd2prote1213z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit1860z00,
		BGl_z62avarzd2ev_withzd2handler1215z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_syn1861z00,
		BGl_z62avarzd2ev_synchroniza7e1217z17zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1862z00,
		BGl_z62avarzd2ev_let1219zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1834z00zz__evaluate_avarz00,
		BgL_bgl_string1834za700za7za7_1863za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1864z00,
		BGl_z62avarzd2ev_letza21221z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1865z00,
		BGl_z62avarzd2ev_letrec1223zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab1866z00,
		BGl_z62avarzd2ev_labels1225zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got1867z00,
		BGl_z62avarzd2ev_goto1227zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app1868z00,
		BGl_z62avarzd2ev_app1229zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs1869z00,
		BGl_z62avarzd2ev_abs1231zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b1870za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_2377, char *BgL_fromz00_2378)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol1799z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1800z00zz__evaluate_avarz00);
			BGl_symbol1801z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1802z00zz__evaluate_avarz00);
			return (BGl_symbol1811z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1810z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_696;

				BgL_headz00_696 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1395;
					obj_t BgL_tailz00_1396;

					BgL_prevz00_1395 = BgL_headz00_696;
					BgL_tailz00_1396 = BgL_l1z00_1;
				BgL_loopz00_1394:
					if (PAIRP(BgL_tailz00_1396))
						{
							obj_t BgL_newzd2prevzd2_1402;

							BgL_newzd2prevzd2_1402 =
								MAKE_PAIR(CAR(BgL_tailz00_1396), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1395, BgL_newzd2prevzd2_1402);
							{
								obj_t BgL_tailz00_2397;
								obj_t BgL_prevz00_2396;

								BgL_prevz00_2396 = BgL_newzd2prevzd2_1402;
								BgL_tailz00_2397 = CDR(BgL_tailz00_1396);
								BgL_tailz00_1396 = BgL_tailz00_2397;
								BgL_prevz00_1395 = BgL_prevz00_2396;
								goto BgL_loopz00_1394;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_696);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 90 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 91 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 93 */
					obj_t BgL_xz00_748;

					BgL_xz00_748 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_748,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_2406;

							BgL_l1z00_2406 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_2406;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 94 */
							return
								MAKE_PAIR(BgL_xz00_748,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_absz00_bglt BgL_fakez00_755;

				{	/* Eval/evaluate_avar.scm 113 */
					BgL_ev_absz00_bglt BgL_new1067z00_756;

					{	/* Eval/evaluate_avar.scm 113 */
						BgL_ev_absz00_bglt BgL_new1066z00_757;

						BgL_new1066z00_757 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_avar.scm 113 */
							long BgL_arg1329z00_758;

							{	/* Eval/evaluate_avar.scm 113 */
								long BgL_res1682z00_1438;

								BgL_res1682z00_1438 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg1329z00_758 = BgL_res1682z00_1438;
							}
							{	/* Eval/evaluate_avar.scm 113 */
								BgL_objectz00_bglt BgL_objz00_1439;

								BgL_objz00_1439 = ((BgL_objectz00_bglt) BgL_new1066z00_757);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1439, BgL_arg1329z00_758);
						}}
						{	/* Eval/evaluate_avar.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2415;

							BgL_auxz00_2415 = ((BgL_objectz00_bglt) BgL_new1066z00_757);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2415, BFALSE);
						}
						BgL_new1067z00_756 = BgL_new1066z00_757;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_locz00) =
						((obj_t) BGl_symbol1799z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_wherez00) =
						((obj_t) BGl_symbol1801z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_arityz00) =
						((obj_t) BINT(((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_varsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_ez00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_bindz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_freez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_innerz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1067z00_756))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_fakez00_755 = BgL_new1067z00_756;
				}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_755));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2246,
		obj_t BgL_ez00_2247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_exprz00_bglt BgL_auxz00_2432;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2247,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 113 */
						BgL_auxz00_2432 = ((BgL_ev_exprz00_bglt) BgL_ez00_2247);
					}
				else
					{
						obj_t BgL_auxz00_2436;

						BgL_auxz00_2436 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1803z00zz__evaluate_avarz00, BINT(((long) 2941)),
							BGl_string1804z00zz__evaluate_avarz00,
							BGl_string1805z00zz__evaluate_avarz00, BgL_ez00_2247);
						FAILURE(BgL_auxz00_2436, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2432);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 118 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 118 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15),
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00))))
						{	/* Eval/evaluate_avar.scm 120 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_2450;

							{	/* Eval/evaluate_avar.scm 120 */
								obj_t BgL_arg1332z00_1445;

								BgL_arg1332z00_1445 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00);
								BgL_auxz00_2450 =
									MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_arg1332z00_1445);
							}
							return
								((((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00) =
								((obj_t) BgL_auxz00_2450), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2248,
		obj_t BgL_varz00_2249, obj_t BgL_localz00_2250, obj_t BgL_absz00_2251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			{	/* Eval/evaluate_avar.scm 118 */
				BgL_ev_absz00_bglt BgL_auxz00_2463;
				BgL_ev_varz00_bglt BgL_auxz00_2455;

				if (BGl_isazf3zf3zz__objectz00(BgL_absz00_2251,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2463 = ((BgL_ev_absz00_bglt) BgL_absz00_2251);
					}
				else
					{
						obj_t BgL_auxz00_2467;

						BgL_auxz00_2467 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1803z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1806z00zz__evaluate_avarz00,
							BGl_string1808z00zz__evaluate_avarz00, BgL_absz00_2251);
						FAILURE(BgL_auxz00_2467, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_varz00_2249,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2455 = ((BgL_ev_varz00_bglt) BgL_varz00_2249);
					}
				else
					{
						obj_t BgL_auxz00_2459;

						BgL_auxz00_2459 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1803z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1806z00zz__evaluate_avarz00,
							BGl_string1807z00zz__evaluate_avarz00, BgL_varz00_2249);
						FAILURE(BgL_auxz00_2459, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2455,
					BgL_localz00_2250, BgL_auxz00_2463);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_75, obj_t BgL_varsz00_76)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 226 */
			{	/* Eval/evaluate_avar.scm 232 */
				obj_t BgL_ifreez00_765;

				BgL_ifreez00_765 =
					BGl_funionz00zz__evaluate_avarz00(
					(((BgL_ev_absz00_bglt) CREF(BgL_absz00_75))->BgL_innerz00));
				{
					obj_t BgL_auxz00_2474;

					{	/* Eval/evaluate_avar.scm 234 */
						obj_t BgL_arg1335z00_767;

						BgL_arg1335z00_767 =
							(((BgL_ev_absz00_bglt) CREF(BgL_absz00_75))->BgL_bindz00);
						BgL_auxz00_2474 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_varsz00_76,
							BgL_arg1335z00_767);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_75))->BgL_bindz00) =
						((obj_t) BgL_auxz00_2474), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 236 */
					obj_t BgL_g1174z00_768;

					BgL_g1174z00_768 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_76, BgL_ifreez00_765);
					{
						obj_t BgL_l1172z00_1485;

						BgL_l1172z00_1485 = BgL_g1174z00_768;
					BgL_zc3anonymousza31336ze3z83_1484:
						if (PAIRP(BgL_l1172z00_1485))
							{	/* Eval/evaluate_avar.scm 239 */
								{	/* Eval/evaluate_avar.scm 237 */
									obj_t BgL_vz00_1491;

									BgL_vz00_1491 = CAR(BgL_l1172z00_1485);
									{	/* Eval/evaluate_avar.scm 237 */
										BgL_ev_varz00_bglt BgL_i1093z00_1492;

										BgL_i1093z00_1492 = ((BgL_ev_varz00_bglt) BgL_vz00_1491);
										((((BgL_ev_varz00_bglt) CREF(BgL_i1093z00_1492))->
												BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1172z00_2484;

									BgL_l1172z00_2484 = CDR(BgL_l1172z00_1485);
									BgL_l1172z00_1485 = BgL_l1172z00_2484;
									goto BgL_zc3anonymousza31336ze3z83_1484;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 239 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_765;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_779)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 231 */
			if (NULLP(BgL_lz00_779))
				{	/* Eval/evaluate_avar.scm 229 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 231 */
					obj_t BgL_arg1342z00_782;
					obj_t BgL_arg1343z00_783;

					{
						BgL_ev_absz00_bglt BgL_auxz00_2488;

						{	/* Eval/evaluate_avar.scm 231 */
							obj_t BgL_pairz00_1448;

							BgL_pairz00_1448 = BgL_lz00_779;
							BgL_auxz00_2488 = ((BgL_ev_absz00_bglt) CAR(BgL_pairz00_1448));
						}
						BgL_arg1342z00_782 =
							(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_2488))->BgL_freez00);
					}
					BgL_arg1343z00_783 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_779));
					{
						obj_t BgL_l1z00_1451;
						obj_t BgL_l2z00_1452;

						BgL_l1z00_1451 = BgL_arg1342z00_782;
						BgL_l2z00_1452 = BgL_arg1343z00_783;
					BgL_unionz00_1450:
						if (NULLP(BgL_l1z00_1451))
							{	/* Eval/evaluate_avar.scm 77 */
								return BgL_l2z00_1452;
							}
						else
							{	/* Eval/evaluate_avar.scm 79 */
								obj_t BgL_xz00_1459;

								BgL_xz00_1459 = CAR(BgL_l1z00_1451);
								{	/* Eval/evaluate_avar.scm 80 */
									obj_t BgL_arg1312z00_1460;
									obj_t BgL_arg1313z00_1461;

									BgL_arg1312z00_1460 = CDR(BgL_l1z00_1451);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_1459, BgL_l2z00_1452)))
										{	/* Eval/evaluate_avar.scm 80 */
											BgL_arg1313z00_1461 = BgL_l2z00_1452;
										}
									else
										{	/* Eval/evaluate_avar.scm 80 */
											BgL_arg1313z00_1461 =
												MAKE_PAIR(BgL_xz00_1459, BgL_l2z00_1452);
										}
									{
										obj_t BgL_l2z00_2503;
										obj_t BgL_l1z00_2502;

										BgL_l1z00_2502 = BgL_arg1312z00_1460;
										BgL_l2z00_2503 = BgL_arg1313z00_1461;
										BgL_l2z00_1452 = BgL_l2z00_2503;
										BgL_l1z00_1451 = BgL_l1z00_2502;
										goto BgL_unionz00_1450;
									}
								}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc1809z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1810z00zz__evaluate_avarz00);
		}
	}



/* &avar1191 */
	obj_t BGl_z62avar1191z62zz__evaluate_avarz00(obj_t BgL_envz00_2253,
		obj_t BgL_ez00_2254, obj_t BgL_localz00_2255, obj_t BgL_absz00_2256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_ez00_2368;

				BgL_ez00_2368 = ((BgL_ev_exprz00_bglt) BgL_ez00_2254);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1811z00zz__evaluate_avarz00,
					BGl_string1812z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_2368));
			}
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				obj_t BgL_method1193z00_793;

				{	/* Eval/evaluate_avar.scm 122 */
					obj_t BgL_res1694z00_1526;

					{	/* Eval/evaluate_avar.scm 122 */
						BgL_objectz00_bglt BgL_objz00_1498;

						BgL_objz00_1498 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 122 */
							long BgL_objzd2classzd2numz00_1499;

							{	/* Eval/evaluate_avar.scm 122 */
								long BgL_res1688z00_1502;

								BgL_res1688z00_1502 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1498);
								BgL_objzd2classzd2numz00_1499 = BgL_res1688z00_1502;
							}
							{	/* Eval/evaluate_avar.scm 122 */
								obj_t BgL_arg1670z00_1500;

								BgL_arg1670z00_1500 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 122 */
									obj_t BgL_arrayz00_1503;
									int BgL_offsetz00_1504;

									BgL_arrayz00_1503 = BgL_arg1670z00_1500;
									BgL_offsetz00_1504 = (int) (BgL_objzd2classzd2numz00_1499);
									{	/* Eval/evaluate_avar.scm 122 */
										long BgL_offsetz00_1505;

										BgL_offsetz00_1505 =
											((long) (BgL_offsetz00_1504) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 122 */
											long BgL_modz00_1506;

											{	/* Eval/evaluate_avar.scm 122 */
												int BgL_arg1672z00_1507;

												BgL_arg1672z00_1507 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 122 */
													long BgL_res1691z00_1517;

													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_auxz00_2516;

														BgL_auxz00_2516 = (long) (BgL_arg1672z00_1507);
														BgL_res1691z00_1517 =
															(BgL_offsetz00_1505 / BgL_auxz00_2516);
													}
													BgL_modz00_1506 = BgL_res1691z00_1517;
											}}
											{	/* Eval/evaluate_avar.scm 122 */
												long BgL_restz00_1508;

												{	/* Eval/evaluate_avar.scm 122 */
													int BgL_arg1671z00_1509;

													BgL_arg1671z00_1509 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_res1693z00_1521;

														{	/* Eval/evaluate_avar.scm 122 */
															long BgL_auxz00_2520;

															BgL_auxz00_2520 = (long) (BgL_arg1671z00_1509);
															BgL_res1693z00_1521 =
																(BgL_offsetz00_1505 % BgL_auxz00_2520);
														}
														BgL_restz00_1508 = BgL_res1693z00_1521;
												}}
												{	/* Eval/evaluate_avar.scm 122 */

													BgL_res1694z00_1526 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1503,
															(int) (BgL_modz00_1506)),
														(int) (BgL_restz00_1508));
					}}}}}}}}
					BgL_method1193z00_793 = BgL_res1694z00_1526;
				}
				return
					PROCEDURE_ENTRY(BgL_method1193z00_793) (BgL_method1193z00_793,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2257,
		obj_t BgL_ez00_2258, obj_t BgL_localz00_2259, obj_t BgL_absz00_2260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_auxz00_2534;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2258,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 122 */
						BgL_auxz00_2534 = ((BgL_ev_exprz00_bglt) BgL_ez00_2258);
					}
				else
					{
						obj_t BgL_auxz00_2538;

						BgL_auxz00_2538 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1803z00zz__evaluate_avarz00, BINT(((long) 3282)),
							BGl_string1813z00zz__evaluate_avarz00,
							BGl_string1805z00zz__evaluate_avarz00, BgL_ez00_2258);
						FAILURE(BgL_auxz00_2538, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2534, BgL_localz00_2259,
					BgL_absz00_2260);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1814z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1816z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1817z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1818z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc1819z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1820z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc1821z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1822z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1823z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1824z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1825z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1826z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1827z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1828z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1829z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1830z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1831z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1832z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1833z00zz__evaluate_avarz00,
				BGl_string1815z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs1231 */
	obj_t BGl_z62avarzd2ev_abs1231zb0zz__evaluate_avarz00(obj_t BgL_envz00_2280,
		obj_t BgL_ez00_2281, obj_t BgL_localz00_2282, obj_t BgL_absz00_2283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 242 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1084;
				obj_t BgL_localz00_1085;
				obj_t BgL_absz00_1086;

				BgL_ez00_1084 = ((BgL_ev_absz00_bglt) BgL_ez00_2281);
				BgL_localz00_1085 = BgL_localz00_2282;
				BgL_absz00_1086 = BgL_absz00_2283;
				{	/* Eval/evaluate_avar.scm 244 */
					BgL_ev_absz00_bglt BgL_i1095z00_1090;

					BgL_i1095z00_1090 = ((BgL_ev_absz00_bglt) BgL_absz00_1086);
					{
						obj_t BgL_auxz00_2563;

						{	/* Eval/evaluate_avar.scm 245 */
							obj_t BgL_arg1443z00_1091;

							BgL_arg1443z00_1091 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_1090))->BgL_innerz00);
							BgL_auxz00_2563 =
								MAKE_PAIR(((obj_t) BgL_ez00_1084), BgL_arg1443z00_1091);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_1090))->BgL_innerz00) =
							((obj_t) BgL_auxz00_2563), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 246 */
					BgL_ev_exprz00_bglt BgL_arg1444z00_1092;
					obj_t BgL_arg1445z00_1093;

					BgL_arg1444z00_1092 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_bodyz00);
					BgL_arg1445z00_1093 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1444z00_1092,
						BgL_arg1445z00_1093, ((obj_t) BgL_ez00_1084));
				}
				{	/* Eval/evaluate_avar.scm 247 */
					obj_t BgL_ifreez00_1094;

					BgL_ifreez00_1094 =
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
						(BgL_ez00_1084,
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_varsz00));
					{
						obj_t BgL_auxz00_2574;

						{	/* Eval/evaluate_avar.scm 249 */
							obj_t BgL_arg1448z00_1096;
							obj_t BgL_arg1449z00_1097;

							{	/* Eval/evaluate_avar.scm 249 */
								obj_t BgL_arg1450z00_1098;

								BgL_arg1450z00_1098 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_freez00);
								{
									obj_t BgL_l1z00_1951;
									obj_t BgL_l2z00_1952;

									BgL_l1z00_1951 = BgL_ifreez00_1094;
									BgL_l2z00_1952 = BgL_arg1450z00_1098;
								BgL_unionz00_1950:
									if (NULLP(BgL_l1z00_1951))
										{	/* Eval/evaluate_avar.scm 77 */
											BgL_arg1448z00_1096 = BgL_l2z00_1952;
										}
									else
										{	/* Eval/evaluate_avar.scm 79 */
											obj_t BgL_xz00_1959;

											{	/* Eval/evaluate_avar.scm 79 */
												obj_t BgL_pairz00_1965;

												BgL_pairz00_1965 = BgL_l1z00_1951;
												BgL_xz00_1959 = CAR(BgL_pairz00_1965);
											}
											{	/* Eval/evaluate_avar.scm 80 */
												obj_t BgL_arg1312z00_1960;
												obj_t BgL_arg1313z00_1961;

												{	/* Eval/evaluate_avar.scm 80 */
													obj_t BgL_pairz00_1966;

													BgL_pairz00_1966 = BgL_l1z00_1951;
													BgL_arg1312z00_1960 = CDR(BgL_pairz00_1966);
												}
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_1959, BgL_l2z00_1952)))
													{	/* Eval/evaluate_avar.scm 80 */
														BgL_arg1313z00_1961 = BgL_l2z00_1952;
													}
												else
													{	/* Eval/evaluate_avar.scm 80 */
														BgL_arg1313z00_1961 =
															MAKE_PAIR(BgL_xz00_1959, BgL_l2z00_1952);
													}
												{
													obj_t BgL_l2z00_2585;
													obj_t BgL_l1z00_2584;

													BgL_l1z00_2584 = BgL_arg1312z00_1960;
													BgL_l2z00_2585 = BgL_arg1313z00_1961;
													BgL_l2z00_1952 = BgL_l2z00_2585;
													BgL_l1z00_1951 = BgL_l1z00_2584;
													goto BgL_unionz00_1950;
												}
											}
										}
								}
							}
							BgL_arg1449z00_1097 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_bindz00);
							BgL_auxz00_2574 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg1448z00_1096,
								BgL_arg1449z00_1097);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_freez00) =
							((obj_t) BgL_auxz00_2574), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2589;

						{	/* Eval/evaluate_avar.scm 250 */
							obj_t BgL_g1180z00_1099;

							BgL_g1180z00_1099 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_varsz00);
							BgL_auxz00_2589 =
								BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00
								(BgL_g1180z00_1099);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1084))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2589), BUNSPEC);
					}
				}
			}
		}
	}



/* <anonymous:1451> */
	obj_t BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00(obj_t
		BgL_lis1176z00_1101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 250 */
		BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00:
			if (NULLP(BgL_lis1176z00_1101))
				{	/* Eval/evaluate_avar.scm 250 */
					return BgL_lis1176z00_1101;
				}
			else
				{	/* Eval/evaluate_avar.scm 250 */
					obj_t BgL_head1177z00_1104;
					obj_t BgL_tail1178z00_1105;

					BgL_head1177z00_1104 = CAR(BgL_lis1176z00_1101);
					BgL_tail1178z00_1105 = CDR(BgL_lis1176z00_1101);
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										((BgL_ev_varz00_bglt) BgL_head1177z00_1104)))->BgL_effz00)))
						{	/* Eval/evaluate_avar.scm 250 */
							obj_t BgL_newzd2tail1179zd2_1107;

							BgL_newzd2tail1179zd2_1107 =
								BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00
								(BgL_tail1178z00_1105);
							if ((BgL_tail1178z00_1105 == BgL_newzd2tail1179zd2_1107))
								{	/* Eval/evaluate_avar.scm 250 */
									return BgL_lis1176z00_1101;
								}
							else
								{	/* Eval/evaluate_avar.scm 250 */
									obj_t BgL_res1743z00_1976;

									BgL_res1743z00_1976 =
										MAKE_PAIR(BgL_head1177z00_1104, BgL_newzd2tail1179zd2_1107);
									return BgL_res1743z00_1976;
								}
						}
					else
						{
							obj_t BgL_lis1176z00_2606;

							BgL_lis1176z00_2606 = BgL_tail1178z00_1105;
							BgL_lis1176z00_1101 = BgL_lis1176z00_2606;
							goto BGl_zc3anonymousza31451ze3z83zz__evaluate_avarz00;
						}
				}
		}
	}



/* &avar-ev_app1229 */
	obj_t BGl_z62avarzd2ev_app1229zb0zz__evaluate_avarz00(obj_t BgL_envz00_2284,
		obj_t BgL_ez00_2285, obj_t BgL_localz00_2286, obj_t BgL_absz00_2287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 220 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1068;
				obj_t BgL_localz00_1069;
				obj_t BgL_absz00_1070;

				{	/* Eval/evaluate_avar.scm 221 */
					bool_t BgL_auxz00_2607;

					BgL_ez00_1068 = ((BgL_ev_appz00_bglt) BgL_ez00_2285);
					BgL_localz00_1069 = BgL_localz00_2286;
					BgL_absz00_1070 = BgL_absz00_2287;
					BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1068))->BgL_funz00),
						BgL_localz00_1069, BgL_absz00_1070);
					{	/* Eval/evaluate_avar.scm 223 */
						obj_t BgL_g1171z00_1917;

						BgL_g1171z00_1917 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1068))->BgL_argsz00);
						{
							obj_t BgL_l1169z00_1939;

							BgL_l1169z00_1939 = BgL_g1171z00_1917;
						BgL_zc3anonymousza31437ze3z83_1938:
							if (PAIRP(BgL_l1169z00_1939))
								{	/* Eval/evaluate_avar.scm 223 */
									{	/* Eval/evaluate_avar.scm 223 */
										obj_t BgL_ez00_1944;

										BgL_ez00_1944 = CAR(BgL_l1169z00_1939);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1944), BgL_localz00_1069,
											BgL_absz00_1070);
									}
									{
										obj_t BgL_l1169z00_2616;

										BgL_l1169z00_2616 = CDR(BgL_l1169z00_1939);
										BgL_l1169z00_1939 = BgL_l1169z00_2616;
										goto BgL_zc3anonymousza31437ze3z83_1938;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 223 */
									BgL_auxz00_2607 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2607);
				}
			}
		}
	}



/* &avar-ev_goto1227 */
	obj_t BGl_z62avarzd2ev_goto1227zb0zz__evaluate_avarz00(obj_t BgL_envz00_2288,
		obj_t BgL_ez00_2289, obj_t BgL_localz00_2290, obj_t BgL_absz00_2291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 216 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1053;
				obj_t BgL_localz00_1054;
				obj_t BgL_absz00_1055;

				{	/* Eval/evaluate_avar.scm 217 */
					bool_t BgL_auxz00_2620;

					BgL_ez00_1053 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2289);
					BgL_localz00_1054 = BgL_localz00_2290;
					BgL_absz00_1055 = BgL_absz00_2291;
					{	/* Eval/evaluate_avar.scm 218 */
						obj_t BgL_g1168z00_1882;

						BgL_g1168z00_1882 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1053))->BgL_argsz00);
						{
							obj_t BgL_l1166z00_1904;

							BgL_l1166z00_1904 = BgL_g1168z00_1882;
						BgL_zc3anonymousza31428ze3z83_1903:
							if (PAIRP(BgL_l1166z00_1904))
								{	/* Eval/evaluate_avar.scm 218 */
									{	/* Eval/evaluate_avar.scm 218 */
										obj_t BgL_ez00_1909;

										BgL_ez00_1909 = CAR(BgL_l1166z00_1904);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1909), BgL_localz00_1054,
											BgL_absz00_1055);
									}
									{
										obj_t BgL_l1166z00_2627;

										BgL_l1166z00_2627 = CDR(BgL_l1166z00_1904);
										BgL_l1166z00_1904 = BgL_l1166z00_2627;
										goto BgL_zc3anonymousza31428ze3z83_1903;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 218 */
									BgL_auxz00_2620 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2620);
				}
			}
		}
	}



/* &avar-ev_labels1225 */
	obj_t BGl_z62avarzd2ev_labels1225zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2292, obj_t BgL_ez00_2293, obj_t BgL_localz00_2294,
		obj_t BgL_absz00_2295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 204 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_999;
				obj_t BgL_localz00_1000;
				obj_t BgL_absz00_1001;

				BgL_ez00_999 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2293);
				BgL_localz00_1000 = BgL_localz00_2294;
				BgL_absz00_1001 = BgL_absz00_2295;
				{	/* Eval/evaluate_avar.scm 206 */
					obj_t BgL_localz00_1005;

					BgL_localz00_1005 =
						BGl_appendzd221011zd2zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_varsz00),
						BgL_localz00_1000);
					{	/* Eval/evaluate_avar.scm 207 */
						obj_t BgL_g1154z00_1006;

						BgL_g1154z00_1006 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_valsz00);
						{
							obj_t BgL_l1152z00_1008;

							BgL_l1152z00_1008 = BgL_g1154z00_1006;
						BgL_zc3anonymousza31407ze3z83_1009:
							if (PAIRP(BgL_l1152z00_1008))
								{	/* Eval/evaluate_avar.scm 207 */
									{	/* Eval/evaluate_avar.scm 209 */
										obj_t BgL_sz00_1011;

										BgL_sz00_1011 = CAR(BgL_l1152z00_1008);
										{	/* Eval/evaluate_avar.scm 209 */
											obj_t BgL_arg1409z00_1012;
											obj_t BgL_arg1410z00_1013;

											BgL_arg1409z00_1012 = CDR(BgL_sz00_1011);
											BgL_arg1410z00_1013 =
												BGl_appendzd221011zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_1011), BgL_localz00_1005);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg1409z00_1012), BgL_arg1410z00_1013,
												BgL_absz00_1001);
										}
										{	/* Eval/evaluate_avar.scm 210 */
											obj_t BgL_arg1412z00_1015;

											BgL_arg1412z00_1015 = CAR(BgL_sz00_1011);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_1001),
												BgL_arg1412z00_1015);
										}
									}
									{
										obj_t BgL_l1152z00_2645;

										BgL_l1152z00_2645 = CDR(BgL_l1152z00_1008);
										BgL_l1152z00_1008 = BgL_l1152z00_2645;
										goto BgL_zc3anonymousza31407ze3z83_1009;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 207 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2647;

						{	/* Eval/evaluate_avar.scm 213 */
							obj_t BgL_ll1160z00_1018;
							obj_t BgL_ll1161z00_1019;

							BgL_ll1160z00_1018 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_varsz00);
							BgL_ll1161z00_1019 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_valsz00);
							if (NULLP(BgL_ll1160z00_1018))
								{	/* Eval/evaluate_avar.scm 213 */
									BgL_auxz00_2647 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 213 */
									obj_t BgL_head1162z00_1021;

									{	/* Eval/evaluate_avar.scm 213 */
										obj_t BgL_res1723z00_1803;

										BgL_res1723z00_1803 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1162z00_1021 = BgL_res1723z00_1803;
									}
									{
										obj_t BgL_ll1160z00_1023;
										obj_t BgL_ll1161z00_1024;
										obj_t BgL_tail1163z00_1025;

										BgL_ll1160z00_1023 = BgL_ll1160z00_1018;
										BgL_ll1161z00_1024 = BgL_ll1161z00_1019;
										BgL_tail1163z00_1025 = BgL_head1162z00_1021;
									BgL_zc3anonymousza31415ze3z83_1026:
										if (NULLP(BgL_ll1160z00_1023))
											{	/* Eval/evaluate_avar.scm 213 */
												BgL_auxz00_2647 = CDR(BgL_head1162z00_1021);
											}
										else
											{	/* Eval/evaluate_avar.scm 213 */
												obj_t BgL_newtail1164z00_1028;

												{	/* Eval/evaluate_avar.scm 213 */
													obj_t BgL_arg1419z00_1031;

													{	/* Eval/evaluate_avar.scm 213 */
														obj_t BgL_varz00_1032;
														obj_t BgL_sz00_1033;

														{	/* Eval/evaluate_avar.scm 213 */
															obj_t BgL_pairz00_1807;

															BgL_pairz00_1807 = BgL_ll1160z00_1023;
															BgL_varz00_1032 = CAR(BgL_pairz00_1807);
														}
														{	/* Eval/evaluate_avar.scm 213 */
															obj_t BgL_pairz00_1808;

															BgL_pairz00_1808 = BgL_ll1161z00_1024;
															BgL_sz00_1033 = CAR(BgL_pairz00_1808);
														}
														{	/* Eval/evaluate_avar.scm 213 */
															obj_t BgL_arg1420z00_1034;

															{	/* Eval/evaluate_avar.scm 213 */
																obj_t BgL_l1155z00_1035;

																{	/* Eval/evaluate_avar.scm 213 */
																	obj_t BgL_pairz00_1809;

																	BgL_pairz00_1809 = BgL_sz00_1033;
																	BgL_l1155z00_1035 = CAR(BgL_pairz00_1809);
																}
																if (NULLP(BgL_l1155z00_1035))
																	{	/* Eval/evaluate_avar.scm 213 */
																		BgL_arg1420z00_1034 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 213 */
																		obj_t BgL_head1157z00_1037;

																		{	/* Eval/evaluate_avar.scm 213 */
																			obj_t BgL_res1726z00_1814;

																			BgL_res1726z00_1814 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1157z00_1037 =
																				BgL_res1726z00_1814;
																		}
																		{
																			obj_t BgL_l1155z00_1850;
																			obj_t BgL_tail1158z00_1851;

																			BgL_l1155z00_1850 = BgL_l1155z00_1035;
																			BgL_tail1158z00_1851 =
																				BgL_head1157z00_1037;
																		BgL_zc3anonymousza31422ze3z83_1849:
																			if (NULLP(BgL_l1155z00_1850))
																				{	/* Eval/evaluate_avar.scm 213 */
																					BgL_arg1420z00_1034 =
																						CDR(BgL_head1157z00_1037);
																				}
																			else
																				{	/* Eval/evaluate_avar.scm 213 */
																					obj_t BgL_newtail1159z00_1859;

																					{	/* Eval/evaluate_avar.scm 213 */
																						obj_t BgL_arg1425z00_1860;

																						{
																							BgL_ev_varz00_bglt
																								BgL_auxz00_2665;
																							{	/* Eval/evaluate_avar.scm 213 */
																								obj_t BgL_pairz00_1867;

																								BgL_pairz00_1867 =
																									BgL_l1155z00_1850;
																								BgL_auxz00_2665 =
																									((BgL_ev_varz00_bglt)
																									CAR(BgL_pairz00_1867));
																							}
																							BgL_arg1425z00_1860 =
																								(((BgL_ev_varz00_bglt)
																									CREF(BgL_auxz00_2665))->
																								BgL_effz00);
																						}
																						{	/* Eval/evaluate_avar.scm 213 */
																							obj_t BgL_res1732z00_1870;

																							BgL_res1732z00_1870 =
																								MAKE_PAIR(BgL_arg1425z00_1860,
																								BNIL);
																							BgL_newtail1159z00_1859 =
																								BgL_res1732z00_1870;
																						}
																					}
																					SET_CDR(BgL_tail1158z00_1851,
																						BgL_newtail1159z00_1859);
																					{	/* Eval/evaluate_avar.scm 213 */
																						obj_t BgL_arg1424z00_1863;

																						{	/* Eval/evaluate_avar.scm 213 */
																							obj_t BgL_pairz00_1873;

																							BgL_pairz00_1873 =
																								BgL_l1155z00_1850;
																							BgL_arg1424z00_1863 =
																								CDR(BgL_pairz00_1873);
																						}
																						{
																							obj_t BgL_tail1158z00_2673;
																							obj_t BgL_l1155z00_2672;

																							BgL_l1155z00_2672 =
																								BgL_arg1424z00_1863;
																							BgL_tail1158z00_2673 =
																								BgL_newtail1159z00_1859;
																							BgL_tail1158z00_1851 =
																								BgL_tail1158z00_2673;
																							BgL_l1155z00_1850 =
																								BgL_l1155z00_2672;
																							goto
																								BgL_zc3anonymousza31422ze3z83_1849;
																						}
																					}
																				}
																		}
																	}
															}
															BgL_arg1419z00_1031 =
																MAKE_PAIR(BgL_varz00_1032, BgL_arg1420z00_1034);
														}
													}
													{	/* Eval/evaluate_avar.scm 213 */
														obj_t BgL_res1733z00_1876;

														BgL_res1733z00_1876 =
															MAKE_PAIR(BgL_arg1419z00_1031, BNIL);
														BgL_newtail1164z00_1028 = BgL_res1733z00_1876;
													}
												}
												SET_CDR(BgL_tail1163z00_1025, BgL_newtail1164z00_1028);
												{	/* Eval/evaluate_avar.scm 213 */
													obj_t BgL_arg1417z00_1029;
													obj_t BgL_arg1418z00_1030;

													{	/* Eval/evaluate_avar.scm 213 */
														obj_t BgL_pairz00_1879;

														BgL_pairz00_1879 = BgL_ll1160z00_1023;
														BgL_arg1417z00_1029 = CDR(BgL_pairz00_1879);
													}
													{	/* Eval/evaluate_avar.scm 213 */
														obj_t BgL_pairz00_1880;

														BgL_pairz00_1880 = BgL_ll1161z00_1024;
														BgL_arg1418z00_1030 = CDR(BgL_pairz00_1880);
													}
													{
														obj_t BgL_tail1163z00_2681;
														obj_t BgL_ll1161z00_2680;
														obj_t BgL_ll1160z00_2679;

														BgL_ll1160z00_2679 = BgL_arg1417z00_1029;
														BgL_ll1161z00_2680 = BgL_arg1418z00_1030;
														BgL_tail1163z00_2681 = BgL_newtail1164z00_1028;
														BgL_tail1163z00_1025 = BgL_tail1163z00_2681;
														BgL_ll1161z00_1024 = BgL_ll1161z00_2680;
														BgL_ll1160z00_1023 = BgL_ll1160z00_2679;
														goto BgL_zc3anonymousza31415ze3z83_1026;
													}
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2647), BUNSPEC);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_999))->BgL_bodyz00),
						BgL_localz00_1005, BgL_absz00_1001);
				}
			}
		}
	}



/* &avar-ev_letrec1223 */
	obj_t BGl_z62avarzd2ev_letrec1223zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2296, obj_t BgL_ez00_2297, obj_t BgL_localz00_2298,
		obj_t BgL_absz00_2299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 195 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_969;
				obj_t BgL_localz00_970;
				obj_t BgL_absz00_971;

				{	/* Eval/evaluate_avar.scm 196 */
					bool_t BgL_auxz00_2686;

					BgL_ez00_969 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2297);
					BgL_localz00_970 = BgL_localz00_2298;
					BgL_absz00_971 = BgL_absz00_2299;
					{	/* Eval/evaluate_avar.scm 197 */
						obj_t BgL_localz00_975;

						{	/* Eval/evaluate_avar.scm 197 */
							obj_t BgL_arg1406z00_997;

							BgL_arg1406z00_997 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_969)))->BgL_varsz00);
							BgL_localz00_975 =
								BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1406z00_997,
								BgL_localz00_970);
						}
						{	/* Eval/evaluate_avar.scm 198 */
							obj_t BgL_g1148z00_976;

							BgL_g1148z00_976 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_969)))->BgL_valsz00);
							{
								obj_t BgL_l1146z00_1750;

								BgL_l1146z00_1750 = BgL_g1148z00_976;
							BgL_zc3anonymousza31397ze3z83_1749:
								if (PAIRP(BgL_l1146z00_1750))
									{	/* Eval/evaluate_avar.scm 198 */
										{	/* Eval/evaluate_avar.scm 198 */
											obj_t BgL_ez00_1755;

											BgL_ez00_1755 = CAR(BgL_l1146z00_1750);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_1755), BgL_localz00_975,
												BgL_absz00_971);
										}
										{
											obj_t BgL_l1146z00_2697;

											BgL_l1146z00_2697 = CDR(BgL_l1146z00_1750);
											BgL_l1146z00_1750 = BgL_l1146z00_2697;
											goto BgL_zc3anonymousza31397ze3z83_1749;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 198 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 199 */
							BgL_ev_exprz00_bglt BgL_arg1400z00_984;

							BgL_arg1400z00_984 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_969)))->BgL_bodyz00);
							BGl_avarz00zz__evaluate_avarz00(BgL_arg1400z00_984,
								BgL_localz00_975, BgL_absz00_971);
						}
						{	/* Eval/evaluate_avar.scm 200 */
							BgL_ev_absz00_bglt BgL_i1084z00_985;

							BgL_i1084z00_985 = ((BgL_ev_absz00_bglt) BgL_absz00_971);
							{
								obj_t BgL_auxz00_2703;

								{	/* Eval/evaluate_avar.scm 201 */
									obj_t BgL_arg1401z00_986;
									obj_t BgL_arg1402z00_987;

									BgL_arg1401z00_986 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_969)))->BgL_varsz00);
									BgL_arg1402z00_987 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1084z00_985))->
										BgL_bindz00);
									BgL_auxz00_2703 =
										BGl_appendzd221011zd2zz__evaluate_avarz00
										(BgL_arg1401z00_986, BgL_arg1402z00_987);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_i1084z00_985))->BgL_bindz00) =
									((obj_t) BgL_auxz00_2703), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 202 */
							obj_t BgL_g1151z00_988;

							BgL_g1151z00_988 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_969)))->BgL_varsz00);
							{
								obj_t BgL_l1149z00_1779;

								BgL_l1149z00_1779 = BgL_g1151z00_988;
							BgL_zc3anonymousza31403ze3z83_1778:
								if (PAIRP(BgL_l1149z00_1779))
									{	/* Eval/evaluate_avar.scm 202 */
										{	/* Eval/evaluate_avar.scm 202 */
											obj_t BgL_vz00_1785;

											BgL_vz00_1785 = CAR(BgL_l1149z00_1779);
											{	/* Eval/evaluate_avar.scm 202 */
												BgL_ev_varz00_bglt BgL_i1085z00_1786;

												BgL_i1085z00_1786 =
													((BgL_ev_varz00_bglt) BgL_vz00_1785);
												((((BgL_ev_varz00_bglt) CREF(BgL_i1085z00_1786))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1149z00_2716;

											BgL_l1149z00_2716 = CDR(BgL_l1149z00_1779);
											BgL_l1149z00_1779 = BgL_l1149z00_2716;
											goto BgL_zc3anonymousza31403ze3z83_1778;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 202 */
										BgL_auxz00_2686 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2686);
				}
			}
		}
	}



/* &avar-ev_let*1221 */
	obj_t BGl_z62avarzd2ev_letza21221z12zz__evaluate_avarz00(obj_t
		BgL_envz00_2300, obj_t BgL_ez00_2301, obj_t BgL_localz00_2302,
		obj_t BgL_absz00_2303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 187 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_936;
				obj_t BgL_localz00_937;
				obj_t BgL_absz00_938;

				BgL_ez00_936 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2301);
				BgL_localz00_937 = BgL_localz00_2302;
				BgL_absz00_938 = BgL_absz00_2303;
				{	/* Eval/evaluate_avar.scm 189 */
					obj_t BgL_localz00_942;

					{	/* Eval/evaluate_avar.scm 189 */
						obj_t BgL_arg1396z00_967;

						BgL_arg1396z00_967 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_936)))->BgL_varsz00);
						BgL_localz00_942 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1396z00_967,
							BgL_localz00_937);
					}
					{	/* Eval/evaluate_avar.scm 190 */
						obj_t BgL_g1140z00_943;

						BgL_g1140z00_943 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_936)))->BgL_valsz00);
						{
							obj_t BgL_l1138z00_1659;

							BgL_l1138z00_1659 = BgL_g1140z00_943;
						BgL_zc3anonymousza31386ze3z83_1658:
							if (PAIRP(BgL_l1138z00_1659))
								{	/* Eval/evaluate_avar.scm 190 */
									{	/* Eval/evaluate_avar.scm 190 */
										obj_t BgL_ez00_1664;

										BgL_ez00_1664 = CAR(BgL_l1138z00_1659);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1664), BgL_localz00_942,
											BgL_absz00_938);
									}
									{
										obj_t BgL_l1138z00_2730;

										BgL_l1138z00_2730 = CDR(BgL_l1138z00_1659);
										BgL_l1138z00_1659 = BgL_l1138z00_2730;
										goto BgL_zc3anonymousza31386ze3z83_1658;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 190 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 191 */
						BgL_ev_exprz00_bglt BgL_arg1389z00_951;

						BgL_arg1389z00_951 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_936)))->BgL_bodyz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1389z00_951,
							BgL_localz00_942, BgL_absz00_938);
					}
					{	/* Eval/evaluate_avar.scm 192 */
						obj_t BgL_arg1390z00_952;

						BgL_arg1390z00_952 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_936)))->BgL_varsz00);
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_938), BgL_arg1390z00_952);
					}
					{
						obj_t BgL_auxz00_2739;

						{	/* Eval/evaluate_avar.scm 193 */
							obj_t BgL_l1141z00_953;

							BgL_l1141z00_953 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_936)))->BgL_varsz00);
							if (NULLP(BgL_l1141z00_953))
								{	/* Eval/evaluate_avar.scm 193 */
									BgL_auxz00_2739 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 193 */
									obj_t BgL_head1143z00_955;

									{	/* Eval/evaluate_avar.scm 193 */
										obj_t BgL_res1708z00_1674;

										BgL_res1708z00_1674 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1143z00_955 = BgL_res1708z00_1674;
									}
									{
										obj_t BgL_l1141z00_1710;
										obj_t BgL_tail1144z00_1711;

										BgL_l1141z00_1710 = BgL_l1141z00_953;
										BgL_tail1144z00_1711 = BgL_head1143z00_955;
									BgL_zc3anonymousza31392ze3z83_1709:
										if (NULLP(BgL_l1141z00_1710))
											{	/* Eval/evaluate_avar.scm 193 */
												BgL_auxz00_2739 = CDR(BgL_head1143z00_955);
											}
										else
											{	/* Eval/evaluate_avar.scm 193 */
												obj_t BgL_newtail1145z00_1719;

												{	/* Eval/evaluate_avar.scm 193 */
													obj_t BgL_arg1395z00_1720;

													{
														BgL_ev_varz00_bglt BgL_auxz00_2748;

														{	/* Eval/evaluate_avar.scm 193 */
															obj_t BgL_pairz00_1727;

															BgL_pairz00_1727 = BgL_l1141z00_1710;
															BgL_auxz00_2748 =
																((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1727));
														}
														BgL_arg1395z00_1720 =
															(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2748))->
															BgL_effz00);
													}
													{	/* Eval/evaluate_avar.scm 193 */
														obj_t BgL_res1714z00_1730;

														BgL_res1714z00_1730 =
															MAKE_PAIR(BgL_arg1395z00_1720, BNIL);
														BgL_newtail1145z00_1719 = BgL_res1714z00_1730;
													}
												}
												SET_CDR(BgL_tail1144z00_1711, BgL_newtail1145z00_1719);
												{	/* Eval/evaluate_avar.scm 193 */
													obj_t BgL_arg1394z00_1723;

													{	/* Eval/evaluate_avar.scm 193 */
														obj_t BgL_pairz00_1733;

														BgL_pairz00_1733 = BgL_l1141z00_1710;
														BgL_arg1394z00_1723 = CDR(BgL_pairz00_1733);
													}
													{
														obj_t BgL_tail1144z00_2756;
														obj_t BgL_l1141z00_2755;

														BgL_l1141z00_2755 = BgL_arg1394z00_1723;
														BgL_tail1144z00_2756 = BgL_newtail1145z00_1719;
														BgL_tail1144z00_1711 = BgL_tail1144z00_2756;
														BgL_l1141z00_1710 = BgL_l1141z00_2755;
														goto BgL_zc3anonymousza31392ze3z83_1709;
													}
												}
											}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_936))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2739), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let1219 */
	obj_t BGl_z62avarzd2ev_let1219zb0zz__evaluate_avarz00(obj_t BgL_envz00_2304,
		obj_t BgL_ez00_2305, obj_t BgL_localz00_2306, obj_t BgL_absz00_2307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 180 */
			{
				BgL_ev_letz00_bglt BgL_ez00_904;
				obj_t BgL_localz00_905;
				obj_t BgL_absz00_906;

				BgL_ez00_904 = ((BgL_ev_letz00_bglt) BgL_ez00_2305);
				BgL_localz00_905 = BgL_localz00_2306;
				BgL_absz00_906 = BgL_absz00_2307;
				{	/* Eval/evaluate_avar.scm 182 */
					obj_t BgL_g1131z00_910;

					BgL_g1131z00_910 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_904)))->BgL_valsz00);
					{
						obj_t BgL_l1129z00_1622;

						BgL_l1129z00_1622 = BgL_g1131z00_910;
					BgL_zc3anonymousza31375ze3z83_1621:
						if (PAIRP(BgL_l1129z00_1622))
							{	/* Eval/evaluate_avar.scm 182 */
								{	/* Eval/evaluate_avar.scm 182 */
									obj_t BgL_ez00_1627;

									BgL_ez00_1627 = CAR(BgL_l1129z00_1622);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_1627), BgL_localz00_905,
										BgL_absz00_906);
								}
								{
									obj_t BgL_l1129z00_2766;

									BgL_l1129z00_2766 = CDR(BgL_l1129z00_1622);
									BgL_l1129z00_1622 = BgL_l1129z00_2766;
									goto BgL_zc3anonymousza31375ze3z83_1621;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 182 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 183 */
					BgL_ev_exprz00_bglt BgL_arg1378z00_918;
					obj_t BgL_arg1379z00_919;

					BgL_arg1378z00_918 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_904)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 183 */
						obj_t BgL_arg1380z00_920;

						BgL_arg1380z00_920 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_904)))->BgL_varsz00);
						BgL_arg1379z00_919 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1380z00_920,
							BgL_localz00_905);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1378z00_918,
						BgL_arg1379z00_919, BgL_absz00_906);
				}
				{	/* Eval/evaluate_avar.scm 184 */
					obj_t BgL_arg1381z00_921;

					BgL_arg1381z00_921 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_904)))->BgL_varsz00);
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_906), BgL_arg1381z00_921);
				}
				{
					obj_t BgL_auxz00_2778;

					{	/* Eval/evaluate_avar.scm 185 */
						obj_t BgL_g1137z00_922;

						BgL_g1137z00_922 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_904)))->BgL_varsz00);
						BgL_auxz00_2778 =
							BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00
							(BgL_g1137z00_922);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_904))->BgL_boxesz00) =
						((obj_t) BgL_auxz00_2778), BUNSPEC);
				}
			}
		}
	}



/* <anonymous:1382> */
	obj_t BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00(obj_t
		BgL_lis1133z00_924)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 185 */
		BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00:
			if (NULLP(BgL_lis1133z00_924))
				{	/* Eval/evaluate_avar.scm 185 */
					return BgL_lis1133z00_924;
				}
			else
				{	/* Eval/evaluate_avar.scm 185 */
					obj_t BgL_head1134z00_927;
					obj_t BgL_tail1135z00_928;

					BgL_head1134z00_927 = CAR(BgL_lis1133z00_924);
					BgL_tail1135z00_928 = CDR(BgL_lis1133z00_924);
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										((BgL_ev_varz00_bglt) BgL_head1134z00_927)))->BgL_effz00)))
						{	/* Eval/evaluate_avar.scm 185 */
							obj_t BgL_newzd2tail1136zd2_930;

							BgL_newzd2tail1136zd2_930 =
								BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00
								(BgL_tail1135z00_928);
							if ((BgL_tail1135z00_928 == BgL_newzd2tail1136zd2_930))
								{	/* Eval/evaluate_avar.scm 185 */
									return BgL_lis1133z00_924;
								}
							else
								{	/* Eval/evaluate_avar.scm 185 */
									obj_t BgL_res1703z00_1642;

									BgL_res1703z00_1642 =
										MAKE_PAIR(BgL_head1134z00_927, BgL_newzd2tail1136zd2_930);
									return BgL_res1703z00_1642;
								}
						}
					else
						{
							obj_t BgL_lis1133z00_2796;

							BgL_lis1133z00_2796 = BgL_tail1135z00_928;
							BgL_lis1133z00_924 = BgL_lis1133z00_2796;
							goto BGl_zc3anonymousza31382ze3z83zz__evaluate_avarz00;
						}
				}
		}
	}



/* &avar-ev_synchronize1217 */
	obj_t BGl_z62avarzd2ev_synchroniza7e1217z17zz__evaluate_avarz00(obj_t
		BgL_envz00_2308, obj_t BgL_ez00_2309, obj_t BgL_localz00_2310,
		obj_t BgL_absz00_2311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 174 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_894;
				obj_t BgL_localz00_895;
				obj_t BgL_absz00_896;

				BgL_ez00_894 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2309);
				BgL_localz00_895 = BgL_localz00_2310;
				BgL_absz00_896 = BgL_absz00_2311;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_894))->BgL_mutexz00),
					BgL_localz00_895, BgL_absz00_896);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_synchroniza7eza7_bglt)
							CREF(BgL_ez00_894))->BgL_prelockz00), BgL_localz00_895,
					BgL_absz00_896);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_synchroniza7eza7_bglt)
							CREF(BgL_ez00_894))->BgL_bodyz00), BgL_localz00_895,
					BgL_absz00_896);
			}
		}
	}



/* &avar-ev_with-handler1215 */
	obj_t BGl_z62avarzd2ev_withzd2handler1215z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2312, obj_t BgL_ez00_2313, obj_t BgL_localz00_2314,
		obj_t BgL_absz00_2315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 169 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_885;
				obj_t BgL_localz00_886;
				obj_t BgL_absz00_887;

				BgL_ez00_885 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2313);
				BgL_localz00_886 = BgL_localz00_2314;
				BgL_absz00_887 = BgL_absz00_2315;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_885))->
						BgL_handlerz00), BgL_localz00_886, BgL_absz00_887);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(BgL_ez00_885))->BgL_bodyz00), BgL_localz00_886,
					BgL_absz00_887);
			}
		}
	}



/* &avar-ev_unwind-prote1213 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote1213z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2316, obj_t BgL_ez00_2317, obj_t BgL_localz00_2318,
		obj_t BgL_absz00_2319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 164 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_876;
				obj_t BgL_localz00_877;
				obj_t BgL_absz00_878;

				BgL_ez00_876 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2317);
				BgL_localz00_877 = BgL_localz00_2318;
				BgL_absz00_878 = BgL_absz00_2319;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_876))->BgL_ez00),
					BgL_localz00_877, BgL_absz00_878);
				return
					BGl_avarz00zz__evaluate_avarz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(BgL_ez00_876))->BgL_bodyz00), BgL_localz00_877,
					BgL_absz00_878);
			}
		}
	}



/* &avar-ev_bind-exit1211 */
	obj_t BGl_z62avarzd2ev_bindzd2exit1211z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2320, obj_t BgL_ez00_2321, obj_t BgL_localz00_2322,
		obj_t BgL_absz00_2323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 159 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_864;
				obj_t BgL_localz00_865;
				obj_t BgL_absz00_866;

				BgL_ez00_864 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2321);
				BgL_localz00_865 = BgL_localz00_2322;
				BgL_absz00_866 = BgL_absz00_2323;
				{	/* Eval/evaluate_avar.scm 161 */
					BgL_ev_exprz00_bglt BgL_arg1362z00_1591;
					obj_t BgL_arg1363z00_1592;

					BgL_arg1362z00_1591 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_864))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 161 */
						BgL_ev_varz00_bglt BgL_arg1364z00_1593;

						BgL_arg1364z00_1593 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_864))->BgL_varz00);
						BgL_arg1363z00_1592 =
							MAKE_PAIR(((obj_t) BgL_arg1364z00_1593), BgL_localz00_865);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1362z00_1591,
						BgL_arg1363z00_1592, BgL_absz00_866);
				}
				{	/* Eval/evaluate_avar.scm 162 */
					obj_t BgL_arg1365z00_1594;

					{	/* Eval/evaluate_avar.scm 162 */
						BgL_ev_varz00_bglt BgL_arg1366z00_1595;

						BgL_arg1366z00_1595 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_864))->BgL_varz00);
						BgL_arg1365z00_1594 =
							MAKE_PAIR(((obj_t) BgL_arg1366z00_1595), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_866), BgL_arg1365z00_1594);
				}
			}
		}
	}



/* &avar-ev_setlocal1209 */
	obj_t BGl_z62avarzd2ev_setlocal1209zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2324, obj_t BgL_ez00_2325, obj_t BgL_localz00_2326,
		obj_t BgL_absz00_2327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 152 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_854;
				obj_t BgL_localz00_855;
				obj_t BgL_absz00_856;

				BgL_ez00_854 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2325);
				BgL_localz00_855 = BgL_localz00_2326;
				BgL_absz00_856 = BgL_absz00_2327;
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_varz00_bglt BgL_arg1357z00_1579;

					BgL_arg1357z00_1579 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_854))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 154 */
						BgL_ev_absz00_bglt BgL_absz00_1584;

						BgL_absz00_1584 = ((BgL_ev_absz00_bglt) BgL_absz00_856);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg1357z00_1579), BgL_localz00_855)))
							{	/* Eval/evaluate_avar.scm 118 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 118 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg1357z00_1579),
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1584))->
												BgL_freez00))))
									{	/* Eval/evaluate_avar.scm 120 */
										BFALSE;
									}
								else
									{
										obj_t BgL_auxz00_2836;

										{	/* Eval/evaluate_avar.scm 120 */
											obj_t BgL_arg1332z00_1589;

											BgL_arg1332z00_1589 =
												(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1584))->
												BgL_freez00);
											BgL_auxz00_2836 =
												MAKE_PAIR(((obj_t) BgL_arg1357z00_1579),
												BgL_arg1332z00_1589);
										}
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1584))->
												BgL_freez00) = ((obj_t) BgL_auxz00_2836), BUNSPEC);
									}
							}
					}
				}
				((((BgL_ev_varz00_bglt) CREF(
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_854))->BgL_vz00)))->
						BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
				{	/* Eval/evaluate_avar.scm 157 */
					BgL_ev_exprz00_bglt BgL_arg1358z00_1581;

					BgL_arg1358z00_1581 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_854)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1358z00_1581,
						BgL_localz00_855, BgL_absz00_856);
				}
			}
		}
	}



/* &avar-ev_hook1207 */
	obj_t BGl_z62avarzd2ev_hook1207zb0zz__evaluate_avarz00(obj_t BgL_envz00_2328,
		obj_t BgL_ez00_2329, obj_t BgL_localz00_2330, obj_t BgL_absz00_2331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 148 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_846;
				obj_t BgL_localz00_847;
				obj_t BgL_absz00_848;

				BgL_ez00_846 = ((BgL_ev_hookz00_bglt) BgL_ez00_2329);
				BgL_localz00_847 = BgL_localz00_2330;
				BgL_absz00_848 = BgL_absz00_2331;
				return
					BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_846))->BgL_ez00),
					BgL_localz00_847, BgL_absz00_848);
			}
		}
	}



/* &avar-ev_prog21205 */
	obj_t BGl_z62avarzd2ev_prog21205zb0zz__evaluate_avarz00(obj_t BgL_envz00_2332,
		obj_t BgL_ez00_2333, obj_t BgL_localz00_2334, obj_t BgL_absz00_2335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 143 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_837;
				obj_t BgL_localz00_838;
				obj_t BgL_absz00_839;

				BgL_ez00_837 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2333);
				BgL_localz00_838 = BgL_localz00_2334;
				BgL_absz00_839 = BgL_absz00_2335;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_837))->BgL_e1z00),
					BgL_localz00_838, BgL_absz00_839);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_prog2z00_bglt)
							CREF(BgL_ez00_837))->BgL_e2z00), BgL_localz00_838,
					BgL_absz00_839);
			}
		}
	}



/* &avar-ev_list1203 */
	obj_t BGl_z62avarzd2ev_list1203zb0zz__evaluate_avarz00(obj_t BgL_envz00_2336,
		obj_t BgL_ez00_2337, obj_t BgL_localz00_2338, obj_t BgL_absz00_2339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 139 */
			{
				BgL_ev_listz00_bglt BgL_ez00_822;
				obj_t BgL_localz00_823;
				obj_t BgL_absz00_824;

				{	/* Eval/evaluate_avar.scm 140 */
					bool_t BgL_auxz00_2855;

					BgL_ez00_822 = ((BgL_ev_listz00_bglt) BgL_ez00_2337);
					BgL_localz00_823 = BgL_localz00_2338;
					BgL_absz00_824 = BgL_absz00_2339;
					{	/* Eval/evaluate_avar.scm 141 */
						obj_t BgL_g1128z00_1540;

						BgL_g1128z00_1540 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_822))->BgL_argsz00);
						{
							obj_t BgL_l1126z00_1562;

							BgL_l1126z00_1562 = BgL_g1128z00_1540;
						BgL_zc3anonymousza31349ze3z83_1561:
							if (PAIRP(BgL_l1126z00_1562))
								{	/* Eval/evaluate_avar.scm 141 */
									{	/* Eval/evaluate_avar.scm 141 */
										obj_t BgL_ez00_1567;

										BgL_ez00_1567 = CAR(BgL_l1126z00_1562);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1567), BgL_localz00_823,
											BgL_absz00_824);
									}
									{
										obj_t BgL_l1126z00_2862;

										BgL_l1126z00_2862 = CDR(BgL_l1126z00_1562);
										BgL_l1126z00_1562 = BgL_l1126z00_2862;
										goto BgL_zc3anonymousza31349ze3z83_1561;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 141 */
									BgL_auxz00_2855 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2855);
				}
			}
		}
	}



/* &avar-ev_if1201 */
	obj_t BGl_z62avarzd2ev_if1201zb0zz__evaluate_avarz00(obj_t BgL_envz00_2340,
		obj_t BgL_ez00_2341, obj_t BgL_localz00_2342, obj_t BgL_absz00_2343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 133 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_812;
				obj_t BgL_localz00_813;
				obj_t BgL_absz00_814;

				BgL_ez00_812 = ((BgL_ev_ifz00_bglt) BgL_ez00_2341);
				BgL_localz00_813 = BgL_localz00_2342;
				BgL_absz00_814 = BgL_absz00_2343;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_812))->BgL_pz00),
					BgL_localz00_813, BgL_absz00_814);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_812))->BgL_tz00), BgL_localz00_813, BgL_absz00_814);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_812))->BgL_ez00), BgL_localz00_813, BgL_absz00_814);
			}
		}
	}



/* &avar-ev_litt1199 */
	obj_t BGl_z62avarzd2ev_litt1199zb0zz__evaluate_avarz00(obj_t BgL_envz00_2344,
		obj_t BgL_ez00_2345, obj_t BgL_localz00_2346, obj_t BgL_absz00_2347)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 130 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global1197 */
	obj_t BGl_z62avarzd2ev_global1197zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2348, obj_t BgL_varz00_2349, obj_t BgL_localz00_2350,
		obj_t BgL_absz00_2351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 127 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var1195 */
	obj_t BGl_z62avarzd2ev_var1195zb0zz__evaluate_avarz00(obj_t BgL_envz00_2352,
		obj_t BgL_varz00_2353, obj_t BgL_localz00_2354, obj_t BgL_absz00_2355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 124 */
			{
				BgL_ev_varz00_bglt BgL_varz00_794;
				obj_t BgL_localz00_795;
				obj_t BgL_absz00_796;

				BgL_varz00_794 = ((BgL_ev_varz00_bglt) BgL_varz00_2353);
				BgL_localz00_795 = BgL_localz00_2354;
				BgL_absz00_796 = BgL_absz00_2355;
				{	/* Eval/evaluate_avar.scm 125 */
					BgL_ev_absz00_bglt BgL_absz00_1529;

					BgL_absz00_1529 = ((BgL_ev_absz00_bglt) BgL_absz00_796);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_794), BgL_localz00_795)))
						{	/* Eval/evaluate_avar.scm 118 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 118 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_794),
										(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1529))->
											BgL_freez00))))
								{	/* Eval/evaluate_avar.scm 120 */
									return BFALSE;
								}
							else
								{
									obj_t BgL_auxz00_2883;

									{	/* Eval/evaluate_avar.scm 120 */
										obj_t BgL_arg1332z00_1534;

										BgL_arg1332z00_1534 =
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1529))->
											BgL_freez00);
										BgL_auxz00_2883 =
											MAKE_PAIR(((obj_t) BgL_varz00_794), BgL_arg1332z00_1534);
									}
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1529))->
											BgL_freez00) = ((obj_t) BgL_auxz00_2883), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1834z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
