/*===========================================================================*/
/*   (Eval/evutils.scm)                                                      */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evutils.scm -indent -o objs/obj_u/Eval/evutils.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	extern obj_t BGl_errorzf2sourcezd2locationz20zz__errorz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zz__evutilsz00();
	static obj_t BGl_genericzd2initzd2zz__evutilsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00();
	BGL_EXPORTED_DECL obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evutilsz00();
	BGL_EXPORTED_DECL obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t);
	static obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t,
		obj_t);
	extern obj_t BGl_errorzf2sourcezf2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_symbol1537z00zz__evutilsz00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_symbol1540z00zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evutilsz00();
	static obj_t BGl_symbol1543z00zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2formalzd2identzd2envzd2zz__evutilsz00,
		BgL_bgl_za762parseza7d2forma1547z00,
		BGl_z62parsezd2formalzd2identz62zz__evutilsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_argszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762argsza7d2za7e3lis1548za7,
		BGl_z62argszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1534z00zz__evutilsz00,
		BgL_bgl_string1534za700za7za7_1549za7, "parse-formal-ident", 18);
	      DEFINE_STRING(BGl_string1535z00zz__evutilsz00,
		BgL_bgl_string1535za700za7za7_1550za7, "Illegal empty identifier type", 29);
	      DEFINE_STRING(BGl_string1536z00zz__evutilsz00,
		BgL_bgl_string1536za700za7za7_1551za7, "", 0);
	      DEFINE_STRING(BGl_string1538z00zz__evutilsz00,
		BgL_bgl_string1538za700za7za7_1552za7, "dsssl", 5);
	      DEFINE_STRING(BGl_string1539z00zz__evutilsz00,
		BgL_bgl_string1539za700za7za7_1553za7, "Illegal identifier type", 23);
	      DEFINE_STRING(BGl_string1541z00zz__evutilsz00,
		BgL_bgl_string1541za700za7za7_1554za7, "args->list", 10);
	      DEFINE_STRING(BGl_string1542z00zz__evutilsz00,
		BgL_bgl_string1542za700za7za7_1555za7, "Illegal args list", 17);
	      DEFINE_STRING(BGl_string1544z00zz__evutilsz00,
		BgL_bgl_string1544za700za7za7_1556za7, "bindings->list", 14);
	      DEFINE_STRING(BGl_string1545z00zz__evutilsz00,
		BgL_bgl_string1545za700za7za7_1557za7, "Illegal bindings list", 21);
	      DEFINE_STRING(BGl_string1546z00zz__evutilsz00,
		BgL_bgl_string1546za700za7za7_1558za7, "__evutils", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindingszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762bindingsza7d2za7e1559za7,
		BGl_z62bindingszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long
		BgL_checksumz00_1211, char *BgL_fromz00_1212)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evutilsz00))
				{
					BGl_requirezd2initializa7ationz75zz__evutilsz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evutilsz00();
					BGl_importedzd2moduleszd2initz00zz__evutilsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_symbol1537z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1538z00zz__evutilsz00);
			BGl_symbol1540z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1541z00zz__evutilsz00);
			return (BGl_symbol1543z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1544z00zz__evutilsz00), BUNSPEC);
		}
	}



/* parse-formal-ident */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t
		BgL_identz00_3, obj_t BgL_locz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			{
				obj_t BgL_identz00_595;

				if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(BgL_identz00_3))
					{	/* Eval/evutils.scm 83 */
						return
							MAKE_PAIR(BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol1537z00zz__evutilsz00), BNIL);
					}
				else
					{	/* Eval/evutils.scm 85 */
						bool_t BgL_testz00_1225;

						if (PAIRP(BgL_identz00_3))
							{	/* Eval/evutils.scm 85 */
								obj_t BgL_auxz00_1228;

								BgL_auxz00_1228 = CAR(BgL_identz00_3);
								BgL_testz00_1225 = SYMBOLP(BgL_auxz00_1228);
							}
						else
							{	/* Eval/evutils.scm 85 */
								BgL_testz00_1225 = ((bool_t) 0);
							}
						if (BgL_testz00_1225)
							{	/* Eval/evutils.scm 85 */
								return MAKE_PAIR(BgL_identz00_3, BNIL);
							}
						else
							{	/* Eval/evutils.scm 85 */
								if (SYMBOLP(BgL_identz00_3))
									{	/* Eval/evutils.scm 87 */
										BgL_identz00_595 = BgL_identz00_3;
										{	/* Eval/evutils.scm 59 */
											obj_t BgL_strz00_597;

											{	/* Eval/evutils.scm 59 */
												obj_t BgL_res1467z00_899;

												BgL_res1467z00_899 = SYMBOL_TO_STRING(BgL_identz00_595);
												BgL_strz00_597 = BgL_res1467z00_899;
											}
											{	/* Eval/evutils.scm 59 */
												long BgL_lenz00_598;

												BgL_lenz00_598 = STRING_LENGTH(BgL_strz00_597);
												{	/* Eval/evutils.scm 60 */

													{
														long BgL_iz00_600;

														BgL_iz00_600 = ((long) 0);
													BgL_zc3anonymousza31117ze3z83_601:
														if ((BgL_iz00_600 == BgL_lenz00_598))
															{	/* Eval/evutils.scm 63 */
																return MAKE_PAIR(BgL_identz00_595, BNIL);
															}
														else
															{	/* Eval/evutils.scm 65 */
																bool_t BgL_testz00_1239;

																if (
																	(STRING_REF(BgL_strz00_597,
																			BgL_iz00_600) == ((unsigned char) ':')))
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_600 <
																				(BgL_lenz00_598 - ((long) 1))))
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1239 =
																					(STRING_REF(BgL_strz00_597,
																						(BgL_iz00_600 + ((long) 1))) ==
																					((unsigned char) ':'));
																			}
																		else
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1239 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evutils.scm 65 */
																		BgL_testz00_1239 = ((bool_t) 0);
																	}
																if (BgL_testz00_1239)
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_600 ==
																				(BgL_lenz00_598 - ((long) 2))))
																			{	/* Eval/evutils.scm 69 */
																				return
																					BGl_errorzf2sourcezd2locationz20zz__errorz00
																					(BGl_string1534z00zz__evutilsz00,
																					BGl_string1535z00zz__evutilsz00,
																					BgL_identz00_595, BgL_locz00_4);
																			}
																		else
																			{	/* Eval/evutils.scm 69 */
																				if ((BgL_iz00_600 == ((long) 0)))
																					{	/* Eval/evutils.scm 74 */
																						return
																							MAKE_PAIR(string_to_symbol
																							(BSTRING_TO_STRING
																								(BGl_string1536z00zz__evutilsz00)),
																							BgL_identz00_595);
																					}
																				else
																					{	/* Eval/evutils.scm 77 */
																						obj_t BgL_arg1123z00_607;
																						obj_t BgL_arg1124z00_608;

																						{	/* Eval/evutils.scm 77 */
																							obj_t BgL_arg1125z00_609;

																							BgL_arg1125z00_609 =
																								c_substring(BgL_strz00_597,
																								((long) 0), BgL_iz00_600);
																							BgL_arg1123z00_607 =
																								string_to_symbol
																								(BSTRING_TO_STRING
																								(BgL_arg1125z00_609));
																						}
																						{	/* Eval/evutils.scm 78 */
																							obj_t BgL_arg1129z00_610;

																							BgL_arg1129z00_610 =
																								c_substring(BgL_strz00_597,
																								(BgL_iz00_600 + ((long) 2)),
																								BgL_lenz00_598);
																							BgL_arg1124z00_608 =
																								string_to_symbol
																								(BSTRING_TO_STRING
																								(BgL_arg1129z00_610));
																						}
																						return
																							MAKE_PAIR(BgL_arg1123z00_607,
																							BgL_arg1124z00_608);
																					}
																			}
																	}
																else
																	{
																		long BgL_iz00_1266;

																		BgL_iz00_1266 = (BgL_iz00_600 + ((long) 1));
																		BgL_iz00_600 = BgL_iz00_1266;
																		goto BgL_zc3anonymousza31117ze3z83_601;
																	}
															}
													}
												}
											}
										}
									}
								else
									{	/* Eval/evutils.scm 87 */
										return
											BGl_errorzf2sourcezd2locationz20zz__errorz00
											(BGl_string1534z00zz__evutilsz00,
											BGl_string1539z00zz__evutilsz00, BgL_identz00_3,
											BgL_locz00_4);
									}
							}
					}
			}
		}
	}



/* &parse-formal-ident */
	obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t BgL_envz00_1204,
		obj_t BgL_identz00_1205, obj_t BgL_locz00_1206)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			return
				BGl_parsezd2formalzd2identz00zz__evutilsz00(BgL_identz00_1205,
				BgL_locz00_1206);
		}
	}



/* args->list */
	BGL_EXPORTED_DEF obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			if (NULLP(BgL_argsz00_5))
				{	/* Eval/evutils.scm 100 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 100 */
					if (SYMBOLP(BgL_argsz00_5))
						{	/* Eval/evutils.scm 103 */
							obj_t BgL_list1156z00_624;

							BgL_list1156z00_624 = MAKE_PAIR(BgL_argsz00_5, BNIL);
							return BgL_list1156z00_624;
						}
					else
						{	/* Eval/evutils.scm 102 */
							if (PAIRP(BgL_argsz00_5))
								{	/* Eval/evutils.scm 104 */
									return
										MAKE_PAIR(CAR(BgL_argsz00_5),
										BGl_argszd2ze3listz31zz__evutilsz00(CDR(BgL_argsz00_5)));
								}
							else
								{	/* Eval/evutils.scm 104 */
									return
										BGl_errorzf2sourcezf2zz__errorz00
										(BGl_symbol1540z00zz__evutilsz00,
										BGl_string1542z00zz__evutilsz00, BgL_argsz00_5,
										BgL_argsz00_5);
								}
						}
				}
		}
	}



/* &args->list */
	obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1207,
		obj_t BgL_argsz00_1208)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			return BGl_argszd2ze3listz31zz__evutilsz00(BgL_argsz00_1208);
		}
	}



/* bindings->list */
	BGL_EXPORTED_DEF obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t
		BgL_bindingsz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			if (NULLP(BgL_bindingsz00_6))
				{	/* Eval/evutils.scm 114 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 114 */
					if (PAIRP(BgL_bindingsz00_6))
						{	/* Eval/evutils.scm 118 */
							bool_t BgL_testz00_1287;

							{	/* Eval/evutils.scm 118 */
								obj_t BgL_auxz00_1288;

								BgL_auxz00_1288 = CAR(BgL_bindingsz00_6);
								BgL_testz00_1287 = SYMBOLP(BgL_auxz00_1288);
							}
							if (BgL_testz00_1287)
								{	/* Eval/evutils.scm 118 */
									return
										MAKE_PAIR(BgL_bindingsz00_6,
										BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
											(BgL_bindingsz00_6)));
								}
							else
								{	/* Eval/evutils.scm 120 */
									bool_t BgL_testz00_1294;

									{	/* Eval/evutils.scm 120 */
										obj_t BgL_auxz00_1295;

										BgL_auxz00_1295 = CAR(BgL_bindingsz00_6);
										BgL_testz00_1294 = PAIRP(BgL_auxz00_1295);
									}
									if (BgL_testz00_1294)
										{	/* Eval/evutils.scm 120 */
											return
												MAKE_PAIR(CAR(BgL_bindingsz00_6),
												BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
													(BgL_bindingsz00_6)));
										}
									else
										{	/* Eval/evutils.scm 120 */
											return
												BGl_errorzf2sourcezf2zz__errorz00
												(BGl_symbol1543z00zz__evutilsz00,
												BGl_string1545z00zz__evutilsz00, BgL_bindingsz00_6,
												BgL_bindingsz00_6);
										}
								}
						}
					else
						{	/* Eval/evutils.scm 116 */
							return
								BGl_errorzf2sourcezf2zz__errorz00
								(BGl_symbol1543z00zz__evutilsz00,
								BGl_string1545z00zz__evutilsz00, BgL_bindingsz00_6,
								BgL_bindingsz00_6);
						}
				}
		}
	}



/* &bindings->list */
	obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1209,
		obj_t BgL_bindingsz00_1210)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			return BGl_bindingszd2ze3listz31zz__evutilsz00(BgL_bindingsz00_1210);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
			return BGl_modulezd2initializa7ationz75zz__macroz00(((long) 261397491),
				BSTRING_TO_STRING(BGl_string1546z00zz__evutilsz00));
		}
	}

#ifdef __cplusplus
}
#endif
