/*===========================================================================*/
/*   (Lalr/driver.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Lalr/driver.scm -indent -o objs/obj_u/Lalr/driver.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static long BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00;
	static obj_t BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = BUNSPEC;
	extern obj_t bgl_system_failure(int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00();
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__lalr_driverz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__lalr_driverz00();
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__lalr_driverz00();
	extern obj_t make_string(long, unsigned char);
	extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern int bgl_debug();
	static obj_t BGl_cnstzd2initzd2zz__lalr_driverz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
	static obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t, obj_t, obj_t);
	static long BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00;
	static obj_t BGl_z62zc3anonymousza31130ze3ze1zz__lalr_driverz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1551z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1554z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1559z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1561z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1563z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1552z00zz__lalr_driverz00,
		BgL_bgl_string1552za700za7za7_1568za7, "parser", 6);
	      DEFINE_STRING(BGl_string1553z00zz__lalr_driverz00,
		BgL_bgl_string1553za700za7za7_1569za7, "Illegal `#f' token", 18);
	      DEFINE_STRING(BGl_string1555z00zz__lalr_driverz00,
		BgL_bgl_string1555za700za7za7_1570za7, "*eoi*", 5);
	      DEFINE_STRING(BGl_string1556z00zz__lalr_driverz00,
		BgL_bgl_string1556za700za7za7_1571za7, "LALR TRACE: input=", 18);
	      DEFINE_STRING(BGl_string1557z00zz__lalr_driverz00,
		BgL_bgl_string1557za700za7za7_1572za7, " state=", 7);
	      DEFINE_STRING(BGl_string1558z00zz__lalr_driverz00,
		BgL_bgl_string1558za700za7za7_1573za7, " sp=", 4);
	      DEFINE_STRING(BGl_string1560z00zz__lalr_driverz00,
		BgL_bgl_string1560za700za7za7_1574za7, "accept", 6);
	      DEFINE_STRING(BGl_string1562z00zz__lalr_driverz00,
		BgL_bgl_string1562za700za7za7_1575za7, "*error*", 7);
	      DEFINE_STRING(BGl_string1564z00zz__lalr_driverz00,
		BgL_bgl_string1564za700za7za7_1576za7, "error", 5);
	      DEFINE_STRING(BGl_string1565z00zz__lalr_driverz00,
		BgL_bgl_string1565za700za7za7_1577za7, "parse error (unexpected token `",
		31);
	      DEFINE_STRING(BGl_string1566z00zz__lalr_driverz00,
		BgL_bgl_string1566za700za7za7_1578za7, "')", 2);
	      DEFINE_STRING(BGl_string1567z00zz__lalr_driverz00,
		BgL_bgl_string1567za700za7za7_1579za7, "__lalr_driver", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl___makezd2parserzd2envz00zz__lalr_driverz00,
		BgL_bgl_za762__makeza7d2pars1580z00,
		BGl_z62__makezd2parserzb0zz__lalr_driverz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long
		BgL_checksumz00_1416, char *BgL_fromz00_1417)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_driverz00))
				{
					BGl_requirezd2initializa7ationz75zz__lalr_driverz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__lalr_driverz00();
					BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
					BGl_toplevelzd2initzd2zz__lalr_driverz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_symbol1551z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1552z00zz__lalr_driverz00);
			BGl_symbol1554z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1555z00zz__lalr_driverz00);
			BGl_symbol1559z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1560z00zz__lalr_driverz00);
			BGl_symbol1561z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1562z00zz__lalr_driverz00);
			return (BGl_symbol1563z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1564z00zz__lalr_driverz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00 = ((long) 500);
			return (BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00 =
				((long) 200), BUNSPEC);
		}
	}



/* grow-stack! */
	obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t BgL_vz00_3)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 51 */
			{	/* Lalr/driver.scm 52 */
				int BgL_lenz00_642;

				BgL_lenz00_642 = VECTOR_LENGTH(BgL_vz00_3);
				{	/* Lalr/driver.scm 52 */
					obj_t BgL_v2z00_643;

					{	/* Lalr/driver.scm 53 */
						long BgL_arg1129z00_651;

						BgL_arg1129z00_651 = ((long) (BgL_lenz00_642) + ((long) 200));
						BgL_v2z00_643 =
							make_vector((int) (BgL_arg1129z00_651), BINT(((long) 0)));
					}
					{	/* Lalr/driver.scm 53 */

						{
							long BgL_iz00_1011;

							BgL_iz00_1011 = ((long) 0);
						BgL_loopz00_1010:
							if ((BgL_iz00_1011 < (long) (BgL_lenz00_642)))
								{	/* Lalr/driver.scm 55 */
									VECTOR_SET(BgL_v2z00_643,
										(int) (BgL_iz00_1011),
										VECTOR_REF(BgL_vz00_3, (int) (BgL_iz00_1011)));
									{
										long BgL_iz00_1442;

										BgL_iz00_1442 = (BgL_iz00_1011 + ((long) 1));
										BgL_iz00_1011 = BgL_iz00_1442;
										goto BgL_loopz00_1010;
									}
								}
							else
								{	/* Lalr/driver.scm 55 */
									return BgL_v2z00_643;
								}
						}
					}
				}
			}
		}
	}



/* __make-parser */
	BGL_EXPORTED_DEF obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t
		BgL_actionzd2tablezd2_4, obj_t BgL_reductionzd2functionzd2_5)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 61 */
			{	/* Lalr/driver.scm 63 */
				obj_t BgL_zc3anonymousza31130ze3z83_1406;

				BgL_zc3anonymousza31130ze3z83_1406 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31130ze3ze1zz__lalr_driverz00,
					(int) (((long) 3)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31130ze3z83_1406,
					(int) (((long) 0)), BgL_actionzd2tablezd2_4);
				PROCEDURE_SET(BgL_zc3anonymousza31130ze3z83_1406,
					(int) (((long) 1)), BgL_reductionzd2functionzd2_5);
				return BgL_zc3anonymousza31130ze3z83_1406;
			}
		}
	}



/* &__make-parser */
	obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t BgL_envz00_1407,
		obj_t BgL_actionzd2tablezd2_1408, obj_t BgL_reductionzd2functionzd2_1409)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 61 */
			return
				BGl___makezd2parserzd2zz__lalr_driverz00(BgL_actionzd2tablezd2_1408,
				BgL_reductionzd2functionzd2_1409);
		}
	}



/* &<anonymous:1130> */
	obj_t BGl_z62zc3anonymousza31130ze3ze1zz__lalr_driverz00(obj_t
		BgL_envz00_1410, obj_t BgL_rgcz00_1413, obj_t BgL_inputzd2portzd2_1414,
		obj_t BgL_iszd2eofzf3z21_1415)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 63 */
			{	/* Lalr/driver.scm 71 */
				obj_t BgL_actionzd2tablezd2_1411;
				obj_t BgL_reductionzd2functionzd2_1412;

				BgL_actionzd2tablezd2_1411 =
					PROCEDURE_REF(BgL_envz00_1410, (int) (((long) 0)));
				BgL_reductionzd2functionzd2_1412 =
					PROCEDURE_REF(BgL_envz00_1410, (int) (((long) 1)));
				{
					obj_t BgL_rgcz00_652;
					obj_t BgL_inputzd2portzd2_653;
					obj_t BgL_iszd2eofzf3z21_654;

					BgL_rgcz00_652 = BgL_rgcz00_1413;
					BgL_inputzd2portzd2_653 = BgL_inputzd2portzd2_1414;
					BgL_iszd2eofzf3z21_654 = BgL_iszd2eofzf3z21_1415;
					{	/* Lalr/driver.scm 71 */
						obj_t BgL_stackz00_657;
						obj_t BgL_statez00_658;
						obj_t BgL_inputz00_659;
						obj_t BgL_inz00_660;
						obj_t BgL_attrz00_661;
						obj_t BgL_actsz00_662;
						obj_t BgL_actz00_663;
						bool_t BgL_eofzf3zf3_664;
						bool_t BgL_debugz00_665;

						BgL_stackz00_657 =
							make_vector((int) (((long) 500)), BINT(((long) 0)));
						BgL_statez00_658 = BFALSE;
						BgL_inputz00_659 = BFALSE;
						BgL_inz00_660 = BFALSE;
						BgL_attrz00_661 = BFALSE;
						BgL_actsz00_662 = BFALSE;
						BgL_actz00_663 = BFALSE;
						BgL_eofzf3zf3_664 = ((bool_t) 0);
						{	/* Lalr/driver.scm 79 */
							int BgL_arg1191z00_703;

							BgL_arg1191z00_703 = bgl_debug();
							BgL_debugz00_665 = ((long) (BgL_arg1191z00_703) >= ((long) 100));
						}
						{
							obj_t BgL_spz00_667;

							BgL_spz00_667 = BINT(((long) 0));
						BgL_zc3anonymousza31131ze3z83_668:
							BgL_statez00_658 =
								VECTOR_REF(BgL_stackz00_657, CINT(BgL_spz00_667));
							BgL_actsz00_662 =
								VECTOR_REF(BgL_actionzd2tablezd2_1411, CINT(BgL_statez00_658));
							if (NULLP(CDR(BgL_actsz00_662)))
								{	/* Lalr/driver.scm 86 */
									obj_t BgL_pairz00_1042;

									BgL_pairz00_1042 = BgL_actsz00_662;
									BgL_actz00_663 = CDR(CAR(BgL_pairz00_1042));
								}
							else
								{	/* Lalr/driver.scm 85 */
									if (CBOOL(BgL_inputz00_659))
										{	/* Lalr/driver.scm 88 */
											BFALSE;
										}
									else
										{	/* Lalr/driver.scm 88 */
											BgL_inputz00_659 =
												PROCEDURE_ENTRY(BgL_rgcz00_652) (BgL_rgcz00_652,
												BgL_inputzd2portzd2_653, BEOA);
										}
									if (CBOOL(BgL_inputz00_659))
										{	/* Lalr/driver.scm 90 */
											((bool_t) 0);
										}
									else
										{	/* Lalr/driver.scm 90 */
											bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_symbol1551z00zz__lalr_driverz00,
												BGl_string1553z00zz__lalr_driverz00, BFALSE);
										}
									if (CBOOL(PROCEDURE_ENTRY(BgL_iszd2eofzf3z21_654)
											(BgL_iszd2eofzf3z21_654, BgL_inputz00_659, BEOA)))
										{	/* Lalr/driver.scm 96 */
											BgL_inz00_660 = BGl_symbol1554z00zz__lalr_driverz00;
											BgL_attrz00_661 = BFALSE;
											BgL_eofzf3zf3_664 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 96 */
											if (PAIRP(BgL_inputz00_659))
												{	/* Lalr/driver.scm 100 */
													BgL_inz00_660 = CAR(BgL_inputz00_659);
													BgL_attrz00_661 = CDR(BgL_inputz00_659);
												}
											else
												{	/* Lalr/driver.scm 100 */
													BgL_inz00_660 = BgL_inputz00_659;
													BgL_attrz00_661 = BFALSE;
												}
										}
									{	/* Lalr/driver.scm 107 */
										obj_t BgL_xz00_1050;
										obj_t BgL_lz00_1051;

										BgL_xz00_1050 = BgL_inz00_660;
										BgL_lz00_1051 = BgL_actsz00_662;
										{	/* Lalr/driver.scm 66 */
											obj_t BgL_yz00_1052;

											BgL_yz00_1052 =
												BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1050,
												BgL_lz00_1051);
											if (CBOOL(BgL_yz00_1052))
												{	/* Lalr/driver.scm 67 */
													BgL_actz00_663 = CDR(BgL_yz00_1052);
												}
											else
												{	/* Lalr/driver.scm 69 */
													obj_t BgL_pairz00_1054;

													BgL_pairz00_1054 = BgL_lz00_1051;
													BgL_actz00_663 = CDR(CAR(BgL_pairz00_1054));
												}
										}
									}
								}
							if (BgL_debugz00_665)
								{	/* Lalr/driver.scm 109 */
									{	/* Lalr/driver.scm 110 */
										obj_t BgL_arg1139z00_673;

										{	/* Lalr/driver.scm 110 */
											obj_t BgL_res1488z00_1059;

											{	/* Lalr/driver.scm 110 */
												obj_t BgL_auxz00_1497;

												BgL_auxz00_1497 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1488z00_1059 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1497);
											}
											BgL_arg1139z00_673 = BgL_res1488z00_1059;
										}
										bgl_display_string(BGl_string1556z00zz__lalr_driverz00,
											BgL_arg1139z00_673);
									}
									{	/* Lalr/driver.scm 111 */
										obj_t BgL_arg1140z00_674;

										{	/* Lalr/driver.scm 111 */
											obj_t BgL_res1489z00_1063;

											{	/* Lalr/driver.scm 111 */
												obj_t BgL_auxz00_1501;

												BgL_auxz00_1501 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1489z00_1063 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1501);
											}
											BgL_arg1140z00_674 = BgL_res1489z00_1063;
										}
										{	/* Lalr/driver.scm 111 */
											obj_t BgL_list1141z00_675;

											BgL_list1141z00_675 = MAKE_PAIR(BgL_arg1140z00_674, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_inz00_660,
												BgL_list1141z00_675);
										}
									}
									{	/* Lalr/driver.scm 112 */
										obj_t BgL_arg1145z00_676;

										{	/* Lalr/driver.scm 112 */
											obj_t BgL_res1490z00_1065;

											{	/* Lalr/driver.scm 112 */
												obj_t BgL_auxz00_1506;

												BgL_auxz00_1506 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1490z00_1065 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1506);
											}
											BgL_arg1145z00_676 = BgL_res1490z00_1065;
										}
										bgl_display_string(BGl_string1557z00zz__lalr_driverz00,
											BgL_arg1145z00_676);
									}
									{	/* Lalr/driver.scm 113 */
										obj_t BgL_arg1149z00_677;

										{	/* Lalr/driver.scm 113 */
											obj_t BgL_res1491z00_1069;

											{	/* Lalr/driver.scm 113 */
												obj_t BgL_auxz00_1510;

												BgL_auxz00_1510 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1491z00_1069 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1510);
											}
											BgL_arg1149z00_677 = BgL_res1491z00_1069;
										}
										{	/* Lalr/driver.scm 113 */
											obj_t BgL_list1150z00_678;

											BgL_list1150z00_678 = MAKE_PAIR(BgL_arg1149z00_677, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_statez00_658,
												BgL_list1150z00_678);
										}
									}
									{	/* Lalr/driver.scm 114 */
										obj_t BgL_arg1153z00_679;

										{	/* Lalr/driver.scm 114 */
											obj_t BgL_res1492z00_1071;

											{	/* Lalr/driver.scm 114 */
												obj_t BgL_auxz00_1515;

												BgL_auxz00_1515 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1492z00_1071 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1515);
											}
											BgL_arg1153z00_679 = BgL_res1492z00_1071;
										}
										bgl_display_string(BGl_string1558z00zz__lalr_driverz00,
											BgL_arg1153z00_679);
									}
									{	/* Lalr/driver.scm 115 */
										obj_t BgL_arg1156z00_680;

										{	/* Lalr/driver.scm 115 */
											obj_t BgL_res1493z00_1075;

											{	/* Lalr/driver.scm 115 */
												obj_t BgL_auxz00_1519;

												BgL_auxz00_1519 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1493z00_1075 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1519);
											}
											BgL_arg1156z00_680 = BgL_res1493z00_1075;
										}
										{	/* Lalr/driver.scm 115 */
											obj_t BgL_list1157z00_681;

											BgL_list1157z00_681 = MAKE_PAIR(BgL_arg1156z00_680, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_spz00_667,
												BgL_list1157z00_681);
										}
									}
									{	/* Lalr/driver.scm 116 */
										obj_t BgL_arg1162z00_682;

										{	/* Lalr/driver.scm 116 */
											obj_t BgL_res1494z00_1077;

											{	/* Lalr/driver.scm 116 */
												obj_t BgL_auxz00_1524;

												BgL_auxz00_1524 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1494z00_1077 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1524);
											}
											BgL_arg1162z00_682 = BgL_res1494z00_1077;
										}
										bgl_display_char(((unsigned char) '\n'),
											BgL_arg1162z00_682);
								}}
							else
								{	/* Lalr/driver.scm 109 */
									BFALSE;
								}
							if ((BgL_actz00_663 == BGl_symbol1559z00zz__lalr_driverz00))
								{	/* Lalr/driver.scm 121 */
									return VECTOR_REF(BgL_stackz00_657, (int) (((long) 1)));
								}
							else
								{	/* Lalr/driver.scm 125 */
									bool_t BgL_testz00_1532;

									if ((BgL_actz00_663 == BGl_symbol1561z00zz__lalr_driverz00))
										{	/* Lalr/driver.scm 125 */
											BgL_testz00_1532 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 125 */
											BgL_testz00_1532 =
												(BgL_actz00_663 == BGl_symbol1563z00zz__lalr_driverz00);
										}
									if (BgL_testz00_1532)
										{	/* Lalr/driver.scm 126 */
											obj_t BgL_msgz00_685;

											{	/* Lalr/driver.scm 129 */
												obj_t BgL_arg1172z00_686;

												if (SYMBOLP(BgL_inz00_660))
													{	/* Lalr/driver.scm 130 */
														obj_t BgL_res1496z00_1085;

														{	/* Lalr/driver.scm 130 */
															obj_t BgL_symbolz00_1083;

															BgL_symbolz00_1083 = BgL_inz00_660;
															{	/* Lalr/driver.scm 130 */
																obj_t BgL_arg1398z00_1084;

																BgL_arg1398z00_1084 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1083);
																BgL_res1496z00_1085 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1398z00_1084);
															}
														}
														BgL_arg1172z00_686 = BgL_res1496z00_1085;
													}
												else
													{	/* Lalr/driver.scm 129 */
														if (CHARP(BgL_inz00_660))
															{	/* Lalr/driver.scm 132 */
																obj_t BgL_res1498z00_1090;

																{	/* Lalr/driver.scm 132 */
																	obj_t BgL_charz00_1089;

																	BgL_charz00_1089 = BgL_inz00_660;
																	BgL_res1498z00_1090 =
																		make_string(((long) 1),
																		CCHAR(BgL_charz00_1089));
																}
																BgL_arg1172z00_686 = BgL_res1498z00_1090;
															}
														else
															{	/* Lalr/driver.scm 134 */
																obj_t BgL_portz00_689;

																{	/* Lalr/driver.scm 134 */

																	{	/* Ieee/port.scm 412 */

																		BgL_portz00_689 =
																			BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00
																			(BTRUE);
																	}
																}
																{	/* Lalr/driver.scm 135 */
																	obj_t BgL_list1175z00_690;

																	BgL_list1175z00_690 =
																		MAKE_PAIR(BgL_portz00_689, BNIL);
																	BGl_writez00zz__r4_output_6_10_3z00
																		(BgL_inz00_660, BgL_list1175z00_690);
																}
																BgL_arg1172z00_686 =
																	bgl_close_output_port(BgL_portz00_689);
															}
													}
												BgL_msgz00_685 =
													string_append_3(BGl_string1565z00zz__lalr_driverz00,
													BgL_arg1172z00_686,
													BGl_string1566z00zz__lalr_driverz00);
											}
											return
												bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_string1552z00zz__lalr_driverz00, BgL_msgz00_685,
												BgL_inputz00_659);
										}
									else
										{	/* Lalr/driver.scm 125 */
											if (((long) CINT(BgL_actz00_663) >= ((long) 0)))
												{	/* Lalr/driver.scm 141 */
													{	/* Lalr/driver.scm 142 */
														bool_t BgL_testz00_1553;

														{	/* Lalr/driver.scm 142 */
															long BgL_arg1178z00_694;

															{	/* Lalr/driver.scm 142 */
																int BgL_arg1179z00_695;

																BgL_arg1179z00_695 =
																	VECTOR_LENGTH(BgL_stackz00_657);
																BgL_arg1178z00_694 =
																	((long) (BgL_arg1179z00_695) - ((long) 4));
															}
															BgL_testz00_1553 =
																(
																(long) CINT(BgL_spz00_667) >=
																BgL_arg1178z00_694);
														}
														if (BgL_testz00_1553)
															{	/* Lalr/driver.scm 142 */
																BgL_stackz00_657 =
																	BGl_growzd2stackz12zc0zz__lalr_driverz00
																	(BgL_stackz00_657);
															}
														else
															{	/* Lalr/driver.scm 142 */
																BFALSE;
															}
													}
													{	/* Lalr/driver.scm 144 */
														long BgL_arg1180z00_696;

														BgL_arg1180z00_696 =
															((long) CINT(BgL_spz00_667) + ((long) 1));
														VECTOR_SET(BgL_stackz00_657,
															(int) (BgL_arg1180z00_696), BgL_attrz00_661);
													}
													{	/* Lalr/driver.scm 145 */
														long BgL_arg1181z00_697;

														BgL_arg1181z00_697 =
															((long) CINT(BgL_spz00_667) + ((long) 2));
														VECTOR_SET(BgL_stackz00_657,
															(int) (BgL_arg1181z00_697), BgL_actz00_663);
													}
													if (BgL_eofzf3zf3_664)
														{	/* Lalr/driver.scm 146 */
															BFALSE;
														}
													else
														{	/* Lalr/driver.scm 146 */
															BgL_inputz00_659 = BFALSE;
														}
													{	/* Lalr/driver.scm 148 */
														long BgL_arg1183z00_698;

														BgL_arg1183z00_698 =
															((long) CINT(BgL_spz00_667) + ((long) 2));
														{
															obj_t BgL_spz00_1571;

															BgL_spz00_1571 = BINT(BgL_arg1183z00_698);
															BgL_spz00_667 = BgL_spz00_1571;
															goto BgL_zc3anonymousza31131ze3z83_668;
														}
													}
												}
											else
												{	/* Lalr/driver.scm 152 */
													obj_t BgL_arg1187z00_699;

													{	/* Lalr/driver.scm 152 */
														long BgL_arg1188z00_700;

														BgL_arg1188z00_700 =
															NEG((long) CINT(BgL_actz00_663));
														BgL_arg1187z00_699 =
															PROCEDURE_ENTRY(BgL_reductionzd2functionzd2_1412)
															(BgL_reductionzd2functionzd2_1412,
															BINT(BgL_arg1188z00_700), BgL_stackz00_657,
															BgL_spz00_667, BEOA);
													}
													{
														obj_t BgL_spz00_1582;

														BgL_spz00_1582 = BgL_arg1187z00_699;
														BgL_spz00_667 = BgL_spz00_1582;
														goto BgL_zc3anonymousza31131ze3z83_668;
													}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1567z00zz__lalr_driverz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1567z00zz__lalr_driverz00));
		}
	}

#ifdef __cplusplus
}
#endif
