/*===========================================================================*/
/*   (Llib/dsssl.scm)                                                        */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/dsssl.scm -indent -o objs/obj_u/Llib/dsssl.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__dssslz00 = BUNSPEC;
	static obj_t BGl_z62dssslzd2getzd2keyzd2argzb0zz__dssslz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dssslzd2formalszd2ze3schemezd2typedzd2formalsz81zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62restzd2statezb0zz__dssslz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_z62dssslzd2namedzd2constantzf3z91zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_z62optionalzd2statezb0zz__dssslz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list2013z00zz__dssslz00 = BUNSPEC;
	extern obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_symbol1955z00zz__dssslz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_symbol1957z00zz__dssslz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1962z00zz__dssslz00 = BUNSPEC;
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_symbol1964z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1966z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1968z00zz__dssslz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__dssslz00();
	static obj_t BGl_genericzd2initzd2zz__dssslz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_symbol1970z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1972z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__dssslz00();
	static obj_t BGl_symbol1975z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1977z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1979z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__dssslz00();
	static obj_t BGl_z62dssslzd2getzd2keyzd2restzd2argz62zz__dssslz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1982z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_z62dssslzd2checkzd2keyzd2argsz12za2zz__dssslz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1985z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_list1953z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1987z00zz__dssslz00 = BUNSPEC;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol1991z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1993z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1995z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol1997z00zz__dssslz00 = BUNSPEC;
	static obj_t
		BGl_z62dssslzd2formalszd2ze3schemezd2formalsz53zz__dssslz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1999z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_z62nozd2restzd2keyzd2statezb0zz__dssslz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62onezd2keyzd2argz62zz__dssslz00(bool_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_loopz00zz__dssslz00(bool_t, obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_loopz72z72zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__dssslz00();
	static obj_t BGl_idzd2sanszd2typez00zz__dssslz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2dssslzd2functionzd2preludezb0zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62keyzd2statezb0zz__dssslz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_optionalzd2argszd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62restzd2keyzd2argz62zz__dssslz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t BGl_symbol2001z00zz__dssslz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2getzd2keyzd2argzd2envz00zz__dssslz00,
		BgL_bgl_za762dssslza7d2getza7d2022za7,
		BGl_z62dssslzd2getzd2keyzd2argzb0zz__dssslz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1954z00zz__dssslz00,
		BgL_bgl_string1954za700za7za7_2023za7, "Illegal formal list", 19);
	      DEFINE_STRING(BGl_string1956z00zz__dssslz00,
		BgL_bgl_string1956za700za7za7_2024za7, "dsssl", 5);
	      DEFINE_STRING(BGl_string1958z00zz__dssslz00,
		BgL_bgl_string1958za700za7za7_2025za7, "let", 3);
	      DEFINE_STRING(BGl_string1959z00zz__dssslz00,
		BgL_bgl_string1959za700za7za7_2026za7, "/tmp/bigloo/runtime/Llib/dsssl.scm",
		34);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalszd2envz31zz__dssslz00,
		BgL_bgl_za762dssslza7d2forma2027z00,
		BGl_z62dssslzd2formalszd2ze3schemezd2typedzd2formalsz81zz__dssslz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1960z00zz__dssslz00,
		BgL_bgl_string1960za700za7za7_2028za7, "&make-dsssl-function-prelude", 28);
	      DEFINE_STRING(BGl_string1961z00zz__dssslz00,
		BgL_bgl_string1961za700za7za7_2029za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1963z00zz__dssslz00,
		BgL_bgl_string1963za700za7za7_2030za7, "quote", 5);
	      DEFINE_STRING(BGl_string1965z00zz__dssslz00,
		BgL_bgl_string1965za700za7za7_2031za7, "dsssl-get-key-rest-arg", 22);
	      DEFINE_STRING(BGl_string1967z00zz__dssslz00,
		BgL_bgl_string1967za700za7za7_2032za7, "null?", 5);
	      DEFINE_STRING(BGl_string1969z00zz__dssslz00,
		BgL_bgl_string1969za700za7za7_2033za7, "v", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2namedzd2constantzf3zd2envz21zz__dssslz00,
		BgL_bgl_za762dssslza7d2named2034z00,
		BGl_z62dssslzd2namedzd2constantzf3z91zz__dssslz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1971z00zz__dssslz00,
		BgL_bgl_string1971za700za7za7_2035za7, "car", 3);
	      DEFINE_STRING(BGl_string1973z00zz__dssslz00,
		BgL_bgl_string1973za700za7za7_2036za7, "keyword->string", 15);
	      DEFINE_STRING(BGl_string1974z00zz__dssslz00,
		BgL_bgl_string1974za700za7za7_2037za7, " ", 1);
	      DEFINE_STRING(BGl_string1976z00zz__dssslz00,
		BgL_bgl_string1976za700za7za7_2038za7, "string-append", 13);
	      DEFINE_STRING(BGl_string1978z00zz__dssslz00,
		BgL_bgl_string1978za700za7za7_2039za7, "lambda", 6);
	      DEFINE_STRING(BGl_string1980z00zz__dssslz00,
		BgL_bgl_string1980za700za7za7_2040za7, "map", 3);
	      DEFINE_STRING(BGl_string1981z00zz__dssslz00,
		BgL_bgl_string1981za700za7za7_2041za7, "Illegal extra key arguments: ", 29);
	      DEFINE_STRING(BGl_string1983z00zz__dssslz00,
		BgL_bgl_string1983za700za7za7_2042za7, "apply", 5);
	      DEFINE_STRING(BGl_string1984z00zz__dssslz00,
		BgL_bgl_string1984za700za7za7_2043za7, "dsssl-get-key-arg", 17);
	      DEFINE_STRING(BGl_string1986z00zz__dssslz00,
		BgL_bgl_string1986za700za7za7_2044za7, "error", 5);
	      DEFINE_STRING(BGl_string1988z00zz__dssslz00,
		BgL_bgl_string1988za700za7za7_2045za7, "if", 2);
	      DEFINE_STRING(BGl_string1989z00zz__dssslz00,
		BgL_bgl_string1989za700za7za7_2046za7, "Illegal DSSSL formal list (#!rest)",
		34);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2getzd2keyzd2restzd2argzd2envzd2zz__dssslz00,
		BgL_bgl_za762dssslza7d2getza7d2047za7,
		BGl_z62dssslzd2getzd2keyzd2restzd2argz62zz__dssslz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1990z00zz__dssslz00,
		BgL_bgl_string1990za700za7za7_2048za7, "Illegal DSSSL formal list (#!key)",
		33);
	      DEFINE_STRING(BGl_string1992z00zz__dssslz00,
		BgL_bgl_string1992za700za7za7_2049za7, "Illegal #!keys parameters", 25);
	      DEFINE_STRING(BGl_string1994z00zz__dssslz00,
		BgL_bgl_string1994za700za7za7_2050za7, "tmp", 3);
	      DEFINE_STRING(BGl_string1996z00zz__dssslz00,
		BgL_bgl_string1996za700za7za7_2051za7, "memq", 4);
	      DEFINE_STRING(BGl_string1998z00zz__dssslz00,
		BgL_bgl_string1998za700za7za7_2052za7, "cdr", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2checkzd2keyzd2argsz12zd2envz12zz__dssslz00,
		BgL_bgl_za762dssslza7d2check2053z00,
		BGl_z62dssslzd2checkzd2keyzd2argsz12za2zz__dssslz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2dssslzd2functionzd2preludezd2envz00zz__dssslz00,
		BgL_bgl_za762makeza7d2dssslza72054za7,
		BGl_z62makezd2dssslzd2functionzd2preludezb0zz__dssslz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2000z00zz__dssslz00,
		BgL_bgl_string2000za700za7za7_2055za7, "set!", 4);
	      DEFINE_STRING(BGl_string2002z00zz__dssslz00,
		BgL_bgl_string2002za700za7za7_2056za7, "begin", 5);
	      DEFINE_STRING(BGl_string2003z00zz__dssslz00,
		BgL_bgl_string2003za700za7za7_2057za7,
		"Illegal DSSSL formal list (#!optional)", 38);
	      DEFINE_STRING(BGl_string2004z00zz__dssslz00,
		BgL_bgl_string2004za700za7za7_2058za7, "dsssl formal parsing", 20);
	      DEFINE_STRING(BGl_string2005z00zz__dssslz00,
		BgL_bgl_string2005za700za7za7_2059za7, "Unexpected #!keys parameters", 28);
	      DEFINE_STRING(BGl_string2006z00zz__dssslz00,
		BgL_bgl_string2006za700za7za7_2060za7, "Keyword argument misses value", 29);
	      DEFINE_STRING(BGl_string2007z00zz__dssslz00,
		BgL_bgl_string2007za700za7za7_2061za7, "Illegal keyword actual value", 28);
	      DEFINE_STRING(BGl_string2008z00zz__dssslz00,
		BgL_bgl_string2008za700za7za7_2062za7, "&dsssl-get-key-arg", 18);
	      DEFINE_STRING(BGl_string2009z00zz__dssslz00,
		BgL_bgl_string2009za700za7za7_2063za7, "keyword", 7);
	      DEFINE_STRING(BGl_string2010z00zz__dssslz00,
		BgL_bgl_string2010za700za7za7_2064za7, "&dsssl-get-key-rest-arg", 23);
	      DEFINE_STRING(BGl_string2011z00zz__dssslz00,
		BgL_bgl_string2011za700za7za7_2065za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string2012z00zz__dssslz00,
		BgL_bgl_string2012za700za7za7_2066za7, "&dsssl-formals->scheme-formals",
		30);
	      DEFINE_STRING(BGl_string2014z00zz__dssslz00,
		BgL_bgl_string2014za700za7za7_2067za7, "Illegal formal parameter", 24);
	      DEFINE_STRING(BGl_string2015z00zz__dssslz00,
		BgL_bgl_string2015za700za7za7_2068za7, "symbol or named constant expected",
		33);
	      DEFINE_STRING(BGl_string2016z00zz__dssslz00,
		BgL_bgl_string2016za700za7za7_2069za7, "symbol expected", 15);
	      DEFINE_STRING(BGl_string2017z00zz__dssslz00,
		BgL_bgl_string2017za700za7za7_2070za7,
		"Can't use both DSSSL named constant", 35);
	      DEFINE_STRING(BGl_string2018z00zz__dssslz00,
		BgL_bgl_string2018za700za7za7_2071za7, "and `.' notation", 16);
	      DEFINE_STRING(BGl_string2019z00zz__dssslz00,
		BgL_bgl_string2019za700za7za7_2072za7,
		"&dsssl-formals->scheme-typed-formals", 36);
	      DEFINE_STRING(BGl_string2020z00zz__dssslz00,
		BgL_bgl_string2020za700za7za7_2073za7, "__dsssl", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2formalszd2ze3schemezd2formalszd2envze3zz__dssslz00,
		BgL_bgl_za762dssslza7d2forma2074z00,
		BGl_z62dssslzd2formalszd2ze3schemezd2formalsz53zz__dssslz00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long
		BgL_checksumz00_2065, char *BgL_fromz00_2066)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__dssslz00))
				{
					BGl_requirezd2initializa7ationz75zz__dssslz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__dssslz00();
					BGl_importedzd2moduleszd2initz00zz__dssslz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			BGl_list1953z00zz__dssslz00 =
				MAKE_PAIR(BCNST(259),
				MAKE_PAIR(BCNST(258), MAKE_PAIR(BCNST(262), BNIL)));
			BGl_symbol1955z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1956z00zz__dssslz00);
			BGl_symbol1957z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1958z00zz__dssslz00);
			BGl_symbol1962z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1963z00zz__dssslz00);
			BGl_symbol1964z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1965z00zz__dssslz00);
			BGl_symbol1966z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1967z00zz__dssslz00);
			BGl_symbol1968z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1969z00zz__dssslz00);
			BGl_symbol1970z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1971z00zz__dssslz00);
			BGl_symbol1972z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1973z00zz__dssslz00);
			BGl_symbol1975z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1976z00zz__dssslz00);
			BGl_symbol1977z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1978z00zz__dssslz00);
			BGl_symbol1979z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1980z00zz__dssslz00);
			BGl_symbol1982z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1983z00zz__dssslz00);
			BGl_symbol1985z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1986z00zz__dssslz00);
			BGl_symbol1987z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1988z00zz__dssslz00);
			BGl_symbol1991z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1984z00zz__dssslz00);
			BGl_symbol1993z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1994z00zz__dssslz00);
			BGl_symbol1995z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1996z00zz__dssslz00);
			BGl_symbol1997z00zz__dssslz00 =
				bstring_to_symbol(BGl_string1998z00zz__dssslz00);
			BGl_symbol1999z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2000z00zz__dssslz00);
			BGl_symbol2001z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2002z00zz__dssslz00);
			return (BGl_list2013z00zz__dssslz00 =
				MAKE_PAIR(BCNST(258),
					MAKE_PAIR(BCNST(259), MAKE_PAIR(BCNST(262), BNIL))), BUNSPEC);
		}
	}



/* dsssl-named-constant? */
	BGL_EXPORTED_DEF bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t
		BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 58 */
			if (CNSTP(BgL_objz00_3))
				{	/* Llib/dsssl.scm 59 */
					return
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_3,
							BGl_list1953z00zz__dssslz00));
				}
			else
				{	/* Llib/dsssl.scm 59 */
					return ((bool_t) 0);
				}
		}
	}



/* &dsssl-named-constant? */
	obj_t BGl_z62dssslzd2namedzd2constantzf3z91zz__dssslz00(obj_t BgL_envz00_1967,
		obj_t BgL_objz00_1968)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 58 */
			return
				BBOOL(BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(BgL_objz00_1968));
		}
	}



/* make-dsssl-function-prelude */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t BgL_wherez00_4,
		obj_t BgL_formalsz00_5, obj_t BgL_bodyz00_6, obj_t BgL_errz00_7)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 70 */
			{	/* Llib/dsssl.scm 74 */
				obj_t BgL_nozd2restzd2keyzd2statezd2_1972;
				obj_t BgL_restzd2statezd2_1973;
				obj_t BgL_optionalzd2statezd2_1974;

				{
					int BgL_auxz00_2104;

					BgL_auxz00_2104 = (int) (((long) 4));
					BgL_nozd2restzd2keyzd2statezd2_1972 =
						MAKE_L_PROCEDURE(BGl_z62nozd2restzd2keyzd2statezb0zz__dssslz00,
						BgL_auxz00_2104);
				}
				{
					int BgL_auxz00_2107;

					BgL_auxz00_2107 = (int) (((long) 4));
					BgL_restzd2statezd2_1973 =
						MAKE_L_PROCEDURE(BGl_z62restzd2statezb0zz__dssslz00,
						BgL_auxz00_2107);
				}
				{
					int BgL_auxz00_2110;

					BgL_auxz00_2110 = (int) (((long) 6));
					BgL_optionalzd2statezd2_1974 =
						MAKE_L_PROCEDURE(BGl_z62optionalzd2statezb0zz__dssslz00,
						BgL_auxz00_2110);
				}
				PROCEDURE_L_SET(BgL_nozd2restzd2keyzd2statezd2_1972,
					(int) (((long) 0)), BgL_bodyz00_6);
				PROCEDURE_L_SET(BgL_nozd2restzd2keyzd2statezd2_1972,
					(int) (((long) 1)), BgL_errz00_7);
				PROCEDURE_L_SET(BgL_nozd2restzd2keyzd2statezd2_1972,
					(int) (((long) 2)), BgL_wherez00_4);
				PROCEDURE_L_SET(BgL_nozd2restzd2keyzd2statezd2_1972,
					(int) (((long) 3)), BgL_formalsz00_5);
				PROCEDURE_L_SET(BgL_restzd2statezd2_1973,
					(int) (((long) 0)), BgL_errz00_7);
				PROCEDURE_L_SET(BgL_restzd2statezd2_1973,
					(int) (((long) 1)), BgL_wherez00_4);
				PROCEDURE_L_SET(BgL_restzd2statezd2_1973,
					(int) (((long) 2)), BgL_formalsz00_5);
				PROCEDURE_L_SET(BgL_restzd2statezd2_1973,
					(int) (((long) 3)), BgL_bodyz00_6);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 0)), BgL_errz00_7);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 1)), BgL_wherez00_4);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 2)), BgL_formalsz00_5);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 3)), BgL_restzd2statezd2_1973);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 4)), BgL_nozd2restzd2keyzd2statezd2_1972);
				PROCEDURE_L_SET(BgL_optionalzd2statezd2_1974,
					(int) (((long) 5)), BgL_bodyz00_6);
				{
					obj_t BgL_argsz00_592;
					obj_t BgL_nextzd2statezd2_593;
					obj_t BgL_argsz00_575;

					BgL_argsz00_575 = BgL_formalsz00_5;
				BgL_zc3anonymousza31121ze3z83_576:
					if (PAIRP(BgL_argsz00_575))
						{	/* Llib/dsssl.scm 76 */
							bool_t BgL_testz00_2143;

							{	/* Llib/dsssl.scm 76 */
								bool_t BgL_testz00_2144;

								{	/* Llib/dsssl.scm 76 */
									obj_t BgL_auxz00_2145;

									BgL_auxz00_2145 = CAR(BgL_argsz00_575);
									BgL_testz00_2144 = SYMBOLP(BgL_auxz00_2145);
								}
								if (BgL_testz00_2144)
									{	/* Llib/dsssl.scm 76 */
										BgL_testz00_2143 = ((bool_t) 0);
									}
								else
									{	/* Llib/dsssl.scm 76 */
										bool_t BgL_testz00_2148;

										{	/* Llib/dsssl.scm 76 */
											obj_t BgL_auxz00_2149;

											BgL_auxz00_2149 = CAR(BgL_argsz00_575);
											BgL_testz00_2148 = PAIRP(BgL_auxz00_2149);
										}
										if (BgL_testz00_2148)
											{	/* Llib/dsssl.scm 76 */
												BgL_testz00_2143 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 76 */
												BgL_testz00_2143 = ((bool_t) 1);
											}
									}
							}
							if (BgL_testz00_2143)
								{	/* Llib/dsssl.scm 78 */
									long BgL_aux1041z00_580;

									{	/* Llib/dsssl.scm 78 */
										obj_t BgL_aux1039z00_585;

										BgL_aux1039z00_585 = CAR(BgL_argsz00_575);
										if (CNSTP(BgL_aux1039z00_585))
											{	/* Llib/dsssl.scm 78 */
												BgL_aux1041z00_580 = CCNST(BgL_aux1039z00_585);
											}
										else
											{	/* Llib/dsssl.scm 78 */
												BgL_aux1041z00_580 = ((long) -1);
									}}
									switch (BgL_aux1041z00_580)
										{
										case ((long) 258):

											BgL_argsz00_592 = CDR(BgL_argsz00_575);
											BgL_nextzd2statezd2_593 = BgL_optionalzd2statezd2_1974;
										BgL_zc3anonymousza31146ze3z83_594:
											{
												obj_t BgL_asz00_596;

												BgL_asz00_596 = BgL_argsz00_592;
												if (PAIRP(BgL_asz00_596))
													{

														{	/* Llib/dsssl.scm 97 */
															obj_t BgL_ezd2104zd2_602;

															BgL_ezd2104zd2_602 = CAR(BgL_asz00_596);
															if (SYMBOLP(BgL_ezd2104zd2_602))
																{	/* Llib/dsssl.scm 97 */
																	{	/* Llib/dsssl.scm 99 */
																		obj_t BgL_dssslzd2argzd2_611;

																		BgL_dssslzd2argzd2_611 =
																			BGl_gensymz00zz__r4_symbols_6_4z00
																			(BGl_symbol1955z00zz__dssslz00);
																		{	/* Llib/dsssl.scm 100 */
																			obj_t BgL_arg1164z00_612;

																			{	/* Llib/dsssl.scm 100 */
																				obj_t BgL_arg1172z00_613;
																				obj_t BgL_arg1173z00_614;

																				{	/* Llib/dsssl.scm 100 */
																					obj_t BgL_arg1174z00_615;

																					{	/* Llib/dsssl.scm 100 */
																						obj_t BgL_arg1175z00_616;

																						BgL_arg1175z00_616 =
																							MAKE_PAIR(CAR(BgL_asz00_596),
																							BNIL);
																						BgL_arg1174z00_615 =
																							MAKE_PAIR(BgL_dssslzd2argzd2_611,
																							BgL_arg1175z00_616);
																					}
																					BgL_arg1172z00_613 =
																						MAKE_PAIR(BgL_arg1174z00_615, BNIL);
																				}
																				{	/* Llib/dsssl.scm 101 */
																					obj_t BgL_arg1177z00_618;

																					BgL_arg1177z00_618 =
																						PROCEDURE_L_ENTRY
																						(BgL_nextzd2statezd2_593)
																						(BgL_nextzd2statezd2_593,
																						BgL_argsz00_592,
																						BgL_dssslzd2argzd2_611);
																					BgL_arg1173z00_614 =
																						MAKE_PAIR(BgL_arg1177z00_618, BNIL);
																				}
																				BgL_arg1164z00_612 =
																					MAKE_PAIR(BgL_arg1172z00_613,
																					BgL_arg1173z00_614);
																			}
																			return
																				MAKE_PAIR(BGl_symbol1957z00zz__dssslz00,
																				BgL_arg1164z00_612);
																		}
																	}
																}
															else
																{	/* Llib/dsssl.scm 97 */
																	if (PAIRP(BgL_ezd2104zd2_602))
																		{	/* Llib/dsssl.scm 97 */
																			obj_t BgL_cdrzd2106zd2_605;

																			BgL_cdrzd2106zd2_605 =
																				CDR(BgL_ezd2104zd2_602);
																			{	/* Llib/dsssl.scm 97 */
																				bool_t BgL_testz00_2177;

																				{	/* Llib/dsssl.scm 97 */
																					obj_t BgL_auxz00_2178;

																					BgL_auxz00_2178 =
																						CAR(BgL_ezd2104zd2_602);
																					BgL_testz00_2177 =
																						SYMBOLP(BgL_auxz00_2178);
																				}
																				if (BgL_testz00_2177)
																					{	/* Llib/dsssl.scm 97 */
																						if (PAIRP(BgL_cdrzd2106zd2_605))
																							{	/* Llib/dsssl.scm 97 */
																								if (NULLP(CDR
																										(BgL_cdrzd2106zd2_605)))
																									{	/* Llib/dsssl.scm 97 */
																										{	/* Llib/dsssl.scm 103 */
																											obj_t
																												BgL_dssslzd2argzd2_619;
																											BgL_dssslzd2argzd2_619 =
																												BGl_gensymz00zz__r4_symbols_6_4z00
																												(BGl_symbol1955z00zz__dssslz00);
																											{	/* Llib/dsssl.scm 104 */
																												obj_t
																													BgL_arg1178z00_620;
																												{	/* Llib/dsssl.scm 104 */
																													obj_t
																														BgL_arg1179z00_621;
																													obj_t
																														BgL_arg1180z00_622;
																													{	/* Llib/dsssl.scm 104 */
																														obj_t
																															BgL_arg1181z00_623;
																														{	/* Llib/dsssl.scm 104 */
																															obj_t
																																BgL_arg1183z00_624;
																															BgL_arg1183z00_624
																																=
																																MAKE_PAIR(CAR
																																(CAR
																																	(BgL_asz00_596)),
																																BNIL);
																															BgL_arg1181z00_623
																																=
																																MAKE_PAIR
																																(BgL_dssslzd2argzd2_619,
																																BgL_arg1183z00_624);
																														}
																														BgL_arg1179z00_621 =
																															MAKE_PAIR
																															(BgL_arg1181z00_623,
																															BNIL);
																													}
																													{	/* Llib/dsssl.scm 105 */
																														obj_t
																															BgL_arg1191z00_627;
																														BgL_arg1191z00_627 =
																															PROCEDURE_L_ENTRY
																															(BgL_nextzd2statezd2_593)
																															(BgL_nextzd2statezd2_593,
																															BgL_argsz00_592,
																															BgL_dssslzd2argzd2_619);
																														BgL_arg1180z00_622 =
																															MAKE_PAIR
																															(BgL_arg1191z00_627,
																															BNIL);
																													}
																													BgL_arg1178z00_620 =
																														MAKE_PAIR
																														(BgL_arg1179z00_621,
																														BgL_arg1180z00_622);
																												}
																												return
																													MAKE_PAIR
																													(BGl_symbol1957z00zz__dssslz00,
																													BgL_arg1178z00_620);
																											}
																										}
																									}
																								else
																									{	/* Llib/dsssl.scm 97 */
																										return
																											PROCEDURE_ENTRY
																											(BgL_errz00_7)
																											(BgL_errz00_7,
																											BgL_wherez00_4,
																											BGl_string1954z00zz__dssslz00,
																											BgL_formalsz00_5, BEOA);
																									}
																							}
																						else
																							{	/* Llib/dsssl.scm 97 */
																								return
																									PROCEDURE_ENTRY(BgL_errz00_7)
																									(BgL_errz00_7, BgL_wherez00_4,
																									BGl_string1954z00zz__dssslz00,
																									BgL_formalsz00_5, BEOA);
																							}
																					}
																				else
																					{	/* Llib/dsssl.scm 97 */
																						return
																							PROCEDURE_ENTRY(BgL_errz00_7)
																							(BgL_errz00_7, BgL_wherez00_4,
																							BGl_string1954z00zz__dssslz00,
																							BgL_formalsz00_5, BEOA);
																					}
																			}
																		}
																	else
																		{	/* Llib/dsssl.scm 97 */
																			return
																				PROCEDURE_ENTRY(BgL_errz00_7)
																				(BgL_errz00_7, BgL_wherez00_4,
																				BGl_string1954z00zz__dssslz00,
																				BgL_formalsz00_5, BEOA);
																		}
																}
														}
													}
												else
													{	/* Llib/dsssl.scm 94 */
														return
															PROCEDURE_ENTRY(BgL_errz00_7) (BgL_errz00_7,
															BgL_wherez00_4, BGl_string1954z00zz__dssslz00,
															BgL_formalsz00_5, BEOA);
													}
											}
											break;
										case ((long) 259):

											{
												obj_t BgL_nextzd2statezd2_2233;
												obj_t BgL_argsz00_2231;

												BgL_argsz00_2231 = CDR(BgL_argsz00_575);
												BgL_nextzd2statezd2_2233 = BgL_restzd2statezd2_1973;
												BgL_nextzd2statezd2_593 = BgL_nextzd2statezd2_2233;
												BgL_argsz00_592 = BgL_argsz00_2231;
												goto BgL_zc3anonymousza31146ze3z83_594;
											}
											break;
										case ((long) 262):

											{
												obj_t BgL_nextzd2statezd2_2236;
												obj_t BgL_argsz00_2234;

												BgL_argsz00_2234 = CDR(BgL_argsz00_575);
												BgL_nextzd2statezd2_2236 =
													BgL_nozd2restzd2keyzd2statezd2_1972;
												BgL_nextzd2statezd2_593 = BgL_nextzd2statezd2_2236;
												BgL_argsz00_592 = BgL_argsz00_2234;
												goto BgL_zc3anonymousza31146ze3z83_594;
											}
											break;
										default:
											return
												PROCEDURE_ENTRY(BgL_errz00_7) (BgL_errz00_7,
												BgL_wherez00_4, BGl_string1954z00zz__dssslz00,
												BgL_formalsz00_5, BEOA);
										}
								}
							else
								{
									obj_t BgL_argsz00_2244;

									BgL_argsz00_2244 = CDR(BgL_argsz00_575);
									BgL_argsz00_575 = BgL_argsz00_2244;
									goto BgL_zc3anonymousza31121ze3z83_576;
								}
						}
					else
						{	/* Llib/dsssl.scm 74 */
							return BgL_bodyz00_6;
						}
				}
			}
		}
	}



/* &make-dsssl-function-prelude */
	obj_t BGl_z62makezd2dssslzd2functionzd2preludezb0zz__dssslz00(obj_t
		BgL_envz00_1975, obj_t BgL_wherez00_1976, obj_t BgL_formalsz00_1977,
		obj_t BgL_bodyz00_1978, obj_t BgL_errz00_1979)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 70 */
			{	/* Llib/dsssl.scm 74 */
				obj_t BgL_auxz00_2246;

				if (PROCEDUREP(BgL_errz00_1979))
					{	/* Llib/dsssl.scm 74 */
						BgL_auxz00_2246 = BgL_errz00_1979;
					}
				else
					{
						obj_t BgL_auxz00_2249;

						BgL_auxz00_2249 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1959z00zz__dssslz00,
							BINT(((long) 3119)), BGl_string1960z00zz__dssslz00,
							BGl_string1961z00zz__dssslz00, BgL_errz00_1979);
						FAILURE(BgL_auxz00_2249, BFALSE, BFALSE);
					}
				return
					BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
					(BgL_wherez00_1976, BgL_formalsz00_1977, BgL_bodyz00_1978,
					BgL_auxz00_2246);
			}
		}
	}



/* &key-state */
	obj_t BGl_z62keyzd2statezb0zz__dssslz00(obj_t BgL_bodyz00_1983,
		obj_t BgL_formalsz00_1982, obj_t BgL_wherez00_1981, obj_t BgL_errz00_1980,
		obj_t BgL_argsz00_845, obj_t BgL_dssslzd2argzd2_846,
		obj_t BgL_collectedzd2keyszd2_847, bool_t BgL_allowzd2restpzd2_848)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 261 */
			if (NULLP(BgL_argsz00_845))
				{	/* Llib/dsssl.scm 268 */
					if (BgL_allowzd2restpzd2_848)
						{	/* Llib/dsssl.scm 271 */
							obj_t BgL_arg1408z00_853;

							{	/* Llib/dsssl.scm 271 */
								obj_t BgL_arg1409z00_854;
								obj_t BgL_arg1410z00_855;

								{	/* Llib/dsssl.scm 271 */
									obj_t BgL_arg1411z00_856;

									{	/* Llib/dsssl.scm 271 */
										obj_t BgL_arg1412z00_857;

										{	/* Llib/dsssl.scm 271 */
											obj_t BgL_arg1413z00_858;

											{	/* Llib/dsssl.scm 271 */
												obj_t BgL_arg1414z00_859;

												{	/* Llib/dsssl.scm 271 */
													obj_t BgL_arg1415z00_860;

													{	/* Llib/dsssl.scm 271 */
														obj_t BgL_arg1416z00_861;

														BgL_arg1416z00_861 =
															MAKE_PAIR(BgL_collectedzd2keyszd2_847, BNIL);
														BgL_arg1415z00_860 =
															MAKE_PAIR(BGl_symbol1962z00zz__dssslz00,
															BgL_arg1416z00_861);
													}
													BgL_arg1414z00_859 =
														MAKE_PAIR(BgL_arg1415z00_860, BNIL);
												}
												BgL_arg1413z00_858 =
													MAKE_PAIR(BgL_dssslzd2argzd2_846, BgL_arg1414z00_859);
											}
											BgL_arg1412z00_857 =
												MAKE_PAIR(BGl_symbol1964z00zz__dssslz00,
												BgL_arg1413z00_858);
										}
										BgL_arg1411z00_856 = MAKE_PAIR(BgL_arg1412z00_857, BNIL);
									}
									BgL_arg1409z00_854 =
										MAKE_PAIR(BGl_symbol1966z00zz__dssslz00,
										BgL_arg1411z00_856);
								}
								{	/* Llib/dsssl.scm 275 */
									obj_t BgL_arg1417z00_862;

									{	/* Llib/dsssl.scm 275 */
										obj_t BgL_arg1418z00_863;

										{	/* Llib/dsssl.scm 275 */
											obj_t BgL_arg1419z00_864;

											{	/* Llib/dsssl.scm 275 */
												obj_t BgL_arg1420z00_865;

												{	/* Llib/dsssl.scm 275 */
													obj_t BgL_arg1421z00_866;
													obj_t BgL_arg1422z00_867;

													{	/* Llib/dsssl.scm 275 */
														obj_t BgL_arg1423z00_868;

														{	/* Llib/dsssl.scm 275 */
															obj_t BgL_arg1424z00_869;

															{	/* Llib/dsssl.scm 275 */
																obj_t BgL_arg1425z00_870;

																{	/* Llib/dsssl.scm 275 */
																	obj_t BgL_arg1426z00_871;

																	{	/* Llib/dsssl.scm 275 */
																		obj_t BgL_arg1427z00_872;

																		{	/* Llib/dsssl.scm 275 */
																			obj_t BgL_arg1428z00_873;
																			obj_t BgL_arg1435z00_874;

																			{	/* Llib/dsssl.scm 275 */
																				obj_t BgL_arg1436z00_875;

																				{	/* Llib/dsssl.scm 275 */
																					obj_t BgL_arg1442z00_876;
																					obj_t BgL_arg1443z00_877;

																					BgL_arg1442z00_876 =
																						MAKE_PAIR
																						(BGl_symbol1968z00zz__dssslz00,
																						BNIL);
																					{	/* Llib/dsssl.scm 276 */
																						obj_t BgL_arg1444z00_878;

																						{	/* Llib/dsssl.scm 276 */
																							obj_t BgL_arg1445z00_879;

																							{	/* Llib/dsssl.scm 276 */
																								obj_t BgL_arg1448z00_880;
																								obj_t BgL_arg1449z00_881;

																								{	/* Llib/dsssl.scm 276 */
																									obj_t BgL_arg1450z00_882;

																									{	/* Llib/dsssl.scm 276 */
																										obj_t BgL_arg1452z00_883;

																										{	/* Llib/dsssl.scm 276 */
																											obj_t BgL_arg1453z00_884;

																											BgL_arg1453z00_884 =
																												MAKE_PAIR
																												(BGl_symbol1968z00zz__dssslz00,
																												BNIL);
																											BgL_arg1452z00_883 =
																												MAKE_PAIR
																												(BGl_symbol1970z00zz__dssslz00,
																												BgL_arg1453z00_884);
																										}
																										BgL_arg1450z00_882 =
																											MAKE_PAIR
																											(BgL_arg1452z00_883,
																											BNIL);
																									}
																									BgL_arg1448z00_880 =
																										MAKE_PAIR
																										(BGl_symbol1972z00zz__dssslz00,
																										BgL_arg1450z00_882);
																								}
																								BgL_arg1449z00_881 =
																									MAKE_PAIR
																									(BGl_string1974z00zz__dssslz00,
																									BNIL);
																								BgL_arg1445z00_879 =
																									MAKE_PAIR(BgL_arg1448z00_880,
																									BgL_arg1449z00_881);
																							}
																							BgL_arg1444z00_878 =
																								MAKE_PAIR
																								(BGl_symbol1975z00zz__dssslz00,
																								BgL_arg1445z00_879);
																						}
																						BgL_arg1443z00_877 =
																							MAKE_PAIR(BgL_arg1444z00_878,
																							BNIL);
																					}
																					BgL_arg1436z00_875 =
																						MAKE_PAIR(BgL_arg1442z00_876,
																						BgL_arg1443z00_877);
																				}
																				BgL_arg1428z00_873 =
																					MAKE_PAIR
																					(BGl_symbol1977z00zz__dssslz00,
																					BgL_arg1436z00_875);
																			}
																			{	/* Llib/dsssl.scm 277 */
																				obj_t BgL_arg1454z00_885;

																				{	/* Llib/dsssl.scm 277 */
																					obj_t BgL_arg1455z00_886;

																					{	/* Llib/dsssl.scm 277 */
																						obj_t BgL_arg1456z00_887;

																						{	/* Llib/dsssl.scm 277 */
																							obj_t BgL_arg1458z00_888;

																							{	/* Llib/dsssl.scm 277 */
																								obj_t BgL_arg1459z00_889;

																								BgL_arg1459z00_889 =
																									MAKE_PAIR
																									(BgL_collectedzd2keyszd2_847,
																									BNIL);
																								BgL_arg1458z00_888 =
																									MAKE_PAIR
																									(BGl_symbol1962z00zz__dssslz00,
																									BgL_arg1459z00_889);
																							}
																							BgL_arg1456z00_887 =
																								MAKE_PAIR(BgL_arg1458z00_888,
																								BNIL);
																						}
																						BgL_arg1455z00_886 =
																							MAKE_PAIR(BgL_dssslzd2argzd2_846,
																							BgL_arg1456z00_887);
																					}
																					BgL_arg1454z00_885 =
																						MAKE_PAIR
																						(BGl_symbol1964z00zz__dssslz00,
																						BgL_arg1455z00_886);
																				}
																				BgL_arg1435z00_874 =
																					MAKE_PAIR(BgL_arg1454z00_885, BNIL);
																			}
																			BgL_arg1427z00_872 =
																				MAKE_PAIR(BgL_arg1428z00_873,
																				BgL_arg1435z00_874);
																		}
																		BgL_arg1426z00_871 =
																			MAKE_PAIR(BGl_symbol1979z00zz__dssslz00,
																			BgL_arg1427z00_872);
																	}
																	BgL_arg1425z00_870 =
																		MAKE_PAIR(BgL_arg1426z00_871, BNIL);
																}
																BgL_arg1424z00_869 =
																	MAKE_PAIR(BGl_string1981z00zz__dssslz00,
																	BgL_arg1425z00_870);
															}
															BgL_arg1423z00_868 =
																MAKE_PAIR(BGl_symbol1975z00zz__dssslz00,
																BgL_arg1424z00_869);
														}
														BgL_arg1421z00_866 =
															MAKE_PAIR(BGl_symbol1982z00zz__dssslz00,
															BgL_arg1423z00_868);
													}
													BgL_arg1422z00_867 =
														MAKE_PAIR(BgL_dssslzd2argzd2_846, BNIL);
													BgL_arg1420z00_865 =
														MAKE_PAIR(BgL_arg1421z00_866, BgL_arg1422z00_867);
												}
												BgL_arg1419z00_864 =
													MAKE_PAIR(BGl_string1984z00zz__dssslz00,
													BgL_arg1420z00_865);
											}
											BgL_arg1418z00_863 =
												MAKE_PAIR(BGl_symbol1985z00zz__dssslz00,
												BgL_arg1419z00_864);
										}
										BgL_arg1417z00_862 = MAKE_PAIR(BgL_arg1418z00_863, BNIL);
									}
									BgL_arg1410z00_855 =
										MAKE_PAIR(BgL_bodyz00_1983, BgL_arg1417z00_862);
								}
								BgL_arg1408z00_853 =
									MAKE_PAIR(BgL_arg1409z00_854, BgL_arg1410z00_855);
							}
							return
								MAKE_PAIR(BGl_symbol1987z00zz__dssslz00, BgL_arg1408z00_853);
						}
					else
						{	/* Llib/dsssl.scm 269 */
							return BgL_bodyz00_1983;
						}
				}
			else
				{	/* Llib/dsssl.scm 268 */
					if ((CAR(BgL_argsz00_845) == BCNST(259)))
						{	/* Llib/dsssl.scm 282 */
							bool_t BgL_testz00_2298;

							if (BgL_allowzd2restpzd2_848)
								{	/* Llib/dsssl.scm 282 */
									if (NULLP(CDR(BgL_argsz00_845)))
										{	/* Llib/dsssl.scm 283 */
											BgL_testz00_2298 = ((bool_t) 1);
										}
									else
										{	/* Llib/dsssl.scm 284 */
											bool_t BgL_testz00_2303;

											{	/* Llib/dsssl.scm 284 */
												obj_t BgL_auxz00_2304;

												{	/* Llib/dsssl.scm 284 */
													obj_t BgL_pairz00_1541;

													BgL_pairz00_1541 = BgL_argsz00_845;
													BgL_auxz00_2304 = CAR(CDR(BgL_pairz00_1541));
												}
												BgL_testz00_2303 = SYMBOLP(BgL_auxz00_2304);
											}
											if (BgL_testz00_2303)
												{	/* Llib/dsssl.scm 285 */
													obj_t BgL_auxz00_2308;

													{	/* Llib/dsssl.scm 285 */
														obj_t BgL_pairz00_1547;

														BgL_pairz00_1547 = BgL_argsz00_845;
														BgL_auxz00_2308 = CDR(CDR(BgL_pairz00_1547));
													}
													BgL_testz00_2298 = PAIRP(BgL_auxz00_2308);
												}
											else
												{	/* Llib/dsssl.scm 284 */
													BgL_testz00_2298 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 282 */
									BgL_testz00_2298 = ((bool_t) 1);
								}
							if (BgL_testz00_2298)
								{	/* Llib/dsssl.scm 282 */
									return
										PROCEDURE_ENTRY(BgL_errz00_1980) (BgL_errz00_1980,
										BgL_wherez00_1981, BGl_string1989z00zz__dssslz00,
										BgL_formalsz00_1982, BEOA);
								}
							else
								{	/* Llib/dsssl.scm 287 */
									obj_t BgL_arg1462z00_892;

									{	/* Llib/dsssl.scm 287 */
										obj_t BgL_pairz00_1553;

										BgL_pairz00_1553 = BgL_argsz00_845;
										BgL_arg1462z00_892 = CAR(CDR(BgL_pairz00_1553));
									}
									return
										BGl_z62restzd2keyzd2argz62zz__dssslz00
										(BgL_dssslzd2argzd2_846, BgL_collectedzd2keyszd2_847,
										BgL_arg1462z00_892, BgL_bodyz00_1983);
								}
						}
					else
						{	/* Llib/dsssl.scm 281 */
							if (PAIRP(BgL_argsz00_845))
								{	/* Llib/dsssl.scm 290 */
									bool_t BgL_testz00_2323;

									{	/* Llib/dsssl.scm 290 */
										bool_t BgL_testz00_2324;

										{	/* Llib/dsssl.scm 290 */
											obj_t BgL_auxz00_2325;

											BgL_auxz00_2325 = CAR(BgL_argsz00_845);
											BgL_testz00_2324 = SYMBOLP(BgL_auxz00_2325);
										}
										if (BgL_testz00_2324)
											{	/* Llib/dsssl.scm 290 */
												BgL_testz00_2323 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 290 */
												bool_t BgL_testz00_2328;

												{	/* Llib/dsssl.scm 290 */
													obj_t BgL_auxz00_2329;

													BgL_auxz00_2329 = CAR(BgL_argsz00_845);
													BgL_testz00_2328 = PAIRP(BgL_auxz00_2329);
												}
												if (BgL_testz00_2328)
													{	/* Llib/dsssl.scm 290 */
														BgL_testz00_2323 = ((bool_t) 0);
													}
												else
													{	/* Llib/dsssl.scm 290 */
														BgL_testz00_2323 = ((bool_t) 1);
													}
											}
									}
									if (BgL_testz00_2323)
										{	/* Llib/dsssl.scm 290 */
											return
												PROCEDURE_ENTRY(BgL_errz00_1980) (BgL_errz00_1980,
												BgL_wherez00_1981, BGl_string1990z00zz__dssslz00,
												BgL_formalsz00_1982, BEOA);
										}
									else
										{	/* Llib/dsssl.scm 294 */
											obj_t BgL_ezd2162zd2_906;

											BgL_ezd2162zd2_906 = CAR(BgL_argsz00_845);
											if (PAIRP(BgL_ezd2162zd2_906))
												{	/* Llib/dsssl.scm 294 */
													obj_t BgL_carzd2167zd2_908;
													obj_t BgL_cdrzd2168zd2_909;

													BgL_carzd2167zd2_908 = CAR(BgL_ezd2162zd2_906);
													BgL_cdrzd2168zd2_909 = CDR(BgL_ezd2162zd2_906);
													if (SYMBOLP(BgL_carzd2167zd2_908))
														{	/* Llib/dsssl.scm 294 */
															if (PAIRP(BgL_cdrzd2168zd2_909))
																{	/* Llib/dsssl.scm 294 */
																	if (NULLP(CDR(BgL_cdrzd2168zd2_909)))
																		{	/* Llib/dsssl.scm 294 */
																			return
																				BGl_z62onezd2keyzd2argz62zz__dssslz00
																				(BgL_allowzd2restpzd2_848,
																				BgL_argsz00_845, BgL_dssslzd2argzd2_846,
																				BgL_bodyz00_1983, BgL_formalsz00_1982,
																				BgL_wherez00_1981, BgL_errz00_1980,
																				BgL_carzd2167zd2_908,
																				CAR(BgL_cdrzd2168zd2_909),
																				BgL_collectedzd2keyszd2_847);
																		}
																	else
																		{	/* Llib/dsssl.scm 294 */
																			return
																				PROCEDURE_ENTRY(BgL_errz00_1980)
																				(BgL_errz00_1980, BgL_wherez00_1981,
																				BGl_string1990z00zz__dssslz00,
																				BgL_formalsz00_1982, BEOA);
																		}
																}
															else
																{	/* Llib/dsssl.scm 294 */
																	return
																		PROCEDURE_ENTRY(BgL_errz00_1980)
																		(BgL_errz00_1980, BgL_wherez00_1981,
																		BGl_string1990z00zz__dssslz00,
																		BgL_formalsz00_1982, BEOA);
																}
														}
													else
														{	/* Llib/dsssl.scm 294 */
															return
																PROCEDURE_ENTRY(BgL_errz00_1980)
																(BgL_errz00_1980, BgL_wherez00_1981,
																BGl_string1990z00zz__dssslz00,
																BgL_formalsz00_1982, BEOA);
														}
												}
											else
												{	/* Llib/dsssl.scm 294 */
													if (SYMBOLP(BgL_ezd2162zd2_906))
														{	/* Llib/dsssl.scm 294 */
															return
																BGl_z62onezd2keyzd2argz62zz__dssslz00
																(BgL_allowzd2restpzd2_848, BgL_argsz00_845,
																BgL_dssslzd2argzd2_846, BgL_bodyz00_1983,
																BgL_formalsz00_1982, BgL_wherez00_1981,
																BgL_errz00_1980, BgL_ezd2162zd2_906, BFALSE,
																BgL_collectedzd2keyszd2_847);
														}
													else
														{	/* Llib/dsssl.scm 294 */
															return
																PROCEDURE_ENTRY(BgL_errz00_1980)
																(BgL_errz00_1980, BgL_wherez00_1981,
																BGl_string1990z00zz__dssslz00,
																BgL_formalsz00_1982, BEOA);
														}
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 288 */
									return
										PROCEDURE_ENTRY(BgL_errz00_1980) (BgL_errz00_1980,
										BgL_wherez00_1981, BGl_string1990z00zz__dssslz00,
										BgL_formalsz00_1982, BEOA);
								}
						}
				}
		}
	}



/* &rest-key-arg */
	obj_t BGl_z62restzd2keyzd2argz62zz__dssslz00(obj_t BgL_dssslzd2argzd2_1985,
		obj_t BgL_collectedzd2keyszd2_1984, obj_t BgL_argz00_942,
		obj_t BgL_bodyz00_943)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 265 */
			{	/* Llib/dsssl.scm 264 */
				obj_t BgL_arg1507z00_945;

				{	/* Llib/dsssl.scm 264 */
					obj_t BgL_arg1508z00_946;
					obj_t BgL_arg1509z00_947;

					{	/* Llib/dsssl.scm 264 */
						obj_t BgL_arg1511z00_948;

						{	/* Llib/dsssl.scm 264 */
							obj_t BgL_arg1512z00_949;

							{	/* Llib/dsssl.scm 264 */
								obj_t BgL_arg1513z00_950;

								{	/* Llib/dsssl.scm 264 */
									obj_t BgL_arg1516z00_951;

									{	/* Llib/dsssl.scm 264 */
										obj_t BgL_arg1517z00_952;

										{	/* Llib/dsssl.scm 264 */
											obj_t BgL_arg1518z00_953;

											{	/* Llib/dsssl.scm 264 */
												obj_t BgL_arg1519z00_954;

												BgL_arg1519z00_954 =
													MAKE_PAIR(BgL_collectedzd2keyszd2_1984, BNIL);
												BgL_arg1518z00_953 =
													MAKE_PAIR(BGl_symbol1962z00zz__dssslz00,
													BgL_arg1519z00_954);
											}
											BgL_arg1517z00_952 = MAKE_PAIR(BgL_arg1518z00_953, BNIL);
										}
										BgL_arg1516z00_951 =
											MAKE_PAIR(BgL_dssslzd2argzd2_1985, BgL_arg1517z00_952);
									}
									BgL_arg1513z00_950 =
										MAKE_PAIR(BGl_symbol1964z00zz__dssslz00,
										BgL_arg1516z00_951);
								}
								BgL_arg1512z00_949 = MAKE_PAIR(BgL_arg1513z00_950, BNIL);
							}
							BgL_arg1511z00_948 =
								MAKE_PAIR(BgL_argz00_942, BgL_arg1512z00_949);
						}
						BgL_arg1508z00_946 = MAKE_PAIR(BgL_arg1511z00_948, BNIL);
					}
					BgL_arg1509z00_947 = MAKE_PAIR(BgL_bodyz00_943, BNIL);
					BgL_arg1507z00_945 =
						MAKE_PAIR(BgL_arg1508z00_946, BgL_arg1509z00_947);
				}
				return MAKE_PAIR(BGl_symbol1957z00zz__dssslz00, BgL_arg1507z00_945);
			}
		}
	}



/* &one-key-arg */
	obj_t BGl_z62onezd2keyzd2argz62zz__dssslz00(bool_t BgL_allowzd2restpzd2_1992,
		obj_t BgL_argsz00_1991, obj_t BgL_dssslzd2argzd2_1990,
		obj_t BgL_bodyz00_1989, obj_t BgL_formalsz00_1988, obj_t BgL_wherez00_1987,
		obj_t BgL_errz00_1986, obj_t BgL_argz00_924, obj_t BgL_initializa7erza7_925,
		obj_t BgL_collectedzd2keyszd2_926)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 261 */
			{	/* Llib/dsssl.scm 257 */
				obj_t BgL_arg1487z00_928;

				{	/* Llib/dsssl.scm 257 */
					obj_t BgL_arg1489z00_929;
					obj_t BgL_arg1490z00_930;

					{	/* Llib/dsssl.scm 257 */
						obj_t BgL_arg1491z00_931;

						{	/* Llib/dsssl.scm 257 */
							obj_t BgL_arg1492z00_932;

							{	/* Llib/dsssl.scm 257 */
								obj_t BgL_arg1493z00_933;

								{	/* Llib/dsssl.scm 257 */
									obj_t BgL_arg1495z00_934;

									{	/* Llib/dsssl.scm 257 */
										obj_t BgL_arg1496z00_935;

										{	/* Llib/dsssl.scm 257 */
											obj_t BgL_arg1497z00_936;
											obj_t BgL_arg1500z00_937;

											BgL_arg1497z00_936 =
												BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
												(BgL_argz00_924);
											BgL_arg1500z00_937 =
												MAKE_PAIR(BgL_initializa7erza7_925, BNIL);
											BgL_arg1496z00_935 =
												MAKE_PAIR(BgL_arg1497z00_936, BgL_arg1500z00_937);
										}
										BgL_arg1495z00_934 =
											MAKE_PAIR(BgL_dssslzd2argzd2_1990, BgL_arg1496z00_935);
									}
									BgL_arg1493z00_933 =
										MAKE_PAIR(BGl_symbol1991z00zz__dssslz00,
										BgL_arg1495z00_934);
								}
								BgL_arg1492z00_932 = MAKE_PAIR(BgL_arg1493z00_933, BNIL);
							}
							BgL_arg1491z00_931 =
								MAKE_PAIR(BgL_argz00_924, BgL_arg1492z00_932);
						}
						BgL_arg1489z00_929 = MAKE_PAIR(BgL_arg1491z00_931, BNIL);
					}
					{	/* Llib/dsssl.scm 258 */
						obj_t BgL_arg1501z00_938;

						{	/* Llib/dsssl.scm 258 */
							obj_t BgL_arg1503z00_939;
							obj_t BgL_arg1504z00_940;

							BgL_arg1503z00_939 = CDR(BgL_argsz00_1991);
							BgL_arg1504z00_940 =
								MAKE_PAIR(BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
								(BgL_argz00_924), BgL_collectedzd2keyszd2_926);
							BgL_arg1501z00_938 =
								BGl_z62keyzd2statezb0zz__dssslz00(BgL_bodyz00_1989,
								BgL_formalsz00_1988, BgL_wherez00_1987, BgL_errz00_1986,
								BgL_arg1503z00_939, BgL_dssslzd2argzd2_1990, BgL_arg1504z00_940,
								BgL_allowzd2restpzd2_1992);
						}
						BgL_arg1490z00_930 = MAKE_PAIR(BgL_arg1501z00_938, BNIL);
					}
					BgL_arg1487z00_928 =
						MAKE_PAIR(BgL_arg1489z00_929, BgL_arg1490z00_930);
				}
				return MAKE_PAIR(BGl_symbol1957z00zz__dssslz00, BgL_arg1487z00_928);
			}
		}
	}



/* &no-rest-key-state */
	obj_t BGl_z62nozd2restzd2keyzd2statezb0zz__dssslz00(obj_t BgL_envz00_1993,
		obj_t BgL_argsz00_1998, obj_t BgL_dssslzd2argzd2_1999)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 242 */
			{	/* Llib/dsssl.scm 228 */
				obj_t BgL_bodyz00_1994;
				obj_t BgL_errz00_1995;
				obj_t BgL_wherez00_1996;
				obj_t BgL_formalsz00_1997;

				BgL_bodyz00_1994 = PROCEDURE_L_REF(BgL_envz00_1993, (int) (((long) 0)));
				BgL_errz00_1995 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_1993, (int) (((long) 1))));
				BgL_wherez00_1996 =
					PROCEDURE_L_REF(BgL_envz00_1993, (int) (((long) 2)));
				BgL_formalsz00_1997 =
					PROCEDURE_L_REF(BgL_envz00_1993, (int) (((long) 3)));
				{
					obj_t BgL_argsz00_806;
					obj_t BgL_dssslzd2argzd2_807;

					BgL_argsz00_806 = BgL_argsz00_1998;
					BgL_dssslzd2argzd2_807 = BgL_dssslzd2argzd2_1999;
					{
						obj_t BgL_argsz00_813;

						if (NULLP(BgL_argsz00_806))
							{	/* Llib/dsssl.scm 245 */
								return
									PROCEDURE_ENTRY(BgL_errz00_1995) (BgL_errz00_1995,
									BgL_wherez00_1996, BGl_string1990z00zz__dssslz00,
									BgL_formalsz00_1997, BEOA);
							}
						else
							{	/* Llib/dsssl.scm 248 */
								obj_t BgL_keysz00_811;

								BgL_argsz00_813 = BgL_argsz00_806;
								{
									obj_t BgL_argsz00_817;
									obj_t BgL_auxz00_818;

									BgL_argsz00_817 = BgL_argsz00_813;
									BgL_auxz00_818 = BNIL;
								BgL_zc3anonymousza31389ze3z83_819:
									if (NULLP(BgL_argsz00_817))
										{	/* Llib/dsssl.scm 231 */
											BgL_keysz00_811 = bgl_reverse_bang(BgL_auxz00_818);
										}
									else
										{	/* Llib/dsssl.scm 231 */
											if ((CAR(BgL_argsz00_817) == BCNST(259)))
												{	/* Llib/dsssl.scm 233 */
													BgL_keysz00_811 = bgl_reverse_bang(BgL_auxz00_818);
												}
											else
												{	/* Llib/dsssl.scm 236 */
													obj_t BgL_ezd2145zd2_827;

													BgL_ezd2145zd2_827 = CAR(BgL_argsz00_817);
													if (SYMBOLP(BgL_ezd2145zd2_827))
														{	/* Llib/dsssl.scm 236 */
															obj_t BgL_argz00_1509;

															BgL_argz00_1509 = BgL_ezd2145zd2_827;
															{	/* Llib/dsssl.scm 238 */
																obj_t BgL_arg1398z00_1510;
																obj_t BgL_arg1399z00_1511;

																BgL_arg1398z00_1510 = CDR(BgL_argsz00_817);
																BgL_arg1399z00_1511 =
																	MAKE_PAIR
																	(BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																	(BgL_argz00_1509), BgL_auxz00_818);
																{
																	obj_t BgL_auxz00_2442;
																	obj_t BgL_argsz00_2441;

																	BgL_argsz00_2441 = BgL_arg1398z00_1510;
																	BgL_auxz00_2442 = BgL_arg1399z00_1511;
																	BgL_auxz00_818 = BgL_auxz00_2442;
																	BgL_argsz00_817 = BgL_argsz00_2441;
																	goto BgL_zc3anonymousza31389ze3z83_819;
																}
															}
														}
													else
														{	/* Llib/dsssl.scm 236 */
															if (PAIRP(BgL_ezd2145zd2_827))
																{	/* Llib/dsssl.scm 236 */
																	obj_t BgL_carzd2152zd2_830;
																	obj_t BgL_cdrzd2153zd2_831;

																	BgL_carzd2152zd2_830 =
																		CAR(BgL_ezd2145zd2_827);
																	BgL_cdrzd2153zd2_831 =
																		CDR(BgL_ezd2145zd2_827);
																	if (SYMBOLP(BgL_carzd2152zd2_830))
																		{	/* Llib/dsssl.scm 236 */
																			if (PAIRP(BgL_cdrzd2153zd2_831))
																				{	/* Llib/dsssl.scm 236 */
																					if (NULLP(CDR(BgL_cdrzd2153zd2_831)))
																						{	/* Llib/dsssl.scm 236 */
																							obj_t BgL_argz00_1525;

																							BgL_argz00_1525 =
																								BgL_carzd2152zd2_830;
																							{	/* Llib/dsssl.scm 240 */
																								obj_t BgL_arg1401z00_1526;
																								obj_t BgL_arg1402z00_1527;

																								BgL_arg1401z00_1526 =
																									CDR(BgL_argsz00_817);
																								BgL_arg1402z00_1527 =
																									MAKE_PAIR
																									(BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																									(BgL_argz00_1525),
																									BgL_auxz00_818);
																								{
																									obj_t BgL_auxz00_2458;
																									obj_t BgL_argsz00_2457;

																									BgL_argsz00_2457 =
																										BgL_arg1401z00_1526;
																									BgL_auxz00_2458 =
																										BgL_arg1402z00_1527;
																									BgL_auxz00_818 =
																										BgL_auxz00_2458;
																									BgL_argsz00_817 =
																										BgL_argsz00_2457;
																									goto
																										BgL_zc3anonymousza31389ze3z83_819;
																								}
																							}
																						}
																					else
																						{	/* Llib/dsssl.scm 236 */
																							BgL_keysz00_811 =
																								PROCEDURE_ENTRY(BgL_errz00_1995)
																								(BgL_errz00_1995,
																								BgL_wherez00_1996,
																								BGl_string1990z00zz__dssslz00,
																								BgL_formalsz00_1997, BEOA);
																						}
																				}
																			else
																				{	/* Llib/dsssl.scm 236 */
																					BgL_keysz00_811 =
																						PROCEDURE_ENTRY(BgL_errz00_1995)
																						(BgL_errz00_1995, BgL_wherez00_1996,
																						BGl_string1990z00zz__dssslz00,
																						BgL_formalsz00_1997, BEOA);
																				}
																		}
																	else
																		{	/* Llib/dsssl.scm 236 */
																			BgL_keysz00_811 =
																				PROCEDURE_ENTRY(BgL_errz00_1995)
																				(BgL_errz00_1995, BgL_wherez00_1996,
																				BGl_string1990z00zz__dssslz00,
																				BgL_formalsz00_1997, BEOA);
																		}
																}
															else
																{	/* Llib/dsssl.scm 236 */
																	BgL_keysz00_811 =
																		PROCEDURE_ENTRY(BgL_errz00_1995)
																		(BgL_errz00_1995, BgL_wherez00_1996,
																		BGl_string1990z00zz__dssslz00,
																		BgL_formalsz00_1997, BEOA);
																}
														}
												}
										}
								}
								if (NULLP(BgL_keysz00_811))
									{	/* Llib/dsssl.scm 249 */
										return
											PROCEDURE_ENTRY(BgL_errz00_1995) (BgL_errz00_1995,
											BgL_wherez00_1996, BGl_string1990z00zz__dssslz00,
											BgL_formalsz00_1997, BEOA);
									}
								else
									{	/* Llib/dsssl.scm 249 */
										return
											BGl_z62keyzd2statezb0zz__dssslz00(BgL_bodyz00_1994,
											BgL_formalsz00_1997, BgL_wherez00_1996, BgL_errz00_1995,
											BgL_argsz00_806, BgL_dssslzd2argzd2_807, BNIL,
											((bool_t) 1));
									}
							}
					}
				}
			}
		}
	}



/* &rest-state */
	obj_t BGl_z62restzd2statezb0zz__dssslz00(obj_t BgL_envz00_2000,
		obj_t BgL_argsz00_2005, obj_t BgL_dssslzd2argzd2_2006)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 190 */
			{	/* Llib/dsssl.scm 184 */
				obj_t BgL_errz00_2001;
				obj_t BgL_wherez00_2002;
				obj_t BgL_formalsz00_2003;
				obj_t BgL_bodyz00_2004;

				BgL_errz00_2001 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_2000, (int) (((long) 0))));
				BgL_wherez00_2002 =
					PROCEDURE_L_REF(BgL_envz00_2000, (int) (((long) 1)));
				BgL_formalsz00_2003 =
					PROCEDURE_L_REF(BgL_envz00_2000, (int) (((long) 2)));
				BgL_bodyz00_2004 = PROCEDURE_L_REF(BgL_envz00_2000, (int) (((long) 3)));
				{
					obj_t BgL_argsz00_756;
					obj_t BgL_dssslzd2argzd2_757;

					BgL_argsz00_756 = BgL_argsz00_2005;
					BgL_dssslzd2argzd2_757 = BgL_dssslzd2argzd2_2006;
					{
						obj_t BgL_argsz00_770;
						obj_t BgL_dssslzd2argzd2_771;
						obj_t BgL_argsz00_778;
						obj_t BgL_dssslzd2argzd2_779;

						if (PAIRP(BgL_argsz00_756))
							{	/* Llib/dsssl.scm 186 */
								bool_t BgL_testz00_2503;

								{	/* Llib/dsssl.scm 186 */
									obj_t BgL_auxz00_2504;

									BgL_auxz00_2504 = CAR(BgL_argsz00_756);
									BgL_testz00_2503 = SYMBOLP(BgL_auxz00_2504);
								}
								if (BgL_testz00_2503)
									{	/* Llib/dsssl.scm 189 */
										obj_t BgL_arg1351z00_761;

										{	/* Llib/dsssl.scm 189 */
											obj_t BgL_arg1352z00_762;
											obj_t BgL_arg1355z00_763;

											{	/* Llib/dsssl.scm 189 */
												obj_t BgL_arg1356z00_764;

												{	/* Llib/dsssl.scm 189 */
													obj_t BgL_arg1357z00_765;
													obj_t BgL_arg1358z00_766;

													BgL_arg1357z00_765 = CAR(BgL_argsz00_756);
													BgL_arg1358z00_766 =
														MAKE_PAIR(BgL_dssslzd2argzd2_757, BNIL);
													BgL_arg1356z00_764 =
														MAKE_PAIR(BgL_arg1357z00_765, BgL_arg1358z00_766);
												}
												BgL_arg1352z00_762 =
													MAKE_PAIR(BgL_arg1356z00_764, BNIL);
											}
											{	/* Llib/dsssl.scm 189 */
												obj_t BgL_auxz00_2511;

												BgL_argsz00_770 = CDR(BgL_argsz00_756);
												BgL_dssslzd2argzd2_771 = BgL_dssslzd2argzd2_757;
												if (NULLP(BgL_argsz00_770))
													{	/* Llib/dsssl.scm 194 */
														BgL_auxz00_2511 = BgL_bodyz00_2004;
													}
												else
													{	/* Llib/dsssl.scm 194 */
														if (PAIRP(BgL_argsz00_770))
															{	/* Llib/dsssl.scm 196 */
																if ((CAR(BgL_argsz00_770) == BCNST(262)))
																	{	/* Llib/dsssl.scm 198 */
																		BgL_argsz00_778 = CDR(BgL_argsz00_770);
																		BgL_dssslzd2argzd2_779 =
																			BgL_dssslzd2argzd2_771;
																		{
																			obj_t BgL_argsz00_785;

																			if (NULLP(BgL_argsz00_778))
																				{	/* Llib/dsssl.scm 217 */
																					BgL_auxz00_2511 =
																						PROCEDURE_ENTRY(BgL_errz00_2001)
																						(BgL_errz00_2001, BgL_wherez00_2002,
																						BGl_string1990z00zz__dssslz00,
																						BgL_formalsz00_2003, BEOA);
																				}
																			else
																				{	/* Llib/dsssl.scm 220 */
																					obj_t BgL_keysz00_783;

																					BgL_argsz00_785 = BgL_argsz00_778;
																					if (NULLP(BgL_argsz00_785))
																						{	/* Llib/dsssl.scm 206 */
																							BgL_keysz00_783 = BNIL;
																						}
																					else
																						{	/* Llib/dsssl.scm 206 */
																							obj_t BgL_head1075z00_789;

																							{	/* Llib/dsssl.scm 206 */
																								obj_t BgL_res1839z00_1472;

																								BgL_res1839z00_1472 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head1075z00_789 =
																									BgL_res1839z00_1472;
																							}
																							{
																								obj_t BgL_l1073z00_791;
																								obj_t BgL_tail1076z00_792;

																								BgL_l1073z00_791 =
																									BgL_argsz00_785;
																								BgL_tail1076z00_792 =
																									BgL_head1075z00_789;
																							BgL_zc3anonymousza31376ze3z83_793:
																								if (NULLP
																									(BgL_l1073z00_791))
																									{	/* Llib/dsssl.scm 206 */
																										BgL_keysz00_783 =
																											CDR(BgL_head1075z00_789);
																									}
																								else
																									{	/* Llib/dsssl.scm 206 */
																										obj_t
																											BgL_newtail1077z00_795;
																										{	/* Llib/dsssl.scm 206 */
																											obj_t BgL_arg1379z00_797;

																											{	/* Llib/dsssl.scm 206 */
																												obj_t BgL_xz00_798;

																												BgL_xz00_798 =
																													CAR(BgL_l1073z00_791);
																												{	/* Llib/dsssl.scm 208 */
																													bool_t
																														BgL_testz00_2534;
																													if (PAIRP
																														(BgL_xz00_798))
																														{	/* Llib/dsssl.scm 208 */
																															obj_t
																																BgL_auxz00_2537;
																															BgL_auxz00_2537 =
																																CAR
																																(BgL_xz00_798);
																															BgL_testz00_2534 =
																																SYMBOLP
																																(BgL_auxz00_2537);
																														}
																													else
																														{	/* Llib/dsssl.scm 208 */
																															BgL_testz00_2534 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_2534)
																														{	/* Llib/dsssl.scm 208 */
																															BgL_arg1379z00_797
																																=
																																BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																(CAR
																																(BgL_xz00_798));
																														}
																													else
																														{	/* Llib/dsssl.scm 208 */
																															if (SYMBOLP
																																(BgL_xz00_798))
																																{	/* Llib/dsssl.scm 210 */
																																	BgL_arg1379z00_797
																																		=
																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																		(BgL_xz00_798);
																																}
																															else
																																{	/* Llib/dsssl.scm 210 */
																																	BgL_arg1379z00_797
																																		=
																																		PROCEDURE_ENTRY
																																		(BgL_errz00_2001)
																																		(BgL_errz00_2001,
																																		BgL_wherez00_2002,
																																		BGl_string1992z00zz__dssslz00,
																																		BgL_formalsz00_2003,
																																		BEOA);
																																}
																														}
																												}
																											}
																											{	/* Llib/dsssl.scm 206 */
																												obj_t
																													BgL_res1844z00_1487;
																												BgL_res1844z00_1487 =
																													MAKE_PAIR
																													(BgL_arg1379z00_797,
																													BNIL);
																												BgL_newtail1077z00_795 =
																													BgL_res1844z00_1487;
																											}
																										}
																										SET_CDR(BgL_tail1076z00_792,
																											BgL_newtail1077z00_795);
																										{
																											obj_t
																												BgL_tail1076z00_2555;
																											obj_t BgL_l1073z00_2553;

																											BgL_l1073z00_2553 =
																												CDR(BgL_l1073z00_791);
																											BgL_tail1076z00_2555 =
																												BgL_newtail1077z00_795;
																											BgL_tail1076z00_792 =
																												BgL_tail1076z00_2555;
																											BgL_l1073z00_791 =
																												BgL_l1073z00_2553;
																											goto
																												BgL_zc3anonymousza31376ze3z83_793;
																										}
																									}
																							}
																						}
																					if (NULLP(BgL_keysz00_783))
																						{	/* Llib/dsssl.scm 221 */
																							BgL_auxz00_2511 =
																								PROCEDURE_ENTRY(BgL_errz00_2001)
																								(BgL_errz00_2001,
																								BgL_wherez00_2002,
																								BGl_string1990z00zz__dssslz00,
																								BgL_formalsz00_2003, BEOA);
																						}
																					else
																						{	/* Llib/dsssl.scm 221 */
																							BgL_auxz00_2511 =
																								BGl_z62keyzd2statezb0zz__dssslz00
																								(BgL_bodyz00_2004,
																								BgL_formalsz00_2003,
																								BgL_wherez00_2002,
																								BgL_errz00_2001,
																								BgL_argsz00_778,
																								BgL_dssslzd2argzd2_779, BNIL,
																								((bool_t) 0));
																						}
																				}
																		}
																	}
																else
																	{	/* Llib/dsssl.scm 198 */
																		BgL_auxz00_2511 =
																			PROCEDURE_ENTRY(BgL_errz00_2001)
																			(BgL_errz00_2001, BgL_wherez00_2002,
																			BGl_string1989z00zz__dssslz00,
																			BgL_formalsz00_2003, BEOA);
																	}
															}
														else
															{	/* Llib/dsssl.scm 196 */
																BgL_auxz00_2511 =
																	PROCEDURE_ENTRY(BgL_errz00_2001)
																	(BgL_errz00_2001, BgL_wherez00_2002,
																	BGl_string1989z00zz__dssslz00,
																	BgL_formalsz00_2003, BEOA);
															}
													}
												BgL_arg1355z00_763 = MAKE_PAIR(BgL_auxz00_2511, BNIL);
											}
											BgL_arg1351z00_761 =
												MAKE_PAIR(BgL_arg1352z00_762, BgL_arg1355z00_763);
										}
										return
											MAKE_PAIR(BGl_symbol1957z00zz__dssslz00,
											BgL_arg1351z00_761);
									}
								else
									{	/* Llib/dsssl.scm 186 */
										return
											PROCEDURE_ENTRY(BgL_errz00_2001) (BgL_errz00_2001,
											BgL_wherez00_2002, BGl_string1989z00zz__dssslz00,
											BgL_formalsz00_2003, BEOA);
									}
							}
						else
							{	/* Llib/dsssl.scm 184 */
								return
									PROCEDURE_ENTRY(BgL_errz00_2001) (BgL_errz00_2001,
									BgL_wherez00_2002, BGl_string1989z00zz__dssslz00,
									BgL_formalsz00_2003, BEOA);
							}
					}
				}
			}
		}
	}



/* &optional-state */
	obj_t BGl_z62optionalzd2statezb0zz__dssslz00(obj_t BgL_envz00_2007,
		obj_t BgL_argsz00_2014, obj_t BgL_dssslzd2argzd2_2015)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 133 */
			{	/* Llib/dsssl.scm 133 */
				obj_t BgL_errz00_2008;
				obj_t BgL_wherez00_2009;
				obj_t BgL_formalsz00_2010;
				obj_t BgL_restzd2statezd2_2011;
				obj_t BgL_nozd2restzd2keyzd2statezd2_2012;
				obj_t BgL_bodyz00_2013;

				BgL_errz00_2008 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 0))));
				BgL_wherez00_2009 =
					PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 1)));
				BgL_formalsz00_2010 =
					PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 2)));
				BgL_restzd2statezd2_2011 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 3))));
				BgL_nozd2restzd2keyzd2statezd2_2012 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 4))));
				BgL_bodyz00_2013 = PROCEDURE_L_REF(BgL_envz00_2007, (int) (((long) 5)));
				{
					obj_t BgL_argsz00_629;
					obj_t BgL_dssslzd2argzd2_630;

					BgL_argsz00_629 = BgL_argsz00_2014;
					BgL_dssslzd2argzd2_630 = BgL_dssslzd2argzd2_2015;
					{	/* Llib/dsssl.scm 133 */
						obj_t BgL_keywordzd2argumentszd2_633;

						BgL_keywordzd2argumentszd2_633 = MAKE_CELL(BUNSPEC);
						{
							obj_t BgL_argsz00_636;

							{	/* Llib/dsssl.scm 135 */
								obj_t BgL_auxz00_2045;

								BgL_argsz00_636 = BgL_argsz00_629;
								{
									obj_t BgL_argsz00_639;

									BgL_argsz00_639 = BgL_argsz00_636;
								BgL_zc3anonymousza31194ze3z83_640:
									if (PAIRP(BgL_argsz00_639))
										{	/* Llib/dsssl.scm 114 */
											if ((CAR(BgL_argsz00_639) == BCNST(262)))
												{	/* Llib/dsssl.scm 117 */
													obj_t BgL_g1042z00_643;

													BgL_g1042z00_643 = CDR(BgL_argsz00_639);
													{
														obj_t BgL_argsz00_646;
														obj_t BgL_resz00_647;

														BgL_argsz00_646 = BgL_g1042z00_643;
														BgL_resz00_647 = BNIL;
													BgL_zc3anonymousza31197ze3z83_648:
														{	/* Llib/dsssl.scm 120 */
															bool_t BgL_testz00_2615;

															if (PAIRP(BgL_argsz00_646))
																{	/* Llib/dsssl.scm 121 */
																	bool_t BgL_testz00_2618;

																	{	/* Llib/dsssl.scm 121 */
																		bool_t BgL_testz00_2619;

																		{	/* Llib/dsssl.scm 121 */
																			obj_t BgL_auxz00_2620;

																			BgL_auxz00_2620 = CAR(BgL_argsz00_646);
																			BgL_testz00_2619 = PAIRP(BgL_auxz00_2620);
																		}
																		if (BgL_testz00_2619)
																			{	/* Llib/dsssl.scm 121 */
																				BgL_testz00_2618 = ((bool_t) 1);
																			}
																		else
																			{	/* Llib/dsssl.scm 122 */
																				obj_t BgL_auxz00_2623;

																				BgL_auxz00_2623 = CAR(BgL_argsz00_646);
																				BgL_testz00_2618 =
																					SYMBOLP(BgL_auxz00_2623);
																			}
																	}
																	if (BgL_testz00_2618)
																		{	/* Llib/dsssl.scm 121 */
																			if ((CAR(BgL_argsz00_646) == BCNST(258)))
																				{	/* Llib/dsssl.scm 123 */
																					BgL_testz00_2615 = ((bool_t) 1);
																				}
																			else
																				{	/* Llib/dsssl.scm 123 */
																					BgL_testz00_2615 =
																						(CAR(BgL_argsz00_646) ==
																						BCNST(259));
																				}
																		}
																	else
																		{	/* Llib/dsssl.scm 121 */
																			BgL_testz00_2615 = ((bool_t) 1);
																		}
																}
															else
																{	/* Llib/dsssl.scm 120 */
																	BgL_testz00_2615 = ((bool_t) 1);
																}
															if (BgL_testz00_2615)
																{	/* Llib/dsssl.scm 120 */
																	BgL_auxz00_2045 = BgL_resz00_647;
																}
															else
																{	/* Llib/dsssl.scm 126 */
																	bool_t BgL_testz00_2631;

																	{	/* Llib/dsssl.scm 126 */
																		obj_t BgL_auxz00_2632;

																		BgL_auxz00_2632 = CAR(BgL_argsz00_646);
																		BgL_testz00_2631 = SYMBOLP(BgL_auxz00_2632);
																	}
																	if (BgL_testz00_2631)
																		{	/* Llib/dsssl.scm 127 */
																			obj_t BgL_arg1206z00_651;
																			obj_t BgL_arg1207z00_652;

																			BgL_arg1206z00_651 = CDR(BgL_argsz00_646);
																			BgL_arg1207z00_652 =
																				MAKE_PAIR
																				(BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																				(CAR(BgL_argsz00_646)), BgL_resz00_647);
																			{
																				obj_t BgL_resz00_2640;
																				obj_t BgL_argsz00_2639;

																				BgL_argsz00_2639 = BgL_arg1206z00_651;
																				BgL_resz00_2640 = BgL_arg1207z00_652;
																				BgL_resz00_647 = BgL_resz00_2640;
																				BgL_argsz00_646 = BgL_argsz00_2639;
																				goto BgL_zc3anonymousza31197ze3z83_648;
																			}
																		}
																	else
																		{	/* Llib/dsssl.scm 130 */
																			obj_t BgL_arg1218z00_655;
																			obj_t BgL_arg1221z00_656;

																			BgL_arg1218z00_655 = CDR(BgL_argsz00_646);
																			{	/* Llib/dsssl.scm 131 */
																				obj_t BgL_arg1224z00_657;

																				{	/* Llib/dsssl.scm 131 */
																					obj_t BgL_arg1228z00_658;

																					{	/* Llib/dsssl.scm 131 */
																						obj_t BgL_pairz00_1394;

																						BgL_pairz00_1394 = BgL_argsz00_646;
																						BgL_arg1228z00_658 =
																							CAR(CAR(BgL_pairz00_1394));
																					}
																					BgL_arg1224z00_657 =
																						BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																						(BgL_arg1228z00_658);
																				}
																				BgL_arg1221z00_656 =
																					MAKE_PAIR(BgL_arg1224z00_657,
																					BgL_resz00_647);
																			}
																			{
																				obj_t BgL_resz00_2647;
																				obj_t BgL_argsz00_2646;

																				BgL_argsz00_2646 = BgL_arg1218z00_655;
																				BgL_resz00_2647 = BgL_arg1221z00_656;
																				BgL_resz00_647 = BgL_resz00_2647;
																				BgL_argsz00_646 = BgL_argsz00_2646;
																				goto BgL_zc3anonymousza31197ze3z83_648;
																			}
																		}
																}
														}
													}
												}
											else
												{
													obj_t BgL_argsz00_2648;

													BgL_argsz00_2648 = CDR(BgL_argsz00_639);
													BgL_argsz00_639 = BgL_argsz00_2648;
													goto BgL_zc3anonymousza31194ze3z83_640;
												}
										}
									else
										{	/* Llib/dsssl.scm 114 */
											BgL_auxz00_2045 = BNIL;
										}
								}
								CELL_SET(BgL_keywordzd2argumentszd2_633, BgL_auxz00_2045);
							}
							return
								BGl_optionalzd2argszd2zz__dssslz00(BgL_bodyz00_2013,
								BgL_nozd2restzd2keyzd2statezd2_2012, BgL_restzd2statezd2_2011,
								BgL_formalsz00_2010, BgL_wherez00_2009, BgL_errz00_2008,
								BgL_keywordzd2argumentszd2_633, BgL_dssslzd2argzd2_630,
								BgL_argsz00_629);
						}
					}
				}
			}
		}
	}



/* optional-args */
	obj_t BGl_optionalzd2argszd2zz__dssslz00(obj_t BgL_bodyz00_2044,
		obj_t BgL_nozd2restzd2keyzd2statezd2_2043, obj_t BgL_restzd2statezd2_2042,
		obj_t BgL_formalsz00_2041, obj_t BgL_wherez00_2040, obj_t BgL_errz00_2039,
		obj_t BgL_keywordzd2argumentszd2_2038, obj_t BgL_dssslzd2argzd2_2037,
		obj_t BgL_argsz00_716)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 178 */
			{
				obj_t BgL_argz00_672;
				obj_t BgL_initializa7erza7_673;
				obj_t BgL_restz00_674;

				if (NULLP(BgL_argsz00_716))
					{	/* Llib/dsssl.scm 157 */
						return BgL_bodyz00_2044;
					}
				else
					{	/* Llib/dsssl.scm 157 */
						if (PAIRP(BgL_argsz00_716))
							{	/* Llib/dsssl.scm 161 */
								bool_t BgL_testz00_2655;

								{	/* Llib/dsssl.scm 161 */
									bool_t BgL_testz00_2656;

									{	/* Llib/dsssl.scm 161 */
										obj_t BgL_auxz00_2657;

										BgL_auxz00_2657 = CAR(BgL_argsz00_716);
										BgL_testz00_2656 = SYMBOLP(BgL_auxz00_2657);
									}
									if (BgL_testz00_2656)
										{	/* Llib/dsssl.scm 161 */
											BgL_testz00_2655 = ((bool_t) 0);
										}
									else
										{	/* Llib/dsssl.scm 161 */
											bool_t BgL_testz00_2660;

											{	/* Llib/dsssl.scm 161 */
												obj_t BgL_auxz00_2661;

												BgL_auxz00_2661 = CAR(BgL_argsz00_716);
												BgL_testz00_2660 = PAIRP(BgL_auxz00_2661);
											}
											if (BgL_testz00_2660)
												{	/* Llib/dsssl.scm 161 */
													BgL_testz00_2655 = ((bool_t) 0);
												}
											else
												{	/* Llib/dsssl.scm 161 */
													BgL_testz00_2655 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_2655)
									{	/* Llib/dsssl.scm 163 */
										long BgL_aux1046z00_722;

										{	/* Llib/dsssl.scm 163 */
											obj_t BgL_aux1044z00_726;

											BgL_aux1044z00_726 = CAR(BgL_argsz00_716);
											if (CNSTP(BgL_aux1044z00_726))
												{	/* Llib/dsssl.scm 163 */
													BgL_aux1046z00_722 = CCNST(BgL_aux1044z00_726);
												}
											else
												{	/* Llib/dsssl.scm 163 */
													BgL_aux1046z00_722 = ((long) -1);
										}}
										switch (BgL_aux1046z00_722)
											{
											case ((long) 259):

												return
													BGl_z62restzd2statezb0zz__dssslz00
													(BgL_restzd2statezd2_2042, CDR(BgL_argsz00_716),
													BgL_dssslzd2argzd2_2037);
												break;
											case ((long) 262):

												return
													BGl_z62nozd2restzd2keyzd2statezb0zz__dssslz00
													(BgL_nozd2restzd2keyzd2statezd2_2043,
													CDR(BgL_argsz00_716), BgL_dssslzd2argzd2_2037);
												break;
											default:
												return
													PROCEDURE_ENTRY(BgL_errz00_2039) (BgL_errz00_2039,
													BgL_wherez00_2040, BGl_string2003z00zz__dssslz00,
													BgL_formalsz00_2041, BEOA);
											}
									}
								else
									{	/* Llib/dsssl.scm 172 */
										obj_t BgL_ezd2112zd2_734;

										BgL_ezd2112zd2_734 = CAR(BgL_argsz00_716);
										if (PAIRP(BgL_ezd2112zd2_734))
											{	/* Llib/dsssl.scm 172 */
												obj_t BgL_carzd2117zd2_736;
												obj_t BgL_cdrzd2118zd2_737;

												BgL_carzd2117zd2_736 = CAR(BgL_ezd2112zd2_734);
												BgL_cdrzd2118zd2_737 = CDR(BgL_ezd2112zd2_734);
												if (SYMBOLP(BgL_carzd2117zd2_736))
													{	/* Llib/dsssl.scm 172 */
														if (PAIRP(BgL_cdrzd2118zd2_737))
															{	/* Llib/dsssl.scm 172 */
																if (NULLP(CDR(BgL_cdrzd2118zd2_737)))
																	{	/* Llib/dsssl.scm 172 */
																		obj_t BgL_arg1336z00_741;

																		BgL_arg1336z00_741 =
																			CAR(BgL_cdrzd2118zd2_737);
																		BgL_argz00_672 = BgL_carzd2117zd2_736;
																		BgL_initializa7erza7_673 =
																			BgL_arg1336z00_741;
																		BgL_restz00_674 = CDR(BgL_argsz00_716);
																	BgL_zc3anonymousza31244ze3z83_675:
																		{	/* Llib/dsssl.scm 138 */
																			obj_t BgL_tmpz00_676;

																			BgL_tmpz00_676 =
																				BGl_gensymz00zz__r4_symbols_6_4z00
																				(BGl_symbol1993z00zz__dssslz00);
																			{	/* Llib/dsssl.scm 139 */
																				obj_t BgL_arg1245z00_677;

																				{	/* Llib/dsssl.scm 139 */
																					obj_t BgL_arg1248z00_678;
																					obj_t BgL_arg1249z00_679;

																					{	/* Llib/dsssl.scm 139 */
																						obj_t BgL_arg1250z00_680;

																						{	/* Llib/dsssl.scm 139 */
																							obj_t BgL_arg1251z00_681;

																							{	/* Llib/dsssl.scm 139 */
																								obj_t BgL_arg1254z00_682;

																								{	/* Llib/dsssl.scm 139 */
																									obj_t BgL_arg1256z00_683;

																									{	/* Llib/dsssl.scm 139 */
																										obj_t BgL_arg1258z00_684;
																										obj_t BgL_arg1259z00_685;

																										{	/* Llib/dsssl.scm 139 */
																											obj_t BgL_arg1260z00_686;

																											{	/* Llib/dsssl.scm 139 */
																												obj_t
																													BgL_arg1263z00_687;
																												obj_t
																													BgL_arg1264z00_688;
																												{	/* Llib/dsssl.scm 139 */
																													obj_t
																														BgL_arg1265z00_689;
																													BgL_arg1265z00_689 =
																														MAKE_PAIR
																														(BgL_dssslzd2argzd2_2037,
																														BNIL);
																													BgL_arg1263z00_687 =
																														MAKE_PAIR
																														(BGl_symbol1966z00zz__dssslz00,
																														BgL_arg1265z00_689);
																												}
																												{	/* Llib/dsssl.scm 141 */
																													obj_t
																														BgL_arg1266z00_690;
																													{	/* Llib/dsssl.scm 141 */
																														obj_t
																															BgL_arg1273z00_691;
																														{	/* Llib/dsssl.scm 141 */
																															obj_t
																																BgL_arg1274z00_692;
																															{	/* Llib/dsssl.scm 141 */
																																obj_t
																																	BgL_arg1277z00_693;
																																obj_t
																																	BgL_arg1279z00_694;
																																{	/* Llib/dsssl.scm 141 */
																																	obj_t
																																		BgL_arg1280z00_695;
																																	BgL_arg1280z00_695
																																		=
																																		MAKE_PAIR
																																		(BgL_dssslzd2argzd2_2037,
																																		BNIL);
																																	BgL_arg1277z00_693
																																		=
																																		MAKE_PAIR
																																		(BGl_symbol1970z00zz__dssslz00,
																																		BgL_arg1280z00_695);
																																}
																																{	/* Llib/dsssl.scm 141 */
																																	obj_t
																																		BgL_arg1284z00_696;
																																	{	/* Llib/dsssl.scm 141 */
																																		obj_t
																																			BgL_arg1287z00_697;
																																		BgL_arg1287z00_697
																																			=
																																			MAKE_PAIR
																																			(CELL_REF
																																			(BgL_keywordzd2argumentszd2_2038),
																																			BNIL);
																																		BgL_arg1284z00_696
																																			=
																																			MAKE_PAIR
																																			(BGl_symbol1962z00zz__dssslz00,
																																			BgL_arg1287z00_697);
																																	}
																																	BgL_arg1279z00_694
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1284z00_696,
																																		BNIL);
																																}
																																BgL_arg1274z00_692
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1277z00_693,
																																	BgL_arg1279z00_694);
																															}
																															BgL_arg1273z00_691
																																=
																																MAKE_PAIR
																																(BGl_symbol1995z00zz__dssslz00,
																																BgL_arg1274z00_692);
																														}
																														BgL_arg1266z00_690 =
																															MAKE_PAIR
																															(BgL_arg1273z00_691,
																															BNIL);
																													}
																													BgL_arg1264z00_688 =
																														MAKE_PAIR(BTRUE,
																														BgL_arg1266z00_690);
																												}
																												BgL_arg1260z00_686 =
																													MAKE_PAIR
																													(BgL_arg1263z00_687,
																													BgL_arg1264z00_688);
																											}
																											BgL_arg1258z00_684 =
																												MAKE_PAIR
																												(BGl_symbol1987z00zz__dssslz00,
																												BgL_arg1260z00_686);
																										}
																										{	/* Llib/dsssl.scm 143 */
																											obj_t BgL_arg1289z00_698;

																											{	/* Llib/dsssl.scm 143 */
																												obj_t
																													BgL_arg1299z00_699;
																												{	/* Llib/dsssl.scm 143 */
																													obj_t
																														BgL_arg1301z00_700;
																													{	/* Llib/dsssl.scm 143 */
																														obj_t
																															BgL_arg1303z00_701;
																														obj_t
																															BgL_arg1304z00_702;
																														{	/* Llib/dsssl.scm 143 */
																															obj_t
																																BgL_arg1310z00_703;
																															{	/* Llib/dsssl.scm 143 */
																																obj_t
																																	BgL_arg1311z00_704;
																																{	/* Llib/dsssl.scm 143 */
																																	obj_t
																																		BgL_arg1312z00_705;
																																	{	/* Llib/dsssl.scm 143 */
																																		obj_t
																																			BgL_arg1313z00_706;
																																		BgL_arg1313z00_706
																																			=
																																			MAKE_PAIR
																																			(BgL_dssslzd2argzd2_2037,
																																			BNIL);
																																		BgL_arg1312z00_705
																																			=
																																			MAKE_PAIR
																																			(BGl_symbol1970z00zz__dssslz00,
																																			BgL_arg1313z00_706);
																																	}
																																	BgL_arg1311z00_704
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1312z00_705,
																																		BNIL);
																																}
																																BgL_arg1310z00_703
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_676,
																																	BgL_arg1311z00_704);
																															}
																															BgL_arg1303z00_701
																																=
																																MAKE_PAIR
																																(BgL_arg1310z00_703,
																																BNIL);
																														}
																														{	/* Llib/dsssl.scm 151 */
																															obj_t
																																BgL_arg1314z00_707;
																															{	/* Llib/dsssl.scm 151 */
																																obj_t
																																	BgL_arg1316z00_708;
																																{	/* Llib/dsssl.scm 151 */
																																	obj_t
																																		BgL_arg1317z00_709;
																																	obj_t
																																		BgL_arg1318z00_710;
																																	{	/* Llib/dsssl.scm 151 */
																																		obj_t
																																			BgL_arg1319z00_711;
																																		{	/* Llib/dsssl.scm 151 */
																																			obj_t
																																				BgL_arg1320z00_712;
																																			{	/* Llib/dsssl.scm 151 */
																																				obj_t
																																					BgL_arg1321z00_713;
																																				{	/* Llib/dsssl.scm 151 */
																																					obj_t
																																						BgL_arg1322z00_714;
																																					BgL_arg1322z00_714
																																						=
																																						MAKE_PAIR
																																						(BgL_dssslzd2argzd2_2037,
																																						BNIL);
																																					BgL_arg1321z00_713
																																						=
																																						MAKE_PAIR
																																						(BGl_symbol1997z00zz__dssslz00,
																																						BgL_arg1322z00_714);
																																				}
																																				BgL_arg1320z00_712
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1321z00_713,
																																					BNIL);
																																			}
																																			BgL_arg1319z00_711
																																				=
																																				MAKE_PAIR
																																				(BgL_dssslzd2argzd2_2037,
																																				BgL_arg1320z00_712);
																																		}
																																		BgL_arg1317z00_709
																																			=
																																			MAKE_PAIR
																																			(BGl_symbol1999z00zz__dssslz00,
																																			BgL_arg1319z00_711);
																																	}
																																	BgL_arg1318z00_710
																																		=
																																		MAKE_PAIR
																																		(BgL_tmpz00_676,
																																		BNIL);
																																	BgL_arg1316z00_708
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1317z00_709,
																																		BgL_arg1318z00_710);
																																}
																																BgL_arg1314z00_707
																																	=
																																	MAKE_PAIR
																																	(BGl_symbol2001z00zz__dssslz00,
																																	BgL_arg1316z00_708);
																															}
																															BgL_arg1304z00_702
																																=
																																MAKE_PAIR
																																(BgL_arg1314z00_707,
																																BNIL);
																														}
																														BgL_arg1301z00_700 =
																															MAKE_PAIR
																															(BgL_arg1303z00_701,
																															BgL_arg1304z00_702);
																													}
																													BgL_arg1299z00_699 =
																														MAKE_PAIR
																														(BGl_symbol1957z00zz__dssslz00,
																														BgL_arg1301z00_700);
																												}
																												BgL_arg1289z00_698 =
																													MAKE_PAIR
																													(BgL_arg1299z00_699,
																													BNIL);
																											}
																											BgL_arg1259z00_685 =
																												MAKE_PAIR
																												(BgL_initializa7erza7_673,
																												BgL_arg1289z00_698);
																										}
																										BgL_arg1256z00_683 =
																											MAKE_PAIR
																											(BgL_arg1258z00_684,
																											BgL_arg1259z00_685);
																									}
																									BgL_arg1254z00_682 =
																										MAKE_PAIR
																										(BGl_symbol1987z00zz__dssslz00,
																										BgL_arg1256z00_683);
																								}
																								BgL_arg1251z00_681 =
																									MAKE_PAIR(BgL_arg1254z00_682,
																									BNIL);
																							}
																							BgL_arg1250z00_680 =
																								MAKE_PAIR(BgL_argz00_672,
																								BgL_arg1251z00_681);
																						}
																						BgL_arg1248z00_678 =
																							MAKE_PAIR(BgL_arg1250z00_680,
																							BNIL);
																					}
																					BgL_arg1249z00_679 =
																						MAKE_PAIR
																						(BGl_optionalzd2argszd2zz__dssslz00
																						(BgL_bodyz00_2044,
																							BgL_nozd2restzd2keyzd2statezd2_2043,
																							BgL_restzd2statezd2_2042,
																							BgL_formalsz00_2041,
																							BgL_wherez00_2040,
																							BgL_errz00_2039,
																							BgL_keywordzd2argumentszd2_2038,
																							BgL_dssslzd2argzd2_2037,
																							BgL_restz00_674), BNIL);
																					BgL_arg1245z00_677 =
																						MAKE_PAIR(BgL_arg1248z00_678,
																						BgL_arg1249z00_679);
																				}
																				return
																					MAKE_PAIR
																					(BGl_symbol1957z00zz__dssslz00,
																					BgL_arg1245z00_677);
																			}
																		}
																	}
																else
																	{	/* Llib/dsssl.scm 172 */
																		return
																			PROCEDURE_ENTRY(BgL_errz00_2039)
																			(BgL_errz00_2039, BgL_wherez00_2040,
																			BGl_string2003z00zz__dssslz00,
																			BgL_formalsz00_2041, BEOA);
																	}
															}
														else
															{	/* Llib/dsssl.scm 172 */
																return
																	PROCEDURE_ENTRY(BgL_errz00_2039)
																	(BgL_errz00_2039, BgL_wherez00_2040,
																	BGl_string2003z00zz__dssslz00,
																	BgL_formalsz00_2041, BEOA);
															}
													}
												else
													{	/* Llib/dsssl.scm 172 */
														return
															PROCEDURE_ENTRY(BgL_errz00_2039) (BgL_errz00_2039,
															BgL_wherez00_2040, BGl_string2003z00zz__dssslz00,
															BgL_formalsz00_2041, BEOA);
													}
											}
										else
											{	/* Llib/dsssl.scm 172 */
												if (SYMBOLP(BgL_ezd2112zd2_734))
													{
														obj_t BgL_restz00_2756;
														obj_t BgL_initializa7erza7_2755;
														obj_t BgL_argz00_2754;

														BgL_argz00_2754 = BgL_ezd2112zd2_734;
														BgL_initializa7erza7_2755 = BFALSE;
														BgL_restz00_2756 = CDR(BgL_argsz00_716);
														BgL_restz00_674 = BgL_restz00_2756;
														BgL_initializa7erza7_673 =
															BgL_initializa7erza7_2755;
														BgL_argz00_672 = BgL_argz00_2754;
														goto BgL_zc3anonymousza31244ze3z83_675;
													}
												else
													{	/* Llib/dsssl.scm 172 */
														return
															PROCEDURE_ENTRY(BgL_errz00_2039) (BgL_errz00_2039,
															BgL_wherez00_2040, BGl_string2003z00zz__dssslz00,
															BgL_formalsz00_2041, BEOA);
													}
											}
									}
							}
						else
							{	/* Llib/dsssl.scm 159 */
								return
									PROCEDURE_ENTRY(BgL_errz00_2039) (BgL_errz00_2039,
									BgL_wherez00_2040, BGl_string2003z00zz__dssslz00,
									BgL_formalsz00_2041, BEOA);
							}
					}
			}
		}
	}



/* dsssl-check-key-args! */
	BGL_EXPORTED_DEF obj_t BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t
		BgL_dssslzd2argszd2_8, obj_t BgL_keyzd2listzd2_9)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 313 */
			if (NULLP(BgL_keyzd2listzd2_9))
				{
					obj_t BgL_argsz00_967;

					BgL_argsz00_967 = BgL_dssslzd2argszd2_8;
				BgL_zc3anonymousza31521ze3z83_968:
					if (NULLP(BgL_argsz00_967))
						{	/* Llib/dsssl.scm 317 */
							return BgL_dssslzd2argszd2_8;
						}
					else
						{	/* Llib/dsssl.scm 319 */
							bool_t BgL_testz00_2774;

							if (PAIRP(BgL_argsz00_967))
								{	/* Llib/dsssl.scm 319 */
									if (NULLP(CDR(BgL_argsz00_967)))
										{	/* Llib/dsssl.scm 320 */
											BgL_testz00_2774 = ((bool_t) 1);
										}
									else
										{	/* Llib/dsssl.scm 321 */
											bool_t BgL_testz00_2780;

											{	/* Llib/dsssl.scm 321 */
												obj_t BgL_auxz00_2781;

												BgL_auxz00_2781 = CAR(BgL_argsz00_967);
												BgL_testz00_2780 = KEYWORDP(BgL_auxz00_2781);
											}
											if (BgL_testz00_2780)
												{	/* Llib/dsssl.scm 321 */
													BgL_testz00_2774 = ((bool_t) 0);
												}
											else
												{	/* Llib/dsssl.scm 321 */
													BgL_testz00_2774 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 319 */
									BgL_testz00_2774 = ((bool_t) 1);
								}
							if (BgL_testz00_2774)
								{	/* Llib/dsssl.scm 319 */
									return
										BGl_errorz00zz__errorz00(BGl_string2004z00zz__dssslz00,
										BGl_string2005z00zz__dssslz00, BgL_argsz00_967);
								}
							else
								{	/* Llib/dsssl.scm 326 */
									obj_t BgL_arg1524z00_971;

									{	/* Llib/dsssl.scm 326 */
										obj_t BgL_pairz00_1604;

										BgL_pairz00_1604 = BgL_argsz00_967;
										BgL_arg1524z00_971 = CDR(CDR(BgL_pairz00_1604));
									}
									{
										obj_t BgL_argsz00_2787;

										BgL_argsz00_2787 = BgL_arg1524z00_971;
										BgL_argsz00_967 = BgL_argsz00_2787;
										goto BgL_zc3anonymousza31521ze3z83_968;
									}
								}
						}
				}
			else
				{
					obj_t BgL_argsz00_980;
					bool_t BgL_armedz00_981;
					obj_t BgL_optsz00_982;

					BgL_argsz00_980 = BgL_dssslzd2argszd2_8;
					BgL_armedz00_981 = ((bool_t) 0);
					BgL_optsz00_982 = BNIL;
				BgL_zc3anonymousza31530ze3z83_983:
					if (NULLP(BgL_argsz00_980))
						{	/* Llib/dsssl.scm 331 */
							return bgl_reverse_bang(BgL_optsz00_982);
						}
					else
						{	/* Llib/dsssl.scm 333 */
							bool_t BgL_testz00_2791;

							if (PAIRP(BgL_argsz00_980))
								{	/* Llib/dsssl.scm 333 */
									if (NULLP(CDR(BgL_argsz00_980)))
										{	/* Llib/dsssl.scm 334 */
											BgL_testz00_2791 = ((bool_t) 1);
										}
									else
										{	/* Llib/dsssl.scm 335 */
											bool_t BgL_testz00_2797;

											{	/* Llib/dsssl.scm 335 */
												obj_t BgL_auxz00_2798;

												BgL_auxz00_2798 = CAR(BgL_argsz00_980);
												BgL_testz00_2797 = KEYWORDP(BgL_auxz00_2798);
											}
											if (BgL_testz00_2797)
												{	/* Llib/dsssl.scm 335 */
													if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
																(BgL_argsz00_980), BgL_keyzd2listzd2_9)))
														{	/* Llib/dsssl.scm 336 */
															BgL_testz00_2791 = ((bool_t) 0);
														}
													else
														{	/* Llib/dsssl.scm 336 */
															BgL_testz00_2791 = ((bool_t) 1);
														}
												}
											else
												{	/* Llib/dsssl.scm 335 */
													BgL_testz00_2791 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 333 */
									BgL_testz00_2791 = ((bool_t) 1);
								}
							if (BgL_testz00_2791)
								{	/* Llib/dsssl.scm 333 */
									if (BgL_armedz00_981)
										{	/* Llib/dsssl.scm 339 */
											obj_t BgL_arg1533z00_986;
											obj_t BgL_arg1534z00_987;

											BgL_arg1533z00_986 = CDR(BgL_argsz00_980);
											BgL_arg1534z00_987 =
												MAKE_PAIR(CAR(BgL_argsz00_980), BgL_optsz00_982);
											{
												obj_t BgL_optsz00_2811;
												bool_t BgL_armedz00_2810;
												obj_t BgL_argsz00_2809;

												BgL_argsz00_2809 = BgL_arg1533z00_986;
												BgL_armedz00_2810 = ((bool_t) 0);
												BgL_optsz00_2811 = BgL_arg1534z00_987;
												BgL_optsz00_982 = BgL_optsz00_2811;
												BgL_armedz00_981 = BgL_armedz00_2810;
												BgL_argsz00_980 = BgL_argsz00_2809;
												goto BgL_zc3anonymousza31530ze3z83_983;
											}
										}
									else
										{
											obj_t BgL_argsz00_2812;

											BgL_argsz00_2812 = CDR(BgL_argsz00_980);
											BgL_argsz00_980 = BgL_argsz00_2812;
											goto BgL_zc3anonymousza31530ze3z83_983;
										}
								}
							else
								{	/* Llib/dsssl.scm 343 */
									obj_t BgL_arg1540z00_990;

									{	/* Llib/dsssl.scm 343 */
										obj_t BgL_pairz00_1622;

										BgL_pairz00_1622 = BgL_argsz00_980;
										BgL_arg1540z00_990 = CDR(CDR(BgL_pairz00_1622));
									}
									{
										bool_t BgL_armedz00_2817;
										obj_t BgL_argsz00_2816;

										BgL_argsz00_2816 = BgL_arg1540z00_990;
										BgL_armedz00_2817 = ((bool_t) 1);
										BgL_armedz00_981 = BgL_armedz00_2817;
										BgL_argsz00_980 = BgL_argsz00_2816;
										goto BgL_zc3anonymousza31530ze3z83_983;
									}
								}
						}
				}
		}
	}



/* &dsssl-check-key-args! */
	obj_t BGl_z62dssslzd2checkzd2keyzd2argsz12za2zz__dssslz00(obj_t
		BgL_envz00_2016, obj_t BgL_dssslzd2argszd2_2017,
		obj_t BgL_keyzd2listzd2_2018)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 313 */
			return
				BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00
				(BgL_dssslzd2argszd2_2017, BgL_keyzd2listzd2_2018);
		}
	}



/* dsssl-get-key-arg */
	BGL_EXPORTED_DEF obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t
		BgL_dssslzd2argszd2_10, obj_t BgL_keywordz00_11,
		obj_t BgL_initializa7erza7_12)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 351 */
			{
				obj_t BgL_argsz00_1000;

				BgL_argsz00_1000 = BgL_dssslzd2argszd2_10;
			BgL_zc3anonymousza31550ze3z83_1001:
				if (NULLP(BgL_argsz00_1000))
					{	/* Llib/dsssl.scm 354 */
						return BgL_initializa7erza7_12;
					}
				else
					{	/* Llib/dsssl.scm 356 */
						bool_t BgL_testz00_2821;

						{	/* Llib/dsssl.scm 356 */
							obj_t BgL_auxz00_2822;

							BgL_auxz00_2822 = CAR(BgL_argsz00_1000);
							BgL_testz00_2821 = KEYWORDP(BgL_auxz00_2822);
						}
						if (BgL_testz00_2821)
							{	/* Llib/dsssl.scm 356 */
								if ((CAR(BgL_argsz00_1000) == BgL_keywordz00_11))
									{	/* Llib/dsssl.scm 359 */
										bool_t BgL_testz00_2828;

										{	/* Llib/dsssl.scm 359 */
											obj_t BgL_auxz00_2829;

											BgL_auxz00_2829 = CDR(BgL_argsz00_1000);
											BgL_testz00_2828 = PAIRP(BgL_auxz00_2829);
										}
										if (BgL_testz00_2828)
											{	/* Llib/dsssl.scm 363 */
												obj_t BgL_pairz00_1635;

												BgL_pairz00_1635 = BgL_argsz00_1000;
												return CAR(CDR(BgL_pairz00_1635));
											}
										else
											{	/* Llib/dsssl.scm 359 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1984z00zz__dssslz00,
													BGl_string2006z00zz__dssslz00, CAR(BgL_argsz00_1000));
											}
									}
								else
									{	/* Llib/dsssl.scm 364 */
										bool_t BgL_testz00_2836;

										{	/* Llib/dsssl.scm 364 */
											obj_t BgL_auxz00_2837;

											BgL_auxz00_2837 = CAR(BgL_argsz00_1000);
											BgL_testz00_2836 = KEYWORDP(BgL_auxz00_2837);
										}
										if (BgL_testz00_2836)
											{	/* Llib/dsssl.scm 369 */
												bool_t BgL_testz00_2840;

												{	/* Llib/dsssl.scm 369 */
													obj_t BgL_auxz00_2841;

													BgL_auxz00_2841 = CDR(BgL_argsz00_1000);
													BgL_testz00_2840 = PAIRP(BgL_auxz00_2841);
												}
												if (BgL_testz00_2840)
													{	/* Llib/dsssl.scm 373 */
														obj_t BgL_arg1559z00_1010;

														{	/* Llib/dsssl.scm 373 */
															obj_t BgL_pairz00_1646;

															BgL_pairz00_1646 = BgL_argsz00_1000;
															BgL_arg1559z00_1010 = CDR(CDR(BgL_pairz00_1646));
														}
														{
															obj_t BgL_argsz00_2846;

															BgL_argsz00_2846 = BgL_arg1559z00_1010;
															BgL_argsz00_1000 = BgL_argsz00_2846;
															goto BgL_zc3anonymousza31550ze3z83_1001;
														}
													}
												else
													{	/* Llib/dsssl.scm 369 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string1984z00zz__dssslz00,
															BGl_string2006z00zz__dssslz00,
															CAR(BgL_argsz00_1000));
													}
											}
										else
											{	/* Llib/dsssl.scm 364 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1984z00zz__dssslz00,
													BGl_string2007z00zz__dssslz00, CAR(BgL_argsz00_1000));
											}
									}
							}
						else
							{
								obj_t BgL_argsz00_2851;

								BgL_argsz00_2851 = CDR(BgL_argsz00_1000);
								BgL_argsz00_1000 = BgL_argsz00_2851;
								goto BgL_zc3anonymousza31550ze3z83_1001;
							}
					}
			}
		}
	}



/* &dsssl-get-key-arg */
	obj_t BGl_z62dssslzd2getzd2keyzd2argzb0zz__dssslz00(obj_t BgL_envz00_2019,
		obj_t BgL_dssslzd2argszd2_2020, obj_t BgL_keywordz00_2021,
		obj_t BgL_initializa7erza7_2022)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 351 */
			{	/* Llib/dsssl.scm 354 */
				obj_t BgL_auxz00_2853;

				if (KEYWORDP(BgL_keywordz00_2021))
					{	/* Llib/dsssl.scm 354 */
						BgL_auxz00_2853 = BgL_keywordz00_2021;
					}
				else
					{
						obj_t BgL_auxz00_2856;

						BgL_auxz00_2856 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1959z00zz__dssslz00,
							BINT(((long) 12134)), BGl_string2008z00zz__dssslz00,
							BGl_string2009z00zz__dssslz00, BgL_keywordz00_2021);
						FAILURE(BgL_auxz00_2856, BFALSE, BFALSE);
					}
				return
					BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dssslzd2argszd2_2020,
					BgL_auxz00_2853, BgL_initializa7erza7_2022);
			}
		}
	}



/* dsssl-get-key-rest-arg */
	BGL_EXPORTED_DEF obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t
		BgL_dssslzd2argszd2_13, obj_t BgL_keysz00_14)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 378 */
			return BGl_loopz72z72zz__dssslz00(BgL_keysz00_14, BgL_dssslzd2argszd2_13);
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zz__dssslz00(obj_t BgL_keysz00_2036,
		obj_t BgL_argsz00_1020)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 379 */
		BGl_loopz72z72zz__dssslz00:
			if (NULLP(BgL_argsz00_1020))
				{	/* Llib/dsssl.scm 381 */
					return BNIL;
				}
			else
				{	/* Llib/dsssl.scm 383 */
					bool_t BgL_testz00_2864;

					{	/* Llib/dsssl.scm 383 */
						bool_t BgL_testz00_2865;

						{	/* Llib/dsssl.scm 383 */
							obj_t BgL_auxz00_2866;

							BgL_auxz00_2866 = CAR(BgL_argsz00_1020);
							BgL_testz00_2865 = KEYWORDP(BgL_auxz00_2866);
						}
						if (BgL_testz00_2865)
							{	/* Llib/dsssl.scm 383 */
								if (NULLP(CDR(BgL_argsz00_1020)))
									{	/* Llib/dsssl.scm 384 */
										BgL_testz00_2864 = ((bool_t) 1);
									}
								else
									{	/* Llib/dsssl.scm 384 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
													(BgL_argsz00_1020), BgL_keysz00_2036)))
											{	/* Llib/dsssl.scm 385 */
												BgL_testz00_2864 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 385 */
												BgL_testz00_2864 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Llib/dsssl.scm 383 */
								BgL_testz00_2864 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_2864)
						{	/* Llib/dsssl.scm 383 */
							return
								MAKE_PAIR(CAR(BgL_argsz00_1020),
								BGl_loopz72z72zz__dssslz00(BgL_keysz00_2036,
									CDR(BgL_argsz00_1020)));
						}
					else
						{	/* Llib/dsssl.scm 388 */
							obj_t BgL_arg1574z00_1027;

							{	/* Llib/dsssl.scm 388 */
								obj_t BgL_pairz00_1664;

								BgL_pairz00_1664 = BgL_argsz00_1020;
								BgL_arg1574z00_1027 = CDR(CDR(BgL_pairz00_1664));
							}
							{
								obj_t BgL_argsz00_2882;

								BgL_argsz00_2882 = BgL_arg1574z00_1027;
								BgL_argsz00_1020 = BgL_argsz00_2882;
								goto BGl_loopz72z72zz__dssslz00;
							}
						}
				}
		}
	}



/* &dsssl-get-key-rest-arg */
	obj_t BGl_z62dssslzd2getzd2keyzd2restzd2argz62zz__dssslz00(obj_t
		BgL_envz00_2023, obj_t BgL_dssslzd2argszd2_2024, obj_t BgL_keysz00_2025)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 378 */
			{	/* Llib/dsssl.scm 381 */
				obj_t BgL_keysz00_2064;

				{	/* Llib/dsssl.scm 381 */
					bool_t BgL_testz00_2883;

					if (PAIRP(BgL_keysz00_2025))
						{	/* Llib/dsssl.scm 381 */
							BgL_testz00_2883 = ((bool_t) 1);
						}
					else
						{	/* Llib/dsssl.scm 381 */
							BgL_testz00_2883 = NULLP(BgL_keysz00_2025);
						}
					if (BgL_testz00_2883)
						{	/* Llib/dsssl.scm 381 */
							BgL_keysz00_2064 = BgL_keysz00_2025;
						}
					else
						{
							obj_t BgL_auxz00_2887;

							BgL_auxz00_2887 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1959z00zz__dssslz00,
								BINT(((long) 12992)), BGl_string2010z00zz__dssslz00,
								BGl_string2011z00zz__dssslz00, BgL_keysz00_2025);
							FAILURE(BgL_auxz00_2887, BFALSE, BFALSE);
				}}
				return
					BGl_loopz72z72zz__dssslz00(BgL_keysz00_2064,
					BgL_dssslzd2argszd2_2024);
			}
		}
	}



/* id-sans-type */
	obj_t BGl_idzd2sanszd2typez00zz__dssslz00(obj_t BgL_idz00_15)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 396 */
			{	/* Llib/dsssl.scm 397 */
				obj_t BgL_stringz00_1035;

				{	/* Llib/dsssl.scm 397 */
					obj_t BgL_res1887z00_1670;

					{	/* Llib/dsssl.scm 397 */
						obj_t BgL_arg1621z00_1669;

						BgL_arg1621z00_1669 = SYMBOL_TO_STRING(BgL_idz00_15);
						BgL_res1887z00_1670 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1621z00_1669);
					}
					BgL_stringz00_1035 = BgL_res1887z00_1670;
				}
				{	/* Llib/dsssl.scm 397 */
					long BgL_lenz00_1036;

					BgL_lenz00_1036 = STRING_LENGTH(BgL_stringz00_1035);
					{	/* Llib/dsssl.scm 398 */

						{
							long BgL_walkerz00_1038;

							BgL_walkerz00_1038 = ((long) 0);
						BgL_zc3anonymousza31581ze3z83_1039:
							if ((BgL_walkerz00_1038 == BgL_lenz00_1036))
								{	/* Llib/dsssl.scm 401 */
									return BgL_idz00_15;
								}
							else
								{	/* Llib/dsssl.scm 403 */
									bool_t BgL_testz00_2897;

									if (
										(STRING_REF(BgL_stringz00_1035,
												BgL_walkerz00_1038) == ((unsigned char) ':')))
										{	/* Llib/dsssl.scm 403 */
											if ((BgL_walkerz00_1038 < (BgL_lenz00_1036 - ((long) 1))))
												{	/* Llib/dsssl.scm 404 */
													BgL_testz00_2897 =
														(STRING_REF(BgL_stringz00_1035,
															(BgL_walkerz00_1038 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Llib/dsssl.scm 404 */
													BgL_testz00_2897 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/dsssl.scm 403 */
											BgL_testz00_2897 = ((bool_t) 0);
										}
									if (BgL_testz00_2897)
										{	/* Llib/dsssl.scm 406 */
											obj_t BgL_arg1584z00_1042;

											BgL_arg1584z00_1042 =
												c_substring(BgL_stringz00_1035, ((long) 0),
												BgL_walkerz00_1038);
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg1584z00_1042));
										}
									else
										{
											long BgL_walkerz00_2910;

											BgL_walkerz00_2910 = (BgL_walkerz00_1038 + ((long) 1));
											BgL_walkerz00_1038 = BgL_walkerz00_2910;
											goto BgL_zc3anonymousza31581ze3z83_1039;
										}
								}
						}
					}
				}
			}
		}
	}



/* dsssl-formals->scheme-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t
		BgL_formalsz00_16, obj_t BgL_errz00_17)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 413 */
			return
				BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
				(BgL_formalsz00_16, BgL_errz00_17, ((bool_t) 0));
		}
	}



/* &dsssl-formals->scheme-formals */
	obj_t BGl_z62dssslzd2formalszd2ze3schemezd2formalsz53zz__dssslz00(obj_t
		BgL_envz00_2026, obj_t BgL_formalsz00_2027, obj_t BgL_errz00_2028)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 413 */
			{	/* Llib/dsssl.scm 414 */
				obj_t BgL_auxz00_2913;

				if (PROCEDUREP(BgL_errz00_2028))
					{	/* Llib/dsssl.scm 414 */
						BgL_auxz00_2913 = BgL_errz00_2028;
					}
				else
					{
						obj_t BgL_auxz00_2916;

						BgL_auxz00_2916 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1959z00zz__dssslz00,
							BINT(((long) 14329)), BGl_string2012z00zz__dssslz00,
							BGl_string1961z00zz__dssslz00, BgL_errz00_2028);
						FAILURE(BgL_auxz00_2916, BFALSE, BFALSE);
					}
				return
					BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00
					(BgL_formalsz00_2027, BgL_auxz00_2913);
			}
		}
	}



/* dsssl-formals->scheme-typed-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t
		BgL_formalsz00_18, obj_t BgL_errz00_19, bool_t BgL_typedz00_20)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 430 */
			return
				BGl_loopz00zz__dssslz00(BgL_typedz00_20, BgL_formalsz00_18,
				BgL_errz00_19, BgL_formalsz00_18, ((bool_t) 0));
		}
	}



/* loop */
	obj_t BGl_loopz00zz__dssslz00(bool_t BgL_typedz00_2035,
		obj_t BgL_formalsz00_2034, obj_t BgL_errz00_2033, obj_t BgL_argsz00_1055,
		bool_t BgL_dssslz00_1056)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 443 */
		BGl_loopz00zz__dssslz00:
			{
				obj_t BgL_objz00_1078;

				if (NULLP(BgL_argsz00_1055))
					{	/* Llib/dsssl.scm 446 */
						return BNIL;
					}
				else
					{	/* Llib/dsssl.scm 446 */
						if (PAIRP(BgL_argsz00_1055))
							{	/* Llib/dsssl.scm 458 */
								bool_t BgL_testz00_2926;

								{	/* Llib/dsssl.scm 458 */
									obj_t BgL_auxz00_2927;

									BgL_auxz00_2927 = CAR(BgL_argsz00_1055);
									BgL_testz00_2926 = SYMBOLP(BgL_auxz00_2927);
								}
								if (BgL_testz00_2926)
									{	/* Llib/dsssl.scm 458 */
										if (BgL_dssslz00_1056)
											{	/* Llib/dsssl.scm 470 */
												return
													BGl_idzd2sanszd2typez00zz__dssslz00(CAR
													(BgL_argsz00_1055));
											}
										else
											{	/* Llib/dsssl.scm 473 */
												obj_t BgL_arg1598z00_1062;
												obj_t BgL_arg1599z00_1063;

												if (BgL_typedz00_2035)
													{	/* Llib/dsssl.scm 473 */
														BgL_arg1598z00_1062 = CAR(BgL_argsz00_1055);
													}
												else
													{	/* Llib/dsssl.scm 473 */
														BgL_arg1598z00_1062 =
															BGl_idzd2sanszd2typez00zz__dssslz00(CAR
															(BgL_argsz00_1055));
													}
												BgL_arg1599z00_1063 =
													BGl_loopz00zz__dssslz00(BgL_typedz00_2035,
													BgL_formalsz00_2034, BgL_errz00_2033,
													CDR(BgL_argsz00_1055), ((bool_t) 0));
												return MAKE_PAIR(BgL_arg1598z00_1062,
													BgL_arg1599z00_1063);
											}
									}
								else
									{	/* Llib/dsssl.scm 458 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
													(BgL_argsz00_1055), BGl_list2013z00zz__dssslz00)))
											{
												bool_t BgL_dssslz00_2946;
												obj_t BgL_argsz00_2944;

												BgL_argsz00_2944 = CDR(BgL_argsz00_1055);
												BgL_dssslz00_2946 = ((bool_t) 1);
												BgL_dssslz00_1056 = BgL_dssslz00_2946;
												BgL_argsz00_1055 = BgL_argsz00_2944;
												goto BGl_loopz00zz__dssslz00;
											}
										else
											{	/* Llib/dsssl.scm 460 */
												if (BgL_dssslz00_1056)
													{	/* Llib/dsssl.scm 464 */
														bool_t BgL_testz00_2948;

														BgL_objz00_1078 = CAR(BgL_argsz00_1055);
														if (PAIRP(BgL_objz00_1078))
															{	/* Llib/dsssl.scm 437 */
																bool_t BgL_testz00_2951;

																{	/* Llib/dsssl.scm 437 */
																	obj_t BgL_auxz00_2952;

																	BgL_auxz00_2952 = CDR(BgL_objz00_1078);
																	BgL_testz00_2951 = PAIRP(BgL_auxz00_2952);
																}
																if (BgL_testz00_2951)
																	{	/* Llib/dsssl.scm 437 */
																		BgL_testz00_2948 =
																			NULLP(CDR(CDR(BgL_objz00_1078)));
																	}
																else
																	{	/* Llib/dsssl.scm 437 */
																		BgL_testz00_2948 = ((bool_t) 0);
																	}
															}
														else
															{	/* Llib/dsssl.scm 436 */
																BgL_testz00_2948 = ((bool_t) 0);
															}
														if (BgL_testz00_2948)
															{	/* Llib/dsssl.scm 464 */
																return
																	BGl_idzd2sanszd2typez00zz__dssslz00(CAR(CAR
																		(BgL_argsz00_1055)));
															}
														else
															{	/* Llib/dsssl.scm 464 */
																return
																	PROCEDURE_ENTRY(BgL_errz00_2033)
																	(BgL_errz00_2033,
																	BGl_string2014z00zz__dssslz00,
																	BGl_string2015z00zz__dssslz00,
																	BgL_formalsz00_2034, BEOA);
															}
													}
												else
													{	/* Llib/dsssl.scm 462 */
														return
															PROCEDURE_ENTRY(BgL_errz00_2033) (BgL_errz00_2033,
															BGl_string2014z00zz__dssslz00,
															BGl_string2016z00zz__dssslz00,
															BgL_formalsz00_2034, BEOA);
													}
											}
									}
							}
						else
							{	/* Llib/dsssl.scm 448 */
								if (BgL_dssslz00_1056)
									{	/* Llib/dsssl.scm 450 */
										return
											PROCEDURE_ENTRY(BgL_errz00_2033) (BgL_errz00_2033,
											BGl_string2017z00zz__dssslz00,
											BGl_string2018z00zz__dssslz00, BgL_formalsz00_2034, BEOA);
									}
								else
									{	/* Llib/dsssl.scm 450 */
										if (SYMBOLP(BgL_argsz00_1055))
											{	/* Llib/dsssl.scm 454 */
												return
													BGl_idzd2sanszd2typez00zz__dssslz00(BgL_argsz00_1055);
											}
										else
											{	/* Llib/dsssl.scm 454 */
												return
													PROCEDURE_ENTRY(BgL_errz00_2033) (BgL_errz00_2033,
													BGl_string2014z00zz__dssslz00,
													BGl_string2016z00zz__dssslz00, BgL_formalsz00_2034,
													BEOA);
											}
									}
							}
					}
			}
		}
	}



/* &dsssl-formals->scheme-typed-formals */
	obj_t
		BGl_z62dssslzd2formalszd2ze3schemezd2typedzd2formalsz81zz__dssslz00(obj_t
		BgL_envz00_2029, obj_t BgL_formalsz00_2030, obj_t BgL_errz00_2031,
		obj_t BgL_typedz00_2032)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 430 */
			{	/* Llib/dsssl.scm 433 */
				obj_t BgL_auxz00_2990;

				if (PROCEDUREP(BgL_errz00_2031))
					{	/* Llib/dsssl.scm 433 */
						BgL_auxz00_2990 = BgL_errz00_2031;
					}
				else
					{
						obj_t BgL_auxz00_2993;

						BgL_auxz00_2993 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1959z00zz__dssslz00,
							BINT(((long) 15533)), BGl_string2019z00zz__dssslz00,
							BGl_string1961z00zz__dssslz00, BgL_errz00_2031);
						FAILURE(BgL_auxz00_2993, BFALSE, BFALSE);
					}
				return
					BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
					(BgL_formalsz00_2030, BgL_auxz00_2990, CBOOL(BgL_typedz00_2032));
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string2020z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2020z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2020z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2020z00zz__dssslz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2020z00zz__dssslz00));
		}
	}

#ifdef __cplusplus
}
#endif
