/*===========================================================================*/
/*   (Ast/labels.scm)                                                        */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/labels.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzast_labelsz00();
	extern long BGl_localzd2arityzd2zztools_argsz00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62labelszd2ze3nodez53zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt,
		BgL_sfunz00_bglt);
	static obj_t BGl_appendzd221011zd2zzast_labelsz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_labelsz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	extern obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_za2labelsza2z00zzast_labelsz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzast_labelsz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzast_labelsz00();
	static obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_labelsz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62labelszd2symzb0zzast_labelsz00(obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	static obj_t BGl_z62labelszd2symzf3z43zzast_labelsz00(obj_t, obj_t);
	extern bool_t BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(int, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzast_labelsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2symzf3zd2envzf3zzast_labelsz00,
		BgL_bgl_za762labelsza7d2symza71983za7,
		BGl_z62labelszd2symzf3z43zzast_labelsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2ze3nodezd2envze3zzast_labelsz00,
		BgL_bgl_za762labelsza7d2za7e3n1984za7,
		BGl_z62labelszd2ze3nodez53zzast_labelsz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2symzd2envz00zzast_labelsz00,
		BgL_bgl_za762labelsza7d2symza71985za7,
		BGl_z62labelszd2symzb0zzast_labelsz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1975z00zzast_labelsz00,
		BgL_bgl_string1975za700za7za7a1986za7, "Illegal `labels' expression", 27);
	      DEFINE_STRING(BGl_string1976z00zzast_labelsz00,
		BgL_bgl_string1976za700za7za7a1987za7, "Illegal `binding' form", 22);
	      DEFINE_STRING(BGl_string1977z00zzast_labelsz00,
		BgL_bgl_string1977za700za7za7a1988za7, "Illegal formal type", 19);
	      DEFINE_STRING(BGl_string1978z00zzast_labelsz00,
		BgL_bgl_string1978za700za7za7a1989za7, "Illegal `labels' form", 21);
	      DEFINE_STRING(BGl_string1979z00zzast_labelsz00,
		BgL_bgl_string1979za700za7za7a1990za7, "ast_labels", 10);
	      DEFINE_STRING(BGl_string1980z00zzast_labelsz00,
		BgL_bgl_string1980za700za7za7a1991za7, "value \077\077? plain labels ", 23);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long
		BgL_checksumz00_2259, char *BgL_fromz00_2260)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_labelsz00))
				{
					BGl_requirezd2initializa7ationz75zzast_labelsz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
					BGl_cnstzd2initzd2zzast_labelsz00();
					BGl_importedzd2moduleszd2initz00zzast_labelsz00();
					BGl_toplevelzd2initzd2zzast_labelsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_labels");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_labels");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			{	/* Ast/labels.scm 14 */
				obj_t BgL_cportz00_2251;

				BgL_cportz00_2251 =
					bgl_open_input_string(BGl_string1980z00zzast_labelsz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2252;

					BgL_iz00_2252 = ((long) 3);
				BgL_loopz00_2253:
					if ((BgL_iz00_2252 == ((long) -1)))
						{	/* Ast/labels.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/labels.scm 14 */
							{	/* Ast/labels.scm 14 */
								obj_t BgL_arg1982z00_2255;

								{	/* Ast/labels.scm 14 */

									{	/* Ast/labels.scm 14 */
										obj_t BgL_locationz00_2257;

										BgL_locationz00_2257 = BBOOL(((bool_t) 0));
										{	/* Ast/labels.scm 14 */

											BgL_arg1982z00_2255 =
												BGl_readz00zz__readerz00(BgL_cportz00_2251,
												BgL_locationz00_2257);
										}
									}
								}
								{	/* Ast/labels.scm 14 */
									int BgL_auxz00_2281;

									BgL_auxz00_2281 = (int) (BgL_iz00_2252);
									CNST_TABLE_SET(BgL_auxz00_2281, BgL_arg1982z00_2255);
							}}
							{	/* Ast/labels.scm 14 */
								int BgL_auxz00_2258;

								BgL_auxz00_2258 = (int) ((BgL_iz00_2252 - ((long) 1)));
								{
									long BgL_iz00_2286;

									BgL_iz00_2286 = (long) (BgL_auxz00_2258);
									BgL_iz00_2252 = BgL_iz00_2286;
									goto BgL_loopz00_2253;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return (BGl_za2labelsza2z00zzast_labelsz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0))),
				BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_labelsz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1216;

				BgL_headz00_1216 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1217;
					obj_t BgL_tailz00_1218;

					BgL_prevz00_1217 = BgL_headz00_1216;
					BgL_tailz00_1218 = BgL_l1z00_1;
				BgL_loopz00_1219:
					if (PAIRP(BgL_tailz00_1218))
						{
							obj_t BgL_newzd2prevzd2_1221;

							BgL_newzd2prevzd2_1221 =
								MAKE_PAIR(CAR(BgL_tailz00_1218), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1217, BgL_newzd2prevzd2_1221);
							{
								obj_t BgL_tailz00_2297;
								obj_t BgL_prevz00_2296;

								BgL_prevz00_2296 = BgL_newzd2prevzd2_1221;
								BgL_tailz00_2297 = CDR(BgL_tailz00_1218);
								BgL_tailz00_1218 = BgL_tailz00_2297;
								BgL_prevz00_1217 = BgL_prevz00_2296;
								goto BgL_loopz00_1219;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1216);
				}
			}
		}
	}



/* labels-sym */
	BGL_EXPORTED_DEF obj_t BGl_labelszd2symzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 39 */
			return BGl_za2labelsza2z00zzast_labelsz00;
		}
	}



/* &labels-sym */
	obj_t BGl_z62labelszd2symzb0zzast_labelsz00(obj_t BgL_envz00_2237)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 39 */
			return BGl_za2labelsza2z00zzast_labelsz00;
		}
	}



/* labels-sym? */
	BGL_EXPORTED_DEF obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t
		BgL_symz00_17)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 45 */
			return BBOOL((BgL_symz00_17 == BGl_za2labelsza2z00zzast_labelsz00));
		}
	}



/* &labels-sym? */
	obj_t BGl_z62labelszd2symzf3z43zzast_labelsz00(obj_t BgL_envz00_2238,
		obj_t BgL_symz00_2239)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 45 */
			return BGl_labelszd2symzf3z21zzast_labelsz00(BgL_symz00_2239);
		}
	}



/* labels->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t BgL_expz00_18,
		obj_t BgL_stackz00_19, obj_t BgL_locz00_20, obj_t BgL_sitez00_21)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 51 */
			{	/* Ast/labels.scm 52 */
				obj_t BgL_locz00_1231;

				BgL_locz00_1231 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18,
					BgL_locz00_20);
				{
					obj_t BgL_bindingsz00_1232;
					obj_t BgL_bodyz00_1233;

					if (PAIRP(BgL_expz00_18))
						{	/* Ast/labels.scm 53 */
							obj_t BgL_cdrzd2367zd2_1238;

							BgL_cdrzd2367zd2_1238 = CDR(BgL_expz00_18);
							if (PAIRP(BgL_cdrzd2367zd2_1238))
								{	/* Ast/labels.scm 53 */
									obj_t BgL_carzd2370zd2_1240;

									BgL_carzd2370zd2_1240 = CAR(BgL_cdrzd2367zd2_1238);
									if (PAIRP(BgL_carzd2370zd2_1240))
										{	/* Ast/labels.scm 53 */
											BgL_bindingsz00_1232 = BgL_carzd2370zd2_1240;
											BgL_bodyz00_1233 = CDR(BgL_cdrzd2367zd2_1238);
											{	/* Ast/labels.scm 55 */
												obj_t BgL_localsz00_1243;

												BgL_localsz00_1243 =
													BGl_allocatezd2sfunszd2zzast_labelsz00
													(BgL_bindingsz00_1232, BgL_locz00_1231);
												{	/* Ast/labels.scm 55 */
													obj_t BgL_newzd2stackzd2_1244;

													BgL_newzd2stackzd2_1244 =
														BGl_appendzd221011zd2zzast_labelsz00
														(BgL_localsz00_1243, BgL_stackz00_19);
													{	/* Ast/labels.scm 56 */
														BgL_nodez00_bglt BgL_bodyz00_1245;

														BgL_bodyz00_1245 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BGl_normaliza7ezd2prognz75zztools_prognz00
															(BgL_bodyz00_1233), BgL_newzd2stackzd2_1244,
															BgL_locz00_1231, BgL_sitez00_21);
														{	/* Ast/labels.scm 57 */
															obj_t BgL_locz00_1246;

															BgL_locz00_1246 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_18, BgL_locz00_1231);
															{	/* Ast/labels.scm 58 */

																{
																	obj_t BgL_ll1776z00_1248;
																	obj_t BgL_ll1777z00_1249;

																	BgL_ll1776z00_1248 = BgL_localsz00_1243;
																	BgL_ll1777z00_1249 = BgL_bindingsz00_1232;
																BgL_zc3anonymousza31823ze3z83_1250:
																	if (NULLP(BgL_ll1776z00_1248))
																		{	/* Ast/labels.scm 60 */
																			((bool_t) 1);
																		}
																	else
																		{	/* Ast/labels.scm 60 */
																			BGl_labelszd2bindingzd2zzast_labelsz00(CAR
																				(BgL_ll1776z00_1248),
																				CAR(BgL_ll1777z00_1249),
																				BgL_newzd2stackzd2_1244,
																				BgL_locz00_1246);
																			{
																				obj_t BgL_ll1777z00_2324;
																				obj_t BgL_ll1776z00_2322;

																				BgL_ll1776z00_2322 =
																					CDR(BgL_ll1776z00_1248);
																				BgL_ll1777z00_2324 =
																					CDR(BgL_ll1777z00_1249);
																				BgL_ll1777z00_1249 = BgL_ll1777z00_2324;
																				BgL_ll1776z00_1248 = BgL_ll1776z00_2322;
																				goto BgL_zc3anonymousza31823ze3z83_1250;
																			}
																		}
																}
																{	/* Ast/labels.scm 64 */
																	BgL_letzd2funzd2_bglt BgL_new1103z00_1257;

																	{	/* Ast/labels.scm 64 */
																		BgL_letzd2funzd2_bglt BgL_new1102z00_1259;

																		BgL_new1102z00_1259 =
																			((BgL_letzd2funzd2_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_letzd2funzd2_bgl))));
																		{	/* Ast/labels.scm 64 */
																			long BgL_arg1828z00_1260;

																			{	/* Ast/labels.scm 64 */
																				long BgL_res1941z00_2105;

																				BgL_res1941z00_2105 =
																					BGL_CLASS_INDEX
																					(BGl_letzd2funzd2zzast_nodez00);
																				BgL_arg1828z00_1260 =
																					BgL_res1941z00_2105;
																			}
																			{	/* Ast/labels.scm 64 */
																				BgL_objectz00_bglt BgL_objz00_2106;

																				BgL_objz00_2106 =
																					((BgL_objectz00_bglt)
																					BgL_new1102z00_1259);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2106,
																					BgL_arg1828z00_1260);
																		}}
																		{	/* Ast/labels.scm 64 */
																			BgL_objectz00_bglt BgL_auxz00_2330;

																			BgL_auxz00_2330 =
																				((BgL_objectz00_bglt)
																				BgL_new1102z00_1259);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2330,
																				BFALSE);
																		}
																		BgL_new1103z00_1257 = BgL_new1102z00_1259;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1103z00_1257)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1246), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_2335;

																		{	/* Ast/labels.scm 66 */
																			BgL_typez00_bglt BgL_arg1827z00_1258;

																			BgL_arg1827z00_1258 =
																				(((BgL_nodez00_bglt)
																					CREF(BgL_bodyz00_1245))->BgL_typez00);
																			BgL_auxz00_2335 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00),
																				BgL_arg1827z00_1258);
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1103z00_1257)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_2335),
																			BUNSPEC);
																	}
																	((((BgL_nodezf2effectzf2_bglt) CREF(
																					((BgL_nodezf2effectzf2_bglt)
																						BgL_new1103z00_1257)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				CREF(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1103z00_1257)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	((((BgL_letzd2funzd2_bglt)
																				CREF(BgL_new1103z00_1257))->
																			BgL_localsz00) =
																		((obj_t) BgL_localsz00_1243), BUNSPEC);
																	((((BgL_letzd2funzd2_bglt)
																				CREF(BgL_new1103z00_1257))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_bodyz00_1245),
																		BUNSPEC);
																	return BgL_new1103z00_1257;
																}
															}
														}
													}
												}
											}
										}
									else
										{
											BgL_nodez00_bglt BgL_auxz00_2349;

										BgL_tagzd2360zd2_1235:
											BgL_auxz00_2349 =
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
												(BGl_string1975z00zzast_labelsz00, BgL_expz00_18,
												BgL_locz00_1231);
											return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2349);
										}
								}
							else
								{
									BgL_nodez00_bglt BgL_auxz00_2352;

									goto BgL_tagzd2360zd2_1235;
									return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2352);
								}
						}
					else
						{
							BgL_nodez00_bglt BgL_auxz00_2354;

							goto BgL_tagzd2360zd2_1235;
							return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2354);
						}
				}
			}
		}
	}



/* &labels->node */
	BgL_letzd2funzd2_bglt BGl_z62labelszd2ze3nodez53zzast_labelsz00(obj_t
		BgL_envz00_2240, obj_t BgL_expz00_2241, obj_t BgL_stackz00_2242,
		obj_t BgL_locz00_2243, obj_t BgL_sitez00_2244)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 51 */
			return
				BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_2241,
				BgL_stackz00_2242, BgL_locz00_2243, BgL_sitez00_2244);
		}
	}



/* allocate-sfuns */
	obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t BgL_bindingsz00_22,
		obj_t BgL_locz00_23)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 75 */
			{
				obj_t BgL_bindingsz00_1264;
				obj_t BgL_resz00_1265;

				BgL_bindingsz00_1264 = BgL_bindingsz00_22;
				BgL_resz00_1265 = BNIL;
			BgL_zc3anonymousza31830ze3z83_1266:
				if (NULLP(BgL_bindingsz00_1264))
					{	/* Ast/labels.scm 78 */
						return bgl_reverse_bang(BgL_resz00_1265);
					}
				else
					{	/* Ast/labels.scm 80 */
						obj_t BgL_srcz00_1268;

						BgL_srcz00_1268 = CAR(BgL_bindingsz00_1264);
						{
							obj_t BgL_funz00_1269;
							obj_t BgL_argsz00_1270;
							obj_t BgL_bodyz00_1271;

							if (PAIRP(BgL_srcz00_1268))
								{	/* Ast/labels.scm 81 */
									obj_t BgL_carzd2385zd2_1276;
									obj_t BgL_cdrzd2386zd2_1277;

									BgL_carzd2385zd2_1276 = CAR(BgL_srcz00_1268);
									BgL_cdrzd2386zd2_1277 = CDR(BgL_srcz00_1268);
									if (SYMBOLP(BgL_carzd2385zd2_1276))
										{	/* Ast/labels.scm 81 */
											if (PAIRP(BgL_cdrzd2386zd2_1277))
												{	/* Ast/labels.scm 81 */
													BgL_funz00_1269 = BgL_carzd2385zd2_1276;
													BgL_argsz00_1270 = CAR(BgL_cdrzd2386zd2_1277);
													BgL_bodyz00_1271 = CDR(BgL_cdrzd2386zd2_1277);
													{	/* Ast/labels.scm 83 */
														obj_t BgL_locz00_1282;

														BgL_locz00_1282 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(CAR(BgL_bindingsz00_1264), BgL_locz00_23);
														{	/* Ast/labels.scm 83 */
															obj_t BgL_funz00_1283;

															BgL_funz00_1283 =
																BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00
																(BgL_locz00_1282, BgL_srcz00_1268,
																BgL_funz00_1269, BgL_argsz00_1270,
																BgL_bodyz00_1271);
															{	/* Ast/labels.scm 84 */

																{	/* Ast/labels.scm 85 */
																	obj_t BgL_arg1837z00_1284;
																	obj_t BgL_arg1838z00_1285;

																	BgL_arg1837z00_1284 =
																		CDR(BgL_bindingsz00_1264);
																	BgL_arg1838z00_1285 =
																		MAKE_PAIR(BgL_funz00_1283, BgL_resz00_1265);
																	{
																		obj_t BgL_resz00_2375;
																		obj_t BgL_bindingsz00_2374;

																		BgL_bindingsz00_2374 = BgL_arg1837z00_1284;
																		BgL_resz00_2375 = BgL_arg1838z00_1285;
																		BgL_resz00_1265 = BgL_resz00_2375;
																		BgL_bindingsz00_1264 = BgL_bindingsz00_2374;
																		goto BgL_zc3anonymousza31830ze3z83_1266;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Ast/labels.scm 81 */
												BgL_tagzd2377zd2_1273:
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
														(BGl_string1976z00zzast_labelsz00, BgL_srcz00_1268,
														BgL_locz00_23);
													return BNIL;
												}
										}
									else
										{	/* Ast/labels.scm 81 */
											goto BgL_tagzd2377zd2_1273;
										}
								}
							else
								{	/* Ast/labels.scm 81 */
									goto BgL_tagzd2377zd2_1273;
								}
						}
					}
			}
		}
	}



/* make-local-noopt-sfun */
	obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t BgL_locz00_24,
		obj_t BgL_srcz00_25, obj_t BgL_funz00_26, obj_t BgL_argsz00_27,
		obj_t BgL_bodyz00_28)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 93 */
			{	/* Ast/labels.scm 94 */
				obj_t BgL_idzd2typezd2_1288;

				BgL_idzd2typezd2_1288 =
					BGl_parsezd2idzd2zzast_identz00(BgL_funz00_26, BgL_locz00_24);
				{	/* Ast/labels.scm 94 */
					obj_t BgL_idz00_1289;

					BgL_idz00_1289 = CAR(BgL_idzd2typezd2_1288);
					{	/* Ast/labels.scm 95 */
						obj_t BgL_typez00_1290;

						BgL_typez00_1290 = CDR(BgL_idzd2typezd2_1288);
						{	/* Ast/labels.scm 96 */
							long BgL_arityz00_1291;

							BgL_arityz00_1291 =
								BGl_localzd2arityzd2zztools_argsz00(BgL_argsz00_27);
							{	/* Ast/labels.scm 97 */
								obj_t BgL_formalsz00_1292;

								{	/* Ast/labels.scm 98 */
									obj_t BgL_l1779z00_1342;

									BgL_l1779z00_1342 =
										BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00
										(BgL_argsz00_27);
									if (NULLP(BgL_l1779z00_1342))
										{	/* Ast/labels.scm 98 */
											BgL_formalsz00_1292 = BNIL;
										}
									else
										{	/* Ast/labels.scm 98 */
											obj_t BgL_head1781z00_1344;

											{	/* Ast/labels.scm 98 */
												obj_t BgL_res1951z00_2141;

												BgL_res1951z00_2141 = MAKE_PAIR(BNIL, BNIL);
												BgL_head1781z00_1344 = BgL_res1951z00_2141;
											}
											{
												obj_t BgL_l1779z00_1346;
												obj_t BgL_tail1782z00_1347;

												BgL_l1779z00_1346 = BgL_l1779z00_1342;
												BgL_tail1782z00_1347 = BgL_head1781z00_1344;
											BgL_zc3anonymousza31869ze3z83_1348:
												if (NULLP(BgL_l1779z00_1346))
													{	/* Ast/labels.scm 98 */
														BgL_formalsz00_1292 = CDR(BgL_head1781z00_1344);
													}
												else
													{	/* Ast/labels.scm 98 */
														obj_t BgL_newtail1783z00_1350;

														{	/* Ast/labels.scm 98 */
															obj_t BgL_arg1872z00_1352;

															BgL_arg1872z00_1352 =
																BGl_parsezd2idzd2zzast_identz00(CAR
																(BgL_l1779z00_1346), BgL_locz00_24);
															{	/* Ast/labels.scm 98 */
																obj_t BgL_res1953z00_2148;

																BgL_res1953z00_2148 =
																	MAKE_PAIR(BgL_arg1872z00_1352, BNIL);
																BgL_newtail1783z00_1350 = BgL_res1953z00_2148;
															}
														}
														SET_CDR(BgL_tail1782z00_1347,
															BgL_newtail1783z00_1350);
														{
															obj_t BgL_tail1782z00_2396;
															obj_t BgL_l1779z00_2394;

															BgL_l1779z00_2394 = CDR(BgL_l1779z00_1346);
															BgL_tail1782z00_2396 = BgL_newtail1783z00_1350;
															BgL_tail1782z00_1347 = BgL_tail1782z00_2396;
															BgL_l1779z00_1346 = BgL_l1779z00_2394;
															goto BgL_zc3anonymousza31869ze3z83_1348;
														}
													}
											}
										}
								}
								{	/* Ast/labels.scm 98 */

									{	/* Ast/labels.scm 102 */
										bool_t BgL_testz00_2397;

										if ((BgL_arityz00_1291 >= ((long) 0)))
											{	/* Ast/labels.scm 102 */
												BgL_testz00_2397 = ((bool_t) 1);
											}
										else
											{	/* Ast/labels.scm 102 */
												if (BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(
														(int) (BgL_arityz00_1291), BgL_formalsz00_1292))
													{	/* Ast/labels.scm 106 */
														BgL_testz00_2397 = ((bool_t) 1);
													}
												else
													{	/* Ast/labels.scm 107 */
														obj_t BgL_largz00_1337;

														BgL_largz00_1337 =
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
															(BgL_formalsz00_1292));
														{	/* Ast/labels.scm 107 */
															obj_t BgL_typez00_1338;

															BgL_typez00_1338 = CDR(BgL_largz00_1337);
															{	/* Ast/labels.scm 108 */

																if (
																	(BgL_typez00_1338 ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Ast/labels.scm 110 */
																		BgL_testz00_2397 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/labels.scm 110 */
																		if (
																			(BgL_typez00_1338 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/labels.scm 112 */
																				SET_CDR(BgL_largz00_1337,
																					BGl_za2objza2z00zztype_cachez00);
																				BgL_testz00_2397 = ((bool_t) 1);
																			}
																		else
																			{	/* Ast/labels.scm 112 */
																				BgL_testz00_2397 = ((bool_t) 0);
																			}
																	}
															}
														}
													}
											}
										if (BgL_testz00_2397)
											{	/* Ast/labels.scm 117 */
												obj_t BgL_argsz00_1294;

												if (NULLP(BgL_formalsz00_1292))
													{	/* Ast/labels.scm 117 */
														BgL_argsz00_1294 = BNIL;
													}
												else
													{	/* Ast/labels.scm 117 */
														obj_t BgL_head1786z00_1318;

														{	/* Ast/labels.scm 117 */
															obj_t BgL_res1956z00_2163;

															BgL_res1956z00_2163 = MAKE_PAIR(BNIL, BNIL);
															BgL_head1786z00_1318 = BgL_res1956z00_2163;
														}
														{
															obj_t BgL_l1784z00_1320;
															obj_t BgL_tail1787z00_1321;

															BgL_l1784z00_1320 = BgL_formalsz00_1292;
															BgL_tail1787z00_1321 = BgL_head1786z00_1318;
														BgL_zc3anonymousza31853ze3z83_1322:
															if (NULLP(BgL_l1784z00_1320))
																{	/* Ast/labels.scm 117 */
																	BgL_argsz00_1294 = CDR(BgL_head1786z00_1318);
																}
															else
																{	/* Ast/labels.scm 117 */
																	obj_t BgL_newtail1788z00_1324;

																	{	/* Ast/labels.scm 117 */
																		BgL_localz00_bglt BgL_arg1856z00_1326;

																		{	/* Ast/labels.scm 117 */
																			obj_t BgL_fz00_1327;

																			BgL_fz00_1327 = CAR(BgL_l1784z00_1320);
																			if (BGl_userzd2symbolzf3z21zzast_identz00
																				(CAR(BgL_fz00_1327)))
																				{	/* Ast/labels.scm 119 */
																					obj_t BgL_arg1858z00_1329;
																					obj_t BgL_arg1859z00_1330;

																					BgL_arg1858z00_1329 =
																						CAR(BgL_fz00_1327);
																					BgL_arg1859z00_1330 =
																						CDR(BgL_fz00_1327);
																					BgL_arg1856z00_1326 =
																						BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																						(BgL_arg1858z00_1329,
																						((BgL_typez00_bglt)
																							BgL_arg1859z00_1330));
																				}
																			else
																				{	/* Ast/labels.scm 120 */
																					obj_t BgL_arg1860z00_1331;
																					obj_t BgL_arg1861z00_1332;

																					BgL_arg1860z00_1331 =
																						CAR(BgL_fz00_1327);
																					BgL_arg1861z00_1332 =
																						CDR(BgL_fz00_1327);
																					BgL_arg1856z00_1326 =
																						BGl_makezd2localzd2svarz00zzast_localz00
																						(BgL_arg1860z00_1331,
																						((BgL_typez00_bglt)
																							BgL_arg1861z00_1332));
																				}
																		}
																		{	/* Ast/labels.scm 117 */
																			obj_t BgL_res1958z00_2175;

																			{	/* Ast/labels.scm 117 */
																				obj_t BgL_obj1z00_2173;

																				BgL_obj1z00_2173 =
																					((obj_t) BgL_arg1856z00_1326);
																				BgL_res1958z00_2175 =
																					MAKE_PAIR(BgL_obj1z00_2173, BNIL);
																			}
																			BgL_newtail1788z00_1324 =
																				BgL_res1958z00_2175;
																		}
																	}
																	SET_CDR(BgL_tail1787z00_1321,
																		BgL_newtail1788z00_1324);
																	{
																		obj_t BgL_tail1787z00_2434;
																		obj_t BgL_l1784z00_2432;

																		BgL_l1784z00_2432 = CDR(BgL_l1784z00_1320);
																		BgL_tail1787z00_2434 =
																			BgL_newtail1788z00_1324;
																		BgL_tail1787z00_1321 = BgL_tail1787z00_2434;
																		BgL_l1784z00_1320 = BgL_l1784z00_2432;
																		goto BgL_zc3anonymousza31853ze3z83_1322;
																	}
																}
														}
													}
												{	/* Ast/labels.scm 117 */
													BgL_sfunz00_bglt BgL_sfunz00_1295;

													{	/* Ast/labels.scm 122 */
														BgL_sfunz00_bglt BgL_new1107z00_1297;

														{	/* Ast/labels.scm 122 */
															BgL_sfunz00_bglt BgL_new1106z00_1314;

															BgL_new1106z00_1314 =
																((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_sfunz00_bgl))));
															{	/* Ast/labels.scm 122 */
																long BgL_arg1851z00_1315;

																{	/* Ast/labels.scm 122 */
																	long BgL_res1959z00_2180;

																	BgL_res1959z00_2180 =
																		BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
																	BgL_arg1851z00_1315 = BgL_res1959z00_2180;
																}
																{	/* Ast/labels.scm 122 */
																	BgL_objectz00_bglt BgL_objz00_2181;

																	BgL_objz00_2181 =
																		((BgL_objectz00_bglt) BgL_new1106z00_1314);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2181,
																		BgL_arg1851z00_1315);
															}}
															{	/* Ast/labels.scm 122 */
																BgL_objectz00_bglt BgL_auxz00_2439;

																BgL_auxz00_2439 =
																	((BgL_objectz00_bglt) BgL_new1106z00_1314);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2439,
																	BFALSE);
															}
															BgL_new1107z00_1297 = BgL_new1106z00_1314;
														}
														((((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_new1107z00_1297)))->
																BgL_arityz00) =
															((long) BgL_arityz00_1291), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->
																BgL_predicatezd2ofzd2) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->
																BgL_stackzd2allocatorzd2) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->BgL_topzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->
																BgL_thezd2closurezd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->BgL_effectz00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_new1107z00_1297)))->BgL_failsafez00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_argsz00) =
															((obj_t) BgL_argsz00_1294), BUNSPEC);
														{
															obj_t BgL_auxz00_2460;

															if (NULLP(BgL_formalsz00_1292))
																{	/* Ast/labels.scm 127 */
																	BgL_auxz00_2460 = BNIL;
																}
															else
																{	/* Ast/labels.scm 127 */
																	obj_t BgL_head1791z00_1300;

																	{	/* Ast/labels.scm 127 */
																		obj_t BgL_arg1849z00_1312;

																		{	/* Ast/labels.scm 127 */
																			obj_t BgL_pairz00_2186;

																			{	/* Ast/labels.scm 127 */
																				obj_t BgL_pairz00_2185;

																				BgL_pairz00_2185 = BgL_formalsz00_1292;
																				BgL_pairz00_2186 =
																					CAR(BgL_pairz00_2185);
																			}
																			BgL_arg1849z00_1312 =
																				CAR(BgL_pairz00_2186);
																		}
																		{	/* Ast/labels.scm 127 */
																			obj_t BgL_res1961z00_2189;

																			BgL_res1961z00_2189 =
																				MAKE_PAIR(BgL_arg1849z00_1312, BNIL);
																			BgL_head1791z00_1300 =
																				BgL_res1961z00_2189;
																		}
																	}
																	{	/* Ast/labels.scm 127 */
																		obj_t BgL_g1794z00_1301;

																		{	/* Ast/labels.scm 127 */
																			obj_t BgL_pairz00_2190;

																			BgL_pairz00_2190 = BgL_formalsz00_1292;
																			BgL_g1794z00_1301 = CDR(BgL_pairz00_2190);
																		}
																		{
																			obj_t BgL_l1789z00_1303;
																			obj_t BgL_tail1792z00_1304;

																			BgL_l1789z00_1303 = BgL_g1794z00_1301;
																			BgL_tail1792z00_1304 =
																				BgL_head1791z00_1300;
																		BgL_zc3anonymousza31844ze3z83_1305:
																			if (NULLP(BgL_l1789z00_1303))
																				{	/* Ast/labels.scm 127 */
																					BgL_auxz00_2460 =
																						BgL_head1791z00_1300;
																				}
																			else
																				{	/* Ast/labels.scm 127 */
																					obj_t BgL_newtail1793z00_1307;

																					{	/* Ast/labels.scm 127 */
																						obj_t BgL_arg1847z00_1309;

																						{	/* Ast/labels.scm 127 */
																							obj_t BgL_pairz00_2194;

																							{	/* Ast/labels.scm 127 */
																								obj_t BgL_pairz00_2193;

																								BgL_pairz00_2193 =
																									BgL_l1789z00_1303;
																								BgL_pairz00_2194 =
																									CAR(BgL_pairz00_2193);
																							}
																							BgL_arg1847z00_1309 =
																								CAR(BgL_pairz00_2194);
																						}
																						{	/* Ast/labels.scm 127 */
																							obj_t BgL_res1963z00_2197;

																							BgL_res1963z00_2197 =
																								MAKE_PAIR(BgL_arg1847z00_1309,
																								BNIL);
																							BgL_newtail1793z00_1307 =
																								BgL_res1963z00_2197;
																						}
																					}
																					SET_CDR(BgL_tail1792z00_1304,
																						BgL_newtail1793z00_1307);
																					{	/* Ast/labels.scm 127 */
																						obj_t BgL_arg1846z00_1308;

																						{	/* Ast/labels.scm 127 */
																							obj_t BgL_pairz00_2200;

																							BgL_pairz00_2200 =
																								BgL_l1789z00_1303;
																							BgL_arg1846z00_1308 =
																								CDR(BgL_pairz00_2200);
																						}
																						{
																							obj_t BgL_tail1792z00_2475;
																							obj_t BgL_l1789z00_2474;

																							BgL_l1789z00_2474 =
																								BgL_arg1846z00_1308;
																							BgL_tail1792z00_2475 =
																								BgL_newtail1793z00_1307;
																							BgL_tail1792z00_1304 =
																								BgL_tail1792z00_2475;
																							BgL_l1789z00_1303 =
																								BgL_l1789z00_2474;
																							goto
																								BgL_zc3anonymousza31844ze3z83_1305;
																						}
																					}
																				}
																		}
																	}
																}
															((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																	BgL_argszd2namezd2) =
																((obj_t) BgL_auxz00_2460), BUNSPEC);
														}
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_classz00) =
															((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_dssslzd2keywordszd2) =
															((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_locz00) =
															((obj_t)
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_bodyz00_28, BgL_locz00_24)), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_optionalsz00) = ((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_keysz00) = ((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_thezd2closurezd2globalz00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_sfunz00_bglt) CREF(BgL_new1107z00_1297))->
																BgL_strengthz00) =
															((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
														BgL_sfunz00_1295 = BgL_new1107z00_1297;
													}
													{	/* Ast/labels.scm 122 */

														if (BGl_userzd2symbolzf3z21zzast_identz00
															(BgL_idz00_1289))
															{	/* Ast/labels.scm 128 */
																return
																	((obj_t)
																	BGl_makezd2userzd2localzd2sfunzd2zzast_localz00
																	(BgL_idz00_1289,
																		((BgL_typez00_bglt) BgL_typez00_1290),
																		BgL_sfunz00_1295));
															}
														else
															{	/* Ast/labels.scm 128 */
																return
																	((obj_t)
																	BGl_makezd2localzd2sfunz00zzast_localz00
																	(BgL_idz00_1289,
																		((BgL_typez00_bglt) BgL_typez00_1290),
																		BgL_sfunz00_1295));
															}
													}
												}
											}
										else
											{	/* Ast/labels.scm 102 */
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string1977z00zzast_labelsz00, BgL_srcz00_25,
													BgL_locz00_24);
												return BNIL;
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* labels-binding */
	obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t BgL_localz00_29,
		obj_t BgL_bindingz00_30, obj_t BgL_stackz00_31, obj_t BgL_locz00_32)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 138 */
			{
				obj_t BgL_argsz00_1355;
				obj_t BgL_bodyz00_1356;

				if (PAIRP(BgL_bindingz00_30))
					{	/* Ast/labels.scm 139 */
						obj_t BgL_cdrzd2404zd2_1361;

						BgL_cdrzd2404zd2_1361 = CDR(BgL_bindingz00_30);
						if (PAIRP(BgL_cdrzd2404zd2_1361))
							{	/* Ast/labels.scm 139 */
								BgL_argsz00_1355 = CAR(BgL_cdrzd2404zd2_1361);
								BgL_bodyz00_1356 = CDR(BgL_cdrzd2404zd2_1361);
								{	/* Ast/labels.scm 141 */
									obj_t BgL_arg1877z00_1365;

									BgL_arg1877z00_1365 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_29))))->BgL_idz00);
									BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1877z00_1365);
								}
								{	/* Ast/labels.scm 142 */
									obj_t BgL_locz00_1366;

									BgL_locz00_1366 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_bindingz00_30, BgL_locz00_32);
									{	/* Ast/labels.scm 142 */
										obj_t BgL_body2z00_1367;

										{	/* Ast/labels.scm 143 */
											obj_t BgL_arg1883z00_1374;
											obj_t BgL_arg1884z00_1375;

											BgL_arg1883z00_1374 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_29))))->
												BgL_idz00);
											BgL_arg1884z00_1375 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_bodyz00_1356);
											BgL_body2z00_1367 =
												BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
												(BgL_arg1883z00_1374, BgL_argsz00_1355,
												BgL_arg1884z00_1375,
												BGl_userzd2errorzd2envz00zztools_errorz00);
										}
										{	/* Ast/labels.scm 143 */
											BgL_nodez00_bglt BgL_body3z00_1368;

											{	/* Ast/labels.scm 148 */
												obj_t BgL_arg1880z00_1371;

												{	/* Ast/labels.scm 148 */
													obj_t BgL_arg1881z00_1372;

													BgL_arg1881z00_1372 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_localz00_29))))->
																		BgL_valuez00))))->BgL_argsz00);
													BgL_arg1880z00_1371 =
														BGl_appendzd221011zd2zzast_labelsz00
														(BgL_arg1881z00_1372, BgL_stackz00_31);
												}
												BgL_body3z00_1368 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_body2z00_1367,
													BgL_arg1880z00_1371, BgL_locz00_1366,
													CNST_TABLE_REF(((long) 3)));
											}
											{	/* Ast/labels.scm 147 */

												{	/* Ast/labels.scm 151 */
													BgL_valuez00_bglt BgL_arg1878z00_1369;

													BgL_arg1878z00_1369 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_29))))->
														BgL_valuez00);
													{	/* Ast/labels.scm 151 */
														BgL_sfunz00_bglt BgL_oz00_2215;

														BgL_oz00_2215 =
															((BgL_sfunz00_bglt) BgL_arg1878z00_1369);
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_2215))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1366), BUNSPEC);
												}}
												{	/* Ast/labels.scm 152 */
													BgL_valuez00_bglt BgL_arg1879z00_1370;

													BgL_arg1879z00_1370 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_29))))->
														BgL_valuez00);
													{	/* Ast/labels.scm 152 */
														BgL_sfunz00_bglt BgL_oz00_2221;
														obj_t BgL_vz00_2222;

														BgL_oz00_2221 =
															((BgL_sfunz00_bglt) BgL_arg1879z00_1370);
														BgL_vz00_2222 = ((obj_t) BgL_body3z00_1368);
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_2221))->
																BgL_bodyz00) =
															((obj_t) BgL_vz00_2222), BUNSPEC);
												}}
												return BGl_leavezd2functionzd2zztools_errorz00();
											}
										}
									}
								}
							}
						else
							{
								BgL_nodez00_bglt BgL_auxz00_2534;

							BgL_tagzd2397zd2_1358:
								BgL_auxz00_2534 =
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string1978z00zzast_labelsz00, BgL_bindingz00_30,
									BgL_locz00_32);
								return ((obj_t) BgL_auxz00_2534);
							}
					}
				else
					{
						BgL_nodez00_bglt BgL_auxz00_2537;

						goto BgL_tagzd2397zd2_1358;
						return ((obj_t) BgL_auxz00_2537);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1979z00zzast_labelsz00));
		}
	}

#ifdef __cplusplus
}
#endif
