/*===========================================================================*/
/*   (BackEnd/c_emit.scm)                                                    */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	extern obj_t BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_commandzd2linezd2zz__osz00();
	BGL_EXPORTED_DECL obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_objectzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_positivez00zzbackend_c_emitz00(BGL_LONGLONG_T);
	extern obj_t BGl_bigloozd2licensezd2zztools_licensez00();
	extern obj_t BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t,
		unsigned char);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DEF obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_c_emitz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_licensez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	static obj_t BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BUNSPEC;
	static obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zzbackend_c_emitz00(BGL_LONGLONG_T, obj_t, long,
		BGL_LONGLONG_T, BGL_LONGLONG_T);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static long BGl_za2maxzd2colza2zd2zzbackend_c_emitz00;
	static obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_untrigraphzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762untrigraphza7622425z00,
		BGl_z62untrigraphz62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2371z00zzbackend_c_emitz00,
		BgL_bgl_string2371za700za7za7b2426za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2372z00zzbackend_c_emitz00,
		BgL_bgl_string2372za700za7za7b2427za7, "/*", 2);
	      DEFINE_STRING(BGl_string2373z00zzbackend_c_emitz00,
		BgL_bgl_string2373za700za7za7b2428za7, "*/", 2);
	      DEFINE_STRING(BGl_string2374z00zzbackend_c_emitz00,
		BgL_bgl_string2374za700za7za7b2429za7, "", 0);
	      DEFINE_STRING(BGl_string2375z00zzbackend_c_emitz00,
		BgL_bgl_string2375za700za7za7b2430za7, " (c)      ", 10);
	      DEFINE_STRING(BGl_string2376z00zzbackend_c_emitz00,
		BgL_bgl_string2376za700za7za7b2431za7, "/* COMPILATION: ", 16);
	      DEFINE_STRING(BGl_string2377z00zzbackend_c_emitz00,
		BgL_bgl_string2377za700za7za7b2432za7, "/* GC selection */", 18);
	      DEFINE_STRING(BGl_string2378z00zzbackend_c_emitz00,
		BgL_bgl_string2378za700za7za7b2433za7, "#define THE_GC BOEHM_GC\n", 24);
	      DEFINE_STRING(BGl_string2379z00zzbackend_c_emitz00,
		BgL_bgl_string2379za700za7za7b2434za7, "#define THE_GC BOEHM_GC", 23);
	      DEFINE_STRING(BGl_string2380z00zzbackend_c_emitz00,
		BgL_bgl_string2380za700za7za7b2435za7, "#define BUMPY_GC\n", 17);
	      DEFINE_STRING(BGl_string2381z00zzbackend_c_emitz00,
		BgL_bgl_string2381za700za7za7b2436za7, "emit-garbage-collector-selection",
		32);
	      DEFINE_STRING(BGl_string2382z00zzbackend_c_emitz00,
		BgL_bgl_string2382za700za7za7b2437za7, "Can't emit code for gc", 22);
	      DEFINE_STRING(BGl_string2383z00zzbackend_c_emitz00,
		BgL_bgl_string2383za700za7za7b2438za7, "#include <", 10);
	      DEFINE_STRING(BGl_string2384z00zzbackend_c_emitz00,
		BgL_bgl_string2384za700za7za7b2439za7, ">", 1);
	      DEFINE_STRING(BGl_string2385z00zzbackend_c_emitz00,
		BgL_bgl_string2385za700za7za7b2440za7, "/* debug mode */", 16);
	      DEFINE_STRING(BGl_string2386z00zzbackend_c_emitz00,
		BgL_bgl_string2386za700za7za7b2441za7, "#define BIGLOO_DEBUG 1", 22);
	      DEFINE_STRING(BGl_string2387z00zzbackend_c_emitz00,
		BgL_bgl_string2387za700za7za7b2442za7, "/* Libraries setup imports */", 29);
	      DEFINE_STRING(BGl_string2388z00zzbackend_c_emitz00,
		BgL_bgl_string2388za700za7za7b2443za7, "BGL_IMPORT void ", 16);
	      DEFINE_STRING(BGl_string2389z00zzbackend_c_emitz00,
		BgL_bgl_string2389za700za7za7b2444za7, "(int, char *[], char *[]);", 26);
	      DEFINE_STRING(BGl_string2390z00zzbackend_c_emitz00,
		BgL_bgl_string2390za700za7za7b2445za7, "/* Libraries setup */", 21);
	      DEFINE_STRING(BGl_string2391z00zzbackend_c_emitz00,
		BgL_bgl_string2391za700za7za7b2446za7,
		"static int bigloo_libinit( int argc, char *argv[], char *env[] ) {", 66);
	      DEFINE_STRING(BGl_string2392z00zzbackend_c_emitz00,
		BgL_bgl_string2392za700za7za7b2447za7, "(argc, argv, env);\n", 19);
	      DEFINE_STRING(BGl_string2393z00zzbackend_c_emitz00,
		BgL_bgl_string2393za700za7za7b2448za7, "return 0; }\n\n", 13);
	      DEFINE_STRING(BGl_string2394z00zzbackend_c_emitz00,
		BgL_bgl_string2394za700za7za7b2449za7,
		"long bigloo_abort(long n) { return n; }", 39);
	      DEFINE_STRING(BGl_string2395z00zzbackend_c_emitz00,
		BgL_bgl_string2395za700za7za7b2450za7,
		"int BIGLOO_MAIN(int argc, char *argv[], char *env[]) { ", 55);
	      DEFINE_STRING(BGl_string2396z00zzbackend_c_emitz00,
		BgL_bgl_string2396za700za7za7b2451za7,
		"return _bigloo_main(argc, argv, env, &bigloo_main, &bigloo_libinit, ~a);}",
		73);
	      DEFINE_STRING(BGl_string2397z00zzbackend_c_emitz00,
		BgL_bgl_string2397za700za7za7b2452za7, "BGL_EXPORTED_DEF obj_t ", 23);
	      DEFINE_STRING(BGl_string2398z00zzbackend_c_emitz00,
		BgL_bgl_string2398za700za7za7b2453za7, "() {", 4);
	      DEFINE_STRING(BGl_string2399z00zzbackend_c_emitz00,
		BgL_bgl_string2399za700za7za7b2454za7, "  return ", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzd2ze3czd2isozd2envz31zzbackend_c_emitz00,
		BgL_bgl_za762llongza7d2za7e3cza72455z00,
		BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762stopza7d2emissi2456z00,
		BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2debugzd2activationzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2debugza72457za7,
		BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2mainzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2mainza7b2458za7,
		BGl_z62emitzd2mainzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2garbagezd2collectorzd2selectionzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2garbag2459z00,
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2atomzd2valuezd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2atomza7d2460za7,
		BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2400z00zzbackend_c_emitz00,
		BgL_bgl_string2400za700za7za7b2461za7, "( 0, \"", 6);
	      DEFINE_STRING(BGl_string2401z00zzbackend_c_emitz00,
		BgL_bgl_string2401za700za7za7b2462za7, "\" );", 4);
	      DEFINE_STRING(BGl_string2402z00zzbackend_c_emitz00,
		BgL_bgl_string2402za700za7za7b2463za7, "}", 1);
	      DEFINE_STRING(BGl_string2403z00zzbackend_c_emitz00,
		BgL_bgl_string2403za700za7za7b2464za7, "(-", 2);
	      DEFINE_STRING(BGl_string2404z00zzbackend_c_emitz00,
		BgL_bgl_string2404za700za7za7b2465za7, ")", 1);
	      DEFINE_STRING(BGl_string2405z00zzbackend_c_emitz00,
		BgL_bgl_string2405za700za7za7b2466za7, ")))", 3);
	      DEFINE_STRING(BGl_string2406z00zzbackend_c_emitz00,
		BgL_bgl_string2406za700za7za7b2467za7, " * (", 4);
	      DEFINE_STRING(BGl_string2407z00zzbackend_c_emitz00,
		BgL_bgl_string2407za700za7za7b2468za7, " + ((BGL_LONGLONG_T)", 20);
	      DEFINE_STRING(BGl_string2408z00zzbackend_c_emitz00,
		BgL_bgl_string2408za700za7za7b2469za7, "(", 1);
	      DEFINE_STRING(BGl_string2409z00zzbackend_c_emitz00,
		BgL_bgl_string2409za700za7za7b2470za7, "((BGL_LONGLONG_T)", 17);
	      DEFINE_STRING(BGl_string2410z00zzbackend_c_emitz00,
		BgL_bgl_string2410za700za7za7b2471za7, "((", 2);
	      DEFINE_STRING(BGl_string2411z00zzbackend_c_emitz00,
		BgL_bgl_string2411za700za7za7b2472za7, "BNIL", 4);
	      DEFINE_STRING(BGl_string2412z00zzbackend_c_emitz00,
		BgL_bgl_string2412za700za7za7b2473za7, "'\\000'", 6);
	      DEFINE_STRING(BGl_string2413z00zzbackend_c_emitz00,
		BgL_bgl_string2413za700za7za7b2474za7, "\\''", 3);
	      DEFINE_STRING(BGl_string2414z00zzbackend_c_emitz00,
		BgL_bgl_string2414za700za7za7b2475za7, "BUNSPEC", 7);
	      DEFINE_STRING(BGl_string2415z00zzbackend_c_emitz00,
		BgL_bgl_string2415za700za7za7b2476za7, "BCNST(", 6);
	      DEFINE_STRING(BGl_string2416z00zzbackend_c_emitz00,
		BgL_bgl_string2416za700za7za7b2477za7, "BGL_NAN", 7);
	      DEFINE_STRING(BGl_string2417z00zzbackend_c_emitz00,
		BgL_bgl_string2417za700za7za7b2478za7, "BGL_INFINITY", 12);
	      DEFINE_STRING(BGl_string2418z00zzbackend_c_emitz00,
		BgL_bgl_string2418za700za7za7b2479za7, "(-BGL_INFINITY)", 15);
	      DEFINE_STRING(BGl_string2419z00zzbackend_c_emitz00,
		BgL_bgl_string2419za700za7za7b2480za7, "(bgl_string_to_bignum( \"", 24);
	      DEFINE_STRING(BGl_string2420z00zzbackend_c_emitz00,
		BgL_bgl_string2420za700za7za7b2481za7, "\", 16 ))", 8);
	      DEFINE_STRING(BGl_string2421z00zzbackend_c_emitz00,
		BgL_bgl_string2421za700za7za7b2482za7, "backend_c_emit", 14);
	      DEFINE_STRING(BGl_string2422z00zzbackend_c_emitz00,
		BgL_bgl_string2422za700za7za7b2483za7,
		"bumpy boehm --to-stdout (cgen distrib cc cindent hgen) ", 55);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2includezd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2includ2484z00,
		BGl_z62emitzd2includezb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2headerzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2header2485z00,
		BGl_z62emitzd2headerzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2dlopenzd2initzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2dlopen2486z00,
		BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762startza7d2emiss2487z00,
		BGl_z62startzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2commentzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2commen2488z00,
		BGl_z62emitzd2commentzb0zzbackend_c_emitz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long
		BgL_checksumz00_3200, char *BgL_fromz00_3201)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_cnstzd2initzd2zzbackend_c_emitz00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_toplevelzd2initzd2zzbackend_c_emitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			{	/* BackEnd/c_emit.scm 15 */
				obj_t BgL_cportz00_3192;

				BgL_cportz00_3192 =
					bgl_open_input_string(BGl_string2422z00zzbackend_c_emitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3193;

					BgL_iz00_3193 = ((long) 3);
				BgL_loopz00_3194:
					if ((BgL_iz00_3193 == ((long) -1)))
						{	/* BackEnd/c_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_emit.scm 15 */
							{	/* BackEnd/c_emit.scm 15 */
								obj_t BgL_arg2424z00_3196;

								{	/* BackEnd/c_emit.scm 15 */

									{	/* BackEnd/c_emit.scm 15 */
										obj_t BgL_locationz00_3198;

										BgL_locationz00_3198 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_emit.scm 15 */

											BgL_arg2424z00_3196 =
												BGl_readz00zz__readerz00(BgL_cportz00_3192,
												BgL_locationz00_3198);
										}
									}
								}
								{	/* BackEnd/c_emit.scm 15 */
									int BgL_auxz00_3231;

									BgL_auxz00_3231 = (int) (BgL_iz00_3193);
									CNST_TABLE_SET(BgL_auxz00_3231, BgL_arg2424z00_3196);
							}}
							{	/* BackEnd/c_emit.scm 15 */
								int BgL_auxz00_3199;

								BgL_auxz00_3199 = (int) ((BgL_iz00_3193 - ((long) 1)));
								{
									long BgL_iz00_3236;

									BgL_iz00_3236 = (long) (BgL_auxz00_3199);
									BgL_iz00_3193 = BgL_iz00_3236;
									goto BgL_loopz00_3194;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BFALSE;
			BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
			return (BGl_za2maxzd2colza2zd2zzbackend_c_emitz00 = ((long) 79), BUNSPEC);
		}
	}



/* start-emission! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t
		BgL_suffixz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			{	/* BackEnd/c_emit.scm 50 */
				obj_t BgL_prefixz00_1502;

				{	/* BackEnd/c_emit.scm 51 */
					bool_t BgL_testz00_3238;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_3238 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0))));
						}
					else
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_3238 = ((bool_t) 0);
						}
					if (BgL_testz00_3238)
						{	/* BackEnd/c_emit.scm 51 */
							BgL_prefixz00_1502 =
								BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_emit.scm 54 */
							bool_t BgL_testz00_3245;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/c_emit.scm 54 */
									obj_t BgL_auxz00_3248;

									BgL_auxz00_3248 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_3245 = STRINGP(BgL_auxz00_3248);
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_testz00_3245 = ((bool_t) 0);
								}
							if (BgL_testz00_3245)
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1502 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1502 = BFALSE;
								}
						}
				}
				{	/* BackEnd/c_emit.scm 50 */

					{	/* BackEnd/c_emit.scm 58 */
						bool_t BgL_testz00_3253;

						if (
							(BGl_za2destza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 1))))
							{	/* BackEnd/c_emit.scm 58 */
								BgL_testz00_3253 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 58 */
								if (STRINGP(BgL_prefixz00_1502))
									{	/* BackEnd/c_emit.scm 58 */
										BgL_testz00_3253 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c_emit.scm 58 */
										BgL_testz00_3253 = ((bool_t) 1);
									}
							}
						if (BgL_testz00_3253)
							{	/* BackEnd/c_emit.scm 59 */
								obj_t BgL_res2278z00_2683;

								{	/* BackEnd/c_emit.scm 59 */
									obj_t BgL_auxz00_3259;

									BgL_auxz00_3259 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2278z00_2683 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3259);
								}
								return (BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
									BgL_res2278z00_2683, BUNSPEC);
							}
						else
							{	/* BackEnd/c_emit.scm 60 */
								obj_t BgL_fzd2namezd2_1504;

								BgL_fzd2namezd2_1504 =
									string_append(BgL_prefixz00_1502, BgL_suffixz00_3);
								BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 =
									BgL_prefixz00_1502;
								{	/* BackEnd/c_emit.scm 62 */

									BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_fzd2namezd2_1504, BTRUE);
								}
								if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
									{	/* BackEnd/c_emit.scm 63 */
										return BUNSPEC;
									}
								else
									{	/* BackEnd/c_emit.scm 63 */
										return
											BGl_errorz00zz__errorz00
											(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
											BGl_string2371z00zzbackend_c_emitz00,
											BgL_fzd2namezd2_1504);
									}
							}
					}
				}
			}
		}
	}



/* &start-emission! */
	obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_3168,
		obj_t BgL_suffixz00_3169)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			return BGl_startzd2emissionz12zc0zzbackend_c_emitz00(BgL_suffixz00_3169);
		}
	}



/* stop-emission! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 70 */
			if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
				{	/* BackEnd/c_emit.scm 74 */
					bool_t BgL_testz00_3270;

					{	/* BackEnd/c_emit.scm 74 */
						obj_t BgL_arg2034z00_1518;

						{	/* BackEnd/c_emit.scm 74 */
							obj_t BgL_res2279z00_2687;

							{	/* BackEnd/c_emit.scm 74 */
								obj_t BgL_auxz00_3271;

								BgL_auxz00_3271 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2279z00_2687 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3271);
							}
							BgL_arg2034z00_1518 = BgL_res2279z00_2687;
						}
						BgL_testz00_3270 =
							(BGl_za2czd2portza2zd2zzbackend_c_emitz00 == BgL_arg2034z00_1518);
					}
					if (BgL_testz00_3270)
						{	/* BackEnd/c_emit.scm 74 */
							return BFALSE;
						}
					else
						{	/* BackEnd/c_emit.scm 74 */
							bgl_flush_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_close_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
							return BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00;
						}
				}
			else
				{	/* BackEnd/c_emit.scm 72 */
					return BFALSE;
				}
		}
	}



/* &stop-emission! */
	obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_3170)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 70 */
			return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
		}
	}



/* emit-comment */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t
		BgL_stringz00_4, unsigned char BgL_fillz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 90 */
			{	/* BackEnd/c_emit.scm 91 */
				obj_t BgL_stringz00_1519;

				if ((STRING_LENGTH(BgL_stringz00_4) > (((long) 79) - ((long) 8))))
					{	/* BackEnd/c_emit.scm 91 */
						BgL_stringz00_1519 =
							c_substring(BgL_stringz00_4, ((long) 0),
							(((long) 79) - ((long) 9)));
					}
				else
					{	/* BackEnd/c_emit.scm 91 */
						BgL_stringz00_1519 = BgL_stringz00_4;
					}
				bgl_display_string(BGl_string2372z00zzbackend_c_emitz00,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				{	/* BackEnd/c_emit.scm 95 */
					long BgL_lenz00_1520;

					BgL_lenz00_1520 = STRING_LENGTH(BgL_stringz00_1519);
					if ((BgL_lenz00_1520 == ((long) 0)))
						{	/* BackEnd/c_emit.scm 97 */
							obj_t BgL_port1988z00_1522;

							BgL_port1988z00_1522 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_emit.scm 97 */
								obj_t BgL_arg2036z00_1523;

								{	/* BackEnd/c_emit.scm 97 */
									long BgL_arg2037z00_1524;

									BgL_arg2037z00_1524 = (((long) 79) - ((long) 4));
									{	/* BackEnd/c_emit.scm 97 */
										obj_t BgL_res2288z00_2717;

										{	/* BackEnd/c_emit.scm 97 */
											obj_t BgL_charz00_2716;

											BgL_charz00_2716 = BCHAR(BgL_fillz00_5);
											BgL_res2288z00_2717 =
												make_string(BgL_arg2037z00_1524,
												CCHAR(BgL_charz00_2716));
										}
										BgL_arg2036z00_1523 = BgL_res2288z00_2717;
								}}
								bgl_display_obj(BgL_arg2036z00_1523, BgL_port1988z00_1522);
							}
							bgl_display_string(BGl_string2373z00zzbackend_c_emitz00,
								BgL_port1988z00_1522);
							return bgl_display_char(((unsigned char) '\n'),
								BgL_port1988z00_1522);
						}
					else
						{	/* BackEnd/c_emit.scm 96 */
							{	/* BackEnd/c_emit.scm 99 */
								obj_t BgL_arg2038z00_1525;

								{	/* BackEnd/c_emit.scm 99 */
									obj_t BgL_res2289z00_2723;

									{	/* BackEnd/c_emit.scm 99 */
										obj_t BgL_charz00_2722;

										BgL_charz00_2722 = BCHAR(BgL_fillz00_5);
										BgL_res2289z00_2723 =
											make_string(((long) 2), CCHAR(BgL_charz00_2722));
									}
									BgL_arg2038z00_1525 = BgL_res2289z00_2723;
								}
								bgl_display_obj(BgL_arg2038z00_1525,
									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							}
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_obj(BgL_stringz00_1519,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							{	/* BackEnd/c_emit.scm 103 */
								obj_t BgL_port1989z00_1526;

								BgL_port1989z00_1526 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_emit.scm 104 */
									obj_t BgL_arg2039z00_1527;

									{	/* BackEnd/c_emit.scm 104 */
										long BgL_arg2040z00_1528;

										{	/* BackEnd/c_emit.scm 104 */
											obj_t BgL_arg2041z00_1529;

											BgL_arg2041z00_1529 =
												BGL_SAFE_PLUS_FX(((long) 8), BgL_lenz00_1520);
											BgL_arg2040z00_1528 =
												(((long) 79) - (long) CINT(BgL_arg2041z00_1529));
										}
										{	/* BackEnd/c_emit.scm 104 */
											obj_t BgL_res2292z00_2735;

											{	/* BackEnd/c_emit.scm 104 */
												obj_t BgL_charz00_2734;

												BgL_charz00_2734 = BCHAR(BgL_fillz00_5);
												BgL_res2292z00_2735 =
													make_string(BgL_arg2040z00_1528,
													CCHAR(BgL_charz00_2734));
											}
											BgL_arg2039z00_1527 = BgL_res2292z00_2735;
									}}
									bgl_display_obj(BgL_arg2039z00_1527, BgL_port1989z00_1526);
								}
								bgl_display_string(BGl_string2373z00zzbackend_c_emitz00,
									BgL_port1989z00_1526);
								return bgl_display_char(((unsigned char) '\n'),
									BgL_port1989z00_1526);
		}}}}}
	}



/* &emit-comment */
	obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t BgL_envz00_3171,
		obj_t BgL_stringz00_3172, obj_t BgL_fillz00_3173)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 90 */
			return
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_stringz00_3172,
				CCHAR(BgL_fillz00_3173));
		}
	}



/* emit-license */
	obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 110 */
			{	/* BackEnd/c_emit.scm 111 */
				obj_t BgL_inz00_1535;

				{	/* BackEnd/c_emit.scm 111 */
					obj_t BgL_arg2050z00_1543;

					BgL_arg2050z00_1543 = BGl_bigloozd2licensezd2zztools_licensez00();
					{	/* BackEnd/c_emit.scm 111 */

						BgL_inz00_1535 =
							BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
							(BgL_arg2050z00_1543, BINT(((long) 0)));
				}}
				{	/* BackEnd/c_emit.scm 112 */
					obj_t BgL_g1123z00_1536;

					BgL_g1123z00_1536 =
						BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1535);
					{
						obj_t BgL_strz00_1538;

						BgL_strz00_1538 = BgL_g1123z00_1536;
					BgL_zc3anonymousza32047ze3z83_1539:
						{	/* BackEnd/c_emit.scm 113 */
							bool_t BgL_testz00_3317;

							{	/* BackEnd/c_emit.scm 113 */
								bool_t BgL_res2293z00_2740;

								BgL_res2293z00_2740 = EOF_OBJECTP(BgL_strz00_1538);
								BgL_testz00_3317 = BgL_res2293z00_2740;
							}
							if (BgL_testz00_3317)
								{	/* BackEnd/c_emit.scm 113 */
									return bgl_close_input_port(BgL_inz00_1535);
								}
							else
								{	/* BackEnd/c_emit.scm 113 */
									BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_strz00_1538,
										(char) (((unsigned char) ' ')));
									{
										obj_t BgL_strz00_3322;

										BgL_strz00_3322 =
											BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1535);
										BgL_strz00_1538 = BgL_strz00_3322;
										goto BgL_zc3anonymousza32047ze3z83_1539;
									}
								}
						}
					}
				}
			}
		}
	}



/* emit-header */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 122 */
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string2374z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			{	/* BackEnd/c_emit.scm 124 */
				obj_t BgL_arg2051z00_1546;

				{	/* BackEnd/c_emit.scm 124 */
					obj_t BgL_pz00_1547;

					{	/* BackEnd/c_emit.scm 124 */

						{	/* BackEnd/c_emit.scm 124 */

							BgL_pz00_1547 =
								BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}}
					bgl_display_obj(BGl_za2srczd2filesza2zd2zzengine_paramz00,
						BgL_pz00_1547);
					BgL_arg2051z00_1546 = bgl_close_output_port(BgL_pz00_1547);
				}
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_arg2051z00_1546,
					(char) (((unsigned char) ' ')));
			}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
				(char) (((unsigned char) ' ')));
			BGl_emitzd2commentzd2zzbackend_c_emitz00(string_append_3
				(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
					BGl_string2375z00zzbackend_c_emitz00,
					BGl_za2bigloozd2dateza2zd2zzengine_paramz00),
				(char) (((unsigned char) ' ')));
			if (CBOOL(BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 131 */
					BGl_emitzd2licensezd2zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c_emit.scm 131 */
					BFALSE;
				}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string2374z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			bgl_display_string(BGl_string2376z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			{	/* BackEnd/c_emit.scm 134 */
				obj_t BgL_arg2054z00_1550;

				BgL_arg2054z00_1550 = BGl_commandzd2linezd2zz__osz00();
				bgl_display_obj(BgL_arg2054z00_1550,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			bgl_display_string(BGl_string2373z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-header */
	obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t BgL_envz00_3174)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 122 */
			return BGl_emitzd2headerzd2zzbackend_c_emitz00();
		}
	}



/* emit-garbage-collector-selection */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 141 */
			{	/* BackEnd/c_emit.scm 142 */
				obj_t BgL_port1990z00_1551;

				BgL_port1990z00_1551 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2377z00zzbackend_c_emitz00,
					BgL_port1990z00_1551);
				bgl_display_char(((unsigned char) '\n'), BgL_port1990z00_1551);
			}
			{	/* BackEnd/c_emit.scm 143 */
				obj_t BgL_casezd2valuezd2_1552;

				BgL_casezd2valuezd2_1552 =
					BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
				if ((BgL_casezd2valuezd2_1552 == CNST_TABLE_REF(((long) 2))))
					{	/* BackEnd/c_emit.scm 145 */
						obj_t BgL_port1991z00_1554;

						BgL_port1991z00_1554 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						bgl_display_string(BGl_string2378z00zzbackend_c_emitz00,
							BgL_port1991z00_1554);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port1991z00_1554);
					}
				else
					{	/* BackEnd/c_emit.scm 143 */
						if ((BgL_casezd2valuezd2_1552 == CNST_TABLE_REF(((long) 3))))
							{	/* BackEnd/c_emit.scm 143 */
								{	/* BackEnd/c_emit.scm 147 */
									obj_t BgL_port1992z00_1556;

									BgL_port1992z00_1556 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2379z00zzbackend_c_emitz00,
										BgL_port1992z00_1556);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port1992z00_1556);
								}
								{	/* BackEnd/c_emit.scm 148 */
									obj_t BgL_port1993z00_1557;

									BgL_port1993z00_1557 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2380z00zzbackend_c_emitz00,
										BgL_port1993z00_1557);
									return bgl_display_char(((unsigned char) '\n'),
										BgL_port1993z00_1557);
							}}
						else
							{	/* BackEnd/c_emit.scm 143 */
								return
									BGl_errorz00zz__errorz00(BGl_string2381z00zzbackend_c_emitz00,
									BGl_string2382z00zzbackend_c_emitz00,
									BGl_za2garbagezd2collectorza2zd2zzengine_paramz00);
							}
					}
			}
		}
	}



/* &emit-garbage-collector-selection */
	obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t
		BgL_envz00_3175)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 141 */
			return BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
		}
	}



/* emit-include */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2includezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 157 */
			{	/* BackEnd/c_emit.scm 159 */
				obj_t BgL_g1997z00_1558;

				BgL_g1997z00_1558 =
					bgl_reverse_bang(BGl_za2includezd2foreignza2zd2zzengine_paramz00);
				{
					obj_t BgL_l1995z00_1560;

					BgL_l1995z00_1560 = BgL_g1997z00_1558;
				BgL_zc3anonymousza32057ze3z83_1561:
					if (PAIRP(BgL_l1995z00_1560))
						{	/* BackEnd/c_emit.scm 160 */
							{	/* BackEnd/c_emit.scm 159 */
								obj_t BgL_iz00_1563;

								BgL_iz00_1563 = CAR(BgL_l1995z00_1560);
								{	/* BackEnd/c_emit.scm 159 */
									obj_t BgL_port1994z00_1564;

									BgL_port1994z00_1564 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2383z00zzbackend_c_emitz00,
										BgL_port1994z00_1564);
									bgl_display_obj(BgL_iz00_1563, BgL_port1994z00_1564);
									bgl_display_string(BGl_string2384z00zzbackend_c_emitz00,
										BgL_port1994z00_1564);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port1994z00_1564);
							}}
							{
								obj_t BgL_l1995z00_3371;

								BgL_l1995z00_3371 = CDR(BgL_l1995z00_1560);
								BgL_l1995z00_1560 = BgL_l1995z00_3371;
								goto BgL_zc3anonymousza32057ze3z83_1561;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 160 */
							((bool_t) 1);
						}
				}
			}
			{	/* BackEnd/c_emit.scm 162 */
				obj_t BgL_g2001z00_1567;

				BgL_g2001z00_1567 =
					bgl_reverse_bang
					(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
				{
					obj_t BgL_l1999z00_1569;

					BgL_l1999z00_1569 = BgL_g2001z00_1567;
				BgL_zc3anonymousza32060ze3z83_1570:
					if (PAIRP(BgL_l1999z00_1569))
						{	/* BackEnd/c_emit.scm 163 */
							{	/* BackEnd/c_emit.scm 162 */
								obj_t BgL_iz00_1572;

								BgL_iz00_1572 = CAR(BgL_l1999z00_1569);
								{	/* BackEnd/c_emit.scm 162 */
									obj_t BgL_port1998z00_1573;

									BgL_port1998z00_1573 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2383z00zzbackend_c_emitz00,
										BgL_port1998z00_1573);
									bgl_display_obj(BgL_iz00_1572, BgL_port1998z00_1573);
									bgl_display_string(BGl_string2384z00zzbackend_c_emitz00,
										BgL_port1998z00_1573);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port1998z00_1573);
							}}
							{
								obj_t BgL_l1999z00_3381;

								BgL_l1999z00_3381 = CDR(BgL_l1999z00_1569);
								BgL_l1999z00_1569 = BgL_l1999z00_3381;
								goto BgL_zc3anonymousza32060ze3z83_1570;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 163 */
							((bool_t) 1);
						}
				}
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-include */
	obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t BgL_envz00_3176)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 157 */
			return BGl_emitzd2includezd2zzbackend_c_emitz00();
		}
	}



/* emit-debug-activation */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 169 */
			{	/* BackEnd/c_emit.scm 170 */
				obj_t BgL_port2002z00_1576;

				BgL_port2002z00_1576 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2385z00zzbackend_c_emitz00,
					BgL_port2002z00_1576);
				bgl_display_char(((unsigned char) '\n'), BgL_port2002z00_1576);
			}
			{	/* BackEnd/c_emit.scm 171 */
				obj_t BgL_port2003z00_1577;

				BgL_port2003z00_1577 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2386z00zzbackend_c_emitz00,
					BgL_port2003z00_1577);
				bgl_display_char(((unsigned char) '\n'), BgL_port2003z00_1577);
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-debug-activation */
	obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t
		BgL_envz00_3177)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 169 */
			return BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
		}
	}



/* emit-main */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 177 */
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			if (PAIRP(BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 180 */
					{	/* BackEnd/c_emit.scm 181 */
						obj_t BgL_port2004z00_1579;

						BgL_port2004z00_1579 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						bgl_display_string(BGl_string2387z00zzbackend_c_emitz00,
							BgL_port2004z00_1579);
						bgl_display_char(((unsigned char) '\n'), BgL_port2004z00_1579);
					}
					{
						obj_t BgL_l2006z00_1581;

						BgL_l2006z00_1581 =
							BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
					BgL_zc3anonymousza32064ze3z83_1582:
						if (PAIRP(BgL_l2006z00_1581))
							{	/* BackEnd/c_emit.scm 182 */
								{	/* BackEnd/c_emit.scm 183 */
									obj_t BgL_fz00_1584;

									BgL_fz00_1584 = CAR(BgL_l2006z00_1581);
									{	/* BackEnd/c_emit.scm 183 */
										obj_t BgL_port2005z00_1585;

										BgL_port2005z00_1585 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										bgl_display_string(BGl_string2388z00zzbackend_c_emitz00,
											BgL_port2005z00_1585);
										bgl_display_obj(BgL_fz00_1584, BgL_port2005z00_1585);
										bgl_display_string(BGl_string2389z00zzbackend_c_emitz00,
											BgL_port2005z00_1585);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port2005z00_1585);
								}}
								{
									obj_t BgL_l2006z00_3403;

									BgL_l2006z00_3403 = CDR(BgL_l2006z00_1581);
									BgL_l2006z00_1581 = BgL_l2006z00_3403;
									goto BgL_zc3anonymousza32064ze3z83_1582;
								}
							}
						else
							{	/* BackEnd/c_emit.scm 182 */
								((bool_t) 1);
							}
					}
					bgl_display_char(((unsigned char) '\n'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 180 */
					BFALSE;
				}
			{	/* BackEnd/c_emit.scm 189 */
				obj_t BgL_port2008z00_1588;

				BgL_port2008z00_1588 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2390z00zzbackend_c_emitz00,
					BgL_port2008z00_1588);
				bgl_display_char(((unsigned char) '\n'), BgL_port2008z00_1588);
			}
			{	/* BackEnd/c_emit.scm 190 */
				obj_t BgL_port2009z00_1589;

				BgL_port2009z00_1589 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2391z00zzbackend_c_emitz00,
					BgL_port2009z00_1589);
				bgl_display_char(((unsigned char) '\n'), BgL_port2009z00_1589);
			}
			{
				obj_t BgL_l2011z00_1591;

				BgL_l2011z00_1591 =
					BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
			BgL_zc3anonymousza32067ze3z83_1592:
				if (PAIRP(BgL_l2011z00_1591))
					{	/* BackEnd/c_emit.scm 191 */
						{	/* BackEnd/c_emit.scm 192 */
							obj_t BgL_fz00_1594;

							BgL_fz00_1594 = CAR(BgL_l2011z00_1591);
							{	/* BackEnd/c_emit.scm 192 */
								obj_t BgL_port2010z00_1595;

								BgL_port2010z00_1595 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								bgl_display_obj(BgL_fz00_1594, BgL_port2010z00_1595);
								bgl_display_string(BGl_string2392z00zzbackend_c_emitz00,
									BgL_port2010z00_1595);
								bgl_display_char(((unsigned char) '\n'), BgL_port2010z00_1595);
						}}
						{
							obj_t BgL_l2011z00_3416;

							BgL_l2011z00_3416 = CDR(BgL_l2011z00_1591);
							BgL_l2011z00_1591 = BgL_l2011z00_3416;
							goto BgL_zc3anonymousza32067ze3z83_1592;
						}
					}
				else
					{	/* BackEnd/c_emit.scm 191 */
						((bool_t) 1);
					}
			}
			{	/* BackEnd/c_emit.scm 194 */
				obj_t BgL_port2013z00_1598;

				BgL_port2013z00_1598 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2393z00zzbackend_c_emitz00,
					BgL_port2013z00_1598);
				bgl_display_char(((unsigned char) '\n'), BgL_port2013z00_1598);
			}
			{	/* BackEnd/c_emit.scm 200 */
				obj_t BgL_port2014z00_1599;

				BgL_port2014z00_1599 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2394z00zzbackend_c_emitz00,
					BgL_port2014z00_1599);
				bgl_display_char(((unsigned char) '\n'), BgL_port2014z00_1599);
			}
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			{	/* BackEnd/c_emit.scm 202 */
				obj_t BgL_port2015z00_1600;

				BgL_port2015z00_1600 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2395z00zzbackend_c_emitz00,
					BgL_port2015z00_1600);
				bgl_display_char(((unsigned char) '\n'), BgL_port2015z00_1600);
			}
			{	/* BackEnd/c_emit.scm 204 */
				obj_t BgL_list2070z00_1601;

				BgL_list2070z00_1601 =
					MAKE_PAIR(BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00, BNIL);
				BGl_fprintfz00zz__r4_output_6_10_3z00
					(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
					BGl_string2396z00zzbackend_c_emitz00, BgL_list2070z00_1601);
			}
			return
				bgl_display_char(((unsigned char) '\n'),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-main */
	obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t BgL_envz00_3178)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 177 */
			return BGl_emitzd2mainzd2zzbackend_c_emitz00();
		}
	}



/* emit-dlopen-init */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt
		BgL_globalz00_6, obj_t BgL_initz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 211 */
			{	/* BackEnd/c_emit.scm 212 */
				obj_t BgL_symz00_1602;

				if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_initz00_7))
					{	/* BackEnd/c_emit.scm 212 */
						BgL_symz00_1602 = bigloo_mangle(BgL_initz00_7);
					}
				else
					{	/* BackEnd/c_emit.scm 212 */
						BgL_symz00_1602 = BgL_initz00_7;
					}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 216 */
					obj_t BgL_port2016z00_1603;

					BgL_port2016z00_1603 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2397z00zzbackend_c_emitz00,
						BgL_port2016z00_1603);
					bgl_display_obj(BgL_symz00_1602, BgL_port2016z00_1603);
					bgl_display_string(BGl_string2398z00zzbackend_c_emitz00,
						BgL_port2016z00_1603);
					bgl_display_char(((unsigned char) '\n'), BgL_port2016z00_1603);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 218 */
					obj_t BgL_port2017z00_1604;

					BgL_port2017z00_1604 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2399z00zzbackend_c_emitz00,
						BgL_port2017z00_1604);
					{	/* BackEnd/c_emit.scm 218 */
						obj_t BgL_arg2071z00_1605;

						BgL_arg2071z00_1605 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_globalz00_6)))->BgL_namez00);
						bgl_display_obj(BgL_arg2071z00_1605, BgL_port2017z00_1604);
					}
					bgl_display_string(BGl_string2400z00zzbackend_c_emitz00,
						BgL_port2017z00_1604);
					bgl_display_obj(CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00),
						BgL_port2017z00_1604);
					bgl_display_string(BGl_string2401z00zzbackend_c_emitz00,
						BgL_port2017z00_1604);
					bgl_display_char(((unsigned char) '\n'), BgL_port2017z00_1604);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 221 */
					obj_t BgL_port2018z00_1607;

					BgL_port2018z00_1607 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2402z00zzbackend_c_emitz00,
						BgL_port2018z00_1607);
					bgl_display_char(((unsigned char) '\n'), BgL_port2018z00_1607);
				}
				return
					bgl_display_char(((unsigned char) '\n'),
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}}
	}



/* &emit-dlopen-init */
	obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t BgL_envz00_3179,
		obj_t BgL_globalz00_3180, obj_t BgL_initz00_3181)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 211 */
			return
				BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
				((BgL_globalz00_bglt) BgL_globalz00_3180), BgL_initz00_3181);
		}
	}



/* llong->c-iso */
	BGL_EXPORTED_DEF obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T BgL_llongz00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 227 */
			if ((BgL_llongz00_8 >= ((BGL_LONGLONG_T) 0)))
				{	/* BackEnd/c_emit.scm 242 */
					return BGl_positivez00zzbackend_c_emitz00(BgL_llongz00_8);
				}
			else
				{	/* BackEnd/c_emit.scm 244 */
					obj_t BgL_arg2075z00_1611;

					{	/* BackEnd/c_emit.scm 244 */
						BGL_LONGLONG_T BgL_arg2076z00_1612;

						if ((BgL_llongz00_8 < ((BGL_LONGLONG_T) 0)))
							{	/* BackEnd/c_emit.scm 244 */
								BgL_arg2076z00_1612 = NEG(BgL_llongz00_8);
							}
						else
							{	/* BackEnd/c_emit.scm 244 */
								BgL_arg2076z00_1612 = BgL_llongz00_8;
							}
						BgL_arg2075z00_1611 =
							BGl_positivez00zzbackend_c_emitz00(BgL_arg2076z00_1612);
					}
					return
						string_append_3(BGl_string2403z00zzbackend_c_emitz00,
						BgL_arg2075z00_1611, BGl_string2404z00zzbackend_c_emitz00);
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zzbackend_c_emitz00(BGL_LONGLONG_T BgL_shiftz00_3191,
		obj_t BgL_sshiftz00_3190, long BgL_bitsz00_3189,
		BGL_LONGLONG_T BgL_maskz00_3188, BGL_LONGLONG_T BgL_allongz00_1620)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 233 */
			if ((BgL_allongz00_1620 >= BgL_shiftz00_3191))
				{	/* BackEnd/c_emit.scm 237 */
					obj_t BgL_arg2080z00_1623;
					obj_t BgL_arg2081z00_1624;

					BgL_arg2080z00_1623 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(BgL_allongz00_1620 & BgL_maskz00_3188), BNIL);
					BgL_arg2081z00_1624 =
						BGl_loopz00zzbackend_c_emitz00(BgL_shiftz00_3191,
						BgL_sshiftz00_3190, BgL_bitsz00_3189, BgL_maskz00_3188,
						(BgL_allongz00_1620 >> (int) (BgL_bitsz00_3189)));
					{	/* BackEnd/c_emit.scm 235 */
						obj_t BgL_list2082z00_1625;

						{	/* BackEnd/c_emit.scm 235 */
							obj_t BgL_arg2083z00_1626;

							{	/* BackEnd/c_emit.scm 235 */
								obj_t BgL_arg2084z00_1627;

								{	/* BackEnd/c_emit.scm 235 */
									obj_t BgL_arg2085z00_1628;

									{	/* BackEnd/c_emit.scm 235 */
										obj_t BgL_arg2086z00_1629;

										{	/* BackEnd/c_emit.scm 235 */
											obj_t BgL_arg2087z00_1630;

											{	/* BackEnd/c_emit.scm 235 */
												obj_t BgL_arg2089z00_1631;

												BgL_arg2089z00_1631 =
													MAKE_PAIR(BGl_string2405z00zzbackend_c_emitz00, BNIL);
												BgL_arg2087z00_1630 =
													MAKE_PAIR(BgL_arg2081z00_1624, BgL_arg2089z00_1631);
											}
											BgL_arg2086z00_1629 =
												MAKE_PAIR(BGl_string2406z00zzbackend_c_emitz00,
												BgL_arg2087z00_1630);
										}
										BgL_arg2085z00_1628 =
											MAKE_PAIR(BgL_sshiftz00_3190, BgL_arg2086z00_1629);
									}
									BgL_arg2084z00_1627 =
										MAKE_PAIR(BGl_string2407z00zzbackend_c_emitz00,
										BgL_arg2085z00_1628);
								}
								BgL_arg2083z00_1626 =
									MAKE_PAIR(BgL_arg2080z00_1623, BgL_arg2084z00_1627);
							}
							BgL_list2082z00_1625 =
								MAKE_PAIR(BGl_string2408z00zzbackend_c_emitz00,
								BgL_arg2083z00_1626);
						}
						return
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2082z00_1625);
					}
				}
			else
				{	/* BackEnd/c_emit.scm 234 */
					return
						string_append_3(BGl_string2409z00zzbackend_c_emitz00,
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_allongz00_1620, BNIL), BGl_string2404z00zzbackend_c_emitz00);
				}
		}
	}



/* positive */
	obj_t BGl_positivez00zzbackend_c_emitz00(BGL_LONGLONG_T BgL_allongz00_1613)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 241 */
			{	/* BackEnd/c_emit.scm 229 */
				BGL_LONGLONG_T BgL_shiftz00_1616;

				BgL_shiftz00_1616 = (((BGL_LONGLONG_T) 1) << (int) (((long) 16)));
				{	/* BackEnd/c_emit.scm 230 */
					obj_t BgL_sshiftz00_1617;

					BgL_sshiftz00_1617 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_shiftz00_1616, BNIL);
					{	/* BackEnd/c_emit.scm 231 */
						BGL_LONGLONG_T BgL_maskz00_1618;

						BgL_maskz00_1618 = (BgL_shiftz00_1616 - ((BGL_LONGLONG_T) 1));
						{	/* BackEnd/c_emit.scm 232 */

							return
								BGl_loopz00zzbackend_c_emitz00(BgL_shiftz00_1616,
								BgL_sshiftz00_1617, ((long) 16), BgL_maskz00_1618,
								BgL_allongz00_1613);
		}}}}}
	}



/* &llong->c-iso */
	obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t BgL_envz00_3182,
		obj_t BgL_llongz00_3183)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 227 */
			return
				BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BLLONG_TO_LLONG
				(BgL_llongz00_3183));
		}
	}



/* emit-atom-value */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 249 */
			if (BOOLEANP(BgL_valuez00_9))
				{	/* BackEnd/c_emit.scm 251 */
					bgl_display_string(BGl_string2410z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 253 */
						obj_t BgL_arg2097z00_1641;

						{	/* BackEnd/c_emit.scm 253 */
							obj_t BgL_arg2098z00_1642;

							{	/* BackEnd/c_emit.scm 253 */
								BgL_typez00_bglt BgL_oz00_2879;

								BgL_oz00_2879 =
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00);
								BgL_arg2098z00_1642 =
									(((BgL_typez00_bglt) CREF(BgL_oz00_2879))->BgL_namez00);
							}
							BgL_arg2097z00_1641 =
								BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_arg2098z00_1642);
						}
						bgl_display_obj(BgL_arg2097z00_1641,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 255 */
						long BgL_arg2099z00_1643;

						if (CBOOL(BgL_valuez00_9))
							{	/* BackEnd/c_emit.scm 255 */
								BgL_arg2099z00_1643 = ((long) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 255 */
								BgL_arg2099z00_1643 = ((long) 0);
							}
						bgl_display_obj(BINT(BgL_arg2099z00_1643),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					return
						bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 251 */
					if (NULLP(BgL_valuez00_9))
						{	/* BackEnd/c_emit.scm 257 */
							return
								bgl_display_string(BGl_string2411z00zzbackend_c_emitz00,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						}
					else
						{	/* BackEnd/c_emit.scm 257 */
							if (CHARP(BgL_valuez00_9))
								{	/* BackEnd/c_emit.scm 259 */
									bgl_display_string(BGl_string2410z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									{	/* BackEnd/c_emit.scm 261 */
										obj_t BgL_arg2102z00_1646;

										{	/* BackEnd/c_emit.scm 261 */
											obj_t BgL_arg2103z00_1647;

											{	/* BackEnd/c_emit.scm 261 */
												BgL_typez00_bglt BgL_oz00_2893;

												BgL_oz00_2893 =
													((BgL_typez00_bglt) BGl_za2charza2z00zztype_cachez00);
												BgL_arg2103z00_1647 =
													(((BgL_typez00_bglt) CREF(BgL_oz00_2893))->
													BgL_namez00);
											}
											BgL_arg2102z00_1646 =
												BGl_stringzd2sanszd2z42z42zztype_toolsz00
												(BgL_arg2103z00_1647);
										}
										bgl_display_obj(BgL_arg2102z00_1646,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									}
									bgl_display_string(BGl_string2404z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									if (((CCHAR(BgL_valuez00_9)) == ((long) 0)))
										{	/* BackEnd/c_emit.scm 263 */
											bgl_display_string(BGl_string2412z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 263 */
											bgl_display_char(((unsigned char) '\''),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											if (((CCHAR(BgL_valuez00_9)) == ((long) 39)))
												{	/* BackEnd/c_emit.scm 267 */
													bgl_display_string
														(BGl_string2413z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 267 */
													{	/* BackEnd/c_emit.scm 270 */
														obj_t BgL_aux1125z00_1651;

														BgL_aux1125z00_1651 = BgL_valuez00_9;
														switch (CCHAR(BgL_aux1125z00_1651))
															{
															case ((unsigned char) '\r'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 'r'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\t'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 't'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\n'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) 'n'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															case ((unsigned char) '\\'):

																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																bgl_display_char(((unsigned char) '\\'),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																break;
															default:
																{	/* BackEnd/c_emit.scm 284 */
																	unsigned char BgL_auxz00_3528;

																	BgL_auxz00_3528 = CCHAR(BgL_valuez00_9);
																	bgl_display_char(BgL_auxz00_3528,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}}}
													bgl_display_char(((unsigned char) '\''),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}}
									return
										bgl_display_char(((unsigned char) ')'),
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
								}
							else
								{	/* BackEnd/c_emit.scm 259 */
									if ((BgL_valuez00_9 == BUNSPEC))
										{	/* BackEnd/c_emit.scm 287 */
											return
												bgl_display_string(BGl_string2414z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 287 */
											if (CNSTP(BgL_valuez00_9))
												{	/* BackEnd/c_emit.scm 289 */
													bgl_display_string
														(BGl_string2415z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													{	/* BackEnd/c_emit.scm 291 */
														long BgL_arg2111z00_1657;

														BgL_arg2111z00_1657 = CCNST(BgL_valuez00_9);
														bgl_display_obj(BINT(BgL_arg2111z00_1657),
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													return
														bgl_display_char(((unsigned char) ')'),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 289 */
													if (STRINGP(BgL_valuez00_9))
														{	/* BackEnd/c_emit.scm 293 */
															bgl_display_char(((unsigned char) '"'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															{	/* BackEnd/c_emit.scm 295 */
																obj_t BgL_arg2114z00_1659;

																BgL_arg2114z00_1659 =
																	BGl_untrigraphz00zzbackend_c_emitz00
																	(string_for_read(BgL_valuez00_9));
																bgl_display_obj(BgL_arg2114z00_1659,
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															}
															return
																bgl_display_char(((unsigned char) '"'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 293 */
															if (INTEGERP(BgL_valuez00_9))
																{	/* BackEnd/c_emit.scm 297 */
																	bgl_display_string
																		(BGl_string2410z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 299 */
																		obj_t BgL_arg2119z00_1662;

																		{	/* BackEnd/c_emit.scm 299 */
																			obj_t BgL_arg2122z00_1663;

																			{	/* BackEnd/c_emit.scm 299 */
																				BgL_typez00_bglt BgL_oz00_2959;

																				BgL_oz00_2959 =
																					((BgL_typez00_bglt)
																					BGl_za2longza2z00zztype_cachez00);
																				BgL_arg2122z00_1663 =
																					(((BgL_typez00_bglt)
																						CREF(BgL_oz00_2959))->BgL_namez00);
																			}
																			BgL_arg2119z00_1662 =
																				BGl_stringzd2sanszd2z42z42zztype_toolsz00
																				(BgL_arg2122z00_1663);
																		}
																		bgl_display_obj(BgL_arg2119z00_1662,
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	bgl_display_string
																		(BGl_string2404z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	bgl_display_obj(BgL_valuez00_9,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	return
																		bgl_display_string
																		(BGl_string2404z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 297 */
																	if (REALP(BgL_valuez00_9))
																		{	/* BackEnd/c_emit.scm 303 */
																			if (BGL_IS_NAN(REAL_TO_DOUBLE
																					(BgL_valuez00_9)))
																				{	/* BackEnd/c_emit.scm 305 */
																					return
																						bgl_display_string
																						(BGl_string2416z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 307 */
																					bool_t BgL_testz00_3568;

																					if (BGL_IS_INF(REAL_TO_DOUBLE
																							(BgL_valuez00_9)))
																						{	/* BackEnd/c_emit.scm 307 */
																							BgL_testz00_3568 =
																								(REAL_TO_DOUBLE(BgL_valuez00_9)
																								> ((double) 0.0));
																						}
																					else
																						{	/* BackEnd/c_emit.scm 307 */
																							BgL_testz00_3568 = ((bool_t) 0);
																						}
																					if (BgL_testz00_3568)
																						{	/* BackEnd/c_emit.scm 307 */
																							return
																								bgl_display_string
																								(BGl_string2417z00zzbackend_c_emitz00,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 307 */
																							if (BGL_IS_INF(REAL_TO_DOUBLE
																									(BgL_valuez00_9)))
																								{	/* BackEnd/c_emit.scm 309 */
																									return
																										bgl_display_string
																										(BGl_string2418z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 309 */
																									bgl_display_string
																										(BGl_string2410z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 313 */
																										obj_t BgL_arg2127z00_1668;

																										{	/* BackEnd/c_emit.scm 313 */
																											obj_t BgL_arg2128z00_1669;

																											{	/* BackEnd/c_emit.scm 313 */
																												BgL_typez00_bglt
																													BgL_oz00_2984;
																												BgL_oz00_2984 =
																													((BgL_typez00_bglt)
																													BGl_za2realza2z00zztype_cachez00);
																												BgL_arg2128z00_1669 =
																													(((BgL_typez00_bglt)
																														CREF
																														(BgL_oz00_2984))->
																													BgL_namez00);
																											}
																											BgL_arg2127z00_1668 =
																												BGl_stringzd2sanszd2z42z42zztype_toolsz00
																												(BgL_arg2128z00_1669);
																										}
																										bgl_display_obj
																											(BgL_arg2127z00_1668,
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									bgl_display_string
																										(BGl_string2404z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									bgl_display_obj
																										(BgL_valuez00_9,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									return
																										bgl_display_string
																										(BGl_string2404z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																						}
																				}
																		}
																	else
																		{	/* BackEnd/c_emit.scm 303 */
																			if (ELONGP(BgL_valuez00_9))
																				{	/* BackEnd/c_emit.scm 317 */
																					bgl_display_string
																						(BGl_string2410z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 319 */
																						obj_t BgL_arg2131z00_1672;

																						{	/* BackEnd/c_emit.scm 319 */
																							obj_t BgL_arg2132z00_1673;

																							{	/* BackEnd/c_emit.scm 319 */
																								BgL_typez00_bglt BgL_oz00_2994;

																								BgL_oz00_2994 =
																									((BgL_typez00_bglt)
																									BGl_za2elongza2z00zztype_cachez00);
																								BgL_arg2132z00_1673 =
																									(((BgL_typez00_bglt)
																										CREF(BgL_oz00_2994))->
																									BgL_namez00);
																							}
																							BgL_arg2131z00_1672 =
																								BGl_stringzd2sanszd2z42z42zztype_toolsz00
																								(BgL_arg2132z00_1673);
																						}
																						bgl_display_obj(BgL_arg2131z00_1672,
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					bgl_display_string
																						(BGl_string2404z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 321 */
																						obj_t BgL_arg2133z00_1674;

																						BgL_arg2133z00_1674 =
																							BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																							(BELONG_TO_LONG(BgL_valuez00_9),
																							BNIL);
																						bgl_display_obj(BgL_arg2133z00_1674,
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					return
																						bgl_display_string
																						(BGl_string2404z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 317 */
																					if (LLONGP(BgL_valuez00_9))
																						{	/* BackEnd/c_emit.scm 324 */
																							obj_t BgL_arg2136z00_1677;

																							BgL_arg2136z00_1677 =
																								BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
																								(BLLONG_TO_LLONG
																								(BgL_valuez00_9));
																							return
																								bgl_display_obj
																								(BgL_arg2136z00_1677,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 323 */
																							if (BIGNUMP(BgL_valuez00_9))
																								{	/* BackEnd/c_emit.scm 325 */
																									bgl_display_string
																										(BGl_string2419z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 327 */
																										obj_t BgL_arg2138z00_1679;

																										BgL_arg2138z00_1679 =
																											BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																											(BgL_valuez00_9,
																											BINT(((long) 16)));
																										bgl_display_obj
																											(BgL_arg2138z00_1679,
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									return
																										bgl_display_string
																										(BGl_string2420z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 325 */
																									return
																										bgl_display_obj
																										(BgL_valuez00_9,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &emit-atom-value */
	obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t BgL_envz00_3184,
		obj_t BgL_valuez00_3185)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 249 */
			return BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(BgL_valuez00_3185);
		}
	}



/* untrigraph */
	BGL_EXPORTED_DEF obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t
		BgL_fromz00_10)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 338 */
			{	/* BackEnd/c_emit.scm 339 */
				long BgL_lenz00_1680;

				BgL_lenz00_1680 = STRING_LENGTH(BgL_fromz00_10);
				{	/* BackEnd/c_emit.scm 339 */
					long BgL_lenzd22zd2_1681;

					BgL_lenzd22zd2_1681 = (BgL_lenz00_1680 - ((long) 2));
					{	/* BackEnd/c_emit.scm 340 */

						{	/* BackEnd/c_emit.scm 342 */
							long BgL_nbzd2colzd2_1682;

							{
								long BgL_iz00_1721;
								long BgL_nbzd2colzd2_1722;

								BgL_iz00_1721 = ((long) 0);
								BgL_nbzd2colzd2_1722 = ((long) 0);
							BgL_zc3anonymousza32173ze3z83_1723:
								if ((BgL_iz00_1721 > BgL_lenzd22zd2_1681))
									{	/* BackEnd/c_emit.scm 345 */
										BgL_nbzd2colzd2_1682 = BgL_nbzd2colzd2_1722;
									}
								else
									{	/* BackEnd/c_emit.scm 345 */
										if (
											(STRING_REF(BgL_fromz00_10,
													BgL_iz00_1721) == ((unsigned char) '?')))
											{	/* BackEnd/c_emit.scm 347 */
												if (
													(STRING_REF(BgL_fromz00_10,
															(BgL_iz00_1721 + ((long) 1))) ==
														((unsigned char) '?')))
													{
														long BgL_nbzd2colzd2_3626;
														long BgL_iz00_3624;

														BgL_iz00_3624 = (BgL_iz00_1721 + ((long) 2));
														BgL_nbzd2colzd2_3626 =
															(BgL_nbzd2colzd2_1722 + ((long) 1));
														BgL_nbzd2colzd2_1722 = BgL_nbzd2colzd2_3626;
														BgL_iz00_1721 = BgL_iz00_3624;
														goto BgL_zc3anonymousza32173ze3z83_1723;
													}
												else
													{
														long BgL_iz00_3628;

														BgL_iz00_3628 = (BgL_iz00_1721 + ((long) 2));
														BgL_iz00_1721 = BgL_iz00_3628;
														goto BgL_zc3anonymousza32173ze3z83_1723;
													}
											}
										else
											{
												long BgL_iz00_3630;

												BgL_iz00_3630 = (BgL_iz00_1721 + ((long) 1));
												BgL_iz00_1721 = BgL_iz00_3630;
												goto BgL_zc3anonymousza32173ze3z83_1723;
											}
									}
							}
							if ((BgL_nbzd2colzd2_1682 == ((long) 0)))
								{	/* BackEnd/c_emit.scm 354 */
									return BgL_fromz00_10;
								}
							else
								{	/* BackEnd/c_emit.scm 359 */
									obj_t BgL_resz00_1684;

									{	/* BackEnd/c_emit.scm 359 */
										long BgL_arg2168z00_1715;

										BgL_arg2168z00_1715 =
											(BgL_lenz00_1680 +
											(((long) 3) * (BgL_nbzd2colzd2_1682 * ((long) 2))));
										{	/* BackEnd/c_emit.scm 359 */

											{	/* BackEnd/c_emit.scm 359 */
												obj_t BgL_res2345z00_3057;

												{	/* BackEnd/c_emit.scm 359 */
													obj_t BgL_charz00_3056;

													BgL_charz00_3056 = BCHAR(((unsigned char) ' '));
													BgL_res2345z00_3057 =
														make_string(BgL_arg2168z00_1715,
														CCHAR(BgL_charz00_3056));
												}
												BgL_resz00_1684 = BgL_res2345z00_3057;
									}}}
									{
										long BgL_rz00_1687;
										long BgL_wz00_1688;

										BgL_rz00_1687 = ((long) 0);
										BgL_wz00_1688 = ((long) 0);
									BgL_zc3anonymousza32140ze3z83_1689:
										if ((BgL_rz00_1687 == BgL_lenz00_1680))
											{	/* BackEnd/c_emit.scm 364 */
												return BgL_resz00_1684;
											}
										else
											{	/* BackEnd/c_emit.scm 366 */
												bool_t BgL_testz00_3642;

												if (
													(STRING_REF(BgL_fromz00_10,
															BgL_rz00_1687) == ((unsigned char) '?')))
													{	/* BackEnd/c_emit.scm 366 */
														BgL_testz00_3642 =
															(BgL_rz00_1687 > BgL_lenzd22zd2_1681);
													}
												else
													{	/* BackEnd/c_emit.scm 366 */
														BgL_testz00_3642 = ((bool_t) 1);
													}
												if (BgL_testz00_3642)
													{	/* BackEnd/c_emit.scm 366 */
														{	/* BackEnd/c_emit.scm 368 */
															unsigned char BgL_auxz00_3647;

															BgL_auxz00_3647 =
																STRING_REF(BgL_fromz00_10, BgL_rz00_1687);
															STRING_SET(BgL_resz00_1684, BgL_wz00_1688,
																BgL_auxz00_3647);
														}
														{
															long BgL_wz00_3652;
															long BgL_rz00_3650;

															BgL_rz00_3650 = (BgL_rz00_1687 + ((long) 1));
															BgL_wz00_3652 = (BgL_wz00_1688 + ((long) 1));
															BgL_wz00_1688 = BgL_wz00_3652;
															BgL_rz00_1687 = BgL_rz00_3650;
															goto BgL_zc3anonymousza32140ze3z83_1689;
														}
													}
												else
													{	/* BackEnd/c_emit.scm 366 */
														if (
															(STRING_REF(BgL_fromz00_10,
																	(BgL_rz00_1687 + ((long) 1))) ==
																((unsigned char) '?')))
															{	/* BackEnd/c_emit.scm 370 */
																STRING_SET(BgL_resz00_1684, BgL_wz00_1688,
																	((unsigned char) '\\'));
																{	/* BackEnd/c_emit.scm 377 */
																	long BgL_auxz00_3659;

																	BgL_auxz00_3659 =
																		(BgL_wz00_1688 + ((long) 1));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3659,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 378 */
																	long BgL_auxz00_3662;

																	BgL_auxz00_3662 =
																		(BgL_wz00_1688 + ((long) 2));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3662,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 379 */
																	long BgL_auxz00_3665;

																	BgL_auxz00_3665 =
																		(BgL_wz00_1688 + ((long) 3));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3665,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 380 */
																	long BgL_auxz00_3668;

																	BgL_auxz00_3668 =
																		(BgL_wz00_1688 + ((long) 4));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3668,
																		((unsigned char) '\\'));
																}
																{	/* BackEnd/c_emit.scm 381 */
																	long BgL_auxz00_3671;

																	BgL_auxz00_3671 =
																		(BgL_wz00_1688 + ((long) 5));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3671,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 382 */
																	long BgL_auxz00_3674;

																	BgL_auxz00_3674 =
																		(BgL_wz00_1688 + ((long) 6));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3674,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 383 */
																	long BgL_auxz00_3677;

																	BgL_auxz00_3677 =
																		(BgL_wz00_1688 + ((long) 7));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3677,
																		((unsigned char) '7'));
																}
																{
																	long BgL_wz00_3682;
																	long BgL_rz00_3680;

																	BgL_rz00_3680 = (BgL_rz00_1687 + ((long) 2));
																	BgL_wz00_3682 = (BgL_wz00_1688 + ((long) 8));
																	BgL_wz00_1688 = BgL_wz00_3682;
																	BgL_rz00_1687 = BgL_rz00_3680;
																	goto BgL_zc3anonymousza32140ze3z83_1689;
																}
															}
														else
															{	/* BackEnd/c_emit.scm 370 */
																STRING_SET(BgL_resz00_1684, BgL_wz00_1688,
																	((unsigned char) '?'));
																{	/* BackEnd/c_emit.scm 372 */
																	unsigned char BgL_auxz00_3687;
																	long BgL_auxz00_3685;

																	BgL_auxz00_3687 =
																		STRING_REF(BgL_fromz00_10,
																		(BgL_rz00_1687 + ((long) 1)));
																	BgL_auxz00_3685 =
																		(BgL_wz00_1688 + ((long) 1));
																	STRING_SET(BgL_resz00_1684, BgL_auxz00_3685,
																		BgL_auxz00_3687);
																}
																{
																	long BgL_wz00_3693;
																	long BgL_rz00_3691;

																	BgL_rz00_3691 = (BgL_rz00_1687 + ((long) 2));
																	BgL_wz00_3693 = (BgL_wz00_1688 + ((long) 2));
																	BgL_wz00_1688 = BgL_wz00_3693;
																	BgL_rz00_1687 = BgL_rz00_3691;
																	goto BgL_zc3anonymousza32140ze3z83_1689;
																}
															}
													}
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &untrigraph */
	obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t BgL_envz00_3186,
		obj_t BgL_fromz00_3187)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 338 */
			return BGl_untrigraphz00zzbackend_c_emitz00(BgL_fromz00_3187);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztools_licensez00(((long) 110617375),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(((long) 470780691),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(((long) 371489745),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
			return
				BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2421z00zzbackend_c_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
