/*===========================================================================*/
/*   (Cfa/set.scm)                                                           */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/set.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;


	BGL_EXPORTED_DECL obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62setzd2extendz12za2zzcfa_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2lengthzb0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ze3vectorz53zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62declarezd2setz12za2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_setz00();
	static obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_setz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	static obj_t BGl_z62makezd2setz12za2zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzf3zf3zzcfa_setz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setz00 = BUNSPEC;
	static obj_t BGl_z62setzd2ze3listz53zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_setz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2memberzf3z43zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2unionz12za2zzcfa_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_setz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
	static obj_t BGl_z62setzd2forzd2eachz62zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62setzf3z91zzcfa_setz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2memberzf3zd2envzf3zzcfa_setz00,
		BgL_bgl_za762setza7d2memberza72992za7,
		BGl_z62setzd2memberzf3z43zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3vectorzd2envze3zzcfa_setz00,
		BgL_bgl_za762setza7d2za7e3vect2993za7,
		BGl_z62setzd2ze3vectorz53zzcfa_setz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3listzd2envze3zzcfa_setz00,
		BgL_bgl_za762setza7d2za7e3list2994za7, BGl_z62setzd2ze3listz53zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2984z00zzcfa_setz00,
		BgL_bgl_string2984za700za7za7c2995za7, "make-set", 8);
	      DEFINE_STRING(BGl_string2985z00zzcfa_setz00,
		BgL_bgl_string2985za700za7za7c2996za7, "Not a meta-set", 14);
	      DEFINE_STRING(BGl_string2986z00zzcfa_setz00,
		BgL_bgl_string2986za700za7za7c2997za7, "set-union!", 10);
	      DEFINE_STRING(BGl_string2987z00zzcfa_setz00,
		BgL_bgl_string2987za700za7za7c2998za7, "Incompatible sets", 17);
	      DEFINE_STRING(BGl_string2988z00zzcfa_setz00,
		BgL_bgl_string2988za700za7za7c2999za7, "cfa_set", 7);
	      DEFINE_STRING(BGl_string2989z00zzcfa_setz00,
		BgL_bgl_string2989za700za7za7c3000za7, "large-set meta-set ", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762makeza7d2setza7123001za7, BGl_z62makezd2setz12za2zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2forzd2eachzd2envzd2zzcfa_setz00,
		BgL_bgl_za762setza7d2forza7d2e3002za7,
		BGl_z62setzd2forzd2eachz62zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2lengthzd2envz00zzcfa_setz00,
		BgL_bgl_za762setza7d2lengthza73003za7, BGl_z62setzd2lengthzb0zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2unionz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762setza7d2unionza713004za7, va_generic_entry,
		BGl_z62setzd2unionz12za2zzcfa_setz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2extendz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762setza7d2extendza73005za7,
		BGl_z62setzd2extendz12za2zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzf3zd2envz21zzcfa_setz00,
		BgL_bgl_za762setza7f3za791za7za7cf3006za7, BGl_z62setzf3z91zzcfa_setz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762declareza7d2set3007z00, BGl_z62declarezd2setz12za2zzcfa_setz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long
		BgL_checksumz00_4775, char *BgL_fromz00_4776)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
					BGl_cnstzd2initzd2zzcfa_setz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setz00();
					BGl_toplevelzd2initzd2zzcfa_setz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_set");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			{	/* Cfa/set.scm 15 */
				obj_t BgL_cportz00_4767;

				BgL_cportz00_4767 =
					bgl_open_input_string(BGl_string2989z00zzcfa_setz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4768;

					BgL_iz00_4768 = ((long) 1);
				BgL_loopz00_4769:
					if ((BgL_iz00_4768 == ((long) -1)))
						{	/* Cfa/set.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/set.scm 15 */
							{	/* Cfa/set.scm 15 */
								obj_t BgL_arg2991z00_4771;

								{	/* Cfa/set.scm 15 */

									{	/* Cfa/set.scm 15 */
										obj_t BgL_locationz00_4773;

										BgL_locationz00_4773 = BBOOL(((bool_t) 0));
										{	/* Cfa/set.scm 15 */

											BgL_arg2991z00_4771 =
												BGl_readz00zz__readerz00(BgL_cportz00_4767,
												BgL_locationz00_4773);
										}
									}
								}
								{	/* Cfa/set.scm 15 */
									int BgL_auxz00_4799;

									BgL_auxz00_4799 = (int) (BgL_iz00_4768);
									CNST_TABLE_SET(BgL_auxz00_4799, BgL_arg2991z00_4771);
							}}
							{	/* Cfa/set.scm 15 */
								int BgL_auxz00_4774;

								BgL_auxz00_4774 = (int) ((BgL_iz00_4768 - ((long) 1)));
								{
									long BgL_iz00_4804;

									BgL_iz00_4804 = (long) (BgL_auxz00_4774);
									BgL_iz00_4768 = BgL_iz00_4804;
									goto BgL_loopz00_4769;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}
	}



/* declare-set! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t
		BgL_tablez00_23)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 45 */
			{	/* Cfa/set.scm 46 */
				int BgL_cardinalz00_2605;

				BgL_cardinalz00_2605 = VECTOR_LENGTH(BgL_tablez00_23);
				{	/* Cfa/set.scm 46 */
					long BgL_quotientz00_2606;

					{	/* Cfa/set.scm 47 */
						long BgL_res2929z00_4471;

						{	/* Cfa/set.scm 47 */
							long BgL_auxz00_4807;

							BgL_auxz00_4807 = (long) (BgL_cardinalz00_2605);
							BgL_res2929z00_4471 = (BgL_auxz00_4807 / ((long) 8));
						}
						BgL_quotientz00_2606 = BgL_res2929z00_4471;
					}
					{	/* Cfa/set.scm 47 */
						long BgL_remainderz00_2607;

						{	/* Cfa/set.scm 48 */
							long BgL_res2930z00_4474;

							{	/* Cfa/set.scm 48 */
								long BgL_auxz00_4810;

								BgL_auxz00_4810 = (long) (BgL_cardinalz00_2605);
								BgL_res2930z00_4474 = (BgL_auxz00_4810 % ((long) 8));
							}
							BgL_remainderz00_2607 = BgL_res2930z00_4474;
						}
						{	/* Cfa/set.scm 48 */
							long BgL_siza7eza7_2608;

							if ((BgL_remainderz00_2607 == ((long) 0)))
								{	/* Cfa/set.scm 49 */
									BgL_siza7eza7_2608 = (BgL_quotientz00_2606 + ((long) 1));
								}
							else
								{	/* Cfa/set.scm 49 */
									BgL_siza7eza7_2608 = (BgL_quotientz00_2606 + ((long) 2));
								}
							{	/* Cfa/set.scm 49 */

								{
									long BgL_iz00_2610;
									long BgL_quotientz00_2611;
									long BgL_maskz00_2612;

									BgL_iz00_2610 = ((long) 0);
									BgL_quotientz00_2611 = ((long) 0);
									BgL_maskz00_2612 = ((long) 1);
								BgL_zc3anonymousza32688ze3z83_2613:
									if ((BgL_iz00_2610 == (long) (BgL_cardinalz00_2605)))
										{	/* Cfa/set.scm 39 */
											obj_t BgL_newz00_4489;

											BgL_newz00_4489 =
												create_struct(CNST_TABLE_REF(((long) 0)),
												(int) (((long) 2)));
											{	/* Cfa/set.scm 39 */
												obj_t BgL_auxz00_4825;
												int BgL_auxz00_4823;

												BgL_auxz00_4825 = BINT(BgL_siza7eza7_2608);
												BgL_auxz00_4823 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_4489, BgL_auxz00_4823,
													BgL_auxz00_4825);
											}
											{	/* Cfa/set.scm 39 */
												int BgL_auxz00_4828;

												BgL_auxz00_4828 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_4489, BgL_auxz00_4828,
													BgL_tablez00_23);
											}
											return BgL_newz00_4489;
										}
									else
										{	/* Cfa/set.scm 54 */
											if ((BgL_maskz00_2612 == ((long) 256)))
												{
													long BgL_maskz00_4835;
													long BgL_quotientz00_4833;

													BgL_quotientz00_4833 =
														(BgL_quotientz00_2611 + ((long) 1));
													BgL_maskz00_4835 = ((long) 1);
													BgL_maskz00_2612 = BgL_maskz00_4835;
													BgL_quotientz00_2611 = BgL_quotientz00_4833;
													goto BgL_zc3anonymousza32688ze3z83_2613;
												}
											else
												{	/* Cfa/set.scm 56 */
													{	/* Cfa/set.scm 59 */
														obj_t BgL_arg2693z00_2617;
														obj_t BgL_arg2694z00_2618;

														BgL_arg2693z00_2617 =
															VECTOR_REF(BgL_tablez00_23,
															(int) (BgL_iz00_2610));
														BgL_arg2694z00_2618 =
															MAKE_PAIR(BINT(BgL_quotientz00_2611),
															BINT(BgL_maskz00_2612));
														{	/* Cfa/set.scm 59 */
															BgL_nodezf2effectzf2_bglt BgL_nodez00_4508;

															BgL_nodez00_4508 =
																((BgL_nodezf2effectzf2_bglt)
																BgL_arg2693z00_2617);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(BgL_nodez00_4508))->BgL_keyz00) =
																((obj_t) BgL_arg2694z00_2618), BUNSPEC);
													}}
													{
														long BgL_maskz00_4845;
														long BgL_iz00_4843;

														BgL_iz00_4843 = (BgL_iz00_2610 + ((long) 1));
														BgL_maskz00_4845 = (BgL_maskz00_2612 * ((long) 2));
														BgL_maskz00_2612 = BgL_maskz00_4845;
														BgL_iz00_2610 = BgL_iz00_4843;
														goto BgL_zc3anonymousza32688ze3z83_2613;
													}
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &declare-set! */
	obj_t BGl_z62declarezd2setz12za2zzcfa_setz00(obj_t BgL_envz00_4741,
		obj_t BgL_tablez00_4742)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 45 */
			return BGl_declarezd2setz12zc0zzcfa_setz00(BgL_tablez00_4742);
		}
	}



/* make-set! */
	BGL_EXPORTED_DEF obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t
		BgL_metazd2setzd2_24)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 65 */
			{	/* Cfa/set.scm 67 */
				bool_t BgL_testz00_4848;

				if (STRUCTP(BgL_metazd2setzd2_24))
					{	/* Cfa/set.scm 39 */
						BgL_testz00_4848 =
							(STRUCT_KEY(BgL_metazd2setzd2_24) == CNST_TABLE_REF(((long) 0)));
					}
				else
					{	/* Cfa/set.scm 39 */
						BgL_testz00_4848 = ((bool_t) 0);
					}
				if (BgL_testz00_4848)
					{	/* Cfa/set.scm 70 */
						obj_t BgL_arg2699z00_2624;

						{	/* Cfa/set.scm 70 */
							obj_t BgL_arg2700z00_2625;

							BgL_arg2700z00_2625 =
								STRUCT_REF(BgL_metazd2setzd2_24, (int) (((long) 1)));
							BgL_arg2699z00_2624 =
								make_string(
								(long) CINT(BgL_arg2700z00_2625), ((unsigned char) '\000'));
						}
						{	/* Cfa/set.scm 70 */
							obj_t BgL_metaz00_4533;

							BgL_metaz00_4533 = BgL_metazd2setzd2_24;
							{	/* Cfa/set.scm 40 */
								obj_t BgL_newz00_4534;

								BgL_newz00_4534 =
									create_struct(CNST_TABLE_REF(((long) 1)), (int) (((long) 2)));
								{	/* Cfa/set.scm 40 */
									int BgL_auxz00_4861;

									BgL_auxz00_4861 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_4534, BgL_auxz00_4861,
										BgL_metaz00_4533);
								}
								{	/* Cfa/set.scm 40 */
									int BgL_auxz00_4864;

									BgL_auxz00_4864 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_4534, BgL_auxz00_4864,
										BgL_arg2699z00_2624);
								}
								return BgL_newz00_4534;
							}
						}
					}
				else
					{	/* Cfa/set.scm 67 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2984z00zzcfa_setz00, BGl_string2985z00zzcfa_setz00,
							BGl_shapez00zztools_shapez00(BgL_metazd2setzd2_24));
					}
			}
		}
	}



/* &make-set! */
	obj_t BGl_z62makezd2setz12za2zzcfa_setz00(obj_t BgL_envz00_4743,
		obj_t BgL_metazd2setzd2_4744)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 65 */
			return BGl_makezd2setz12zc0zzcfa_setz00(BgL_metazd2setzd2_4744);
		}
	}



/* set? */
	BGL_EXPORTED_DEF bool_t BGl_setzf3zf3zzcfa_setz00(obj_t BgL_objz00_25)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 76 */
			if (STRUCTP(BgL_objz00_25))
				{	/* Cfa/set.scm 40 */
					return (STRUCT_KEY(BgL_objz00_25) == CNST_TABLE_REF(((long) 1)));
				}
			else
				{	/* Cfa/set.scm 40 */
					return ((bool_t) 0);
				}
		}
	}



/* &set? */
	obj_t BGl_z62setzf3z91zzcfa_setz00(obj_t BgL_envz00_4745,
		obj_t BgL_objz00_4746)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 76 */
			return BBOOL(BGl_setzf3zf3zzcfa_setz00(BgL_objz00_4746));
		}
	}



/* set-extend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t BgL_setz00_26,
		obj_t BgL_objz00_27)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 82 */
			{	/* Cfa/set.scm 83 */
				obj_t BgL_keyz00_2627;

				BgL_keyz00_2627 =
					(((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_objz00_27)))->BgL_keyz00);
				{	/* Cfa/set.scm 83 */
					obj_t BgL_thezd2setzd2_2628;

					BgL_thezd2setzd2_2628 = STRUCT_REF(BgL_setz00_26, (int) (((long) 0)));
					{	/* Cfa/set.scm 84 */
						obj_t BgL_quotientz00_2629;

						BgL_quotientz00_2629 = CAR(BgL_keyz00_2627);
						{	/* Cfa/set.scm 85 */
							obj_t BgL_maskz00_2630;

							BgL_maskz00_2630 = CDR(BgL_keyz00_2627);
							{	/* Cfa/set.scm 86 */

								{	/* Cfa/set.scm 87 */
									unsigned char BgL_auxz00_4885;
									long BgL_auxz00_4883;

									BgL_auxz00_4885 =
										(
										((long) CINT(BgL_maskz00_2630)) |
										STRING_REF(BgL_thezd2setzd2_2628,
											(long) CINT(BgL_quotientz00_2629)));
									BgL_auxz00_4883 = (long) CINT(BgL_quotientz00_2629);
									STRING_SET(BgL_thezd2setzd2_2628, BgL_auxz00_4883,
										BgL_auxz00_4885);
								}
								return BUNSPEC;
							}
						}
					}
				}
			}
		}
	}



/* &set-extend! */
	obj_t BGl_z62setzd2extendz12za2zzcfa_setz00(obj_t BgL_envz00_4747,
		obj_t BgL_setz00_4748, obj_t BgL_objz00_4749)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 82 */
			return
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_4748, BgL_objz00_4749);
		}
	}



/* set-member? */
	BGL_EXPORTED_DEF obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t BgL_setz00_28,
		obj_t BgL_objz00_29)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 96 */
			{	/* Cfa/set.scm 97 */
				obj_t BgL_keyz00_2634;

				BgL_keyz00_2634 =
					(((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_objz00_29)))->BgL_keyz00);
				{	/* Cfa/set.scm 100 */

					{	/* Cfa/set.scm 101 */
						bool_t BgL_auxz00_4895;

						{	/* Cfa/set.scm 101 */
							long BgL_auxz00_4896;

							{	/* Cfa/set.scm 101 */
								long BgL_auxz00_4900;
								long BgL_auxz00_4897;

								{	/* Cfa/set.scm 101 */
									unsigned char BgL_auxz00_4901;

									{	/* Cfa/set.scm 101 */
										obj_t BgL_stringz00_4579;

										BgL_stringz00_4579 =
											STRUCT_REF(BgL_setz00_28, (int) (((long) 0)));
										{	/* Cfa/set.scm 101 */
											long BgL_auxz00_4904;

											{	/* Cfa/set.scm 99 */
												obj_t BgL_pairz00_4577;

												BgL_pairz00_4577 = BgL_keyz00_2634;
												BgL_auxz00_4904 = (long) CINT(CAR(BgL_pairz00_4577));
											}
											BgL_auxz00_4901 =
												STRING_REF(BgL_stringz00_4579, BgL_auxz00_4904);
									}}
									BgL_auxz00_4900 = (BgL_auxz00_4901);
								}
								{	/* Cfa/set.scm 100 */
									obj_t BgL_pairz00_4578;

									BgL_pairz00_4578 = BgL_keyz00_2634;
									BgL_auxz00_4897 = (long) CINT(CDR(BgL_pairz00_4578));
								}
								BgL_auxz00_4896 = (BgL_auxz00_4897 & BgL_auxz00_4900);
							}
							BgL_auxz00_4895 = (BgL_auxz00_4896 > ((long) 0));
						}
						return BBOOL(BgL_auxz00_4895);
					}
				}
			}
		}
	}



/* &set-member? */
	obj_t BGl_z62setzd2memberzf3z43zzcfa_setz00(obj_t BgL_envz00_4750,
		obj_t BgL_setz00_4751, obj_t BgL_objz00_4752)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 96 */
			return
				BGl_setzd2memberzf3z21zzcfa_setz00(BgL_setz00_4751, BgL_objz00_4752);
		}
	}



/* set-union-2! */
	obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t BgL_dstz00_30,
		obj_t BgL_srcz00_31)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 109 */
			{

				{	/* Cfa/set.scm 126 */
					bool_t BgL_testz00_4913;

					if (STRUCTP(BgL_srcz00_31))
						{	/* Cfa/set.scm 40 */
							BgL_testz00_4913 =
								(STRUCT_KEY(BgL_srcz00_31) == CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* Cfa/set.scm 40 */
							BgL_testz00_4913 = ((bool_t) 0);
						}
					if (BgL_testz00_4913)
						{	/* Cfa/set.scm 126 */
							if (
								(STRING_LENGTH(STRUCT_REF(BgL_dstz00_30,
											(int) (((long) 0)))) ==
									STRING_LENGTH(STRUCT_REF(BgL_srcz00_31, (int) (((long) 0))))))
								{	/* Cfa/set.scm 131 */
									bool_t BgL_auxz00_4927;

									{	/* Cfa/set.scm 111 */
										obj_t BgL_thezd2dstzd2_2651;
										obj_t BgL_thezd2srczd2_2652;

										BgL_thezd2dstzd2_2651 =
											STRUCT_REF(BgL_dstz00_30, (int) (((long) 0)));
										BgL_thezd2srczd2_2652 =
											STRUCT_REF(BgL_srcz00_31, (int) (((long) 0)));
										{	/* Cfa/set.scm 113 */
											long BgL_g1146z00_2653;

											{	/* Cfa/set.scm 113 */
												long BgL_auxz00_4932;

												{	/* Cfa/set.scm 39 */
													obj_t BgL_sz00_4600;

													BgL_sz00_4600 =
														STRUCT_REF(BgL_dstz00_30, (int) (((long) 1)));
													BgL_auxz00_4932 =
														(long) CINT(STRUCT_REF(BgL_sz00_4600,
															(int) (((long) 1))));
												}
												BgL_g1146z00_2653 = (BgL_auxz00_4932 - ((long) 1));
											}
											{
												long BgL_iz00_2655;
												bool_t BgL_resz00_2656;

												BgL_iz00_2655 = BgL_g1146z00_2653;
												BgL_resz00_2656 = ((bool_t) 0);
											BgL_zc3anonymousza32719ze3z83_2657:
												if ((BgL_iz00_2655 == ((long) -1)))
													{	/* Cfa/set.scm 116 */
														BgL_auxz00_4927 = BgL_resz00_2656;
													}
												else
													{	/* Cfa/set.scm 118 */
														unsigned char BgL_oldz00_2659;
														unsigned char BgL_newz00_2660;

														BgL_oldz00_2659 =
															STRING_REF(BgL_thezd2dstzd2_2651, BgL_iz00_2655);
														BgL_newz00_2660 =
															(STRING_REF(BgL_thezd2dstzd2_2651,
																BgL_iz00_2655) |
															STRING_REF(BgL_thezd2srczd2_2652, BgL_iz00_2655));
														if ((BgL_newz00_2660 == BgL_oldz00_2659))
															{
																long BgL_iz00_4947;

																BgL_iz00_4947 = (BgL_iz00_2655 - ((long) 1));
																BgL_iz00_2655 = BgL_iz00_4947;
																goto BgL_zc3anonymousza32719ze3z83_2657;
															}
														else
															{	/* Cfa/set.scm 121 */
																STRING_SET(BgL_thezd2dstzd2_2651, BgL_iz00_2655,
																	BgL_newz00_2660);
																{
																	bool_t BgL_resz00_4952;
																	long BgL_iz00_4950;

																	BgL_iz00_4950 = (BgL_iz00_2655 - ((long) 1));
																	BgL_resz00_4952 = ((bool_t) 1);
																	BgL_resz00_2656 = BgL_resz00_4952;
																	BgL_iz00_2655 = BgL_iz00_4950;
																	goto BgL_zc3anonymousza32719ze3z83_2657;
																}
															}
													}
											}
										}
									}
									return BBOOL(BgL_auxz00_4927);
								}
							else
								{	/* Cfa/set.scm 128 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2986z00zzcfa_setz00,
										BGl_string2987z00zzcfa_setz00,
										BGl_shapez00zztools_shapez00(BgL_srcz00_31));
								}
						}
					else
						{	/* Cfa/set.scm 126 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string2986z00zzcfa_setz00, BGl_string2987z00zzcfa_setz00,
								BGl_shapez00zztools_shapez00(BgL_srcz00_31));
						}
				}
			}
		}
	}



/* set-union! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t BgL_dstz00_32,
		obj_t BgL_srcza2za2_33)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 139 */
			if (NULLP(BgL_srcza2za2_33))
				{	/* Cfa/set.scm 141 */
					return BgL_dstz00_32;
				}
			else
				{	/* Cfa/set.scm 141 */
					if (NULLP(CDR(BgL_srcza2za2_33)))
						{	/* Cfa/set.scm 143 */
							return
								BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_32,
								CAR(BgL_srcza2za2_33));
						}
					else
						{
							obj_t BgL_srcza2za2_2674;
							obj_t BgL_resz00_2675;

							BgL_srcza2za2_2674 = BgL_srcza2za2_33;
							BgL_resz00_2675 = BFALSE;
						BgL_zc3anonymousza32732ze3z83_2676:
							if (NULLP(BgL_srcza2za2_2674))
								{	/* Cfa/set.scm 148 */
									return BgL_resz00_2675;
								}
							else
								{	/* Cfa/set.scm 150 */
									obj_t BgL_arg2734z00_2678;
									obj_t BgL_arg2735z00_2679;

									BgL_arg2734z00_2678 = CDR(BgL_srcza2za2_2674);
									{	/* Cfa/set.scm 151 */
										obj_t BgL__ortest_1147z00_2680;

										BgL__ortest_1147z00_2680 =
											BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_32,
											CAR(BgL_srcza2za2_2674));
										if (CBOOL(BgL__ortest_1147z00_2680))
											{	/* Cfa/set.scm 151 */
												BgL_arg2735z00_2679 = BgL__ortest_1147z00_2680;
											}
										else
											{	/* Cfa/set.scm 151 */
												BgL_arg2735z00_2679 = BgL_resz00_2675;
											}
									}
									{
										obj_t BgL_resz00_4973;
										obj_t BgL_srcza2za2_4972;

										BgL_srcza2za2_4972 = BgL_arg2734z00_2678;
										BgL_resz00_4973 = BgL_arg2735z00_2679;
										BgL_resz00_2675 = BgL_resz00_4973;
										BgL_srcza2za2_2674 = BgL_srcza2za2_4972;
										goto BgL_zc3anonymousza32732ze3z83_2676;
									}
								}
						}
				}
		}
	}



/* &set-union! */
	obj_t BGl_z62setzd2unionz12za2zzcfa_setz00(obj_t BgL_envz00_4753,
		obj_t BgL_dstz00_4754, obj_t BgL_srcza2za2_4755)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 139 */
			return
				BGl_setzd2unionz12zc0zzcfa_setz00(BgL_dstz00_4754, BgL_srcza2za2_4755);
		}
	}



/* set-for-each */
	BGL_EXPORTED_DEF obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t
		BgL_procz00_34, obj_t BgL_setz00_35)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 156 */
			{

				{	/* Cfa/set.scm 158 */
					obj_t BgL_metaz00_2686;

					BgL_metaz00_2686 = STRUCT_REF(BgL_setz00_35, (int) (((long) 1)));
					{	/* Cfa/set.scm 158 */
						obj_t BgL_tablez00_2687;

						BgL_tablez00_2687 =
							STRUCT_REF(BgL_metaz00_2686, (int) (((long) 0)));
						{	/* Cfa/set.scm 159 */

							{	/* Cfa/set.scm 160 */
								long BgL_g1148z00_2688;

								{	/* Cfa/set.scm 160 */
									int BgL_arg2746z00_2699;

									BgL_arg2746z00_2699 = VECTOR_LENGTH(BgL_tablez00_2687);
									BgL_g1148z00_2688 =
										((long) (BgL_arg2746z00_2699) - ((long) 1));
								}
								{
									long BgL_iz00_2690;

									BgL_iz00_2690 = BgL_g1148z00_2688;
								BgL_zc3anonymousza32739ze3z83_2691:
									if ((BgL_iz00_2690 == ((long) -1)))
										{	/* Cfa/set.scm 162 */
											return BUNSPEC;
										}
									else
										{	/* Cfa/set.scm 164 */
											bool_t BgL_testz00_4984;

											{	/* Cfa/set.scm 164 */
												obj_t BgL_arg2745z00_2697;

												BgL_arg2745z00_2697 =
													VECTOR_REF(BgL_tablez00_2687, (int) (BgL_iz00_2690));
												BgL_testz00_4984 =
													CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00
													(BgL_setz00_35, BgL_arg2745z00_2697));
											}
											if (BgL_testz00_4984)
												{	/* Cfa/set.scm 164 */
													{	/* Cfa/set.scm 165 */
														obj_t BgL_arg2742z00_2694;

														BgL_arg2742z00_2694 =
															VECTOR_REF(BgL_tablez00_2687,
															(int) (BgL_iz00_2690));
														PROCEDURE_ENTRY(BgL_procz00_34) (BgL_procz00_34,
															BgL_arg2742z00_2694, BEOA);
													}
													{
														long BgL_iz00_4995;

														BgL_iz00_4995 = (BgL_iz00_2690 - ((long) 1));
														BgL_iz00_2690 = BgL_iz00_4995;
														goto BgL_zc3anonymousza32739ze3z83_2691;
													}
												}
											else
												{
													long BgL_iz00_4997;

													BgL_iz00_4997 = (BgL_iz00_2690 - ((long) 1));
													BgL_iz00_2690 = BgL_iz00_4997;
													goto BgL_zc3anonymousza32739ze3z83_2691;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &set-for-each */
	obj_t BGl_z62setzd2forzd2eachz62zzcfa_setz00(obj_t BgL_envz00_4756,
		obj_t BgL_procz00_4757, obj_t BgL_setz00_4758)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 156 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_4757, BgL_setz00_4758);
		}
	}



/* set-length */
	BGL_EXPORTED_DEF obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t BgL_setz00_36)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 174 */
			{

				{	/* Cfa/set.scm 190 */
					long BgL_auxz00_5000;

					{	/* Cfa/set.scm 176 */
						obj_t BgL_thezd2setzd2_2703;

						BgL_thezd2setzd2_2703 =
							STRUCT_REF(BgL_setz00_36, (int) (((long) 0)));
						{	/* Cfa/set.scm 176 */
							long BgL_thezd2lenzd2_2704;

							BgL_thezd2lenzd2_2704 = STRING_LENGTH(BgL_thezd2setzd2_2703);
							{	/* Cfa/set.scm 177 */

								{
									long BgL_offsetz00_2706;
									long BgL_numz00_2707;

									BgL_offsetz00_2706 = ((long) 0);
									BgL_numz00_2707 = ((long) 0);
								BgL_zc3anonymousza32748ze3z83_2708:
									if ((BgL_offsetz00_2706 == BgL_thezd2lenzd2_2704))
										{	/* Cfa/set.scm 180 */
											BgL_auxz00_5000 = BgL_numz00_2707;
										}
									else
										{
											long BgL_charz00_2712;
											long BgL_numz00_2713;

											BgL_charz00_2712 =
												(STRING_REF(BgL_thezd2setzd2_2703, BgL_offsetz00_2706));
											BgL_numz00_2713 = BgL_numz00_2707;
										BgL_zc3anonymousza32750ze3z83_2714:
											if ((BgL_charz00_2712 == ((long) 0)))
												{
													long BgL_numz00_5010;
													long BgL_offsetz00_5008;

													BgL_offsetz00_5008 =
														(((long) 1) + BgL_offsetz00_2706);
													BgL_numz00_5010 = BgL_numz00_2713;
													BgL_numz00_2707 = BgL_numz00_5010;
													BgL_offsetz00_2706 = BgL_offsetz00_5008;
													goto BgL_zc3anonymousza32748ze3z83_2708;
												}
											else
												{
													long BgL_numz00_5014;
													long BgL_charz00_5011;

													BgL_charz00_5011 =
														(BgL_charz00_2712 >> (int) (((long) 1)));
													BgL_numz00_5014 =
														(BgL_numz00_2713 + (BgL_charz00_2712 & ((long) 1)));
													BgL_numz00_2713 = BgL_numz00_5014;
													BgL_charz00_2712 = BgL_charz00_5011;
													goto BgL_zc3anonymousza32750ze3z83_2714;
												}
										}
								}
							}
						}
					}
					return BINT(BgL_auxz00_5000);
				}
			}
		}
	}



/* &set-length */
	obj_t BGl_z62setzd2lengthzb0zzcfa_setz00(obj_t BgL_envz00_4759,
		obj_t BgL_setz00_4760)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 174 */
			return BGl_setzd2lengthzd2zzcfa_setz00(BgL_setz00_4760);
		}
	}



/* set->list */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t BgL_setz00_37)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 195 */
			{	/* Cfa/set.scm 196 */
				obj_t BgL_metaz00_2724;

				BgL_metaz00_2724 = STRUCT_REF(BgL_setz00_37, (int) (((long) 1)));
				{	/* Cfa/set.scm 197 */
					obj_t BgL_tablez00_2725;

					BgL_tablez00_2725 = STRUCT_REF(BgL_metaz00_2724, (int) (((long) 0)));
					{	/* Cfa/set.scm 197 */
						int BgL_siza7eza7_2726;

						BgL_siza7eza7_2726 = VECTOR_LENGTH(BgL_tablez00_2725);
						{	/* Cfa/set.scm 198 */

							{
								long BgL_iz00_2729;
								obj_t BgL_lz00_2730;

								BgL_iz00_2729 = ((long) 0);
								BgL_lz00_2730 = BNIL;
							BgL_zc3anonymousza32757ze3z83_2731:
								if ((BgL_iz00_2729 == (long) (BgL_siza7eza7_2726)))
									{	/* Cfa/set.scm 202 */
										return BgL_lz00_2730;
									}
								else
									{	/* Cfa/set.scm 204 */
										bool_t BgL_testz00_5029;

										{	/* Cfa/set.scm 204 */
											obj_t BgL_arg2764z00_2738;

											BgL_arg2764z00_2738 =
												VECTOR_REF(BgL_tablez00_2725, (int) (BgL_iz00_2729));
											BgL_testz00_5029 =
												CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00(BgL_setz00_37,
													BgL_arg2764z00_2738));
										}
										if (BgL_testz00_5029)
											{	/* Cfa/set.scm 205 */
												long BgL_arg2760z00_2734;
												obj_t BgL_arg2761z00_2735;

												BgL_arg2760z00_2734 = (BgL_iz00_2729 + ((long) 1));
												BgL_arg2761z00_2735 =
													MAKE_PAIR(VECTOR_REF(BgL_tablez00_2725,
														(int) (BgL_iz00_2729)), BgL_lz00_2730);
												{
													obj_t BgL_lz00_5039;
													long BgL_iz00_5038;

													BgL_iz00_5038 = BgL_arg2760z00_2734;
													BgL_lz00_5039 = BgL_arg2761z00_2735;
													BgL_lz00_2730 = BgL_lz00_5039;
													BgL_iz00_2729 = BgL_iz00_5038;
													goto BgL_zc3anonymousza32757ze3z83_2731;
												}
											}
										else
											{
												long BgL_iz00_5040;

												BgL_iz00_5040 = (BgL_iz00_2729 + ((long) 1));
												BgL_iz00_2729 = BgL_iz00_5040;
												goto BgL_zc3anonymousza32757ze3z83_2731;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &set->list */
	obj_t BGl_z62setzd2ze3listz53zzcfa_setz00(obj_t BgL_envz00_4761,
		obj_t BgL_setz00_4762)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 195 */
			return BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_4762);
		}
	}



/* set->vector */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_setz00_38)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 212 */
			return
				BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
				(BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_38));
		}
	}



/* &set->vector */
	obj_t BGl_z62setzd2ze3vectorz53zzcfa_setz00(obj_t BgL_envz00_4763,
		obj_t BgL_setz00_4764)
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 212 */
			return BGl_setzd2ze3vectorz31zzcfa_setz00(BgL_setz00_4764);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00()
	{
		AN_OBJECT;
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2988z00zzcfa_setz00));
		}
	}

#ifdef __cplusplus
}
#endif
