/*===========================================================================*/
/*   (Globalize/integration28c.scm)                                          */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/integration28c.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static bool_t
		BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static bool_t
		BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static bool_t
		BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		obj_t);
	static long BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75
		(obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75
		(BgL_globalz00_bglt, obj_t, obj_t, obj_t);
	static obj_t
		BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	extern obj_t BGl_za2optimzd2integratezf3za2z21zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75 =
		BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static bool_t
		BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75(obj_t,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
	static long BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
	static obj_t
		BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt);
	static obj_t BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static bool_t
		BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2190z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string2190za700za7za7g2195za7, "empty integrator*", 17);
	      DEFINE_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string2191za700za7za7g2196za7, "globalize_integration-28c", 25);
	      DEFINE_STRING(BGl_string2192z00zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_string2192za700za7za7g2197za7, "find-integrator ", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationzd228cz12zd2envzc0zzglobaliza7e_integrationzd228cz75,
		BgL_bgl_za762setza7d2integra2198z00,
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75, 0L,
		BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75(long
		BgL_checksumz00_2793, char *BgL_fromz00_2794)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationzd228cz75 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
					BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75();
					BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_integration-28c");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_integration-28c");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_integration-28c");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_integration-28c");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			{	/* Globalize/integration28c.scm 17 */
				obj_t BgL_cportz00_2785;

				BgL_cportz00_2785 =
					bgl_open_input_string
					(BGl_string2192z00zzglobaliza7e_integrationzd228cz75,
					(int) (((long) 0)));
				{
					long BgL_iz00_2786;

					BgL_iz00_2786 = ((long) 0);
				BgL_loopz00_2787:
					if ((BgL_iz00_2786 == ((long) -1)))
						{	/* Globalize/integration28c.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/integration28c.scm 17 */
							{	/* Globalize/integration28c.scm 17 */
								obj_t BgL_arg2194z00_2789;

								{	/* Globalize/integration28c.scm 17 */

									{	/* Globalize/integration28c.scm 17 */
										obj_t BgL_locationz00_2791;

										BgL_locationz00_2791 = BBOOL(((bool_t) 0));
										{	/* Globalize/integration28c.scm 17 */

											BgL_arg2194z00_2789 =
												BGl_readz00zz__readerz00(BgL_cportz00_2785,
												BgL_locationz00_2791);
										}
									}
								}
								{	/* Globalize/integration28c.scm 17 */
									int BgL_auxz00_2812;

									BgL_auxz00_2812 = (int) (BgL_iz00_2786);
									CNST_TABLE_SET(BgL_auxz00_2812, BgL_arg2194z00_2789);
							}}
							{	/* Globalize/integration28c.scm 17 */
								int BgL_auxz00_2792;

								BgL_auxz00_2792 = (int) ((BgL_iz00_2786 - ((long) 1)));
								{
									long BgL_iz00_2817;

									BgL_iz00_2817 = (long) (BgL_auxz00_2792);
									BgL_iz00_2786 = BgL_iz00_2817;
									goto BgL_loopz00_2787;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75 = ((long) 0);
			return (BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				((long) 0), BUNSPEC);
		}
	}



/* set-integration-28c! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75
		(BgL_globalz00_bglt BgL_globalz00_3, obj_t BgL_ez00_4, obj_t BgL_g0z00_5,
		obj_t BgL_g1z00_6)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 33 */
			{
				obj_t BgL_l1980z00_1533;

				{	/* Globalize/integration28c.scm 35 */
					bool_t BgL_auxz00_2819;

					BgL_l1980z00_1533 = BgL_g1z00_6;
				BgL_zc3anonymousza32005ze3z83_1534:
					if (PAIRP(BgL_l1980z00_1533))
						{	/* Globalize/integration28c.scm 35 */
							{	/* Globalize/integration28c.scm 36 */
								obj_t BgL_fz00_1536;

								BgL_fz00_1536 = CAR(BgL_l1980z00_1533);
								{	/* Globalize/integration28c.scm 36 */
									obj_t BgL_gz00_1537;

									BgL_gz00_1537 =
										BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75(
										((BgL_localz00_bglt) BgL_fz00_1536));
									if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1537,
											BGl_variablez00zzast_varz00))
										{	/* Globalize/integration28c.scm 37 */
											BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75
												(BgL_fz00_1536, ((BgL_variablez00_bglt) BgL_gz00_1537));
										}
									else
										{	/* Globalize/integration28c.scm 37 */
											{	/* Globalize/integration28c.scm 60 */
												BgL_valuez00_bglt BgL_arg2012z00_2601;

												BgL_arg2012z00_2601 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_fz00_1536))))->
													BgL_valuez00);
												{	/* Globalize/integration28c.scm 60 */
													BgL_sfunz00_bglt BgL_oz00_2605;

													BgL_oz00_2605 =
														((BgL_sfunz00_bglt) BgL_arg2012z00_2601);
													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2833;

														{
															obj_t BgL_auxz00_2834;

															{	/* Globalize/integration28c.scm 60 */
																BgL_objectz00_bglt BgL_auxz00_2835;

																BgL_auxz00_2835 =
																	((BgL_objectz00_bglt) BgL_oz00_2605);
																BgL_auxz00_2834 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2835);
															}
															BgL_auxz00_2833 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2834);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2833))->BgL_integratorz00) =
															((obj_t) BFALSE), BUNSPEC);
													}
												}
											}
										}
								}
							}
							{
								obj_t BgL_l1980z00_2840;

								BgL_l1980z00_2840 = CDR(BgL_l1980z00_1533);
								BgL_l1980z00_1533 = BgL_l1980z00_2840;
								goto BgL_zc3anonymousza32005ze3z83_1534;
							}
						}
					else
						{	/* Globalize/integration28c.scm 35 */
							BgL_auxz00_2819 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2819);
				}
			}
		}
	}



/* &set-integration-28c! */
	obj_t
		BGl_z62setzd2integrationzd228cz12z70zzglobaliza7e_integrationzd228cz75(obj_t
		BgL_envz00_2774, obj_t BgL_globalz00_2775, obj_t BgL_ez00_2776,
		obj_t BgL_g0z00_2777, obj_t BgL_g1z00_2778)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 33 */
			return
				BGl_setzd2integrationzd228cz12z12zzglobaliza7e_integrationzd228cz75(
				((BgL_globalz00_bglt) BgL_globalz00_2775), BgL_ez00_2776,
				BgL_g0z00_2777, BgL_g1z00_2778);
		}
	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationzd228cz75(obj_t
		BgL_fz00_7, BgL_variablez00_bglt BgL_gz00_8)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 45 */
			{	/* Globalize/integration28c.scm 46 */
				BgL_localz00_bglt BgL_i1105z00_1541;

				BgL_i1105z00_1541 = ((BgL_localz00_bglt) BgL_fz00_7);
				{	/* Globalize/integration28c.scm 49 */
					BgL_valuez00_bglt BgL_arg2009z00_1542;

					BgL_arg2009z00_1542 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_i1105z00_1541)))->BgL_valuez00);
					{	/* Globalize/integration28c.scm 49 */
						BgL_sfunz00_bglt BgL_oz00_2609;
						obj_t BgL_vz00_2610;

						BgL_oz00_2609 = ((BgL_sfunz00_bglt) BgL_arg2009z00_1542);
						BgL_vz00_2610 = ((obj_t) BgL_gz00_8);
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2850;

							{
								obj_t BgL_auxz00_2851;

								{	/* Globalize/integration28c.scm 49 */
									BgL_objectz00_bglt BgL_auxz00_2852;

									BgL_auxz00_2852 = ((BgL_objectz00_bglt) BgL_oz00_2609);
									BgL_auxz00_2851 = BGL_OBJECT_WIDENING(BgL_auxz00_2852);
								}
								BgL_auxz00_2850 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2851);
							}
							((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2850))->
									BgL_integratorz00) = ((obj_t) BgL_vz00_2610), BUNSPEC);
						}
					}
				}
				{	/* Globalize/integration28c.scm 50 */
					BgL_valuez00_bglt BgL_arg2010z00_1543;

					BgL_arg2010z00_1543 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_i1105z00_1541)))->BgL_valuez00);
					{	/* Globalize/integration28c.scm 50 */
						BgL_sfunz00_bglt BgL_oz00_2612;

						BgL_oz00_2612 = ((BgL_sfunz00_bglt) BgL_arg2010z00_1543);
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2860;

							{
								obj_t BgL_auxz00_2861;

								{	/* Globalize/integration28c.scm 50 */
									BgL_objectz00_bglt BgL_auxz00_2862;

									BgL_auxz00_2862 = ((BgL_objectz00_bglt) BgL_oz00_2612);
									BgL_auxz00_2861 = BGL_OBJECT_WIDENING(BgL_auxz00_2862);
								}
								BgL_auxz00_2860 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2861);
							}
							((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2860))->
									BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				}
				{	/* Globalize/integration28c.scm 51 */
					BgL_sfunz00_bglt BgL_i1106z00_1544;

					BgL_i1106z00_1544 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) CREF(BgL_gz00_8))->BgL_valuez00));
					{
						obj_t BgL_auxz00_2875;
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2869;

						{	/* Globalize/integration28c.scm 52 */
							obj_t BgL_arg2011z00_1545;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2876;

								{
									obj_t BgL_auxz00_2877;

									{	/* Globalize/integration28c.scm 52 */
										BgL_objectz00_bglt BgL_auxz00_2878;

										BgL_auxz00_2878 = ((BgL_objectz00_bglt) BgL_i1106z00_1544);
										BgL_auxz00_2877 = BGL_OBJECT_WIDENING(BgL_auxz00_2878);
									}
									BgL_auxz00_2876 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2877);
								}
								BgL_arg2011z00_1545 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2876))->
									BgL_integratedz00);
							}
							BgL_auxz00_2875 = MAKE_PAIR(BgL_fz00_7, BgL_arg2011z00_1545);
						}
						{
							obj_t BgL_auxz00_2870;

							{	/* Globalize/integration28c.scm 52 */
								BgL_objectz00_bglt BgL_auxz00_2871;

								BgL_auxz00_2871 = ((BgL_objectz00_bglt) BgL_i1106z00_1544);
								BgL_auxz00_2870 = BGL_OBJECT_WIDENING(BgL_auxz00_2871);
							}
							BgL_auxz00_2869 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2870);
						}
						return
							((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2869))->
								BgL_integratedz00) = ((obj_t) BgL_auxz00_2875), BUNSPEC);
					}
				}
			}
		}
	}



/* find-integrator */
	obj_t
		BGl_findzd2integratorzd2zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_10)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 65 */
			{	/* Globalize/integration28c.scm 77 */
				obj_t BgL__andtest_1108z00_1548;

				BgL__andtest_1108z00_1548 =
					BGl_za2optimzd2integratezf3za2z21zzengine_paramz00;
				if (CBOOL(BgL__andtest_1108z00_1548))
					{	/* Globalize/integration28c.scm 78 */
						obj_t BgL_guessz00_1549;

						{	/* Globalize/integration28c.scm 115 */
							obj_t BgL__ortest_1112z00_2629;

							BgL__ortest_1112z00_2629 =
								BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
								(BgL_fz00_10);
							if (CBOOL(BgL__ortest_1112z00_2629))
								{	/* Globalize/integration28c.scm 115 */
									BgL_guessz00_1549 = BgL__ortest_1112z00_2629;
								}
							else
								{	/* Globalize/integration28c.scm 115 */
									BgL_guessz00_1549 =
										BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
										(BgL_fz00_10);
								}
						}
						if (NULLP(BgL_guessz00_1549))
							{	/* Globalize/integration28c.scm 80 */
								BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											0)), BGl_string2190z00zzglobaliza7e_integrationzd228cz75,
									((obj_t) BgL_fz00_10));
								return BFALSE;
							}
						else
							{	/* Globalize/integration28c.scm 86 */
								bool_t BgL_testz00_2896;

								{	/* Globalize/integration28c.scm 86 */
									obj_t BgL_auxz00_2897;

									BgL_auxz00_2897 = CDR(BgL_guessz00_1549);
									BgL_testz00_2896 = PAIRP(BgL_auxz00_2897);
								}
								if (BgL_testz00_2896)
									{	/* Globalize/integration28c.scm 86 */
										return BFALSE;
									}
								else
									{	/* Globalize/integration28c.scm 90 */
										bool_t BgL_testz00_2900;

										{	/* Globalize/integration28c.scm 90 */
											obj_t BgL_arg2016z00_1553;

											BgL_arg2016z00_1553 = CAR(BgL_guessz00_1549);
											BgL_testz00_2900 =
												BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(
												((BgL_variablez00_bglt) BgL_fz00_10),
												((BgL_localz00_bglt) BgL_arg2016z00_1553));
										}
										if (BgL_testz00_2900)
											{	/* Globalize/integration28c.scm 90 */
												return CAR(BgL_guessz00_1549);
											}
										else
											{	/* Globalize/integration28c.scm 90 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Globalize/integration28c.scm 77 */
						return BFALSE;
					}
			}
		}
	}



/* integrator? */
	bool_t
		BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_11, obj_t BgL_gz00_12)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 101 */
			{	/* Globalize/integration28c.scm 102 */
				bool_t BgL__ortest_1109z00_1555;

				{	/* Globalize/integration28c.scm 102 */
					obj_t BgL_auxz00_2906;

					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2907;

						{
							obj_t BgL_auxz00_2908;

							{	/* Globalize/integration28c.scm 102 */
								BgL_objectz00_bglt BgL_auxz00_2909;

								BgL_auxz00_2909 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_fz00_11)))->
											BgL_valuez00)));
								BgL_auxz00_2908 = BGL_OBJECT_WIDENING(BgL_auxz00_2909);
							}
							BgL_auxz00_2907 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2908);
						}
						BgL_auxz00_2906 =
							(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2907))->
							BgL_ownerz00);
					}
					BgL__ortest_1109z00_1555 = (BgL_auxz00_2906 == BgL_gz00_12);
				}
				if (BgL__ortest_1109z00_1555)
					{	/* Globalize/integration28c.scm 102 */
						return BgL__ortest_1109z00_1555;
					}
				else
					{	/* Globalize/integration28c.scm 103 */
						bool_t BgL__ortest_1110z00_1556;

						BgL__ortest_1110z00_1556 =
							BGl_isazf3zf3zz__objectz00(BgL_gz00_12,
							BGl_globalz00zzast_varz00);
						if (BgL__ortest_1110z00_1556)
							{	/* Globalize/integration28c.scm 103 */
								return BgL__ortest_1110z00_1556;
							}
						else
							{	/* Globalize/integration28c.scm 103 */
								if (BGl_isazf3zf3zz__objectz00(BgL_gz00_12,
										BGl_localz00zzast_varz00))
									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_2923;

										{
											obj_t BgL_auxz00_2924;

											{	/* Globalize/integration28c.scm 104 */
												BgL_objectz00_bglt BgL_auxz00_2925;

												BgL_auxz00_2925 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_gz00_12)));
												BgL_auxz00_2924 = BGL_OBJECT_WIDENING(BgL_auxz00_2925);
											}
											BgL_auxz00_2923 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2924);
										}
										return
											(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_2923))->
											BgL_escapezf3zf3);
									}
								else
									{	/* Globalize/integration28c.scm 104 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}
	}



/* owner-integrator */
	obj_t
		BGl_ownerzd2integratorzd2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt BgL_fz00_14)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 124 */
			{	/* Globalize/integration28c.scm 125 */
				obj_t BgL_ownerz00_1561;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2932;

					{
						obj_t BgL_auxz00_2933;

						{	/* Globalize/integration28c.scm 125 */
							BgL_objectz00_bglt BgL_auxz00_2934;

							BgL_auxz00_2934 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_fz00_14)))->BgL_valuez00)));
							BgL_auxz00_2933 = BGL_OBJECT_WIDENING(BgL_auxz00_2934);
						}
						BgL_auxz00_2932 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2933);
					}
					BgL_ownerz00_1561 =
						(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2932))->BgL_ownerz00);
				}
				{	/* Globalize/integration28c.scm 126 */
					bool_t BgL_testz00_2942;

					{
						obj_t BgL_l1982z00_1566;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2953;

							{
								obj_t BgL_auxz00_2954;

								{	/* Globalize/integration28c.scm 128 */
									BgL_objectz00_bglt BgL_auxz00_2955;

									BgL_auxz00_2955 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_fz00_14)))->
												BgL_valuez00)));
									BgL_auxz00_2954 = BGL_OBJECT_WIDENING(BgL_auxz00_2955);
								}
								BgL_auxz00_2953 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2954);
							}
							BgL_l1982z00_1566 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2953))->
								BgL_cfromz00);
						}
					BgL_zc3anonymousza32023ze3z83_1567:
						if (NULLP(BgL_l1982z00_1566))
							{	/* Globalize/integration28c.scm 128 */
								BgL_testz00_2942 = ((bool_t) 1);
							}
						else
							{	/* Globalize/integration28c.scm 128 */
								bool_t BgL_testz00_2945;

								{	/* Globalize/integration28c.scm 127 */
									obj_t BgL_xz00_1572;

									BgL_xz00_1572 = CAR(BgL_l1982z00_1566);
									{	/* Globalize/integration28c.scm 127 */
										bool_t BgL__ortest_1113z00_1573;

										BgL__ortest_1113z00_1573 =
											(BgL_xz00_1572 == ((obj_t) BgL_fz00_14));
										if (BgL__ortest_1113z00_1573)
											{	/* Globalize/integration28c.scm 127 */
												BgL_testz00_2945 = BgL__ortest_1113z00_1573;
											}
										else
											{	/* Globalize/integration28c.scm 127 */
												BgL_testz00_2945 = (BgL_xz00_1572 == BgL_ownerz00_1561);
											}
									}
								}
								if (BgL_testz00_2945)
									{
										obj_t BgL_l1982z00_2951;

										BgL_l1982z00_2951 = CDR(BgL_l1982z00_1566);
										BgL_l1982z00_1566 = BgL_l1982z00_2951;
										goto BgL_zc3anonymousza32023ze3z83_1567;
									}
								else
									{	/* Globalize/integration28c.scm 128 */
										BgL_testz00_2942 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_2942)
						{	/* Globalize/integration28c.scm 129 */
							obj_t BgL_list2022z00_1563;

							BgL_list2022z00_1563 = MAKE_PAIR(BgL_ownerz00_1561, BNIL);
							return BgL_list2022z00_1563;
						}
					else
						{	/* Globalize/integration28c.scm 126 */
							return BFALSE;
						}
				}
			}
		}
	}



/* find-other-integrator* */
	obj_t
		BGl_findzd2otherzd2integratorza2za2zzglobaliza7e_integrationzd228cz75
		(BgL_localz00_bglt BgL_fz00_15)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 135 */
			BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				(((long) 1) +
				BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75);
			{	/* Globalize/integration28c.scm 137 */
				obj_t BgL_g1114z00_1577;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2965;

					{
						obj_t BgL_auxz00_2966;

						{	/* Globalize/integration28c.scm 137 */
							BgL_objectz00_bglt BgL_auxz00_2967;

							BgL_auxz00_2967 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_fz00_15)))->BgL_valuez00)));
							BgL_auxz00_2966 = BGL_OBJECT_WIDENING(BgL_auxz00_2967);
						}
						BgL_auxz00_2965 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2966);
					}
					BgL_g1114z00_1577 =
						(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2965))->BgL_cfromz00);
				}
				return
					BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_fz00_15,
					BgL_g1114z00_1577, BNIL);
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_fz00_2784, obj_t BgL_cfromz00_1580, obj_t BgL_escapeza2za2_1581)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 137 */
		BGl_loopz00zzglobaliza7e_integrationzd228cz75:
			if (NULLP(BgL_cfromz00_1580))
				{	/* Globalize/integration28c.scm 139 */
					return BgL_escapeza2za2_1581;
				}
			else
				{	/* Globalize/integration28c.scm 141 */
					obj_t BgL_gz00_1584;

					BgL_gz00_1584 = CAR(BgL_cfromz00_1580);
					{	/* Globalize/integration28c.scm 142 */
						bool_t BgL_testz00_2979;

						{	/* Globalize/integration28c.scm 142 */
							obj_t BgL_arg2041z00_1595;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2980;

								{
									obj_t BgL_auxz00_2981;

									{	/* Globalize/integration28c.scm 142 */
										BgL_objectz00_bglt BgL_auxz00_2982;

										BgL_auxz00_2982 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_gz00_1584)))->
													BgL_valuez00)));
										BgL_auxz00_2981 = BGL_OBJECT_WIDENING(BgL_auxz00_2982);
									}
									BgL_auxz00_2980 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2981);
								}
								BgL_arg2041z00_1595 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2980))->
									BgL_cfromza2za2);
							}
							BgL_testz00_2979 =
								(BgL_arg2041z00_1595 ==
								BINT
								(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75));
						}
						if (BgL_testz00_2979)
							{
								obj_t BgL_cfromz00_2992;

								BgL_cfromz00_2992 = CDR(BgL_cfromz00_1580);
								BgL_cfromz00_1580 = BgL_cfromz00_2992;
								goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
							}
						else
							{	/* Globalize/integration28c.scm 142 */
								{	/* Globalize/integration28c.scm 145 */
									BgL_valuez00_bglt BgL_arg2033z00_1587;

									BgL_arg2033z00_1587 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_gz00_1584)))->BgL_valuez00);
									{	/* Globalize/integration28c.scm 145 */
										BgL_sfunz00_bglt BgL_oz00_2686;
										obj_t BgL_vz00_2687;

										BgL_oz00_2686 = ((BgL_sfunz00_bglt) BgL_arg2033z00_1587);
										BgL_vz00_2687 =
											BINT
											(BGl_za2escapezd2markza2zd2zzglobaliza7e_integrationzd228cz75);
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2998;

											{
												obj_t BgL_auxz00_2999;

												{	/* Globalize/integration28c.scm 145 */
													BgL_objectz00_bglt BgL_auxz00_3000;

													BgL_auxz00_3000 =
														((BgL_objectz00_bglt) BgL_oz00_2686);
													BgL_auxz00_2999 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3000);
												}
												BgL_auxz00_2998 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2999);
											}
											((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2998))->
													BgL_cfromza2za2) = ((obj_t) BgL_vz00_2687), BUNSPEC);
										}
									}
								}
								if (BGl_integratorzf3zf3zzglobaliza7e_integrationzd228cz75
									(BgL_fz00_2784, BgL_gz00_1584))
									{	/* Globalize/integration28c.scm 148 */
										obj_t BgL_arg2035z00_1589;
										obj_t BgL_arg2036z00_1590;

										BgL_arg2035z00_1589 = CDR(BgL_cfromz00_1580);
										BgL_arg2036z00_1590 =
											MAKE_PAIR(BgL_gz00_1584, BgL_escapeza2za2_1581);
										{
											obj_t BgL_escapeza2za2_3010;
											obj_t BgL_cfromz00_3009;

											BgL_cfromz00_3009 = BgL_arg2035z00_1589;
											BgL_escapeza2za2_3010 = BgL_arg2036z00_1590;
											BgL_escapeza2za2_1581 = BgL_escapeza2za2_3010;
											BgL_cfromz00_1580 = BgL_cfromz00_3009;
											goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
										}
									}
								else
									{	/* Globalize/integration28c.scm 150 */
										obj_t BgL_arg2037z00_1591;
										obj_t BgL_arg2038z00_1592;

										BgL_arg2037z00_1591 = CDR(BgL_cfromz00_1580);
										{	/* Globalize/integration28c.scm 151 */
											obj_t BgL_arg2039z00_1593;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3012;

												{
													obj_t BgL_auxz00_3013;

													{	/* Globalize/integration28c.scm 151 */
														BgL_objectz00_bglt BgL_auxz00_3014;

														BgL_auxz00_3014 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_gz00_1584))))->
																	BgL_valuez00)));
														BgL_auxz00_3013 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3014);
													}
													BgL_auxz00_3012 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3013);
												}
												BgL_arg2039z00_1593 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3012))->
													BgL_cfromz00);
											}
											BgL_arg2038z00_1592 =
												BGl_loopz00zzglobaliza7e_integrationzd228cz75
												(BgL_fz00_2784, BgL_arg2039z00_1593,
												BgL_escapeza2za2_1581);
										}
										{
											obj_t BgL_escapeza2za2_3025;
											obj_t BgL_cfromz00_3024;

											BgL_cfromz00_3024 = BgL_arg2037z00_1591;
											BgL_escapeza2za2_3025 = BgL_arg2038z00_1592;
											BgL_escapeza2za2_1581 = BgL_escapeza2za2_3025;
											BgL_cfromz00_1580 = BgL_cfromz00_3024;
											goto BGl_loopz00zzglobaliza7e_integrationzd228cz75;
										}
									}
							}
					}
				}
		}
	}



/* integrate? */
	bool_t
		BGl_integratezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt
		BgL_fz00_16, BgL_localz00_bglt BgL_gz00_17)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 164 */
			BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 =
				(BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75 +
				((long) 1));
			{	/* Globalize/integration28c.scm 203 */
				bool_t BgL_rz00_1603;

				BgL_rz00_1603 =
					BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_gz00_17,
					BgL_fz00_16, ((obj_t) BgL_fz00_16));
				return BgL_rz00_1603;
			}
		}
	}



/* ok-call? */
	bool_t
		BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_variablez00_bglt
		BgL_fz00_2779, obj_t BgL_gz00_1611)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 178 */
			{	/* Globalize/integration28c.scm 174 */
				bool_t BgL__ortest_1119z00_1613;

				BgL__ortest_1119z00_1613 = (((obj_t) BgL_fz00_2779) == BgL_gz00_1611);
				if (BgL__ortest_1119z00_1613)
					{	/* Globalize/integration28c.scm 174 */
						return BgL__ortest_1119z00_1613;
					}
				else
					{	/* Globalize/integration28c.scm 175 */
						bool_t BgL__ortest_1120z00_1614;

						{	/* Globalize/integration28c.scm 175 */
							obj_t BgL_auxz00_3032;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3033;

								{
									obj_t BgL_auxz00_3034;

									{	/* Globalize/integration28c.scm 175 */
										BgL_objectz00_bglt BgL_auxz00_3035;

										BgL_auxz00_3035 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_fz00_2779))))->
													BgL_valuez00)));
										BgL_auxz00_3034 = BGL_OBJECT_WIDENING(BgL_auxz00_3035);
									}
									BgL_auxz00_3033 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3034);
								}
								BgL_auxz00_3032 =
									(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3033))->
									BgL_ownerz00);
							}
							BgL__ortest_1120z00_1614 = (BgL_auxz00_3032 == BgL_gz00_1611);
						}
						if (BgL__ortest_1120z00_1614)
							{	/* Globalize/integration28c.scm 175 */
								return BgL__ortest_1120z00_1614;
							}
						else
							{	/* Globalize/integration28c.scm 176 */
								bool_t BgL__ortest_1121z00_1615;

								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3046;

									{
										obj_t BgL_auxz00_3047;

										{	/* Globalize/integration28c.scm 176 */
											BgL_objectz00_bglt BgL_auxz00_3048;

											BgL_auxz00_3048 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_gz00_1611));
											BgL_auxz00_3047 = BGL_OBJECT_WIDENING(BgL_auxz00_3048);
										}
										BgL_auxz00_3046 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3047);
									}
									BgL__ortest_1121z00_1615 =
										(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_3046))->
										BgL_escapezf3zf3);
								}
								if (BgL__ortest_1121z00_1615)
									{	/* Globalize/integration28c.scm 176 */
										return BgL__ortest_1121z00_1615;
									}
								else
									{	/* Globalize/integration28c.scm 177 */
										bool_t BgL__ortest_1122z00_1616;

										BgL__ortest_1122z00_1616 =
											BGl_isazf3zf3zz__objectz00(BgL_gz00_1611,
											BGl_globalz00zzast_varz00);
										if (BgL__ortest_1122z00_1616)
											{	/* Globalize/integration28c.scm 177 */
												return BgL__ortest_1122z00_1616;
											}
										else
											{	/* Globalize/integration28c.scm 178 */
												obj_t BgL_auxz00_3057;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3058;

													{
														obj_t BgL_auxz00_3059;

														{	/* Globalize/integration28c.scm 178 */
															BgL_objectz00_bglt BgL_auxz00_3060;

															BgL_auxz00_3060 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_gz00_1611))))->BgL_valuez00)));
															BgL_auxz00_3059 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3060);
														}
														BgL_auxz00_3058 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3059);
													}
													BgL_auxz00_3057 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_3058))->BgL_integratorz00);
												}
												return (BgL_auxz00_3057 == ((obj_t) BgL_fz00_2779));
											}
									}
							}
					}
			}
		}
	}



/* visible? */
	bool_t BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_gz00_2781, BgL_variablez00_bglt BgL_fz00_2780, obj_t BgL_hz00_1621)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 187 */
			{	/* Globalize/integration28c.scm 181 */
				bool_t BgL__ortest_1123z00_1623;

				BgL__ortest_1123z00_1623 = (BgL_hz00_1621 == ((obj_t) BgL_gz00_2781));
				if (BgL__ortest_1123z00_1623)
					{	/* Globalize/integration28c.scm 181 */
						return BgL__ortest_1123z00_1623;
					}
				else
					{	/* Globalize/integration28c.scm 182 */
						bool_t BgL__ortest_1124z00_1624;

						BgL__ortest_1124z00_1624 =
							BGl_isazf3zf3zz__objectz00(BgL_hz00_1621,
							BGl_globalz00zzast_varz00);
						if (BgL__ortest_1124z00_1624)
							{	/* Globalize/integration28c.scm 182 */
								return BgL__ortest_1124z00_1624;
							}
						else
							{	/* Globalize/integration28c.scm 183 */
								bool_t BgL__ortest_1125z00_1625;

								{	/* Globalize/integration28c.scm 183 */
									bool_t BgL_testz00_3076;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_3077;

										{
											obj_t BgL_auxz00_3078;

											{	/* Globalize/integration28c.scm 183 */
												BgL_objectz00_bglt BgL_auxz00_3079;

												BgL_auxz00_3079 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_hz00_1621));
												BgL_auxz00_3078 = BGL_OBJECT_WIDENING(BgL_auxz00_3079);
											}
											BgL_auxz00_3077 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3078);
										}
										BgL_testz00_3076 =
											(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_3077))->
											BgL_escapezf3zf3);
									}
									if (BgL_testz00_3076)
										{	/* Globalize/integration28c.scm 183 */
											BgL__ortest_1125z00_1625 = ((bool_t) 0);
										}
									else
										{	/* Globalize/integration28c.scm 183 */
											BgL__ortest_1125z00_1625 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1125z00_1625)
									{	/* Globalize/integration28c.scm 183 */
										return BgL__ortest_1125z00_1625;
									}
								else
									{	/* Globalize/integration28c.scm 184 */
										bool_t BgL__ortest_1126z00_1626;

										{	/* Globalize/integration28c.scm 184 */
											bool_t BgL_testz00_3086;

											{	/* Globalize/integration28c.scm 184 */
												obj_t BgL_g1988z00_1642;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3087;

													{
														obj_t BgL_auxz00_3088;

														{	/* Globalize/integration28c.scm 184 */
															BgL_objectz00_bglt BgL_auxz00_3089;

															BgL_auxz00_3089 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_hz00_1621))))->BgL_valuez00)));
															BgL_auxz00_3088 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3089);
														}
														BgL_auxz00_3087 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3088);
													}
													BgL_g1988z00_1642 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_3087))->BgL_ctoz00);
												}
												{
													obj_t BgL_l1986z00_1644;

													BgL_l1986z00_1644 = BgL_g1988z00_1642;
												BgL_zc3anonymousza32062ze3z83_1645:
													if (NULLP(BgL_l1986z00_1644))
														{	/* Globalize/integration28c.scm 184 */
															BgL_testz00_3086 = ((bool_t) 1);
														}
													else
														{	/* Globalize/integration28c.scm 184 */
															if (BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_fz00_2780, CAR(BgL_l1986z00_1644)))
																{
																	obj_t BgL_l1986z00_3103;

																	BgL_l1986z00_3103 = CDR(BgL_l1986z00_1644);
																	BgL_l1986z00_1644 = BgL_l1986z00_3103;
																	goto BgL_zc3anonymousza32062ze3z83_1645;
																}
															else
																{	/* Globalize/integration28c.scm 184 */
																	BgL_testz00_3086 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_testz00_3086)
												{	/* Globalize/integration28c.scm 185 */
													obj_t BgL_g1992z00_1631;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3105;

														{
															obj_t BgL_auxz00_3106;

															{	/* Globalize/integration28c.scm 185 */
																BgL_objectz00_bglt BgL_auxz00_3107;

																BgL_auxz00_3107 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_hz00_1621))))->
																			BgL_valuez00)));
																BgL_auxz00_3106 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3107);
															}
															BgL_auxz00_3105 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3106);
														}
														BgL_g1992z00_1631 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3105))->BgL_cfromz00);
													}
													{
														obj_t BgL_l1990z00_1633;

														BgL_l1990z00_1633 = BgL_g1992z00_1631;
													BgL_zc3anonymousza32057ze3z83_1634:
														if (NULLP(BgL_l1990z00_1633))
															{	/* Globalize/integration28c.scm 185 */
																BgL__ortest_1126z00_1626 = ((bool_t) 1);
															}
														else
															{	/* Globalize/integration28c.scm 185 */
																if (BGl_okzd2callzf3z21zzglobaliza7e_integrationzd228cz75(BgL_fz00_2780, CAR(BgL_l1990z00_1633)))
																	{
																		obj_t BgL_l1990z00_3121;

																		BgL_l1990z00_3121 = CDR(BgL_l1990z00_1633);
																		BgL_l1990z00_1633 = BgL_l1990z00_3121;
																		goto BgL_zc3anonymousza32057ze3z83_1634;
																	}
																else
																	{	/* Globalize/integration28c.scm 185 */
																		BgL__ortest_1126z00_1626 = ((bool_t) 0);
																	}
															}
													}
												}
											else
												{	/* Globalize/integration28c.scm 184 */
													BgL__ortest_1126z00_1626 = ((bool_t) 0);
												}
										}
										if (BgL__ortest_1126z00_1626)
											{	/* Globalize/integration28c.scm 184 */
												return BgL__ortest_1126z00_1626;
											}
										else
											{	/* Globalize/integration28c.scm 186 */
												bool_t BgL__ortest_1127z00_1627;

												{	/* Globalize/integration28c.scm 186 */
													obj_t BgL_auxz00_3124;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3125;

														{
															obj_t BgL_auxz00_3126;

															{	/* Globalize/integration28c.scm 186 */
																BgL_objectz00_bglt BgL_auxz00_3127;

																BgL_auxz00_3127 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_gz00_2781)))->BgL_valuez00)));
																BgL_auxz00_3126 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3127);
															}
															BgL_auxz00_3125 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3126);
														}
														BgL_auxz00_3124 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3125))->BgL_ownerz00);
													}
													BgL__ortest_1127z00_1627 =
														(BgL_auxz00_3124 == BgL_hz00_1621);
												}
												if (BgL__ortest_1127z00_1627)
													{	/* Globalize/integration28c.scm 186 */
														return BgL__ortest_1127z00_1627;
													}
												else
													{	/* Globalize/integration28c.scm 186 */
														return
															BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75
															(BgL_gz00_2781, BgL_fz00_2780, BgL_hz00_1621);
													}
											}
									}
							}
					}
			}
		}
	}



/* integrate?' */
	bool_t
		BGl_integratezf3z72z81zzglobaliza7e_integrationzd228cz75(BgL_localz00_bglt
		BgL_gz00_2783, BgL_variablez00_bglt BgL_fz00_2782, obj_t BgL_fz00_1654)
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 202 */
			{	/* Globalize/integration28c.scm 190 */
				bool_t BgL__ortest_1129z00_1656;

				BgL__ortest_1129z00_1656 = (BgL_fz00_1654 == ((obj_t) BgL_gz00_2783));
				if (BgL__ortest_1129z00_1656)
					{	/* Globalize/integration28c.scm 190 */
						return BgL__ortest_1129z00_1656;
					}
				else
					{	/* Globalize/integration28c.scm 191 */
						bool_t BgL_testz00_3141;

						{	/* Globalize/integration28c.scm 191 */
							bool_t BgL_res2182z00_2740;

							{	/* Globalize/integration28c.scm 191 */
								obj_t BgL_objz00_2739;

								BgL_objz00_2739 = ((obj_t) BgL_gz00_2783);
								BgL_res2182z00_2740 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2739,
									BGl_localz00zzast_varz00);
							}
							BgL_testz00_3141 = BgL_res2182z00_2740;
						}
						if (BgL_testz00_3141)
							{	/* Globalize/integration28c.scm 192 */
								BgL_valuez00_bglt BgL_vz00_1658;

								BgL_vz00_1658 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_fz00_1654))))->BgL_valuez00);
								{	/* Globalize/integration28c.scm 193 */
									BgL_sfunz00_bglt BgL_i1131z00_1659;

									BgL_i1131z00_1659 = ((BgL_sfunz00_bglt) BgL_vz00_1658);
									{	/* Globalize/integration28c.scm 194 */
										bool_t BgL_testz00_3148;

										{	/* Globalize/integration28c.scm 194 */
											obj_t BgL_auxz00_3149;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3150;

												{
													obj_t BgL_auxz00_3151;

													{	/* Globalize/integration28c.scm 194 */
														BgL_objectz00_bglt BgL_auxz00_3152;

														BgL_auxz00_3152 =
															((BgL_objectz00_bglt) BgL_i1131z00_1659);
														BgL_auxz00_3151 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3152);
													}
													BgL_auxz00_3150 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3151);
												}
												BgL_auxz00_3149 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3150))->
													BgL_imarkz00);
											}
											BgL_testz00_3148 = INTEGERP(BgL_auxz00_3149);
										}
										if (BgL_testz00_3148)
											{	/* Globalize/integration28c.scm 195 */
												bool_t BgL__ortest_1133z00_1661;

												{	/* Globalize/integration28c.scm 195 */
													long BgL_n2z00_2747;

													BgL_n2z00_2747 =
														BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
													{	/* Globalize/integration28c.scm 195 */
														long BgL_auxz00_3158;

														{	/* Globalize/integration28c.scm 195 */
															obj_t BgL_auxz00_3159;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3160;

																{
																	obj_t BgL_auxz00_3161;

																	{	/* Globalize/integration28c.scm 195 */
																		BgL_objectz00_bglt BgL_auxz00_3162;

																		BgL_auxz00_3162 =
																			((BgL_objectz00_bglt) BgL_i1131z00_1659);
																		BgL_auxz00_3161 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3162);
																	}
																	BgL_auxz00_3160 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_3161);
																}
																BgL_auxz00_3159 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_3160))->BgL_imarkz00);
															}
															BgL_auxz00_3158 = (long) CINT(BgL_auxz00_3159);
														}
														BgL__ortest_1133z00_1661 =
															(BgL_auxz00_3158 == BgL_n2z00_2747);
												}}
												if (BgL__ortest_1133z00_1661)
													{	/* Globalize/integration28c.scm 195 */
														return BgL__ortest_1133z00_1661;
													}
												else
													{	/* Globalize/integration28c.scm 196 */
														bool_t BgL_testz00_3170;

														{	/* Globalize/integration28c.scm 196 */
															long BgL_n2z00_2750;

															BgL_n2z00_2750 =
																BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75;
															{	/* Globalize/integration28c.scm 196 */
																long BgL_auxz00_3171;

																{	/* Globalize/integration28c.scm 196 */
																	obj_t BgL_auxz00_3172;

																	{
																		BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3173;

																		{
																			obj_t BgL_auxz00_3174;

																			{	/* Globalize/integration28c.scm 196 */
																				BgL_objectz00_bglt BgL_auxz00_3175;

																				BgL_auxz00_3175 =
																					((BgL_objectz00_bglt)
																					BgL_i1131z00_1659);
																				BgL_auxz00_3174 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3175);
																			}
																			BgL_auxz00_3173 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_auxz00_3174);
																		}
																		BgL_auxz00_3172 =
																			(((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_3173))->BgL_imarkz00);
																	}
																	BgL_auxz00_3171 =
																		(long) CINT(BgL_auxz00_3172);
																}
																BgL_testz00_3170 =
																	(BgL_auxz00_3171 < BgL_n2z00_2750);
														}}
														if (BgL_testz00_3170)
															{	/* Globalize/integration28c.scm 196 */
																{
																	BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3182;

																	{
																		obj_t BgL_auxz00_3183;

																		{	/* Globalize/integration28c.scm 198 */
																			BgL_objectz00_bglt BgL_auxz00_3184;

																			BgL_auxz00_3184 =
																				((BgL_objectz00_bglt)
																				BgL_i1131z00_1659);
																			BgL_auxz00_3183 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_3184);
																		}
																		BgL_auxz00_3182 =
																			((BgL_sfunzf2ginfozf2_bglt)
																			BgL_auxz00_3183);
																	}
																	((((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_3182))->BgL_imarkz00) =
																		((obj_t)
																			BINT
																			(BGl_za2integratezd2markza2zd2zzglobaliza7e_integrationzd228cz75)),
																		BUNSPEC);
																}
																{	/* Globalize/integration28c.scm 199 */
																	bool_t BgL_rz00_1663;

																	{	/* Globalize/integration28c.scm 199 */
																		bool_t BgL_testz00_3190;

																		{	/* Globalize/integration28c.scm 199 */
																			obj_t BgL_g1996z00_1675;

																			{
																				BgL_sfunzf2ginfozf2_bglt
																					BgL_auxz00_3191;
																				{
																					obj_t BgL_auxz00_3192;

																					{	/* Globalize/integration28c.scm 199 */
																						BgL_objectz00_bglt BgL_auxz00_3193;

																						BgL_auxz00_3193 =
																							((BgL_objectz00_bglt)
																							BgL_i1131z00_1659);
																						BgL_auxz00_3192 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_3193);
																					}
																					BgL_auxz00_3191 =
																						((BgL_sfunzf2ginfozf2_bglt)
																						BgL_auxz00_3192);
																				}
																				BgL_g1996z00_1675 =
																					(((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_3191))->
																					BgL_cfromz00);
																			}
																			{
																				obj_t BgL_l1994z00_1677;

																				BgL_l1994z00_1677 = BgL_g1996z00_1675;
																			BgL_zc3anonymousza32073ze3z83_1678:
																				if (NULLP(BgL_l1994z00_1677))
																					{	/* Globalize/integration28c.scm 199 */
																						BgL_testz00_3190 = ((bool_t) 1);
																					}
																				else
																					{	/* Globalize/integration28c.scm 199 */
																						if (BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_gz00_2783, BgL_fz00_2782, CAR(BgL_l1994z00_1677)))
																							{
																								obj_t BgL_l1994z00_3203;

																								BgL_l1994z00_3203 =
																									CDR(BgL_l1994z00_1677);
																								BgL_l1994z00_1677 =
																									BgL_l1994z00_3203;
																								goto
																									BgL_zc3anonymousza32073ze3z83_1678;
																							}
																						else
																							{	/* Globalize/integration28c.scm 199 */
																								BgL_testz00_3190 = ((bool_t) 0);
																							}
																					}
																			}
																		}
																		if (BgL_testz00_3190)
																			{	/* Globalize/integration28c.scm 200 */
																				obj_t BgL_g2000z00_1665;

																				{
																					BgL_sfunzf2ginfozf2_bglt
																						BgL_auxz00_3205;
																					{
																						obj_t BgL_auxz00_3206;

																						{	/* Globalize/integration28c.scm 200 */
																							BgL_objectz00_bglt
																								BgL_auxz00_3207;
																							BgL_auxz00_3207 =
																								((BgL_objectz00_bglt)
																								BgL_i1131z00_1659);
																							BgL_auxz00_3206 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_3207);
																						}
																						BgL_auxz00_3205 =
																							((BgL_sfunzf2ginfozf2_bglt)
																							BgL_auxz00_3206);
																					}
																					BgL_g2000z00_1665 =
																						(((BgL_sfunzf2ginfozf2_bglt)
																							CREF(BgL_auxz00_3205))->
																						BgL_ctoz00);
																				}
																				{
																					obj_t BgL_l1998z00_1667;

																					BgL_l1998z00_1667 = BgL_g2000z00_1665;
																				BgL_zc3anonymousza32069ze3z83_1668:
																					if (NULLP(BgL_l1998z00_1667))
																						{	/* Globalize/integration28c.scm 200 */
																							BgL_rz00_1663 = ((bool_t) 1);
																						}
																					else
																						{	/* Globalize/integration28c.scm 200 */
																							if (BGl_visiblezf3zf3zzglobaliza7e_integrationzd228cz75(BgL_gz00_2783, BgL_fz00_2782, CAR(BgL_l1998z00_1667)))
																								{
																									obj_t BgL_l1998z00_3217;

																									BgL_l1998z00_3217 =
																										CDR(BgL_l1998z00_1667);
																									BgL_l1998z00_1667 =
																										BgL_l1998z00_3217;
																									goto
																										BgL_zc3anonymousza32069ze3z83_1668;
																								}
																							else
																								{	/* Globalize/integration28c.scm 200 */
																									BgL_rz00_1663 = ((bool_t) 0);
																								}
																						}
																				}
																			}
																		else
																			{	/* Globalize/integration28c.scm 199 */
																				BgL_rz00_1663 = ((bool_t) 0);
																			}
																	}
																	if (BgL_rz00_1663)
																		{	/* Globalize/integration28c.scm 201 */
																			BFALSE;
																		}
																	else
																		{
																			BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3220;

																			{
																				obj_t BgL_auxz00_3221;

																				{	/* Globalize/integration28c.scm 201 */
																					BgL_objectz00_bglt BgL_auxz00_3222;

																					BgL_auxz00_3222 =
																						((BgL_objectz00_bglt)
																						BgL_i1131z00_1659);
																					BgL_auxz00_3221 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_3222);
																				}
																				BgL_auxz00_3220 =
																					((BgL_sfunzf2ginfozf2_bglt)
																					BgL_auxz00_3221);
																			}
																			((((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_3220))->
																					BgL_imarkz00) =
																				((obj_t) BFALSE), BUNSPEC);
																		}
																	return BgL_rz00_1663;
																}
															}
														else
															{	/* Globalize/integration28c.scm 196 */
																return ((bool_t) 0);
															}
													}
											}
										else
											{	/* Globalize/integration28c.scm 194 */
												return ((bool_t) 0);
											}
									}
								}
							}
						else
							{	/* Globalize/integration28c.scm 191 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationzd228cz75()
	{
		AN_OBJECT;
		{	/* Globalize/integration28c.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)
					34590581),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string2191z00zzglobaliza7e_integrationzd228cz75));
		}
	}

#ifdef __cplusplus
}
#endif
