/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/cto.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_ctoz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2letzd2fun1958za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2app1938z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1963z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1965z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62setzd2ctoz12zd2boxzd2setz121969zb0zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2makezd2box1967za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2var1961za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2closure1932z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2conditional1952z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2cast1947z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2setq1950z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
	static obj_t BGl_z62setzd2ctoz121923za2zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2var1930z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2select1956z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2appzd2ly1940za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2atom1926z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2extern1945z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2funcall1942z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2kwote1928z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1971za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62setzd2ctoz12zd2sequence1934z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sync1936z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2fail1954z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2147z00zzintegrate_ctoz00,
		BgL_bgl_string2147za700za7za7i2177za7, "set-cto!1923", 12);
	      DEFINE_STRING(BGl_string2148z00zzintegrate_ctoz00,
		BgL_bgl_string2148za700za7za7i2178za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2150z00zzintegrate_ctoz00,
		BgL_bgl_string2150za700za7za7i2179za7, "set-cto!", 8);
	      DEFINE_STRING(BGl_string2172z00zzintegrate_ctoz00,
		BgL_bgl_string2172za700za7za7i2180za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2173z00zzintegrate_ctoz00,
		BgL_bgl_string2173za700za7za7i2181za7, "integrate_cto", 13);
	      DEFINE_STRING(BGl_string2174z00zzintegrate_ctoz00,
		BgL_bgl_string2174za700za7za7i2182za7, "set-cto!1923 ", 13);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72183z00,
		BGl_z62setzd2ctoz12za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza71212184za7,
		BGl_z62setzd2ctoz121923za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72185z00,
		BGl_z62setzd2ctoz12zd2atom1926z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72186z00,
		BGl_z62setzd2ctoz12zd2kwote1928z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72187z00,
		BGl_z62setzd2ctoz12zd2var1930z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72188z00,
		BGl_z62setzd2ctoz12zd2closure1932z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72189z00,
		BGl_z62setzd2ctoz12zd2sequence1934z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72190z00,
		BGl_z62setzd2ctoz12zd2sync1936z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72191z00,
		BGl_z62setzd2ctoz12zd2app1938z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72192z00,
		BGl_z62setzd2ctoz12zd2appzd2ly1940za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72193z00,
		BGl_z62setzd2ctoz12zd2funcall1942z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72194z00,
		BGl_z62setzd2ctoz12zd2extern1945z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72195z00,
		BGl_z62setzd2ctoz12zd2cast1947z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72196z00,
		BGl_z62setzd2ctoz12zd2setq1950z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72197z00,
		BGl_z62setzd2ctoz12zd2conditional1952z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72198z00,
		BGl_z62setzd2ctoz12zd2fail1954z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72199z00,
		BGl_z62setzd2ctoz12zd2select1956z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72200z00,
		BGl_z62setzd2ctoz12zd2letzd2fun1958za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72201z00,
		BGl_z62setzd2ctoz12zd2letzd2var1961za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72202z00,
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1963z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72203z00,
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1965z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72204z00,
		BGl_z62setzd2ctoz12zd2makezd2box1967za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72205z00,
		BGl_z62setzd2ctoz12zd2boxzd2setz121969zb0zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za72206z00,
		BGl_z62setzd2ctoz12zd2boxzd2ref1971za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long
		BgL_checksumz00_2745, char *BgL_fromz00_2746)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_cnstzd2initzd2zzintegrate_ctoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_genericzd2initzd2zzintegrate_ctoz00();
					BGl_methodzd2initzd2zzintegrate_ctoz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_cto");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			{	/* Integrate/cto.scm 15 */
				obj_t BgL_cportz00_2731;

				BgL_cportz00_2731 =
					bgl_open_input_string(BGl_string2174z00zzintegrate_ctoz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2732;

					BgL_iz00_2732 = ((long) 0);
				BgL_loopz00_2733:
					if ((BgL_iz00_2732 == ((long) -1)))
						{	/* Integrate/cto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 15 */
							{	/* Integrate/cto.scm 15 */
								obj_t BgL_arg2176z00_2735;

								{	/* Integrate/cto.scm 15 */

									{	/* Integrate/cto.scm 15 */
										obj_t BgL_locationz00_2737;

										BgL_locationz00_2737 = BBOOL(((bool_t) 0));
										{	/* Integrate/cto.scm 15 */

											BgL_arg2176z00_2735 =
												BGl_readz00zz__readerz00(BgL_cportz00_2731,
												BgL_locationz00_2737);
										}
									}
								}
								{	/* Integrate/cto.scm 15 */
									int BgL_auxz00_2767;

									BgL_auxz00_2767 = (int) (BgL_iz00_2732);
									CNST_TABLE_SET(BgL_auxz00_2767, BgL_arg2176z00_2735);
							}}
							{	/* Integrate/cto.scm 15 */
								int BgL_auxz00_2738;

								BgL_auxz00_2738 = (int) ((BgL_iz00_2732 - ((long) 1)));
								{
									long BgL_iz00_2772;

									BgL_iz00_2772 = (long) (BgL_auxz00_2738);
									BgL_iz00_2732 = BgL_iz00_2772;
									goto BgL_loopz00_2733;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_proc2146z00zzintegrate_ctoz00, BGl_nodez00zzast_nodez00,
				BGl_string2147z00zzintegrate_ctoz00);
		}
	}



/* &set-cto!1923 */
	obj_t BGl_z62setzd2ctoz121923za2zzintegrate_ctoz00(obj_t BgL_envz00_2637,
		obj_t BgL_nodez00_2638, obj_t BgL_localz00_2639)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			{
				BgL_nodez00_bglt BgL_nodez00_1428;
				BgL_localz00_bglt BgL_localz00_1429;

				BgL_nodez00_1428 = ((BgL_nodez00_bglt) BgL_nodez00_2638);
				BgL_localz00_1429 = ((BgL_localz00_bglt) BgL_localz00_2639);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2148z00zzintegrate_ctoz00, ((obj_t) BgL_nodez00_1428));
		}}
	}



/* set-cto! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			{	/* Integrate/cto.scm 28 */
				obj_t BgL_method1924z00_1432;

				{	/* Integrate/cto.scm 28 */
					obj_t BgL_res2126z00_2524;

					{	/* Integrate/cto.scm 28 */
						BgL_objectz00_bglt BgL_objz00_2496;

						BgL_objz00_2496 = ((BgL_objectz00_bglt) BgL_nodez00_3);
						{	/* Integrate/cto.scm 28 */
							long BgL_objzd2classzd2numz00_2497;

							{	/* Integrate/cto.scm 28 */
								long BgL_res2120z00_2500;

								BgL_res2120z00_2500 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2496);
								BgL_objzd2classzd2numz00_2497 = BgL_res2120z00_2500;
							}
							{	/* Integrate/cto.scm 28 */
								obj_t BgL_arg1803z00_2498;

								BgL_arg1803z00_2498 =
									PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
									(int) (((long) 1)));
								{	/* Integrate/cto.scm 28 */
									obj_t BgL_arrayz00_2501;
									int BgL_offsetz00_2502;

									BgL_arrayz00_2501 = BgL_arg1803z00_2498;
									BgL_offsetz00_2502 = (int) (BgL_objzd2classzd2numz00_2497);
									{	/* Integrate/cto.scm 28 */
										long BgL_offsetz00_2503;

										BgL_offsetz00_2503 =
											((long) (BgL_offsetz00_2502) - OBJECT_TYPE);
										{	/* Integrate/cto.scm 28 */
											long BgL_modz00_2504;

											{	/* Integrate/cto.scm 28 */
												int BgL_arg1805z00_2505;

												BgL_arg1805z00_2505 = (int) (((long) 16));
												{	/* Integrate/cto.scm 28 */
													long BgL_res2123z00_2515;

													{	/* Integrate/cto.scm 28 */
														long BgL_auxz00_2788;

														BgL_auxz00_2788 = (long) (BgL_arg1805z00_2505);
														BgL_res2123z00_2515 =
															(BgL_offsetz00_2503 / BgL_auxz00_2788);
													}
													BgL_modz00_2504 = BgL_res2123z00_2515;
											}}
											{	/* Integrate/cto.scm 28 */
												long BgL_restz00_2506;

												{	/* Integrate/cto.scm 28 */
													int BgL_arg1804z00_2507;

													BgL_arg1804z00_2507 = (int) (((long) 16));
													{	/* Integrate/cto.scm 28 */
														long BgL_res2125z00_2519;

														{	/* Integrate/cto.scm 28 */
															long BgL_auxz00_2792;

															BgL_auxz00_2792 = (long) (BgL_arg1804z00_2507);
															BgL_res2125z00_2519 =
																(BgL_offsetz00_2503 % BgL_auxz00_2792);
														}
														BgL_restz00_2506 = BgL_res2125z00_2519;
												}}
												{	/* Integrate/cto.scm 28 */

													BgL_res2126z00_2524 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2501,
															(int) (BgL_modz00_2504)),
														(int) (BgL_restz00_2506));
					}}}}}}}}
					BgL_method1924z00_1432 = BgL_res2126z00_2524;
				}
				return
					PROCEDURE_ENTRY(BgL_method1924z00_1432) (BgL_method1924z00_1432,
					((obj_t) BgL_nodez00_3), ((obj_t) BgL_localz00_4), BEOA);
			}
		}
	}



/* &set-cto! */
	obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t BgL_envz00_2640,
		obj_t BgL_nodez00_2641, obj_t BgL_localz00_2642)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			return
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
				((BgL_nodez00_bglt) BgL_nodez00_2641),
				((BgL_localz00_bglt) BgL_localz00_2642));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00,
				BGl_proc2149z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2151z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00,
				BGl_proc2152z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_closurez00zzast_nodez00, BGl_proc2153z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2154z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_syncz00zzast_nodez00,
				BGl_proc2155z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00,
				BGl_proc2156z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2157z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2158z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_externz00zzast_nodez00, BGl_proc2159z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00,
				BGl_proc2160z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00,
				BGl_proc2161z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2162z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00,
				BGl_proc2163z00zzintegrate_ctoz00, BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_selectz00zzast_nodez00, BGl_proc2164z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2165z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2166z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2167z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2168z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2169z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2170z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2171z00zzintegrate_ctoz00,
				BGl_string2150z00zzintegrate_ctoz00);
		}
	}



/* &set-cto!-box-ref1971 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1971za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2665, obj_t BgL_nodez00_2666, obj_t BgL_localz00_2667)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 232 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1665;
				obj_t BgL_localz00_1666;

				BgL_nodez00_1665 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2666);
				BgL_localz00_1666 = BgL_localz00_2667;
				{	/* Integrate/cto.scm 234 */
					BgL_varz00_bglt BgL_arg2058z00_2625;

					BgL_arg2058z00_2625 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1665))->BgL_varz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg2058z00_2625),
						((BgL_localz00_bglt) BgL_localz00_1666));
				}
			}
		}
	}



/* &set-cto!-box-set!1969 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2setz121969zb0zzintegrate_ctoz00(obj_t
		BgL_envz00_2668, obj_t BgL_nodez00_2669, obj_t BgL_localz00_2670)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 224 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1657;
				obj_t BgL_localz00_1658;

				BgL_nodez00_1657 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2669);
				BgL_localz00_1658 = BgL_localz00_2670;
				{	/* Integrate/cto.scm 226 */
					BgL_varz00_bglt BgL_arg2056z00_2622;

					BgL_arg2056z00_2622 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1657))->BgL_varz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg2056z00_2622),
						((BgL_localz00_bglt) BgL_localz00_1658));
				}
				{	/* Integrate/cto.scm 227 */
					BgL_nodez00_bglt BgL_arg2057z00_2623;

					BgL_arg2057z00_2623 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1657))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2057z00_2623,
						((BgL_localz00_bglt) BgL_localz00_1658));
				}
			}
		}
	}



/* &set-cto!-make-box1967 */
	obj_t BGl_z62setzd2ctoz12zd2makezd2box1967za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2671, obj_t BgL_nodez00_2672, obj_t BgL_localz00_2673)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 217 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1650;
				obj_t BgL_localz00_1651;

				BgL_nodez00_1650 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2672);
				BgL_localz00_1651 = BgL_localz00_2673;
				{	/* Integrate/cto.scm 219 */
					BgL_nodez00_bglt BgL_arg2055z00_2620;

					BgL_arg2055z00_2620 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1650))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2055z00_2620,
						((BgL_localz00_bglt) BgL_localz00_1651));
				}
			}
		}
	}



/* &set-cto!-jump-ex-it1965 */
	obj_t BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1965z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2674, obj_t BgL_nodez00_2675, obj_t BgL_localz00_2676)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 209 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1642;
				obj_t BgL_localz00_1643;

				BgL_nodez00_1642 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2675);
				BgL_localz00_1643 = BgL_localz00_2676;
				{	/* Integrate/cto.scm 211 */
					BgL_nodez00_bglt BgL_arg2053z00_2617;

					BgL_arg2053z00_2617 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1642))->
						BgL_exitz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2053z00_2617,
						((BgL_localz00_bglt) BgL_localz00_1643));
				}
				{	/* Integrate/cto.scm 212 */
					BgL_nodez00_bglt BgL_arg2054z00_2618;

					BgL_arg2054z00_2618 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1642))->
						BgL_valuez00);
					return BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2054z00_2618,
						((BgL_localz00_bglt) BgL_localz00_1643));
				}
			}
		}
	}



/* &set-cto!-set-ex-it1963 */
	obj_t BGl_z62setzd2ctoz12zd2setzd2exzd2it1963z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2677, obj_t BgL_nodez00_2678, obj_t BgL_localz00_2679)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 202 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1635;
				obj_t BgL_localz00_1636;

				BgL_nodez00_1635 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2678);
				BgL_localz00_1636 = BgL_localz00_2679;
				{	/* Integrate/cto.scm 204 */
					BgL_nodez00_bglt BgL_arg2051z00_2615;

					BgL_arg2051z00_2615 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1635))->BgL_bodyz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2051z00_2615,
						((BgL_localz00_bglt) BgL_localz00_1636));
				}
			}
		}
	}



/* &set-cto!-let-var1961 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2var1961za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2680, obj_t BgL_nodez00_2681, obj_t BgL_localz00_2682)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 190 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1619;
				obj_t BgL_localz00_1620;

				BgL_nodez00_1619 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2681);
				BgL_localz00_1620 = BgL_localz00_2682;
				{	/* Integrate/cto.scm 192 */
					obj_t BgL_g1121z00_1624;

					BgL_g1121z00_1624 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1619))->BgL_bindingsz00);
					{
						obj_t BgL_bindingsz00_1626;

						BgL_bindingsz00_1626 = BgL_g1121z00_1624;
					BgL_zc3anonymousza32044ze3z83_1627:
						if (NULLP(BgL_bindingsz00_1626))
							{	/* Integrate/cto.scm 194 */
								BgL_nodez00_bglt BgL_arg2046z00_1629;

								BgL_arg2046z00_1629 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1619))->
									BgL_bodyz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2046z00_1629,
									((BgL_localz00_bglt) BgL_localz00_1620));
							}
						else
							{	/* Integrate/cto.scm 193 */
								{	/* Integrate/cto.scm 196 */
									obj_t BgL_arg2047z00_1630;

									BgL_arg2047z00_1630 = CDR(CAR(BgL_bindingsz00_1626));
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_arg2047z00_1630),
										((BgL_localz00_bglt) BgL_localz00_1620));
								}
								{
									obj_t BgL_bindingsz00_2870;

									BgL_bindingsz00_2870 = CDR(BgL_bindingsz00_1626);
									BgL_bindingsz00_1626 = BgL_bindingsz00_2870;
									goto BgL_zc3anonymousza32044ze3z83_1627;
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-let-fun1958 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2fun1958za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2683, obj_t BgL_nodez00_2684, obj_t BgL_localz00_2685)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 175 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1601;
				obj_t BgL_localz00_1602;

				BgL_nodez00_1601 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2684);
				BgL_localz00_1602 = BgL_localz00_2685;
				{	/* Integrate/cto.scm 177 */
					obj_t BgL_g1117z00_1606;

					BgL_g1117z00_1606 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1601))->BgL_localsz00);
					{
						obj_t BgL_localsz00_1608;

						BgL_localsz00_1608 = BgL_g1117z00_1606;
					BgL_zc3anonymousza32039ze3z83_1609:
						if (NULLP(BgL_localsz00_1608))
							{	/* Integrate/cto.scm 179 */
								BgL_nodez00_bglt BgL_arg2041z00_1611;

								BgL_arg2041z00_1611 =
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1601))->
									BgL_bodyz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2041z00_1611,
									((BgL_localz00_bglt) BgL_localz00_1602));
							}
						else
							{	/* Integrate/cto.scm 180 */
								obj_t BgL_llocalz00_1612;

								BgL_llocalz00_1612 = CAR(BgL_localsz00_1608);
								{	/* Integrate/cto.scm 180 */
									BgL_valuez00_bglt BgL_funz00_1613;

									BgL_funz00_1613 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_llocalz00_1612))))->
										BgL_valuez00);
									{	/* Integrate/cto.scm 182 */

										{	/* Integrate/cto.scm 184 */
											obj_t BgL_arg2042z00_1615;

											BgL_arg2042z00_1615 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1613)))->
												BgL_bodyz00);
											BGl_setzd2ctoz12zc0zzintegrate_ctoz00(((BgL_nodez00_bglt)
													BgL_arg2042z00_1615),
												((BgL_localz00_bglt) BgL_localz00_1602));
										}
										{
											obj_t BgL_localsz00_2888;

											BgL_localsz00_2888 = CDR(BgL_localsz00_1608);
											BgL_localsz00_1608 = BgL_localsz00_2888;
											goto BgL_zc3anonymousza32039ze3z83_1609;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-select1956 */
	obj_t BGl_z62setzd2ctoz12zd2select1956z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2686, obj_t BgL_nodez00_2687, obj_t BgL_localz00_2688)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 163 */
			{
				BgL_selectz00_bglt BgL_nodez00_1585;
				obj_t BgL_localz00_1586;

				BgL_nodez00_1585 = ((BgL_selectz00_bglt) BgL_nodez00_2687);
				BgL_localz00_1586 = BgL_localz00_2688;
				{	/* Integrate/cto.scm 165 */
					obj_t BgL_g1114z00_1590;

					BgL_g1114z00_1590 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1585))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1592;

						BgL_clausesz00_1592 = BgL_g1114z00_1590;
					BgL_zc3anonymousza32033ze3z83_1593:
						if (NULLP(BgL_clausesz00_1592))
							{	/* Integrate/cto.scm 167 */
								BgL_nodez00_bglt BgL_arg2035z00_1595;

								BgL_arg2035z00_1595 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1585))->BgL_testz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2035z00_1595,
									((BgL_localz00_bglt) BgL_localz00_1586));
							}
						else
							{	/* Integrate/cto.scm 166 */
								{	/* Integrate/cto.scm 169 */
									obj_t BgL_arg2036z00_1596;

									BgL_arg2036z00_1596 = CDR(CAR(BgL_clausesz00_1592));
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_arg2036z00_1596),
										((BgL_localz00_bglt) BgL_localz00_1586));
								}
								{
									obj_t BgL_clausesz00_2902;

									BgL_clausesz00_2902 = CDR(BgL_clausesz00_1592);
									BgL_clausesz00_1592 = BgL_clausesz00_2902;
									goto BgL_zc3anonymousza32033ze3z83_1593;
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-fail1954 */
	obj_t BGl_z62setzd2ctoz12zd2fail1954z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2689, obj_t BgL_nodez00_2690, obj_t BgL_localz00_2691)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 154 */
			{
				BgL_failz00_bglt BgL_nodez00_1576;
				obj_t BgL_localz00_1577;

				BgL_nodez00_1576 = ((BgL_failz00_bglt) BgL_nodez00_2690);
				BgL_localz00_1577 = BgL_localz00_2691;
				{	/* Integrate/cto.scm 156 */
					BgL_nodez00_bglt BgL_arg2029z00_1581;

					BgL_arg2029z00_1581 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1576))->BgL_procz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2029z00_1581,
						((BgL_localz00_bglt) BgL_localz00_1577));
				}
				{	/* Integrate/cto.scm 157 */
					BgL_nodez00_bglt BgL_arg2030z00_1582;

					BgL_arg2030z00_1582 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1576))->BgL_msgz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2030z00_1582,
						((BgL_localz00_bglt) BgL_localz00_1577));
				}
				{	/* Integrate/cto.scm 158 */
					BgL_nodez00_bglt BgL_arg2032z00_1583;

					BgL_arg2032z00_1583 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1576))->BgL_objz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2032z00_1583,
						((BgL_localz00_bglt) BgL_localz00_1577));
				}
			}
		}
	}



/* &set-cto!-conditional1952 */
	obj_t BGl_z62setzd2ctoz12zd2conditional1952z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2692, obj_t BgL_nodez00_2693, obj_t BgL_localz00_2694)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 145 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1567;
				obj_t BgL_localz00_1568;

				BgL_nodez00_1567 = ((BgL_conditionalz00_bglt) BgL_nodez00_2693);
				BgL_localz00_1568 = BgL_localz00_2694;
				{	/* Integrate/cto.scm 147 */
					BgL_nodez00_bglt BgL_arg2026z00_1572;

					BgL_arg2026z00_1572 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1567))->BgL_testz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2026z00_1572,
						((BgL_localz00_bglt) BgL_localz00_1568));
				}
				{	/* Integrate/cto.scm 148 */
					BgL_nodez00_bglt BgL_arg2027z00_1573;

					BgL_arg2027z00_1573 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1567))->BgL_truez00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2027z00_1573,
						((BgL_localz00_bglt) BgL_localz00_1568));
				}
				{	/* Integrate/cto.scm 149 */
					BgL_nodez00_bglt BgL_arg2028z00_1574;

					BgL_arg2028z00_1574 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1567))->BgL_falsez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2028z00_1574,
						((BgL_localz00_bglt) BgL_localz00_1568));
				}
			}
		}
	}



/* &set-cto!-setq1950 */
	obj_t BGl_z62setzd2ctoz12zd2setq1950z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2695, obj_t BgL_nodez00_2696, obj_t BgL_localz00_2697)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 137 */
			{
				BgL_setqz00_bglt BgL_nodez00_1559;
				obj_t BgL_localz00_1560;

				BgL_nodez00_1559 = ((BgL_setqz00_bglt) BgL_nodez00_2696);
				BgL_localz00_1560 = BgL_localz00_2697;
				{	/* Integrate/cto.scm 139 */
					BgL_varz00_bglt BgL_arg2022z00_2584;

					BgL_arg2022z00_2584 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1559))->BgL_varz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg2022z00_2584),
						((BgL_localz00_bglt) BgL_localz00_1560));
				}
				{	/* Integrate/cto.scm 140 */
					BgL_nodez00_bglt BgL_arg2024z00_2585;

					BgL_arg2024z00_2585 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1559))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2024z00_2585,
						((BgL_localz00_bglt) BgL_localz00_1560));
				}
			}
		}
	}



/* &set-cto!-cast1947 */
	obj_t BGl_z62setzd2ctoz12zd2cast1947z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2698, obj_t BgL_nodez00_2699, obj_t BgL_localz00_2700)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 130 */
			{
				BgL_castz00_bglt BgL_nodez00_1552;
				obj_t BgL_localz00_1553;

				BgL_nodez00_1552 = ((BgL_castz00_bglt) BgL_nodez00_2699);
				BgL_localz00_1553 = BgL_localz00_2700;
				{	/* Integrate/cto.scm 132 */
					BgL_nodez00_bglt BgL_arg2021z00_2582;

					BgL_arg2021z00_2582 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1552))->BgL_argz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2021z00_2582,
						((BgL_localz00_bglt) BgL_localz00_1553));
				}
			}
		}
	}



/* &set-cto!-extern1945 */
	obj_t BGl_z62setzd2ctoz12zd2extern1945z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2701, obj_t BgL_nodez00_2702, obj_t BgL_localz00_2703)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 123 */
			{
				BgL_externz00_bglt BgL_nodez00_1538;
				obj_t BgL_localz00_1539;

				BgL_nodez00_1538 = ((BgL_externz00_bglt) BgL_nodez00_2702);
				BgL_localz00_1539 = BgL_localz00_2703;
				{	/* Integrate/cto.scm 125 */
					obj_t BgL_g1922z00_1543;

					BgL_g1922z00_1543 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1538))->BgL_exprza2za2);
					{
						obj_t BgL_l1920z00_1545;

						{	/* Integrate/cto.scm 125 */
							bool_t BgL_auxz00_2938;

							BgL_l1920z00_1545 = BgL_g1922z00_1543;
						BgL_zc3anonymousza32018ze3z83_1546:
							if (PAIRP(BgL_l1920z00_1545))
								{	/* Integrate/cto.scm 125 */
									{	/* Integrate/cto.scm 125 */
										obj_t BgL_nodez00_1548;

										BgL_nodez00_1548 = CAR(BgL_l1920z00_1545);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_nodez00_1548),
											((BgL_localz00_bglt) BgL_localz00_1539));
									}
									{
										obj_t BgL_l1920z00_2945;

										BgL_l1920z00_2945 = CDR(BgL_l1920z00_1545);
										BgL_l1920z00_1545 = BgL_l1920z00_2945;
										goto BgL_zc3anonymousza32018ze3z83_1546;
									}
								}
							else
								{	/* Integrate/cto.scm 125 */
									BgL_auxz00_2938 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2938);
						}
					}
				}
			}
		}
	}



/* &set-cto!-funcall1942 */
	obj_t BGl_z62setzd2ctoz12zd2funcall1942z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2704, obj_t BgL_nodez00_2705, obj_t BgL_localz00_2706)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 111 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1523;
				obj_t BgL_localz00_1524;

				BgL_nodez00_1523 = ((BgL_funcallz00_bglt) BgL_nodez00_2705);
				BgL_localz00_1524 = BgL_localz00_2706;
				{
					obj_t BgL_astsz00_1530;

					BgL_astsz00_1530 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1523))->BgL_argsz00);
				BgL_zc3anonymousza32012ze3z83_1531:
					if (NULLP(BgL_astsz00_1530))
						{	/* Integrate/cto.scm 115 */
							BgL_nodez00_bglt BgL_arg2014z00_1533;

							BgL_arg2014z00_1533 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1523))->BgL_funz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2014z00_1533,
								((BgL_localz00_bglt) BgL_localz00_1524));
						}
					else
						{	/* Integrate/cto.scm 114 */
							{	/* Integrate/cto.scm 117 */
								obj_t BgL_arg2016z00_1534;

								BgL_arg2016z00_1534 = CAR(BgL_astsz00_1530);
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg2016z00_1534),
									((BgL_localz00_bglt) BgL_localz00_1524));
							}
							{
								obj_t BgL_astsz00_2958;

								BgL_astsz00_2958 = CDR(BgL_astsz00_1530);
								BgL_astsz00_1530 = BgL_astsz00_2958;
								goto BgL_zc3anonymousza32012ze3z83_1531;
							}
						}
				}
			}
		}
	}



/* &set-cto!-app-ly1940 */
	obj_t BGl_z62setzd2ctoz12zd2appzd2ly1940za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2707, obj_t BgL_nodez00_2708, obj_t BgL_localz00_2709)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 103 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1515;
				obj_t BgL_localz00_1516;

				BgL_nodez00_1515 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2708);
				BgL_localz00_1516 = BgL_localz00_2709;
				{	/* Integrate/cto.scm 105 */
					BgL_nodez00_bglt BgL_arg2009z00_2571;

					BgL_arg2009z00_2571 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1515))->BgL_funz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2009z00_2571,
						((BgL_localz00_bglt) BgL_localz00_1516));
				}
				{	/* Integrate/cto.scm 106 */
					BgL_nodez00_bglt BgL_arg2010z00_2572;

					BgL_arg2010z00_2572 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1515))->BgL_argz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg2010z00_2572,
						((BgL_localz00_bglt) BgL_localz00_1516));
				}
			}
		}
	}



/* &set-cto!-app1938 */
	obj_t BGl_z62setzd2ctoz12zd2app1938z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2710, obj_t BgL_nodez00_2711, obj_t BgL_localz00_2712)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 73 */
			{
				BgL_appz00_bglt BgL_nodez00_1484;
				obj_t BgL_localz00_1485;

				BgL_nodez00_1484 = ((BgL_appz00_bglt) BgL_nodez00_2711);
				BgL_localz00_1485 = BgL_localz00_2712;
				{	/* Integrate/cto.scm 77 */
					BgL_variablez00_bglt BgL_funz00_1489;

					BgL_funz00_1489 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1484))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Integrate/cto.scm 78 */
						bool_t BgL_testz00_2971;

						{	/* Integrate/cto.scm 78 */
							bool_t BgL_testz00_2972;

							{	/* Integrate/cto.scm 78 */
								bool_t BgL_res2131z00_2541;

								{	/* Integrate/cto.scm 78 */
									obj_t BgL_objz00_2540;

									BgL_objz00_2540 = ((obj_t) BgL_funz00_1489);
									BgL_res2131z00_2541 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2540,
										BGl_localz00zzast_varz00);
								}
								BgL_testz00_2972 = BgL_res2131z00_2541;
							}
							if (BgL_testz00_2972)
								{	/* Integrate/cto.scm 78 */
									if ((BgL_localz00_1485 == ((obj_t) BgL_funz00_1489)))
										{	/* Integrate/cto.scm 78 */
											BgL_testz00_2971 = ((bool_t) 0);
										}
									else
										{	/* Integrate/cto.scm 78 */
											BgL_testz00_2971 = ((bool_t) 1);
										}
								}
							else
								{	/* Integrate/cto.scm 78 */
									BgL_testz00_2971 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2971)
							{	/* Integrate/cto.scm 78 */
								BNIL;
							}
						else
							{	/* Integrate/cto.scm 78 */
								BFALSE;
							}
					}
					{	/* Integrate/cto.scm 85 */
						bool_t BgL_testz00_2978;

						{	/* Integrate/cto.scm 85 */
							bool_t BgL_testz00_2979;

							{	/* Integrate/cto.scm 85 */
								bool_t BgL_res2132z00_2543;

								{	/* Integrate/cto.scm 85 */
									obj_t BgL_objz00_2542;

									BgL_objz00_2542 = ((obj_t) BgL_funz00_1489);
									BgL_res2132z00_2543 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2542,
										BGl_localz00zzast_varz00);
								}
								BgL_testz00_2979 = BgL_res2132z00_2543;
							}
							if (BgL_testz00_2979)
								{	/* Integrate/cto.scm 86 */
									bool_t BgL_testz00_2982;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2983;

										{
											obj_t BgL_auxz00_2984;

											{	/* Integrate/cto.scm 86 */
												BgL_objectz00_bglt BgL_auxz00_2985;

												BgL_auxz00_2985 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_funz00_1489))))->
															BgL_valuez00)));
												BgL_auxz00_2984 = BGL_OBJECT_WIDENING(BgL_auxz00_2985);
											}
											BgL_auxz00_2983 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2984);
										}
										BgL_testz00_2982 =
											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2983))->
											BgL_gzf3zf3);
									}
									if (BgL_testz00_2982)
										{	/* Integrate/cto.scm 86 */
											if ((BgL_localz00_1485 == ((obj_t) BgL_funz00_1489)))
												{	/* Integrate/cto.scm 87 */
													BgL_testz00_2978 = ((bool_t) 0);
												}
											else
												{	/* Integrate/cto.scm 88 */
													bool_t BgL_testz00_2997;

													{	/* Integrate/cto.scm 88 */
														obj_t BgL_auxz00_2998;

														{	/* Integrate/cto.scm 88 */
															obj_t BgL_auxz00_2999;

															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3001;

																{
																	obj_t BgL_auxz00_3002;

																	{	/* Integrate/cto.scm 88 */
																		BgL_objectz00_bglt BgL_auxz00_3003;

																		BgL_auxz00_3003 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_localz00_1485))))->
																					BgL_valuez00)));
																		BgL_auxz00_3002 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3003);
																	}
																	BgL_auxz00_3001 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_3002);
																}
																BgL_auxz00_2999 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3001))->BgL_ctoz00);
															}
															BgL_auxz00_2998 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t) BgL_funz00_1489), BgL_auxz00_2999);
														}
														BgL_testz00_2997 = CBOOL(BgL_auxz00_2998);
													}
													if (BgL_testz00_2997)
														{	/* Integrate/cto.scm 88 */
															BgL_testz00_2978 = ((bool_t) 0);
														}
													else
														{	/* Integrate/cto.scm 88 */
															BgL_testz00_2978 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Integrate/cto.scm 86 */
											BgL_testz00_2978 = ((bool_t) 0);
										}
								}
							else
								{	/* Integrate/cto.scm 85 */
									BgL_testz00_2978 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2978)
							{	/* Integrate/cto.scm 89 */
								BgL_valuez00_bglt BgL_arg1990z00_1494;
								obj_t BgL_arg1992z00_1495;

								BgL_arg1990z00_1494 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1485))))->
									BgL_valuez00);
								{	/* Integrate/cto.scm 92 */
									obj_t BgL_arg1993z00_1496;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3017;

										{
											obj_t BgL_auxz00_3018;

											{	/* Integrate/cto.scm 91 */
												BgL_objectz00_bglt BgL_auxz00_3019;

												BgL_auxz00_3019 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1485))))->
															BgL_valuez00)));
												BgL_auxz00_3018 = BGL_OBJECT_WIDENING(BgL_auxz00_3019);
											}
											BgL_auxz00_3017 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3018);
										}
										BgL_arg1993z00_1496 =
											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3017))->
											BgL_ctoz00);
									}
									BgL_arg1992z00_1495 =
										MAKE_PAIR(((obj_t) BgL_funz00_1489), BgL_arg1993z00_1496);
								}
								{	/* Integrate/cto.scm 89 */
									BgL_sfunz00_bglt BgL_oz00_2563;

									BgL_oz00_2563 = ((BgL_sfunz00_bglt) BgL_arg1990z00_1494);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3031;

										{
											obj_t BgL_auxz00_3032;

											{	/* Integrate/cto.scm 89 */
												BgL_objectz00_bglt BgL_auxz00_3033;

												BgL_auxz00_3033 = ((BgL_objectz00_bglt) BgL_oz00_2563);
												BgL_auxz00_3032 = BGL_OBJECT_WIDENING(BgL_auxz00_3033);
											}
											BgL_auxz00_3031 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3032);
										}
										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3031))->
												BgL_ctoz00) = ((obj_t) BgL_arg1992z00_1495), BUNSPEC);
									}
								}
							}
						else
							{	/* Integrate/cto.scm 85 */
								BFALSE;
							}
					}
				}
				{
					obj_t BgL_astsz00_1508;

					BgL_astsz00_1508 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1484))->BgL_argsz00);
				BgL_zc3anonymousza32005ze3z83_1509:
					if (NULLP(BgL_astsz00_1508))
						{	/* Integrate/cto.scm 94 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 94 */
							{	/* Integrate/cto.scm 97 */
								obj_t BgL_arg2007z00_1511;

								BgL_arg2007z00_1511 = CAR(BgL_astsz00_1508);
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg2007z00_1511),
									((BgL_localz00_bglt) BgL_localz00_1485));
							}
							{
								obj_t BgL_astsz00_3044;

								BgL_astsz00_3044 = CDR(BgL_astsz00_1508);
								BgL_astsz00_1508 = BgL_astsz00_3044;
								goto BgL_zc3anonymousza32005ze3z83_1509;
							}
						}
				}
			}
		}
	}



/* &set-cto!-sync1936 */
	obj_t BGl_z62setzd2ctoz12zd2sync1936z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2713, obj_t BgL_nodez00_2714, obj_t BgL_localz00_2715)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 64 */
			{
				BgL_syncz00_bglt BgL_nodez00_1468;
				obj_t BgL_localz00_1469;

				BgL_nodez00_1468 = ((BgL_syncz00_bglt) BgL_nodez00_2714);
				BgL_localz00_1469 = BgL_localz00_2715;
				{	/* Integrate/cto.scm 66 */
					BgL_nodez00_bglt BgL_arg1981z00_1473;

					BgL_arg1981z00_1473 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1468))->BgL_mutexz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1981z00_1473,
						((BgL_localz00_bglt) BgL_localz00_1469));
				}
				{	/* Integrate/cto.scm 67 */
					BgL_nodez00_bglt BgL_arg1982z00_1474;

					BgL_arg1982z00_1474 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1468))->BgL_prelockz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1982z00_1474,
						((BgL_localz00_bglt) BgL_localz00_1469));
				}
				{	/* Integrate/cto.scm 68 */
					obj_t BgL_g1919z00_1475;

					BgL_g1919z00_1475 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1468))->BgL_nodesz00);
					{
						obj_t BgL_l1917z00_1477;

						{	/* Integrate/cto.scm 68 */
							bool_t BgL_auxz00_3055;

							BgL_l1917z00_1477 = BgL_g1919z00_1475;
						BgL_zc3anonymousza31983ze3z83_1478:
							if (PAIRP(BgL_l1917z00_1477))
								{	/* Integrate/cto.scm 68 */
									{	/* Integrate/cto.scm 68 */
										obj_t BgL_nodez00_1480;

										BgL_nodez00_1480 = CAR(BgL_l1917z00_1477);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_nodez00_1480),
											((BgL_localz00_bglt) BgL_localz00_1469));
									}
									{
										obj_t BgL_l1917z00_3062;

										BgL_l1917z00_3062 = CDR(BgL_l1917z00_1477);
										BgL_l1917z00_1477 = BgL_l1917z00_3062;
										goto BgL_zc3anonymousza31983ze3z83_1478;
									}
								}
							else
								{	/* Integrate/cto.scm 68 */
									BgL_auxz00_3055 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_3055);
						}
					}
				}
			}
		}
	}



/* &set-cto!-sequence1934 */
	obj_t BGl_z62setzd2ctoz12zd2sequence1934z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2716, obj_t BgL_nodez00_2717, obj_t BgL_localz00_2718)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 57 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1454;
				obj_t BgL_localz00_1455;

				BgL_nodez00_1454 = ((BgL_sequencez00_bglt) BgL_nodez00_2717);
				BgL_localz00_1455 = BgL_localz00_2718;
				{	/* Integrate/cto.scm 59 */
					obj_t BgL_g1916z00_1459;

					BgL_g1916z00_1459 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1454))->BgL_nodesz00);
					{
						obj_t BgL_l1897z00_1461;

						{	/* Integrate/cto.scm 59 */
							bool_t BgL_auxz00_3067;

							BgL_l1897z00_1461 = BgL_g1916z00_1459;
						BgL_zc3anonymousza31978ze3z83_1462:
							if (PAIRP(BgL_l1897z00_1461))
								{	/* Integrate/cto.scm 59 */
									{	/* Integrate/cto.scm 59 */
										obj_t BgL_nodez00_1464;

										BgL_nodez00_1464 = CAR(BgL_l1897z00_1461);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_nodez00_1464),
											((BgL_localz00_bglt) BgL_localz00_1455));
									}
									{
										obj_t BgL_l1897z00_3074;

										BgL_l1897z00_3074 = CDR(BgL_l1897z00_1461);
										BgL_l1897z00_1461 = BgL_l1897z00_3074;
										goto BgL_zc3anonymousza31978ze3z83_1462;
									}
								}
							else
								{	/* Integrate/cto.scm 59 */
									BgL_auxz00_3067 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_3067);
						}
					}
				}
			}
		}
	}



/* &set-cto!-closure1932 */
	obj_t BGl_z62setzd2ctoz12zd2closure1932z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2719, obj_t BgL_nodez00_2720, obj_t BgL_localz00_2721)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 51 */
			{
				BgL_closurez00_bglt BgL_nodez00_1448;
				obj_t BgL_localz00_1449;

				BgL_nodez00_1448 = ((BgL_closurez00_bglt) BgL_nodez00_2720);
				BgL_localz00_1449 = BgL_localz00_2721;
				{	/* Integrate/cto.scm 52 */
					obj_t BgL_arg1977z00_2525;

					BgL_arg1977z00_2525 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1448));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2150z00zzintegrate_ctoz00,
						BGl_string2172z00zzintegrate_ctoz00, BgL_arg1977z00_2525);
				}
			}
		}
	}



/* &set-cto!-var1930 */
	obj_t BGl_z62setzd2ctoz12zd2var1930z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2722, obj_t BgL_nodez00_2723, obj_t BgL_localz00_2724)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 45 */
			return BUNSPEC;
		}
	}



/* &set-cto!-kwote1928 */
	obj_t BGl_z62setzd2ctoz12zd2kwote1928z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2725, obj_t BgL_nodez00_2726, obj_t BgL_localz00_2727)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 39 */
			return BUNSPEC;
		}
	}



/* &set-cto!-atom1926 */
	obj_t BGl_z62setzd2ctoz12zd2atom1926z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2728, obj_t BgL_nodez00_2729, obj_t BgL_localz00_2730)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 33 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2173z00zzintegrate_ctoz00));
		}
	}

#ifdef __cplusplus
}
#endif
