/*===========================================================================*/
/*   (Object/tools.scm)                                                      */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/tools.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62makezd2directzd2setz12z70zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_toolsz00();
	static obj_t BGl_z62findzd2classzd2slotz62zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_toolsz00();
	BGL_EXPORTED_DECL obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
	static obj_t BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	static obj_t BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_toolsz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_toolsz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62classzf3zd2idz43zzobject_toolsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62makezd2classzd2refz62zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_EXPORTED_DECL obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_toolsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
	static obj_t BGl_makezd2directzd2refz00zzobject_toolsz00(obj_t,
		BgL_slotz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2classzd2setz12z70zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_objzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762objza7d2za7e3clas2113za7,
		BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_classzf3zd2idzd2envzf3zzobject_toolsz00,
		BgL_bgl_za762classza7f3za7d2id2114za7,
		BGl_z62classzf3zd2idz43zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2classzd2slotzd2envzd2zzobject_toolsz00,
		BgL_bgl_za762findza7d2classza72115za7,
		BGl_z62findzd2classzd2slotz62zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2refzd2envzd2zzobject_toolsz00,
		BgL_bgl_za762makeza7d2classza72116za7,
		BGl_z62makezd2classzd2refz62zzobject_toolsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2setz12zd2envzc0zzobject_toolsz00,
		BgL_bgl_za762makeza7d2classza72117za7,
		BGl_z62makezd2classzd2setz12z70zzobject_toolsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3superzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762classza7d2za7e3su2118za7,
		BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_superzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762superza7d2za7e3cl2119za7,
		BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3objzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762classza7d2za7e3ob2120za7,
		BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2directzd2setz12zd2envzc0zzobject_toolsz00,
		BgL_bgl_za762makeza7d2direct2121z00,
		BGl_z62makezd2directzd2setz12z70zzobject_toolsz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2107z00zzobject_toolsz00,
		BgL_bgl_string2107za700za7za7o2122za7, "(((~a)CREF($1))->~a)", 20);
	      DEFINE_STRING(BGl_string2108z00zzobject_toolsz00,
		BgL_bgl_string2108za700za7za7o2123za7,
		"((((~a)CREF($1))->~a)=((~a)$2),BUNSPEC)", 39);
	      DEFINE_STRING(BGl_string2109z00zzobject_toolsz00,
		BgL_bgl_string2109za700za7za7o2124za7, "object_tools", 12);
	      DEFINE_STRING(BGl_string2110z00zzobject_toolsz00,
		BgL_bgl_string2110za700za7za7o2125za7,
		"setfield getfield object-widening -> ? obj-> ->obj ", 51);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long
		BgL_checksumz00_2685, char *BgL_fromz00_2686)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_toolsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_toolsz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
					BGl_cnstzd2initzd2zzobject_toolsz00();
					BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_tools");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			{	/* Object/tools.scm 15 */
				obj_t BgL_cportz00_2677;

				BgL_cportz00_2677 =
					bgl_open_input_string(BGl_string2110z00zzobject_toolsz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2678;

					BgL_iz00_2678 = ((long) 6);
				BgL_loopz00_2679:
					if ((BgL_iz00_2678 == ((long) -1)))
						{	/* Object/tools.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/tools.scm 15 */
							{	/* Object/tools.scm 15 */
								obj_t BgL_arg2112z00_2681;

								{	/* Object/tools.scm 15 */

									{	/* Object/tools.scm 15 */
										obj_t BgL_locationz00_2683;

										BgL_locationz00_2683 = BBOOL(((bool_t) 0));
										{	/* Object/tools.scm 15 */

											BgL_arg2112z00_2681 =
												BGl_readz00zz__readerz00(BgL_cportz00_2677,
												BgL_locationz00_2683);
										}
									}
								}
								{	/* Object/tools.scm 15 */
									int BgL_auxz00_2705;

									BgL_auxz00_2705 = (int) (BgL_iz00_2678);
									CNST_TABLE_SET(BgL_auxz00_2705, BgL_arg2112z00_2681);
							}}
							{	/* Object/tools.scm 15 */
								int BgL_auxz00_2684;

								BgL_auxz00_2684 = (int) ((BgL_iz00_2678 - ((long) 1)));
								{
									long BgL_iz00_2710;

									BgL_iz00_2710 = (long) (BgL_auxz00_2684);
									BgL_iz00_2678 = BgL_iz00_2710;
									goto BgL_loopz00_2679;
								}
							}
						}
				}
			}
		}
	}



/* class->obj-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 43 */
			{	/* Object/tools.scm 44 */
				obj_t BgL_arg1969z00_1559;

				{	/* Object/tools.scm 44 */
					obj_t BgL_arg1970z00_1560;
					obj_t BgL_arg1971z00_1561;

					{	/* Object/tools.scm 44 */
						obj_t BgL_res2087z00_2547;

						{	/* Object/tools.scm 44 */
							obj_t BgL_arg1308z00_2546;

							BgL_arg1308z00_2546 = SYMBOL_TO_STRING(BgL_idz00_3);
							BgL_res2087z00_2547 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1308z00_2546);
						}
						BgL_arg1970z00_1560 = BgL_res2087z00_2547;
					}
					{	/* Object/tools.scm 44 */
						obj_t BgL_res2088z00_2550;

						{	/* Object/tools.scm 44 */
							obj_t BgL_symbolz00_2548;

							BgL_symbolz00_2548 = CNST_TABLE_REF(((long) 0));
							{	/* Object/tools.scm 44 */
								obj_t BgL_arg1308z00_2549;

								BgL_arg1308z00_2549 = SYMBOL_TO_STRING(BgL_symbolz00_2548);
								BgL_res2088z00_2550 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1308z00_2549);
						}}
						BgL_arg1971z00_1561 = BgL_res2088z00_2550;
					}
					BgL_arg1969z00_1559 =
						string_append(BgL_arg1970z00_1560, BgL_arg1971z00_1561);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1969z00_1559));
			}
		}
	}



/* &class->obj-id */
	obj_t BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2648,
		obj_t BgL_idz00_2649)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 43 */
			return BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_idz00_2649);
		}
	}



/* obj->class-id */
	BGL_EXPORTED_DEF obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_4)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 49 */
			{	/* Object/tools.scm 50 */
				obj_t BgL_arg1972z00_1562;

				{	/* Object/tools.scm 50 */
					obj_t BgL_arg1973z00_1563;
					obj_t BgL_arg1974z00_1564;

					{	/* Object/tools.scm 50 */
						obj_t BgL_res2090z00_2555;

						{	/* Object/tools.scm 50 */
							obj_t BgL_symbolz00_2553;

							BgL_symbolz00_2553 = CNST_TABLE_REF(((long) 1));
							{	/* Object/tools.scm 50 */
								obj_t BgL_arg1308z00_2554;

								BgL_arg1308z00_2554 = SYMBOL_TO_STRING(BgL_symbolz00_2553);
								BgL_res2090z00_2555 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1308z00_2554);
						}}
						BgL_arg1973z00_1563 = BgL_res2090z00_2555;
					}
					{	/* Object/tools.scm 50 */
						obj_t BgL_res2091z00_2558;

						{	/* Object/tools.scm 50 */
							obj_t BgL_arg1308z00_2557;

							BgL_arg1308z00_2557 = SYMBOL_TO_STRING(BgL_idz00_4);
							BgL_res2091z00_2558 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1308z00_2557);
						}
						BgL_arg1974z00_1564 = BgL_res2091z00_2558;
					}
					BgL_arg1972z00_1562 =
						string_append(BgL_arg1973z00_1563, BgL_arg1974z00_1564);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1972z00_1562));
			}
		}
	}



/* &obj->class-id */
	obj_t BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2650,
		obj_t BgL_idz00_2651)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 49 */
			return BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_idz00_2651);
		}
	}



/* class?-id */
	BGL_EXPORTED_DEF obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t
		BgL_idz00_5)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 55 */
			{	/* Object/tools.scm 56 */
				obj_t BgL_arg1975z00_1565;

				{	/* Object/tools.scm 56 */
					obj_t BgL_arg1977z00_1566;
					obj_t BgL_arg1978z00_1567;

					{	/* Object/tools.scm 56 */
						obj_t BgL_res2093z00_2563;

						{	/* Object/tools.scm 56 */
							obj_t BgL_arg1308z00_2562;

							BgL_arg1308z00_2562 = SYMBOL_TO_STRING(BgL_idz00_5);
							BgL_res2093z00_2563 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1308z00_2562);
						}
						BgL_arg1977z00_1566 = BgL_res2093z00_2563;
					}
					{	/* Object/tools.scm 56 */
						obj_t BgL_res2094z00_2566;

						{	/* Object/tools.scm 56 */
							obj_t BgL_symbolz00_2564;

							BgL_symbolz00_2564 = CNST_TABLE_REF(((long) 2));
							{	/* Object/tools.scm 56 */
								obj_t BgL_arg1308z00_2565;

								BgL_arg1308z00_2565 = SYMBOL_TO_STRING(BgL_symbolz00_2564);
								BgL_res2094z00_2566 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1308z00_2565);
						}}
						BgL_arg1978z00_1567 = BgL_res2094z00_2566;
					}
					BgL_arg1975z00_1565 =
						string_append(BgL_arg1977z00_1566, BgL_arg1978z00_1567);
				}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1975z00_1565));
			}
		}
	}



/* &class?-id */
	obj_t BGl_z62classzf3zd2idz43zzobject_toolsz00(obj_t BgL_envz00_2652,
		obj_t BgL_idz00_2653)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 55 */
			return BGl_classzf3zd2idz21zzobject_toolsz00(BgL_idz00_2653);
		}
	}



/* class->super-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t
		BgL_classz00_6, obj_t BgL_superz00_7)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 61 */
			{	/* Object/tools.scm 62 */
				obj_t BgL_list1979z00_2569;

				{	/* Object/tools.scm 62 */
					obj_t BgL_arg1980z00_2570;

					{	/* Object/tools.scm 62 */
						obj_t BgL_arg1981z00_2571;

						BgL_arg1981z00_2571 = MAKE_PAIR(BgL_superz00_7, BNIL);
						BgL_arg1980z00_2570 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1981z00_2571);
					}
					BgL_list1979z00_2569 = MAKE_PAIR(BgL_classz00_6, BgL_arg1980z00_2570);
				}
				return
					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1979z00_2569);
			}
		}
	}



/* &class->super-id */
	obj_t BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2654,
		obj_t BgL_classz00_2655, obj_t BgL_superz00_2656)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 61 */
			return
				BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_classz00_2655,
				BgL_superz00_2656);
		}
	}



/* super->class-id */
	BGL_EXPORTED_DEF obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_superz00_8, obj_t BgL_classz00_9)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 67 */
			{	/* Object/tools.scm 68 */
				obj_t BgL_list1982z00_2572;

				{	/* Object/tools.scm 68 */
					obj_t BgL_arg1983z00_2573;

					{	/* Object/tools.scm 68 */
						obj_t BgL_arg1984z00_2574;

						BgL_arg1984z00_2574 = MAKE_PAIR(BgL_classz00_9, BNIL);
						BgL_arg1983z00_2573 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1984z00_2574);
					}
					BgL_list1982z00_2572 = MAKE_PAIR(BgL_superz00_8, BgL_arg1983z00_2573);
				}
				return
					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1982z00_2572);
			}
		}
	}



/* &super->class-id */
	obj_t BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2657,
		obj_t BgL_superz00_2658, obj_t BgL_classz00_2659)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 67 */
			return
				BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superz00_2658,
				BgL_classz00_2659);
		}
	}



/* make-class-ref */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_10,
		BgL_slotz00_bglt BgL_slotz00_11, obj_t BgL_objz00_12)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 73 */
			{	/* Object/tools.scm 74 */
				obj_t BgL_klassz00_1574;

				BgL_klassz00_1574 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_11))->BgL_classzd2ownerzd2);
				{	/* Object/tools.scm 74 */
					obj_t BgL_wideningz00_1575;

					if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1574,
							BGl_tclassz00zzobject_classz00))
						{
							BgL_tclassz00_bglt BgL_auxz00_2754;

							{
								obj_t BgL_auxz00_2755;

								{	/* Object/tools.scm 75 */
									BgL_objectz00_bglt BgL_auxz00_2756;

									BgL_auxz00_2756 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_klassz00_1574));
									BgL_auxz00_2755 = BGL_OBJECT_WIDENING(BgL_auxz00_2756);
								}
								BgL_auxz00_2754 = ((BgL_tclassz00_bglt) BgL_auxz00_2755);
							}
							BgL_wideningz00_1575 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2754))->BgL_wideningz00);
						}
					else
						{	/* Object/tools.scm 75 */
							BgL_wideningz00_1575 = BFALSE;
						}
					{	/* Object/tools.scm 75 */

						if (CBOOL(BgL_wideningz00_1575))
							{	/* Object/tools.scm 78 */
								obj_t BgL_arg1985z00_1576;
								obj_t BgL_arg1986z00_1577;

								{
									BgL_tclassz00_bglt BgL_auxz00_2764;

									{
										obj_t BgL_auxz00_2765;

										{	/* Object/tools.scm 78 */
											BgL_objectz00_bglt BgL_auxz00_2766;

											BgL_auxz00_2766 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_typez00_10));
											BgL_auxz00_2765 = BGL_OBJECT_WIDENING(BgL_auxz00_2766);
										}
										BgL_auxz00_2764 = ((BgL_tclassz00_bglt) BgL_auxz00_2765);
									}
									BgL_arg1985z00_1576 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2764))->
										BgL_widezd2typezd2);
								}
								{	/* Object/tools.scm 78 */
									obj_t BgL_arg1987z00_1578;

									BgL_arg1987z00_1578 = MAKE_PAIR(BgL_objz00_12, BNIL);
									BgL_arg1986z00_1577 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1987z00_1578);
								}
								return
									BGl_makezd2directzd2refz00zzobject_toolsz00
									(BgL_arg1985z00_1576, BgL_slotz00_11, BgL_arg1986z00_1577);
							}
						else
							{	/* Object/tools.scm 76 */
								return
									BGl_makezd2directzd2refz00zzobject_toolsz00(
									((obj_t) BgL_typez00_10), BgL_slotz00_11, BgL_objz00_12);
							}
					}
				}
			}
		}
	}



/* &make-class-ref */
	obj_t BGl_z62makezd2classzd2refz62zzobject_toolsz00(obj_t BgL_envz00_2660,
		obj_t BgL_typez00_2661, obj_t BgL_slotz00_2662, obj_t BgL_objz00_2663)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 73 */
			return
				BGl_makezd2classzd2refz00zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2661),
				((BgL_slotz00_bglt) BgL_slotz00_2662), BgL_objz00_2663);
		}
	}



/* make-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_13, BgL_slotz00_bglt BgL_slotz00_14, obj_t BgL_objz00_15,
		obj_t BgL_valz00_16)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 83 */
			{	/* Object/tools.scm 84 */
				obj_t BgL_klassz00_1580;

				BgL_klassz00_1580 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_14))->BgL_classzd2ownerzd2);
				{	/* Object/tools.scm 84 */
					obj_t BgL_wideningz00_1581;

					if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1580,
							BGl_tclassz00zzobject_classz00))
						{
							BgL_tclassz00_bglt BgL_auxz00_2784;

							{
								obj_t BgL_auxz00_2785;

								{	/* Object/tools.scm 85 */
									BgL_objectz00_bglt BgL_auxz00_2786;

									BgL_auxz00_2786 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_klassz00_1580));
									BgL_auxz00_2785 = BGL_OBJECT_WIDENING(BgL_auxz00_2786);
								}
								BgL_auxz00_2784 = ((BgL_tclassz00_bglt) BgL_auxz00_2785);
							}
							BgL_wideningz00_1581 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2784))->BgL_wideningz00);
						}
					else
						{	/* Object/tools.scm 85 */
							BgL_wideningz00_1581 = BFALSE;
						}
					{	/* Object/tools.scm 85 */

						if (CBOOL(BgL_wideningz00_1581))
							{	/* Object/tools.scm 88 */
								obj_t BgL_arg1989z00_1582;
								obj_t BgL_arg1990z00_1583;

								{
									BgL_tclassz00_bglt BgL_auxz00_2794;

									{
										obj_t BgL_auxz00_2795;

										{	/* Object/tools.scm 88 */
											BgL_objectz00_bglt BgL_auxz00_2796;

											BgL_auxz00_2796 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_typez00_13));
											BgL_auxz00_2795 = BGL_OBJECT_WIDENING(BgL_auxz00_2796);
										}
										BgL_auxz00_2794 = ((BgL_tclassz00_bglt) BgL_auxz00_2795);
									}
									BgL_arg1989z00_1582 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2794))->
										BgL_widezd2typezd2);
								}
								{	/* Object/tools.scm 88 */
									obj_t BgL_arg1992z00_1584;

									BgL_arg1992z00_1584 = MAKE_PAIR(BgL_objz00_15, BNIL);
									BgL_arg1990z00_1583 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1992z00_1584);
								}
								return
									BGl_makezd2directzd2setz12z12zzobject_toolsz00(
									((BgL_typez00_bglt) BgL_arg1989z00_1582), BgL_slotz00_14,
									BgL_arg1990z00_1583, BgL_valz00_16);
							}
						else
							{	/* Object/tools.scm 86 */
								return
									BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_13,
									BgL_slotz00_14, BgL_objz00_15, BgL_valz00_16);
							}
					}
				}
			}
		}
	}



/* &make-class-set! */
	obj_t BGl_z62makezd2classzd2setz12z70zzobject_toolsz00(obj_t BgL_envz00_2664,
		obj_t BgL_typez00_2665, obj_t BgL_slotz00_2666, obj_t BgL_objz00_2667,
		obj_t BgL_valz00_2668)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 83 */
			return
				BGl_makezd2classzd2setz12z12zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2665),
				((BgL_slotz00_bglt) BgL_slotz00_2666), BgL_objz00_2667,
				BgL_valz00_2668);
		}
	}



/* make-direct-ref */
	obj_t BGl_makezd2directzd2refz00zzobject_toolsz00(obj_t BgL_typez00_17,
		BgL_slotz00_bglt BgL_slotz00_18, obj_t BgL_objz00_19)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 93 */
			{	/* Object/tools.scm 94 */
				obj_t BgL_fnamez00_1586;

				BgL_fnamez00_1586 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_18))->BgL_namez00);
				{	/* Object/tools.scm 94 */
					obj_t BgL_tnamez00_1587;

					BgL_tnamez00_1587 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_typez00_17)))->BgL_namez00);
					{	/* Object/tools.scm 95 */
						obj_t BgL_fmtz00_1588;

						{	/* Object/tools.scm 96 */
							obj_t BgL_list2001z00_1596;

							{	/* Object/tools.scm 96 */
								obj_t BgL_arg2002z00_1597;

								BgL_arg2002z00_1597 = MAKE_PAIR(BgL_fnamez00_1586, BNIL);
								BgL_list2001z00_1596 =
									MAKE_PAIR(BgL_tnamez00_1587, BgL_arg2002z00_1597);
							}
							BgL_fmtz00_1588 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2107z00zzobject_toolsz00, BgL_list2001z00_1596);
						}
						{	/* Object/tools.scm 96 */

							{	/* Object/tools.scm 98 */
								obj_t BgL_arg1993z00_1589;
								obj_t BgL_arg1995z00_1590;

								BgL_arg1993z00_1589 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_slotz00_bglt) CREF(BgL_slotz00_18))->
													BgL_typez00))))->BgL_idz00);
								BgL_arg1995z00_1590 =
									(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt)
												BgL_typez00_17)))->BgL_idz00);
								{	/* Object/tools.scm 97 */
									obj_t BgL_list1996z00_1591;

									{	/* Object/tools.scm 97 */
										obj_t BgL_arg1997z00_1592;

										{	/* Object/tools.scm 97 */
											obj_t BgL_arg1998z00_1593;

											{	/* Object/tools.scm 97 */
												obj_t BgL_arg1999z00_1594;

												BgL_arg1999z00_1594 = MAKE_PAIR(BgL_objz00_19, BNIL);
												BgL_arg1998z00_1593 =
													MAKE_PAIR(BgL_fmtz00_1588, BgL_arg1999z00_1594);
											}
											BgL_arg1997z00_1592 =
												MAKE_PAIR(BgL_fnamez00_1586, BgL_arg1998z00_1593);
										}
										BgL_list1996z00_1591 =
											MAKE_PAIR(BgL_arg1995z00_1590, BgL_arg1997z00_1592);
									}
									return
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF(
											((long) 5)), BgL_arg1993z00_1589, BgL_list1996z00_1591);
		}}}}}}}
	}



/* make-direct-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_20, BgL_slotz00_bglt BgL_slotz00_21, obj_t BgL_objz00_22,
		obj_t BgL_valz00_23)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 107 */
			{	/* Object/tools.scm 108 */
				obj_t BgL_fnamez00_1598;

				BgL_fnamez00_1598 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_21))->BgL_namez00);
				{	/* Object/tools.scm 108 */
					obj_t BgL_tnamez00_1599;

					BgL_tnamez00_1599 =
						(((BgL_typez00_bglt) CREF(BgL_typez00_20))->BgL_namez00);
					{	/* Object/tools.scm 109 */
						obj_t BgL_fmtz00_1600;

						{	/* Object/tools.scm 111 */
							obj_t BgL_arg2012z00_1610;

							BgL_arg2012z00_1610 =
								(((BgL_typez00_bglt) CREF(
										((BgL_typez00_bglt)
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_21))->
												BgL_typez00))))->BgL_namez00);
							{	/* Object/tools.scm 110 */
								obj_t BgL_list2013z00_1611;

								{	/* Object/tools.scm 110 */
									obj_t BgL_arg2014z00_1612;

									{	/* Object/tools.scm 110 */
										obj_t BgL_arg2016z00_1613;

										BgL_arg2016z00_1613 = MAKE_PAIR(BgL_arg2012z00_1610, BNIL);
										BgL_arg2014z00_1612 =
											MAKE_PAIR(BgL_fnamez00_1598, BgL_arg2016z00_1613);
									}
									BgL_list2013z00_1611 =
										MAKE_PAIR(BgL_tnamez00_1599, BgL_arg2014z00_1612);
								}
								BgL_fmtz00_1600 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2108z00zzobject_toolsz00, BgL_list2013z00_1611);
						}}
						{	/* Object/tools.scm 110 */

							{	/* Object/tools.scm 113 */
								obj_t BgL_arg2003z00_1601;
								obj_t BgL_arg2004z00_1602;
								obj_t BgL_arg2005z00_1603;

								BgL_arg2003z00_1601 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_slotz00_bglt) CREF(BgL_slotz00_21))->
													BgL_typez00))))->BgL_idz00);
								BgL_arg2004z00_1602 =
									(((BgL_typez00_bglt) CREF(BgL_typez00_20))->BgL_idz00);
								BgL_arg2005z00_1603 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_21))->BgL_namez00);
								{	/* Object/tools.scm 112 */
									obj_t BgL_list2006z00_1604;

									{	/* Object/tools.scm 112 */
										obj_t BgL_arg2007z00_1605;

										{	/* Object/tools.scm 112 */
											obj_t BgL_arg2008z00_1606;

											{	/* Object/tools.scm 112 */
												obj_t BgL_arg2009z00_1607;

												{	/* Object/tools.scm 112 */
													obj_t BgL_arg2010z00_1608;

													BgL_arg2010z00_1608 = MAKE_PAIR(BgL_valz00_23, BNIL);
													BgL_arg2009z00_1607 =
														MAKE_PAIR(BgL_objz00_22, BgL_arg2010z00_1608);
												}
												BgL_arg2008z00_1606 =
													MAKE_PAIR(BgL_fmtz00_1600, BgL_arg2009z00_1607);
											}
											BgL_arg2007z00_1605 =
												MAKE_PAIR(BgL_arg2005z00_1603, BgL_arg2008z00_1606);
										}
										BgL_list2006z00_1604 =
											MAKE_PAIR(BgL_arg2004z00_1602, BgL_arg2007z00_1605);
									}
									return
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF(
											((long) 6)), BgL_arg2003z00_1601, BgL_list2006z00_1604);
		}}}}}}}
	}



/* &make-direct-set! */
	obj_t BGl_z62makezd2directzd2setz12z70zzobject_toolsz00(obj_t BgL_envz00_2669,
		obj_t BgL_typez00_2670, obj_t BgL_slotz00_2671, obj_t BgL_objz00_2672,
		obj_t BgL_valz00_2673)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 107 */
			return
				BGl_makezd2directzd2setz12z12zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2670),
				((BgL_slotz00_bglt) BgL_slotz00_2671), BgL_objz00_2672,
				BgL_valz00_2673);
		}
	}



/* find-class-slot */
	BGL_EXPORTED_DEF obj_t
		BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt
		BgL_klassz00_24, obj_t BgL_idz00_25)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 122 */
		BGl_findzd2classzd2slotz00zzobject_toolsz00:
			{	/* Object/tools.scm 123 */
				obj_t BgL_g1102z00_1615;

				{
					BgL_tclassz00_bglt BgL_auxz00_2852;

					{
						obj_t BgL_auxz00_2853;

						{	/* Object/tools.scm 123 */
							BgL_objectz00_bglt BgL_auxz00_2854;

							BgL_auxz00_2854 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_klassz00_24));
							BgL_auxz00_2853 = BGL_OBJECT_WIDENING(BgL_auxz00_2854);
						}
						BgL_auxz00_2852 = ((BgL_tclassz00_bglt) BgL_auxz00_2853);
					}
					BgL_g1102z00_1615 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2852))->BgL_slotsz00);
				}
				{
					obj_t BgL_slotsz00_1617;

					BgL_slotsz00_1617 = BgL_g1102z00_1615;
				BgL_zc3anonymousza32018ze3z83_1618:
					if (NULLP(BgL_slotsz00_1617))
						{	/* Object/tools.scm 126 */
							bool_t BgL_testz00_2862;

							{	/* Object/tools.scm 126 */
								obj_t BgL_auxz00_2863;

								{
									BgL_tclassz00_bglt BgL_auxz00_2864;

									{
										obj_t BgL_auxz00_2865;

										{	/* Object/tools.scm 126 */
											BgL_objectz00_bglt BgL_auxz00_2866;

											BgL_auxz00_2866 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_klassz00_24));
											BgL_auxz00_2865 = BGL_OBJECT_WIDENING(BgL_auxz00_2866);
										}
										BgL_auxz00_2864 = ((BgL_tclassz00_bglt) BgL_auxz00_2865);
									}
									BgL_auxz00_2863 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2864))->
										BgL_wideningz00);
								}
								BgL_testz00_2862 = CBOOL(BgL_auxz00_2863);
							}
							if (BgL_testz00_2862)
								{	/* Object/tools.scm 127 */
									obj_t BgL_arg2021z00_1621;

									{
										BgL_tclassz00_bglt BgL_auxz00_2873;

										{
											obj_t BgL_auxz00_2874;

											{	/* Object/tools.scm 127 */
												BgL_objectz00_bglt BgL_auxz00_2875;

												BgL_auxz00_2875 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_klassz00_24));
												BgL_auxz00_2874 = BGL_OBJECT_WIDENING(BgL_auxz00_2875);
											}
											BgL_auxz00_2873 = ((BgL_tclassz00_bglt) BgL_auxz00_2874);
										}
										BgL_arg2021z00_1621 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2873))->
											BgL_itszd2superzd2);
									}
									{
										BgL_typez00_bglt BgL_klassz00_2881;

										BgL_klassz00_2881 =
											((BgL_typez00_bglt) BgL_arg2021z00_1621);
										BgL_klassz00_24 = BgL_klassz00_2881;
										goto BGl_findzd2classzd2slotz00zzobject_toolsz00;
									}
								}
							else
								{	/* Object/tools.scm 126 */
									return BFALSE;
								}
						}
					else
						{	/* Object/tools.scm 128 */
							bool_t BgL_testz00_2883;

							{	/* Object/tools.scm 128 */
								obj_t BgL_auxz00_2884;

								{
									BgL_slotz00_bglt BgL_auxz00_2885;

									{	/* Object/tools.scm 128 */
										obj_t BgL_pairz00_2632;

										BgL_pairz00_2632 = BgL_slotsz00_1617;
										BgL_auxz00_2885 =
											((BgL_slotz00_bglt) CAR(BgL_pairz00_2632));
									}
									BgL_auxz00_2884 =
										(((BgL_slotz00_bglt) CREF(BgL_auxz00_2885))->BgL_idz00);
								}
								BgL_testz00_2883 = (BgL_auxz00_2884 == BgL_idz00_25);
							}
							if (BgL_testz00_2883)
								{	/* Object/tools.scm 128 */
									return CAR(BgL_slotsz00_1617);
								}
							else
								{
									obj_t BgL_slotsz00_2891;

									BgL_slotsz00_2891 = CDR(BgL_slotsz00_1617);
									BgL_slotsz00_1617 = BgL_slotsz00_2891;
									goto BgL_zc3anonymousza32018ze3z83_1618;
								}
						}
				}
			}
		}
	}



/* &find-class-slot */
	obj_t BGl_z62findzd2classzd2slotz62zzobject_toolsz00(obj_t BgL_envz00_2674,
		obj_t BgL_klassz00_2675, obj_t BgL_idz00_2676)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 122 */
			return
				BGl_findzd2classzd2slotz00zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_klassz00_2675), BgL_idz00_2676);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2109z00zzobject_toolsz00));
		}
	}

#ifdef __cplusplus
}
#endif
