/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list();
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1594z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1603z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1605z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1607z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1609z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_keyword1611z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1613z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1615z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00();
static obj_t BGl_genericzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00();
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__processz00();
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_wait(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil();
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00();
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1595z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1599z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1625z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1626z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1627z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1600z00zz__processz00, BgL_bgl_string1600za700za7za7_1628za7, "wait", 4 );
DEFINE_STRING( BGl_string1601z00zz__processz00, BgL_bgl_string1601za700za7za7_1629za7, "run-process", 11 );
DEFINE_STRING( BGl_string1602z00zz__processz00, BgL_bgl_string1602za700za7za7_1630za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1604z00zz__processz00, BgL_bgl_string1604za700za7za7_1631za7, "fork", 4 );
DEFINE_STRING( BGl_string1606z00zz__processz00, BgL_bgl_string1606za700za7za7_1632za7, "input", 5 );
DEFINE_STRING( BGl_string1608z00zz__processz00, BgL_bgl_string1608za700za7za7_1633za7, "output", 6 );
DEFINE_STRING( BGl_string1610z00zz__processz00, BgL_bgl_string1610za700za7za7_1634za7, "null", 4 );
DEFINE_STRING( BGl_string1612z00zz__processz00, BgL_bgl_string1612za700za7za7_1635za7, "error", 5 );
DEFINE_STRING( BGl_string1614z00zz__processz00, BgL_bgl_string1614za700za7za7_1636za7, "host", 4 );
DEFINE_STRING( BGl_string1616z00zz__processz00, BgL_bgl_string1616za700za7za7_1637za7, "env", 3 );
DEFINE_STRING( BGl_string1617z00zz__processz00, BgL_bgl_string1617za700za7za7_1638za7, "&run-process", 12 );
DEFINE_STRING( BGl_string1618z00zz__processz00, BgL_bgl_string1618za700za7za7_1639za7, "bstring", 7 );
DEFINE_STRING( BGl_string1619z00zz__processz00, BgL_bgl_string1619za700za7za7_1640za7, "close-process-ports", 19 );
DEFINE_STRING( BGl_string1620z00zz__processz00, BgL_bgl_string1620za700za7za7_1641za7, "output-port", 11 );
DEFINE_STRING( BGl_string1621z00zz__processz00, BgL_bgl_string1621za700za7za7_1642za7, "input-port", 10 );
DEFINE_STRING( BGl_string1622z00zz__processz00, BgL_bgl_string1622za700za7za7_1643za7, "&close-process-ports", 20 );
DEFINE_STRING( BGl_string1623z00zz__processz00, BgL_bgl_string1623za700za7za7_1644za7, "&unregister-process", 19 );
DEFINE_STRING( BGl_string1624z00zz__processz00, BgL_bgl_string1624za700za7za7_1645za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1646z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1647z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1648z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21649z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1650z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1580z00zz__processz00, BgL_bgl_string1580za700za7za7_1651za7, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
DEFINE_STRING( BGl_string1581z00zz__processz00, BgL_bgl_string1581za700za7za7_1652za7, "&process-pid", 12 );
DEFINE_STRING( BGl_string1582z00zz__processz00, BgL_bgl_string1582za700za7za7_1653za7, "process", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1654z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1583z00zz__processz00, BgL_bgl_string1583za700za7za7_1655za7, "&process-output-port", 20 );
DEFINE_STRING( BGl_string1584z00zz__processz00, BgL_bgl_string1584za700za7za7_1656za7, "&process-input-port", 19 );
DEFINE_STRING( BGl_string1585z00zz__processz00, BgL_bgl_string1585za700za7za7_1657za7, "&process-error-port", 19 );
DEFINE_STRING( BGl_string1586z00zz__processz00, BgL_bgl_string1586za700za7za7_1658za7, "&process-alive?", 15 );
DEFINE_STRING( BGl_string1587z00zz__processz00, BgL_bgl_string1587za700za7za7_1659za7, "&process-wait", 13 );
DEFINE_STRING( BGl_string1588z00zz__processz00, BgL_bgl_string1588za700za7za7_1660za7, "&process-exit-status", 20 );
DEFINE_STRING( BGl_string1589z00zz__processz00, BgL_bgl_string1589za700za7za7_1661za7, "&process-send-signal", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911662za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1590z00zz__processz00, BgL_bgl_string1590za700za7za7_1663za7, "bint", 4 );
DEFINE_STRING( BGl_string1591z00zz__processz00, BgL_bgl_string1591za700za7za7_1664za7, "&process-kill", 13 );
DEFINE_STRING( BGl_string1592z00zz__processz00, BgL_bgl_string1592za700za7za7_1665za7, "&process-stop", 13 );
DEFINE_STRING( BGl_string1593z00zz__processz00, BgL_bgl_string1593za700za7za7_1666za7, "&process-continue", 17 );
DEFINE_STRING( BGl_string1596z00zz__processz00, BgL_bgl_string1596za700za7za7_1667za7, "pipe", 4 );
DEFINE_STRING( BGl_string1597z00zz__processz00, BgL_bgl_string1597za700za7za7_1668za7, "loop", 4 );
DEFINE_STRING( BGl_string1598z00zz__processz00, BgL_bgl_string1598za700za7za7_1669za7, "pair", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1670z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1671z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1672z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1673z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1674z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1675z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1676z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1318, char * BgL_fromz00_1319)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
BGl_keyword1595z00zz__processz00 = 
bstring_to_keyword(BGl_string1596z00zz__processz00); 
BGl_list1594z00zz__processz00 = 
MAKE_PAIR(BGl_keyword1595z00zz__processz00, BNIL); 
BGl_keyword1599z00zz__processz00 = 
bstring_to_keyword(BGl_string1600z00zz__processz00); 
BGl_keyword1603z00zz__processz00 = 
bstring_to_keyword(BGl_string1604z00zz__processz00); 
BGl_keyword1605z00zz__processz00 = 
bstring_to_keyword(BGl_string1606z00zz__processz00); 
BGl_keyword1607z00zz__processz00 = 
bstring_to_keyword(BGl_string1608z00zz__processz00); 
BGl_keyword1609z00zz__processz00 = 
bstring_to_keyword(BGl_string1610z00zz__processz00); 
BGl_keyword1611z00zz__processz00 = 
bstring_to_keyword(BGl_string1612z00zz__processz00); 
BGl_keyword1613z00zz__processz00 = 
bstring_to_keyword(BGl_string1614z00zz__processz00); 
return ( 
BGl_keyword1615z00zz__processz00 = 
bstring_to_keyword(BGl_string1616z00zz__processz00), BUNSPEC) ;} 
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
PROCESSP(BgL_objz00_3);} 
}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1212, obj_t BgL_objz00_1213)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
BBOOL(
PROCESSP(BgL_objz00_1213));} 
}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1214)
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
return 
PROCESS_PID(BgL_procz00_4);} 
}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1215, obj_t BgL_procz00_1216)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
{ /* Llib/process.scm 135 */
int BgL_auxz00_1341;
{ /* Llib/process.scm 135 */
obj_t BgL_procz00_1305;
if(
PROCESSP(BgL_procz00_1216))
{ /* Llib/process.scm 135 */
BgL_procz00_1305 = BgL_procz00_1216; }  else 
{ 
obj_t BgL_auxz00_1344;
BgL_auxz00_1344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)5703)), BGl_string1581z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1216); 
FAILURE(BgL_auxz00_1344,BFALSE,BFALSE);} 
BgL_auxz00_1341 = 
PROCESS_PID(BgL_procz00_1305); } 
return 
BINT(BgL_auxz00_1341);} } 
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 
}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1217, obj_t BgL_procz00_1218)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
{ /* Llib/process.scm 141 */
obj_t BgL_procz00_1306;
if(
PROCESSP(BgL_procz00_1218))
{ /* Llib/process.scm 141 */
BgL_procz00_1306 = BgL_procz00_1218; }  else 
{ 
obj_t BgL_auxz00_1353;
BgL_auxz00_1353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)5993)), BGl_string1583z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1218); 
FAILURE(BgL_auxz00_1353,BFALSE,BFALSE);} 
return 
PROCESS_OUTPUT_PORT(BgL_procz00_1306);} } 
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 
}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1219, obj_t BgL_procz00_1220)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
{ /* Llib/process.scm 147 */
obj_t BgL_procz00_1307;
if(
PROCESSP(BgL_procz00_1220))
{ /* Llib/process.scm 147 */
BgL_procz00_1307 = BgL_procz00_1220; }  else 
{ 
obj_t BgL_auxz00_1361;
BgL_auxz00_1361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)6290)), BGl_string1584z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1220); 
FAILURE(BgL_auxz00_1361,BFALSE,BFALSE);} 
return 
PROCESS_INPUT_PORT(BgL_procz00_1307);} } 
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 
}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1221, obj_t BgL_procz00_1222)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
{ /* Llib/process.scm 153 */
obj_t BgL_procz00_1308;
if(
PROCESSP(BgL_procz00_1222))
{ /* Llib/process.scm 153 */
BgL_procz00_1308 = BgL_procz00_1222; }  else 
{ 
obj_t BgL_auxz00_1369;
BgL_auxz00_1369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)6586)), BGl_string1585z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1222); 
FAILURE(BgL_auxz00_1369,BFALSE,BFALSE);} 
return 
PROCESS_ERROR_PORT(BgL_procz00_1308);} } 
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
return 
c_process_alivep(BgL_procz00_8);} 
}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1223, obj_t BgL_procz00_1224)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
{ /* Llib/process.scm 159 */
bool_t BgL_auxz00_1375;
{ /* Llib/process.scm 159 */
obj_t BgL_procz00_1309;
if(
PROCESSP(BgL_procz00_1224))
{ /* Llib/process.scm 159 */
BgL_procz00_1309 = BgL_procz00_1224; }  else 
{ 
obj_t BgL_auxz00_1378;
BgL_auxz00_1378 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)6878)), BGl_string1586z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1224); 
FAILURE(BgL_auxz00_1378,BFALSE,BFALSE);} 
BgL_auxz00_1375 = 
c_process_alivep(BgL_procz00_1309); } 
return 
BBOOL(BgL_auxz00_1375);} } 
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 165 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 165 */
return ((bool_t)0);} } 
}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1225, obj_t BgL_procz00_1226)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
{ /* Llib/process.scm 165 */
bool_t BgL_auxz00_1388;
{ /* Llib/process.scm 165 */
obj_t BgL_procz00_1310;
if(
PROCESSP(BgL_procz00_1226))
{ /* Llib/process.scm 165 */
BgL_procz00_1310 = BgL_procz00_1226; }  else 
{ 
obj_t BgL_auxz00_1391;
BgL_auxz00_1391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)7164)), BGl_string1587z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1226); 
FAILURE(BgL_auxz00_1391,BFALSE,BFALSE);} 
if(
c_process_alivep(BgL_procz00_1310))
{ /* Llib/process.scm 165 */
BgL_auxz00_1388 = 
CBOOL(
c_process_wait(BgL_procz00_1310))
; }  else 
{ /* Llib/process.scm 165 */
BgL_auxz00_1388 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_1388);} } 
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
return 
c_process_xstatus(BgL_procz00_10);} 
}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1227, obj_t BgL_procz00_1228)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
{ /* Llib/process.scm 172 */
obj_t BgL_procz00_1311;
if(
PROCESSP(BgL_procz00_1228))
{ /* Llib/process.scm 172 */
BgL_procz00_1311 = BgL_procz00_1228; }  else 
{ 
obj_t BgL_auxz00_1403;
BgL_auxz00_1403 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)7489)), BGl_string1588z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1228); 
FAILURE(BgL_auxz00_1403,BFALSE,BFALSE);} 
return 
c_process_xstatus(BgL_procz00_1311);} } 
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 
}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1229, obj_t BgL_procz00_1230, obj_t BgL_signalz00_1231)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
{ /* Llib/process.scm 178 */
obj_t BgL_procz00_1312;int BgL_signalz00_1313;
if(
PROCESSP(BgL_procz00_1230))
{ /* Llib/process.scm 178 */
BgL_procz00_1312 = BgL_procz00_1230; }  else 
{ 
obj_t BgL_auxz00_1411;
BgL_auxz00_1411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)7794)), BGl_string1589z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1230); 
FAILURE(BgL_auxz00_1411,BFALSE,BFALSE);} 
{ /* Llib/process.scm 178 */
obj_t BgL_auxz00_1415;
if(
INTEGERP(BgL_signalz00_1231))
{ /* Llib/process.scm 178 */
BgL_auxz00_1415 = BgL_signalz00_1231
; }  else 
{ 
obj_t BgL_auxz00_1418;
BgL_auxz00_1418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)7794)), BGl_string1589z00zz__processz00, BGl_string1590z00zz__processz00, BgL_signalz00_1231); 
FAILURE(BgL_auxz00_1418,BFALSE,BFALSE);} 
BgL_signalz00_1313 = 
CINT(BgL_auxz00_1415); } 
return 
c_process_send_signal(BgL_procz00_1312, BgL_signalz00_1313);} } 
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
c_process_kill(BgL_procz00_13); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 
}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1232, obj_t BgL_procz00_1233)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
{ /* Llib/process.scm 184 */
obj_t BgL_procz00_1314;
if(
PROCESSP(BgL_procz00_1233))
{ /* Llib/process.scm 184 */
BgL_procz00_1314 = BgL_procz00_1233; }  else 
{ 
obj_t BgL_auxz00_1428;
BgL_auxz00_1428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)8112)), BGl_string1591z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1233); 
FAILURE(BgL_auxz00_1428,BFALSE,BFALSE);} 
c_process_kill(BgL_procz00_1314); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_1314);} } 
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
return 
c_process_stop(BgL_procz00_14);} 
}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1234, obj_t BgL_procz00_1235)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
{ /* Llib/process.scm 191 */
obj_t BgL_procz00_1315;
if(
PROCESSP(BgL_procz00_1235))
{ /* Llib/process.scm 191 */
BgL_procz00_1315 = BgL_procz00_1235; }  else 
{ 
obj_t BgL_auxz00_1437;
BgL_auxz00_1437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)8406)), BGl_string1592z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1235); 
FAILURE(BgL_auxz00_1437,BFALSE,BFALSE);} 
return 
c_process_stop(BgL_procz00_1315);} } 
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
return 
c_process_continue(BgL_procz00_15);} 
}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1236, obj_t BgL_procz00_1237)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
{ /* Llib/process.scm 197 */
obj_t BgL_procz00_1316;
if(
PROCESSP(BgL_procz00_1237))
{ /* Llib/process.scm 197 */
BgL_procz00_1316 = BgL_procz00_1237; }  else 
{ 
obj_t BgL_auxz00_1445;
BgL_auxz00_1445 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)8694)), BGl_string1593z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1237); 
FAILURE(BgL_auxz00_1445,BFALSE,BFALSE);} 
return 
c_process_continue(BgL_procz00_1316);} } 
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1238)
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_forkz00_582;obj_t BgL_waitz00_583;obj_t BgL_inputz00_584;obj_t BgL_outputz00_585;obj_t BgL_errorz00_586;obj_t BgL_hostz00_587;obj_t BgL_pipesz00_588;obj_t BgL_argsz00_589;obj_t BgL_envz00_590;
BgL_forkz00_582 = BTRUE; 
BgL_waitz00_583 = BFALSE; 
BgL_inputz00_584 = BUNSPEC; 
BgL_outputz00_585 = BUNSPEC; 
BgL_errorz00_586 = BUNSPEC; 
BgL_hostz00_587 = BUNSPEC; 
BgL_pipesz00_588 = BGl_list1594z00zz__processz00; 
BgL_argsz00_589 = BNIL; 
BgL_envz00_590 = BNIL; 
{ 
obj_t BgL_restz00_593;
{ /* Llib/process.scm 223 */
obj_t BgL_aux1566z00_1290;
BgL_restz00_593 = BgL_restz00_17; 
BgL_zc3anonymousza31110ze3z83_594:
if(
NULLP(BgL_restz00_593))
{ /* Llib/process.scm 228 */
obj_t BgL_arg1115z00_596;
BgL_arg1115z00_596 = 
bgl_reverse_bang(BgL_argsz00_589); 
BgL_aux1566z00_1290 = 
c_run_process(BgL_hostz00_587, BgL_forkz00_582, BgL_waitz00_583, BgL_inputz00_584, BgL_outputz00_585, BgL_errorz00_586, BgL_commandz00_16, BgL_arg1115z00_596, BgL_envz00_590); }  else 
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1456;
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1457;
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1458;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_907;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 229 */
BgL_pairz00_907 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1461;
BgL_auxz00_1461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9926)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1461,BFALSE,BFALSE);} 
BgL_auxz00_1458 = 
CAR(BgL_pairz00_907); } 
BgL_testz00_1457 = 
KEYWORDP(BgL_auxz00_1458); } 
if(BgL_testz00_1457)
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1467;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_910;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 229 */
BgL_pairz00_910 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1470;
BgL_auxz00_1470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9945)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1470,BFALSE,BFALSE);} 
BgL_auxz00_1467 = 
CDR(BgL_pairz00_910); } 
BgL_testz00_1456 = 
PAIRP(BgL_auxz00_1467); }  else 
{ /* Llib/process.scm 229 */
BgL_testz00_1456 = ((bool_t)0)
; } } 
if(BgL_testz00_1456)
{ /* Llib/process.scm 230 */
obj_t BgL_valz00_598;
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_913;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 230 */
BgL_pairz00_913 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1478;
BgL_auxz00_1478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9976)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1478,BFALSE,BFALSE);} 
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_916;
{ /* Llib/process.scm 230 */
obj_t BgL_aux1552z00_1276;
BgL_aux1552z00_1276 = 
CDR(BgL_pairz00_913); 
if(
PAIRP(BgL_aux1552z00_1276))
{ /* Llib/process.scm 230 */
BgL_pairz00_916 = BgL_aux1552z00_1276; }  else 
{ 
obj_t BgL_auxz00_1485;
BgL_auxz00_1485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9970)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_aux1552z00_1276); 
FAILURE(BgL_auxz00_1485,BFALSE,BFALSE);} } 
BgL_valz00_598 = 
CAR(BgL_pairz00_916); } } 
{ /* Llib/process.scm 231 */
obj_t BgL_casezd2valuezd2_599;
{ /* Llib/process.scm 231 */
obj_t BgL_pairz00_917;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 231 */
BgL_pairz00_917 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1492;
BgL_auxz00_1492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9997)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1492,BFALSE,BFALSE);} 
BgL_casezd2valuezd2_599 = 
CAR(BgL_pairz00_917); } 
if(
(BgL_casezd2valuezd2_599==BGl_keyword1599z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_598))
{ /* Llib/process.scm 233 */
BgL_waitz00_583 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 233 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1603z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_598))
{ /* Llib/process.scm 237 */
BgL_forkz00_582 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 237 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1605z00zz__processz00))
{ /* Llib/process.scm 241 */
bool_t BgL_testz00_1509;
if(
STRINGP(BgL_valz00_598))
{ /* Llib/process.scm 241 */
BgL_testz00_1509 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 241 */
BgL_testz00_1509 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_598, BgL_pipesz00_588))
; } 
if(BgL_testz00_1509)
{ /* Llib/process.scm 241 */
BgL_inputz00_584 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 241 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1607z00zz__processz00))
{ /* Llib/process.scm 245 */
bool_t BgL_testz00_1517;
if(
STRINGP(BgL_valz00_598))
{ /* Llib/process.scm 245 */
BgL_testz00_1517 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_598, BgL_pipesz00_588)))
{ /* Llib/process.scm 245 */
BgL_testz00_1517 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
BgL_testz00_1517 = 
(BgL_valz00_598==BGl_keyword1609z00zz__processz00)
; } } 
if(BgL_testz00_1517)
{ /* Llib/process.scm 245 */
BgL_outputz00_585 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 245 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1611z00zz__processz00))
{ /* Llib/process.scm 249 */
bool_t BgL_testz00_1527;
if(
STRINGP(BgL_valz00_598))
{ /* Llib/process.scm 249 */
BgL_testz00_1527 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_598, BgL_pipesz00_588)))
{ /* Llib/process.scm 249 */
BgL_testz00_1527 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
BgL_testz00_1527 = 
(BgL_valz00_598==BGl_keyword1609z00zz__processz00)
; } } 
if(BgL_testz00_1527)
{ /* Llib/process.scm 249 */
BgL_errorz00_586 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 249 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1613z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_598))
{ /* Llib/process.scm 253 */
BgL_hostz00_587 = BgL_valz00_598; }  else 
{ /* Llib/process.scm 253 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_599==BGl_keyword1615z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_598))
{ /* Llib/process.scm 257 */
BgL_envz00_590 = 
MAKE_PAIR(BgL_valz00_598, BgL_envz00_590); }  else 
{ /* Llib/process.scm 257 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } }  else 
{ /* Llib/process.scm 231 */
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } } } } } } } } 
{ /* Llib/process.scm 262 */
obj_t BgL_arg1137z00_619;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_962;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_961;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 262 */
BgL_pairz00_961 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1549;
BgL_auxz00_1549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)10727)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1549,BFALSE,BFALSE);} 
{ /* Llib/process.scm 262 */
obj_t BgL_aux1558z00_1282;
BgL_aux1558z00_1282 = 
CDR(BgL_pairz00_961); 
if(
PAIRP(BgL_aux1558z00_1282))
{ /* Llib/process.scm 262 */
BgL_pairz00_962 = BgL_aux1558z00_1282; }  else 
{ 
obj_t BgL_auxz00_1556;
BgL_auxz00_1556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)10722)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_aux1558z00_1282); 
FAILURE(BgL_auxz00_1556,BFALSE,BFALSE);} } } 
BgL_arg1137z00_619 = 
CDR(BgL_pairz00_962); } 
{ 
obj_t BgL_restz00_1561;
BgL_restz00_1561 = BgL_arg1137z00_619; 
BgL_restz00_593 = BgL_restz00_1561; 
goto BgL_zc3anonymousza31110ze3z83_594;} } }  else 
{ /* Llib/process.scm 263 */
bool_t BgL_testz00_1562;
{ /* Llib/process.scm 263 */
obj_t BgL_auxz00_1563;
{ /* Llib/process.scm 263 */
obj_t BgL_pairz00_963;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 263 */
BgL_pairz00_963 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1566;
BgL_auxz00_1566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)10757)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1566,BFALSE,BFALSE);} 
BgL_auxz00_1563 = 
CAR(BgL_pairz00_963); } 
BgL_testz00_1562 = 
STRINGP(BgL_auxz00_1563); } 
if(BgL_testz00_1562)
{ /* Llib/process.scm 263 */
{ /* Llib/process.scm 264 */
obj_t BgL_arg1145z00_622;
{ /* Llib/process.scm 264 */
obj_t BgL_pairz00_966;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 264 */
BgL_pairz00_966 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1574;
BgL_auxz00_1574 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)10792)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1574,BFALSE,BFALSE);} 
BgL_arg1145z00_622 = 
CAR(BgL_pairz00_966); } 
BgL_argsz00_589 = 
MAKE_PAIR(BgL_arg1145z00_622, BgL_argsz00_589); } 
{ /* Llib/process.scm 265 */
obj_t BgL_arg1149z00_623;
{ /* Llib/process.scm 265 */
obj_t BgL_pairz00_967;
if(
PAIRP(BgL_restz00_593))
{ /* Llib/process.scm 265 */
BgL_pairz00_967 = BgL_restz00_593; }  else 
{ 
obj_t BgL_auxz00_1582;
BgL_auxz00_1582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)10822)), BGl_string1597z00zz__processz00, BGl_string1598z00zz__processz00, BgL_restz00_593); 
FAILURE(BgL_auxz00_1582,BFALSE,BFALSE);} 
BgL_arg1149z00_623 = 
CDR(BgL_pairz00_967); } 
{ 
obj_t BgL_restz00_1587;
BgL_restz00_1587 = BgL_arg1149z00_623; 
BgL_restz00_593 = BgL_restz00_1587; 
goto BgL_zc3anonymousza31110ze3z83_594;} } }  else 
{ /* Llib/process.scm 263 */
BgL_aux1566z00_1290 = 
BGl_errorz00zz__errorz00(BGl_string1601z00zz__processz00, BGl_string1602z00zz__processz00, BgL_restz00_593); } } } 
if(
PROCESSP(BgL_aux1566z00_1290))
{ /* Llib/process.scm 223 */
return BgL_aux1566z00_1290;}  else 
{ 
obj_t BgL_auxz00_1591;
BgL_auxz00_1591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9750)), BGl_string1601z00zz__processz00, BGl_string1582z00zz__processz00, BgL_aux1566z00_1290); 
FAILURE(BgL_auxz00_1591,BFALSE,BFALSE);} } } } } 
}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1239, obj_t BgL_commandz00_1240, obj_t BgL_restz00_1241)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_1595;
if(
STRINGP(BgL_commandz00_1240))
{ /* Llib/process.scm 212 */
BgL_auxz00_1595 = BgL_commandz00_1240
; }  else 
{ 
obj_t BgL_auxz00_1598;
BgL_auxz00_1598 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)9480)), BGl_string1617z00zz__processz00, BGl_string1618z00zz__processz00, BgL_commandz00_1240); 
FAILURE(BgL_auxz00_1598,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1595, BgL_restz00_1241);} } 
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 273 */
bool_t BgL_testz00_1603;
{ /* Llib/process.scm 273 */
obj_t BgL_auxz00_1604;
BgL_auxz00_1604 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_testz00_1603 = 
OUTPUT_PORTP(BgL_auxz00_1604); } 
if(BgL_testz00_1603)
{ /* Llib/process.scm 274 */
obj_t BgL_arg1162z00_633;
BgL_arg1162z00_633 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 274 */
obj_t BgL_portz00_972;
if(
OUTPUT_PORTP(BgL_arg1162z00_633))
{ /* Llib/process.scm 274 */
BgL_portz00_972 = BgL_arg1162z00_633; }  else 
{ 
obj_t BgL_auxz00_1610;
BgL_auxz00_1610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)11225)), BGl_string1619z00zz__processz00, BGl_string1620z00zz__processz00, BgL_arg1162z00_633); 
FAILURE(BgL_auxz00_1610,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_972); } }  else 
{ /* Llib/process.scm 273 */BFALSE; } } 
{ /* Llib/process.scm 275 */
bool_t BgL_testz00_1615;
{ /* Llib/process.scm 275 */
obj_t BgL_auxz00_1616;
BgL_auxz00_1616 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_testz00_1615 = 
INPUT_PORTP(BgL_auxz00_1616); } 
if(BgL_testz00_1615)
{ /* Llib/process.scm 276 */
obj_t BgL_arg1172z00_636;
BgL_arg1172z00_636 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 276 */
obj_t BgL_portz00_976;
if(
INPUT_PORTP(BgL_arg1172z00_636))
{ /* Llib/process.scm 276 */
BgL_portz00_976 = BgL_arg1172z00_636; }  else 
{ 
obj_t BgL_auxz00_1622;
BgL_auxz00_1622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)11325)), BGl_string1619z00zz__processz00, BGl_string1621z00zz__processz00, BgL_arg1172z00_636); 
FAILURE(BgL_auxz00_1622,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_976); } }  else 
{ /* Llib/process.scm 275 */BFALSE; } } 
{ /* Llib/process.scm 277 */
bool_t BgL_testz00_1627;
{ /* Llib/process.scm 277 */
obj_t BgL_auxz00_1628;
BgL_auxz00_1628 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_testz00_1627 = 
INPUT_PORTP(BgL_auxz00_1628); } 
if(BgL_testz00_1627)
{ /* Llib/process.scm 278 */
obj_t BgL_arg1175z00_639;
BgL_arg1175z00_639 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 278 */
obj_t BgL_portz00_980;
if(
INPUT_PORTP(BgL_arg1175z00_639))
{ /* Llib/process.scm 278 */
BgL_portz00_980 = BgL_arg1175z00_639; }  else 
{ 
obj_t BgL_auxz00_1634;
BgL_auxz00_1634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)11427)), BGl_string1619z00zz__processz00, BGl_string1621z00zz__processz00, BgL_arg1175z00_639); 
FAILURE(BgL_auxz00_1634,BFALSE,BFALSE);} 
return 
bgl_close_input_port(BgL_portz00_980);} }  else 
{ /* Llib/process.scm 277 */
return BFALSE;} } } 
}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1242, obj_t BgL_procz00_1243)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 274 */
obj_t BgL_auxz00_1639;
if(
PROCESSP(BgL_procz00_1243))
{ /* Llib/process.scm 274 */
BgL_auxz00_1639 = BgL_procz00_1243
; }  else 
{ 
obj_t BgL_auxz00_1642;
BgL_auxz00_1642 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)11227)), BGl_string1622z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1243); 
FAILURE(BgL_auxz00_1642,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1639);} } 
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
return 
c_unregister_process(BgL_procz00_19);} 
}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1244, obj_t BgL_procz00_1245)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
{ /* Llib/process.scm 284 */
obj_t BgL_procz00_1317;
if(
PROCESSP(BgL_procz00_1245))
{ /* Llib/process.scm 284 */
BgL_procz00_1317 = BgL_procz00_1245; }  else 
{ 
obj_t BgL_auxz00_1650;
BgL_auxz00_1650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1580z00zz__processz00, 
BINT(((long)11699)), BGl_string1623z00zz__processz00, BGl_string1582z00zz__processz00, BgL_procz00_1245); 
FAILURE(BgL_auxz00_1650,BFALSE,BFALSE);} 
return 
c_unregister_process(BgL_procz00_1317);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)304399560), 
BSTRING_TO_STRING(BGl_string1624z00zz__processz00));} 
}

#ifdef __cplusplus
}
#endif
