/*===========================================================================*/
/*   (Eval/expdquote.scm)                                                    */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/expdquote.scm -indent -o objs/obj_u/Eval/expdquote.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_templatez00zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_list1648z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t,
		obj_t);
	static obj_t BGl_list1655z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_list1664z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_list1665z00zz__expander_quotez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_quotez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_list1670z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_z62quasiquotationz62zz__expander_quotez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_quotez00();
	static obj_t BGl_genericzd2initzd2zz__expander_quotez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00();
	static obj_t BGl_objectzd2initzd2zz__expander_quotez00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62expandzd2quotezb0zz__expander_quotez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t,
		obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_quotez00();
	BGL_EXPORTED_DECL obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t,
		obj_t);
	static obj_t BGl_symbol1646z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1649z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
	static obj_t BGl_symbol1650z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1653z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1656z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1658z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1660z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1662z00zz__expander_quotez00 = BUNSPEC;
	static obj_t BGl_symbol1666z00zz__expander_quotez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1668z00zz__expander_quotez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2quotezd2envz00zz__expander_quotez00,
		BgL_bgl_za762expandza7d2quot1673z00,
		BGl_z62expandzd2quotezb0zz__expander_quotez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_quasiquotationzd2envzd2zz__expander_quotez00,
		BgL_bgl_za762quasiquotatio1674za7,
		BGl_z62quasiquotationz62zz__expander_quotez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1642z00zz__expander_quotez00,
		BgL_bgl_string1642za700za7za7_1675za7, "quote", 5);
	      DEFINE_STRING(BGl_string1643z00zz__expander_quotez00,
		BgL_bgl_string1643za700za7za7_1676za7, "Illegal `quote' form", 20);
	      DEFINE_STRING(BGl_string1644z00zz__expander_quotez00,
		BgL_bgl_string1644za700za7za7_1677za7, "quasiquotation", 14);
	      DEFINE_STRING(BGl_string1645z00zz__expander_quotez00,
		BgL_bgl_string1645za700za7za7_1678za7, "illegal `quasiquote' form", 25);
	      DEFINE_STRING(BGl_string1647z00zz__expander_quotez00,
		BgL_bgl_string1647za700za7za7_1679za7, "unquote", 7);
	      DEFINE_STRING(BGl_string1651z00zz__expander_quotez00,
		BgL_bgl_string1651za700za7za7_1680za7, "list", 4);
	      DEFINE_STRING(BGl_string1652z00zz__expander_quotez00,
		BgL_bgl_string1652za700za7za7_1681za7, "Illegal `unquote' form", 22);
	      DEFINE_STRING(BGl_string1654z00zz__expander_quotez00,
		BgL_bgl_string1654za700za7za7_1682za7, "quasiquote", 10);
	      DEFINE_STRING(BGl_string1657z00zz__expander_quotez00,
		BgL_bgl_string1657za700za7za7_1683za7, "cons*", 5);
	      DEFINE_STRING(BGl_string1659z00zz__expander_quotez00,
		BgL_bgl_string1659za700za7za7_1684za7, "list->vector", 12);
	      DEFINE_STRING(BGl_string1661z00zz__expander_quotez00,
		BgL_bgl_string1661za700za7za7_1685za7, "vector-tag-set!", 15);
	      DEFINE_STRING(BGl_string1663z00zz__expander_quotez00,
		BgL_bgl_string1663za700za7za7_1686za7, "let", 3);
	      DEFINE_STRING(BGl_string1667z00zz__expander_quotez00,
		BgL_bgl_string1667za700za7za7_1687za7, "unquote-splicing", 16);
	      DEFINE_STRING(BGl_string1669z00zz__expander_quotez00,
		BgL_bgl_string1669za700za7za7_1688za7, "eappend", 7);
	      DEFINE_STRING(BGl_string1671z00zz__expander_quotez00,
		BgL_bgl_string1671za700za7za7_1689za7, "Illegal `unquote-splicing' form",
		31);
	      DEFINE_STRING(BGl_string1672z00zz__expander_quotez00,
		BgL_bgl_string1672za700za7za7_1690za7, "__expander_quote", 16);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_quotez00(long
		BgL_checksumz00_1409, char *BgL_fromz00_1410)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_quotez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_quotez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_quotez00();
					BGl_importedzd2moduleszd2initz00zz__expander_quotez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_quotez00()
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 14 */
			BGl_symbol1646z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1647z00zz__expander_quotez00);
			BGl_symbol1649z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1642z00zz__expander_quotez00);
			BGl_list1648z00zz__expander_quotez00 =
				MAKE_PAIR(BGl_symbol1649z00zz__expander_quotez00,
				MAKE_PAIR(BGl_symbol1646z00zz__expander_quotez00, BNIL));
			BGl_symbol1650z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1651z00zz__expander_quotez00);
			BGl_symbol1653z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1654z00zz__expander_quotez00);
			BGl_list1655z00zz__expander_quotez00 =
				MAKE_PAIR(BGl_symbol1649z00zz__expander_quotez00,
				MAKE_PAIR(BGl_symbol1653z00zz__expander_quotez00, BNIL));
			BGl_symbol1656z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1657z00zz__expander_quotez00);
			BGl_symbol1658z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1659z00zz__expander_quotez00);
			BGl_symbol1660z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1661z00zz__expander_quotez00);
			BGl_symbol1662z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1663z00zz__expander_quotez00);
			BGl_list1665z00zz__expander_quotez00 =
				MAKE_PAIR(BGl_symbol1649z00zz__expander_quotez00,
				MAKE_PAIR(BNIL, BNIL));
			BGl_list1664z00zz__expander_quotez00 =
				MAKE_PAIR(BGl_list1665z00zz__expander_quotez00, BNIL);
			BGl_symbol1666z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1667z00zz__expander_quotez00);
			BGl_symbol1668z00zz__expander_quotez00 =
				bstring_to_symbol(BGl_string1669z00zz__expander_quotez00);
			return (BGl_list1670z00zz__expander_quotez00 =
				MAKE_PAIR(BGl_symbol1649z00zz__expander_quotez00,
					MAKE_PAIR(BGl_symbol1666z00zz__expander_quotez00, BNIL)), BUNSPEC);
		}
	}



/* expand-quote */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 51 */
			if (PAIRP(BgL_xz00_3))
				{	/* Eval/expdquote.scm 52 */
					obj_t BgL_cdrzd2107zd2_602;

					BgL_cdrzd2107zd2_602 = CDR(BgL_xz00_3);
					if (PAIRP(BgL_cdrzd2107zd2_602))
						{	/* Eval/expdquote.scm 52 */
							if (NULLP(CDR(BgL_cdrzd2107zd2_602)))
								{	/* Eval/expdquote.scm 52 */
									return BgL_xz00_3;
								}
							else
								{	/* Eval/expdquote.scm 52 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1642z00zz__expander_quotez00,
										BGl_string1643z00zz__expander_quotez00, BgL_xz00_3);
								}
						}
					else
						{	/* Eval/expdquote.scm 52 */
							return
								BGl_errorz00zz__errorz00(BGl_string1642z00zz__expander_quotez00,
								BGl_string1643z00zz__expander_quotez00, BgL_xz00_3);
						}
				}
			else
				{	/* Eval/expdquote.scm 52 */
					return
						BGl_errorz00zz__errorz00(BGl_string1642z00zz__expander_quotez00,
						BGl_string1643z00zz__expander_quotez00, BgL_xz00_3);
				}
		}
	}



/* &expand-quote */
	obj_t BGl_z62expandzd2quotezb0zz__expander_quotez00(obj_t BgL_envz00_1403,
		obj_t BgL_xz00_1404, obj_t BgL_ez00_1405)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 51 */
			return
				BGl_expandzd2quotezd2zz__expander_quotez00(BgL_xz00_1404,
				BgL_ez00_1405);
		}
	}



/* quasiquotation */
	BGL_EXPORTED_DEF obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t
		BgL_dz00_5, obj_t BgL_expz00_6)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 79 */
			{	/* Eval/expdquote.scm 80 */
				bool_t BgL_testz00_1447;

				if (PAIRP(BgL_expz00_6))
					{	/* Eval/expdquote.scm 80 */
						bool_t BgL_testz00_1450;

						{	/* Eval/expdquote.scm 80 */
							obj_t BgL_auxz00_1451;

							BgL_auxz00_1451 = CDR(BgL_expz00_6);
							BgL_testz00_1450 = PAIRP(BgL_auxz00_1451);
						}
						if (BgL_testz00_1450)
							{	/* Eval/expdquote.scm 80 */
								BgL_testz00_1447 = NULLP(CDR(CDR(BgL_expz00_6)));
							}
						else
							{	/* Eval/expdquote.scm 80 */
								BgL_testz00_1447 = ((bool_t) 0);
							}
					}
				else
					{	/* Eval/expdquote.scm 80 */
						BgL_testz00_1447 = ((bool_t) 0);
					}
				if (BgL_testz00_1447)
					{	/* Eval/expdquote.scm 80 */
						return
							BGl_templatez00zz__expander_quotez00(BgL_dz00_5,
							CAR(CDR(BgL_expz00_6)));
					}
				else
					{	/* Eval/expdquote.scm 80 */
						return
							BGl_errorz00zz__errorz00(BGl_string1644z00zz__expander_quotez00,
							BGl_string1645z00zz__expander_quotez00, BgL_expz00_6);
					}
			}
		}
	}



/* &quasiquotation */
	obj_t BGl_z62quasiquotationz62zz__expander_quotez00(obj_t BgL_envz00_1406,
		obj_t BgL_dz00_1407, obj_t BgL_expz00_1408)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 79 */
			return
				BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_1407,
				BgL_expz00_1408);
		}
	}



/* template */
	obj_t BGl_templatez00zz__expander_quotez00(obj_t BgL_dz00_7,
		obj_t BgL_expz00_8)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 87 */
		BGl_templatez00zz__expander_quotez00:
			if (((long) CINT(BgL_dz00_7) == ((long) 0)))
				{	/* Eval/expdquote.scm 88 */
					return BgL_expz00_8;
				}
			else
				{	/* Eval/expdquote.scm 90 */
					bool_t BgL_testz00_1465;

					if (PAIRP(BgL_expz00_8))
						{	/* Eval/expdquote.scm 90 */
							BgL_testz00_1465 =
								(CAR(BgL_expz00_8) == BGl_symbol1646z00zz__expander_quotez00);
						}
					else
						{	/* Eval/expdquote.scm 90 */
							BgL_testz00_1465 = ((bool_t) 0);
						}
					if (BgL_testz00_1465)
						{	/* Eval/expdquote.scm 91 */
							bool_t BgL_testz00_1470;

							{	/* Eval/expdquote.scm 91 */
								bool_t BgL_testz00_1471;

								{	/* Eval/expdquote.scm 91 */
									obj_t BgL_auxz00_1472;

									BgL_auxz00_1472 = CDR(BgL_expz00_8);
									BgL_testz00_1471 = PAIRP(BgL_auxz00_1472);
								}
								if (BgL_testz00_1471)
									{	/* Eval/expdquote.scm 91 */
										BgL_testz00_1470 = NULLP(CDR(CDR(BgL_expz00_8)));
									}
								else
									{	/* Eval/expdquote.scm 91 */
										BgL_testz00_1470 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_1470)
								{	/* Eval/expdquote.scm 91 */
									if ((BgL_dz00_7 == BINT(((long) 1))))
										{	/* Eval/expdquote.scm 93 */
											long BgL_arg1137z00_623;
											obj_t BgL_arg1139z00_624;

											BgL_arg1137z00_623 =
												((long) CINT(BgL_dz00_7) - ((long) 1));
											BgL_arg1139z00_624 = CAR(CDR(BgL_expz00_8));
											{
												obj_t BgL_expz00_1487;
												obj_t BgL_dz00_1485;

												BgL_dz00_1485 = BINT(BgL_arg1137z00_623);
												BgL_expz00_1487 = BgL_arg1139z00_624;
												BgL_expz00_8 = BgL_expz00_1487;
												BgL_dz00_7 = BgL_dz00_1485;
												goto BGl_templatez00zz__expander_quotez00;
											}
										}
									else
										{	/* Eval/expdquote.scm 94 */
											obj_t BgL_arg1140z00_625;

											{	/* Eval/expdquote.scm 94 */
												long BgL_arg1150z00_629;
												obj_t BgL_arg1153z00_630;

												BgL_arg1150z00_629 =
													((long) CINT(BgL_dz00_7) - ((long) 1));
												BgL_arg1153z00_630 = CAR(CDR(BgL_expz00_8));
												BgL_arg1140z00_625 =
													BGl_templatez00zz__expander_quotez00(BINT
													(BgL_arg1150z00_629), BgL_arg1153z00_630);
											}
											{	/* Eval/expdquote.scm 94 */
												obj_t BgL_list1141z00_626;

												{	/* Eval/expdquote.scm 94 */
													obj_t BgL_arg1145z00_627;

													{	/* Eval/expdquote.scm 94 */
														obj_t BgL_arg1149z00_628;

														BgL_arg1149z00_628 =
															MAKE_PAIR(BgL_arg1140z00_625, BNIL);
														BgL_arg1145z00_627 =
															MAKE_PAIR(BGl_list1648z00zz__expander_quotez00,
															BgL_arg1149z00_628);
													}
													BgL_list1141z00_626 =
														MAKE_PAIR(BGl_symbol1650z00zz__expander_quotez00,
														BgL_arg1145z00_627);
												}
												return BgL_list1141z00_626;
											}
										}
								}
							else
								{	/* Eval/expdquote.scm 91 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1647z00zz__expander_quotez00,
										BGl_string1652z00zz__expander_quotez00, BgL_expz00_8);
								}
						}
					else
						{	/* Eval/expdquote.scm 90 */
							if (VECTORP(BgL_expz00_8))
								{	/* Eval/expdquote.scm 96 */
									return
										BGl_vectorzd2templatezd2zz__expander_quotez00(BgL_dz00_7,
										BgL_expz00_8);
								}
							else
								{	/* Eval/expdquote.scm 96 */
									if (PAIRP(BgL_expz00_8))
										{	/* Eval/expdquote.scm 98 */
											return
												BGl_listzd2templatezd2zz__expander_quotez00(BgL_dz00_7,
												BgL_expz00_8);
										}
									else
										{	/* Eval/expdquote.scm 98 */
											if (NULLP(BgL_expz00_8))
												{	/* Eval/expdquote.scm 101 */
													obj_t BgL_list1166z00_637;

													{	/* Eval/expdquote.scm 101 */
														obj_t BgL_arg1172z00_638;

														BgL_arg1172z00_638 = MAKE_PAIR(BgL_expz00_8, BNIL);
														BgL_list1166z00_637 =
															MAKE_PAIR(BGl_symbol1649z00zz__expander_quotez00,
															BgL_arg1172z00_638);
													}
													return BgL_list1166z00_637;
												}
											else
												{	/* Eval/expdquote.scm 102 */
													bool_t BgL_testz00_1508;

													if (CHARP(BgL_expz00_8))
														{	/* Eval/expdquote.scm 102 */
															BgL_testz00_1508 = ((bool_t) 1);
														}
													else
														{	/* Eval/expdquote.scm 102 */
															if (INTEGERP(BgL_expz00_8))
																{	/* Eval/expdquote.scm 102 */
																	BgL_testz00_1508 = ((bool_t) 1);
																}
															else
																{	/* Eval/expdquote.scm 102 */
																	if (STRINGP(BgL_expz00_8))
																		{	/* Eval/expdquote.scm 102 */
																			BgL_testz00_1508 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/expdquote.scm 102 */
																			BgL_testz00_1508 = CNSTP(BgL_expz00_8);
																		}
																}
														}
													if (BgL_testz00_1508)
														{	/* Eval/expdquote.scm 102 */
															return BgL_expz00_8;
														}
													else
														{	/* Eval/expdquote.scm 105 */
															obj_t BgL_list1174z00_640;

															{	/* Eval/expdquote.scm 105 */
																obj_t BgL_arg1175z00_641;

																BgL_arg1175z00_641 =
																	MAKE_PAIR(BgL_expz00_8, BNIL);
																BgL_list1174z00_640 =
																	MAKE_PAIR
																	(BGl_symbol1649z00zz__expander_quotez00,
																	BgL_arg1175z00_641);
															}
															return BgL_list1174z00_640;
														}
												}
										}
								}
						}
				}
		}
	}



/* list-template */
	obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_9,
		obj_t BgL_expz00_10)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 110 */
			{	/* Eval/expdquote.scm 111 */
				bool_t BgL_testz00_1518;

				{	/* Eval/expdquote.scm 111 */
					bool_t BgL_testz00_1519;

					{	/* Eval/expdquote.scm 111 */
						bool_t BgL_testz00_1520;

						{	/* Eval/expdquote.scm 111 */
							obj_t BgL_auxz00_1521;

							BgL_auxz00_1521 = CDR(BgL_expz00_10);
							BgL_testz00_1520 = PAIRP(BgL_auxz00_1521);
						}
						if (BgL_testz00_1520)
							{	/* Eval/expdquote.scm 111 */
								BgL_testz00_1519 = NULLP(CDR(CDR(BgL_expz00_10)));
							}
						else
							{	/* Eval/expdquote.scm 111 */
								BgL_testz00_1519 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1519)
						{	/* Eval/expdquote.scm 111 */
							if (
								(CAR(BgL_expz00_10) == BGl_symbol1649z00zz__expander_quotez00))
								{	/* Eval/expdquote.scm 112 */
									bool_t BgL_testz00_1530;

									{	/* Eval/expdquote.scm 112 */
										obj_t BgL_auxz00_1531;

										BgL_auxz00_1531 = CAR(CDR(BgL_expz00_10));
										BgL_testz00_1530 = PAIRP(BgL_auxz00_1531);
									}
									if (BgL_testz00_1530)
										{	/* Eval/expdquote.scm 112 */
											BgL_testz00_1518 =
												(CAR(CAR(CDR(BgL_expz00_10))) ==
												BGl_symbol1653z00zz__expander_quotez00);
										}
									else
										{	/* Eval/expdquote.scm 112 */
											BgL_testz00_1518 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/expdquote.scm 112 */
									BgL_testz00_1518 = ((bool_t) 0);
								}
						}
					else
						{	/* Eval/expdquote.scm 111 */
							BgL_testz00_1518 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1518)
					{	/* Eval/expdquote.scm 111 */
						return
							BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_9,
							CAR(CDR(BgL_expz00_10)));
					}
				else
					{	/* Eval/expdquote.scm 111 */
						if ((CAR(BgL_expz00_10) == BGl_symbol1653z00zz__expander_quotez00))
							{	/* Eval/expdquote.scm 115 */
								if ((BgL_dz00_9 == BINT(((long) 0))))
									{	/* Eval/expdquote.scm 117 */
										obj_t BgL_arg1187z00_651;

										if (INTEGERP(BgL_dz00_9))
											{	/* Eval/expdquote.scm 117 */
												BgL_arg1187z00_651 =
													BINT(((long) CINT(BgL_dz00_9) + ((long) 1)));
											}
										else
											{	/* Eval/expdquote.scm 117 */
												BgL_arg1187z00_651 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_9,
													BINT(((long) 1)));
											}
										return
											BGl_quasiquotationz00zz__expander_quotez00
											(BgL_arg1187z00_651, BgL_expz00_10);
									}
								else
									{	/* Eval/expdquote.scm 118 */
										obj_t BgL_arg1191z00_653;

										{	/* Eval/expdquote.scm 118 */
											obj_t BgL_arg1196z00_657;

											if (INTEGERP(BgL_dz00_9))
												{	/* Eval/expdquote.scm 118 */
													BgL_arg1196z00_657 =
														BINT(((long) CINT(BgL_dz00_9) + ((long) 1)));
												}
											else
												{	/* Eval/expdquote.scm 118 */
													BgL_arg1196z00_657 =
														BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_9,
														BINT(((long) 1)));
												}
											BgL_arg1191z00_653 =
												BGl_quasiquotationz00zz__expander_quotez00
												(BgL_arg1196z00_657, BgL_expz00_10);
										}
										{	/* Eval/expdquote.scm 118 */
											obj_t BgL_list1192z00_654;

											{	/* Eval/expdquote.scm 118 */
												obj_t BgL_arg1193z00_655;

												{	/* Eval/expdquote.scm 118 */
													obj_t BgL_arg1194z00_656;

													BgL_arg1194z00_656 =
														MAKE_PAIR(BgL_arg1191z00_653, BNIL);
													BgL_arg1193z00_655 =
														MAKE_PAIR(BGl_list1655z00zz__expander_quotez00,
														BgL_arg1194z00_656);
												}
												BgL_list1192z00_654 =
													MAKE_PAIR(BGl_symbol1650z00zz__expander_quotez00,
													BgL_arg1193z00_655);
											}
											return BgL_list1192z00_654;
										}
									}
							}
						else
							{	/* Eval/expdquote.scm 120 */
								bool_t BgL_testz00_1567;

								{	/* Eval/expdquote.scm 120 */
									bool_t BgL_res1586z00_1111;

									BgL_res1586z00_1111 = EXTENDED_PAIRP(BgL_expz00_10);
									BgL_testz00_1567 = BgL_res1586z00_1111;
								}
								if (BgL_testz00_1567)
									{	/* Eval/expdquote.scm 121 */
										obj_t BgL_erz00_660;

										BgL_erz00_660 = CER(BgL_expz00_10);
										{	/* Eval/expdquote.scm 122 */
											obj_t BgL_arg1199z00_661;

											BgL_arg1199z00_661 =
												BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
												(BgL_dz00_9, BgL_expz00_10);
											{	/* Eval/expdquote.scm 122 */
												obj_t BgL_res1587z00_1116;

												BgL_res1587z00_1116 =
													MAKE_EXTENDED_PAIR
													(BGl_symbol1656z00zz__expander_quotez00,
													BgL_arg1199z00_661, BgL_erz00_660);
												return BgL_res1587z00_1116;
											}
										}
									}
								else
									{	/* Eval/expdquote.scm 123 */
										obj_t BgL_arg1206z00_662;

										BgL_arg1206z00_662 =
											BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
											(BgL_dz00_9, BgL_expz00_10);
										return MAKE_PAIR(BGl_symbol1656z00zz__expander_quotez00,
											BgL_arg1206z00_662);
									}
							}
					}
			}
		}
	}



/* vector-template */
	obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_11,
		obj_t BgL_expz00_12)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 128 */
			{	/* Eval/expdquote.scm 129 */
				int BgL_tagzd2valzd2_675;
				obj_t BgL_reszd2valzd2_676;

				{	/* Eval/expdquote.scm 129 */
					int BgL_res1588z00_1118;

					BgL_res1588z00_1118 = VECTOR_TAG(BgL_expz00_12);
					BgL_tagzd2valzd2_675 = BgL_res1588z00_1118;
				}
				{	/* Eval/expdquote.scm 133 */
					obj_t BgL_arg1245z00_689;

					{	/* Eval/expdquote.scm 133 */
						obj_t BgL_arg1249z00_692;

						BgL_arg1249z00_692 =
							BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
							(BgL_dz00_11,
							BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_expz00_12));
						BgL_arg1245z00_689 =
							MAKE_PAIR(BGl_symbol1656z00zz__expander_quotez00,
							BgL_arg1249z00_692);
					}
					{	/* Eval/expdquote.scm 130 */
						obj_t BgL_list1246z00_690;

						{	/* Eval/expdquote.scm 130 */
							obj_t BgL_arg1248z00_691;

							BgL_arg1248z00_691 = MAKE_PAIR(BgL_arg1245z00_689, BNIL);
							BgL_list1246z00_690 =
								MAKE_PAIR(BGl_symbol1658z00zz__expander_quotez00,
								BgL_arg1248z00_691);
						}
						BgL_reszd2valzd2_676 = BgL_list1246z00_690;
				}}
				if (((long) (BgL_tagzd2valzd2_675) == ((long) 0)))
					{	/* Eval/expdquote.scm 134 */
						return BgL_reszd2valzd2_676;
					}
				else
					{	/* Eval/expdquote.scm 136 */
						obj_t BgL_reszd2varzd2_678;

						{	/* Eval/expdquote.scm 136 */

							{	/* Eval/expdquote.scm 136 */

								BgL_reszd2varzd2_678 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}
						}
						{	/* Eval/expdquote.scm 137 */
							obj_t BgL_arg1231z00_679;

							{	/* Eval/expdquote.scm 137 */
								obj_t BgL_arg1233z00_680;
								obj_t BgL_arg1234z00_681;

								{	/* Eval/expdquote.scm 137 */
									obj_t BgL_arg1235z00_682;

									{	/* Eval/expdquote.scm 137 */
										obj_t BgL_arg1236z00_683;

										BgL_arg1236z00_683 = MAKE_PAIR(BgL_reszd2valzd2_676, BNIL);
										BgL_arg1235z00_682 =
											MAKE_PAIR(BgL_reszd2varzd2_678, BgL_arg1236z00_683);
									}
									BgL_arg1233z00_680 = MAKE_PAIR(BgL_arg1235z00_682, BNIL);
								}
								{	/* Eval/expdquote.scm 138 */
									obj_t BgL_arg1239z00_684;
									obj_t BgL_arg1242z00_685;

									{	/* Eval/expdquote.scm 138 */
										obj_t BgL_arg1243z00_686;

										{	/* Eval/expdquote.scm 138 */
											obj_t BgL_arg1244z00_687;

											BgL_arg1244z00_687 =
												MAKE_PAIR(BINT(BgL_tagzd2valzd2_675), BNIL);
											BgL_arg1243z00_686 =
												MAKE_PAIR(BgL_reszd2varzd2_678, BgL_arg1244z00_687);
										}
										BgL_arg1239z00_684 =
											MAKE_PAIR(BGl_symbol1660z00zz__expander_quotez00,
											BgL_arg1243z00_686);
									}
									BgL_arg1242z00_685 = MAKE_PAIR(BgL_reszd2varzd2_678, BNIL);
									BgL_arg1234z00_681 =
										MAKE_PAIR(BgL_arg1239z00_684, BgL_arg1242z00_685);
								}
								BgL_arg1231z00_679 =
									MAKE_PAIR(BgL_arg1233z00_680, BgL_arg1234z00_681);
							}
							return
								MAKE_PAIR(BGl_symbol1662z00zz__expander_quotez00,
								BgL_arg1231z00_679);
						}
					}
			}
		}
	}



/* template-or-splice-list */
	obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t
		BgL_dz00_13, obj_t BgL_expz00_14)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 144 */
			if (NULLP(BgL_expz00_14))
				{	/* Eval/expdquote.scm 145 */
					return BGl_list1664z00zz__expander_quotez00;
				}
			else
				{	/* Eval/expdquote.scm 145 */
					if (PAIRP(BgL_expz00_14))
						{	/* Eval/expdquote.scm 146 */
							if (
								(CAR(BgL_expz00_14) == BGl_symbol1646z00zz__expander_quotez00))
								{	/* Eval/expdquote.scm 148 */
									obj_t BgL_arg1254z00_697;

									BgL_arg1254z00_697 =
										BGl_templatez00zz__expander_quotez00(BgL_dz00_13,
										BgL_expz00_14);
									{	/* Eval/expdquote.scm 148 */
										obj_t BgL_list1255z00_698;

										BgL_list1255z00_698 = MAKE_PAIR(BgL_arg1254z00_697, BNIL);
										return BgL_list1255z00_698;
									}
								}
							else
								{	/* Eval/expdquote.scm 149 */
									bool_t BgL_testz00_1604;

									{	/* Eval/expdquote.scm 149 */
										bool_t BgL_testz00_1605;

										{	/* Eval/expdquote.scm 149 */
											obj_t BgL_auxz00_1606;

											BgL_auxz00_1606 = CAR(BgL_expz00_14);
											BgL_testz00_1605 = PAIRP(BgL_auxz00_1606);
										}
										if (BgL_testz00_1605)
											{	/* Eval/expdquote.scm 149 */
												BgL_testz00_1604 =
													(CAR(CAR(BgL_expz00_14)) ==
													BGl_symbol1666z00zz__expander_quotez00);
											}
										else
											{	/* Eval/expdquote.scm 149 */
												BgL_testz00_1604 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_1604)
										{	/* Eval/expdquote.scm 152 */
											obj_t BgL_arg1258z00_700;

											{	/* Eval/expdquote.scm 152 */
												obj_t BgL_arg1260z00_702;
												obj_t BgL_arg1263z00_703;

												BgL_arg1260z00_702 =
													BGl_templatezd2orzd2splicez00zz__expander_quotez00
													(BgL_dz00_13, CAR(BgL_expz00_14));
												{	/* Eval/expdquote.scm 154 */
													obj_t BgL_arg1274z00_708;

													BgL_arg1274z00_708 =
														BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
														(BgL_dz00_13, CDR(BgL_expz00_14));
													BgL_arg1263z00_703 =
														MAKE_PAIR(BGl_symbol1656z00zz__expander_quotez00,
														BgL_arg1274z00_708);
												}
												{	/* Eval/expdquote.scm 151 */
													obj_t BgL_list1264z00_704;

													{	/* Eval/expdquote.scm 151 */
														obj_t BgL_arg1265z00_705;

														{	/* Eval/expdquote.scm 151 */
															obj_t BgL_arg1266z00_706;

															BgL_arg1266z00_706 =
																MAKE_PAIR(BgL_arg1263z00_703, BNIL);
															BgL_arg1265z00_705 =
																MAKE_PAIR(BgL_arg1260z00_702,
																BgL_arg1266z00_706);
														}
														BgL_list1264z00_704 =
															MAKE_PAIR(BGl_symbol1668z00zz__expander_quotez00,
															BgL_arg1265z00_705);
													}
													BgL_arg1258z00_700 = BgL_list1264z00_704;
												}
											}
											{	/* Eval/expdquote.scm 151 */
												obj_t BgL_list1259z00_701;

												BgL_list1259z00_701 =
													MAKE_PAIR(BgL_arg1258z00_700, BNIL);
												return BgL_list1259z00_701;
											}
										}
									else
										{	/* Eval/expdquote.scm 149 */
											return
												MAKE_PAIR
												(BGl_templatezd2orzd2splicez00zz__expander_quotez00
												(BgL_dz00_13, CAR(BgL_expz00_14)),
												BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00
												(BgL_dz00_13, CDR(BgL_expz00_14)));
										}
								}
						}
					else
						{	/* Eval/expdquote.scm 157 */
							obj_t BgL_arg1304z00_719;

							BgL_arg1304z00_719 =
								BGl_templatezd2orzd2splicez00zz__expander_quotez00(BgL_dz00_13,
								BgL_expz00_14);
							{	/* Eval/expdquote.scm 157 */
								obj_t BgL_list1305z00_720;

								BgL_list1305z00_720 = MAKE_PAIR(BgL_arg1304z00_719, BNIL);
								return BgL_list1305z00_720;
							}
						}
				}
		}
	}



/* template-or-splice */
	obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t BgL_dz00_15,
		obj_t BgL_expz00_16)
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 162 */
			{	/* Eval/expdquote.scm 163 */
				bool_t BgL_testz00_1628;

				if (PAIRP(BgL_expz00_16))
					{	/* Eval/expdquote.scm 163 */
						BgL_testz00_1628 =
							(CAR(BgL_expz00_16) == BGl_symbol1666z00zz__expander_quotez00);
					}
				else
					{	/* Eval/expdquote.scm 163 */
						BgL_testz00_1628 = ((bool_t) 0);
					}
				if (BgL_testz00_1628)
					{	/* Eval/expdquote.scm 164 */
						bool_t BgL_testz00_1633;

						{	/* Eval/expdquote.scm 164 */
							bool_t BgL_testz00_1634;

							{	/* Eval/expdquote.scm 164 */
								obj_t BgL_auxz00_1635;

								BgL_auxz00_1635 = CDR(BgL_expz00_16);
								BgL_testz00_1634 = PAIRP(BgL_auxz00_1635);
							}
							if (BgL_testz00_1634)
								{	/* Eval/expdquote.scm 164 */
									BgL_testz00_1633 = NULLP(CDR(CDR(BgL_expz00_16)));
								}
							else
								{	/* Eval/expdquote.scm 164 */
									BgL_testz00_1633 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1633)
							{	/* Eval/expdquote.scm 164 */
								if ((BgL_dz00_15 == BINT(((long) 1))))
									{	/* Eval/expdquote.scm 166 */
										long BgL_arg1310z00_724;
										obj_t BgL_arg1311z00_725;

										BgL_arg1310z00_724 =
											((long) CINT(BgL_dz00_15) - ((long) 1));
										BgL_arg1311z00_725 = CAR(CDR(BgL_expz00_16));
										return
											BGl_templatez00zz__expander_quotez00(BINT
											(BgL_arg1310z00_724), BgL_arg1311z00_725);
									}
								else
									{	/* Eval/expdquote.scm 168 */
										obj_t BgL_arg1312z00_726;

										{	/* Eval/expdquote.scm 168 */
											obj_t BgL_arg1316z00_729;

											{	/* Eval/expdquote.scm 168 */
												long BgL_arg1320z00_733;
												obj_t BgL_arg1321z00_734;

												BgL_arg1320z00_733 =
													((long) CINT(BgL_dz00_15) - ((long) 1));
												BgL_arg1321z00_734 = CAR(CDR(BgL_expz00_16));
												BgL_arg1316z00_729 =
													BGl_templatez00zz__expander_quotez00(BINT
													(BgL_arg1320z00_733), BgL_arg1321z00_734);
											}
											{	/* Eval/expdquote.scm 167 */
												obj_t BgL_list1317z00_730;

												{	/* Eval/expdquote.scm 167 */
													obj_t BgL_arg1318z00_731;

													{	/* Eval/expdquote.scm 167 */
														obj_t BgL_arg1319z00_732;

														BgL_arg1319z00_732 =
															MAKE_PAIR(BgL_arg1316z00_729, BNIL);
														BgL_arg1318z00_731 =
															MAKE_PAIR(BGl_list1670z00zz__expander_quotez00,
															BgL_arg1319z00_732);
													}
													BgL_list1317z00_730 =
														MAKE_PAIR(BGl_symbol1650z00zz__expander_quotez00,
														BgL_arg1318z00_731);
												}
												BgL_arg1312z00_726 = BgL_list1317z00_730;
										}}
										{	/* Eval/expdquote.scm 167 */
											obj_t BgL_list1313z00_727;

											{	/* Eval/expdquote.scm 167 */
												obj_t BgL_arg1314z00_728;

												BgL_arg1314z00_728 =
													MAKE_PAIR(BgL_arg1312z00_726, BNIL);
												BgL_list1313z00_727 =
													MAKE_PAIR(BGl_symbol1650z00zz__expander_quotez00,
													BgL_arg1314z00_728);
											}
											return BgL_list1313z00_727;
										}
									}
							}
						else
							{	/* Eval/expdquote.scm 164 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string1667z00zz__expander_quotez00,
									BGl_string1671z00zz__expander_quotez00, BgL_expz00_16);
							}
					}
				else
					{	/* Eval/expdquote.scm 163 */
						return
							BGl_templatez00zz__expander_quotez00(BgL_dz00_15, BgL_expz00_16);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_quotez00()
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_quotez00()
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_quotez00()
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00()
	{
		AN_OBJECT;
		{	/* Eval/expdquote.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string1672z00zz__expander_quotez00));
		}
	}

#ifdef __cplusplus
}
#endif
