/*===========================================================================*/
/*   (Ieee/control5.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Ieee/control5.scm -indent -o objs/obj_u/Ieee/control5.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
		BUNSPEC;
	static obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00();
	static obj_t
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
	BGL_EXPORTED_DECL obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2valz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1516za7,
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_callzd2withzd2valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762callza7d2withza7d1517za7,
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2valzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1518za7,
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1508z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1508za700za7za7_1519za7,
		"/tmp/bigloo/runtime/Ieee/control5.scm", 37);
	      DEFINE_STRING(BGl_string1509z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1509za700za7za7_1520za7, "&%set-mvalues-number!", 21);
	      DEFINE_STRING(BGl_string1510z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1510za700za7za7_1521za7, "bint", 4);
	      DEFINE_STRING(BGl_string1511z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1511za700za7za7_1522za7, "&%get-mvalues-val", 17);
	      DEFINE_STRING(BGl_string1512z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1512za700za7za7_1523za7, "&%set-mvalues-val!", 18);
	      DEFINE_STRING(BGl_string1513z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1513za700za7za7_1524za7, "&call-with-values", 17);
	      DEFINE_STRING(BGl_string1514z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1514za700za7za7_1525za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1515z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1515za700za7za7_1526za7, "__r5_control_features_6_4", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2numberz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1527za7,
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2numberzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1528za7,
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762valuesza762za7za7__1529z00, va_generic_entry,
		BGl_z62valuesz62zz__r5_control_features_6_4z00, BUNSPEC, -1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long
		BgL_checksumz00_1002, char *BgL_fromz00_1003)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00))
				{
					BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* %get-mvalues-number */
	BGL_EXPORTED_DEF int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BGL_MVALUES_NUMBER();
		}
	}



/* &%get-mvalues-number */
	obj_t BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_975)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BINT(BGL_MVALUES_NUMBER());
		}
	}



/* %set-mvalues-number! */
	BGL_EXPORTED_DEF int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			return BGL_MVALUES_NUMBER_SET(BgL_nz00_3);
		}
	}



/* &%set-mvalues-number! */
	obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_976, obj_t BgL_nz00_977)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			{	/* Ieee/control5.scm 73 */
				int BgL_auxz00_1012;

				{	/* Ieee/control5.scm 73 */
					int BgL_nz00_998;

					{	/* Ieee/control5.scm 73 */
						obj_t BgL_auxz00_1013;

						if (INTEGERP(BgL_nz00_977))
							{	/* Ieee/control5.scm 73 */
								BgL_auxz00_1013 = BgL_nz00_977;
							}
						else
							{
								obj_t BgL_auxz00_1016;

								BgL_auxz00_1016 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1508z00zz__r5_control_features_6_4z00,
									BINT(((long) 2768)),
									BGl_string1509z00zz__r5_control_features_6_4z00,
									BGl_string1510z00zz__r5_control_features_6_4z00,
									BgL_nz00_977);
								FAILURE(BgL_auxz00_1016, BFALSE, BFALSE);
							}
						BgL_nz00_998 = CINT(BgL_auxz00_1013);
					}
					BgL_auxz00_1012 = BGL_MVALUES_NUMBER_SET(BgL_nz00_998);
				}
				return BINT(BgL_auxz00_1012);
			}
		}
	}



/* %get-mvalues-val */
	BGL_EXPORTED_DEF obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int BgL_nz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			return BGL_MVALUES_VAL(BgL_nz00_4);
		}
	}



/* &%get-mvalues-val */
	obj_t BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_978, obj_t BgL_nz00_979)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			{	/* Ieee/control5.scm 79 */
				int BgL_nz00_999;

				{	/* Ieee/control5.scm 79 */
					obj_t BgL_auxz00_1024;

					if (INTEGERP(BgL_nz00_979))
						{	/* Ieee/control5.scm 79 */
							BgL_auxz00_1024 = BgL_nz00_979;
						}
					else
						{
							obj_t BgL_auxz00_1027;

							BgL_auxz00_1027 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1508z00zz__r5_control_features_6_4z00,
								BINT(((long) 3056)),
								BGl_string1511z00zz__r5_control_features_6_4z00,
								BGl_string1510z00zz__r5_control_features_6_4z00, BgL_nz00_979);
							FAILURE(BgL_auxz00_1027, BFALSE, BFALSE);
						}
					BgL_nz00_999 = CINT(BgL_auxz00_1024);
				}
				return BGL_MVALUES_VAL(BgL_nz00_999);
			}
		}
	}



/* %set-mvalues-val! */
	BGL_EXPORTED_DEF obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_5, obj_t BgL_oz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			return BGL_MVALUES_VAL_SET(BgL_nz00_5, BgL_oz00_6);
		}
	}



/* &%set-mvalues-val! */
	obj_t BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_980, obj_t BgL_nz00_981, obj_t BgL_oz00_982)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			{	/* Ieee/control5.scm 85 */
				int BgL_nz00_1000;

				{	/* Ieee/control5.scm 85 */
					obj_t BgL_auxz00_1034;

					if (INTEGERP(BgL_nz00_981))
						{	/* Ieee/control5.scm 85 */
							BgL_auxz00_1034 = BgL_nz00_981;
						}
					else
						{
							obj_t BgL_auxz00_1037;

							BgL_auxz00_1037 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1508z00zz__r5_control_features_6_4z00,
								BINT(((long) 3343)),
								BGl_string1512z00zz__r5_control_features_6_4z00,
								BGl_string1510z00zz__r5_control_features_6_4z00, BgL_nz00_981);
							FAILURE(BgL_auxz00_1037, BFALSE, BFALSE);
						}
					BgL_nz00_1000 = CINT(BgL_auxz00_1034);
				}
				return BGL_MVALUES_VAL_SET(BgL_nz00_1000, BgL_oz00_982);
			}
		}
	}



/* values */
	BGL_EXPORTED_DEF obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_argsz00_7)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			if (NULLP(BgL_argsz00_7))
				{	/* Ieee/control5.scm 94 */
					int BgL_res1472z00_698;

					{	/* Ieee/control5.scm 73 */
						int BgL_auxz00_1045;

						BgL_auxz00_1045 = (int) (((long) 0));
						BgL_res1472z00_698 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1045);
					}
					return BINT(BgL_res1472z00_698);
				}
			else
				{	/* Ieee/control5.scm 93 */
					if (NULLP(CDR(BgL_argsz00_7)))
						{	/* Ieee/control5.scm 95 */
							{	/* Ieee/control5.scm 97 */
								int BgL_res1474z00_703;

								{	/* Ieee/control5.scm 73 */
									int BgL_auxz00_1052;

									BgL_auxz00_1052 = (int) (((long) 1));
									BgL_res1474z00_703 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1052);
								} BgL_res1474z00_703;
							}
							return CAR(BgL_argsz00_7);
						}
					else
						{	/* Ieee/control5.scm 99 */
							obj_t BgL_res0z00_395;

							BgL_res0z00_395 = CAR(BgL_argsz00_7);
							{	/* Ieee/control5.scm 101 */
								obj_t BgL_g1012z00_397;

								BgL_g1012z00_397 = CDR(BgL_argsz00_7);
								{
									long BgL_iz00_724;
									obj_t BgL_argsz00_725;

									BgL_iz00_724 = ((long) 1);
									BgL_argsz00_725 = BgL_g1012z00_397;
								BgL_loopz00_723:
									if (NULLP(BgL_argsz00_725))
										{	/* Ieee/control5.scm 104 */
											{	/* Ieee/control5.scm 105 */
												int BgL_res1476z00_729;

												{	/* Ieee/control5.scm 73 */
													int BgL_auxz00_1060;

													BgL_auxz00_1060 = (int) (BgL_iz00_724);
													BgL_res1476z00_729 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_1060);
												} BgL_res1476z00_729;
											}
											return BgL_res0z00_395;
										}
									else
										{	/* Ieee/control5.scm 104 */
											if ((BgL_iz00_724 == ((long) 16)))
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 108 */
														int BgL_res1478z00_735;

														{	/* Ieee/control5.scm 73 */
															int BgL_auxz00_1065;

															BgL_auxz00_1065 = (int) (((long) -1));
															BgL_res1478z00_735 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_1065);
														} BgL_res1478z00_735;
													}
													return BgL_argsz00_7;
												}
											else
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 85 */
														obj_t BgL_auxz00_1070;
														int BgL_auxz00_1068;

														BgL_auxz00_1070 = CAR(BgL_argsz00_725);
														BgL_auxz00_1068 = (int) (BgL_iz00_724);
														BGL_MVALUES_VAL_SET(BgL_auxz00_1068,
															BgL_auxz00_1070);
													}
													{
														obj_t BgL_argsz00_1075;
														long BgL_iz00_1073;

														BgL_iz00_1073 = (BgL_iz00_724 + ((long) 1));
														BgL_argsz00_1075 = CDR(BgL_argsz00_725);
														BgL_argsz00_725 = BgL_argsz00_1075;
														BgL_iz00_724 = BgL_iz00_1073;
														goto BgL_loopz00_723;
													}
												}
										}
								}
							}
						}
				}
		}
	}



/* &values */
	obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t BgL_envz00_983,
		obj_t BgL_argsz00_984)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			return BGl_valuesz00zz__r5_control_features_6_4z00(BgL_argsz00_984);
		}
	}



/* call-with-values */
	BGL_EXPORTED_DEF obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_producerz00_8, obj_t BgL_consumerz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				int BgL_res1480z00_748;

				{	/* Ieee/control5.scm 73 */
					int BgL_auxz00_1078;

					BgL_auxz00_1078 = (int) (((long) 1));
					BgL_res1480z00_748 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1078);
				} BgL_res1480z00_748;
			}
			{	/* Ieee/control5.scm 119 */
				obj_t BgL_res0z00_409;

				BgL_res0z00_409 =
					PROCEDURE_ENTRY(BgL_producerz00_8) (BgL_producerz00_8, BEOA);
				{	/* Ieee/control5.scm 120 */
					int BgL_aux1014z00_411;

					{	/* Ieee/control5.scm 120 */
						int BgL_res1481z00_749;

						BgL_res1481z00_749 = BGL_MVALUES_NUMBER();
						BgL_aux1014z00_411 = BgL_res1481z00_749;
					}
					switch ((long) (BgL_aux1014z00_411))
						{
						case ((long) -1):

							return apply(BgL_consumerz00_9, BgL_res0z00_409);
							break;
						case ((long) 0):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9, BEOA);
							break;
						case ((long) 1):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
								BgL_res0z00_409, BEOA);
							break;
						case ((long) 2):

							{	/* Ieee/control5.scm 129 */
								obj_t BgL_arg1060z00_413;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1094;

									BgL_auxz00_1094 = (int) (((long) 1));
									BgL_arg1060z00_413 = BGL_MVALUES_VAL(BgL_auxz00_1094);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1060z00_413, BEOA);
							}
							break;
						case ((long) 3):

							{	/* Ieee/control5.scm 132 */
								obj_t BgL_arg1061z00_414;
								obj_t BgL_arg1069z00_415;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1102;

									BgL_auxz00_1102 = (int) (((long) 1));
									BgL_arg1061z00_414 = BGL_MVALUES_VAL(BgL_auxz00_1102);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1105;

									BgL_auxz00_1105 = (int) (((long) 2));
									BgL_arg1069z00_415 = BGL_MVALUES_VAL(BgL_auxz00_1105);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1061z00_414, BgL_arg1069z00_415,
									BEOA);
							}
							break;
						case ((long) 4):

							{	/* Ieee/control5.scm 136 */
								obj_t BgL_arg1070z00_416;
								obj_t BgL_arg1072z00_417;
								obj_t BgL_arg1073z00_418;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1114;

									BgL_auxz00_1114 = (int) (((long) 1));
									BgL_arg1070z00_416 = BGL_MVALUES_VAL(BgL_auxz00_1114);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1117;

									BgL_auxz00_1117 = (int) (((long) 2));
									BgL_arg1072z00_417 = BGL_MVALUES_VAL(BgL_auxz00_1117);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1120;

									BgL_auxz00_1120 = (int) (((long) 3));
									BgL_arg1073z00_418 = BGL_MVALUES_VAL(BgL_auxz00_1120);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1070z00_416, BgL_arg1072z00_417,
									BgL_arg1073z00_418, BEOA);
							}
							break;
						case ((long) 5):

							{	/* Ieee/control5.scm 141 */
								obj_t BgL_arg1074z00_419;
								obj_t BgL_arg1077z00_420;
								obj_t BgL_arg1078z00_421;
								obj_t BgL_arg1079z00_422;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1130;

									BgL_auxz00_1130 = (int) (((long) 1));
									BgL_arg1074z00_419 = BGL_MVALUES_VAL(BgL_auxz00_1130);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1133;

									BgL_auxz00_1133 = (int) (((long) 2));
									BgL_arg1077z00_420 = BGL_MVALUES_VAL(BgL_auxz00_1133);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1136;

									BgL_auxz00_1136 = (int) (((long) 3));
									BgL_arg1078z00_421 = BGL_MVALUES_VAL(BgL_auxz00_1136);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1139;

									BgL_auxz00_1139 = (int) (((long) 4));
									BgL_arg1079z00_422 = BGL_MVALUES_VAL(BgL_auxz00_1139);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1074z00_419, BgL_arg1077z00_420,
									BgL_arg1078z00_421, BgL_arg1079z00_422, BEOA);
							}
							break;
						case ((long) 6):

							{	/* Ieee/control5.scm 147 */
								obj_t BgL_arg1080z00_423;
								obj_t BgL_arg1081z00_424;
								obj_t BgL_arg1082z00_425;
								obj_t BgL_arg1083z00_426;
								obj_t BgL_arg1084z00_427;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1150;

									BgL_auxz00_1150 = (int) (((long) 1));
									BgL_arg1080z00_423 = BGL_MVALUES_VAL(BgL_auxz00_1150);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1153;

									BgL_auxz00_1153 = (int) (((long) 2));
									BgL_arg1081z00_424 = BGL_MVALUES_VAL(BgL_auxz00_1153);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1156;

									BgL_auxz00_1156 = (int) (((long) 3));
									BgL_arg1082z00_425 = BGL_MVALUES_VAL(BgL_auxz00_1156);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1159;

									BgL_auxz00_1159 = (int) (((long) 4));
									BgL_arg1083z00_426 = BGL_MVALUES_VAL(BgL_auxz00_1159);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1162;

									BgL_auxz00_1162 = (int) (((long) 5));
									BgL_arg1084z00_427 = BGL_MVALUES_VAL(BgL_auxz00_1162);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1080z00_423, BgL_arg1081z00_424,
									BgL_arg1082z00_425, BgL_arg1083z00_426, BgL_arg1084z00_427,
									BEOA);
							}
							break;
						case ((long) 7):

							{	/* Ieee/control5.scm 154 */
								obj_t BgL_arg1085z00_428;
								obj_t BgL_arg1086z00_429;
								obj_t BgL_arg1087z00_430;
								obj_t BgL_arg1088z00_431;
								obj_t BgL_arg1089z00_432;
								obj_t BgL_arg1094z00_433;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1174;

									BgL_auxz00_1174 = (int) (((long) 1));
									BgL_arg1085z00_428 = BGL_MVALUES_VAL(BgL_auxz00_1174);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1177;

									BgL_auxz00_1177 = (int) (((long) 2));
									BgL_arg1086z00_429 = BGL_MVALUES_VAL(BgL_auxz00_1177);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1180;

									BgL_auxz00_1180 = (int) (((long) 3));
									BgL_arg1087z00_430 = BGL_MVALUES_VAL(BgL_auxz00_1180);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1183;

									BgL_auxz00_1183 = (int) (((long) 4));
									BgL_arg1088z00_431 = BGL_MVALUES_VAL(BgL_auxz00_1183);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1186;

									BgL_auxz00_1186 = (int) (((long) 5));
									BgL_arg1089z00_432 = BGL_MVALUES_VAL(BgL_auxz00_1186);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1189;

									BgL_auxz00_1189 = (int) (((long) 6));
									BgL_arg1094z00_433 = BGL_MVALUES_VAL(BgL_auxz00_1189);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1085z00_428, BgL_arg1086z00_429,
									BgL_arg1087z00_430, BgL_arg1088z00_431, BgL_arg1089z00_432,
									BgL_arg1094z00_433, BEOA);
							}
							break;
						case ((long) 8):

							{	/* Ieee/control5.scm 162 */
								obj_t BgL_arg1095z00_434;
								obj_t BgL_arg1099z00_435;
								obj_t BgL_arg1107z00_436;
								obj_t BgL_arg1108z00_437;
								obj_t BgL_arg1111z00_438;
								obj_t BgL_arg1115z00_439;
								obj_t BgL_arg1116z00_440;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1202;

									BgL_auxz00_1202 = (int) (((long) 1));
									BgL_arg1095z00_434 = BGL_MVALUES_VAL(BgL_auxz00_1202);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1205;

									BgL_auxz00_1205 = (int) (((long) 2));
									BgL_arg1099z00_435 = BGL_MVALUES_VAL(BgL_auxz00_1205);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1208;

									BgL_auxz00_1208 = (int) (((long) 3));
									BgL_arg1107z00_436 = BGL_MVALUES_VAL(BgL_auxz00_1208);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1211;

									BgL_auxz00_1211 = (int) (((long) 4));
									BgL_arg1108z00_437 = BGL_MVALUES_VAL(BgL_auxz00_1211);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1214;

									BgL_auxz00_1214 = (int) (((long) 5));
									BgL_arg1111z00_438 = BGL_MVALUES_VAL(BgL_auxz00_1214);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1217;

									BgL_auxz00_1217 = (int) (((long) 6));
									BgL_arg1115z00_439 = BGL_MVALUES_VAL(BgL_auxz00_1217);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1220;

									BgL_auxz00_1220 = (int) (((long) 7));
									BgL_arg1116z00_440 = BGL_MVALUES_VAL(BgL_auxz00_1220);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1095z00_434, BgL_arg1099z00_435,
									BgL_arg1107z00_436, BgL_arg1108z00_437, BgL_arg1111z00_438,
									BgL_arg1115z00_439, BgL_arg1116z00_440, BEOA);
							}
							break;
						case ((long) 9):

							{	/* Ieee/control5.scm 171 */
								obj_t BgL_arg1117z00_441;
								obj_t BgL_arg1118z00_442;
								obj_t BgL_arg1119z00_443;
								obj_t BgL_arg1120z00_444;
								obj_t BgL_arg1121z00_445;
								obj_t BgL_arg1122z00_446;
								obj_t BgL_arg1123z00_447;
								obj_t BgL_arg1124z00_448;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1234;

									BgL_auxz00_1234 = (int) (((long) 1));
									BgL_arg1117z00_441 = BGL_MVALUES_VAL(BgL_auxz00_1234);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1237;

									BgL_auxz00_1237 = (int) (((long) 2));
									BgL_arg1118z00_442 = BGL_MVALUES_VAL(BgL_auxz00_1237);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1240;

									BgL_auxz00_1240 = (int) (((long) 3));
									BgL_arg1119z00_443 = BGL_MVALUES_VAL(BgL_auxz00_1240);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1243;

									BgL_auxz00_1243 = (int) (((long) 4));
									BgL_arg1120z00_444 = BGL_MVALUES_VAL(BgL_auxz00_1243);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1246;

									BgL_auxz00_1246 = (int) (((long) 5));
									BgL_arg1121z00_445 = BGL_MVALUES_VAL(BgL_auxz00_1246);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1249;

									BgL_auxz00_1249 = (int) (((long) 6));
									BgL_arg1122z00_446 = BGL_MVALUES_VAL(BgL_auxz00_1249);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1252;

									BgL_auxz00_1252 = (int) (((long) 7));
									BgL_arg1123z00_447 = BGL_MVALUES_VAL(BgL_auxz00_1252);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1255;

									BgL_auxz00_1255 = (int) (((long) 8));
									BgL_arg1124z00_448 = BGL_MVALUES_VAL(BgL_auxz00_1255);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1117z00_441, BgL_arg1118z00_442,
									BgL_arg1119z00_443, BgL_arg1120z00_444, BgL_arg1121z00_445,
									BgL_arg1122z00_446, BgL_arg1123z00_447, BgL_arg1124z00_448,
									BEOA);
							}
							break;
						case ((long) 10):

							{	/* Ieee/control5.scm 181 */
								obj_t BgL_arg1125z00_449;
								obj_t BgL_arg1129z00_450;
								obj_t BgL_arg1132z00_451;
								obj_t BgL_arg1137z00_452;
								obj_t BgL_arg1139z00_453;
								obj_t BgL_arg1140z00_454;
								obj_t BgL_arg1145z00_455;
								obj_t BgL_arg1149z00_456;
								obj_t BgL_arg1150z00_457;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1270;

									BgL_auxz00_1270 = (int) (((long) 1));
									BgL_arg1125z00_449 = BGL_MVALUES_VAL(BgL_auxz00_1270);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1273;

									BgL_auxz00_1273 = (int) (((long) 2));
									BgL_arg1129z00_450 = BGL_MVALUES_VAL(BgL_auxz00_1273);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1276;

									BgL_auxz00_1276 = (int) (((long) 3));
									BgL_arg1132z00_451 = BGL_MVALUES_VAL(BgL_auxz00_1276);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1279;

									BgL_auxz00_1279 = (int) (((long) 4));
									BgL_arg1137z00_452 = BGL_MVALUES_VAL(BgL_auxz00_1279);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1282;

									BgL_auxz00_1282 = (int) (((long) 5));
									BgL_arg1139z00_453 = BGL_MVALUES_VAL(BgL_auxz00_1282);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1285;

									BgL_auxz00_1285 = (int) (((long) 6));
									BgL_arg1140z00_454 = BGL_MVALUES_VAL(BgL_auxz00_1285);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1288;

									BgL_auxz00_1288 = (int) (((long) 7));
									BgL_arg1145z00_455 = BGL_MVALUES_VAL(BgL_auxz00_1288);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1291;

									BgL_auxz00_1291 = (int) (((long) 8));
									BgL_arg1149z00_456 = BGL_MVALUES_VAL(BgL_auxz00_1291);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1294;

									BgL_auxz00_1294 = (int) (((long) 9));
									BgL_arg1150z00_457 = BGL_MVALUES_VAL(BgL_auxz00_1294);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1125z00_449, BgL_arg1129z00_450,
									BgL_arg1132z00_451, BgL_arg1137z00_452, BgL_arg1139z00_453,
									BgL_arg1140z00_454, BgL_arg1145z00_455, BgL_arg1149z00_456,
									BgL_arg1150z00_457, BEOA);
							}
							break;
						case ((long) 11):

							{	/* Ieee/control5.scm 192 */
								obj_t BgL_arg1153z00_458;
								obj_t BgL_arg1156z00_459;
								obj_t BgL_arg1162z00_460;
								obj_t BgL_arg1164z00_461;
								obj_t BgL_arg1172z00_462;
								obj_t BgL_arg1173z00_463;
								obj_t BgL_arg1174z00_464;
								obj_t BgL_arg1175z00_465;
								obj_t BgL_arg1176z00_466;
								obj_t BgL_arg1177z00_467;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1310;

									BgL_auxz00_1310 = (int) (((long) 1));
									BgL_arg1153z00_458 = BGL_MVALUES_VAL(BgL_auxz00_1310);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1313;

									BgL_auxz00_1313 = (int) (((long) 2));
									BgL_arg1156z00_459 = BGL_MVALUES_VAL(BgL_auxz00_1313);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1316;

									BgL_auxz00_1316 = (int) (((long) 3));
									BgL_arg1162z00_460 = BGL_MVALUES_VAL(BgL_auxz00_1316);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1319;

									BgL_auxz00_1319 = (int) (((long) 4));
									BgL_arg1164z00_461 = BGL_MVALUES_VAL(BgL_auxz00_1319);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1322;

									BgL_auxz00_1322 = (int) (((long) 5));
									BgL_arg1172z00_462 = BGL_MVALUES_VAL(BgL_auxz00_1322);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1325;

									BgL_auxz00_1325 = (int) (((long) 6));
									BgL_arg1173z00_463 = BGL_MVALUES_VAL(BgL_auxz00_1325);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1328;

									BgL_auxz00_1328 = (int) (((long) 7));
									BgL_arg1174z00_464 = BGL_MVALUES_VAL(BgL_auxz00_1328);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1331;

									BgL_auxz00_1331 = (int) (((long) 8));
									BgL_arg1175z00_465 = BGL_MVALUES_VAL(BgL_auxz00_1331);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1334;

									BgL_auxz00_1334 = (int) (((long) 9));
									BgL_arg1176z00_466 = BGL_MVALUES_VAL(BgL_auxz00_1334);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1337;

									BgL_auxz00_1337 = (int) (((long) 10));
									BgL_arg1177z00_467 = BGL_MVALUES_VAL(BgL_auxz00_1337);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1153z00_458, BgL_arg1156z00_459,
									BgL_arg1162z00_460, BgL_arg1164z00_461, BgL_arg1172z00_462,
									BgL_arg1173z00_463, BgL_arg1174z00_464, BgL_arg1175z00_465,
									BgL_arg1176z00_466, BgL_arg1177z00_467, BEOA);
							}
							break;
						case ((long) 12):

							{	/* Ieee/control5.scm 204 */
								obj_t BgL_arg1178z00_468;
								obj_t BgL_arg1179z00_469;
								obj_t BgL_arg1180z00_470;
								obj_t BgL_arg1181z00_471;
								obj_t BgL_arg1183z00_472;
								obj_t BgL_arg1187z00_473;
								obj_t BgL_arg1188z00_474;
								obj_t BgL_arg1191z00_475;
								obj_t BgL_arg1192z00_476;
								obj_t BgL_arg1193z00_477;
								obj_t BgL_arg1194z00_478;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1354;

									BgL_auxz00_1354 = (int) (((long) 1));
									BgL_arg1178z00_468 = BGL_MVALUES_VAL(BgL_auxz00_1354);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1357;

									BgL_auxz00_1357 = (int) (((long) 2));
									BgL_arg1179z00_469 = BGL_MVALUES_VAL(BgL_auxz00_1357);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1360;

									BgL_auxz00_1360 = (int) (((long) 3));
									BgL_arg1180z00_470 = BGL_MVALUES_VAL(BgL_auxz00_1360);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1363;

									BgL_auxz00_1363 = (int) (((long) 4));
									BgL_arg1181z00_471 = BGL_MVALUES_VAL(BgL_auxz00_1363);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1366;

									BgL_auxz00_1366 = (int) (((long) 5));
									BgL_arg1183z00_472 = BGL_MVALUES_VAL(BgL_auxz00_1366);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1369;

									BgL_auxz00_1369 = (int) (((long) 6));
									BgL_arg1187z00_473 = BGL_MVALUES_VAL(BgL_auxz00_1369);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1372;

									BgL_auxz00_1372 = (int) (((long) 7));
									BgL_arg1188z00_474 = BGL_MVALUES_VAL(BgL_auxz00_1372);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1375;

									BgL_auxz00_1375 = (int) (((long) 8));
									BgL_arg1191z00_475 = BGL_MVALUES_VAL(BgL_auxz00_1375);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1378;

									BgL_auxz00_1378 = (int) (((long) 9));
									BgL_arg1192z00_476 = BGL_MVALUES_VAL(BgL_auxz00_1378);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1381;

									BgL_auxz00_1381 = (int) (((long) 10));
									BgL_arg1193z00_477 = BGL_MVALUES_VAL(BgL_auxz00_1381);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1384;

									BgL_auxz00_1384 = (int) (((long) 11));
									BgL_arg1194z00_478 = BGL_MVALUES_VAL(BgL_auxz00_1384);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1178z00_468, BgL_arg1179z00_469,
									BgL_arg1180z00_470, BgL_arg1181z00_471, BgL_arg1183z00_472,
									BgL_arg1187z00_473, BgL_arg1188z00_474, BgL_arg1191z00_475,
									BgL_arg1192z00_476, BgL_arg1193z00_477, BgL_arg1194z00_478,
									BEOA);
							}
							break;
						case ((long) 13):

							{	/* Ieee/control5.scm 217 */
								obj_t BgL_arg1196z00_479;
								obj_t BgL_arg1197z00_480;
								obj_t BgL_arg1198z00_481;
								obj_t BgL_arg1199z00_482;
								obj_t BgL_arg1206z00_483;
								obj_t BgL_arg1207z00_484;
								obj_t BgL_arg1208z00_485;
								obj_t BgL_arg1214z00_486;
								obj_t BgL_arg1218z00_487;
								obj_t BgL_arg1221z00_488;
								obj_t BgL_arg1224z00_489;
								obj_t BgL_arg1228z00_490;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1402;

									BgL_auxz00_1402 = (int) (((long) 1));
									BgL_arg1196z00_479 = BGL_MVALUES_VAL(BgL_auxz00_1402);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1405;

									BgL_auxz00_1405 = (int) (((long) 2));
									BgL_arg1197z00_480 = BGL_MVALUES_VAL(BgL_auxz00_1405);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1408;

									BgL_auxz00_1408 = (int) (((long) 3));
									BgL_arg1198z00_481 = BGL_MVALUES_VAL(BgL_auxz00_1408);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1411;

									BgL_auxz00_1411 = (int) (((long) 4));
									BgL_arg1199z00_482 = BGL_MVALUES_VAL(BgL_auxz00_1411);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1414;

									BgL_auxz00_1414 = (int) (((long) 5));
									BgL_arg1206z00_483 = BGL_MVALUES_VAL(BgL_auxz00_1414);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1417;

									BgL_auxz00_1417 = (int) (((long) 6));
									BgL_arg1207z00_484 = BGL_MVALUES_VAL(BgL_auxz00_1417);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1420;

									BgL_auxz00_1420 = (int) (((long) 7));
									BgL_arg1208z00_485 = BGL_MVALUES_VAL(BgL_auxz00_1420);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1423;

									BgL_auxz00_1423 = (int) (((long) 8));
									BgL_arg1214z00_486 = BGL_MVALUES_VAL(BgL_auxz00_1423);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1426;

									BgL_auxz00_1426 = (int) (((long) 9));
									BgL_arg1218z00_487 = BGL_MVALUES_VAL(BgL_auxz00_1426);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1429;

									BgL_auxz00_1429 = (int) (((long) 10));
									BgL_arg1221z00_488 = BGL_MVALUES_VAL(BgL_auxz00_1429);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1432;

									BgL_auxz00_1432 = (int) (((long) 11));
									BgL_arg1224z00_489 = BGL_MVALUES_VAL(BgL_auxz00_1432);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1435;

									BgL_auxz00_1435 = (int) (((long) 12));
									BgL_arg1228z00_490 = BGL_MVALUES_VAL(BgL_auxz00_1435);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1196z00_479, BgL_arg1197z00_480,
									BgL_arg1198z00_481, BgL_arg1199z00_482, BgL_arg1206z00_483,
									BgL_arg1207z00_484, BgL_arg1208z00_485, BgL_arg1214z00_486,
									BgL_arg1218z00_487, BgL_arg1221z00_488, BgL_arg1224z00_489,
									BgL_arg1228z00_490, BEOA);
							}
							break;
						case ((long) 14):

							{	/* Ieee/control5.scm 231 */
								obj_t BgL_arg1229z00_491;
								obj_t BgL_arg1231z00_492;
								obj_t BgL_arg1233z00_493;
								obj_t BgL_arg1234z00_494;
								obj_t BgL_arg1235z00_495;
								obj_t BgL_arg1236z00_496;
								obj_t BgL_arg1239z00_497;
								obj_t BgL_arg1242z00_498;
								obj_t BgL_arg1243z00_499;
								obj_t BgL_arg1244z00_500;
								obj_t BgL_arg1245z00_501;
								obj_t BgL_arg1248z00_502;
								obj_t BgL_arg1249z00_503;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1454;

									BgL_auxz00_1454 = (int) (((long) 1));
									BgL_arg1229z00_491 = BGL_MVALUES_VAL(BgL_auxz00_1454);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1457;

									BgL_auxz00_1457 = (int) (((long) 2));
									BgL_arg1231z00_492 = BGL_MVALUES_VAL(BgL_auxz00_1457);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1460;

									BgL_auxz00_1460 = (int) (((long) 3));
									BgL_arg1233z00_493 = BGL_MVALUES_VAL(BgL_auxz00_1460);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1463;

									BgL_auxz00_1463 = (int) (((long) 4));
									BgL_arg1234z00_494 = BGL_MVALUES_VAL(BgL_auxz00_1463);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1466;

									BgL_auxz00_1466 = (int) (((long) 5));
									BgL_arg1235z00_495 = BGL_MVALUES_VAL(BgL_auxz00_1466);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1469;

									BgL_auxz00_1469 = (int) (((long) 6));
									BgL_arg1236z00_496 = BGL_MVALUES_VAL(BgL_auxz00_1469);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1472;

									BgL_auxz00_1472 = (int) (((long) 7));
									BgL_arg1239z00_497 = BGL_MVALUES_VAL(BgL_auxz00_1472);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1475;

									BgL_auxz00_1475 = (int) (((long) 8));
									BgL_arg1242z00_498 = BGL_MVALUES_VAL(BgL_auxz00_1475);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1478;

									BgL_auxz00_1478 = (int) (((long) 9));
									BgL_arg1243z00_499 = BGL_MVALUES_VAL(BgL_auxz00_1478);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1481;

									BgL_auxz00_1481 = (int) (((long) 10));
									BgL_arg1244z00_500 = BGL_MVALUES_VAL(BgL_auxz00_1481);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1484;

									BgL_auxz00_1484 = (int) (((long) 11));
									BgL_arg1245z00_501 = BGL_MVALUES_VAL(BgL_auxz00_1484);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1487;

									BgL_auxz00_1487 = (int) (((long) 12));
									BgL_arg1248z00_502 = BGL_MVALUES_VAL(BgL_auxz00_1487);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1490;

									BgL_auxz00_1490 = (int) (((long) 13));
									BgL_arg1249z00_503 = BGL_MVALUES_VAL(BgL_auxz00_1490);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1229z00_491, BgL_arg1231z00_492,
									BgL_arg1233z00_493, BgL_arg1234z00_494, BgL_arg1235z00_495,
									BgL_arg1236z00_496, BgL_arg1239z00_497, BgL_arg1242z00_498,
									BgL_arg1243z00_499, BgL_arg1244z00_500, BgL_arg1245z00_501,
									BgL_arg1248z00_502, BgL_arg1249z00_503, BEOA);
							}
							break;
						case ((long) 15):

							{	/* Ieee/control5.scm 246 */
								obj_t BgL_arg1250z00_504;
								obj_t BgL_arg1251z00_505;
								obj_t BgL_arg1254z00_506;
								obj_t BgL_arg1256z00_507;
								obj_t BgL_arg1258z00_508;
								obj_t BgL_arg1259z00_509;
								obj_t BgL_arg1260z00_510;
								obj_t BgL_arg1263z00_511;
								obj_t BgL_arg1264z00_512;
								obj_t BgL_arg1265z00_513;
								obj_t BgL_arg1266z00_514;
								obj_t BgL_arg1273z00_515;
								obj_t BgL_arg1274z00_516;
								obj_t BgL_arg1277z00_517;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1510;

									BgL_auxz00_1510 = (int) (((long) 1));
									BgL_arg1250z00_504 = BGL_MVALUES_VAL(BgL_auxz00_1510);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1513;

									BgL_auxz00_1513 = (int) (((long) 2));
									BgL_arg1251z00_505 = BGL_MVALUES_VAL(BgL_auxz00_1513);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1516;

									BgL_auxz00_1516 = (int) (((long) 3));
									BgL_arg1254z00_506 = BGL_MVALUES_VAL(BgL_auxz00_1516);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1519;

									BgL_auxz00_1519 = (int) (((long) 4));
									BgL_arg1256z00_507 = BGL_MVALUES_VAL(BgL_auxz00_1519);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1522;

									BgL_auxz00_1522 = (int) (((long) 5));
									BgL_arg1258z00_508 = BGL_MVALUES_VAL(BgL_auxz00_1522);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1525;

									BgL_auxz00_1525 = (int) (((long) 6));
									BgL_arg1259z00_509 = BGL_MVALUES_VAL(BgL_auxz00_1525);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1528;

									BgL_auxz00_1528 = (int) (((long) 7));
									BgL_arg1260z00_510 = BGL_MVALUES_VAL(BgL_auxz00_1528);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1531;

									BgL_auxz00_1531 = (int) (((long) 8));
									BgL_arg1263z00_511 = BGL_MVALUES_VAL(BgL_auxz00_1531);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1534;

									BgL_auxz00_1534 = (int) (((long) 9));
									BgL_arg1264z00_512 = BGL_MVALUES_VAL(BgL_auxz00_1534);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1537;

									BgL_auxz00_1537 = (int) (((long) 10));
									BgL_arg1265z00_513 = BGL_MVALUES_VAL(BgL_auxz00_1537);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1540;

									BgL_auxz00_1540 = (int) (((long) 11));
									BgL_arg1266z00_514 = BGL_MVALUES_VAL(BgL_auxz00_1540);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1543;

									BgL_auxz00_1543 = (int) (((long) 12));
									BgL_arg1273z00_515 = BGL_MVALUES_VAL(BgL_auxz00_1543);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1546;

									BgL_auxz00_1546 = (int) (((long) 13));
									BgL_arg1274z00_516 = BGL_MVALUES_VAL(BgL_auxz00_1546);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1549;

									BgL_auxz00_1549 = (int) (((long) 14));
									BgL_arg1277z00_517 = BGL_MVALUES_VAL(BgL_auxz00_1549);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1250z00_504, BgL_arg1251z00_505,
									BgL_arg1254z00_506, BgL_arg1256z00_507, BgL_arg1258z00_508,
									BgL_arg1259z00_509, BgL_arg1260z00_510, BgL_arg1263z00_511,
									BgL_arg1264z00_512, BgL_arg1265z00_513, BgL_arg1266z00_514,
									BgL_arg1273z00_515, BgL_arg1274z00_516, BgL_arg1277z00_517,
									BEOA);
							}
							break;
						case ((long) 16):

							{	/* Ieee/control5.scm 262 */
								obj_t BgL_arg1279z00_518;
								obj_t BgL_arg1280z00_519;
								obj_t BgL_arg1284z00_520;
								obj_t BgL_arg1287z00_521;
								obj_t BgL_arg1289z00_522;
								obj_t BgL_arg1299z00_523;
								obj_t BgL_arg1301z00_524;
								obj_t BgL_arg1303z00_525;
								obj_t BgL_arg1304z00_526;
								obj_t BgL_arg1310z00_527;
								obj_t BgL_arg1311z00_528;
								obj_t BgL_arg1312z00_529;
								obj_t BgL_arg1313z00_530;
								obj_t BgL_arg1314z00_531;
								obj_t BgL_arg1316z00_532;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1570;

									BgL_auxz00_1570 = (int) (((long) 1));
									BgL_arg1279z00_518 = BGL_MVALUES_VAL(BgL_auxz00_1570);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1573;

									BgL_auxz00_1573 = (int) (((long) 2));
									BgL_arg1280z00_519 = BGL_MVALUES_VAL(BgL_auxz00_1573);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1576;

									BgL_auxz00_1576 = (int) (((long) 3));
									BgL_arg1284z00_520 = BGL_MVALUES_VAL(BgL_auxz00_1576);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1579;

									BgL_auxz00_1579 = (int) (((long) 4));
									BgL_arg1287z00_521 = BGL_MVALUES_VAL(BgL_auxz00_1579);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1582;

									BgL_auxz00_1582 = (int) (((long) 5));
									BgL_arg1289z00_522 = BGL_MVALUES_VAL(BgL_auxz00_1582);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1585;

									BgL_auxz00_1585 = (int) (((long) 6));
									BgL_arg1299z00_523 = BGL_MVALUES_VAL(BgL_auxz00_1585);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1588;

									BgL_auxz00_1588 = (int) (((long) 7));
									BgL_arg1301z00_524 = BGL_MVALUES_VAL(BgL_auxz00_1588);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1591;

									BgL_auxz00_1591 = (int) (((long) 8));
									BgL_arg1303z00_525 = BGL_MVALUES_VAL(BgL_auxz00_1591);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1594;

									BgL_auxz00_1594 = (int) (((long) 9));
									BgL_arg1304z00_526 = BGL_MVALUES_VAL(BgL_auxz00_1594);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1597;

									BgL_auxz00_1597 = (int) (((long) 10));
									BgL_arg1310z00_527 = BGL_MVALUES_VAL(BgL_auxz00_1597);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1600;

									BgL_auxz00_1600 = (int) (((long) 11));
									BgL_arg1311z00_528 = BGL_MVALUES_VAL(BgL_auxz00_1600);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1603;

									BgL_auxz00_1603 = (int) (((long) 12));
									BgL_arg1312z00_529 = BGL_MVALUES_VAL(BgL_auxz00_1603);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1606;

									BgL_auxz00_1606 = (int) (((long) 13));
									BgL_arg1313z00_530 = BGL_MVALUES_VAL(BgL_auxz00_1606);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1609;

									BgL_auxz00_1609 = (int) (((long) 14));
									BgL_arg1314z00_531 = BGL_MVALUES_VAL(BgL_auxz00_1609);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1612;

									BgL_auxz00_1612 = (int) (((long) 15));
									BgL_arg1316z00_532 = BGL_MVALUES_VAL(BgL_auxz00_1612);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_409, BgL_arg1279z00_518, BgL_arg1280z00_519,
									BgL_arg1284z00_520, BgL_arg1287z00_521, BgL_arg1289z00_522,
									BgL_arg1299z00_523, BgL_arg1301z00_524, BgL_arg1303z00_525,
									BgL_arg1304z00_526, BgL_arg1310z00_527, BgL_arg1311z00_528,
									BgL_arg1312z00_529, BgL_arg1313z00_530, BgL_arg1314z00_531,
									BgL_arg1316z00_532, BEOA);
							}
							break;
						default:
							return apply(BgL_consumerz00_9, BgL_res0z00_409);
						}
				}
			}
		}
	}



/* &call-with-values */
	obj_t BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_985, obj_t BgL_producerz00_986, obj_t BgL_consumerz00_987)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				obj_t BgL_auxz00_1645;
				obj_t BgL_auxz00_1638;

				if (PROCEDUREP(BgL_consumerz00_987))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1645 = BgL_consumerz00_987;
					}
				else
					{
						obj_t BgL_auxz00_1648;

						BgL_auxz00_1648 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1508z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1513z00zz__r5_control_features_6_4z00,
							BGl_string1514z00zz__r5_control_features_6_4z00,
							BgL_consumerz00_987);
						FAILURE(BgL_auxz00_1648, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_producerz00_986))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1638 = BgL_producerz00_986;
					}
				else
					{
						obj_t BgL_auxz00_1641;

						BgL_auxz00_1641 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1508z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1513z00zz__r5_control_features_6_4z00,
							BGl_string1514z00zz__r5_control_features_6_4z00,
							BgL_producerz00_986);
						FAILURE(BgL_auxz00_1641, BFALSE, BFALSE);
					}
				return
					BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00
					(BgL_auxz00_1638, BgL_auxz00_1645);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1515z00zz__r5_control_features_6_4z00));
		}
	}

#ifdef __cplusplus
}
#endif
