/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/bigloo.scm -indent -o objs/obj_u/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
	static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
	static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
	static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62timez62zz__biglooz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
	static obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
	static obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_symbol1791z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
	static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *,
		obj_t);
	static obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__biglooz00();
	static obj_t BGl_genericzd2initzd2zz__biglooz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
	static obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__biglooz00();
	BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
	static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
	static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
	extern void bgl_gc_verbose_set(bool_t);
	static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t,
		obj_t);
	static obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t, obj_t);
	extern obj_t bgl_bmem_reset();
	static obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__biglooz00();
	static obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t,
		obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
	static obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t, obj_t,
		obj_t);
	static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
	BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00();
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	extern bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_symbol1822z00zz__biglooz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unspecifiedzd2envzd2zz__biglooz00,
		BgL_bgl_za762unspecifiedza761826z00, BGl_z62unspecifiedz62zz__biglooz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1792z00zz__biglooz00,
		BgL_bgl_string1792za700za7za7_1827za7, "bigloo-exit", 11);
	      DEFINE_STRING(BGl_string1793z00zz__biglooz00,
		BgL_bgl_string1793za700za7za7_1828za7, " (level 0)", 10);
	      DEFINE_STRING(BGl_string1794z00zz__biglooz00,
		BgL_bgl_string1794za700za7za7_1829za7,
		"Some modules have been compiled by: ", 36);
	      DEFINE_STRING(BGl_string1795z00zz__biglooz00,
		BgL_bgl_string1795za700za7za7_1830za7, "and other by: ", 14);
	      DEFINE_STRING(BGl_string1796z00zz__biglooz00,
		BgL_bgl_string1796za700za7za7_1831za7,
		"/tmp/bigloo/runtime/Llib/bigloo.scm", 35);
	      DEFINE_STRING(BGl_string1797z00zz__biglooz00,
		BgL_bgl_string1797za700za7za7_1832za7, "&check-version!", 15);
	      DEFINE_STRING(BGl_string1798z00zz__biglooz00,
		BgL_bgl_string1798za700za7za7_1833za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1799z00zz__biglooz00,
		BgL_bgl_string1799za700za7za7_1834za7, "&procedure-arity", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2attrzd2envz00zz__biglooz00,
		BgL_bgl_za762procedureza7d2a1835z00,
		BGl_z62procedurezd2attrzb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezd2nilzd2envz00zz__biglooz00,
		BgL_bgl_za762opaqueza7d2nilza71836za7, BGl_z62opaquezd2nilzb0zz__biglooz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00,
		BgL_bgl_za762biglooza7d2mang1837z00,
		BGl_z62bigloozd2mangledzf3z43zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2exit1838z00,
		BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2modu1839z00,
		BGl_z62bigloozd2modulezd2manglez62zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmemzd2resetz12zd2envz12zz__biglooz00,
		BgL_bgl_za762bmemza7d2resetza71840za7,
		BGl_z62bmemzd2resetz12za2zz__biglooz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762biglooza7d2need1841z00,
		BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762biglooza7d2clas1842z00,
		BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezf3zd2envz21zz__biglooz00,
		BgL_bgl_za762opaqueza7f3za791za71843z00, BGl_z62opaquezf3z91zz__biglooz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2arityzd2envz00zz__biglooz00,
		BgL_bgl_za762procedureza7d2a1844z00,
		BGl_z62procedurezd2arityzb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1800z00zz__biglooz00,
		BgL_bgl_string1800za700za7za7_1845za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1801z00zz__biglooz00,
		BgL_bgl_string1801za700za7za7_1846za7, "&procedure-attr", 15);
	      DEFINE_STRING(BGl_string1802z00zz__biglooz00,
		BgL_bgl_string1802za700za7za7_1847za7, "&procedure-attr-set!", 20);
	      DEFINE_STRING(BGl_string1803z00zz__biglooz00,
		BgL_bgl_string1803za700za7za7_1848za7, "0123456789abcdef", 16);
	      DEFINE_STRING(BGl_string1804z00zz__biglooz00,
		BgL_bgl_string1804za700za7za7_1849za7, "bigloo-mangle-string", 20);
	      DEFINE_STRING(BGl_string1805z00zz__biglooz00,
		BgL_bgl_string1805za700za7za7_1850za7, "Can't mangle empty string", 25);
	      DEFINE_STRING(BGl_string1806z00zz__biglooz00,
		BgL_bgl_string1806za700za7za7_1851za7, "BgL_", 4);
	      DEFINE_STRING(BGl_string1807z00zz__biglooz00,
		BgL_bgl_string1807za700za7za7_1852za7, "&bigloo-mangle", 14);
	      DEFINE_STRING(BGl_string1808z00zz__biglooz00,
		BgL_bgl_string1808za700za7za7_1853za7, "BGl_", 4);
	      DEFINE_STRING(BGl_string1809z00zz__biglooz00,
		BgL_bgl_string1809za700za7za7_1854za7, "&bigloo-module-mangle", 21);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2manglezd2envz00zz__biglooz00,
		BgL_bgl_za762biglooza7d2mang1855z00, BGl_z62bigloozd2manglezb0zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00,
		BgL_bgl_za762registerza7d2ex1856z00,
		BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2demanglezd2envz00zz__biglooz00,
		BgL_bgl_za762biglooza7d2dema1857z00,
		BGl_z62bigloozd2demanglezb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1810z00zz__biglooz00,
		BgL_bgl_string1810za700za7za7_1858za7, "&bigloo-mangled?", 16);
	      DEFINE_STRING(BGl_string1811z00zz__biglooz00,
		BgL_bgl_string1811za700za7za7_1859za7, "&bigloo-need-mangling?", 22);
	      DEFINE_STRING(BGl_string1812z00zz__biglooz00,
		BgL_bgl_string1812za700za7za7_1860za7, "bigloo-demangle", 15);
	      DEFINE_STRING(BGl_string1813z00zz__biglooz00,
		BgL_bgl_string1813za700za7za7_1861za7, "Not a Bigloo mangled identifier",
		31);
	      DEFINE_STRING(BGl_string1814z00zz__biglooz00,
		BgL_bgl_string1814za700za7za7_1862za7, "Illegal mangling on", 19);
	      DEFINE_STRING(BGl_string1815z00zz__biglooz00,
		BgL_bgl_string1815za700za7za7_1863za7, "&bigloo-demangle", 16);
	      DEFINE_STRING(BGl_string1816z00zz__biglooz00,
		BgL_bgl_string1816za700za7za7_1864za7, "&bigloo-class-mangled?", 22);
	      DEFINE_STRING(BGl_string1817z00zz__biglooz00,
		BgL_bgl_string1817za700za7za7_1865za7, "_bglt", 5);
	      DEFINE_STRING(BGl_string1818z00zz__biglooz00,
		BgL_bgl_string1818za700za7za7_1866za7, "&bigloo-class-demangle", 22);
	      DEFINE_STRING(BGl_string1819z00zz__biglooz00,
		BgL_bgl_string1819za700za7za7_1867za7, "bigloo-exit-register!", 21);
	extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
	   
		 
		DEFINE_STRING(BGl_string1820z00zz__biglooz00,
		BgL_bgl_string1820za700za7za7_1868za7, "Wrong procedure arity", 21);
	      DEFINE_STRING(BGl_string1821z00zz__biglooz00,
		BgL_bgl_string1821za700za7za7_1869za7, "&register-exit-function!", 24);
	      DEFINE_STRING(BGl_string1823z00zz__biglooz00,
		BgL_bgl_string1823za700za7za7_1870za7, "time", 4);
	      DEFINE_STRING(BGl_string1824z00zz__biglooz00,
		BgL_bgl_string1824za700za7za7_1871za7, "&time", 5);
	      DEFINE_STRING(BGl_string1825z00zz__biglooz00,
		BgL_bgl_string1825za700za7za7_1872za7, "__bigloo", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2versionz12zd2envz12zz__biglooz00,
		BgL_bgl_za762checkza7d2versi1873z00,
		BGl_z62checkzd2versionz12za2zz__biglooz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762cnstza7f3za791za7za7_1874za7, BGl_z62cnstzf3z91zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2gczd2verbosezd2setz12zd2envz12zz__biglooz00,
		BgL_bgl_za762biglooza7d2gcza7d1875za7,
		BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2exit1876z00,
		BGl_z62bigloozd2exitzd2applyz62zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2clas1877z00,
		BGl_z62bigloozd2classzd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00,
		BgL_bgl_za762procedureza7d2a1878z00,
		BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_timezd2envzd2zz__biglooz00,
		BgL_bgl_za762timeza762za7za7__bi1879z00, BGl_z62timez62zz__biglooz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long
		BgL_checksumz00_1941, char *BgL_fromz00_1942)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
				{
					BGl_requirezd2initializa7ationz75zz__biglooz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__biglooz00();
					BGl_importedzd2moduleszd2initz00zz__biglooz00();
					BGl_toplevelzd2initzd2zz__biglooz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_symbol1791z00zz__biglooz00 =
				bstring_to_symbol(BGl_string1792z00zz__biglooz00);
			return (BGl_symbol1822z00zz__biglooz00 =
				bstring_to_symbol(BGl_string1823z00zz__biglooz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_za2releaseza2z00zz__biglooz00 = BFALSE;
			BGl_za2levelza2z00zz__biglooz00 = BFALSE;
			BGl_za2modulesza2z00zz__biglooz00 = BNIL;
			{	/* Llib/bigloo.scm 579 */
				obj_t BgL_res1566z00_1099;

				BgL_res1566z00_1099 = bgl_make_mutex(BGl_symbol1791z00zz__biglooz00);
				BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BgL_res1566z00_1099;
			}
			return (BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
				BNIL, BUNSPEC);
		}
	}



/* check-version! */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t
		BgL_modulez00_3, char *BgL_releasez00_4, obj_t BgL_levelz00_5)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 307 */
			if (STRINGP(BGl_za2releaseza2z00zz__biglooz00))
				{	/* Llib/bigloo.scm 313 */
					bool_t BgL_testz00_1954;

					{	/* Llib/bigloo.scm 313 */
						bool_t BgL_testz00_1955;

						{	/* Llib/bigloo.scm 313 */
							long BgL_minz00_629;

							{	/* Llib/bigloo.scm 313 */
								long BgL_arg1164z00_633;

								{	/* Llib/bigloo.scm 313 */
									long BgL_az00_634;
									long BgL_bz00_635;

									BgL_az00_634 =
										STRING_LENGTH(string_to_bstring(BgL_releasez00_4));
									BgL_bz00_635 =
										STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00);
									if ((BgL_az00_634 < BgL_bz00_635))
										{	/* Llib/bigloo.scm 314 */
											BgL_arg1164z00_633 = BgL_az00_634;
										}
									else
										{	/* Llib/bigloo.scm 314 */
											BgL_arg1164z00_633 = BgL_bz00_635;
										}
								}
								BgL_minz00_629 = (BgL_arg1164z00_633 - ((long) 1));
							}
							if (bigloo_strcmp(c_substring(string_to_bstring(BgL_releasez00_4),
										((long) 0), BgL_minz00_629),
									c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long) 0),
										BgL_minz00_629)))
								{	/* Llib/bigloo.scm 316 */
									BgL_testz00_1955 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 316 */
									BgL_testz00_1955 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_1955)
							{	/* Llib/bigloo.scm 313 */
								BgL_testz00_1954 = ((bool_t) 1);
							}
						else
							{	/* Llib/bigloo.scm 313 */
								if (CHARP(BgL_levelz00_5))
									{	/* Llib/bigloo.scm 318 */
										if (CHARP(BGl_za2levelza2z00zz__biglooz00))
											{	/* Llib/bigloo.scm 318 */
												if (
													(CCHAR(BGl_za2levelza2z00zz__biglooz00) ==
														CCHAR(BgL_levelz00_5)))
													{	/* Llib/bigloo.scm 318 */
														BgL_testz00_1954 = ((bool_t) 0);
													}
												else
													{	/* Llib/bigloo.scm 318 */
														BgL_testz00_1954 = ((bool_t) 1);
													}
											}
										else
											{	/* Llib/bigloo.scm 318 */
												BgL_testz00_1954 = ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 318 */
										BgL_testz00_1954 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_1954)
						{	/* Llib/bigloo.scm 326 */
							obj_t BgL_arg1137z00_614;
							obj_t BgL_arg1139z00_615;
							obj_t BgL_arg1140z00_616;

							{	/* Llib/bigloo.scm 326 */
								obj_t BgL_arg1145z00_617;

								{	/* Llib/bigloo.scm 326 */
									obj_t BgL_releasez00_1137;
									obj_t BgL_levelz00_1138;

									BgL_releasez00_1137 = BGl_za2releaseza2z00zz__biglooz00;
									BgL_levelz00_1138 = BGl_za2levelza2z00zz__biglooz00;
									if (CHARP(BgL_levelz00_1138))
										{	/* Llib/bigloo.scm 321 */
											obj_t BgL_sz00_1140;

											BgL_sz00_1140 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BGl_string1793z00zz__biglooz00);
											{	/* Llib/bigloo.scm 322 */
												unsigned char BgL_auxz00_1978;

												BgL_auxz00_1978 = CCHAR(BgL_levelz00_1138);
												STRING_SET(BgL_sz00_1140, ((long) 8), BgL_auxz00_1978);
											}
											BgL_arg1145z00_617 =
												string_append(BgL_releasez00_1137, BgL_sz00_1140);
										}
									else
										{	/* Llib/bigloo.scm 320 */
											BgL_arg1145z00_617 = BgL_releasez00_1137;
										}
								}
								BgL_arg1137z00_614 =
									string_append(BGl_string1794z00zz__biglooz00,
									BgL_arg1145z00_617);
							}
							{	/* Llib/bigloo.scm 328 */
								obj_t BgL_arg1149z00_618;

								if (CHARP(BgL_levelz00_5))
									{	/* Llib/bigloo.scm 321 */
										obj_t BgL_sz00_1149;

										BgL_sz00_1149 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BGl_string1793z00zz__biglooz00);
										{	/* Llib/bigloo.scm 322 */
											unsigned char BgL_auxz00_1986;

											BgL_auxz00_1986 = CCHAR(BgL_levelz00_5);
											STRING_SET(BgL_sz00_1149, ((long) 8), BgL_auxz00_1986);
										}
										BgL_arg1149z00_618 =
											string_append(string_to_bstring(BgL_releasez00_4),
											BgL_sz00_1149);
									}
								else
									{	/* Llib/bigloo.scm 320 */
										BgL_arg1149z00_618 = string_to_bstring(BgL_releasez00_4);
									}
								BgL_arg1139z00_615 =
									string_append(BGl_string1795z00zz__biglooz00,
									BgL_arg1149z00_618);
							}
							BgL_arg1140z00_616 =
								MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00);
							return
								BGl_errorz00zz__errorz00(BgL_arg1137z00_614, BgL_arg1139z00_615,
								BgL_arg1140z00_616);
						}
					else
						{	/* Llib/bigloo.scm 313 */
							return (BGl_za2modulesza2z00zz__biglooz00 =
								MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00),
								BUNSPEC);
						}
				}
			else
				{	/* Llib/bigloo.scm 309 */
					{	/* Llib/bigloo.scm 310 */
						obj_t BgL_list1166z00_637;

						BgL_list1166z00_637 = MAKE_PAIR(BgL_modulez00_3, BNIL);
						BGl_za2modulesza2z00zz__biglooz00 = BgL_list1166z00_637;
					}
					BGl_za2releaseza2z00zz__biglooz00 =
						string_to_bstring(BgL_releasez00_4);
					return (BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_5, BUNSPEC);
				}
		}
	}



/* &check-version! */
	obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t BgL_envz00_1859,
		obj_t BgL_modulez00_1860, obj_t BgL_releasez00_1861,
		obj_t BgL_levelz00_1862)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 307 */
			{	/* Llib/bigloo.scm 309 */
				char *BgL_auxz00_1998;

				{	/* Llib/bigloo.scm 309 */
					obj_t BgL_auxz00_1999;

					if (STRINGP(BgL_releasez00_1861))
						{	/* Llib/bigloo.scm 309 */
							BgL_auxz00_1999 = BgL_releasez00_1861;
						}
					else
						{
							obj_t BgL_auxz00_2002;

							BgL_auxz00_2002 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
								BINT(((long) 10929)), BGl_string1797z00zz__biglooz00,
								BGl_string1798z00zz__biglooz00, BgL_releasez00_1861);
							FAILURE(BgL_auxz00_2002, BFALSE, BFALSE);
						}
					BgL_auxz00_1998 = BSTRING_TO_STRING(BgL_auxz00_1999);
				}
				return
					BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_1860,
					BgL_auxz00_1998, BgL_levelz00_1862);
			}
		}
	}



/* procedure-arity */
	BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t
		BgL_procz00_6)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 343 */
			return PROCEDURE_ARITY(BgL_procz00_6);
		}
	}



/* &procedure-arity */
	obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t BgL_envz00_1863,
		obj_t BgL_procz00_1864)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 343 */
			{	/* Llib/bigloo.scm 344 */
				int BgL_auxz00_2009;

				{	/* Llib/bigloo.scm 344 */
					obj_t BgL_procz00_1935;

					if (PROCEDUREP(BgL_procz00_1864))
						{	/* Llib/bigloo.scm 344 */
							BgL_procz00_1935 = BgL_procz00_1864;
						}
					else
						{
							obj_t BgL_auxz00_2012;

							BgL_auxz00_2012 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
								BINT(((long) 12346)), BGl_string1799z00zz__biglooz00,
								BGl_string1800z00zz__biglooz00, BgL_procz00_1864);
							FAILURE(BgL_auxz00_2012, BFALSE, BFALSE);
						}
					BgL_auxz00_2009 = PROCEDURE_ARITY(BgL_procz00_1935);
				}
				return BINT(BgL_auxz00_2009);
			}
		}
	}



/* procedure-attr */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t
		BgL_procz00_7)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 349 */
			return PROCEDURE_ATTR(BgL_procz00_7);
		}
	}



/* &procedure-attr */
	obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t BgL_envz00_1865,
		obj_t BgL_procz00_1866)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 349 */
			{	/* Llib/bigloo.scm 350 */
				obj_t BgL_procz00_1936;

				if (PROCEDUREP(BgL_procz00_1866))
					{	/* Llib/bigloo.scm 350 */
						BgL_procz00_1936 = BgL_procz00_1866;
					}
				else
					{
						obj_t BgL_auxz00_2021;

						BgL_auxz00_2021 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 12634)), BGl_string1801z00zz__biglooz00,
							BGl_string1800z00zz__biglooz00, BgL_procz00_1866);
						FAILURE(BgL_auxz00_2021, BFALSE, BFALSE);
					}
				return PROCEDURE_ATTR(BgL_procz00_1936);
			}
		}
	}



/* procedure-attr-set! */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t
		BgL_procz00_8, obj_t BgL_objz00_9)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 355 */
			PROCEDURE_ATTR_SET(BgL_procz00_8, BgL_objz00_9);
			return BgL_objz00_9;
		}
	}



/* &procedure-attr-set! */
	obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t BgL_envz00_1867,
		obj_t BgL_procz00_1868, obj_t BgL_objz00_1869)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 355 */
			{	/* Llib/bigloo.scm 356 */
				obj_t BgL_procz00_1937;

				if (PROCEDUREP(BgL_procz00_1868))
					{	/* Llib/bigloo.scm 356 */
						BgL_procz00_1937 = BgL_procz00_1868;
					}
				else
					{
						obj_t BgL_auxz00_2029;

						BgL_auxz00_2029 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 12960)), BGl_string1802z00zz__biglooz00,
							BGl_string1800z00zz__biglooz00, BgL_procz00_1868);
						FAILURE(BgL_auxz00_2029, BFALSE, BFALSE);
					}
				PROCEDURE_ATTR_SET(BgL_procz00_1937, BgL_objz00_1869);
				return BgL_objz00_1869;
			}
		}
	}



/* unspecified */
	BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 362 */
			return BUNSPEC;
		}
	}



/* &unspecified */
	obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t BgL_envz00_1870)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 362 */
			return BUNSPEC;
		}
	}



/* cnst? */
	BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_10)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 368 */
			return CNSTP(BgL_objz00_10);
		}
	}



/* &cnst? */
	obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t BgL_envz00_1871,
		obj_t BgL_objz00_1872)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 368 */
			return BBOOL(CNSTP(BgL_objz00_1872));
		}
	}



/* opaque? */
	BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_11)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 374 */
			return OPAQUEP(BgL_objz00_11);
		}
	}



/* &opaque? */
	obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t BgL_envz00_1873,
		obj_t BgL_objz00_1874)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 374 */
			return BBOOL(OPAQUEP(BgL_objz00_1874));
		}
	}



/* opaque-nil */
	BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 380 */
			return BGL_OPAQUE_NIL();
		}
	}



/* &opaque-nil */
	obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t BgL_envz00_1875)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 380 */
			return BGL_OPAQUE_NIL();
		}
	}



/* mangle-at! */
	long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_13,
		obj_t BgL_oldz00_14, long BgL_lenz00_15, long BgL_offsetz00_16)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 393 */
			{
				long BgL_rz00_640;
				long BgL_wz00_641;
				long BgL_newzd2lenzd2_642;
				long BgL_checksumz00_643;

				BgL_rz00_640 = ((long) 0);
				BgL_wz00_641 = BgL_offsetz00_16;
				BgL_newzd2lenzd2_642 = BgL_offsetz00_16;
				BgL_checksumz00_643 = ((long) 0);
			BgL_zc3anonymousza31167ze3z83_644:
				if ((BgL_rz00_640 == BgL_lenz00_15))
					{	/* Llib/bigloo.scm 398 */
						STRING_SET(BgL_newz00_13, BgL_wz00_641, ((unsigned char) 'z'));
						{	/* Llib/bigloo.scm 401 */
							unsigned char BgL_auxz00_2047;
							long BgL_auxz00_2045;

							BgL_auxz00_2047 =
								STRING_REF(BGl_string1803z00zz__biglooz00,
								(BgL_checksumz00_643 & ((long) 15)));
							BgL_auxz00_2045 = (BgL_wz00_641 + ((long) 1));
							STRING_SET(BgL_newz00_13, BgL_auxz00_2045, BgL_auxz00_2047);
						}
						{	/* Llib/bigloo.scm 404 */
							unsigned char BgL_auxz00_2053;
							long BgL_auxz00_2051;

							BgL_auxz00_2053 =
								STRING_REF(BGl_string1803z00zz__biglooz00,
								((BgL_checksumz00_643 >> (int) (((long) 4))) & ((long) 15)));
							BgL_auxz00_2051 = (BgL_wz00_641 + ((long) 2));
							STRING_SET(BgL_newz00_13, BgL_auxz00_2051, BgL_auxz00_2053);
						}
						return (BgL_wz00_641 + ((long) 3));
					}
				else
					{	/* Llib/bigloo.scm 408 */
						unsigned char BgL_cz00_653;

						BgL_cz00_653 = STRING_REF(BgL_oldz00_14, BgL_rz00_640);
						{	/* Llib/bigloo.scm 409 */
							bool_t BgL_testz00_2061;

							{	/* Llib/bigloo.scm 409 */
								bool_t BgL_testz00_2062;

								{	/* Llib/bigloo.scm 409 */
									bool_t BgL_testz00_2063;

									{	/* Llib/bigloo.scm 409 */
										bool_t BgL_res1593z00_1205;

										BgL_res1593z00_1205 = isalpha(BgL_cz00_653);
										BgL_testz00_2063 = BgL_res1593z00_1205;
									}
									if (BgL_testz00_2063)
										{	/* Llib/bigloo.scm 409 */
											if ((BgL_cz00_653 == ((unsigned char) 'z')))
												{	/* Llib/bigloo.scm 409 */
													BgL_testz00_2062 = ((bool_t) 0);
												}
											else
												{	/* Llib/bigloo.scm 409 */
													BgL_testz00_2062 = ((bool_t) 1);
												}
										}
									else
										{	/* Llib/bigloo.scm 409 */
											BgL_testz00_2062 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2062)
									{	/* Llib/bigloo.scm 409 */
										BgL_testz00_2061 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 410 */
										bool_t BgL_testz00_2067;

										{	/* Llib/bigloo.scm 410 */
											bool_t BgL_res1595z00_1210;

											BgL_res1595z00_1210 = isdigit(BgL_cz00_653);
											BgL_testz00_2067 = BgL_res1595z00_1210;
										}
										if (BgL_testz00_2067)
											{	/* Llib/bigloo.scm 410 */
												BgL_testz00_2061 = ((bool_t) 1);
											}
										else
											{	/* Llib/bigloo.scm 410 */
												BgL_testz00_2061 =
													(BgL_cz00_653 == ((unsigned char) '_'));
							}}}
							if (BgL_testz00_2061)
								{	/* Llib/bigloo.scm 409 */
									STRING_SET(BgL_newz00_13, BgL_wz00_641, BgL_cz00_653);
									{
										long BgL_newzd2lenzd2_2075;
										long BgL_wz00_2073;
										long BgL_rz00_2071;

										BgL_rz00_2071 = (BgL_rz00_640 + ((long) 1));
										BgL_wz00_2073 = (BgL_wz00_641 + ((long) 1));
										BgL_newzd2lenzd2_2075 = (BgL_newzd2lenzd2_642 + ((long) 1));
										BgL_newzd2lenzd2_642 = BgL_newzd2lenzd2_2075;
										BgL_wz00_641 = BgL_wz00_2073;
										BgL_rz00_640 = BgL_rz00_2071;
										goto BgL_zc3anonymousza31167ze3z83_644;
									}
								}
							else
								{	/* Llib/bigloo.scm 418 */
									long BgL_icz00_658;

									BgL_icz00_658 = (BgL_cz00_653);
									STRING_SET(BgL_newz00_13, BgL_wz00_641,
										((unsigned char) 'z'));
									{	/* Llib/bigloo.scm 420 */
										unsigned char BgL_auxz00_2081;
										long BgL_auxz00_2079;

										BgL_auxz00_2081 =
											STRING_REF(BGl_string1803z00zz__biglooz00,
											(BgL_icz00_658 & ((long) 15)));
										BgL_auxz00_2079 = (BgL_wz00_641 + ((long) 1));
										STRING_SET(BgL_newz00_13, BgL_auxz00_2079, BgL_auxz00_2081);
									}
									{	/* Llib/bigloo.scm 423 */
										unsigned char BgL_auxz00_2087;
										long BgL_auxz00_2085;

										BgL_auxz00_2087 =
											STRING_REF(BGl_string1803z00zz__biglooz00,
											((BgL_icz00_658 >> (int) (((long) 4))) & ((long) 15)));
										BgL_auxz00_2085 = (BgL_wz00_641 + ((long) 2));
										STRING_SET(BgL_newz00_13, BgL_auxz00_2085, BgL_auxz00_2087);
									}
									{
										long BgL_checksumz00_2099;
										long BgL_newzd2lenzd2_2097;
										long BgL_wz00_2095;
										long BgL_rz00_2093;

										BgL_rz00_2093 = (BgL_rz00_640 + ((long) 1));
										BgL_wz00_2095 = (BgL_wz00_641 + ((long) 3));
										BgL_newzd2lenzd2_2097 = (BgL_newzd2lenzd2_642 + ((long) 3));
										BgL_checksumz00_2099 =
											(BgL_checksumz00_643 ^ (BgL_cz00_653));
										BgL_checksumz00_643 = BgL_checksumz00_2099;
										BgL_newzd2lenzd2_642 = BgL_newzd2lenzd2_2097;
										BgL_wz00_641 = BgL_wz00_2095;
										BgL_rz00_640 = BgL_rz00_2093;
										goto BgL_zc3anonymousza31167ze3z83_644;
									}
								}
						}
					}
			}
		}
	}



/* bigloo-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_17)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 434 */
			{	/* Llib/bigloo.scm 435 */
				long BgL_lenz00_676;

				BgL_lenz00_676 = STRING_LENGTH(BgL_stringz00_17);
				{	/* Llib/bigloo.scm 435 */
					obj_t BgL_newz00_677;

					{	/* Llib/bigloo.scm 436 */
						long BgL_arg1214z00_680;

						BgL_arg1214z00_680 = ((BgL_lenz00_676 * ((long) 3)) + ((long) 7));
						{	/* Ieee/string.scm 157 */

							{	/* Ieee/string.scm 157 */
								obj_t BgL_res1616z00_1286;

								{	/* Ieee/string.scm 157 */
									obj_t BgL_charz00_1285;

									BgL_charz00_1285 = BCHAR(((unsigned char) ' '));
									BgL_res1616z00_1286 =
										make_string(BgL_arg1214z00_680, CCHAR(BgL_charz00_1285));
								}
								BgL_newz00_677 = BgL_res1616z00_1286;
					}}}
					{	/* Llib/bigloo.scm 436 */

						if ((BgL_lenz00_676 == ((long) 0)))
							{	/* Llib/bigloo.scm 437 */
								return
									BGl_errorz00zz__errorz00(BGl_string1804z00zz__biglooz00,
									BGl_string1805z00zz__biglooz00, BgL_stringz00_17);
							}
						else
							{	/* Llib/bigloo.scm 439 */
								long BgL_stopz00_679;

								BgL_stopz00_679 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_677,
									BgL_stringz00_17, BgL_lenz00_676, ((long) 4));
								blit_string(BGl_string1806z00zz__biglooz00, ((long) 0),
									BgL_newz00_677, ((long) 0), ((long) 4));
								return c_substring(BgL_newz00_677, ((long) 0), BgL_stopz00_679);
		}}}}}
	}



/* &bigloo-mangle */
	obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t BgL_envz00_1876,
		obj_t BgL_stringz00_1877)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 434 */
			{	/* Llib/bigloo.scm 435 */
				obj_t BgL_auxz00_2114;

				if (STRINGP(BgL_stringz00_1877))
					{	/* Llib/bigloo.scm 435 */
						BgL_auxz00_2114 = BgL_stringz00_1877;
					}
				else
					{
						obj_t BgL_auxz00_2117;

						BgL_auxz00_2117 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 15809)), BGl_string1807z00zz__biglooz00,
							BGl_string1798z00zz__biglooz00, BgL_stringz00_1877);
						FAILURE(BgL_auxz00_2117, BFALSE, BFALSE);
					}
				return bigloo_mangle(BgL_auxz00_2114);
			}
		}
	}



/* bigloo-module-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_18,
		obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 446 */
			{	/* Llib/bigloo.scm 447 */
				long BgL_lenz00_684;

				BgL_lenz00_684 =
					(STRING_LENGTH(BgL_idz00_18) + STRING_LENGTH(BgL_modulez00_19));
				{	/* Llib/bigloo.scm 447 */
					obj_t BgL_newz00_685;

					{	/* Llib/bigloo.scm 448 */
						long BgL_arg1231z00_693;

						BgL_arg1231z00_693 = ((BgL_lenz00_684 * ((long) 3)) + ((long) 12));
						{	/* Ieee/string.scm 157 */

							{	/* Ieee/string.scm 157 */
								obj_t BgL_res1624z00_1314;

								{	/* Ieee/string.scm 157 */
									obj_t BgL_charz00_1313;

									BgL_charz00_1313 = BCHAR(((unsigned char) ' '));
									BgL_res1624z00_1314 =
										make_string(BgL_arg1231z00_693, CCHAR(BgL_charz00_1313));
								}
								BgL_newz00_685 = BgL_res1624z00_1314;
					}}}
					{	/* Llib/bigloo.scm 448 */

						if ((BgL_lenz00_684 == ((long) 0)))
							{	/* Llib/bigloo.scm 449 */
								return
									BGl_errorz00zz__errorz00(BGl_string1804z00zz__biglooz00,
									BGl_string1805z00zz__biglooz00,
									BGl_stringzd2envzd2zz__r4_strings_6_7z00);
							}
						else
							{	/* Llib/bigloo.scm 451 */
								long BgL_modzd2startzd2_687;

								BgL_modzd2startzd2_687 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_685,
									BgL_idz00_18, STRING_LENGTH(BgL_idz00_18), ((long) 4));
								STRING_SET(BgL_newz00_685, BgL_modzd2startzd2_687,
									((unsigned char) 'z'));
								{	/* Llib/bigloo.scm 453 */
									long BgL_auxz00_2136;

									BgL_auxz00_2136 = (((long) 1) + BgL_modzd2startzd2_687);
									STRING_SET(BgL_newz00_685, BgL_auxz00_2136,
										((unsigned char) 'z'));
								}
								{	/* Llib/bigloo.scm 454 */
									long BgL_stopz00_689;

									BgL_stopz00_689 =
										BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_685,
										BgL_modulez00_19, STRING_LENGTH(BgL_modulez00_19),
										(BgL_modzd2startzd2_687 + ((long) 2)));
									blit_string(BGl_string1808z00zz__biglooz00, ((long) 0),
										BgL_newz00_685, ((long) 0), ((long) 4));
									return c_substring(BgL_newz00_685, ((long) 0),
										BgL_stopz00_689);
		}}}}}}
	}



/* &bigloo-module-mangle */
	obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t BgL_envz00_1878,
		obj_t BgL_idz00_1879, obj_t BgL_modulez00_1880)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 446 */
			{	/* Llib/bigloo.scm 447 */
				obj_t BgL_auxz00_2151;
				obj_t BgL_auxz00_2144;

				if (STRINGP(BgL_modulez00_1880))
					{	/* Llib/bigloo.scm 447 */
						BgL_auxz00_2151 = BgL_modulez00_1880;
					}
				else
					{
						obj_t BgL_auxz00_2154;

						BgL_auxz00_2154 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 16365)), BGl_string1809z00zz__biglooz00,
							BGl_string1798z00zz__biglooz00, BgL_modulez00_1880);
						FAILURE(BgL_auxz00_2154, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_idz00_1879))
					{	/* Llib/bigloo.scm 447 */
						BgL_auxz00_2144 = BgL_idz00_1879;
					}
				else
					{
						obj_t BgL_auxz00_2147;

						BgL_auxz00_2147 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 16365)), BGl_string1809z00zz__biglooz00,
							BGl_string1798z00zz__biglooz00, BgL_idz00_1879);
						FAILURE(BgL_auxz00_2147, BFALSE, BFALSE);
					}
				return bigloo_module_mangle(BgL_auxz00_2144, BgL_auxz00_2151);
			}
		}
	}



/* bigloo-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_20)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 463 */
			{	/* Llib/bigloo.scm 464 */
				long BgL_lenz00_699;

				BgL_lenz00_699 = STRING_LENGTH(BgL_stringz00_20);
				if ((BgL_lenz00_699 > ((long) 7)))
					{	/* Llib/bigloo.scm 466 */
						bool_t BgL_testz00_2162;

						{	/* Llib/bigloo.scm 466 */
							bool_t BgL__ortest_1044z00_716;

							BgL__ortest_1044z00_716 =
								bigloo_strncmp(BgL_stringz00_20, BGl_string1806z00zz__biglooz00,
								((long) 4));
							if (BgL__ortest_1044z00_716)
								{	/* Llib/bigloo.scm 466 */
									BgL_testz00_2162 = BgL__ortest_1044z00_716;
								}
							else
								{	/* Llib/bigloo.scm 466 */
									BgL_testz00_2162 =
										bigloo_strncmp(BgL_stringz00_20,
										BGl_string1808z00zz__biglooz00, ((long) 4));
						}}
						if (BgL_testz00_2162)
							{	/* Llib/bigloo.scm 466 */
								if (
									(STRING_REF(BgL_stringz00_20,
											(BgL_lenz00_699 - ((long) 3))) == ((unsigned char) 'z')))
									{	/* Llib/bigloo.scm 469 */
										bool_t BgL_testz00_2170;

										{	/* Llib/bigloo.scm 469 */
											bool_t BgL__ortest_1045z00_709;

											{	/* Llib/bigloo.scm 469 */
												unsigned char BgL_arg1248z00_712;

												BgL_arg1248z00_712 =
													STRING_REF(BgL_stringz00_20,
													(BgL_lenz00_699 - ((long) 2)));
												{	/* Llib/bigloo.scm 469 */
													bool_t BgL_res1640z00_1372;

													BgL_res1640z00_1372 = isalpha(BgL_arg1248z00_712);
													BgL__ortest_1045z00_709 = BgL_res1640z00_1372;
											}}
											if (BgL__ortest_1045z00_709)
												{	/* Llib/bigloo.scm 469 */
													BgL_testz00_2170 = BgL__ortest_1045z00_709;
												}
											else
												{	/* Llib/bigloo.scm 470 */
													unsigned char BgL_arg1244z00_710;

													BgL_arg1244z00_710 =
														STRING_REF(BgL_stringz00_20,
														(BgL_lenz00_699 - ((long) 2)));
													{	/* Llib/bigloo.scm 470 */
														bool_t BgL_res1643z00_1380;

														BgL_res1643z00_1380 = isdigit(BgL_arg1244z00_710);
														BgL_testz00_2170 = BgL_res1643z00_1380;
										}}}
										if (BgL_testz00_2170)
											{	/* Llib/bigloo.scm 471 */
												bool_t BgL__ortest_1046z00_704;

												{	/* Llib/bigloo.scm 471 */
													unsigned char BgL_arg1242z00_707;

													BgL_arg1242z00_707 =
														STRING_REF(BgL_stringz00_20,
														(BgL_lenz00_699 - ((long) 1)));
													{	/* Llib/bigloo.scm 471 */
														bool_t BgL_res1646z00_1388;

														BgL_res1646z00_1388 = isalpha(BgL_arg1242z00_707);
														BgL__ortest_1046z00_704 = BgL_res1646z00_1388;
												}}
												if (BgL__ortest_1046z00_704)
													{	/* Llib/bigloo.scm 471 */
														return BgL__ortest_1046z00_704;
													}
												else
													{	/* Llib/bigloo.scm 472 */
														unsigned char BgL_arg1236z00_705;

														BgL_arg1236z00_705 =
															STRING_REF(BgL_stringz00_20,
															(BgL_lenz00_699 - ((long) 1)));
														{	/* Llib/bigloo.scm 472 */
															bool_t BgL_res1649z00_1396;

															BgL_res1649z00_1396 = isdigit(BgL_arg1236z00_705);
															return BgL_res1649z00_1396;
														}
													}
											}
										else
											{	/* Llib/bigloo.scm 469 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 468 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 466 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 465 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-mangled? */
	obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t BgL_envz00_1883,
		obj_t BgL_stringz00_1884)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 463 */
			{	/* Llib/bigloo.scm 464 */
				bool_t BgL_auxz00_2185;

				{	/* Llib/bigloo.scm 464 */
					obj_t BgL_auxz00_2186;

					if (STRINGP(BgL_stringz00_1884))
						{	/* Llib/bigloo.scm 464 */
							BgL_auxz00_2186 = BgL_stringz00_1884;
						}
					else
						{
							obj_t BgL_auxz00_2189;

							BgL_auxz00_2189 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
								BINT(((long) 17135)), BGl_string1810z00zz__biglooz00,
								BGl_string1798z00zz__biglooz00, BgL_stringz00_1884);
							FAILURE(BgL_auxz00_2189, BFALSE, BFALSE);
						}
					BgL_auxz00_2185 = bigloo_mangledp(BgL_auxz00_2186);
				}
				return BBOOL(BgL_auxz00_2185);
			}
		}
	}



/* bigloo-need-mangling? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t
		BgL_stringz00_21)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 477 */
			{	/* Llib/bigloo.scm 478 */
				long BgL_lenz00_717;

				BgL_lenz00_717 = STRING_LENGTH(BgL_stringz00_21);
				if ((BgL_lenz00_717 > ((long) 0)))
					{	/* Llib/bigloo.scm 480 */
						bool_t BgL__ortest_1048z00_719;

						{	/* Llib/bigloo.scm 480 */
							bool_t BgL_testz00_2198;

							{	/* Llib/bigloo.scm 480 */
								bool_t BgL_testz00_2199;

								{	/* Llib/bigloo.scm 480 */
									unsigned char BgL_arg1264z00_733;

									BgL_arg1264z00_733 = STRING_REF(BgL_stringz00_21, ((long) 0));
									{	/* Llib/bigloo.scm 480 */
										bool_t BgL_res1653z00_1406;

										BgL_res1653z00_1406 = isalpha(BgL_arg1264z00_733);
										BgL_testz00_2199 = BgL_res1653z00_1406;
								}}
								if (BgL_testz00_2199)
									{	/* Llib/bigloo.scm 480 */
										BgL_testz00_2198 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 480 */
										BgL_testz00_2198 =
											(STRING_REF(BgL_stringz00_21,
												((long) 0)) == ((unsigned char) '_'));
							}}
							if (BgL_testz00_2198)
								{	/* Llib/bigloo.scm 480 */
									BgL__ortest_1048z00_719 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 480 */
									BgL__ortest_1048z00_719 = ((bool_t) 1);
								}
						}
						if (BgL__ortest_1048z00_719)
							{	/* Llib/bigloo.scm 480 */
								return BgL__ortest_1048z00_719;
							}
						else
							{
								long BgL_iz00_721;

								BgL_iz00_721 = ((long) 1);
							BgL_zc3anonymousza31252ze3z83_722:
								if ((BgL_iz00_721 >= BgL_lenz00_717))
									{	/* Llib/bigloo.scm 483 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/bigloo.scm 485 */
										unsigned char BgL_cz00_724;

										BgL_cz00_724 = STRING_REF(BgL_stringz00_21, BgL_iz00_721);
										{	/* Llib/bigloo.scm 486 */
											bool_t BgL_testz00_2208;

											{	/* Llib/bigloo.scm 486 */
												bool_t BgL_testz00_2209;

												{	/* Llib/bigloo.scm 486 */
													bool_t BgL_res1658z00_1420;

													BgL_res1658z00_1420 = isalpha(BgL_cz00_724);
													BgL_testz00_2209 = BgL_res1658z00_1420;
												}
												if (BgL_testz00_2209)
													{	/* Llib/bigloo.scm 486 */
														BgL_testz00_2208 = ((bool_t) 1);
													}
												else
													{	/* Llib/bigloo.scm 487 */
														bool_t BgL_testz00_2211;

														{	/* Llib/bigloo.scm 487 */
															bool_t BgL_res1659z00_1422;

															BgL_res1659z00_1422 = isdigit(BgL_cz00_724);
															BgL_testz00_2211 = BgL_res1659z00_1422;
														}
														if (BgL_testz00_2211)
															{	/* Llib/bigloo.scm 487 */
																BgL_testz00_2208 = ((bool_t) 1);
															}
														else
															{	/* Llib/bigloo.scm 487 */
																BgL_testz00_2208 =
																	(BgL_cz00_724 == ((unsigned char) '_'));
											}}}
											if (BgL_testz00_2208)
												{
													long BgL_iz00_2214;

													BgL_iz00_2214 = (BgL_iz00_721 + ((long) 1));
													BgL_iz00_721 = BgL_iz00_2214;
													goto BgL_zc3anonymousza31252ze3z83_722;
												}
											else
												{	/* Llib/bigloo.scm 486 */
													return ((bool_t) 1);
												}
										}
									}
							}
					}
				else
					{	/* Llib/bigloo.scm 479 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-need-mangling? */
	obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t
		BgL_envz00_1885, obj_t BgL_stringz00_1886)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 477 */
			{	/* Llib/bigloo.scm 478 */
				bool_t BgL_auxz00_2216;

				{	/* Llib/bigloo.scm 478 */
					obj_t BgL_auxz00_2217;

					if (STRINGP(BgL_stringz00_1886))
						{	/* Llib/bigloo.scm 478 */
							BgL_auxz00_2217 = BgL_stringz00_1886;
						}
					else
						{
							obj_t BgL_auxz00_2220;

							BgL_auxz00_2220 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
								BINT(((long) 17820)), BGl_string1811z00zz__biglooz00,
								BGl_string1798z00zz__biglooz00, BgL_stringz00_1886);
							FAILURE(BgL_auxz00_2220, BFALSE, BFALSE);
						}
					BgL_auxz00_2216 =
						BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2217);
				}
				return BBOOL(BgL_auxz00_2216);
			}
		}
	}



/* bigloo-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_22)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 495 */
			{	/* Llib/bigloo.scm 496 */
				long BgL_lenz00_734;

				BgL_lenz00_734 = STRING_LENGTH(BgL_stringz00_22);
				{	/* Llib/bigloo.scm 496 */
					long BgL_clenz00_735;

					BgL_clenz00_735 = (BgL_lenz00_734 - ((long) 3));
					{	/* Llib/bigloo.scm 497 */

						{

							if ((BgL_lenz00_734 < ((long) 8)))
								{	/* Llib/bigloo.scm 546 */
									return
										BGl_errorz00zz__errorz00(BGl_string1812z00zz__biglooz00,
										BGl_string1813z00zz__biglooz00, BgL_stringz00_22);
								}
							else
								{	/* Llib/bigloo.scm 546 */
									if (bigloo_strncmp(BgL_stringz00_22,
											BGl_string1806z00zz__biglooz00, ((long) 4)))
										{	/* Llib/bigloo.scm 548 */
											{	/* Llib/bigloo.scm 536 */
												obj_t BgL_strz00_793;

												BgL_strz00_793 =
													BGl_bigloozd2demanglezd2atz00zz__biglooz00
													(BgL_stringz00_22, BgL_clenz00_735, BINT(((long) 4)));
												{	/* Llib/bigloo.scm 538 */
													obj_t BgL_offsetz00_794;

													{	/* Llib/bigloo.scm 538 */
														int BgL_auxz00_2235;

														BgL_auxz00_2235 = (int) (((long) 1));
														BgL_offsetz00_794 =
															BGL_MVALUES_VAL(BgL_auxz00_2235);
													}
													{	/* Llib/bigloo.scm 538 */
														int BgL_res1697z00_1541;

														{	/* Llib/bigloo.scm 538 */
															int BgL_auxz00_2238;

															BgL_auxz00_2238 = (int) (((long) 2));
															BgL_res1697z00_1541 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_2238);
														} BgL_res1697z00_1541;
													}
													{	/* Llib/bigloo.scm 538 */
														int BgL_auxz00_2241;

														BgL_auxz00_2241 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_2241, BUNSPEC);
													}
													return BgL_strz00_793;
												}
											}
										}
									else
										{	/* Llib/bigloo.scm 548 */
											if (bigloo_strncmp(BgL_stringz00_22,
													BGl_string1808z00zz__biglooz00, ((long) 4)))
												{	/* Llib/bigloo.scm 550 */
													{	/* Llib/bigloo.scm 540 */
														obj_t BgL_idz00_798;

														BgL_idz00_798 =
															BGl_bigloozd2demanglezd2atz00zz__biglooz00
															(BgL_stringz00_22, BgL_clenz00_735,
															BINT(((long) 4)));
														{	/* Llib/bigloo.scm 542 */
															obj_t BgL_offsetz00_799;

															{	/* Llib/bigloo.scm 542 */
																int BgL_auxz00_2248;

																BgL_auxz00_2248 = (int) (((long) 1));
																BgL_offsetz00_799 =
																	BGL_MVALUES_VAL(BgL_auxz00_2248);
															}
															{	/* Llib/bigloo.scm 542 */
																obj_t BgL_modulez00_800;

																BgL_modulez00_800 =
																	BGl_bigloozd2demanglezd2atz00zz__biglooz00
																	(BgL_stringz00_22, BgL_clenz00_735,
																	BgL_offsetz00_799);
																{	/* Llib/bigloo.scm 544 */
																	obj_t BgL_offsetz00_801;

																	{	/* Llib/bigloo.scm 544 */
																		int BgL_auxz00_2252;

																		BgL_auxz00_2252 = (int) (((long) 1));
																		BgL_offsetz00_801 =
																			BGL_MVALUES_VAL(BgL_auxz00_2252);
																	}
																	{	/* Llib/bigloo.scm 544 */
																		int BgL_res1698z00_1547;

																		{	/* Llib/bigloo.scm 544 */
																			int BgL_auxz00_2255;

																			BgL_auxz00_2255 = (int) (((long) 2));
																			BgL_res1698z00_1547 =
																				BGL_MVALUES_NUMBER_SET(BgL_auxz00_2255);
																		} BgL_res1698z00_1547;
																	}
																	{	/* Llib/bigloo.scm 544 */
																		int BgL_auxz00_2258;

																		BgL_auxz00_2258 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_2258,
																			BgL_modulez00_800);
																	}
																	return BgL_idz00_798;
																}
															}
														}
													}
												}
											else
												{	/* Llib/bigloo.scm 550 */
													return BgL_stringz00_22;
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* char->digit */
	long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_746)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 503 */
			{	/* Llib/bigloo.scm 501 */
				bool_t BgL_testz00_2261;

				{	/* Llib/bigloo.scm 501 */
					bool_t BgL_res1664z00_1435;

					BgL_res1664z00_1435 = isdigit(BgL_cz00_746);
					BgL_testz00_2261 = BgL_res1664z00_1435;
				}
				if (BgL_testz00_2261)
					{	/* Llib/bigloo.scm 501 */
						return ((BgL_cz00_746) - ((long) 48));
					}
				else
					{	/* Llib/bigloo.scm 501 */
						return (((long) 10) + ((BgL_cz00_746) - ((long) 97)));
		}}}
	}



/* get-8bits-integer */
	long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_1903,
		obj_t BgL_rz00_752)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 509 */
			{	/* Llib/bigloo.scm 508 */

				return
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_1903,
							((long) CINT(BgL_rz00_752) + ((long) 1)))) +
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_1903,
								((long) CINT(BgL_rz00_752) + ((long) 2)))) <<
						(int) (((long) 4))));
		}}
	}



/* bigloo-demangle-at */
	obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_1905,
		long BgL_clenz00_1904, obj_t BgL_offsetz00_761)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 534 */
			{	/* Llib/bigloo.scm 511 */
				obj_t BgL_newz00_763;

				{	/* Ieee/string.scm 157 */

					{	/* Ieee/string.scm 157 */
						obj_t BgL_res1676z00_1469;

						{	/* Ieee/string.scm 157 */
							obj_t BgL_charz00_1468;

							BgL_charz00_1468 = BCHAR(((unsigned char) ' '));
							BgL_res1676z00_1469 =
								make_string(BgL_clenz00_1904, CCHAR(BgL_charz00_1468));
						}
						BgL_newz00_763 = BgL_res1676z00_1469;
				}}
				{
					obj_t BgL_rz00_765;
					long BgL_wz00_766;
					long BgL_checksumz00_767;

					BgL_rz00_765 = BgL_offsetz00_761;
					BgL_wz00_766 = ((long) 0);
					BgL_checksumz00_767 = ((long) 0);
				BgL_zc3anonymousza31286ze3z83_768:
					if (((long) CINT(BgL_rz00_765) == BgL_clenz00_1904))
						{	/* Llib/bigloo.scm 515 */
							if (
								(BgL_checksumz00_767 ==
									BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1905,
										BgL_rz00_765)))
								{	/* Llib/bigloo.scm 518 */
									obj_t BgL_val0_1077z00_771;
									long BgL_val1_1078z00_772;

									BgL_val0_1077z00_771 =
										c_substring(BgL_newz00_763, ((long) 0), BgL_wz00_766);
									BgL_val1_1078z00_772 =
										((long) CINT(BgL_rz00_765) + ((long) 3));
									{	/* Llib/bigloo.scm 518 */
										int BgL_res1681z00_1484;

										{	/* Llib/bigloo.scm 518 */
											int BgL_auxz00_2291;

											BgL_auxz00_2291 = (int) (((long) 2));
											BgL_res1681z00_1484 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2291);
										} BgL_res1681z00_1484;
									}
									{	/* Llib/bigloo.scm 518 */
										obj_t BgL_auxz00_2296;
										int BgL_auxz00_2294;

										BgL_auxz00_2296 = BINT(BgL_val1_1078z00_772);
										BgL_auxz00_2294 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2294, BgL_auxz00_2296);
									}
									return BgL_val0_1077z00_771;
								}
							else
								{	/* Llib/bigloo.scm 517 */
									return
										BGl_errorz00zz__errorz00(BGl_string1812z00zz__biglooz00,
										BGl_string1814z00zz__biglooz00, BgL_stringz00_1905);
								}
						}
					else
						{	/* Llib/bigloo.scm 520 */
							unsigned char BgL_cz00_774;

							BgL_cz00_774 =
								STRING_REF(BgL_stringz00_1905, (long) CINT(BgL_rz00_765));
							if ((BgL_cz00_774 == ((unsigned char) 'z')))
								{	/* Llib/bigloo.scm 521 */
									if (
										(STRING_REF(BgL_stringz00_1905,
												((long) CINT(BgL_rz00_765) + ((long) 1))) ==
											((unsigned char) 'z')))
										{	/* Llib/bigloo.scm 523 */
											obj_t BgL_val0_1079z00_777;
											long BgL_val1_1080z00_778;

											BgL_val0_1079z00_777 =
												c_substring(BgL_newz00_763, ((long) 0),
												(BgL_wz00_766 - ((long) 1)));
											BgL_val1_1080z00_778 =
												((long) CINT(BgL_rz00_765) + ((long) 2));
											{	/* Llib/bigloo.scm 523 */
												int BgL_res1690z00_1513;

												{	/* Llib/bigloo.scm 523 */
													int BgL_auxz00_2313;

													BgL_auxz00_2313 = (int) (((long) 2));
													BgL_res1690z00_1513 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_2313);
												} BgL_res1690z00_1513;
											}
											{	/* Llib/bigloo.scm 523 */
												obj_t BgL_auxz00_2318;
												int BgL_auxz00_2316;

												BgL_auxz00_2318 = BINT(BgL_val1_1080z00_778);
												BgL_auxz00_2316 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2316, BgL_auxz00_2318);
											}
											return BgL_val0_1079z00_777;
										}
									else
										{	/* Llib/bigloo.scm 524 */
											long BgL_iz00_780;

											BgL_iz00_780 =
												BGl_getzd28bitszd2integerz00zz__biglooz00
												(BgL_stringz00_1905, BgL_rz00_765);
											{	/* Llib/bigloo.scm 524 */
												unsigned char BgL_ncz00_781;

												BgL_ncz00_781 = (BgL_iz00_780);
												{	/* Llib/bigloo.scm 525 */

													STRING_SET(BgL_newz00_763, BgL_wz00_766,
														BgL_ncz00_781);
													{	/* Llib/bigloo.scm 527 */
														long BgL_arg1301z00_782;
														long BgL_arg1303z00_783;
														long BgL_arg1304z00_784;

														BgL_arg1301z00_782 =
															((long) CINT(BgL_rz00_765) + ((long) 3));
														BgL_arg1303z00_783 = (BgL_wz00_766 + ((long) 1));
														BgL_arg1304z00_784 =
															(BgL_checksumz00_767 ^ BgL_iz00_780);
														{
															long BgL_checksumz00_2331;
															long BgL_wz00_2330;
															obj_t BgL_rz00_2328;

															BgL_rz00_2328 = BINT(BgL_arg1301z00_782);
															BgL_wz00_2330 = BgL_arg1303z00_783;
															BgL_checksumz00_2331 = BgL_arg1304z00_784;
															BgL_checksumz00_767 = BgL_checksumz00_2331;
															BgL_wz00_766 = BgL_wz00_2330;
															BgL_rz00_765 = BgL_rz00_2328;
															goto BgL_zc3anonymousza31286ze3z83_768;
														}
													}
												}
											}
										}
								}
							else
								{	/* Llib/bigloo.scm 521 */
									STRING_SET(BgL_newz00_763, BgL_wz00_766, BgL_cz00_774);
									{	/* Llib/bigloo.scm 532 */
										long BgL_arg1312z00_787;
										long BgL_arg1313z00_788;

										BgL_arg1312z00_787 =
											((long) CINT(BgL_rz00_765) + ((long) 1));
										BgL_arg1313z00_788 = (BgL_wz00_766 + ((long) 1));
										{
											long BgL_wz00_2338;
											obj_t BgL_rz00_2336;

											BgL_rz00_2336 = BINT(BgL_arg1312z00_787);
											BgL_wz00_2338 = BgL_arg1313z00_788;
											BgL_wz00_766 = BgL_wz00_2338;
											BgL_rz00_765 = BgL_rz00_2336;
											goto BgL_zc3anonymousza31286ze3z83_768;
										}
									}
								}
						}
				}
			}
		}
	}



/* &bigloo-demangle */
	obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t BgL_envz00_1887,
		obj_t BgL_stringz00_1888)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 495 */
			{	/* Llib/bigloo.scm 496 */
				obj_t BgL_auxz00_2339;

				if (STRINGP(BgL_stringz00_1888))
					{	/* Llib/bigloo.scm 496 */
						BgL_auxz00_2339 = BgL_stringz00_1888;
					}
				else
					{
						obj_t BgL_auxz00_2342;

						BgL_auxz00_2342 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 18463)), BGl_string1815z00zz__biglooz00,
							BGl_string1798z00zz__biglooz00, BgL_stringz00_1888);
						FAILURE(BgL_auxz00_2342, BFALSE, BFALSE);
					}
				return bigloo_demangle(BgL_auxz00_2339);
			}
		}
	}



/* bigloo-class-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_23)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 558 */
			{	/* Llib/bigloo.scm 559 */
				long BgL_lenz00_810;

				BgL_lenz00_810 = STRING_LENGTH(BgL_stringz00_23);
				if ((BgL_lenz00_810 > ((long) 8)))
					{	/* Llib/bigloo.scm 560 */
						if (
							(STRING_REF(BgL_stringz00_23,
									(BgL_lenz00_810 - ((long) 1))) == ((unsigned char) 't')))
							{	/* Llib/bigloo.scm 561 */
								if (
									(STRING_REF(BgL_stringz00_23,
											(BgL_lenz00_810 - ((long) 2))) == ((unsigned char) 'l')))
									{	/* Llib/bigloo.scm 562 */
										if (
											(STRING_REF(BgL_stringz00_23,
													(BgL_lenz00_810 - ((long) 3))) ==
												((unsigned char) 'g')))
											{	/* Llib/bigloo.scm 563 */
												if (
													(STRING_REF(BgL_stringz00_23,
															(BgL_lenz00_810 - ((long) 4))) ==
														((unsigned char) 'b')))
													{	/* Llib/bigloo.scm 564 */
														if (
															(STRING_REF(BgL_stringz00_23,
																	(BgL_lenz00_810 - ((long) 5))) ==
																((unsigned char) '_')))
															{	/* Llib/bigloo.scm 565 */
																return
																	bigloo_mangledp(c_substring(BgL_stringz00_23,
																		((long) 0), (BgL_lenz00_810 - ((long) 5))));
															}
														else
															{	/* Llib/bigloo.scm 565 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Llib/bigloo.scm 564 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* Llib/bigloo.scm 563 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 562 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 561 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 560 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-class-mangled? */
	obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t
		BgL_envz00_1889, obj_t BgL_stringz00_1890)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 558 */
			{	/* Llib/bigloo.scm 559 */
				bool_t BgL_auxz00_2373;

				{	/* Llib/bigloo.scm 559 */
					obj_t BgL_auxz00_2374;

					if (STRINGP(BgL_stringz00_1890))
						{	/* Llib/bigloo.scm 559 */
							BgL_auxz00_2374 = BgL_stringz00_1890;
						}
					else
						{
							obj_t BgL_auxz00_2377;

							BgL_auxz00_2377 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
								BINT(((long) 20597)), BGl_string1816z00zz__biglooz00,
								BGl_string1798z00zz__biglooz00, BgL_stringz00_1890);
							FAILURE(BgL_auxz00_2377, BFALSE, BFALSE);
						}
					BgL_auxz00_2373 = bigloo_class_mangledp(BgL_auxz00_2374);
				}
				return BBOOL(BgL_auxz00_2373);
			}
		}
	}



/* bigloo-class-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_24)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 571 */
			return
				string_append(bigloo_demangle(c_substring(BgL_stringz00_24, ((long) 0),
						(STRING_LENGTH(BgL_stringz00_24) - ((long) 5)))),
				BGl_string1817z00zz__biglooz00);
		}
	}



/* &bigloo-class-demangle */
	obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t BgL_envz00_1891,
		obj_t BgL_stringz00_1892)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 571 */
			{	/* Llib/bigloo.scm 573 */
				obj_t BgL_auxz00_2388;

				if (STRINGP(BgL_stringz00_1892))
					{	/* Llib/bigloo.scm 573 */
						BgL_auxz00_2388 = BgL_stringz00_1892;
					}
				else
					{
						obj_t BgL_auxz00_2391;

						BgL_auxz00_2391 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 21289)), BGl_string1818z00zz__biglooz00,
							BGl_string1798z00zz__biglooz00, BgL_stringz00_1892);
						FAILURE(BgL_auxz00_2391, BFALSE, BFALSE);
					}
				return bigloo_class_demangle(BgL_auxz00_2388);
			}
		}
	}



/* bigloo-exit-mutex */
	BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 584 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* &bigloo-exit-mutex */
	obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t BgL_envz00_1893)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 584 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* register-exit-function! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t
		BgL_funz00_25)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 595 */
			{	/* Llib/bigloo.scm 596 */
				obj_t BgL_mutex1336z00_833;

				BgL_mutex1336z00_833 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				{	/* Llib/bigloo.scm 596 */
					obj_t BgL_top1881z00_2397;

					BgL_top1881z00_2397 = BGL_EXITD_TOP_AS_OBJ();
					BGL_MUTEX_LOCK(BgL_mutex1336z00_833);
					BGL_EXITD_PUSH_PROTECT(BgL_top1881z00_2397, BgL_mutex1336z00_833);
					BUNSPEC;
					{	/* Llib/bigloo.scm 596 */
						obj_t BgL_tmp1880z00_2396;

						if (PROCEDURE_CORRECT_ARITYP(BgL_funz00_25, (int) (((long) 1))))
							{	/* Llib/bigloo.scm 597 */
								BgL_tmp1880z00_2396 =
									(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
									MAKE_PAIR(BgL_funz00_25,
										BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00),
									BUNSPEC);
							}
						else
							{	/* Llib/bigloo.scm 597 */
								BgL_tmp1880z00_2396 =
									BGl_errorz00zz__errorz00(BGl_string1819z00zz__biglooz00,
									BGl_string1820z00zz__biglooz00, BgL_funz00_25);
							}
						BGL_EXITD_POP_PROTECT(BgL_top1881z00_2397);
						BUNSPEC;
						BGL_MUTEX_UNLOCK(BgL_mutex1336z00_833);
						return BgL_tmp1880z00_2396;
					}
				}
			}
		}
	}



/* &register-exit-function! */
	obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t
		BgL_envz00_1894, obj_t BgL_funz00_1895)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 595 */
			{	/* Llib/bigloo.scm 596 */
				obj_t BgL_auxz00_2408;

				if (PROCEDUREP(BgL_funz00_1895))
					{	/* Llib/bigloo.scm 596 */
						BgL_auxz00_2408 = BgL_funz00_1895;
					}
				else
					{
						obj_t BgL_auxz00_2411;

						BgL_auxz00_2411 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 22394)), BGl_string1821z00zz__biglooz00,
							BGl_string1800z00zz__biglooz00, BgL_funz00_1895);
						FAILURE(BgL_auxz00_2411, BFALSE, BFALSE);
					}
				return
					BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2408);
			}
		}
	}



/* bigloo-exit-apply */
	BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_26)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 606 */
			{	/* Llib/bigloo.scm 607 */
				obj_t BgL_mutz00_835;

				{	/* Llib/bigloo.scm 607 */
					bool_t BgL_testz00_2416;

					{	/* Llib/bigloo.scm 607 */
						obj_t BgL_arg1344z00_848;

						BgL_arg1344z00_848 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
						{	/* Llib/bigloo.scm 607 */
							bool_t BgL_res1724z00_1632;

							BgL_res1724z00_1632 = BGL_MUTEXP(BgL_arg1344z00_848);
							BgL_testz00_2416 = BgL_res1724z00_1632;
						}
					}
					if (BgL_testz00_2416)
						{	/* Llib/bigloo.scm 607 */
							BgL_mutz00_835 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
						}
					else
						{	/* Llib/bigloo.scm 609 */
							obj_t BgL_res1725z00_1634;

							BgL_res1725z00_1634 =
								bgl_make_mutex(BGl_symbol1791z00zz__biglooz00);
							BgL_mutz00_835 = BgL_res1725z00_1634;
						}
				}
				{	/* Llib/bigloo.scm 610 */
					obj_t BgL_top1883z00_2420;

					BgL_top1883z00_2420 = BGL_EXITD_TOP_AS_OBJ();
					BGL_MUTEX_LOCK(BgL_mutz00_835);
					BGL_EXITD_PUSH_PROTECT(BgL_top1883z00_2420, BgL_mutz00_835);
					BUNSPEC;
					{	/* Llib/bigloo.scm 610 */
						obj_t BgL_tmp1882z00_2419;

						{
							obj_t BgL_valz00_837;

							BgL_valz00_837 = BgL_valz00_26;
						BgL_zc3anonymousza31338ze3z83_838:
							{	/* Llib/bigloo.scm 612 */
								obj_t BgL_valz00_839;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_valz00_837))
									{	/* Llib/bigloo.scm 612 */
										BgL_valz00_839 = BgL_valz00_837;
									}
								else
									{	/* Llib/bigloo.scm 612 */
										BgL_valz00_839 = BINT(((long) 0));
									}
								if (PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
									{	/* Llib/bigloo.scm 616 */
										obj_t BgL_funz00_841;

										BgL_funz00_841 =
											CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
										BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
											CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
										{	/* Llib/bigloo.scm 619 */
											obj_t BgL_nvalz00_842;

											BgL_nvalz00_842 =
												PROCEDURE_ENTRY(BgL_funz00_841) (BgL_funz00_841,
												BgL_valz00_839, BEOA);
											{	/* Llib/bigloo.scm 620 */
												obj_t BgL_arg1340z00_843;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BgL_nvalz00_842))
													{	/* Llib/bigloo.scm 620 */
														BgL_arg1340z00_843 = BgL_nvalz00_842;
													}
												else
													{	/* Llib/bigloo.scm 620 */
														BgL_arg1340z00_843 = BgL_valz00_839;
													}
												{
													obj_t BgL_valz00_2437;

													BgL_valz00_2437 = BgL_arg1340z00_843;
													BgL_valz00_837 = BgL_valz00_2437;
													goto BgL_zc3anonymousza31338ze3z83_838;
												}
											}
										}
									}
								else
									{	/* Llib/bigloo.scm 615 */
										BgL_tmp1882z00_2419 = BgL_valz00_839;
									}
							}
						}
						BGL_EXITD_POP_PROTECT(BgL_top1883z00_2420);
						BUNSPEC;
						BGL_MUTEX_UNLOCK(BgL_mutz00_835);
						return BgL_tmp1882z00_2419;
					}
				}
			}
		}
	}



/* &bigloo-exit-apply */
	obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t BgL_envz00_1896,
		obj_t BgL_valz00_1897)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 606 */
			return bigloo_exit_apply(BgL_valz00_1897);
		}
	}



/* time */
	BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_27)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 626 */
			if (PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, (int) (((long) 0))))
				{	/* Llib/bigloo.scm 627 */
					return bgl_time(BgL_procz00_27);
				}
			else
				{	/* Llib/bigloo.scm 627 */
					return
						BGl_errorz00zz__errorz00(BGl_symbol1822z00zz__biglooz00,
						BGl_string1820z00zz__biglooz00, BgL_procz00_27);
				}
		}
	}



/* &time */
	obj_t BGl_z62timez62zz__biglooz00(obj_t BgL_envz00_1898,
		obj_t BgL_procz00_1899)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 626 */
			{	/* Llib/bigloo.scm 627 */
				obj_t BgL_auxz00_2446;

				if (PROCEDUREP(BgL_procz00_1899))
					{	/* Llib/bigloo.scm 627 */
						BgL_auxz00_2446 = BgL_procz00_1899;
					}
				else
					{
						obj_t BgL_auxz00_2449;

						BgL_auxz00_2449 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1796z00zz__biglooz00,
							BINT(((long) 23576)), BGl_string1824z00zz__biglooz00,
							BGl_string1800z00zz__biglooz00, BgL_procz00_1899);
						FAILURE(BgL_auxz00_2449, BFALSE, BFALSE);
					}
				return BGl_timez00zz__biglooz00(BgL_auxz00_2446);
			}
		}
	}



/* bmem-reset! */
	BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 638 */
			return bgl_bmem_reset();
		}
	}



/* &bmem-reset! */
	obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t BgL_envz00_1900)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 638 */
			return bgl_bmem_reset();
		}
	}



/* bigloo-gc-verbose-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t BgL_procz00_28)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 646 */
			bgl_gc_verbose_set(BgL_procz00_28);
			return BUNSPEC;
		}
	}



/* &bigloo-gc-verbose-set! */
	obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t
		BgL_envz00_1901, obj_t BgL_procz00_1902)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 646 */
			return
				BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(CBOOL
				(BgL_procz00_1902));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 507523616),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
			return
				BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1825z00zz__biglooz00));
		}
	}

#ifdef __cplusplus
}
#endif
