/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */

	static obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31225ze3ze1zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	extern obj_t bgl_write_char(obj_t, obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__pp_circlez00();
	static obj_t BGl_objectzd2initzd2zz__pp_circlez00();
	static obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t,
		int);
	extern obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__pp_circlez00();
	static obj_t BGl_z62zc3anonymousza31276ze3ze1zz__pp_circlez00(obj_t);
	BGL_EXPORTED_DECL obj_t dprint(obj_t);
	static obj_t BGl_z62zc3anonymousza31278ze3ze1zz__pp_circlez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_registerz00zz__pp_circlez00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t,
		bool_t);
	static obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t, bool_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762cza7d2debugging1740z00,
		BGl_z62czd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762jvmza7d2debuggi1741z00,
		BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1726z00zz__pp_circlez00,
		BgL_bgl_string1726za700za7za7_1742za7, "/tmp/bigloo/runtime/Pp/circle.scm",
		33);
	      DEFINE_STRING(BGl_string1727z00zz__pp_circlez00,
		BgL_bgl_string1727za700za7za7_1743za7, "_display-circle", 15);
	      DEFINE_STRING(BGl_string1728z00zz__pp_circlez00,
		BgL_bgl_string1728za700za7za7_1744za7, "vector", 6);
	      DEFINE_STRING(BGl_string1729z00zz__pp_circlez00,
		BgL_bgl_string1729za700za7za7_1745za7, "output-port", 11);
	      DEFINE_STRING(BGl_string1730z00zz__pp_circlez00,
		BgL_bgl_string1730za700za7za7_1746za7, "_write-circle", 13);
	      DEFINE_STRING(BGl_string1731z00zz__pp_circlez00,
		BgL_bgl_string1731za700za7za7_1747za7, " . ", 3);
	      DEFINE_STRING(BGl_string1732z00zz__pp_circlez00,
		BgL_bgl_string1732za700za7za7_1748za7, "#{", 2);
	      DEFINE_STRING(BGl_string1733z00zz__pp_circlez00,
		BgL_bgl_string1733za700za7za7_1749za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string1734z00zz__pp_circlez00,
		BgL_bgl_string1734za700za7za7_1750za7, ">", 1);
	      DEFINE_STRING(BGl_string1735z00zz__pp_circlez00,
		BgL_bgl_string1735za700za7za7_1751za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string1736z00zz__pp_circlez00,
		BgL_bgl_string1736za700za7za7_1752za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string1737z00zz__pp_circlez00,
		BgL_bgl_string1737za700za7za7_1753za7, "&jvm-debugging-print", 20);
	      DEFINE_STRING(BGl_string1738z00zz__pp_circlez00,
		BgL_bgl_string1738za700za7za7_1754za7, "bint", 4);
	      DEFINE_STRING(BGl_string1739z00zz__pp_circlez00,
		BgL_bgl_string1739za700za7za7_1755za7, "__pp_circle", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__displayza7d2circl1756za7, opt_generic_entry,
		BGl__displayzd2circlezd2zz__pp_circlez00, BFALSE, -1);
	extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
	extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__writeza7d2circleza71757z00, opt_generic_entry,
		BGl__writezd2circlezd2zz__pp_circlez00, BFALSE, -1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long
		BgL_checksumz00_1893, char *BgL_fromz00_1894)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
				{
					BGl_requirezd2initializa7ationz75zz__pp_circlez00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* _display-circle */
	obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_6,
		obj_t BgL_optz00_5)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 79 */
			{	/* Pp/circle.scm 79 */
				obj_t BgL_g1101z00_753;

				{
					obj_t BgL_auxz00_1899;

					if (VECTORP(BgL_optz00_5))
						{	/* Pp/circle.scm 79 */
							BgL_auxz00_1899 = BgL_optz00_5;
						}
					else
						{
							obj_t BgL_auxz00_1902;

							BgL_auxz00_1902 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3181)),
								BGl_string1727z00zz__pp_circlez00,
								BGl_string1728z00zz__pp_circlez00, BgL_optz00_5);
							FAILURE(BgL_auxz00_1902, BFALSE, BFALSE);
						}
					BgL_g1101z00_753 = VECTOR_REF(BgL_auxz00_1899, (int) (((long) 0)));
				}
				{	/* Pp/circle.scm 79 */
					int BgL_aux1103z00_755;

					{
						obj_t BgL_auxz00_1908;

						if (VECTORP(BgL_optz00_5))
							{	/* Pp/circle.scm 79 */
								BgL_auxz00_1908 = BgL_optz00_5;
							}
						else
							{
								obj_t BgL_auxz00_1911;

								BgL_auxz00_1911 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3181)),
									BGl_string1727z00zz__pp_circlez00,
									BGl_string1728z00zz__pp_circlez00, BgL_optz00_5);
								FAILURE(BgL_auxz00_1911, BFALSE, BFALSE);
							}
						BgL_aux1103z00_755 = VECTOR_LENGTH(BgL_auxz00_1908);
					}
					switch ((long) (BgL_aux1103z00_755))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 79 */
								obj_t BgL_portz00_757;

								{	/* Pp/circle.scm 79 */
									obj_t BgL_res1585z00_1259;

									{	/* Pp/circle.scm 79 */
										obj_t BgL_auxz00_1916;

										BgL_auxz00_1916 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1585z00_1259 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1916);
									}
									BgL_portz00_757 = BgL_res1585z00_1259;
								}
								{	/* Pp/circle.scm 79 */

									{	/* Pp/circle.scm 79 */
										obj_t BgL_arg1156z00_758;

										{
											obj_t BgL_auxz00_1919;

											if (VECTORP(BgL_optz00_5))
												{	/* Pp/circle.scm 79 */
													BgL_auxz00_1919 = BgL_optz00_5;
												}
											else
												{
													obj_t BgL_auxz00_1922;

													BgL_auxz00_1922 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1727z00zz__pp_circlez00,
														BGl_string1728z00zz__pp_circlez00, BgL_optz00_5);
													FAILURE(BgL_auxz00_1922, BFALSE, BFALSE);
												}
											BgL_arg1156z00_758 =
												VECTOR_REF(BgL_auxz00_1919, (int) (((long) 0)));
										}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_arg1156z00_758, BgL_portz00_757, ((bool_t) 1));
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Pp/circle.scm 79 */
								obj_t BgL_portz00_759;

								{
									obj_t BgL_auxz00_1929;

									if (VECTORP(BgL_optz00_5))
										{	/* Pp/circle.scm 79 */
											BgL_auxz00_1929 = BgL_optz00_5;
										}
									else
										{
											obj_t BgL_auxz00_1932;

											BgL_auxz00_1932 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3181)),
												BGl_string1727z00zz__pp_circlez00,
												BGl_string1728z00zz__pp_circlez00, BgL_optz00_5);
											FAILURE(BgL_auxz00_1932, BFALSE, BFALSE);
										}
									BgL_portz00_759 =
										VECTOR_REF(BgL_auxz00_1929, (int) (((long) 1)));
								}
								{	/* Pp/circle.scm 79 */

									{	/* Pp/circle.scm 79 */
										obj_t BgL_arg1162z00_760;

										{
											obj_t BgL_auxz00_1938;

											if (VECTORP(BgL_optz00_5))
												{	/* Pp/circle.scm 79 */
													BgL_auxz00_1938 = BgL_optz00_5;
												}
											else
												{
													obj_t BgL_auxz00_1941;

													BgL_auxz00_1941 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1727z00zz__pp_circlez00,
														BGl_string1728z00zz__pp_circlez00, BgL_optz00_5);
													FAILURE(BgL_auxz00_1941, BFALSE, BFALSE);
												}
											BgL_arg1162z00_760 =
												VECTOR_REF(BgL_auxz00_1938, (int) (((long) 0)));
										}
										{	/* Pp/circle.scm 79 */
											obj_t BgL_portz00_1263;

											if (OUTPUT_PORTP(BgL_portz00_759))
												{	/* Pp/circle.scm 79 */
													BgL_portz00_1263 = BgL_portz00_759;
												}
											else
												{
													obj_t BgL_auxz00_1949;

													BgL_auxz00_1949 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1727z00zz__pp_circlez00,
														BGl_string1729z00zz__pp_circlez00, BgL_portz00_759);
													FAILURE(BgL_auxz00_1949, BFALSE, BFALSE);
												}
											return
												BGl_circlezd2writezf2displayz20zz__pp_circlez00
												(BgL_arg1162z00_760, BgL_portz00_1263, ((bool_t) 1));
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* display-circle */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t
		BgL_oz00_3, obj_t BgL_portz00_4)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 79 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_3,
				BgL_portz00_4, ((bool_t) 1));
		}
	}



/* _write-circle */
	obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_10,
		obj_t BgL_optz00_9)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 85 */
			{	/* Pp/circle.scm 85 */
				obj_t BgL_g1104z00_761;

				{
					obj_t BgL_auxz00_1957;

					if (VECTORP(BgL_optz00_9))
						{	/* Pp/circle.scm 85 */
							BgL_auxz00_1957 = BgL_optz00_9;
						}
					else
						{
							obj_t BgL_auxz00_1960;

							BgL_auxz00_1960 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3521)),
								BGl_string1730z00zz__pp_circlez00,
								BGl_string1728z00zz__pp_circlez00, BgL_optz00_9);
							FAILURE(BgL_auxz00_1960, BFALSE, BFALSE);
						}
					BgL_g1104z00_761 = VECTOR_REF(BgL_auxz00_1957, (int) (((long) 0)));
				}
				{	/* Pp/circle.scm 85 */
					int BgL_aux1106z00_763;

					{
						obj_t BgL_auxz00_1966;

						if (VECTORP(BgL_optz00_9))
							{	/* Pp/circle.scm 85 */
								BgL_auxz00_1966 = BgL_optz00_9;
							}
						else
							{
								obj_t BgL_auxz00_1969;

								BgL_auxz00_1969 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3521)),
									BGl_string1730z00zz__pp_circlez00,
									BGl_string1728z00zz__pp_circlez00, BgL_optz00_9);
								FAILURE(BgL_auxz00_1969, BFALSE, BFALSE);
							}
						BgL_aux1106z00_763 = VECTOR_LENGTH(BgL_auxz00_1966);
					}
					switch ((long) (BgL_aux1106z00_763))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 85 */
								obj_t BgL_portz00_765;

								{	/* Pp/circle.scm 85 */
									obj_t BgL_res1586z00_1265;

									{	/* Pp/circle.scm 85 */
										obj_t BgL_auxz00_1974;

										BgL_auxz00_1974 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1586z00_1265 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1974);
									}
									BgL_portz00_765 = BgL_res1586z00_1265;
								}
								{	/* Pp/circle.scm 85 */

									{	/* Pp/circle.scm 85 */
										obj_t BgL_arg1164z00_766;

										{
											obj_t BgL_auxz00_1977;

											if (VECTORP(BgL_optz00_9))
												{	/* Pp/circle.scm 85 */
													BgL_auxz00_1977 = BgL_optz00_9;
												}
											else
												{
													obj_t BgL_auxz00_1980;

													BgL_auxz00_1980 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1730z00zz__pp_circlez00,
														BGl_string1728z00zz__pp_circlez00, BgL_optz00_9);
													FAILURE(BgL_auxz00_1980, BFALSE, BFALSE);
												}
											BgL_arg1164z00_766 =
												VECTOR_REF(BgL_auxz00_1977, (int) (((long) 0)));
										}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_arg1164z00_766, BgL_portz00_765, ((bool_t) 0));
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Pp/circle.scm 85 */
								obj_t BgL_portz00_767;

								{
									obj_t BgL_auxz00_1987;

									if (VECTORP(BgL_optz00_9))
										{	/* Pp/circle.scm 85 */
											BgL_auxz00_1987 = BgL_optz00_9;
										}
									else
										{
											obj_t BgL_auxz00_1990;

											BgL_auxz00_1990 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1726z00zz__pp_circlez00, BINT(((long) 3521)),
												BGl_string1730z00zz__pp_circlez00,
												BGl_string1728z00zz__pp_circlez00, BgL_optz00_9);
											FAILURE(BgL_auxz00_1990, BFALSE, BFALSE);
										}
									BgL_portz00_767 =
										VECTOR_REF(BgL_auxz00_1987, (int) (((long) 1)));
								}
								{	/* Pp/circle.scm 85 */

									{	/* Pp/circle.scm 85 */
										obj_t BgL_arg1172z00_768;

										{
											obj_t BgL_auxz00_1996;

											if (VECTORP(BgL_optz00_9))
												{	/* Pp/circle.scm 85 */
													BgL_auxz00_1996 = BgL_optz00_9;
												}
											else
												{
													obj_t BgL_auxz00_1999;

													BgL_auxz00_1999 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1730z00zz__pp_circlez00,
														BGl_string1728z00zz__pp_circlez00, BgL_optz00_9);
													FAILURE(BgL_auxz00_1999, BFALSE, BFALSE);
												}
											BgL_arg1172z00_768 =
												VECTOR_REF(BgL_auxz00_1996, (int) (((long) 0)));
										}
										{	/* Pp/circle.scm 85 */
											obj_t BgL_portz00_1269;

											if (OUTPUT_PORTP(BgL_portz00_767))
												{	/* Pp/circle.scm 85 */
													BgL_portz00_1269 = BgL_portz00_767;
												}
											else
												{
													obj_t BgL_auxz00_2007;

													BgL_auxz00_2007 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1726z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1730z00zz__pp_circlez00,
														BGl_string1729z00zz__pp_circlez00, BgL_portz00_767);
													FAILURE(BgL_auxz00_2007, BFALSE, BFALSE);
												}
											return
												BGl_circlezd2writezf2displayz20zz__pp_circlez00
												(BgL_arg1172z00_768, BgL_portz00_1269, ((bool_t) 0));
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-circle */
	BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_oz00_7,
		obj_t BgL_portz00_8)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 85 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_7,
				BgL_portz00_8, ((bool_t) 0));
		}
	}



/* circle-write/display */
	obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_11,
		obj_t BgL_portz00_12, bool_t BgL_flagz00_13)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 110 */
			{	/* Pp/circle.scm 111 */
				obj_t BgL_cachez00_769;

				BgL_cachez00_769 = MAKE_CELL(BNIL);
				{	/* Pp/circle.scm 111 */
					obj_t BgL_nextzd2cardinalzd2_770;

					{	/* Pp/circle.scm 112 */
						obj_t BgL_serialz00_909;

						{	/* Pp/circle.scm 112 */
							obj_t BgL_cellvalz00_2015;

							BgL_cellvalz00_2015 = BINT(((long) -1));
							BgL_serialz00_909 = MAKE_CELL(BgL_cellvalz00_2015);
						}
						{	/* Pp/circle.scm 113 */
							obj_t BgL_zc3anonymousza31276ze3z83_1831;

							{
								int BgL_auxz00_2017;

								BgL_auxz00_2017 = (int) (((long) 1));
								BgL_zc3anonymousza31276ze3z83_1831 =
									MAKE_EL_PROCEDURE(BgL_auxz00_2017);
							}
							PROCEDURE_EL_SET(BgL_zc3anonymousza31276ze3z83_1831,
								(int) (((long) 0)), BgL_serialz00_909);
							BgL_nextzd2cardinalzd2_770 = BgL_zc3anonymousza31276ze3z83_1831;
					}}
					{	/* Pp/circle.scm 112 */

						BGl_registerz00zz__pp_circlez00(BgL_cachez00_769, BgL_objz00_11);
						BGl_z62outputzd2componentzb0zz__pp_circlez00
							(BgL_nextzd2cardinalzd2_770, BgL_flagz00_13, BgL_portz00_12,
							BgL_cachez00_769, BgL_objz00_11);
			}}}
			return BUNSPEC;
		}
	}



/* register */
	obj_t BGl_registerz00zz__pp_circlez00(obj_t BgL_cachez00_1866,
		obj_t BgL_objz00_853)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 151 */
		BGl_registerz00zz__pp_circlez00:
			{	/* Pp/circle.scm 120 */
				bool_t BgL_testz00_2024;

				if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_objz00_853))
					{	/* Pp/circle.scm 120 */
						BgL_testz00_2024 = ((bool_t) 1);
					}
				else
					{	/* Pp/circle.scm 120 */
						if (SYMBOLP(BgL_objz00_853))
							{	/* Pp/circle.scm 121 */
								BgL_testz00_2024 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 121 */
								if (STRINGP(BgL_objz00_853))
									{	/* Pp/circle.scm 122 */
										BgL_testz00_2024 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 122 */
										if (UCS2_STRINGP(BgL_objz00_853))
											{	/* Pp/circle.scm 123 */
												BgL_testz00_2024 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 123 */
												if (BGL_DATEP(BgL_objz00_853))
													{	/* Pp/circle.scm 124 */
														BgL_testz00_2024 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 124 */
														if (CNSTP(BgL_objz00_853))
															{	/* Pp/circle.scm 125 */
																BgL_testz00_2024 = ((bool_t) 1);
															}
														else
															{	/* Pp/circle.scm 125 */
																if (NULLP(BgL_objz00_853))
																	{	/* Pp/circle.scm 126 */
																		BgL_testz00_2024 = ((bool_t) 1);
																	}
																else
																	{	/* Pp/circle.scm 126 */
																		BgL_testz00_2024 =
																			BGl_classzf3zf3zz__objectz00
																			(BgL_objz00_853);
																	}
															}
													}
											}
									}
							}
					}
				if (BgL_testz00_2024)
					{	/* Pp/circle.scm 120 */
						return BFALSE;
					}
				else
					{	/* Pp/circle.scm 128 */
						obj_t BgL_matchz00_856;

						BgL_matchz00_856 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_853,
							CELL_REF(BgL_cachez00_1866));
						if (CBOOL(BgL_matchz00_856))
							{	/* Pp/circle.scm 129 */
								return SET_CDR(BgL_matchz00_856, BTRUE);
							}
						else
							{	/* Pp/circle.scm 129 */
								{	/* Pp/circle.scm 132 */
									obj_t BgL_auxz00_1846;

									{	/* Pp/circle.scm 132 */
										obj_t BgL_arg1239z00_857;

										BgL_arg1239z00_857 = MAKE_PAIR(BgL_objz00_853, BFALSE);
										BgL_auxz00_1846 =
											MAKE_PAIR(BgL_arg1239z00_857,
											CELL_REF(BgL_cachez00_1866));
									}
									CELL_SET(BgL_cachez00_1866, BgL_auxz00_1846);
								}
								if (PAIRP(BgL_objz00_853))
									{	/* Pp/circle.scm 134 */
										BGl_registerz00zz__pp_circlez00(BgL_cachez00_1866,
											CAR(BgL_objz00_853));
										{
											obj_t BgL_objz00_2050;

											BgL_objz00_2050 = CDR(BgL_objz00_853);
											BgL_objz00_853 = BgL_objz00_2050;
											goto BGl_registerz00zz__pp_circlez00;
										}
									}
								else
									{	/* Pp/circle.scm 134 */
										if (VECTORP(BgL_objz00_853))
											{	/* Pp/circle.scm 138 */
												int BgL_stop1043z00_862;

												BgL_stop1043z00_862 = VECTOR_LENGTH(BgL_objz00_853);
												{
													long BgL_iz00_1303;

													{	/* Pp/circle.scm 138 */
														bool_t BgL_auxz00_2055;

														BgL_iz00_1303 = ((long) 0);
													BgL_for1042z00_1302:
														if ((BgL_iz00_1303 < (long) (BgL_stop1043z00_862)))
															{	/* Pp/circle.scm 138 */
																BGl_registerz00zz__pp_circlez00
																	(BgL_cachez00_1866, VECTOR_REF(BgL_objz00_853,
																		(int) (BgL_iz00_1303)));
																{
																	long BgL_iz00_2062;

																	BgL_iz00_2062 = (BgL_iz00_1303 + ((long) 1));
																	BgL_iz00_1303 = BgL_iz00_2062;
																	goto BgL_for1042z00_1302;
																}
															}
														else
															{	/* Pp/circle.scm 138 */
																BgL_auxz00_2055 = ((bool_t) 0);
															}
														return BBOOL(BgL_auxz00_2055);
													}
												}
											}
										else
											{	/* Pp/circle.scm 137 */
												if (STRUCTP(BgL_objz00_853))
													{	/* Pp/circle.scm 141 */
														int BgL_stop1045z00_871;

														BgL_stop1045z00_871 = STRUCT_LENGTH(BgL_objz00_853);
														{
															long BgL_iz00_1328;

															{	/* Pp/circle.scm 141 */
																bool_t BgL_auxz00_2068;

																BgL_iz00_1328 = ((long) 0);
															BgL_for1044z00_1327:
																if (
																	(BgL_iz00_1328 <
																		(long) (BgL_stop1045z00_871)))
																	{	/* Pp/circle.scm 141 */
																		BGl_registerz00zz__pp_circlez00
																			(BgL_cachez00_1866,
																			STRUCT_REF(BgL_objz00_853,
																				(int) (BgL_iz00_1328)));
																		{
																			long BgL_iz00_2075;

																			BgL_iz00_2075 =
																				(BgL_iz00_1328 + ((long) 1));
																			BgL_iz00_1328 = BgL_iz00_2075;
																			goto BgL_for1044z00_1327;
																		}
																	}
																else
																	{	/* Pp/circle.scm 141 */
																		BgL_auxz00_2068 = ((bool_t) 0);
																	}
																return BBOOL(BgL_auxz00_2068);
															}
														}
													}
												else
													{	/* Pp/circle.scm 140 */
														if (BGL_OBJECTP(BgL_objz00_853))
															{	/* Pp/circle.scm 144 */
																obj_t BgL_klassz00_880;

																{	/* Pp/circle.scm 144 */
																	BgL_objectz00_bglt BgL_objectz00_1342;

																	BgL_objectz00_1342 =
																		((BgL_objectz00_bglt) BgL_objz00_853);
																	{	/* Pp/circle.scm 144 */
																		long BgL_arg1575z00_1343;

																		{	/* Pp/circle.scm 144 */
																			long BgL_arg1576z00_1344;

																			{	/* Pp/circle.scm 144 */
																				long BgL_res1603z00_1346;

																				BgL_res1603z00_1346 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objectz00_1342);
																				BgL_arg1576z00_1344 =
																					BgL_res1603z00_1346;
																			}
																			BgL_arg1575z00_1343 =
																				(BgL_arg1576z00_1344 - OBJECT_TYPE);
																		}
																		BgL_klassz00_880 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			(int) (BgL_arg1575z00_1343));
																}}
																{	/* Pp/circle.scm 144 */
																	obj_t BgL_fieldsz00_881;

																	{	/* Pp/circle.scm 145 */
																		obj_t BgL_res1605z00_1353;

																		BgL_res1605z00_1353 =
																			BGL_CLASS_ALL_FIELDS(BgL_klassz00_880);
																		BgL_fieldsz00_881 = BgL_res1605z00_1353;
																	}
																	{	/* Pp/circle.scm 145 */

																		{	/* Pp/circle.scm 146 */
																			int BgL_stop1047z00_882;

																			BgL_stop1047z00_882 =
																				VECTOR_LENGTH(BgL_fieldsz00_881);
																			{
																				long BgL_iz00_1364;

																				{	/* Pp/circle.scm 146 */
																					bool_t BgL_auxz00_2087;

																					BgL_iz00_1364 = ((long) 0);
																				BgL_for1046z00_1363:
																					if (
																						(BgL_iz00_1364 <
																							(long) (BgL_stop1047z00_882)))
																						{	/* Pp/circle.scm 146 */
																							{	/* Pp/circle.scm 147 */
																								obj_t BgL_fz00_1369;

																								BgL_fz00_1369 =
																									VECTOR_REF(BgL_fieldsz00_881,
																									(int) (BgL_iz00_1364));
																								{	/* Pp/circle.scm 147 */
																									obj_t BgL_gvz00_1372;

																									BgL_gvz00_1372 =
																										BGl_classzd2fieldzd2accessorz00zz__objectz00
																										(BgL_fz00_1369);
																									{	/* Pp/circle.scm 148 */

																										{	/* Pp/circle.scm 149 */
																											obj_t BgL_arg1260z00_1373;

																											BgL_arg1260z00_1373 =
																												PROCEDURE_ENTRY
																												(BgL_gvz00_1372)
																												(BgL_gvz00_1372,
																												BgL_objz00_853, BEOA);
																											BGl_registerz00zz__pp_circlez00
																												(BgL_cachez00_1866,
																												BgL_arg1260z00_1373);
																							}}}}
																							{
																								long BgL_iz00_2099;

																								BgL_iz00_2099 =
																									(BgL_iz00_1364 + ((long) 1));
																								BgL_iz00_1364 = BgL_iz00_2099;
																								goto BgL_for1046z00_1363;
																							}
																						}
																					else
																						{	/* Pp/circle.scm 146 */
																							BgL_auxz00_2087 = ((bool_t) 0);
																						}
																					return BBOOL(BgL_auxz00_2087);
																				}
																			}
																		}
																	}
																}
															}
														else
															{	/* Pp/circle.scm 143 */
																if (CELLP(BgL_objz00_853))
																	{
																		obj_t BgL_objz00_2104;

																		BgL_objz00_2104 = CELL_REF(BgL_objz00_853);
																		BgL_objz00_853 = BgL_objz00_2104;
																		goto BGl_registerz00zz__pp_circlez00;
																	}
																else
																	{	/* Pp/circle.scm 150 */
																		return BFALSE;
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* &output-component */
	obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_1835, bool_t BgL_flagz00_1834,
		obj_t BgL_portz00_1833, obj_t BgL_cachez00_1832, obj_t BgL_objz00_776)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 165 */
			{	/* Pp/circle.scm 166 */
				obj_t BgL_g1048z00_778;

				BgL_g1048z00_778 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_776,
					CELL_REF(BgL_cachez00_1832));
				return
					BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1835,
					BgL_cachez00_1832, BgL_flagz00_1834, BgL_portz00_1833, BgL_objz00_776,
					BgL_g1048z00_778);
			}
		}
	}



/* loop-matched */
	obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t BgL_nextzd2cardinalzd2_1865,
		obj_t BgL_cachez00_1864, bool_t BgL_flagz00_1863, obj_t BgL_portz00_1862,
		obj_t BgL_objz00_780, obj_t BgL_matchz00_781)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 166 */
		BGl_loopzd2matchedzd2zz__pp_circlez00:
			if (CBOOL(BgL_matchz00_781))
				{	/* Pp/circle.scm 169 */
					obj_t BgL_valuez00_783;

					BgL_valuez00_783 = CDR(BgL_matchz00_781);
					if (INTEGERP(BgL_valuez00_783))
						{	/* Pp/circle.scm 171 */
							bgl_display_char(((unsigned char) '#'), BgL_portz00_1862);
							BGl_z62outputzd2componentzb0zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_1865, BgL_flagz00_1863,
								BgL_portz00_1862, BgL_cachez00_1864, BgL_valuez00_783);
							return bgl_display_char(((unsigned char) '#'), BgL_portz00_1862);
						}
					else
						{	/* Pp/circle.scm 171 */
							if (CBOOL(BgL_valuez00_783))
								{	/* Pp/circle.scm 178 */
									obj_t BgL_serialz00_785;

									BgL_serialz00_785 =
										BGl_z62zc3anonymousza31276ze3ze1zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1865);
									SET_CDR(BgL_matchz00_781, BgL_serialz00_785);
									bgl_display_char(((unsigned char) '#'), BgL_portz00_1862);
									BGl_z62outputzd2componentzb0zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1865, BgL_flagz00_1863,
										BgL_portz00_1862, BgL_cachez00_1864, BgL_serialz00_785);
									bgl_display_char(((unsigned char) '='), BgL_portz00_1862);
									{
										obj_t BgL_matchz00_2125;

										BgL_matchz00_2125 = BFALSE;
										BgL_matchz00_781 = BgL_matchz00_2125;
										goto BGl_loopzd2matchedzd2zz__pp_circlez00;
									}
								}
							else
								{
									obj_t BgL_matchz00_2126;

									BgL_matchz00_2126 = BFALSE;
									BgL_matchz00_781 = BgL_matchz00_2126;
									goto BGl_loopzd2matchedzd2zz__pp_circlez00;
								}
						}
				}
			else
				{	/* Pp/circle.scm 168 */
					if (INTEGERP(BgL_objz00_780))
						{	/* Pp/circle.scm 190 */
							return bgl_display_fixnum(BgL_objz00_780, BgL_portz00_1862);
						}
					else
						{	/* Pp/circle.scm 190 */
							if (CHARP(BgL_objz00_780))
								{	/* Pp/circle.scm 193 */
									if (BgL_flagz00_1863)
										{	/* Pp/circle.scm 195 */
											unsigned char BgL_auxz00_2133;

											BgL_auxz00_2133 = CCHAR(BgL_objz00_780);
											return
												bgl_display_char(BgL_auxz00_2133, BgL_portz00_1862);
										}
									else
										{	/* Pp/circle.scm 194 */
											return bgl_write_char(BgL_objz00_780, BgL_portz00_1862);
										}
								}
							else
								{	/* Pp/circle.scm 193 */
									if (SYMBOLP(BgL_objz00_780))
										{	/* Pp/circle.scm 198 */
											if (BgL_flagz00_1863)
												{	/* Pp/circle.scm 199 */
													return
														BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_780, BgL_portz00_1862);
												}
											else
												{	/* Pp/circle.scm 199 */
													return
														BGl_writezd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_780, BgL_portz00_1862);
												}
										}
									else
										{	/* Pp/circle.scm 198 */
											if (STRINGP(BgL_objz00_780))
												{	/* Pp/circle.scm 203 */
													if (BgL_flagz00_1863)
														{	/* Pp/circle.scm 204 */
															return
																bgl_display_string(BgL_objz00_780,
																BgL_portz00_1862);
														}
													else
														{	/* Pp/circle.scm 204 */
															return
																BGl_writezd2stringzd2zz__r4_output_6_10_3z00
																(string_for_read(BgL_objz00_780),
																BgL_portz00_1862);
														}
												}
											else
												{	/* Pp/circle.scm 203 */
													if (PAIRP(BgL_objz00_780))
														{	/* Pp/circle.scm 208 */
															bgl_display_char(((unsigned char) '('),
																BgL_portz00_1862);
															{
																obj_t BgL_lz00_793;

																BgL_lz00_793 = BgL_objz00_780;
															BgL_zc3anonymousza31182ze3z83_794:
																{	/* Pp/circle.scm 211 */
																	obj_t BgL_arg1183z00_795;

																	BgL_arg1183z00_795 = CAR(BgL_lz00_793);
																	BGl_z62outputzd2componentzb0zz__pp_circlez00
																		(BgL_nextzd2cardinalzd2_1865,
																		BgL_flagz00_1863, BgL_portz00_1862,
																		BgL_cachez00_1864, BgL_arg1183z00_795);
																}
																{	/* Pp/circle.scm 212 */
																	obj_t BgL_restz00_796;

																	BgL_restz00_796 = CDR(BgL_lz00_793);
																	if (NULLP(BgL_restz00_796))
																		{	/* Pp/circle.scm 213 */
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BgL_portz00_1862);
																		}
																	else
																		{	/* Pp/circle.scm 215 */
																			obj_t BgL_matchz00_798;

																			BgL_matchz00_798 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_restz00_796,
																				CELL_REF(BgL_cachez00_1864));
																			{	/* Pp/circle.scm 216 */
																				bool_t BgL_testz00_2158;

																				if (PAIRP(BgL_restz00_796))
																					{	/* Pp/circle.scm 216 */
																						if (CBOOL(BgL_matchz00_798))
																							{	/* Pp/circle.scm 217 */
																								obj_t BgL_pairz00_1411;

																								BgL_pairz00_1411 =
																									BgL_matchz00_798;
																								BgL_testz00_2158 =
																									CBOOL(CDR(BgL_pairz00_1411));
																							}
																						else
																							{	/* Pp/circle.scm 217 */
																								BgL_testz00_2158 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 216 */
																						BgL_testz00_2158 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2158)
																					{	/* Pp/circle.scm 216 */
																						bgl_display_string
																							(BGl_string1731z00zz__pp_circlez00,
																							BgL_portz00_1862);
																						BGl_loopzd2matchedzd2zz__pp_circlez00
																							(BgL_nextzd2cardinalzd2_1865,
																							BgL_cachez00_1864,
																							BgL_flagz00_1863,
																							BgL_portz00_1862, BgL_restz00_796,
																							BgL_matchz00_798);
																						return bgl_display_char(((unsigned
																									char) ')'), BgL_portz00_1862);
																					}
																				else
																					{	/* Pp/circle.scm 216 */
																						bgl_display_char(((unsigned char)
																								' '), BgL_portz00_1862);
																						{
																							obj_t BgL_lz00_2169;

																							BgL_lz00_2169 = BgL_restz00_796;
																							BgL_lz00_793 = BgL_lz00_2169;
																							goto
																								BgL_zc3anonymousza31182ze3z83_794;
																						}
																					}
																			}
																		}
																}
															}
														}
													else
														{	/* Pp/circle.scm 208 */
															if (BGl_classzf3zf3zz__objectz00(BgL_objz00_780))
																{	/* Pp/circle.scm 226 */
																	return
																		bgl_display_obj(BgL_objz00_780,
																		BgL_portz00_1862);
																}
															else
																{	/* Pp/circle.scm 226 */
																	if (VECTORP(BgL_objz00_780))
																		{	/* Pp/circle.scm 229 */
																			bgl_display_char(((unsigned char) '#'),
																				BgL_portz00_1862);
																			{	/* Pp/circle.scm 231 */
																				int BgL_tagz00_805;

																				{	/* Pp/circle.scm 231 */
																					int BgL_res1618z00_1420;

																					BgL_res1618z00_1420 =
																						VECTOR_TAG(BgL_objz00_780);
																					BgL_tagz00_805 = BgL_res1618z00_1420;
																				}
																				if (
																					((long) (BgL_tagz00_805) >
																						((long) 0)))
																					{	/* Pp/circle.scm 232 */
																						if (
																							((long) (BgL_tagz00_805) <
																								((long) 100)))
																							{	/* Pp/circle.scm 233 */
																								if (
																									((long) (BgL_tagz00_805) >
																										((long) 10)))
																									{	/* Pp/circle.scm 235 */
																										bgl_display_char(((unsigned
																													char) '0'),
																											BgL_portz00_1862);
																									}
																								else
																									{	/* Pp/circle.scm 235 */
																										BFALSE;
																									}
																								bgl_display_char(((unsigned
																											char) '0'),
																									BgL_portz00_1862);
																							}
																						else
																							{	/* Pp/circle.scm 237 */
																								obj_t BgL_list1192z00_809;

																								BgL_list1192z00_809 =
																									MAKE_PAIR(BgL_portz00_1862,
																									BNIL);
																								BGl_writez00zz__r4_output_6_10_3z00
																									(BINT(BgL_tagz00_805),
																									BgL_list1192z00_809);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 232 */
																						BFALSE;
																					}
																			}
																			{	/* Pp/circle.scm 238 */
																				int BgL_lenz00_810;

																				BgL_lenz00_810 =
																					VECTOR_LENGTH(BgL_objz00_780);
																				bgl_display_char(((unsigned char) '('),
																					BgL_portz00_1862);
																				{
																					long BgL_iz00_812;

																					BgL_iz00_812 = ((long) 0);
																				BgL_zc3anonymousza31193ze3z83_813:
																					if (
																						(BgL_iz00_812 ==
																							(long) (BgL_lenz00_810)))
																						{	/* Pp/circle.scm 241 */
																							((bool_t) 0);
																						}
																					else
																						{	/* Pp/circle.scm 241 */
																							{	/* Pp/circle.scm 243 */
																								obj_t BgL_arg1196z00_815;

																								BgL_arg1196z00_815 =
																									VECTOR_REF(BgL_objz00_780,
																									(int) (BgL_iz00_812));
																								BGl_z62outputzd2componentzb0zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1865,
																									BgL_flagz00_1863,
																									BgL_portz00_1862,
																									BgL_cachez00_1864,
																									BgL_arg1196z00_815);
																							}
																							{	/* Pp/circle.scm 244 */
																								long BgL_nextz00_816;

																								BgL_nextz00_816 =
																									(((long) 1) + BgL_iz00_812);
																								if (
																									(BgL_nextz00_816 ==
																										(long) (BgL_lenz00_810)))
																									{	/* Pp/circle.scm 245 */
																										BFALSE;
																									}
																								else
																									{	/* Pp/circle.scm 245 */
																										bgl_display_char(((unsigned
																													char) ' '),
																											BgL_portz00_1862);
																									}
																								{
																									long BgL_iz00_2204;

																									BgL_iz00_2204 =
																										(((long) 1) + BgL_iz00_812);
																									BgL_iz00_812 = BgL_iz00_2204;
																									goto
																										BgL_zc3anonymousza31193ze3z83_813;
																								}
																							}
																						}
																				}
																				return
																					bgl_display_char(((unsigned char)
																						')'), BgL_portz00_1862);
																		}}
																	else
																		{	/* Pp/circle.scm 229 */
																			if (STRUCTP(BgL_objz00_780))
																				{	/* Pp/circle.scm 250 */
																					bgl_display_string
																						(BGl_string1732z00zz__pp_circlez00,
																						BgL_portz00_1862);
																					{	/* Pp/circle.scm 252 */
																						obj_t BgL_arg1206z00_821;

																						BgL_arg1206z00_821 =
																							STRUCT_KEY(BgL_objz00_780);
																						{	/* Pp/circle.scm 252 */
																							obj_t BgL_list1207z00_822;

																							BgL_list1207z00_822 =
																								MAKE_PAIR(BgL_portz00_1862,
																								BNIL);
																							BGl_writez00zz__r4_output_6_10_3z00
																								(BgL_arg1206z00_821,
																								BgL_list1207z00_822);
																						}
																					}
																					bgl_display_char(((unsigned char)
																							' '), BgL_portz00_1862);
																					{	/* Pp/circle.scm 254 */
																						int BgL_lenz00_823;

																						BgL_lenz00_823 =
																							STRUCT_LENGTH(BgL_objz00_780);
																						{
																							long BgL_iz00_825;

																							BgL_iz00_825 = ((long) 0);
																						BgL_zc3anonymousza31208ze3z83_826:
																							if (
																								(BgL_iz00_825 ==
																									(long) (BgL_lenz00_823)))
																								{	/* Pp/circle.scm 256 */
																									((bool_t) 0);
																								}
																							else
																								{	/* Pp/circle.scm 256 */
																									{	/* Pp/circle.scm 258 */
																										obj_t BgL_arg1214z00_828;

																										BgL_arg1214z00_828 =
																											STRUCT_REF(BgL_objz00_780,
																											(int) (BgL_iz00_825));
																										BGl_z62outputzd2componentzb0zz__pp_circlez00
																											(BgL_nextzd2cardinalzd2_1865,
																											BgL_flagz00_1863,
																											BgL_portz00_1862,
																											BgL_cachez00_1864,
																											BgL_arg1214z00_828);
																									}
																									{	/* Pp/circle.scm 259 */
																										long BgL_nextz00_829;

																										BgL_nextz00_829 =
																											(((long) 1) +
																											BgL_iz00_825);
																										if ((BgL_nextz00_829 ==
																												(long)
																												(BgL_lenz00_823)))
																											{	/* Pp/circle.scm 260 */
																												BFALSE;
																											}
																										else
																											{	/* Pp/circle.scm 260 */
																												bgl_display_char((
																														(unsigned char)
																														' '),
																													BgL_portz00_1862);
																											}
																										{
																											long BgL_iz00_2226;

																											BgL_iz00_2226 =
																												(((long) 1) +
																												BgL_iz00_825);
																											BgL_iz00_825 =
																												BgL_iz00_2226;
																											goto
																												BgL_zc3anonymousza31208ze3z83_826;
																										}
																									}
																								}
																						}
																					}
																					return
																						bgl_display_char(((unsigned char)
																							'}'), BgL_portz00_1862);
																				}
																			else
																				{	/* Pp/circle.scm 250 */
																					if (CELLP(BgL_objz00_780))
																						{	/* Pp/circle.scm 265 */
																							bgl_display_string
																								(BGl_string1733z00zz__pp_circlez00,
																								BgL_portz00_1862);
																							{	/* Pp/circle.scm 267 */
																								obj_t BgL_arg1221z00_834;

																								BgL_arg1221z00_834 =
																									CELL_REF(BgL_objz00_780);
																								BGl_z62outputzd2componentzb0zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1865,
																									BgL_flagz00_1863,
																									BgL_portz00_1862,
																									BgL_cachez00_1864,
																									BgL_arg1221z00_834);
																							}
																							return
																								bgl_display_string
																								(BGl_string1734z00zz__pp_circlez00,
																								BgL_portz00_1862);
																						}
																					else
																						{	/* Pp/circle.scm 265 */
																							if (BGL_OBJECTP(BgL_objz00_780))
																								{	/* Pp/circle.scm 272 */
																									obj_t
																										BgL_zc3anonymousza31225ze3z83_1829;
																									BgL_zc3anonymousza31225ze3z83_1829
																										=
																										MAKE_VA_PROCEDURE
																										(BGl_z62zc3anonymousza31225ze3ze1zz__pp_circlez00,
																										(int) (((long) -2)),
																										(int) (((long) 4)));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31225ze3z83_1829,
																										(int) (((long) 0)),
																										BgL_cachez00_1864);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31225ze3z83_1829,
																										(int) (((long) 1)),
																										BgL_portz00_1862);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31225ze3z83_1829,
																										(int) (((long) 2)),
																										BBOOL(BgL_flagz00_1863));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31225ze3z83_1829,
																										(int) (((long) 3)),
																										BgL_nextzd2cardinalzd2_1865);
																									return
																										BGl_objectzd2printzd2zz__objectz00
																										(((BgL_objectz00_bglt)
																											BgL_objz00_780),
																										BgL_portz00_1862,
																										BgL_zc3anonymousza31225ze3z83_1829);
																								}
																							else
																								{	/* Pp/circle.scm 270 */
																									if (UCS2_STRINGP
																										(BgL_objz00_780))
																										{	/* Pp/circle.scm 274 */
																											if (BgL_flagz00_1863)
																												{	/* Pp/circle.scm 275 */
																													return
																														BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_780,
																														BgL_portz00_1862);
																												}
																											else
																												{	/* Pp/circle.scm 275 */
																													return
																														BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_780,
																														BgL_portz00_1862);
																												}
																										}
																									else
																										{	/* Pp/circle.scm 274 */
																											if (UCS2P(BgL_objz00_780))
																												{	/* Pp/circle.scm 279 */
																													if (BgL_flagz00_1863)
																														{	/* Pp/circle.scm 280 */
																															return
																																bgl_display_ucs2
																																(BgL_objz00_780,
																																BgL_portz00_1862);
																														}
																													else
																														{	/* Pp/circle.scm 280 */
																															return
																																bgl_write_ucs2
																																(BgL_objz00_780,
																																BgL_portz00_1862);
																														}
																												}
																											else
																												{	/* Pp/circle.scm 279 */
																													if (REALP
																														(BgL_objz00_780))
																														{	/* Pp/circle.scm 284 */
																															return
																																BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00
																																(BgL_objz00_780,
																																BgL_portz00_1862);
																														}
																													else
																														{	/* Pp/circle.scm 284 */
																															if (BGL_DATEP
																																(BgL_objz00_780))
																																{	/* Pp/circle.scm 287 */
																																	if (BgL_flagz00_1863)
																																		{	/* Pp/circle.scm 288 */
																																			return
																																				bgl_display_obj
																																				(BgL_objz00_780,
																																				BgL_portz00_1862);
																																		}
																																	else
																																		{	/* Pp/circle.scm 290 */
																																			obj_t
																																				BgL_list1230z00_845;
																																			BgL_list1230z00_845
																																				=
																																				MAKE_PAIR
																																				(BgL_portz00_1862,
																																				BNIL);
																																			return
																																				BGl_writez00zz__r4_output_6_10_3z00
																																				(BgL_objz00_780,
																																				BgL_list1230z00_845);
																																		}
																																}
																															else
																																{	/* Pp/circle.scm 292 */
																																	bool_t
																																		BgL_testz00_2270;
																																	{	/* Pp/circle.scm 292 */
																																		bool_t
																																			BgL_res1638z00_1490;
																																		BgL_res1638z00_1490
																																			=
																																			BGL_MUTEXP
																																			(BgL_objz00_780);
																																		BgL_testz00_2270
																																			=
																																			BgL_res1638z00_1490;
																																	}
																																	if (BgL_testz00_2270)
																																		{	/* Pp/circle.scm 292 */
																																			bgl_display_string
																																				(BGl_string1735z00zz__pp_circlez00,
																																				BgL_portz00_1862);
																																			{	/* Pp/circle.scm 294 */
																																				obj_t
																																					BgL_arg1233z00_847;
																																				BgL_arg1233z00_847
																																					=
																																					BGL_MUTEX_NAME
																																					(BgL_objz00_780);
																																				bgl_display_obj
																																					(BgL_arg1233z00_847,
																																					BgL_portz00_1862);
																																			}
																																			return
																																				bgl_display_string
																																				(BGl_string1734z00zz__pp_circlez00,
																																				BgL_portz00_1862);
																																		}
																																	else
																																		{	/* Pp/circle.scm 297 */
																																			bool_t
																																				BgL_testz00_2276;
																																			{	/* Pp/circle.scm 297 */
																																				bool_t
																																					BgL_res1639z00_1497;
																																				BgL_res1639z00_1497
																																					=
																																					BGL_CONDVARP
																																					(BgL_objz00_780);
																																				BgL_testz00_2276
																																					=
																																					BgL_res1639z00_1497;
																																			}
																																			if (BgL_testz00_2276)
																																				{	/* Pp/circle.scm 297 */
																																					bgl_display_string
																																						(BGl_string1736z00zz__pp_circlez00,
																																						BgL_portz00_1862);
																																					{	/* Pp/circle.scm 299 */
																																						obj_t
																																							BgL_arg1235z00_849;
																																						BgL_arg1235z00_849
																																							=
																																							BGL_CONDVAR_NAME
																																							(BgL_objz00_780);
																																						bgl_display_obj
																																							(BgL_arg1235z00_849,
																																							BgL_portz00_1862);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string1734z00zz__pp_circlez00,
																																						BgL_portz00_1862);
																																				}
																																			else
																																				{	/* Pp/circle.scm 303 */
																																					obj_t
																																						BgL_list1236z00_850;
																																					BgL_list1236z00_850
																																						=
																																						MAKE_PAIR
																																						(BgL_portz00_1862,
																																						BNIL);
																																					return
																																						BGl_writez00zz__r4_output_6_10_3z00
																																						(BgL_objz00_780,
																																						BgL_list1236z00_850);
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &<anonymous:1225> */
	obj_t BGl_z62zc3anonymousza31225ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1836,
		obj_t BgL_xz00_1841, obj_t BgL_pz00_1842)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 271 */
			{	/* Pp/circle.scm 272 */
				obj_t BgL_cachez00_1837;
				obj_t BgL_portz00_1838;
				bool_t BgL_flagz00_1839;
				obj_t BgL_nextzd2cardinalzd2_1840;

				BgL_cachez00_1837 = PROCEDURE_REF(BgL_envz00_1836, (int) (((long) 0)));
				BgL_portz00_1838 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1836, (int) (((long) 1))));
				BgL_flagz00_1839 =
					CBOOL(PROCEDURE_REF(BgL_envz00_1836, (int) (((long) 2))));
				BgL_nextzd2cardinalzd2_1840 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1836, (int) (((long) 3))));
				{
					obj_t BgL_xz00_837;
					obj_t BgL_pz00_838;

					BgL_xz00_837 = BgL_xz00_1841;
					BgL_pz00_838 = BgL_pz00_1842;
					return
						BGl_z62outputzd2componentzb0zz__pp_circlez00
						(BgL_nextzd2cardinalzd2_1840, BgL_flagz00_1839, BgL_portz00_1838,
						BgL_cachez00_1837, BgL_xz00_837);
				}
			}
		}
	}



/* &<anonymous:1276> */
	obj_t BGl_z62zc3anonymousza31276ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1843)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 113 */
			{	/* Pp/circle.scm 114 */
				obj_t BgL_serialz00_1844;

				BgL_serialz00_1844 =
					PROCEDURE_EL_REF(BgL_envz00_1843, (int) (((long) 0)));
				{

					{	/* Pp/circle.scm 114 */
						obj_t BgL_auxz00_1845;

						BgL_auxz00_1845 =
							BINT((((long) 1) + (long) CINT(CELL_REF(BgL_serialz00_1844))));
						CELL_SET(BgL_serialz00_1844, BgL_auxz00_1845);
					}
					return CELL_REF(BgL_serialz00_1844);
				}
			}
		}
	}



/* c-debugging-print */
	BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_14)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 309 */
			{	/* Pp/circle.scm 310 */
				obj_t BgL_portz00_1503;

				{	/* Pp/circle.scm 310 */
					obj_t BgL_res1640z00_1505;

					{	/* Pp/circle.scm 310 */
						obj_t BgL_auxz00_2301;

						BgL_auxz00_2301 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res1640z00_1505 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2301);
					}
					BgL_portz00_1503 = BgL_res1640z00_1505;
				}
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_14,
					BgL_portz00_1503, ((bool_t) 0));
				bgl_display_char(((unsigned char) '\n'), BgL_portz00_1503);
				return BgL_objz00_14;
			}
		}
	}



/* &c-debugging-print */
	obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_1847,
		obj_t BgL_objz00_1848)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 309 */
			return dprint(BgL_objz00_1848);
		}
	}



/* jvm-debugging-print */
	BGL_EXPORTED_DEF char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t
		BgL_objz00_15, int BgL_printerzd2numzd2_16)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 318 */
			{	/* Pp/circle.scm 320 */
				obj_t BgL_zc3anonymousza31278ze3z83_1849;

				BgL_zc3anonymousza31278ze3z83_1849 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31278ze3ze1zz__pp_circlez00,
					(int) (((long) 0)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31278ze3z83_1849,
					(int) (((long) 0)), BINT(BgL_printerzd2numzd2_16));
				PROCEDURE_SET(BgL_zc3anonymousza31278ze3z83_1849,
					(int) (((long) 1)), BgL_objz00_15);
				return
					BSTRING_TO_STRING
					(BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3anonymousza31278ze3z83_1849));
			}
		}
	}



/* &jvm-debugging-print */
	obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_1856,
		obj_t BgL_objz00_1857, obj_t BgL_printerzd2numzd2_1858)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 318 */
			{	/* Pp/circle.scm 320 */
				char *BgL_auxz00_2317;

				{	/* Pp/circle.scm 320 */
					int BgL_auxz00_2318;

					{	/* Pp/circle.scm 320 */
						obj_t BgL_auxz00_2319;

						if (INTEGERP(BgL_printerzd2numzd2_1858))
							{	/* Pp/circle.scm 320 */
								BgL_auxz00_2319 = BgL_printerzd2numzd2_1858;
							}
						else
							{
								obj_t BgL_auxz00_2322;

								BgL_auxz00_2322 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1726z00zz__pp_circlez00, BINT(((long) 10635)),
									BGl_string1737z00zz__pp_circlez00,
									BGl_string1738z00zz__pp_circlez00, BgL_printerzd2numzd2_1858);
								FAILURE(BgL_auxz00_2322, BFALSE, BFALSE);
							}
						BgL_auxz00_2318 = CINT(BgL_auxz00_2319);
					}
					BgL_auxz00_2317 =
						BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(BgL_objz00_1857,
						BgL_auxz00_2318);
				}
				return string_to_bstring(BgL_auxz00_2317);
			}
		}
	}



/* &<anonymous:1278> */
	obj_t BGl_z62zc3anonymousza31278ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1859)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 320 */
			{	/* Pp/circle.scm 320 */
				int BgL_printerzd2numzd2_1860;
				obj_t BgL_objz00_1861;

				BgL_printerzd2numzd2_1860 =
					CINT(PROCEDURE_REF(BgL_envz00_1859, (int) (((long) 0))));
				BgL_objz00_1861 = PROCEDURE_REF(BgL_envz00_1859, (int) (((long) 1)));
				{

					{	/* Pp/circle.scm 320 */
						obj_t BgL_fun1281z00_917;

						switch ((long) (BgL_printerzd2numzd2_1860))
							{
							case ((long) 1):

								BgL_fun1281z00_917 = BGl_writezd2envzd2zz__r4_output_6_10_3z00;
								break;
							case ((long) 2):

								BgL_fun1281z00_917 =
									BGl_writezd2circlezd2envz00zz__pp_circlez00;
								break;
							case ((long) 3):

								BgL_fun1281z00_917 =
									BGl_displayzd2circlezd2envz00zz__pp_circlez00;
								break;
							default:
								BgL_fun1281z00_917 =
									BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
							}
						{	/* Pp/circle.scm 326 */
							obj_t BgL_arg1280z00_918;

							{	/* Pp/circle.scm 326 */
								obj_t BgL_res1641z00_1510;

								{	/* Pp/circle.scm 326 */
									obj_t BgL_auxz00_2336;

									BgL_auxz00_2336 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1641z00_1510 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2336);
								}
								BgL_arg1280z00_918 = BgL_res1641z00_1510;
							}
							return
								PROCEDURE_ENTRY(BgL_fun1281z00_917) (BgL_fun1281z00_917,
								BgL_objz00_1861, BgL_arg1280z00_918, BEOA);
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1739z00zz__pp_circlez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1739z00zz__pp_circlez00));
		}
	}

#ifdef __cplusplus
}
#endif
